var top = this;

var arguments = [];
var window= top;

arguments.callee = {};
var DEBUG_FUNC_INDEX = 1;

var del = ["arguments","top","window","Emp","empBridge","util","DEBUG_FUNC_INDEX","del","BridgeUtil","ResultUtil"];

function jsDebug(){
	
}

jsDebug.debugCommand = null;
jsDebug.currResource = null;
jsDebug.breakpoints = null;
jsDebug.functionStack = [];
jsDebug.currResource = null;
jsDebug.currLine = null;
jsDebug.isExpression = false;

/**
 * 
 */
jsDebug.getErrorStack = function(func) {
	var stack = [];
	while (func) {
		var funcStr = func.toString();
		var funcOffset = funcStr.indexOf(")");
		var funcHead = funcStr.substring(0, funcOffset + 1);
		var args = func.arguments;
		var argArr = [];
		for (var i = 0; i < args.length; i++) {
			argArr.push(args[i]);
		}
		stack.push(funcHead + json2string(argArr, 12));
		func = func.caller;
	}
	return stack.join("\n");
}

/**
 * 
 */
var parseVars = function(line) {
	var varNames = [];
	if (line && line.length > 0) {
		var endOffset = line.indexOf(";");
		if (endOffset > 0) {
			line = line.substring(0, endOffset);
		}
		var lineArr = line.split(",");
		for (var i = 0; i < lineArr.length; i++) {
			var varStr = lineArr[i];
			var varEndOffset = varStr.indexOf("=");
			if (varEndOffset > 0) {
				varNames.push(varStr.substring(0, varEndOffset));
			} else {
				varNames.push(varStr);
			}
		}
	}
	return varNames;
}

/**
 * 
 */
jsDebug.updateStack = function(args, resource, scope, line, evalFunc) {
	if (args && args.callee) {
		var func = args.callee;
		func.__resource = resource;
		func.__line = line;
		func.__evalFunc = evalFunc;
		func.__scope = scope;
		for (var i = jsDebug.functionStack.length - 1; i > -1; i--) {
			if (func == jsDebug.functionStack[i]) {
				jsDebug.functionStack = jsDebug.functionStack.slice(0, i + 1);
				return;
			}
		}
		jsDebug.functionStack.push(func);
	} else {
		jsDebug.functionStack = [];
	}

}

/**
 * 
 */
var getFuncData = function(args, evalFunc) {
	
		var vars = [];
		var func = args.callee;
		if (func) {
			var funcStr = func.toString().replace(/\n/g, "");
			var argStart = funcStr.indexOf("(");
			var argEnd = funcStr.indexOf(")");
			if (argStart > 0 && argEnd > 0) {
				var argStr = funcStr.substring(argStart + 1, argEnd);
				vars = argStr.split(",");
			}
			var nameArr = funcStr.split("var ");
			for (var i = 1; i < nameArr.length; i++) {
				var line = nameArr[i];
				vars = vars.concat(parseVars(line));
			}
		}
		var data = {};
		
		for (var i = 0; i < vars.length; i++) {
			var key = vars[i];
			if (key && key.length > 0) {
				key = key.replace(/\n|\r|\t| /g, "");
				if (/^[A-Za-z0-9_\$]*$/.test(key)) {
					try {
						var result = evalFunc(key);
						if (result == undefined) {
							data[key] = {"value":"undefined","type":"string"};
						} else if (result == null) {
							data[key] = {"value":"null","type":"string"};
						} else {
							data[key] = {"value":evalFunc(key),"type":typeof(evalFunc(key))};
						}
					} catch (e) {

					}
				}
			}
		}
		return data;
}

var getWindowData = function(args,evalFunc){
	var data = {};
	for (var i in top) { 
	    data[i] = {value:top[i],type:typeof(top[i])};
	}
//	return {"x":{"value":top.x,"type":typeof(top.x)}};

	return {"window":{value:top,type:typeof(top)}};
}


/**
 * find if arguments is stepreturn context
 */
jsDebug.isStepReturn = function(args) {
	if (args) {
		var func = args.callee;
		for (var i = jsDebug.functionStack.length - 2; i > -1; i--) {
			if (func == jsDebug.functionStack[i]) {
				return true;
			}
		}
		return false;
	} else {
		return true;
	}
}

/**
 * find if arguments is stepover context
 */
jsDebug.isStepOver = function(args) {
	if (args) {
		var func = args.callee;
		for (var i = jsDebug.functionStack.length - 1; i > -1; i--) {
			if (func == jsDebug.functionStack[i]) {
				return true;
			}
		}
		return false;
	} else {
		return true;
	}
}

/**
 * 
 */
jsDebug.error = function(e, resource, line,callFunc) {
	try {
		var funcStr = callFunc + "";
			if(funcStr.indexOf("function anonymous")>=0){
				funcStr = undefined;
			}
		var postData = {
			"ERROR" : encodeURI(e),
			"COMMAND" : "ERROR",
			"RESOURCE" : resource,
			"LINE" : line,
			"ERRORFUNC":funcStr,
			"ISIE":isIE
		}
		empBridge.debug(obj2string(postData));
	} catch (e) {

	}
}

/**
 * 
 */
jsDebug.stepReturn = function(func) {
	try {
		var data = jsDebug.getFuncData(func.arguments, func.__evalFunc);
		jsDebug.updateStack(func.arguments, func.__resource, func.__scope,
				func.__line, func.__evalFunc);
		if (func.__scope != top) {
			data["this"] = func.__scope;
		}
		var postData = {
			"STACK" : data,
			"COMMAND" : jsDebug.debugCommand,
			"RESOURCE" : func.__resource,
			"LINE" : func.__line
		}
		var res = empBridge.debug(obj2string(postData));
		jsDebug.parseResult(res,func.__evalFunc);
		
	} catch (e) {
	}
}


jsDebug.evalExpression = function(expression, evalFunc) {
	try {
	//	jsDebug.xmlHttp.open("POST", "/jsdebug.debug?" + new Date(), false);
		var postData = {
			"STACK" : {},
			"COMMAND" : "EXPRESSION",
			"EXPRESSION" : expression
		}
		try {
			jsDebug.isExpression = true;
			var ret = evalFunc(expression);
			if(typeof(ret)=="undefined"){
				ret = "undefined";
			}else if(ret==null){
				ret = "null";
			}
			postData["RESULT"] = ret;
		} catch (e) {
			postData["ERROR"] = e;
		}
		jsDebug.isExpression = false;
		var res = empBridge.debug(obj2string(postData));
		jsDebug.parseResult(res,evalFunc);
	} catch (e) {

	}
}

jsDebug.evalValue = function(expression, evalFunc){
	try {
//		jsDebug.xmlHttp.open("POST", "/jsdebug.debug?" + new Date(), false);
		var postData = {
			"STACK" : {},
			"COMMAND" : "VALUE",
			"EXPRESSION" : expression
		}
		try {
			jsDebug.isExpression = true;
			var ret = evalFunc(expression);
			var data = {};
			if(typeof(ret)=="undefined"){
				ret = "undefined";
			}else if(ret==null){
				ret = "null";
			}else{
				for(var prop in ret){
					try{
						if(prop!="postData"&&!contains(del,prop)){
						var value = ret[prop];
						var type = typeof(value);
						if(type=="function"){
							continue;
						}
						var stringValue = "";
						if(value){
							stringValue = value.toString();
						}
						if(value==null){
							stringValue = "null";
							type = "null";
						}else if(value==undefined){
							stringValue = "undefined";
							type = "undefined";
						}
						data[prop] = {"value":stringValue,"type":typeof(value)};
						}
					}catch(e){

					}
				}
			}
			postData["RESULT"] = data;
		} catch (e) {
			postData["ERROR"] = e;
		}
		jsDebug.isExpression = false;
		var submitString = "{}";
		try{
			submitString = json2string(postData);
		}catch(e){

		}
		var res = empBridge.debug(obj2string(postData));
		jsDebug.parseResult(res,evalFunc);
	} catch (e) {
		alert(e);
	}
}

/**
 * 
 */
jsDebug.parseResult = function(result, evalFunc) {
	if (result) {
		if (result.indexOf("{") == 0) {
			try {
				eval("var retObj = " + result);
				if( retObj["COMMAND"]){
					if(retObj["COMMAND"]=="EXPRESSION"){
						jsDebug.evalExpression(retObj["EXPRESSION"], evalFunc);
					}else if(retObj["COMMAND"]=="VALUE"){
						jsDebug.evalValue(retObj["EXPRESSION"], evalFunc);
					}else{
						jsDebug.isExpression = false;
						jsDebug.debugCommand = retObj["COMMAND"];
						if (jsDebug.debugCommand == "BREAKPOINT") {
							jsDebug.breakpoints = retObj["BREAKPOINTS"];
						}
					}
				}
                return retObj;
			} catch (e) {
			}
		} else {
			 alert("Debug error:" + result);
		}
	} else {

	}
}



function json2string(obj, depth) {
	depth = depth || 0;
	if (typeof obj == "function") {
		return "\"function\"";
	}  else if (obj && typeof obj.pop == 'function' && obj instanceof Array) {
		return array2string(obj, depth + 1);
	} else if (typeof obj == "object") {
		return obj2string(obj, depth + 1);
	} else {
		if (typeof obj == "string") {
			return "\"" + obj.replace(/"/gm, "'").replace(/\n|\r/gm, "")
					+ "\"";
		} else if (typeof obj == "number") {
			if (isFinite(obj)) {
				return obj;
			} else {
				return "\"out of number\"";
			}
		} else {
			//return util.jsonToString(obj).replace(/"/gm, "\\\"").replace(/\n|\r/gm, "");
		}
	}
}

function obj2string(obj, depth) {
	depth = depth || 0;
		var arr = [];
		for (var prop in obj) {
			try {
				if (obj.hasOwnProperty(prop) && typeof(obj[prop]) != "function") {
					if (depth < 9) {
						arr.push("\"" + prop + "\":"
								+ json2string(obj[prop], depth + 1));
					} else {
						arr.push("\"" + prop + "\":\"...\"")
					}
				}
			} catch (e) {

			}
		}
		return "{" + arr.join(",") + "}";
}

function complexObj2String(obj){
	var arr = [];
	for (var prop in obj) {
		try {
			if (typeof(obj[prop]) != "function") {
				var value = (obj[prop] + "").replace(/"/gm, "'").replace(/\n|\r/gm, "");
				arr.push("\"" + prop + "\":\""
						+ value + "\"");
			}
		} catch (e) {

		}
	}
	return "{" + arr.join(",") + "}";
}
function array2string(array, depth) {
	depth = depth || 0;
	var arr = [];
	for (var i = 0; i < array.length; i++) {
		arr.push(json2string(array[i], depth + 1));
	}
	return "[" + arr.join(",") + "]";
}

function mergeJsonObject(jsonbject1, jsonbject2)  
{  
    var resultJsonObject={};  
    for(var attr in jsonbject1){  
        resultJsonObject[attr]=jsonbject1[attr];  
    }  
    for(var attr in jsonbject2){  
        resultJsonObject[attr]=jsonbject2[attr];  
    }  

    return resultJsonObject;  
};  

function convertStringToJSON(str){
    var stu = eval('('+str+')');
    return stu;
}

function contains(a,obj){
	var i = a.length;
	while(i--){
		if(a[i]===obj){
			return true;
		}
	}
	return false;
}

jsDebug.getBreakPoint = function(async) {
	var postData = {"COMMAND":"RESUME"}; 
    var res = empBridge.debug(obj2string(postData));
    var retObj = util.stringToJson(res);
    jsDebug.breakpoints = retObj["BREAKPOINTS"];
    return;

	async = async?false:true;
	log(":"+async);
	try{
//	var jsonResume = "{\"COMMAND\":\"RESUME\"}";
		var postData = {"COMMAND":"RESUME"}; 
	if(async){
		var id;
	    log("");
		id = setInterval(jsDebug.getBreakPoint,1000);
	}else{
		log("");
	    var res = empBridge.debug(obj2string(postData));
	    var retObj = util.stringToJson(res);
	    jsDebug.breakpoints = retObj["BREAKPOINTS"];
	}
	} catch(e){
		
	}
}

jsDebug.getBreakPoint();

jsDebug.debug =  function(resource,line,scope,args,evalFunc){
	var isNewStack = false;
	if(args&&args["_funcIndex"]==undefined){
		if(args.callee.caller && args.callee.caller.arguments){
			if(args.callee.caller.arguments["__funcIndex"]==undefined){
				args["__funcIndex"] = DEBUG_FUNC_INDEX++;
				isNewStack = true;
			}else{
				args["__funcIndex"] = args.callee.caller.arguments["__funcIndex"];
			}
		}
	}
	
	if (jsDebug.isExpression) {
		return;
	}
	
	
	try {
		jsDebug.currResource = resource;
		jsDebug.currLine = line;
		if (jsDebug.debugCommand == null) {
			jsDebug.debugCommand = "START";
		}
		if (jsDebug.debugCommand == "TERMINATE") {
			throw "exit";
		}
		if(!jsDebug.breakpoints){
			jsDebug.getBreakPoint(true);
		}
		if (!(jsDebug.breakpoints && jsDebug.breakpoints[resource + line])) {
			if (jsDebug.debugCommand == "STEPRETURN"
					|| jsDebug.debugCommand == "STEPOVER") {
				var parentFunc = jsDebug.functionStack[jsDebug.functionStack.length
						- 2];
				var currFunc = jsDebug.functionStack[jsDebug.functionStack.length
						- 1];
				if(currFunc && (currFunc==args.callee)){
					if(jsDebug.debugCommand == "STEPRETURN"){
						return;
					}
					// do nothing
				}else{
					if (parentFunc && (args.callee.caller == parentFunc)) {
						jsDebug.stepReturn(parentFunc);
						jsDebug.debug(resource, line, scope, args, evalFunc);
						if(jsDebug.debugCommand == "STEPRETURN"){
							return;
						}
					}else{
//						if(args.callee){
//							return;
//						}
					}
				}

			}
			if (jsDebug.debugCommand == "STEPRETURN") {
				if (!jsDebug.isStepReturn(args)) {
					if(args.callee){
						return;
					}
				}
			} else if (jsDebug.debugCommand == "STEPOVER") {
				if (!jsDebug.isStepOver(args)) {
					if(args.callee){
						return;
					}
				}
			} else if (jsDebug.debugCommand == "RESUME") {
				return;
			} else if (jsDebug.debugCommand == "STEPINTO") {

			} else {
				return;
			}
		} else {
			jsDebug.debugCommand = "BREAKPOINT";
		}
		
		var data = getFuncData(args,evalFunc);
		var windowData = getWindowData(args,evalFunc);
		var stack = mergeJsonObject(windowData,data);
		
		jsDebug.updateStack(args, resource, scope, line, evalFunc);
		
		var postData = {
				"STACK" : stack,
				"COMMAND" : jsDebug.debugCommand,
				"RESOURCE" : resource,
				"LINE" : line,
				"NEWSTACK":true
		};
		var postDataStr = json2string(postData,0);
		
	    var res = empBridge.debug(postDataStr);
		
		jsDebug.parseResult(res, evalFunc);
		
	} catch (e) {

	}

};

var $jsd = jsDebug.debug;
Emp.page.setId('_body_8930213');
$M.includeFile("/fan_club_pop.html");
var touxiangB = new Emp.Panel({"id":"touxiangB","height":"100%","layout":"VBox","width":"100%"});
var _div_21617086 = new Emp.Panel({"id":"_div_21617086","height":"44","vAlign":"middle","width":"100%","backgroundImage":"/icon_128/u93.png"});
_div_21617086.addEvent('onClick',goBack);
var _img_24532721 = new Emp.Image({"id":"_img_24532721","height":"30","width":"30","src":"/icon_128/iconfont-back.png"});
_div_21617086.add(_img_24532721);
var _div_4583198 = new Emp.Panel({"id":"_div_4583198","height":"100%","vAlign":"middle","hAlign":"left","width":"200"});
var pagetitle = new Emp.Label({"id":"pagetitle","color":"#999999","value":"","fontSize":"16"});
_div_4583198.add(pagetitle);
_div_21617086.add(_div_4583198);
var _div_2928859 = new Emp.Panel({"id":"_div_2928859","height":"100%","vAlign":"middle","hAlign":"right","width":"100%","paddingRight":"10"});
var _input_997773 = new Emp.Label({"id":"_input_997773","color":"#999999","value":"","fontSize":"16"});
_div_2928859.add(_input_997773);
_div_21617086.add(_div_2928859);
touxiangB.add(_div_21617086);
var _div_18203099 = new Emp.Panel({"id":"_div_18203099","height":"1","backgroundColor":"#CCCCCC","borderWidth":"0","width":"100%"});
touxiangB.add(_div_18203099);
var _div_30873118 = new Emp.Panel({"id":"_div_30873118","height":"100%","vAlign":"bottom","width":"100%","hAlign":"center"});
var touxiang = new Emp.Image({"id":"touxiang","height":"80","width":"80","src":"","circleClip":"true"});
_div_30873118.add(touxiang);
touxiangB.add(_div_30873118);
var _div_16519539 = new Emp.Panel({"id":"_div_16519539","height":"40","vAlign":"middle","hAlign":"center","width":"100%"});
var _div_27159216 = new Emp.Panel({"id":"_div_27159216","hAlign":"center","width":"100%"});
var userNm = new Emp.Label({"id":"userNm","color":"#ffffff","value":"","fontSize":"25"});
_div_27159216.add(userNm);
_div_16519539.add(_div_27159216);
touxiangB.add(_div_16519539);
var _div_3382401 = new Emp.Panel({"id":"_div_3382401","marginBottom":"20","height":"30","marginLeft":"10","vAlign":"middle","hAlign":"center","width":"100%"});
var quotations = new Emp.Label({"id":"quotations","color":"#ffffff","vAlign":"middle","hAlign":"center","width":"100%","value":"","fontSize":"16","singleLine":"false"});
_div_3382401.add(quotations);
touxiangB.add(_div_3382401);
var _div_10692440 = new Emp.Panel({"id":"_div_10692440","height":"60","width":"100%"});
touxiangB.add(_div_10692440);
var _div_5190752 = new Emp.Panel({"id":"_div_5190752","height":"50","width":"100%"});
var _div_9378541 = new Emp.Panel({"id":"_div_9378541","height":"50","hAlign":"center","width":"100%"});
var _input_12498960 = new Emp.Label({"id":"_input_12498960","color":"#ffffff","value":"饭量","fontSize":"18"});
_div_9378541.add(_input_12498960);
var fansCnt = new Emp.Label({"id":"fansCnt","color":"#ffffff","value":"0","fontSize":"16"});
_div_9378541.add(fansCnt);
_div_5190752.add(_div_9378541);
var _div_10233649 = new Emp.Panel({"id":"_div_10233649","height":"50","hAlign":"center","width":"100%","display":"false"});
var _input_9280533 = new Emp.Label({"id":"_input_9280533","color":"#ffffff","value":"影视","fontSize":"18"});
_div_10233649.add(_input_9280533);
var videoCnt = new Emp.Label({"id":"videoCnt","color":"#ffffff","value":"0","fontSize":"16"});
_div_10233649.add(videoCnt);
_div_5190752.add(_div_10233649);
var _div_22651994 = new Emp.Panel({"id":"_div_22651994","height":"50","hAlign":"center","width":"100%"});
_div_22651994.addEvent('onClick',search_fan);
var _input_3480751 = new Emp.Label({"id":"_input_3480751","color":"#ffffff","value":"饭团","fontSize":"18"});
_div_22651994.add(_input_3480751);
var fansGrpCnt = new Emp.Label({"id":"fansGrpCnt","color":"#ffffff","value":"0","fontSize":"16"});
_div_22651994.add(fansGrpCnt);
_div_5190752.add(_div_22651994);
var _div_28081358 = new Emp.Panel({"id":"_div_28081358","height":"50","hAlign":"center","width":"100%"});
_div_28081358.addEvent('onClick',goFanStart);
var _input_27774771 = new Emp.Label({"id":"_input_27774771","color":"#ffffff","value":"明星行程","fontSize":"18"});
_div_28081358.add(_input_27774771);
_div_5190752.add(_div_28081358);
touxiangB.add(_div_5190752);
var fangrp_data = new Emp.Panel({"id":"fangrp_data","marginBottom":"5","height":"160","overflow":"x","width":"100%"});
var fangrp1 = new Emp.Panel({"id":"fangrp1","height":"160","width":"150","layout":"VBox","display":"none"});
fangrp1.addEvent('onClick',onclickFangrp);
var _div_11365334 = new Emp.Panel({"id":"_div_11365334","borderColor":"#ffffff","height":"150","backgroundColor":"#ffffff","marginTop":"10","marginLeft":"5","borderWidth":"1","layout":"VBox","width":"144","cornerRadius":"8"});
var _div_10241699 = new Emp.Panel({"id":"_div_10241699","height":"25","marginTop":"20","hAlign":"center","width":"100%"});
var fangrpname1 = new Emp.Label({"id":"fangrpname1","height":"25","vAlign":"middle","color":"#333333","hAlign":"center","width":"125","value":"","fontSize":"12","singleLine":"true"});
_div_10241699.add(fangrpname1);
_div_11365334.add(_div_10241699);
var _div_12789408 = new Emp.Panel({"id":"_div_12789408","height":"60","hAlign":"center","width":"100%"});
var fangrpphoto1 = new Emp.Image({"id":"fangrpphoto1","height":"60","width":"60","src":"","circleClip":"true"});
_div_12789408.add(fangrpphoto1);
_div_11365334.add(_div_12789408);
var fanGrpV1 = new Emp.Image({"position":"relative","id":"fanGrpV1","height":"18","vAlign":"middle","hAlign":"center","width":"18","left":"85","display":"false","src":"/icon_128/fangrp_v.png","top":"85"});
_div_11365334.add(fanGrpV1);
var _div_11006151 = new Emp.Panel({"id":"_div_11006151","height":"20","marginLeft":"10","marginTop":"10","vAlign":"middle","hAlign":"left","width":"100%"});
var _div_15563253 = new Emp.Panel({"id":"_div_15563253","borderColor":"#ffca45","height":"16","vAlign":"middle","borderWidth":"1","hAlign":"center","width":"16"});
var _input_18753496 = new Emp.Label({"id":"_input_18753496","height":"16","vAlign":"middle","color":"#ffca45","hAlign":"center","width":"16","value":"福","fontSize":"10"});
_div_15563253.add(_input_18753496);
_div_11006151.add(_div_15563253);
var fangrpbenifit1 = new Emp.Label({"id":"fangrpbenifit1","height":"20","vAlign":"middle","color":"#999999","marginLeft":"5","hAlign":"center","width":"110","value":"","fontSize":"12","singleLine":"true"});
_div_11006151.add(fangrpbenifit1);
_div_11365334.add(_div_11006151);
fangrp1.add(_div_11365334);
var _div_27652544 = new Emp.Panel({"id":"_div_27652544","height":"18","marginLeft":"10","marginTop":"-157","layout":"HBox","width":"100%"});
var _div_25089004 = new Emp.Panel({"id":"_div_25089004","borderColor":"#ffcc00","height":"16","vAlign":"middle","marginLeft":"10","backgroundColor":"#FFCC00","borderWidth":"2","hAlign":"center","width":"16","cornerRadius":"5"});
var fangrplevel1 = new Emp.Label({"id":"fangrplevel1","height":"16","vAlign":"middle","color":"#ffffff","hAlign":"center","width":"16","value":"1","fontSize":"10"});
_div_25089004.add(fangrplevel1);
_div_27652544.add(_div_25089004);
var _div_5449122 = new Emp.Panel({"id":"_div_5449122","borderColor":"#ffcc00","height":"16","backgroundColor":"#ffcc00","marginLeft":"5","vAlign":"middle","borderWidth":"2","layout":"HBox","hAlign":"center","width":"60","cornerRadius":"5","paddingLeft":"5"});
var _img_28231767 = new Emp.Image({"id":"_img_28231767","height":"12","width":"12","src":"/icon_128/iconfont-users.png"});
_div_5449122.add(_img_28231767);
var membercnt1 = new Emp.Label({"id":"membercnt1","height":"16","vAlign":"middle","color":"#ffffff","hAlign":"center","width":"33","value":"0","fontSize":"10"});
_div_5449122.add(membercnt1);
_div_27652544.add(_div_5449122);
fangrp1.add(_div_27652544);
fangrp_data.add(fangrp1);
var fangrp2 = new Emp.Panel({"id":"fangrp2","height":"160","width":"150","layout":"VBox","display":"none"});
fangrp2.addEvent('onClick',onclickFangrp);
var _div_3342019 = new Emp.Panel({"id":"_div_3342019","borderColor":"#ffffff","height":"150","backgroundColor":"#ffffff","marginTop":"10","marginLeft":"5","borderWidth":"1","layout":"VBox","width":"144","cornerRadius":"8"});
var _div_17122479 = new Emp.Panel({"id":"_div_17122479","height":"25","marginTop":"20","hAlign":"center","width":"100%"});
var fangrpname2 = new Emp.Label({"id":"fangrpname2","height":"25","vAlign":"middle","color":"#333333","hAlign":"center","width":"125","value":"","fontSize":"12","singleLine":"true"});
_div_17122479.add(fangrpname2);
_div_3342019.add(_div_17122479);
var _div_8023583 = new Emp.Panel({"id":"_div_8023583","height":"60","hAlign":"center","width":"100%"});
var fangrpphoto2 = new Emp.Image({"id":"fangrpphoto2","height":"60","width":"60","src":"","circleClip":"true"});
_div_8023583.add(fangrpphoto2);
_div_3342019.add(_div_8023583);
var fanGrpV2 = new Emp.Image({"position":"relative","id":"fanGrpV2","height":"18","vAlign":"middle","hAlign":"center","width":"18","left":"85","display":"false","src":"/icon_128/fangrp_v.png","top":"85"});
_div_3342019.add(fanGrpV2);
var _div_21651276 = new Emp.Panel({"id":"_div_21651276","height":"20","marginLeft":"10","marginTop":"10","vAlign":"middle","hAlign":"left","width":"100%"});
var _div_27205631 = new Emp.Panel({"id":"_div_27205631","borderColor":"#ffca45","height":"16","vAlign":"middle","borderWidth":"1","hAlign":"center","width":"16"});
var _input_32363128 = new Emp.Label({"id":"_input_32363128","height":"16","vAlign":"middle","color":"#ffca45","hAlign":"center","width":"16","value":"福","fontSize":"10"});
_div_27205631.add(_input_32363128);
_div_21651276.add(_div_27205631);
var fangrpbenifit2 = new Emp.Label({"id":"fangrpbenifit2","height":"20","vAlign":"middle","color":"#999999","marginLeft":"5","hAlign":"center","width":"110","value":"","fontSize":"12","singleLine":"true"});
_div_21651276.add(fangrpbenifit2);
_div_3342019.add(_div_21651276);
fangrp2.add(_div_3342019);
var _div_10521112 = new Emp.Panel({"id":"_div_10521112","height":"18","marginLeft":"10","marginTop":"-157","layout":"HBox","width":"100%"});
var _div_30041439 = new Emp.Panel({"id":"_div_30041439","borderColor":"#ffcc00","height":"16","vAlign":"middle","marginLeft":"10","backgroundColor":"#FFCC00","borderWidth":"2","hAlign":"center","width":"16","cornerRadius":"5"});
var fangrplevel2 = new Emp.Label({"id":"fangrplevel2","height":"16","vAlign":"middle","color":"#ffffff","hAlign":"center","width":"16","value":"1","fontSize":"10"});
_div_30041439.add(fangrplevel2);
_div_10521112.add(_div_30041439);
var _div_11846333 = new Emp.Panel({"id":"_div_11846333","borderColor":"#ffcc00","height":"16","backgroundColor":"#ffcc00","marginLeft":"5","vAlign":"middle","borderWidth":"2","layout":"HBox","hAlign":"center","width":"60","cornerRadius":"5","paddingLeft":"5"});
var _img_22888999 = new Emp.Image({"id":"_img_22888999","height":"12","width":"12","src":"/icon_128/iconfont-users.png"});
_div_11846333.add(_img_22888999);
var membercnt2 = new Emp.Label({"id":"membercnt2","height":"16","vAlign":"middle","color":"#ffffff","hAlign":"center","width":"33","value":"0","fontSize":"10"});
_div_11846333.add(membercnt2);
_div_10521112.add(_div_11846333);
fangrp2.add(_div_10521112);
fangrp_data.add(fangrp2);
var fangrp3 = new Emp.Panel({"id":"fangrp3","height":"160","width":"150","layout":"VBox","display":"none"});
fangrp3.addEvent('onClick',onclickFangrp);
var _div_17358900 = new Emp.Panel({"id":"_div_17358900","borderColor":"#ffffff","height":"150","backgroundColor":"#ffffff","marginTop":"10","marginLeft":"5","borderWidth":"1","layout":"VBox","width":"144","cornerRadius":"8"});
var _div_8201182 = new Emp.Panel({"id":"_div_8201182","height":"25","marginTop":"20","hAlign":"center","width":"100%"});
var fangrpname3 = new Emp.Label({"id":"fangrpname3","height":"25","vAlign":"middle","color":"#333333","hAlign":"center","width":"125","value":"","fontSize":"12","singleLine":"true"});
_div_8201182.add(fangrpname3);
_div_17358900.add(_div_8201182);
var _div_15967479 = new Emp.Panel({"id":"_div_15967479","height":"60","hAlign":"center","width":"100%"});
var fangrpphoto3 = new Emp.Image({"id":"fangrpphoto3","height":"60","width":"60","src":"","circleClip":"true"});
_div_15967479.add(fangrpphoto3);
_div_17358900.add(_div_15967479);
var fanGrpV3 = new Emp.Image({"position":"relative","id":"fanGrpV3","height":"18","vAlign":"middle","hAlign":"center","width":"18","left":"85","display":"false","src":"/icon_128/fangrp_v.png","top":"85"});
_div_17358900.add(fanGrpV3);
var _div_2316096 = new Emp.Panel({"id":"_div_2316096","height":"20","marginLeft":"10","marginTop":"10","vAlign":"middle","hAlign":"left","width":"100%"});
var _div_6613695 = new Emp.Panel({"id":"_div_6613695","borderColor":"#ffca45","height":"16","vAlign":"middle","borderWidth":"1","hAlign":"center","width":"16"});
var _input_24826515 = new Emp.Label({"id":"_input_24826515","height":"16","vAlign":"middle","color":"#ffca45","hAlign":"center","width":"16","value":"福","fontSize":"10"});
_div_6613695.add(_input_24826515);
_div_2316096.add(_div_6613695);
var fangrpbenifit3 = new Emp.Label({"id":"fangrpbenifit3","height":"20","vAlign":"middle","color":"#999999","marginLeft":"5","hAlign":"center","width":"110","value":"","fontSize":"12","singleLine":"true"});
_div_2316096.add(fangrpbenifit3);
_div_17358900.add(_div_2316096);
fangrp3.add(_div_17358900);
var _div_9624162 = new Emp.Panel({"id":"_div_9624162","height":"18","marginLeft":"10","marginTop":"-157","layout":"HBox","width":"100%"});
var _div_14368494 = new Emp.Panel({"id":"_div_14368494","borderColor":"#ffcc00","height":"16","vAlign":"middle","marginLeft":"10","backgroundColor":"#FFCC00","borderWidth":"2","hAlign":"center","width":"16","cornerRadius":"5"});
var fangrplevel3 = new Emp.Label({"id":"fangrplevel3","height":"16","vAlign":"middle","color":"#ffffff","hAlign":"center","width":"16","value":"1","fontSize":"10"});
_div_14368494.add(fangrplevel3);
_div_9624162.add(_div_14368494);
var _div_10290686 = new Emp.Panel({"id":"_div_10290686","borderColor":"#ffcc00","height":"16","backgroundColor":"#ffcc00","marginLeft":"5","vAlign":"middle","borderWidth":"2","layout":"HBox","hAlign":"center","width":"60","cornerRadius":"5","paddingLeft":"5"});
var _img_16026083 = new Emp.Image({"id":"_img_16026083","height":"12","width":"12","src":"/icon_128/iconfont-users.png"});
_div_10290686.add(_img_16026083);
var membercnt3 = new Emp.Label({"id":"membercnt3","height":"16","vAlign":"middle","color":"#ffffff","hAlign":"center","width":"33","value":"0","fontSize":"10"});
_div_10290686.add(membercnt3);
_div_9624162.add(_div_10290686);
fangrp3.add(_div_9624162);
fangrp_data.add(fangrp3);
var fangrp4 = new Emp.Panel({"id":"fangrp4","height":"160","width":"150","layout":"VBox","display":"none"});
fangrp4.addEvent('onClick',onclickFangrp);
var _div_1644275 = new Emp.Panel({"id":"_div_1644275","borderColor":"#ffffff","height":"150","backgroundColor":"#ffffff","marginTop":"10","marginLeft":"5","borderWidth":"1","layout":"VBox","width":"144","cornerRadius":"8"});
var _div_20033189 = new Emp.Panel({"id":"_div_20033189","height":"25","marginTop":"20","hAlign":"center","width":"100%"});
var fangrpname4 = new Emp.Label({"id":"fangrpname4","height":"25","vAlign":"middle","color":"#333333","hAlign":"center","width":"125","value":"","fontSize":"12","singleLine":"true"});
_div_20033189.add(fangrpname4);
_div_1644275.add(_div_20033189);
var _div_16795980 = new Emp.Panel({"id":"_div_16795980","height":"60","hAlign":"center","width":"100%"});
var fangrpphoto4 = new Emp.Image({"id":"fangrpphoto4","height":"60","width":"60","src":"","circleClip":"true"});
_div_16795980.add(fangrpphoto4);
_div_1644275.add(_div_16795980);
var fanGrpV4 = new Emp.Image({"position":"relative","id":"fanGrpV4","height":"18","vAlign":"middle","hAlign":"center","width":"18","left":"85","display":"false","src":"/icon_128/fangrp_v.png","top":"85"});
_div_1644275.add(fanGrpV4);
var _div_15636452 = new Emp.Panel({"id":"_div_15636452","height":"20","marginLeft":"10","marginTop":"10","vAlign":"middle","hAlign":"left","width":"100%"});
var _div_3544290 = new Emp.Panel({"id":"_div_3544290","borderColor":"#ffca45","height":"16","vAlign":"middle","borderWidth":"1","hAlign":"center","width":"16"});
var _input_9768934 = new Emp.Label({"id":"_input_9768934","height":"16","vAlign":"middle","color":"#ffca45","hAlign":"center","width":"16","value":"福","fontSize":"10"});
_div_3544290.add(_input_9768934);
_div_15636452.add(_div_3544290);
var fangrpbenifit4 = new Emp.Label({"id":"fangrpbenifit4","height":"20","vAlign":"middle","color":"#999999","marginLeft":"5","hAlign":"center","width":"110","value":"","fontSize":"12","singleLine":"true"});
_div_15636452.add(fangrpbenifit4);
_div_1644275.add(_div_15636452);
fangrp4.add(_div_1644275);
var _div_12490406 = new Emp.Panel({"id":"_div_12490406","height":"18","marginLeft":"10","marginTop":"-157","layout":"HBox","width":"100%"});
var _div_9727410 = new Emp.Panel({"id":"_div_9727410","borderColor":"#ffcc00","height":"16","vAlign":"middle","marginLeft":"10","backgroundColor":"#FFCC00","borderWidth":"2","hAlign":"center","width":"16","cornerRadius":"5"});
var fangrplevel4 = new Emp.Label({"id":"fangrplevel4","height":"16","vAlign":"middle","color":"#ffffff","hAlign":"center","width":"16","value":"1","fontSize":"10"});
_div_9727410.add(fangrplevel4);
_div_12490406.add(_div_9727410);
var _div_25304034 = new Emp.Panel({"id":"_div_25304034","borderColor":"#ffcc00","height":"16","backgroundColor":"#ffcc00","marginLeft":"5","vAlign":"middle","borderWidth":"2","layout":"HBox","hAlign":"center","width":"60","cornerRadius":"5","paddingLeft":"5"});
var _img_16039235 = new Emp.Image({"id":"_img_16039235","height":"12","width":"12","src":"/icon_128/iconfont-users.png"});
_div_25304034.add(_img_16039235);
var membercnt4 = new Emp.Label({"id":"membercnt4","height":"16","vAlign":"middle","color":"#ffffff","hAlign":"center","width":"33","value":"0","fontSize":"10"});
_div_25304034.add(membercnt4);
_div_12490406.add(_div_25304034);
fangrp4.add(_div_12490406);
fangrp_data.add(fangrp4);
var fangrp5 = new Emp.Panel({"id":"fangrp5","height":"160","width":"150","layout":"VBox","display":"none"});
fangrp5.addEvent('onClick',onclickFangrp);
var _div_29244833 = new Emp.Panel({"id":"_div_29244833","borderColor":"#ffffff","height":"150","backgroundColor":"#ffffff","marginTop":"10","marginLeft":"5","borderWidth":"1","layout":"VBox","width":"144","cornerRadius":"8"});
var _div_12600603 = new Emp.Panel({"id":"_div_12600603","height":"25","marginTop":"20","hAlign":"center","width":"100%"});
var fangrpname5 = new Emp.Label({"id":"fangrpname5","height":"25","vAlign":"middle","color":"#333333","hAlign":"center","width":"125","value":"","fontSize":"12","singleLine":"true"});
_div_12600603.add(fangrpname5);
_div_29244833.add(_div_12600603);
var _div_9870404 = new Emp.Panel({"id":"_div_9870404","height":"60","hAlign":"center","width":"100%"});
var fangrpphoto5 = new Emp.Image({"id":"fangrpphoto5","height":"60","width":"60","src":"","circleClip":"true"});
_div_9870404.add(fangrpphoto5);
_div_29244833.add(_div_9870404);
var fanGrpV5 = new Emp.Image({"position":"relative","id":"fanGrpV5","height":"18","vAlign":"middle","hAlign":"center","width":"18","left":"85","display":"false","src":"/icon_128/fangrp_v.png","top":"85"});
_div_29244833.add(fanGrpV5);
var _div_23585384 = new Emp.Panel({"id":"_div_23585384","height":"20","marginLeft":"10","marginTop":"10","vAlign":"middle","hAlign":"left","width":"100%"});
var _div_21056199 = new Emp.Panel({"id":"_div_21056199","borderColor":"#ffca45","height":"16","vAlign":"middle","borderWidth":"1","hAlign":"center","width":"16"});
var _input_26500562 = new Emp.Label({"id":"_input_26500562","height":"16","vAlign":"middle","color":"#ffca45","hAlign":"center","width":"16","value":"福","fontSize":"10"});
_div_21056199.add(_input_26500562);
_div_23585384.add(_div_21056199);
var fangrpbenifit5 = new Emp.Label({"id":"fangrpbenifit5","height":"20","vAlign":"middle","color":"#999999","marginLeft":"5","hAlign":"center","width":"110","value":"","fontSize":"12","singleLine":"true"});
_div_23585384.add(fangrpbenifit5);
_div_29244833.add(_div_23585384);
fangrp5.add(_div_29244833);
var _div_15862174 = new Emp.Panel({"id":"_div_15862174","height":"18","marginLeft":"10","marginTop":"-157","layout":"HBox","width":"100%"});
var _div_5607331 = new Emp.Panel({"id":"_div_5607331","borderColor":"#ffcc00","height":"16","vAlign":"middle","marginLeft":"10","backgroundColor":"#FFCC00","borderWidth":"2","hAlign":"center","width":"16","cornerRadius":"5"});
var fangrplevel5 = new Emp.Label({"id":"fangrplevel5","height":"16","vAlign":"middle","color":"#ffffff","hAlign":"center","width":"16","value":"1","fontSize":"10"});
_div_5607331.add(fangrplevel5);
_div_15862174.add(_div_5607331);
var _div_29473507 = new Emp.Panel({"id":"_div_29473507","borderColor":"#ffcc00","height":"16","backgroundColor":"#ffcc00","marginLeft":"5","vAlign":"middle","borderWidth":"2","layout":"HBox","hAlign":"center","width":"60","cornerRadius":"5","paddingLeft":"5"});
var _img_30723740 = new Emp.Image({"id":"_img_30723740","height":"12","width":"12","src":"/icon_128/iconfont-users.png"});
_div_29473507.add(_img_30723740);
var membercnt5 = new Emp.Label({"id":"membercnt5","height":"16","vAlign":"middle","color":"#ffffff","hAlign":"center","width":"33","value":"0","fontSize":"10"});
_div_29473507.add(membercnt5);
_div_15862174.add(_div_29473507);
fangrp5.add(_div_15862174);
fangrp_data.add(fangrp5);
var fangrp6 = new Emp.Panel({"id":"fangrp6","height":"160","width":"150","layout":"VBox","display":"none"});
fangrp6.addEvent('onClick',onclickFangrp);
var _div_30050220 = new Emp.Panel({"id":"_div_30050220","borderColor":"#ffffff","height":"150","backgroundColor":"#ffffff","marginTop":"10","marginLeft":"5","borderWidth":"1","layout":"VBox","width":"144","cornerRadius":"8"});
var _div_26422364 = new Emp.Panel({"id":"_div_26422364","height":"25","marginTop":"20","hAlign":"center","width":"100%"});
var fangrpname6 = new Emp.Label({"id":"fangrpname6","height":"25","vAlign":"middle","color":"#333333","hAlign":"center","width":"125","value":"","fontSize":"12","singleLine":"true"});
_div_26422364.add(fangrpname6);
_div_30050220.add(_div_26422364);
var _div_24126881 = new Emp.Panel({"id":"_div_24126881","height":"60","hAlign":"center","width":"100%"});
var fangrpphoto6 = new Emp.Image({"id":"fangrpphoto6","height":"60","width":"60","src":"","circleClip":"true"});
_div_24126881.add(fangrpphoto6);
_div_30050220.add(_div_24126881);
var fanGrpV6 = new Emp.Image({"position":"relative","id":"fanGrpV6","height":"18","vAlign":"middle","hAlign":"center","width":"18","left":"85","display":"false","src":"/icon_128/fangrp_v.png","top":"85"});
_div_30050220.add(fanGrpV6);
var _div_24822686 = new Emp.Panel({"id":"_div_24822686","height":"20","marginLeft":"10","marginTop":"10","vAlign":"middle","hAlign":"left","width":"100%"});
var _div_12636780 = new Emp.Panel({"id":"_div_12636780","borderColor":"#ffca45","height":"16","vAlign":"middle","borderWidth":"1","hAlign":"center","width":"16"});
var _input_5254469 = new Emp.Label({"id":"_input_5254469","height":"16","vAlign":"middle","color":"#ffca45","hAlign":"center","width":"16","value":"福","fontSize":"10"});
_div_12636780.add(_input_5254469);
_div_24822686.add(_div_12636780);
var fangrpbenifit6 = new Emp.Label({"id":"fangrpbenifit6","height":"20","vAlign":"middle","color":"#999999","marginLeft":"5","hAlign":"center","width":"110","value":"","fontSize":"12","singleLine":"true"});
_div_24822686.add(fangrpbenifit6);
_div_30050220.add(_div_24822686);
fangrp6.add(_div_30050220);
var _div_6849091 = new Emp.Panel({"id":"_div_6849091","height":"18","marginLeft":"10","marginTop":"-157","layout":"HBox","width":"100%"});
var _div_4580447 = new Emp.Panel({"id":"_div_4580447","borderColor":"#ffcc00","height":"16","vAlign":"middle","marginLeft":"10","backgroundColor":"#FFCC00","borderWidth":"2","hAlign":"center","width":"16","cornerRadius":"5"});
var fangrplevel6 = new Emp.Label({"id":"fangrplevel6","height":"16","vAlign":"middle","color":"#ffffff","hAlign":"center","width":"16","value":"1","fontSize":"10"});
_div_4580447.add(fangrplevel6);
_div_6849091.add(_div_4580447);
var _div_12469882 = new Emp.Panel({"id":"_div_12469882","borderColor":"#ffcc00","height":"16","backgroundColor":"#ffcc00","marginLeft":"5","vAlign":"middle","borderWidth":"2","layout":"HBox","hAlign":"center","width":"60","cornerRadius":"5","paddingLeft":"5"});
var _img_17919935 = new Emp.Image({"id":"_img_17919935","height":"12","width":"12","src":"/icon_128/iconfont-users.png"});
_div_12469882.add(_img_17919935);
var membercnt6 = new Emp.Label({"id":"membercnt6","height":"16","vAlign":"middle","color":"#ffffff","hAlign":"center","width":"33","value":"0","fontSize":"10"});
_div_12469882.add(membercnt6);
_div_6849091.add(_div_12469882);
fangrp6.add(_div_6849091);
fangrp_data.add(fangrp6);
var _div_13882233 = new Emp.Panel({"id":"_div_13882233","borderColor":"#ffffff","height":"150","backgroundColor":"#ffffff","vAlign":"middle","marginTop":"10","marginLeft":"5","borderWidth":"1","width":"144","hAlign":"center","layout":"VBox","cornerRadius":"8"});
_div_13882233.addEvent('onClick',find_fan);
var _input_27443086 = new Emp.Label({"id":"_input_27443086","color":"#333333","value":"更多饭团","fontSize":"16"});
_div_13882233.add(_input_27443086);
var morefangrpcnt = new Emp.Label({"id":"morefangrpcnt","color":"#333333","value":"0","fontSize":"16"});
_div_13882233.add(morefangrpcnt);
var _img_30333985 = new Emp.Image({"id":"_img_30333985","height":"24","width":"45","src":"/icon_128/tag-06.png"});
_div_13882233.add(_img_30333985);
fangrp_data.add(_div_13882233);
touxiangB.add(fangrp_data);
Emp.page.add(touxiangB);








$jsd('/NewBuyApp/src/fan_club.htmlx',222,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);});var userIdT; 
$jsd('/NewBuyApp/src/fan_club.htmlx',224,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); $M.page.addEvent("onLoad", function (userId) { 
$jsd('/NewBuyApp/src/fan_club.htmlx',225,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); var userIdJ = {}; 
$jsd('/NewBuyApp/src/fan_club.htmlx',226,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); userIdJ.name = "fansInfo.userId"; 
$jsd('/NewBuyApp/src/fan_club.htmlx',227,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); userIdJ.value = userId; 
$jsd('/NewBuyApp/src/fan_club.htmlx',229,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); var preference = new $M.Preferences(); 
$jsd('/NewBuyApp/src/fan_club.htmlx',230,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); preference.open("newbuy_config"); 
$jsd('/NewBuyApp/src/fan_club.htmlx',231,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); var newbuy_config = preference.get("newbuy_config"); 
$jsd('/NewBuyApp/src/fan_club.htmlx',233,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); var ajax = new $M.Ajax(); 
$jsd('/NewBuyApp/src/fan_club.htmlx',234,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); ajax.addParams([userIdJ, {name:"loginkey", value:newbuy_config.loginkey}, {name:"mobileImei", value:Utils.getImei()}, {name:"mobileType", value:Utils.getOs()}, {name:"mobileToken", value:Utils.getMessageToken()}]); 
$jsd('/NewBuyApp/src/fan_club.htmlx',235,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); ajax.setAction("/mobile/fanAction!getStarInfo.action"); 
$jsd('/NewBuyApp/src/fan_club.htmlx',236,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); ajax.submit(function (result) { 
$jsd('/NewBuyApp/src/fan_club.htmlx',237,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); result = Utils.stringToJson(result); 
if($jsd('/NewBuyApp/src/fan_club.htmlx',239,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);})||true) if (result.success) { 
$jsd('/NewBuyApp/src/fan_club.htmlx',240,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); pagetitle.setValue(result.data.userNm); 
$jsd('/NewBuyApp/src/fan_club.htmlx',242,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); touxiang.setSrc(result.data.address); 
$jsd('/NewBuyApp/src/fan_club.htmlx',245,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); userIdT = userId; 
$jsd('/NewBuyApp/src/fan_club.htmlx',246,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); userNm.setValue(result.data.userNm); 
$jsd('/NewBuyApp/src/fan_club.htmlx',248,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); quotations.setValue(result.data.quotations); 
$jsd('/NewBuyApp/src/fan_club.htmlx',250,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); fansCnt.setValue(result.data.fansCnt * 51); 
$jsd('/NewBuyApp/src/fan_club.htmlx',252,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); videoCnt.setValue(result.data.fansCnt); 
$jsd('/NewBuyApp/src/fan_club.htmlx',254,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); fansGrpCnt.setValue(result.data.fansGrpCnt); 
$jsd('/NewBuyApp/src/fan_club.htmlx',255,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); morefangrpcnt.setValue(result.data.fansGrpCnt); 
$jsd('/NewBuyApp/src/fan_club.htmlx',257,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); setTimeout(function () { 
$jsd('/NewBuyApp/src/fan_club.htmlx',259,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); var fangrp_json = result.data.fanGrpList; 
$jsd('/NewBuyApp/src/fan_club.htmlx',261,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); for (var i = 0; i < fangrp_json.length; i++) { 
$jsd('/NewBuyApp/src/fan_club.htmlx',262,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); $M.get("fangrpname" + (i + 1)).setValue(fangrp_json[i].fanGrpName); 
$jsd('/NewBuyApp/src/fan_club.htmlx',263,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); $M.get("fangrpphoto" + (i + 1)).setValue(fangrp_json[i].fanGrpPhoto); 
$jsd('/NewBuyApp/src/fan_club.htmlx',265,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); $M.get("fangrpbenifit" + (i + 1)).setValue(fangrp_json[i].fanGrpBenefit); 
$jsd('/NewBuyApp/src/fan_club.htmlx',266,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); $M.get("fangrplevel" + (i + 1)).setValue(fangrp_json[i].fanGrpLevel); 
$jsd('/NewBuyApp/src/fan_club.htmlx',267,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); $M.get("membercnt" + (i + 1)).setValue(fangrp_json[i].fanGrpMemberCnt); 
$jsd('/NewBuyApp/src/fan_club.htmlx',268,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); $M.get("fangrp" + (i + 1)).setDisplay(true); 
$jsd('/NewBuyApp/src/fan_club.htmlx',269,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); $M.get("fangrp" + (i + 1)).fangrpId = fangrp_json[i].id; 
$jsd('/NewBuyApp/src/fan_club.htmlx',270,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); $M.get("fangrp" + (i + 1)).data = fangrp_json[i]; 
if($jsd('/NewBuyApp/src/fan_club.htmlx',274,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);})||true) if (fangrp_json[i].fanGrpStatus == "6") { 
$jsd('/NewBuyApp/src/fan_club.htmlx',275,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); $M.get("fanGrpV" + (i + 1)).setDisplay(true); 
} else { 
$jsd('/NewBuyApp/src/fan_club.htmlx',277,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); $M.get("fanGrpV" + (i + 1)).setDisplay(false); 
} 
} 
}, 5); 
$jsd('/NewBuyApp/src/fan_club.htmlx',284,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); setTimeout(function () { 
$jsd('/NewBuyApp/src/fan_club.htmlx',285,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); touxiangB.setBackgroundImage(result.data.background); 
}, 100); 
} else { 
$jsd('/NewBuyApp/src/fan_club.htmlx',288,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); toast("获取数据失败！"); 
} 
}, function (error) { 
$jsd('/NewBuyApp/src/fan_club.htmlx',291,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); toast("网络菌罢工了！"); 
}); 
}); 
$jsd('/NewBuyApp/src/fan_club.htmlx',296,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); function Create_hengxiang_Div1(i, json) { 
$jsd('/NewBuyApp/src/fan_club.htmlx',297,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); var divId = "div1" + json.i; 
$jsd('/NewBuyApp/src/fan_club.htmlx',298,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); var div = new $M.Panel({"id":divId, "height":"160", "layout":"VBox", "width":"150", "fangrpId":json.id, data:json}); 
$jsd('/NewBuyApp/src/fan_club.htmlx',306,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); $M.get(divId).add(Create_hengxiang_Div2(i, json)); 
$jsd('/NewBuyApp/src/fan_club.htmlx',307,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); $M.get(divId).add(Create_hengxiang_Div3(i, json)); 
$jsd('/NewBuyApp/src/fan_club.htmlx',308,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); $M.get(divId).addEvent("onClick", onclickFangrp); 
$jsd('/NewBuyApp/src/fan_club.htmlx',309,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); return div; 
} 
$jsd('/NewBuyApp/src/fan_club.htmlx',313,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); function onclickFangrp() { 
$jsd('/NewBuyApp/src/fan_club.htmlx',314,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); var fangrpId = this.fangrpId; 
if($jsd('/NewBuyApp/src/fan_club.htmlx',315,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);})||true) if (fangrpId != "" && fangrpId != undefined) { 
if($jsd('/NewBuyApp/src/fan_club.htmlx',316,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);})||true) if (this.data.joinStatus == "1") { 
$jsd('/NewBuyApp/src/fan_club.htmlx',317,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); $M.page.goTo("/fan_group.html", {fanId:this.data.id}); 
} else { 
$jsd('/NewBuyApp/src/fan_club.htmlx',319,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); $M.page.goTo("/fan_grp_detail.html", this.data); 
} 
$jsd('/NewBuyApp/src/fan_club.htmlx',321,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); return; 
} 
} 
$jsd('/NewBuyApp/src/fan_club.htmlx',327,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); function Create_hengxiang_Div2(i, json) { 
$jsd('/NewBuyApp/src/fan_club.htmlx',328,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); var divId = "div2" + json.i; 
$jsd('/NewBuyApp/src/fan_club.htmlx',329,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); var div = new $M.Panel({"id":divId, marginLeft:"5", marginTop:"10", "height":"150", width:"144", borderColor:"#ffffff", "layout":"VBox", borderWidth:"1", cornerRadius:"8", backgroundColor:"#ffffff"}); 
$jsd('/NewBuyApp/src/fan_club.htmlx',341,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); $M.get(divId).add(Create_hengxiang_Div2_1(i, json)); 
$jsd('/NewBuyApp/src/fan_club.htmlx',342,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); $M.get(divId).add(Create_hengxiang_Div2_2(i, json)); 
$jsd('/NewBuyApp/src/fan_club.htmlx',343,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); $M.get(divId).add(Create_hengxiang_Div2_3(i, json)); 
$jsd('/NewBuyApp/src/fan_club.htmlx',344,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); return div; 
} 
$jsd('/NewBuyApp/src/fan_club.htmlx',348,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); function Create_hengxiang_Div2_1(i, json) { 
$jsd('/NewBuyApp/src/fan_club.htmlx',349,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); var divId = "div2_1" + json.i; 
$jsd('/NewBuyApp/src/fan_club.htmlx',350,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); var div = new $M.Panel({"id":divId, "height":"25", width:"100%", hAlign:"center", marginTop:"20"}); 
$jsd('/NewBuyApp/src/fan_club.htmlx',357,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); $M.get(divId).add(createfan_tie_input2(json.fanGrpName)); 
$jsd('/NewBuyApp/src/fan_club.htmlx',358,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); return div; 
} 
$jsd('/NewBuyApp/src/fan_club.htmlx',362,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); function Create_hengxiang_Div2_2(i, json) { 
$jsd('/NewBuyApp/src/fan_club.htmlx',363,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); var divId = "div2_2" + json.i; 
$jsd('/NewBuyApp/src/fan_club.htmlx',364,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); var div = new $M.Panel({"id":divId, "height":"60", width:"100%", hAlign:"center"}); 
$jsd('/NewBuyApp/src/fan_club.htmlx',370,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); $M.get(divId).add(create_hengxiang_Img(json.fanGrpPhoto)); 
$jsd('/NewBuyApp/src/fan_club.htmlx',371,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); return div; 
} 
$jsd('/NewBuyApp/src/fan_club.htmlx',374,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); function create_hengxiang_Img(img) { 
$jsd('/NewBuyApp/src/fan_club.htmlx',375,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); var img = new $M.Image({width:"60", height:"60", "circleClip":"true", src:img}); 
$jsd('/NewBuyApp/src/fan_club.htmlx',381,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); return img; 
} 
$jsd('/NewBuyApp/src/fan_club.htmlx',385,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); function Create_hengxiang_Div2_3(i, json) { 
$jsd('/NewBuyApp/src/fan_club.htmlx',386,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); var divId = "div2_3" + json.i; 
$jsd('/NewBuyApp/src/fan_club.htmlx',387,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); var div = new $M.Panel({"id":divId, "height":"20", width:"100%", hAlign:"left", vAlign:"middle", marginTop:"10", marginLeft:"10"}); 
$jsd('/NewBuyApp/src/fan_club.htmlx',396,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); $M.get(divId).add(Create_hengxiang_Div2_3_1(i, json)); 
$jsd('/NewBuyApp/src/fan_club.htmlx',397,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); $M.get(divId).add(create_hengxiang_input2_3_2(json.fanGrpBenefit)); 
$jsd('/NewBuyApp/src/fan_club.htmlx',398,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); return div; 
} 
$jsd('/NewBuyApp/src/fan_club.htmlx',402,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); function Create_hengxiang_Div2_3_1(i, json) { 
$jsd('/NewBuyApp/src/fan_club.htmlx',403,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); var divId = "div2_3_1" + json.i; 
$jsd('/NewBuyApp/src/fan_club.htmlx',404,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); var div = new $M.Panel({"id":divId, "height":"16", width:"16", borderWidth:"1", borderColor:"#ffca45", vAlign:"middle", hAlign:"center"}); 
$jsd('/NewBuyApp/src/fan_club.htmlx',414,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); $M.get(divId).add(create_hengxiang_input2_3_1("福")); 
$jsd('/NewBuyApp/src/fan_club.htmlx',416,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); return div; 
} 
$jsd('/NewBuyApp/src/fan_club.htmlx',420,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); function create_hengxiang_input2_3_1(input) { 
$jsd('/NewBuyApp/src/fan_club.htmlx',421,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); var label = new $M.Label({"color":"#ffca45", "value":input, fontSize:"10"}); 
$jsd('/NewBuyApp/src/fan_club.htmlx',426,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); return label; 
} 
$jsd('/NewBuyApp/src/fan_club.htmlx',429,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); function create_hengxiang_input2_3_2(input) { 
$jsd('/NewBuyApp/src/fan_club.htmlx',430,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); var label = new $M.Label({"color":"#999999", fontSize:"12", marginLeft:"5", width:"110", singleLine:true, "value":input}); 
$jsd('/NewBuyApp/src/fan_club.htmlx',438,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); return label; 
} 
$jsd('/NewBuyApp/src/fan_club.htmlx',441,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); function createfan_tie_input2(input) { 
$jsd('/NewBuyApp/src/fan_club.htmlx',442,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); var label = new $M.Label({"fontSize":"12", "width":"125", hAlign:"center", color:"#333333", singleLine:true, "value":input}); 
$jsd('/NewBuyApp/src/fan_club.htmlx',450,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); return label; 
} 
$jsd('/NewBuyApp/src/fan_club.htmlx',453,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); function Create_hengxiang_Div3(i, json) { 
$jsd('/NewBuyApp/src/fan_club.htmlx',454,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); var divId = "div3" + json.i; 
$jsd('/NewBuyApp/src/fan_club.htmlx',455,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); var div = new $M.Panel({"id":divId, width:"100%", marginTop:"-157", "height":"18", "layout":"HBox", marginLeft:"10"}); 
$jsd('/NewBuyApp/src/fan_club.htmlx',463,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); $M.get(divId).add(Create_hengxiang_Div3_1(i, json)); 
$jsd('/NewBuyApp/src/fan_club.htmlx',464,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); $M.get(divId).add(Create_hengxiang_Div3_2(i, json)); 
$jsd('/NewBuyApp/src/fan_club.htmlx',465,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); return div; 
} 
$jsd('/NewBuyApp/src/fan_club.htmlx',469,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); function Create_hengxiang_Div3_1(i, json) { 
$jsd('/NewBuyApp/src/fan_club.htmlx',470,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); var divId = "div3_1" + json.i; 
$jsd('/NewBuyApp/src/fan_club.htmlx',471,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); var div = new $M.Panel({"id":divId, backgroundColor:"#FFCC00", marginLeft:"10", width:"16", height:"16", vAlign:"middle", hAlign:"center", borderWidth:"2", borderColor:"#FFCC00", cornerRadius:"5"}); 
$jsd('/NewBuyApp/src/fan_club.htmlx',483,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); $M.get(divId).add(createfan_tie_input1(json.fanGrpLevel)); 
$jsd('/NewBuyApp/src/fan_club.htmlx',484,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); return div; 
} 
$jsd('/NewBuyApp/src/fan_club.htmlx',487,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); function Create_hengxiang_Div3_2(i, json) { 
$jsd('/NewBuyApp/src/fan_club.htmlx',488,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); var divId = "div3_2" + json.i; 
$jsd('/NewBuyApp/src/fan_club.htmlx',489,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); var div = new $M.Panel({"id":divId, marginLeft:"5", backgroundColor:"#FFCC00", width:"45", height:"16", vAlign:"middle", hAlign:"left", borderWidth:"2", borderColor:"#FFCC00", cornerRadius:"5", paddingLeft:"5"}); 
$jsd('/NewBuyApp/src/fan_club.htmlx',502,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); $M.get(divId).add(create_fan_tie_Img("/icon_128/iconfont-users.png")); 
$jsd('/NewBuyApp/src/fan_club.htmlx',503,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); $M.get(divId).add(createfan_tie_input1(json.fanGrpMemberCnt)); 
$jsd('/NewBuyApp/src/fan_club.htmlx',504,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); return div; 
} 
$jsd('/NewBuyApp/src/fan_club.htmlx',508,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); function create_fan_tie_Img(img) { 
$jsd('/NewBuyApp/src/fan_club.htmlx',509,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); var img = new $M.Image({"width":"12", "height":"12", src:img}); 
$jsd('/NewBuyApp/src/fan_club.htmlx',514,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); return img; 
} 
$jsd('/NewBuyApp/src/fan_club.htmlx',517,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); function createfan_tie_input1(input) { 
$jsd('/NewBuyApp/src/fan_club.htmlx',518,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); var label = new $M.Label({"color":"#ffffff", fontSize:"10", "value":input}); 
$jsd('/NewBuyApp/src/fan_club.htmlx',523,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); return label; 
} 
$jsd('/NewBuyApp/src/fan_club.htmlx',526,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); function Create_hengxiang_more_Div1(cont) { 
$jsd('/NewBuyApp/src/fan_club.htmlx',527,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); var divId = "bottomMore"; 
$jsd('/NewBuyApp/src/fan_club.htmlx',528,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); var div = new $M.Panel({"id":divId, marginLeft:"5", height:"150", marginTop:"10", layout:"VBox", hAlign:"center", vAlign:"middle", width:"144", borderColor:"#ffffff", borderWidth:"1", cornerRadius:"8", backgroundColor:"#ffffff"}); 
$jsd('/NewBuyApp/src/fan_club.htmlx',542,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); $M.get(divId).add(create_hengxiang_more_input("更多饭团")); 
$jsd('/NewBuyApp/src/fan_club.htmlx',543,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); $M.get(divId).add(create_hengxiang_more_input(cont)); 
$jsd('/NewBuyApp/src/fan_club.htmlx',544,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); var img = new $M.Image({width:"45", height:"24", src:"/icon_128/tag-06.png"}); 
$jsd('/NewBuyApp/src/fan_club.htmlx',549,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); $M.get(divId).add(img); 
$jsd('/NewBuyApp/src/fan_club.htmlx',550,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); $M.get(divId).addEvent("onClick", find_fan); 
$jsd('/NewBuyApp/src/fan_club.htmlx',551,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); return div; 
} 
$jsd('/NewBuyApp/src/fan_club.htmlx',553,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); function find_fan() { 
$jsd('/NewBuyApp/src/fan_club.htmlx',554,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); $M.page.goTo("/fan_search.html", {userId:userIdT}); 
} 
$jsd('/NewBuyApp/src/fan_club.htmlx',557,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); function create_hengxiang_more_input(input) { 
$jsd('/NewBuyApp/src/fan_club.htmlx',558,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); var label = new $M.Label({"value":input, fontSize:"16", color:"#333333"}); 
$jsd('/NewBuyApp/src/fan_club.htmlx',563,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); return label; 
} 
$jsd('/NewBuyApp/src/fan_club.htmlx',566,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); function goBack() { 
$jsd('/NewBuyApp/src/fan_club.htmlx',567,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); $M.page.goBack({animation:"slideright"}); 
} 
$jsd('/NewBuyApp/src/fan_club.htmlx',571,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); function search_fan() { 
$jsd('/NewBuyApp/src/fan_club.htmlx',572,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); $M.page.goTo("/fan_search.html", {userId:userIdT}); 
} 
$jsd('/NewBuyApp/src/fan_club.htmlx',574,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); function goFanStart() { 
$jsd('/NewBuyApp/src/fan_club.htmlx',575,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); $M.page.goTo("/fanGroup/fan_star.html", {fanId:userIdT}, false, false); 
} 
 
Emp.page.render();
