var top = this;

var arguments = [];
var window= top;

arguments.callee = {};
var DEBUG_FUNC_INDEX = 1;

var del = ["arguments","top","window","Emp","empBridge","util","DEBUG_FUNC_INDEX","del","BridgeUtil","ResultUtil"];

function jsDebug(){
	
}

jsDebug.debugCommand = null;
jsDebug.currResource = null;
jsDebug.breakpoints = null;
jsDebug.functionStack = [];
jsDebug.currResource = null;
jsDebug.currLine = null;
jsDebug.isExpression = false;

/**
 * 
 */
jsDebug.getErrorStack = function(func) {
	var stack = [];
	while (func) {
		var funcStr = func.toString();
		var funcOffset = funcStr.indexOf(")");
		var funcHead = funcStr.substring(0, funcOffset + 1);
		var args = func.arguments;
		var argArr = [];
		for (var i = 0; i < args.length; i++) {
			argArr.push(args[i]);
		}
		stack.push(funcHead + json2string(argArr, 12));
		func = func.caller;
	}
	return stack.join("\n");
}

/**
 * 
 */
var parseVars = function(line) {
	var varNames = [];
	if (line && line.length > 0) {
		var endOffset = line.indexOf(";");
		if (endOffset > 0) {
			line = line.substring(0, endOffset);
		}
		var lineArr = line.split(",");
		for (var i = 0; i < lineArr.length; i++) {
			var varStr = lineArr[i];
			var varEndOffset = varStr.indexOf("=");
			if (varEndOffset > 0) {
				varNames.push(varStr.substring(0, varEndOffset));
			} else {
				varNames.push(varStr);
			}
		}
	}
	return varNames;
}

/**
 * 
 */
jsDebug.updateStack = function(args, resource, scope, line, evalFunc) {
	if (args && args.callee) {
		var func = args.callee;
		func.__resource = resource;
		func.__line = line;
		func.__evalFunc = evalFunc;
		func.__scope = scope;
		for (var i = jsDebug.functionStack.length - 1; i > -1; i--) {
			if (func == jsDebug.functionStack[i]) {
				jsDebug.functionStack = jsDebug.functionStack.slice(0, i + 1);
				return;
			}
		}
		jsDebug.functionStack.push(func);
	} else {
		jsDebug.functionStack = [];
	}

}

/**
 * 
 */
var getFuncData = function(args, evalFunc) {
	
		var vars = [];
		var func = args.callee;
		if (func) {
			var funcStr = func.toString().replace(/\n/g, "");
			var argStart = funcStr.indexOf("(");
			var argEnd = funcStr.indexOf(")");
			if (argStart > 0 && argEnd > 0) {
				var argStr = funcStr.substring(argStart + 1, argEnd);
				vars = argStr.split(",");
			}
			var nameArr = funcStr.split("var ");
			for (var i = 1; i < nameArr.length; i++) {
				var line = nameArr[i];
				vars = vars.concat(parseVars(line));
			}
		}
		var data = {};
		
		for (var i = 0; i < vars.length; i++) {
			var key = vars[i];
			if (key && key.length > 0) {
				key = key.replace(/\n|\r|\t| /g, "");
				if (/^[A-Za-z0-9_\$]*$/.test(key)) {
					try {
						var result = evalFunc(key);
						if (result == undefined) {
							data[key] = {"value":"undefined","type":"string"};
						} else if (result == null) {
							data[key] = {"value":"null","type":"string"};
						} else {
							data[key] = {"value":evalFunc(key),"type":typeof(evalFunc(key))};
						}
					} catch (e) {

					}
				}
			}
		}
		return data;
}

var getWindowData = function(args,evalFunc){
	var data = {};
	for (var i in top) { 
	    data[i] = {value:top[i],type:typeof(top[i])};
	}
//	return {"x":{"value":top.x,"type":typeof(top.x)}};

	return {"window":{value:top,type:typeof(top)}};
}


/**
 * find if arguments is stepreturn context
 */
jsDebug.isStepReturn = function(args) {
	if (args) {
		var func = args.callee;
		for (var i = jsDebug.functionStack.length - 2; i > -1; i--) {
			if (func == jsDebug.functionStack[i]) {
				return true;
			}
		}
		return false;
	} else {
		return true;
	}
}

/**
 * find if arguments is stepover context
 */
jsDebug.isStepOver = function(args) {
	if (args) {
		var func = args.callee;
		for (var i = jsDebug.functionStack.length - 1; i > -1; i--) {
			if (func == jsDebug.functionStack[i]) {
				return true;
			}
		}
		return false;
	} else {
		return true;
	}
}

/**
 * 
 */
jsDebug.error = function(e, resource, line,callFunc) {
	try {
		var funcStr = callFunc + "";
			if(funcStr.indexOf("function anonymous")>=0){
				funcStr = undefined;
			}
		var postData = {
			"ERROR" : encodeURI(e),
			"COMMAND" : "ERROR",
			"RESOURCE" : resource,
			"LINE" : line,
			"ERRORFUNC":funcStr,
			"ISIE":isIE
		}
		empBridge.debug(obj2string(postData));
	} catch (e) {

	}
}

/**
 * 
 */
jsDebug.stepReturn = function(func) {
	try {
		var data = jsDebug.getFuncData(func.arguments, func.__evalFunc);
		jsDebug.updateStack(func.arguments, func.__resource, func.__scope,
				func.__line, func.__evalFunc);
		if (func.__scope != top) {
			data["this"] = func.__scope;
		}
		var postData = {
			"STACK" : data,
			"COMMAND" : jsDebug.debugCommand,
			"RESOURCE" : func.__resource,
			"LINE" : func.__line
		}
		var res = empBridge.debug(obj2string(postData));
		jsDebug.parseResult(res,func.__evalFunc);
		
	} catch (e) {
	}
}


jsDebug.evalExpression = function(expression, evalFunc) {
	try {
	//	jsDebug.xmlHttp.open("POST", "/jsdebug.debug?" + new Date(), false);
		var postData = {
			"STACK" : {},
			"COMMAND" : "EXPRESSION",
			"EXPRESSION" : expression
		}
		try {
			jsDebug.isExpression = true;
			var ret = evalFunc(expression);
			if(typeof(ret)=="undefined"){
				ret = "undefined";
			}else if(ret==null){
				ret = "null";
			}
			postData["RESULT"] = ret;
		} catch (e) {
			postData["ERROR"] = e;
		}
		jsDebug.isExpression = false;
		var res = empBridge.debug(obj2string(postData));
		jsDebug.parseResult(res,evalFunc);
	} catch (e) {

	}
}

jsDebug.evalValue = function(expression, evalFunc){
	try {
//		jsDebug.xmlHttp.open("POST", "/jsdebug.debug?" + new Date(), false);
		var postData = {
			"STACK" : {},
			"COMMAND" : "VALUE",
			"EXPRESSION" : expression
		}
		try {
			jsDebug.isExpression = true;
			var ret = evalFunc(expression);
			var data = {};
			if(typeof(ret)=="undefined"){
				ret = "undefined";
			}else if(ret==null){
				ret = "null";
			}else{
				for(var prop in ret){
					try{
						if(prop!="postData"&&!contains(del,prop)){
						var value = ret[prop];
						var type = typeof(value);
						if(type=="function"){
							continue;
						}
						var stringValue = "";
						if(value){
							stringValue = value.toString();
						}
						if(value==null){
							stringValue = "null";
							type = "null";
						}else if(value==undefined){
							stringValue = "undefined";
							type = "undefined";
						}
						data[prop] = {"value":stringValue,"type":typeof(value)};
						}
					}catch(e){

					}
				}
			}
			postData["RESULT"] = data;
		} catch (e) {
			postData["ERROR"] = e;
		}
		jsDebug.isExpression = false;
		var submitString = "{}";
		try{
			submitString = json2string(postData);
		}catch(e){

		}
		var res = empBridge.debug(obj2string(postData));
		jsDebug.parseResult(res,evalFunc);
	} catch (e) {
		alert(e);
	}
}

/**
 * 
 */
jsDebug.parseResult = function(result, evalFunc) {
	if (result) {
		if (result.indexOf("{") == 0) {
			try {
				eval("var retObj = " + result);
				if( retObj["COMMAND"]){
					if(retObj["COMMAND"]=="EXPRESSION"){
						jsDebug.evalExpression(retObj["EXPRESSION"], evalFunc);
					}else if(retObj["COMMAND"]=="VALUE"){
						jsDebug.evalValue(retObj["EXPRESSION"], evalFunc);
					}else{
						jsDebug.isExpression = false;
						jsDebug.debugCommand = retObj["COMMAND"];
						if (jsDebug.debugCommand == "BREAKPOINT") {
							jsDebug.breakpoints = retObj["BREAKPOINTS"];
						}
					}
				}
                return retObj;
			} catch (e) {
			}
		} else {
			 alert("Debug error:" + result);
		}
	} else {

	}
}



function json2string(obj, depth) {
	depth = depth || 0;
	if (typeof obj == "function") {
		return "\"function\"";
	}  else if (obj && typeof obj.pop == 'function' && obj instanceof Array) {
		return array2string(obj, depth + 1);
	} else if (typeof obj == "object") {
		return obj2string(obj, depth + 1);
	} else {
		if (typeof obj == "string") {
			return "\"" + obj.replace(/"/gm, "'").replace(/\n|\r/gm, "")
					+ "\"";
		} else if (typeof obj == "number") {
			if (isFinite(obj)) {
				return obj;
			} else {
				return "\"out of number\"";
			}
		} else {
			//return util.jsonToString(obj).replace(/"/gm, "\\\"").replace(/\n|\r/gm, "");
		}
	}
}

function obj2string(obj, depth) {
	depth = depth || 0;
		var arr = [];
		for (var prop in obj) {
			try {
				if (obj.hasOwnProperty(prop) && typeof(obj[prop]) != "function") {
					if (depth < 9) {
						arr.push("\"" + prop + "\":"
								+ json2string(obj[prop], depth + 1));
					} else {
						arr.push("\"" + prop + "\":\"...\"")
					}
				}
			} catch (e) {

			}
		}
		return "{" + arr.join(",") + "}";
}

function complexObj2String(obj){
	var arr = [];
	for (var prop in obj) {
		try {
			if (typeof(obj[prop]) != "function") {
				var value = (obj[prop] + "").replace(/"/gm, "'").replace(/\n|\r/gm, "");
				arr.push("\"" + prop + "\":\""
						+ value + "\"");
			}
		} catch (e) {

		}
	}
	return "{" + arr.join(",") + "}";
}
function array2string(array, depth) {
	depth = depth || 0;
	var arr = [];
	for (var i = 0; i < array.length; i++) {
		arr.push(json2string(array[i], depth + 1));
	}
	return "[" + arr.join(",") + "]";
}

function mergeJsonObject(jsonbject1, jsonbject2)  
{  
    var resultJsonObject={};  
    for(var attr in jsonbject1){  
        resultJsonObject[attr]=jsonbject1[attr];  
    }  
    for(var attr in jsonbject2){  
        resultJsonObject[attr]=jsonbject2[attr];  
    }  

    return resultJsonObject;  
};  

function convertStringToJSON(str){
    var stu = eval('('+str+')');
    return stu;
}

function contains(a,obj){
	var i = a.length;
	while(i--){
		if(a[i]===obj){
			return true;
		}
	}
	return false;
}

jsDebug.getBreakPoint = function(async) {
	var postData = {"COMMAND":"RESUME"}; 
    var res = empBridge.debug(obj2string(postData));
    var retObj = util.stringToJson(res);
    jsDebug.breakpoints = retObj["BREAKPOINTS"];
    return;

	async = async?false:true;
	log(":"+async);
	try{
//	var jsonResume = "{\"COMMAND\":\"RESUME\"}";
		var postData = {"COMMAND":"RESUME"}; 
	if(async){
		var id;
	    log("");
		id = setInterval(jsDebug.getBreakPoint,1000);
	}else{
		log("");
	    var res = empBridge.debug(obj2string(postData));
	    var retObj = util.stringToJson(res);
	    jsDebug.breakpoints = retObj["BREAKPOINTS"];
	}
	} catch(e){
		
	}
}

jsDebug.getBreakPoint();

jsDebug.debug =  function(resource,line,scope,args,evalFunc){
	var isNewStack = false;
	if(args&&args["_funcIndex"]==undefined){
		if(args.callee.caller && args.callee.caller.arguments){
			if(args.callee.caller.arguments["__funcIndex"]==undefined){
				args["__funcIndex"] = DEBUG_FUNC_INDEX++;
				isNewStack = true;
			}else{
				args["__funcIndex"] = args.callee.caller.arguments["__funcIndex"];
			}
		}
	}
	
	if (jsDebug.isExpression) {
		return;
	}
	
	
	try {
		jsDebug.currResource = resource;
		jsDebug.currLine = line;
		if (jsDebug.debugCommand == null) {
			jsDebug.debugCommand = "START";
		}
		if (jsDebug.debugCommand == "TERMINATE") {
			throw "exit";
		}
		if(!jsDebug.breakpoints){
			jsDebug.getBreakPoint(true);
		}
		if (!(jsDebug.breakpoints && jsDebug.breakpoints[resource + line])) {
			if (jsDebug.debugCommand == "STEPRETURN"
					|| jsDebug.debugCommand == "STEPOVER") {
				var parentFunc = jsDebug.functionStack[jsDebug.functionStack.length
						- 2];
				var currFunc = jsDebug.functionStack[jsDebug.functionStack.length
						- 1];
				if(currFunc && (currFunc==args.callee)){
					if(jsDebug.debugCommand == "STEPRETURN"){
						return;
					}
					// do nothing
				}else{
					if (parentFunc && (args.callee.caller == parentFunc)) {
						jsDebug.stepReturn(parentFunc);
						jsDebug.debug(resource, line, scope, args, evalFunc);
						if(jsDebug.debugCommand == "STEPRETURN"){
							return;
						}
					}else{
//						if(args.callee){
//							return;
//						}
					}
				}

			}
			if (jsDebug.debugCommand == "STEPRETURN") {
				if (!jsDebug.isStepReturn(args)) {
					if(args.callee){
						return;
					}
				}
			} else if (jsDebug.debugCommand == "STEPOVER") {
				if (!jsDebug.isStepOver(args)) {
					if(args.callee){
						return;
					}
				}
			} else if (jsDebug.debugCommand == "RESUME") {
				return;
			} else if (jsDebug.debugCommand == "STEPINTO") {

			} else {
				return;
			}
		} else {
			jsDebug.debugCommand = "BREAKPOINT";
		}
		
		var data = getFuncData(args,evalFunc);
		var windowData = getWindowData(args,evalFunc);
		var stack = mergeJsonObject(windowData,data);
		
		jsDebug.updateStack(args, resource, scope, line, evalFunc);
		
		var postData = {
				"STACK" : stack,
				"COMMAND" : jsDebug.debugCommand,
				"RESOURCE" : resource,
				"LINE" : line,
				"NEWSTACK":true
		};
		var postDataStr = json2string(postData,0);
		
	    var res = empBridge.debug(postDataStr);
		
		jsDebug.parseResult(res, evalFunc);
		
	} catch (e) {

	}

};

var $jsd = jsDebug.debug;
Emp.page.setId('_body_27641129');
var dialog = new Emp.CustomDialog({"id":"dialog","canceledOnTouchOutside":"true"});
var _div_5331587 = new Emp.Panel({"id":"_div_5331587","hAlign":"center","width":"100%","layout":"VBox"});
var _div_17654037 = new Emp.Panel({"id":"_div_17654037","borderColor":"#ffffff","height":"520","marginTop":"20","backgroundColor":"#ffffff","borderWidth":"2","width":"340","layout":"VBox","cornerRadius":"10"});
var _div_23123807 = new Emp.Panel({"id":"_div_23123807","paddingTop":"20","height":"100","width":"100%"});
var _div_14409287 = new Emp.Panel({"id":"_div_14409287","vAlign":"middle","hAlign":"center","width":"120"});
var fanGrpPhotoPop = new Emp.Image({"id":"fanGrpPhotoPop","height":"60","width":"60","src":"","circleClip":"true"});
_div_14409287.add(fanGrpPhotoPop);
_div_23123807.add(_div_14409287);
var _div_24112849 = new Emp.Panel({"id":"_div_24112849","layout":"VBox","width":"160"});
var fanGrpNamePop = new Emp.Label({"id":"fanGrpNamePop","width":"140","value":"","fontSize":"18"});
_div_24112849.add(fanGrpNamePop);
var fanGrpIdPop = new Emp.Label({"id":"fanGrpIdPop","display":"false"});
_div_24112849.add(fanGrpIdPop);
var fanGrpIntroductionPop = new Emp.Label({"id":"fanGrpIntroductionPop","color":"#999999","marginTop":"10","width":"160","value":"","maxWidth":"185","fontSize":"14","singleLine":"false"});
_div_24112849.add(fanGrpIntroductionPop);
_div_23123807.add(_div_24112849);
var fanGrpModify = new Emp.Panel({"id":"fanGrpModify","height":"100%","marginTop":"20","marginRight":"8","layout":"VBox","width":"100%"});
var modifyBtn = new Emp.Label({"id":"modifyBtn","color":"#999999","width":"100%","value":"修改","display":"false","fontSize":"18"});
fanGrpModify.add(modifyBtn);
_div_23123807.add(fanGrpModify);
_div_17654037.add(_div_23123807);
var _div_3871669 = new Emp.Panel({"id":"_div_3871669","height":"1px","backgroundColor":"#999999","marginLeft":"10","width":"100%","marginRight":"10"});
_div_17654037.add(_div_3871669);
var _div_9106456 = new Emp.Panel({"id":"_div_9106456","height":"40","marginLeft":"20","vAlign":"middle","width":"100%"});
var _div_10452215 = new Emp.Panel({"id":"_div_10452215","borderColor":"#ff0017","height":"21","vAlign":"middle","borderWidth":"1","hAlign":"center","width":"21"});
var _input_12936833 = new Emp.Label({"id":"_input_12936833","color":"#ff0017","value":"星","fontSize":"14"});
_div_10452215.add(_input_12936833);
_div_9106456.add(_div_10452215);
var fanGrpUsersPop = new Emp.Label({"id":"fanGrpUsersPop","color":"#999999","marginLeft":"10","value":"签名照派发"});
_div_9106456.add(fanGrpUsersPop);
_div_17654037.add(_div_9106456);
var _div_2494127 = new Emp.Panel({"id":"_div_2494127","height":"40","marginLeft":"20","vAlign":"middle","width":"100%"});
var _div_9320070 = new Emp.Panel({"id":"_div_9320070","borderColor":"#ffca45","height":"21","vAlign":"middle","borderWidth":"1","hAlign":"center","width":"21"});
var _input_10344531 = new Emp.Label({"id":"_input_10344531","color":"#ffca45","value":"福","fontSize":"14"});
_div_9320070.add(_input_10344531);
_div_2494127.add(_div_9320070);
var fanGrpBenefitPop = new Emp.Label({"id":"fanGrpBenefitPop","color":"#999999","marginLeft":"10","value":"签名照派发"});
_div_2494127.add(fanGrpBenefitPop);
_div_17654037.add(_div_2494127);
var _div_9994930 = new Emp.Panel({"id":"_div_9994930","height":"40","marginLeft":"20","vAlign":"middle","width":"100%"});
var _div_11316177 = new Emp.Panel({"id":"_div_11316177","borderColor":"#91ff00","height":"21","vAlign":"middle","borderWidth":"1","hAlign":"center","width":"21"});
var _input_4468452 = new Emp.Label({"id":"_input_4468452","color":"#91ff00","value":"招","fontSize":"14"});
_div_11316177.add(_input_4468452);
_div_9994930.add(_div_11316177);
var fanGrpTopicPop = new Emp.Label({"id":"fanGrpTopicPop","color":"#999999","marginLeft":"10","value":""});
_div_9994930.add(fanGrpTopicPop);
_div_17654037.add(_div_9994930);
var _div_13532775 = new Emp.Panel({"id":"_div_13532775","height":"40","marginLeft":"20","vAlign":"middle","width":"100%"});
var _div_13422565 = new Emp.Panel({"id":"_div_13422565","borderColor":"#66ccff","height":"21","vAlign":"middle","borderWidth":"1","hAlign":"center","width":"40"});
var _input_6610026 = new Emp.Label({"id":"_input_6610026","color":"#66ccff","value":"团员","fontSize":"14"});
_div_13422565.add(_input_6610026);
_div_13532775.add(_div_13422565);
var _img_29548405 = new Emp.Image({"id":"_img_29548405","height":"30","width":"30","src":"/icon_128/iconfont-female.png"});
_div_13532775.add(_img_29548405);
var femalePercentPop = new Emp.Label({"id":"femalePercentPop","color":"#ff2ec0","value":"0%"});
_div_13532775.add(femalePercentPop);
var _img_10726407 = new Emp.Image({"id":"_img_10726407","height":"30","width":"30","src":"/icon_128/iconfont-male.png"});
_div_13532775.add(_img_10726407);
var malePercentPop = new Emp.Label({"id":"malePercentPop","color":"#009ed6","value":"0%"});
_div_13532775.add(malePercentPop);
_div_17654037.add(_div_13532775);
var _div_18405220 = new Emp.Panel({"id":"_div_18405220","height":"40","marginLeft":"20","vAlign":"middle","width":"100%"});
var _div_31795052 = new Emp.Panel({"id":"_div_31795052","borderColor":"#ff0017","height":"21","vAlign":"middle","borderWidth":"1","hAlign":"center","width":"40"});
var _input_25116703 = new Emp.Label({"id":"_input_25116703","color":"#ff0017","value":"饭帖","fontSize":"14"});
_div_31795052.add(_input_25116703);
_div_18405220.add(_div_31795052);
var updatedTodayPop = new Emp.Label({"id":"updatedTodayPop","color":"#999999","marginLeft":"10","value":""});
_div_18405220.add(updatedTodayPop);
_div_17654037.add(_div_18405220);
var _div_2821430 = new Emp.Panel({"id":"_div_2821430","height":"165","layout":"VBox","width":"100%"});
var line1 = new Emp.Panel({"id":"line1"});
_div_2821430.add(line1);
var line2 = new Emp.Panel({"id":"line2","marginTop":"5"});
_div_2821430.add(line2);
_div_17654037.add(_div_2821430);
var join_in = new Emp.Panel({"id":"join_in","borderColor":"#FFCC66","height":"50","backgroundColor":"#FFCC66","vAlign":"middle","marginLeft":"1","marginTop":"5","borderWidth":"1","marginRight":"1","hAlign":"center","width":"100%"});
var _input_16012877 = new Emp.Label({"id":"_input_16012877","color":"#ffffff","value":"+ 入团","fontSize":"20"});
join_in.add(_input_16012877);
_div_17654037.add(join_in);
var joinedin = new Emp.Panel({"id":"joinedin","borderColor":"#cccccc","height":"50","backgroundColor":"#cccccc","vAlign":"middle","marginLeft":"1","marginTop":"5","borderWidth":"1","marginRight":"1","hAlign":"center","width":"100%","display":"false"});
var _input_11685229 = new Emp.Label({"id":"_input_11685229","color":"#ffffff","value":"已入团","fontSize":"20"});
joinedin.add(_input_11685229);
_div_17654037.add(joinedin);
_div_5331587.add(_div_17654037);
var _div_33109406 = new Emp.Panel({"id":"_div_33109406","height":"50","marginLeft":"10","marginTop":"-535","layout":"HBox","width":"100%"});
var _div_3088188 = new Emp.Panel({"id":"_div_3088188","borderColor":"#FFCC66","height":"25","vAlign":"middle","backgroundColor":"#FFCC66","borderWidth":"2","hAlign":"center","width":"30","cornerRadius":"5"});
var fanGrpLevelPop = new Emp.Label({"id":"fanGrpLevelPop","color":"#ffffff","value":"V6"});
_div_3088188.add(fanGrpLevelPop);
_div_33109406.add(_div_3088188);
var _div_12947533 = new Emp.Panel({"id":"_div_12947533","borderColor":"#FFCC66","height":"25","vAlign":"middle","backgroundColor":"#FFCC66","marginLeft":"10","borderWidth":"2","hAlign":"center","width":"60","cornerRadius":"5"});
var _img_8709105 = new Emp.Image({"id":"_img_8709105","height":"16","width":"16","src":"/icon_128/iconfont-users.png"});
_div_12947533.add(_img_8709105);
var fanGrpMemberCntPop = new Emp.Label({"id":"fanGrpMemberCntPop","color":"#ffffff","value":"236"});
_div_12947533.add(fanGrpMemberCntPop);
_div_33109406.add(_div_12947533);
_div_5331587.add(_div_33109406);
dialog.setView(_div_5331587);




$jsd('/NewBuyApp/src/fan_club_pop.htmlx',91,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);});fanGrpModify.addEvent("onClick", function () { 
$jsd('/NewBuyApp/src/fan_club_pop.htmlx',92,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); $M.page.goTo("/fanGroup/fanGroup_message.html", {fanGrpId:fanGrpIdPop.getValue()}, false, false); 
}); 
 
Emp.page.render();
