var top = this;

var arguments = [];
var window= top;

arguments.callee = {};
var DEBUG_FUNC_INDEX = 1;

var del = ["arguments","top","window","Emp","empBridge","util","DEBUG_FUNC_INDEX","del","BridgeUtil","ResultUtil"];

function jsDebug(){
	
}

jsDebug.debugCommand = null;
jsDebug.currResource = null;
jsDebug.breakpoints = null;
jsDebug.functionStack = [];
jsDebug.currResource = null;
jsDebug.currLine = null;
jsDebug.isExpression = false;

/**
 * 
 */
jsDebug.getErrorStack = function(func) {
	var stack = [];
	while (func) {
		var funcStr = func.toString();
		var funcOffset = funcStr.indexOf(")");
		var funcHead = funcStr.substring(0, funcOffset + 1);
		var args = func.arguments;
		var argArr = [];
		for (var i = 0; i < args.length; i++) {
			argArr.push(args[i]);
		}
		stack.push(funcHead + json2string(argArr, 12));
		func = func.caller;
	}
	return stack.join("\n");
}

/**
 * 
 */
var parseVars = function(line) {
	var varNames = [];
	if (line && line.length > 0) {
		var endOffset = line.indexOf(";");
		if (endOffset > 0) {
			line = line.substring(0, endOffset);
		}
		var lineArr = line.split(",");
		for (var i = 0; i < lineArr.length; i++) {
			var varStr = lineArr[i];
			var varEndOffset = varStr.indexOf("=");
			if (varEndOffset > 0) {
				varNames.push(varStr.substring(0, varEndOffset));
			} else {
				varNames.push(varStr);
			}
		}
	}
	return varNames;
}

/**
 * 
 */
jsDebug.updateStack = function(args, resource, scope, line, evalFunc) {
	if (args && args.callee) {
		var func = args.callee;
		func.__resource = resource;
		func.__line = line;
		func.__evalFunc = evalFunc;
		func.__scope = scope;
		for (var i = jsDebug.functionStack.length - 1; i > -1; i--) {
			if (func == jsDebug.functionStack[i]) {
				jsDebug.functionStack = jsDebug.functionStack.slice(0, i + 1);
				return;
			}
		}
		jsDebug.functionStack.push(func);
	} else {
		jsDebug.functionStack = [];
	}

}

/**
 * 
 */
var getFuncData = function(args, evalFunc) {
	
		var vars = [];
		var func = args.callee;
		if (func) {
			var funcStr = func.toString().replace(/\n/g, "");
			var argStart = funcStr.indexOf("(");
			var argEnd = funcStr.indexOf(")");
			if (argStart > 0 && argEnd > 0) {
				var argStr = funcStr.substring(argStart + 1, argEnd);
				vars = argStr.split(",");
			}
			var nameArr = funcStr.split("var ");
			for (var i = 1; i < nameArr.length; i++) {
				var line = nameArr[i];
				vars = vars.concat(parseVars(line));
			}
		}
		var data = {};
		
		for (var i = 0; i < vars.length; i++) {
			var key = vars[i];
			if (key && key.length > 0) {
				key = key.replace(/\n|\r|\t| /g, "");
				if (/^[A-Za-z0-9_\$]*$/.test(key)) {
					try {
						var result = evalFunc(key);
						if (result == undefined) {
							data[key] = {"value":"undefined","type":"string"};
						} else if (result == null) {
							data[key] = {"value":"null","type":"string"};
						} else {
							data[key] = {"value":evalFunc(key),"type":typeof(evalFunc(key))};
						}
					} catch (e) {

					}
				}
			}
		}
		return data;
}

var getWindowData = function(args,evalFunc){
	var data = {};
	for (var i in top) { 
	    data[i] = {value:top[i],type:typeof(top[i])};
	}
//	return {"x":{"value":top.x,"type":typeof(top.x)}};

	return {"window":{value:top,type:typeof(top)}};
}


/**
 * find if arguments is stepreturn context
 */
jsDebug.isStepReturn = function(args) {
	if (args) {
		var func = args.callee;
		for (var i = jsDebug.functionStack.length - 2; i > -1; i--) {
			if (func == jsDebug.functionStack[i]) {
				return true;
			}
		}
		return false;
	} else {
		return true;
	}
}

/**
 * find if arguments is stepover context
 */
jsDebug.isStepOver = function(args) {
	if (args) {
		var func = args.callee;
		for (var i = jsDebug.functionStack.length - 1; i > -1; i--) {
			if (func == jsDebug.functionStack[i]) {
				return true;
			}
		}
		return false;
	} else {
		return true;
	}
}

/**
 * 
 */
jsDebug.error = function(e, resource, line,callFunc) {
	try {
		var funcStr = callFunc + "";
			if(funcStr.indexOf("function anonymous")>=0){
				funcStr = undefined;
			}
		var postData = {
			"ERROR" : encodeURI(e),
			"COMMAND" : "ERROR",
			"RESOURCE" : resource,
			"LINE" : line,
			"ERRORFUNC":funcStr,
			"ISIE":isIE
		}
		empBridge.debug(obj2string(postData));
	} catch (e) {

	}
}

/**
 * 
 */
jsDebug.stepReturn = function(func) {
	try {
		var data = jsDebug.getFuncData(func.arguments, func.__evalFunc);
		jsDebug.updateStack(func.arguments, func.__resource, func.__scope,
				func.__line, func.__evalFunc);
		if (func.__scope != top) {
			data["this"] = func.__scope;
		}
		var postData = {
			"STACK" : data,
			"COMMAND" : jsDebug.debugCommand,
			"RESOURCE" : func.__resource,
			"LINE" : func.__line
		}
		var res = empBridge.debug(obj2string(postData));
		jsDebug.parseResult(res,func.__evalFunc);
		
	} catch (e) {
	}
}


jsDebug.evalExpression = function(expression, evalFunc) {
	try {
	//	jsDebug.xmlHttp.open("POST", "/jsdebug.debug?" + new Date(), false);
		var postData = {
			"STACK" : {},
			"COMMAND" : "EXPRESSION",
			"EXPRESSION" : expression
		}
		try {
			jsDebug.isExpression = true;
			var ret = evalFunc(expression);
			if(typeof(ret)=="undefined"){
				ret = "undefined";
			}else if(ret==null){
				ret = "null";
			}
			postData["RESULT"] = ret;
		} catch (e) {
			postData["ERROR"] = e;
		}
		jsDebug.isExpression = false;
		var res = empBridge.debug(obj2string(postData));
		jsDebug.parseResult(res,evalFunc);
	} catch (e) {

	}
}

jsDebug.evalValue = function(expression, evalFunc){
	try {
//		jsDebug.xmlHttp.open("POST", "/jsdebug.debug?" + new Date(), false);
		var postData = {
			"STACK" : {},
			"COMMAND" : "VALUE",
			"EXPRESSION" : expression
		}
		try {
			jsDebug.isExpression = true;
			var ret = evalFunc(expression);
			var data = {};
			if(typeof(ret)=="undefined"){
				ret = "undefined";
			}else if(ret==null){
				ret = "null";
			}else{
				for(var prop in ret){
					try{
						if(prop!="postData"&&!contains(del,prop)){
						var value = ret[prop];
						var type = typeof(value);
						if(type=="function"){
							continue;
						}
						var stringValue = "";
						if(value){
							stringValue = value.toString();
						}
						if(value==null){
							stringValue = "null";
							type = "null";
						}else if(value==undefined){
							stringValue = "undefined";
							type = "undefined";
						}
						data[prop] = {"value":stringValue,"type":typeof(value)};
						}
					}catch(e){

					}
				}
			}
			postData["RESULT"] = data;
		} catch (e) {
			postData["ERROR"] = e;
		}
		jsDebug.isExpression = false;
		var submitString = "{}";
		try{
			submitString = json2string(postData);
		}catch(e){

		}
		var res = empBridge.debug(obj2string(postData));
		jsDebug.parseResult(res,evalFunc);
	} catch (e) {
		alert(e);
	}
}

/**
 * 
 */
jsDebug.parseResult = function(result, evalFunc) {
	if (result) {
		if (result.indexOf("{") == 0) {
			try {
				eval("var retObj = " + result);
				if( retObj["COMMAND"]){
					if(retObj["COMMAND"]=="EXPRESSION"){
						jsDebug.evalExpression(retObj["EXPRESSION"], evalFunc);
					}else if(retObj["COMMAND"]=="VALUE"){
						jsDebug.evalValue(retObj["EXPRESSION"], evalFunc);
					}else{
						jsDebug.isExpression = false;
						jsDebug.debugCommand = retObj["COMMAND"];
						if (jsDebug.debugCommand == "BREAKPOINT") {
							jsDebug.breakpoints = retObj["BREAKPOINTS"];
						}
					}
				}
                return retObj;
			} catch (e) {
			}
		} else {
			 alert("Debug error:" + result);
		}
	} else {

	}
}



function json2string(obj, depth) {
	depth = depth || 0;
	if (typeof obj == "function") {
		return "\"function\"";
	}  else if (obj && typeof obj.pop == 'function' && obj instanceof Array) {
		return array2string(obj, depth + 1);
	} else if (typeof obj == "object") {
		return obj2string(obj, depth + 1);
	} else {
		if (typeof obj == "string") {
			return "\"" + obj.replace(/"/gm, "'").replace(/\n|\r/gm, "")
					+ "\"";
		} else if (typeof obj == "number") {
			if (isFinite(obj)) {
				return obj;
			} else {
				return "\"out of number\"";
			}
		} else {
			//return util.jsonToString(obj).replace(/"/gm, "\\\"").replace(/\n|\r/gm, "");
		}
	}
}

function obj2string(obj, depth) {
	depth = depth || 0;
		var arr = [];
		for (var prop in obj) {
			try {
				if (obj.hasOwnProperty(prop) && typeof(obj[prop]) != "function") {
					if (depth < 9) {
						arr.push("\"" + prop + "\":"
								+ json2string(obj[prop], depth + 1));
					} else {
						arr.push("\"" + prop + "\":\"...\"")
					}
				}
			} catch (e) {

			}
		}
		return "{" + arr.join(",") + "}";
}

function complexObj2String(obj){
	var arr = [];
	for (var prop in obj) {
		try {
			if (typeof(obj[prop]) != "function") {
				var value = (obj[prop] + "").replace(/"/gm, "'").replace(/\n|\r/gm, "");
				arr.push("\"" + prop + "\":\""
						+ value + "\"");
			}
		} catch (e) {

		}
	}
	return "{" + arr.join(",") + "}";
}
function array2string(array, depth) {
	depth = depth || 0;
	var arr = [];
	for (var i = 0; i < array.length; i++) {
		arr.push(json2string(array[i], depth + 1));
	}
	return "[" + arr.join(",") + "]";
}

function mergeJsonObject(jsonbject1, jsonbject2)  
{  
    var resultJsonObject={};  
    for(var attr in jsonbject1){  
        resultJsonObject[attr]=jsonbject1[attr];  
    }  
    for(var attr in jsonbject2){  
        resultJsonObject[attr]=jsonbject2[attr];  
    }  

    return resultJsonObject;  
};  

function convertStringToJSON(str){
    var stu = eval('('+str+')');
    return stu;
}

function contains(a,obj){
	var i = a.length;
	while(i--){
		if(a[i]===obj){
			return true;
		}
	}
	return false;
}

jsDebug.getBreakPoint = function(async) {
	var postData = {"COMMAND":"RESUME"}; 
    var res = empBridge.debug(obj2string(postData));
    var retObj = util.stringToJson(res);
    jsDebug.breakpoints = retObj["BREAKPOINTS"];
    return;

	async = async?false:true;
	log(":"+async);
	try{
//	var jsonResume = "{\"COMMAND\":\"RESUME\"}";
		var postData = {"COMMAND":"RESUME"}; 
	if(async){
		var id;
	    log("");
		id = setInterval(jsDebug.getBreakPoint,1000);
	}else{
		log("");
	    var res = empBridge.debug(obj2string(postData));
	    var retObj = util.stringToJson(res);
	    jsDebug.breakpoints = retObj["BREAKPOINTS"];
	}
	} catch(e){
		
	}
}

jsDebug.getBreakPoint();

jsDebug.debug =  function(resource,line,scope,args,evalFunc){
	var isNewStack = false;
	if(args&&args["_funcIndex"]==undefined){
		if(args.callee.caller && args.callee.caller.arguments){
			if(args.callee.caller.arguments["__funcIndex"]==undefined){
				args["__funcIndex"] = DEBUG_FUNC_INDEX++;
				isNewStack = true;
			}else{
				args["__funcIndex"] = args.callee.caller.arguments["__funcIndex"];
			}
		}
	}
	
	if (jsDebug.isExpression) {
		return;
	}
	
	
	try {
		jsDebug.currResource = resource;
		jsDebug.currLine = line;
		if (jsDebug.debugCommand == null) {
			jsDebug.debugCommand = "START";
		}
		if (jsDebug.debugCommand == "TERMINATE") {
			throw "exit";
		}
		if(!jsDebug.breakpoints){
			jsDebug.getBreakPoint(true);
		}
		if (!(jsDebug.breakpoints && jsDebug.breakpoints[resource + line])) {
			if (jsDebug.debugCommand == "STEPRETURN"
					|| jsDebug.debugCommand == "STEPOVER") {
				var parentFunc = jsDebug.functionStack[jsDebug.functionStack.length
						- 2];
				var currFunc = jsDebug.functionStack[jsDebug.functionStack.length
						- 1];
				if(currFunc && (currFunc==args.callee)){
					if(jsDebug.debugCommand == "STEPRETURN"){
						return;
					}
					// do nothing
				}else{
					if (parentFunc && (args.callee.caller == parentFunc)) {
						jsDebug.stepReturn(parentFunc);
						jsDebug.debug(resource, line, scope, args, evalFunc);
						if(jsDebug.debugCommand == "STEPRETURN"){
							return;
						}
					}else{
//						if(args.callee){
//							return;
//						}
					}
				}

			}
			if (jsDebug.debugCommand == "STEPRETURN") {
				if (!jsDebug.isStepReturn(args)) {
					if(args.callee){
						return;
					}
				}
			} else if (jsDebug.debugCommand == "STEPOVER") {
				if (!jsDebug.isStepOver(args)) {
					if(args.callee){
						return;
					}
				}
			} else if (jsDebug.debugCommand == "RESUME") {
				return;
			} else if (jsDebug.debugCommand == "STEPINTO") {

			} else {
				return;
			}
		} else {
			jsDebug.debugCommand = "BREAKPOINT";
		}
		
		var data = getFuncData(args,evalFunc);
		var windowData = getWindowData(args,evalFunc);
		var stack = mergeJsonObject(windowData,data);
		
		jsDebug.updateStack(args, resource, scope, line, evalFunc);
		
		var postData = {
				"STACK" : stack,
				"COMMAND" : jsDebug.debugCommand,
				"RESOURCE" : resource,
				"LINE" : line,
				"NEWSTACK":true
		};
		var postDataStr = json2string(postData,0);
		
	    var res = empBridge.debug(postDataStr);
		
		jsDebug.parseResult(res, evalFunc);
		
	} catch (e) {

	}

};

var $jsd = jsDebug.debug;
Emp.page.setId('_body_14861483');
var _template_31321964 = new Emp.Panel({"id":"_template_31321964"});
_template_31321964.__isTemplate=true;
var tem1 = new Emp.Panel({"id":"tem1","height":"-2","backgroundColor":"#f0f0f0","vAlign":"middle","hAlign":"center","layout":"VBox","width":"100%"});
var _div_6408805 = new Emp.Panel({"id":"_div_6408805","height":"5","width":"100%"});
tem1.add(_div_6408805);
var topictoppic1 = new Emp.Image({"id":"topictoppic1","position":"relative","height":"15","tag":"topictoppic","width":"30","left":"13","src":"","top":"1"});
tem1.add(topictoppic1);
var _div_25994777 = new Emp.Panel({"id":"_div_25994777","borderColor":"#ffffff","height":"-2","backgroundColor":"#ffffff","marginLeft":"5","tag":"tieDetail","borderWidth":"1","marginRight":"5","layout":"VBox","width":"100%","cornerRadius":"8"});
var _div_15519430 = new Emp.Panel({"id":"_div_15519430","height":"40","marginLeft":"10","marginTop":"20","marginRight":"10","layout":"HBox","width":"100%"});
var _div_16464922 = new Emp.Panel({"id":"_div_16464922","height":"25","vAlign":"middle","hAlign":"center","width":"25"});
var _img_2550569 = new Emp.Image({"id":"_img_2550569","height":"25","width":"25","src":"/icon_128/iconfont-topic.png"});
_div_16464922.add(_img_2550569);
_div_15519430.add(_div_16464922);
var _div_18408791 = new Emp.Panel({"id":"_div_18408791","height":"100%","marginLeft":"10","layout":"VBox","width":"100%"});
var _input_24689804 = new Emp.Label({"id":"_input_24689804","tag":"title","width":"240","value":"","fontSize":"14","singleLine":"true"});
_div_18408791.add(_input_24689804);
var _input_27439100 = new Emp.Label({"id":"_input_27439100","color":"#cccccc","tag":"visittime","value":"","fontSize":"12"});
_div_18408791.add(_input_27439100);
_div_15519430.add(_div_18408791);
var _div_30404130 = new Emp.Panel({"id":"_div_30404130","borderColor":"#33CC99","height":"18","vAlign":"middle","backgroundColor":"#33CC99","marginLeft":"10","borderWidth":"1","hAlign":"center","width":"30","cornerRadius":"9"});
var _input_1769270 = new Emp.Label({"id":"_input_1769270","color":"#ffffff","tag":"replyCnt","value":"","fontSize":"12"});
_div_30404130.add(_input_1769270);
_div_15519430.add(_div_30404130);
_div_25994777.add(_div_15519430);
var _div_6900717 = new Emp.Panel({"id":"_div_6900717","height":"30","hAlign":"left","width":"100%","paddingLeft":"10"});
var _input_16234994 = new Emp.Label({"id":"_input_16234994","tag":"content","width":"320","value":"","fontSize":"14","singleLine":"true"});
_div_6900717.add(_input_16234994);
_div_25994777.add(_div_6900717);
tem1.add(_div_25994777);
_template_31321964.add(tem1);
var tem2 = new Emp.Panel({"id":"tem2","height":"-2","backgroundColor":"#f0f0f0","vAlign":"middle","hAlign":"center","layout":"VBox","width":"100%"});
var _div_9273712 = new Emp.Panel({"id":"_div_9273712","height":"5","width":"100%"});
tem2.add(_div_9273712);
var topictoppic2 = new Emp.Image({"id":"topictoppic2","position":"relative","height":"15","tag":"topictoppic","width":"30","left":"13","src":"","top":"1"});
tem2.add(topictoppic2);
var _div_11007212 = new Emp.Panel({"id":"_div_11007212","borderColor":"#ffffff","height":"-2","backgroundColor":"#ffffff","marginLeft":"5","tag":"tieDetail","borderWidth":"1","marginRight":"5","layout":"VBox","width":"100%","cornerRadius":"8"});
var _div_12630655 = new Emp.Panel({"id":"_div_12630655","height":"40","marginLeft":"10","marginTop":"20","marginRight":"10","layout":"HBox","width":"100%"});
var _div_18082114 = new Emp.Panel({"id":"_div_18082114","height":"25","vAlign":"middle","hAlign":"center","width":"25"});
var _img_3607131 = new Emp.Image({"id":"_img_3607131","height":"25","width":"25","src":"/icon_128/iconfont-camera.png"});
_div_18082114.add(_img_3607131);
_div_12630655.add(_div_18082114);
var _div_25749704 = new Emp.Panel({"id":"_div_25749704","height":"100%","marginLeft":"10","layout":"VBox","width":"100%"});
var _input_23774754 = new Emp.Label({"id":"_input_23774754","tag":"title","width":"240","value":"","fontSize":"14","singleLine":"true"});
_div_25749704.add(_input_23774754);
var _input_16118347 = new Emp.Label({"id":"_input_16118347","color":"#cccccc","tag":"visittime","value":"","fontSize":"12"});
_div_25749704.add(_input_16118347);
_div_12630655.add(_div_25749704);
var _div_16132033 = new Emp.Panel({"id":"_div_16132033","borderColor":"#000000","height":"18","vAlign":"middle","backgroundColor":"#000000","marginLeft":"10","borderWidth":"1","hAlign":"center","width":"40","cornerRadius":"9"});
var _input_11269247 = new Emp.Label({"id":"_input_11269247","color":"#ffffff","tag":"replyCnt","value":"","fontSize":"12"});
_div_16132033.add(_input_11269247);
_div_12630655.add(_div_16132033);
_div_11007212.add(_div_12630655);
var _div_21031764 = new Emp.Panel({"id":"_div_21031764","height":"-2","hAlign":"center","width":"100%"});
var _div_18471024 = new Emp.Panel({"id":"_div_18471024","marginBottom":"10","height":"-2","vAlign":"middle","hAlign":"center","width":"100%"});
var _img_30460059 = new Emp.Image({"id":"_img_30460059","height":"220","scaleType":"fitCenter","tag":"resouces","width":"300","src":""});
_div_18471024.add(_img_30460059);
_div_21031764.add(_div_18471024);
_div_11007212.add(_div_21031764);
tem2.add(_div_11007212);
_template_31321964.add(tem2);
var tem3 = new Emp.Panel({"id":"tem3","height":"-2","backgroundColor":"#f0f0f0","vAlign":"middle","hAlign":"center","layout":"VBox","width":"100%"});
var _div_147415 = new Emp.Panel({"id":"_div_147415","height":"5","width":"100%"});
tem3.add(_div_147415);
var topictoppic3 = new Emp.Image({"id":"topictoppic3","position":"relative","height":"15","tag":"topictoppic","width":"30","left":"13","src":"","top":"1"});
tem3.add(topictoppic3);
var _div_33074333 = new Emp.Panel({"id":"_div_33074333","borderColor":"#ffffff","height":"-2","backgroundColor":"#ffffff","marginLeft":"5","borderWidth":"1","marginRight":"5","layout":"VBox","width":"100%","cornerRadius":"8"});
var _div_10176043 = new Emp.Panel({"id":"_div_10176043","height":"40","marginLeft":"10","marginTop":"20","tag":"tieDetail","marginRight":"10","layout":"HBox","width":"100%"});
var _div_14894052 = new Emp.Panel({"id":"_div_14894052","height":"25","vAlign":"middle","hAlign":"center","width":"25"});
var _img_8277501 = new Emp.Image({"id":"_img_8277501","height":"25","width":"25","src":"/icon_128/iconfont-video.png"});
_div_14894052.add(_img_8277501);
_div_10176043.add(_div_14894052);
var _div_29519110 = new Emp.Panel({"id":"_div_29519110","height":"100%","marginLeft":"10","layout":"VBox","width":"100%"});
var _input_18194178 = new Emp.Label({"id":"_input_18194178","tag":"title","width":"240","value":"","fontSize":"14","singleLine":"true"});
_div_29519110.add(_input_18194178);
var _input_30614173 = new Emp.Label({"id":"_input_30614173","color":"#cccccc","tag":"visittime","value":"","fontSize":"12"});
_div_29519110.add(_input_30614173);
_div_10176043.add(_div_29519110);
var _div_18205940 = new Emp.Panel({"id":"_div_18205940","borderColor":"#33ccff","height":"18","vAlign":"middle","backgroundColor":"#33ccff","marginLeft":"10","borderWidth":"1","hAlign":"center","width":"30","cornerRadius":"9"});
var _input_16107877 = new Emp.Label({"id":"_input_16107877","color":"#ffffff","tag":"replyCnt","value":"","fontSize":"12"});
_div_18205940.add(_input_16107877);
_div_10176043.add(_div_18205940);
_div_33074333.add(_div_10176043);
var _div_19207973 = new Emp.Panel({"id":"_div_19207973","height":"190","tag":"videoPlayT","hAlign":"center","width":"100%"});
var _div_16382423 = new Emp.Panel({"id":"_div_16382423","height":"100%","vAlign":"middle","tag":"video","hAlign":"center","width":"100%"});
var _img_25270504 = new Emp.Image({"id":"_img_25270504","height":"180","tag":"resoucesImg","width":"300","src":""});
_div_16382423.add(_img_25270504);
var _input_4216201 = new Emp.Label({"id":"_input_4216201","tag":"resouces","value":"","display":"false"});
_div_16382423.add(_input_4216201);
_div_19207973.add(_div_16382423);
_div_33074333.add(_div_19207973);
tem3.add(_div_33074333);
_template_31321964.add(tem3);
var tem5 = new Emp.Panel({"id":"tem5","height":"-2","backgroundColor":"#f0f0f0","vAlign":"middle","hAlign":"center","layout":"VBox","width":"100%"});
var _div_21976925 = new Emp.Panel({"id":"_div_21976925","height":"5","width":"100%"});
tem5.add(_div_21976925);
var topictoppic5 = new Emp.Image({"id":"topictoppic5","position":"relative","height":"15","tag":"topictoppic","width":"30","left":"13","src":"","top":"1"});
tem5.add(topictoppic5);
var _div_7329149 = new Emp.Panel({"id":"_div_7329149","borderColor":"#ffffff","height":"-2","backgroundColor":"#ffffff","marginLeft":"5","tag":"tieDetail","borderWidth":"1","marginRight":"5","layout":"VBox","width":"100%","cornerRadius":"8"});
var _div_17572444 = new Emp.Panel({"id":"_div_17572444","height":"40","marginLeft":"10","marginTop":"20","marginRight":"10","layout":"HBox","width":"100%"});
var _div_27515928 = new Emp.Panel({"id":"_div_27515928","height":"25","vAlign":"middle","hAlign":"center","width":"25"});
var topicicon = new Emp.Image({"id":"topicicon","height":"25","tag":"topicicon","width":"25","src":"/icon_128/iconfont-vote.png"});
_div_27515928.add(topicicon);
_div_17572444.add(_div_27515928);
var _div_11128635 = new Emp.Panel({"id":"_div_11128635","height":"100%","marginLeft":"10","layout":"VBox","width":"100%"});
var _input_6575593 = new Emp.Label({"id":"_input_6575593","tag":"title","width":"240","value":"","fontSize":"14","singleLine":"true"});
_div_11128635.add(_input_6575593);
var _input_21258581 = new Emp.Label({"id":"_input_21258581","color":"#cccccc","tag":"visittime","value":"","fontSize":"12"});
_div_11128635.add(_input_21258581);
_div_17572444.add(_div_11128635);
var _div_18773439 = new Emp.Panel({"id":"_div_18773439","borderColor":"#ffcc00","height":"18","vAlign":"middle","backgroundColor":"#ffcc00","marginLeft":"10","borderWidth":"1","hAlign":"center","width":"30","cornerRadius":"9"});
var _input_12878191 = new Emp.Label({"id":"_input_12878191","color":"#ffffff","tag":"replyCnt","value":"","fontSize":"12"});
_div_18773439.add(_input_12878191);
_div_17572444.add(_div_18773439);
_div_7329149.add(_div_17572444);
var _div_17682968 = new Emp.Panel({"id":"_div_17682968","height":"30","marginRight":"10","hAlign":"left","width":"100%","paddingLeft":"10"});
var _input_6043292 = new Emp.Label({"id":"_input_6043292","tag":"content","width":"320","value":"","fontSize":"14","singleLine":"true"});
_div_17682968.add(_input_6043292);
_div_7329149.add(_div_17682968);
tem5.add(_div_7329149);
_template_31321964.add(tem5);
var tem6 = new Emp.Panel({"id":"tem6","height":"-2","backgroundColor":"#f0f0f0","vAlign":"middle","hAlign":"center","layout":"VBox","width":"100%"});
var _div_66127 = new Emp.Panel({"id":"_div_66127","height":"5","width":"100%"});
tem6.add(_div_66127);
var topictoppic6 = new Emp.Image({"id":"topictoppic6","position":"relative","height":"15","tag":"topictoppic","width":"30","left":"13","src":"","top":"1"});
tem6.add(topictoppic6);
var _div_6817402 = new Emp.Panel({"id":"_div_6817402","borderColor":"#ffffff","height":"-2","backgroundColor":"#ffffff","marginLeft":"5","tag":"tieDetail","borderWidth":"1","marginRight":"5","layout":"VBox","width":"100%","cornerRadius":"8"});
var _div_25255386 = new Emp.Panel({"id":"_div_25255386","height":"40","marginLeft":"10","marginTop":"20","marginRight":"10","layout":"HBox","width":"100%"});
var _div_3713414 = new Emp.Panel({"id":"_div_3713414","height":"25","vAlign":"middle","hAlign":"center","width":"25"});
var topicicon = new Emp.Image({"id":"topicicon","height":"25","tag":"topicicon","width":"25","src":"/icon_128/iconfont-event.png"});
_div_3713414.add(topicicon);
_div_25255386.add(_div_3713414);
var _div_23886305 = new Emp.Panel({"id":"_div_23886305","height":"100%","marginLeft":"10","layout":"VBox","width":"100%"});
var _input_11912540 = new Emp.Label({"id":"_input_11912540","tag":"title","width":"240","value":"","fontSize":"14","singleLine":"true"});
_div_23886305.add(_input_11912540);
var _input_28319349 = new Emp.Label({"id":"_input_28319349","color":"#cccccc","tag":"visittime","value":"","fontSize":"12"});
_div_23886305.add(_input_28319349);
_div_25255386.add(_div_23886305);
var _div_27236164 = new Emp.Panel({"id":"_div_27236164","borderColor":"#CC0066","height":"18","vAlign":"middle","backgroundColor":"#CC0066","marginLeft":"10","borderWidth":"1","hAlign":"center","width":"30","cornerRadius":"9"});
var _input_8654832 = new Emp.Label({"id":"_input_8654832","color":"#ffffff","tag":"replyCnt","value":"","fontSize":"12"});
_div_27236164.add(_input_8654832);
_div_25255386.add(_div_27236164);
_div_6817402.add(_div_25255386);
var _div_3312690 = new Emp.Panel({"id":"_div_3312690","height":"100%","vAlign":"middle","hAlign":"center","width":"100%"});
var actUrl = new Emp.Image({"id":"actUrl","height":"220","scaleType":"fitCenter","tag":"actUrl","width":"300","display":"false","src":""});
_div_3312690.add(actUrl);
_div_6817402.add(_div_3312690);
var _div_28485385 = new Emp.Panel({"id":"_div_28485385","height":"30","marginRight":"10","hAlign":"left","width":"100%","paddingLeft":"10"});
var _input_32791926 = new Emp.Label({"id":"_input_32791926","tag":"content","width":"320","value":"","fontSize":"14","singleLine":"true"});
_div_28485385.add(_input_32791926);
_div_6817402.add(_div_28485385);
tem6.add(_div_6817402);
_template_31321964.add(tem6);
var tem7 = new Emp.Panel({"id":"tem7","height":"80","backgroundColor":"#f0f0f0","vAlign":"middle","hAlign":"center","layout":"VBox","width":"100%"});
var _div_28404540 = new Emp.Panel({"id":"_div_28404540","height":"5","width":"100%"});
tem7.add(_div_28404540);
var topictoppic7 = new Emp.Image({"id":"topictoppic7","position":"relative","height":"15","tag":"topictoppic","width":"30","left":"13","src":"","top":"1"});
tem7.add(topictoppic7);
var _div_26645354 = new Emp.Panel({"id":"_div_26645354","borderColor":"#ffffff","height":"100%","backgroundColor":"#ffffff","marginLeft":"5","borderWidth":"1","marginRight":"5","layout":"VBox","width":"100%","cornerRadius":"8"});
var _div_11031696 = new Emp.Panel({"id":"_div_11031696","height":"30","marginLeft":"10","marginTop":"20","marginRight":"10","layout":"HBox","width":"100%"});
var _div_21483210 = new Emp.Panel({"id":"_div_21483210","height":"30","vAlign":"middle","hAlign":"center","width":"25"});
var topicicon = new Emp.Image({"id":"topicicon","height":"25","tag":"topicicon","width":"25","src":"/icon_128/iconfont-calendar.png"});
_div_21483210.add(topicicon);
_div_11031696.add(_div_21483210);
var _div_19465484 = new Emp.Panel({"id":"_div_19465484","height":"100%","marginLeft":"10","layout":"VBox","width":"100%"});
var _input_681942 = new Emp.Label({"id":"_input_681942","tag":"title","width":"240","value":"","fontSize":"22","singleLine":"true"});
_div_19465484.add(_input_681942);
_div_11031696.add(_div_19465484);
_div_26645354.add(_div_11031696);
var _div_19339462 = new Emp.Panel({"id":"_div_19339462","height":"25","marginLeft":"35","marginRight":"10","hAlign":"left","width":"100%","paddingLeft":"10"});
var _input_30126177 = new Emp.Label({"id":"_input_30126177","tag":"content","width":"300","value":"","fontSize":"14","singleLine":"true"});
_div_19339462.add(_input_30126177);
_div_26645354.add(_div_19339462);
var _div_27844969 = new Emp.Panel({"id":"_div_27844969","position":"relative","height":"100%","vAlign":"middle","hAlign":"right","width":"100%"});
var _div_6737924 = new Emp.Panel({"id":"_div_6737924","borderColor":"#ff0000","height":"18","vAlign":"middle","backgroundColor":"#FF0000","borderWidth":"1","tag":"moretrip","width":"70","hAlign":"center","marginRight":"10","cornerRadius":"9"});
var _input_31648020 = new Emp.Label({"id":"_input_31648020","color":"#ffffff","value":"更多行程","fontSize":"12"});
_div_6737924.add(_input_31648020);
_div_27844969.add(_div_6737924);
_div_26645354.add(_div_27844969);
tem7.add(_div_26645354);
_template_31321964.add(tem7);
var tem8 = new Emp.Panel({"id":"tem8","height":"-2","backgroundColor":"#f0f0f0","vAlign":"middle","hAlign":"center","layout":"VBox","width":"100%"});
var _div_2052933 = new Emp.Panel({"id":"_div_2052933","height":"5","width":"100%"});
tem8.add(_div_2052933);
var topictoppic8 = new Emp.Image({"id":"topictoppic8","position":"relative","height":"15","tag":"topictoppic","width":"30","left":"13","src":"","top":"1"});
tem8.add(topictoppic8);
var _div_1660153 = new Emp.Panel({"id":"_div_1660153","borderColor":"#ffffff","height":"-2","backgroundColor":"#ffffff","marginLeft":"5","tag":"tieDetail","borderWidth":"1","marginRight":"5","layout":"VBox","width":"100%","cornerRadius":"8"});
var _div_18460067 = new Emp.Panel({"id":"_div_18460067","height":"40","marginLeft":"10","marginTop":"20","marginRight":"10","layout":"HBox","width":"100%"});
var _div_14078708 = new Emp.Panel({"id":"_div_14078708","height":"25","vAlign":"middle","hAlign":"center","width":"25"});
var _img_28553049 = new Emp.Image({"id":"_img_28553049","height":"25","width":"25","src":"/icon_128/iconfont-vote.png"});
_div_14078708.add(_img_28553049);
_div_18460067.add(_div_14078708);
var _div_29176915 = new Emp.Panel({"id":"_div_29176915","height":"100%","marginLeft":"10","layout":"VBox","width":"100%"});
var _input_11947425 = new Emp.Label({"id":"_input_11947425","tag":"title","width":"240","value":"","fontSize":"14","singleLine":"true"});
_div_29176915.add(_input_11947425);
var _input_10657020 = new Emp.Label({"id":"_input_10657020","color":"#cccccc","tag":"visittime","value":"","fontSize":"12"});
_div_29176915.add(_input_10657020);
_div_18460067.add(_div_29176915);
var _div_32540305 = new Emp.Panel({"id":"_div_32540305","borderColor":"#ffcc00","height":"18","vAlign":"middle","backgroundColor":"#ffcc00","marginLeft":"10","borderWidth":"1","hAlign":"center","width":"30","cornerRadius":"9","display":"false"});
var _input_1227625 = new Emp.Label({"id":"_input_1227625","color":"#ffffff","tag":"replyCnt","value":"","fontSize":"12"});
_div_32540305.add(_input_1227625);
_div_18460067.add(_div_32540305);
_div_1660153.add(_div_18460067);
var _div_30275025 = new Emp.Panel({"id":"_div_30275025","height":"30","hAlign":"left","width":"100%","paddingLeft":"10"});
var _input_12943553 = new Emp.Label({"id":"_input_12943553","tag":"content","width":"320","value":"","fontSize":"14","singleLine":"true"});
_div_30275025.add(_input_12943553);
_div_1660153.add(_div_30275025);
tem8.add(_div_1660153);
_template_31321964.add(tem8);
var tem9 = new Emp.Panel({"id":"tem9","height":"-2","backgroundColor":"#f0f0f0","vAlign":"middle","hAlign":"center","layout":"VBox","width":"100%"});
var _div_20471995 = new Emp.Panel({"id":"_div_20471995","height":"5","width":"100%"});
tem9.add(_div_20471995);
var topictoppic8 = new Emp.Image({"id":"topictoppic8","position":"relative","height":"15","tag":"topictoppic","width":"30","left":"13","src":"","top":"1"});
tem9.add(topictoppic8);
var _div_25500578 = new Emp.Panel({"id":"_div_25500578","borderColor":"#ffffff","height":"-2","backgroundColor":"#ffffff","marginLeft":"5","tag":"tieDetail","borderWidth":"1","marginRight":"5","layout":"VBox","width":"100%","cornerRadius":"8"});
var _div_31012030 = new Emp.Panel({"id":"_div_31012030","height":"40","marginLeft":"10","marginTop":"20","marginRight":"10","layout":"HBox","width":"100%"});
var _div_18200661 = new Emp.Panel({"id":"_div_18200661","height":"25","vAlign":"middle","hAlign":"center","width":"25"});
var _img_16308507 = new Emp.Image({"id":"_img_16308507","height":"25","width":"25","src":"/icon_128/iconfont-event.png"});
_div_18200661.add(_img_16308507);
_div_31012030.add(_div_18200661);
var _div_24491406 = new Emp.Panel({"id":"_div_24491406","height":"100%","marginLeft":"10","layout":"VBox","width":"100%"});
var _input_14856094 = new Emp.Label({"id":"_input_14856094","tag":"title","width":"240","value":"","fontSize":"14","singleLine":"true"});
_div_24491406.add(_input_14856094);
var _input_7858956 = new Emp.Label({"id":"_input_7858956","color":"#cccccc","tag":"visittime","value":"","fontSize":"12"});
_div_24491406.add(_input_7858956);
_div_31012030.add(_div_24491406);
var _div_15232878 = new Emp.Panel({"id":"_div_15232878","borderColor":"#CC0066","height":"18","vAlign":"middle","backgroundColor":"#CC0066","marginLeft":"10","borderWidth":"1","hAlign":"center","width":"30","cornerRadius":"9","display":"false"});
var _input_32219462 = new Emp.Label({"id":"_input_32219462","color":"#ffffff","tag":"replyCnt","value":"","fontSize":"12"});
_div_15232878.add(_input_32219462);
_div_31012030.add(_div_15232878);
_div_25500578.add(_div_31012030);
var _div_11081560 = new Emp.Panel({"id":"_div_11081560","height":"30","hAlign":"left","width":"100%","paddingLeft":"10"});
var _input_20691648 = new Emp.Label({"id":"_input_20691648","tag":"content","width":"320","value":"","fontSize":"14","singleLine":"true"});
_div_11081560.add(_input_20691648);
_div_25500578.add(_div_11081560);
tem9.add(_div_25500578);
_template_31321964.add(tem9);



$jsd('/NewBuyApp/src/fan_group_template.htmlx',215,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);});actUrl.setAttrAdapter([{value:"null", display:"false"}, {value:"", display:"false"}, {value:"other", display:"true"}]); 
$jsd('/NewBuyApp/src/fan_group_template.htmlx',216,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); topictoppic1.setAttrAdapter([{value:"null", display:"false"}, {value:"", display:"false"}, {value:"other", display:"true"}]); 
$jsd('/NewBuyApp/src/fan_group_template.htmlx',217,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); topictoppic2.setAttrAdapter([{value:"null", display:"false"}, {value:"", display:"false"}, {value:"other", display:"true"}]); 
$jsd('/NewBuyApp/src/fan_group_template.htmlx',218,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); topictoppic3.setAttrAdapter([{value:"null", display:"false"}, {value:"", display:"false"}, {value:"other", display:"true"}]); 
$jsd('/NewBuyApp/src/fan_group_template.htmlx',219,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); topictoppic5.setAttrAdapter([{value:"null", display:"false"}, {value:"", display:"false"}, {value:"other", display:"true"}]); 
$jsd('/NewBuyApp/src/fan_group_template.htmlx',220,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); topictoppic6.setAttrAdapter([{value:"null", display:"false"}, {value:"", display:"false"}, {value:"other", display:"true"}]); 
$jsd('/NewBuyApp/src/fan_group_template.htmlx',221,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); topictoppic7.setAttrAdapter([{value:"null", display:"false"}, {value:"", display:"false"}, {value:"other", display:"true"}]); 
$jsd('/NewBuyApp/src/fan_group_template.htmlx',222,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); topictoppic8.setAttrAdapter([{value:"null", display:"false"}, {value:"", display:"false"}, {value:"other", display:"true"}]); 
 
Emp.page.render();
