var top = this;

var arguments = [];
var window= top;

arguments.callee = {};
var DEBUG_FUNC_INDEX = 1;

var del = ["arguments","top","window","Emp","empBridge","util","DEBUG_FUNC_INDEX","del","BridgeUtil","ResultUtil"];

function jsDebug(){
	
}

jsDebug.debugCommand = null;
jsDebug.currResource = null;
jsDebug.breakpoints = null;
jsDebug.functionStack = [];
jsDebug.currResource = null;
jsDebug.currLine = null;
jsDebug.isExpression = false;

/**
 * 
 */
jsDebug.getErrorStack = function(func) {
	var stack = [];
	while (func) {
		var funcStr = func.toString();
		var funcOffset = funcStr.indexOf(")");
		var funcHead = funcStr.substring(0, funcOffset + 1);
		var args = func.arguments;
		var argArr = [];
		for (var i = 0; i < args.length; i++) {
			argArr.push(args[i]);
		}
		stack.push(funcHead + json2string(argArr, 12));
		func = func.caller;
	}
	return stack.join("\n");
}

/**
 * 
 */
var parseVars = function(line) {
	var varNames = [];
	if (line && line.length > 0) {
		var endOffset = line.indexOf(";");
		if (endOffset > 0) {
			line = line.substring(0, endOffset);
		}
		var lineArr = line.split(",");
		for (var i = 0; i < lineArr.length; i++) {
			var varStr = lineArr[i];
			var varEndOffset = varStr.indexOf("=");
			if (varEndOffset > 0) {
				varNames.push(varStr.substring(0, varEndOffset));
			} else {
				varNames.push(varStr);
			}
		}
	}
	return varNames;
}

/**
 * 
 */
jsDebug.updateStack = function(args, resource, scope, line, evalFunc) {
	if (args && args.callee) {
		var func = args.callee;
		func.__resource = resource;
		func.__line = line;
		func.__evalFunc = evalFunc;
		func.__scope = scope;
		for (var i = jsDebug.functionStack.length - 1; i > -1; i--) {
			if (func == jsDebug.functionStack[i]) {
				jsDebug.functionStack = jsDebug.functionStack.slice(0, i + 1);
				return;
			}
		}
		jsDebug.functionStack.push(func);
	} else {
		jsDebug.functionStack = [];
	}

}

/**
 * 
 */
var getFuncData = function(args, evalFunc) {
	
		var vars = [];
		var func = args.callee;
		if (func) {
			var funcStr = func.toString().replace(/\n/g, "");
			var argStart = funcStr.indexOf("(");
			var argEnd = funcStr.indexOf(")");
			if (argStart > 0 && argEnd > 0) {
				var argStr = funcStr.substring(argStart + 1, argEnd);
				vars = argStr.split(",");
			}
			var nameArr = funcStr.split("var ");
			for (var i = 1; i < nameArr.length; i++) {
				var line = nameArr[i];
				vars = vars.concat(parseVars(line));
			}
		}
		var data = {};
		
		for (var i = 0; i < vars.length; i++) {
			var key = vars[i];
			if (key && key.length > 0) {
				key = key.replace(/\n|\r|\t| /g, "");
				if (/^[A-Za-z0-9_\$]*$/.test(key)) {
					try {
						var result = evalFunc(key);
						if (result == undefined) {
							data[key] = {"value":"undefined","type":"string"};
						} else if (result == null) {
							data[key] = {"value":"null","type":"string"};
						} else {
							data[key] = {"value":evalFunc(key),"type":typeof(evalFunc(key))};
						}
					} catch (e) {

					}
				}
			}
		}
		return data;
}

var getWindowData = function(args,evalFunc){
	var data = {};
	for (var i in top) { 
	    data[i] = {value:top[i],type:typeof(top[i])};
	}
//	return {"x":{"value":top.x,"type":typeof(top.x)}};

	return {"window":{value:top,type:typeof(top)}};
}


/**
 * find if arguments is stepreturn context
 */
jsDebug.isStepReturn = function(args) {
	if (args) {
		var func = args.callee;
		for (var i = jsDebug.functionStack.length - 2; i > -1; i--) {
			if (func == jsDebug.functionStack[i]) {
				return true;
			}
		}
		return false;
	} else {
		return true;
	}
}

/**
 * find if arguments is stepover context
 */
jsDebug.isStepOver = function(args) {
	if (args) {
		var func = args.callee;
		for (var i = jsDebug.functionStack.length - 1; i > -1; i--) {
			if (func == jsDebug.functionStack[i]) {
				return true;
			}
		}
		return false;
	} else {
		return true;
	}
}

/**
 * 
 */
jsDebug.error = function(e, resource, line,callFunc) {
	try {
		var funcStr = callFunc + "";
			if(funcStr.indexOf("function anonymous")>=0){
				funcStr = undefined;
			}
		var postData = {
			"ERROR" : encodeURI(e),
			"COMMAND" : "ERROR",
			"RESOURCE" : resource,
			"LINE" : line,
			"ERRORFUNC":funcStr,
			"ISIE":isIE
		}
		empBridge.debug(obj2string(postData));
	} catch (e) {

	}
}

/**
 * 
 */
jsDebug.stepReturn = function(func) {
	try {
		var data = jsDebug.getFuncData(func.arguments, func.__evalFunc);
		jsDebug.updateStack(func.arguments, func.__resource, func.__scope,
				func.__line, func.__evalFunc);
		if (func.__scope != top) {
			data["this"] = func.__scope;
		}
		var postData = {
			"STACK" : data,
			"COMMAND" : jsDebug.debugCommand,
			"RESOURCE" : func.__resource,
			"LINE" : func.__line
		}
		var res = empBridge.debug(obj2string(postData));
		jsDebug.parseResult(res,func.__evalFunc);
		
	} catch (e) {
	}
}


jsDebug.evalExpression = function(expression, evalFunc) {
	try {
	//	jsDebug.xmlHttp.open("POST", "/jsdebug.debug?" + new Date(), false);
		var postData = {
			"STACK" : {},
			"COMMAND" : "EXPRESSION",
			"EXPRESSION" : expression
		}
		try {
			jsDebug.isExpression = true;
			var ret = evalFunc(expression);
			if(typeof(ret)=="undefined"){
				ret = "undefined";
			}else if(ret==null){
				ret = "null";
			}
			postData["RESULT"] = ret;
		} catch (e) {
			postData["ERROR"] = e;
		}
		jsDebug.isExpression = false;
		var res = empBridge.debug(obj2string(postData));
		jsDebug.parseResult(res,evalFunc);
	} catch (e) {

	}
}

jsDebug.evalValue = function(expression, evalFunc){
	try {
//		jsDebug.xmlHttp.open("POST", "/jsdebug.debug?" + new Date(), false);
		var postData = {
			"STACK" : {},
			"COMMAND" : "VALUE",
			"EXPRESSION" : expression
		}
		try {
			jsDebug.isExpression = true;
			var ret = evalFunc(expression);
			var data = {};
			if(typeof(ret)=="undefined"){
				ret = "undefined";
			}else if(ret==null){
				ret = "null";
			}else{
				for(var prop in ret){
					try{
						if(prop!="postData"&&!contains(del,prop)){
						var value = ret[prop];
						var type = typeof(value);
						if(type=="function"){
							continue;
						}
						var stringValue = "";
						if(value){
							stringValue = value.toString();
						}
						if(value==null){
							stringValue = "null";
							type = "null";
						}else if(value==undefined){
							stringValue = "undefined";
							type = "undefined";
						}
						data[prop] = {"value":stringValue,"type":typeof(value)};
						}
					}catch(e){

					}
				}
			}
			postData["RESULT"] = data;
		} catch (e) {
			postData["ERROR"] = e;
		}
		jsDebug.isExpression = false;
		var submitString = "{}";
		try{
			submitString = json2string(postData);
		}catch(e){

		}
		var res = empBridge.debug(obj2string(postData));
		jsDebug.parseResult(res,evalFunc);
	} catch (e) {
		alert(e);
	}
}

/**
 * 
 */
jsDebug.parseResult = function(result, evalFunc) {
	if (result) {
		if (result.indexOf("{") == 0) {
			try {
				eval("var retObj = " + result);
				if( retObj["COMMAND"]){
					if(retObj["COMMAND"]=="EXPRESSION"){
						jsDebug.evalExpression(retObj["EXPRESSION"], evalFunc);
					}else if(retObj["COMMAND"]=="VALUE"){
						jsDebug.evalValue(retObj["EXPRESSION"], evalFunc);
					}else{
						jsDebug.isExpression = false;
						jsDebug.debugCommand = retObj["COMMAND"];
						if (jsDebug.debugCommand == "BREAKPOINT") {
							jsDebug.breakpoints = retObj["BREAKPOINTS"];
						}
					}
				}
                return retObj;
			} catch (e) {
			}
		} else {
			 alert("Debug error:" + result);
		}
	} else {

	}
}



function json2string(obj, depth) {
	depth = depth || 0;
	if (typeof obj == "function") {
		return "\"function\"";
	}  else if (obj && typeof obj.pop == 'function' && obj instanceof Array) {
		return array2string(obj, depth + 1);
	} else if (typeof obj == "object") {
		return obj2string(obj, depth + 1);
	} else {
		if (typeof obj == "string") {
			return "\"" + obj.replace(/"/gm, "'").replace(/\n|\r/gm, "")
					+ "\"";
		} else if (typeof obj == "number") {
			if (isFinite(obj)) {
				return obj;
			} else {
				return "\"out of number\"";
			}
		} else {
			//return util.jsonToString(obj).replace(/"/gm, "\\\"").replace(/\n|\r/gm, "");
		}
	}
}

function obj2string(obj, depth) {
	depth = depth || 0;
		var arr = [];
		for (var prop in obj) {
			try {
				if (obj.hasOwnProperty(prop) && typeof(obj[prop]) != "function") {
					if (depth < 9) {
						arr.push("\"" + prop + "\":"
								+ json2string(obj[prop], depth + 1));
					} else {
						arr.push("\"" + prop + "\":\"...\"")
					}
				}
			} catch (e) {

			}
		}
		return "{" + arr.join(",") + "}";
}

function complexObj2String(obj){
	var arr = [];
	for (var prop in obj) {
		try {
			if (typeof(obj[prop]) != "function") {
				var value = (obj[prop] + "").replace(/"/gm, "'").replace(/\n|\r/gm, "");
				arr.push("\"" + prop + "\":\""
						+ value + "\"");
			}
		} catch (e) {

		}
	}
	return "{" + arr.join(",") + "}";
}
function array2string(array, depth) {
	depth = depth || 0;
	var arr = [];
	for (var i = 0; i < array.length; i++) {
		arr.push(json2string(array[i], depth + 1));
	}
	return "[" + arr.join(",") + "]";
}

function mergeJsonObject(jsonbject1, jsonbject2)  
{  
    var resultJsonObject={};  
    for(var attr in jsonbject1){  
        resultJsonObject[attr]=jsonbject1[attr];  
    }  
    for(var attr in jsonbject2){  
        resultJsonObject[attr]=jsonbject2[attr];  
    }  

    return resultJsonObject;  
};  

function convertStringToJSON(str){
    var stu = eval('('+str+')');
    return stu;
}

function contains(a,obj){
	var i = a.length;
	while(i--){
		if(a[i]===obj){
			return true;
		}
	}
	return false;
}

jsDebug.getBreakPoint = function(async) {
	var postData = {"COMMAND":"RESUME"}; 
    var res = empBridge.debug(obj2string(postData));
    var retObj = util.stringToJson(res);
    jsDebug.breakpoints = retObj["BREAKPOINTS"];
    return;

	async = async?false:true;
	log(":"+async);
	try{
//	var jsonResume = "{\"COMMAND\":\"RESUME\"}";
		var postData = {"COMMAND":"RESUME"}; 
	if(async){
		var id;
	    log("");
		id = setInterval(jsDebug.getBreakPoint,1000);
	}else{
		log("");
	    var res = empBridge.debug(obj2string(postData));
	    var retObj = util.stringToJson(res);
	    jsDebug.breakpoints = retObj["BREAKPOINTS"];
	}
	} catch(e){
		
	}
}

jsDebug.getBreakPoint();

jsDebug.debug =  function(resource,line,scope,args,evalFunc){
	var isNewStack = false;
	if(args&&args["_funcIndex"]==undefined){
		if(args.callee.caller && args.callee.caller.arguments){
			if(args.callee.caller.arguments["__funcIndex"]==undefined){
				args["__funcIndex"] = DEBUG_FUNC_INDEX++;
				isNewStack = true;
			}else{
				args["__funcIndex"] = args.callee.caller.arguments["__funcIndex"];
			}
		}
	}
	
	if (jsDebug.isExpression) {
		return;
	}
	
	
	try {
		jsDebug.currResource = resource;
		jsDebug.currLine = line;
		if (jsDebug.debugCommand == null) {
			jsDebug.debugCommand = "START";
		}
		if (jsDebug.debugCommand == "TERMINATE") {
			throw "exit";
		}
		if(!jsDebug.breakpoints){
			jsDebug.getBreakPoint(true);
		}
		if (!(jsDebug.breakpoints && jsDebug.breakpoints[resource + line])) {
			if (jsDebug.debugCommand == "STEPRETURN"
					|| jsDebug.debugCommand == "STEPOVER") {
				var parentFunc = jsDebug.functionStack[jsDebug.functionStack.length
						- 2];
				var currFunc = jsDebug.functionStack[jsDebug.functionStack.length
						- 1];
				if(currFunc && (currFunc==args.callee)){
					if(jsDebug.debugCommand == "STEPRETURN"){
						return;
					}
					// do nothing
				}else{
					if (parentFunc && (args.callee.caller == parentFunc)) {
						jsDebug.stepReturn(parentFunc);
						jsDebug.debug(resource, line, scope, args, evalFunc);
						if(jsDebug.debugCommand == "STEPRETURN"){
							return;
						}
					}else{
//						if(args.callee){
//							return;
//						}
					}
				}

			}
			if (jsDebug.debugCommand == "STEPRETURN") {
				if (!jsDebug.isStepReturn(args)) {
					if(args.callee){
						return;
					}
				}
			} else if (jsDebug.debugCommand == "STEPOVER") {
				if (!jsDebug.isStepOver(args)) {
					if(args.callee){
						return;
					}
				}
			} else if (jsDebug.debugCommand == "RESUME") {
				return;
			} else if (jsDebug.debugCommand == "STEPINTO") {

			} else {
				return;
			}
		} else {
			jsDebug.debugCommand = "BREAKPOINT";
		}
		
		var data = getFuncData(args,evalFunc);
		var windowData = getWindowData(args,evalFunc);
		var stack = mergeJsonObject(windowData,data);
		
		jsDebug.updateStack(args, resource, scope, line, evalFunc);
		
		var postData = {
				"STACK" : stack,
				"COMMAND" : jsDebug.debugCommand,
				"RESOURCE" : resource,
				"LINE" : line,
				"NEWSTACK":true
		};
		var postDataStr = json2string(postData,0);
		
	    var res = empBridge.debug(postDataStr);
		
		jsDebug.parseResult(res, evalFunc);
		
	} catch (e) {

	}

};

var $jsd = jsDebug.debug;
Emp.page.setId('_body_14552781');
var _div_10349188 = new Emp.Panel({"id":"_div_10349188","height":"44","vAlign":"middle","layout":"HBox","width":"100%","backgroundImage":"/icon_128/u93.png"});
var _div_26191457 = new Emp.Panel({"id":"_div_26191457","height":"100%","vAlign":"middle","width":"100%"});
_div_26191457.addEvent('onClick',goBack);
var _img_32787956 = new Emp.Image({"id":"_img_32787956","height":"30","width":"30","src":"/icon_128/iconfont-back.png"});
_div_26191457.add(_img_32787956);
var title = new Emp.Label({"id":"title","color":"#999999","tag":"title","value":"","fontSize":"16"});
_div_26191457.add(title);
_div_10349188.add(_div_26191457);
var fanGrpModify = new Emp.Panel({"id":"fanGrpModify","height":"100%","vAlign":"middle","hAlign":"right","marginRight":"10","layout":"VBox","width":"100%","display":"false"});
var modifyBtn = new Emp.Label({"id":"modifyBtn","color":"#999999","value":"修改","fontSize":"16"});
fanGrpModify.add(modifyBtn);
_div_10349188.add(fanGrpModify);
Emp.page.add(_div_10349188);
var _div_8530269 = new Emp.Panel({"id":"_div_8530269","height":"1","backgroundColor":"#CCCCCC","borderWidth":"0","width":"100%"});
Emp.page.add(_div_8530269);
var _div_11071713 = new Emp.Panel({"id":"_div_11071713","height":"100%","hAlign":"center","width":"100%","layout":"VBox"});
var _div_22968693 = new Emp.Panel({"id":"_div_22968693","height":"100%","marginTop":"5","backgroundColor":"#ffffff","overflow":"y","width":"100%","layout":"VBox"});
var _div_24643217 = new Emp.Panel({"id":"_div_24643217","marginBottom":"5","paddingTop":"5","height":"65","width":"100%"});
var _div_16203327 = new Emp.Panel({"id":"_div_16203327","height":"60","vAlign":"middle","hAlign":"center","width":"100"});
var fanGrpPhotoPop = new Emp.Image({"id":"fanGrpPhotoPop","height":"60","width":"60","src":"","circleClip":"true"});
_div_16203327.add(fanGrpPhotoPop);
_div_24643217.add(_div_16203327);
var _div_13537266 = new Emp.Panel({"id":"_div_13537266","display":"false"});
var fanGrpStatusPop = new Emp.Image({"id":"fanGrpStatusPop"});
_div_13537266.add(fanGrpStatusPop);
_div_24643217.add(_div_13537266);
var fanGrpV = new Emp.Image({"position":"relative","id":"fanGrpV","height":"18","vAlign":"middle","hAlign":"center","width":"18","left":"65","display":"false","src":"/icon_128/fangrp_v.png","top":"40"});
_div_24643217.add(fanGrpV);
var _div_6860928 = new Emp.Panel({"id":"_div_6860928","height":"60","layout":"VBox","width":"100%"});
var _div_18592536 = new Emp.Panel({"id":"_div_18592536","height":"20","layout":"HBox","width":"100%"});
var fanGrpNamePop = new Emp.Label({"id":"fanGrpNamePop","color":"#333333","value":"","maxWidth":"160","fontSize":"14","singleLine":"false"});
_div_18592536.add(fanGrpNamePop);
var _div_30262172 = new Emp.Panel({"id":"_div_30262172","marginLeft":"5","hAlign":"left","width":"100%"});
var _div_31811559 = new Emp.Panel({"id":"_div_31811559","borderColor":"#FFCC00","height":"20","vAlign":"middle","backgroundColor":"#FFCC00","borderWidth":"2","hAlign":"center","width":"20","cornerRadius":"5"});
var fanGrpLevelPop = new Emp.Label({"id":"fanGrpLevelPop","color":"#ffffff","value":"","fontSize":"12"});
_div_31811559.add(fanGrpLevelPop);
_div_30262172.add(_div_31811559);
var _div_29322110 = new Emp.Panel({"id":"_div_29322110","borderColor":"#FFCC00","height":"20","vAlign":"middle","backgroundColor":"#FFCC00","marginLeft":"2","borderWidth":"2","hAlign":"left","width":"65","cornerRadius":"5","paddingLeft":"5"});
var _img_2762316 = new Emp.Image({"id":"_img_2762316","height":"15","width":"15","src":"/icon_128/iconfont-users.png"});
_div_29322110.add(_img_2762316);
var fanGrpMemberCntPop = new Emp.Label({"id":"fanGrpMemberCntPop","color":"#ffffff","value":"","fontSize":"12"});
_div_29322110.add(fanGrpMemberCntPop);
_div_30262172.add(_div_29322110);
_div_18592536.add(_div_30262172);
_div_6860928.add(_div_18592536);
var fanGrpIdPop = new Emp.Label({"id":"fanGrpIdPop","display":"false"});
_div_6860928.add(fanGrpIdPop);
var fanGrpIntroductionPop = new Emp.Label({"id":"fanGrpIntroductionPop","height":"30","color":"#999999","marginTop":"10","marginRight":"10","width":"250","value":"","maxWidth":"200","fontSize":"12","singleLine":"false"});
_div_6860928.add(fanGrpIntroductionPop);
_div_24643217.add(_div_6860928);
_div_22968693.add(_div_24643217);
var _div_27147727 = new Emp.Panel({"id":"_div_27147727","height":"1px","backgroundColor":"#cccccc","marginLeft":"10","marginTop":"5","width":"100%","marginRight":"10"});
_div_22968693.add(_div_27147727);
var _div_32250178 = new Emp.Panel({"id":"_div_32250178","height":"40","marginLeft":"20","vAlign":"middle","width":"100%"});
var _div_24007842 = new Emp.Panel({"id":"_div_24007842","borderColor":"#ff0017","height":"21","vAlign":"middle","borderWidth":"1","hAlign":"center","width":"21"});
var _input_7762709 = new Emp.Label({"id":"_input_7762709","color":"#ff0017","value":"星","fontSize":"14"});
_div_24007842.add(_input_7762709);
_div_32250178.add(_div_24007842);
var fanGrpUsersPop = new Emp.Label({"id":"fanGrpUsersPop","color":"#999999","marginLeft":"10","value":""});
_div_32250178.add(fanGrpUsersPop);
_div_22968693.add(_div_32250178);
var _div_26214575 = new Emp.Panel({"id":"_div_26214575","height":"40","marginLeft":"20","vAlign":"middle","width":"100%"});
var _div_18680837 = new Emp.Panel({"id":"_div_18680837","borderColor":"#ffca45","height":"21","vAlign":"middle","borderWidth":"1","hAlign":"center","width":"21"});
var _input_9744 = new Emp.Label({"id":"_input_9744","color":"#ffca45","value":"福","fontSize":"14"});
_div_18680837.add(_input_9744);
_div_26214575.add(_div_18680837);
var fanGrpBenefitPop = new Emp.Label({"id":"fanGrpBenefitPop","color":"#999999","marginLeft":"10","value":""});
_div_26214575.add(fanGrpBenefitPop);
_div_22968693.add(_div_26214575);
var _div_28754583 = new Emp.Panel({"id":"_div_28754583","height":"40","marginLeft":"20","vAlign":"middle","width":"100%"});
var _div_27354920 = new Emp.Panel({"id":"_div_27354920","borderColor":"#91ff00","height":"21","vAlign":"middle","borderWidth":"1","hAlign":"center","width":"21"});
var _input_24873074 = new Emp.Label({"id":"_input_24873074","color":"#91ff00","value":"招","fontSize":"14"});
_div_27354920.add(_input_24873074);
_div_28754583.add(_div_27354920);
var fanGrpTopicPop = new Emp.Label({"id":"fanGrpTopicPop","color":"#999999","marginLeft":"10","value":""});
_div_28754583.add(fanGrpTopicPop);
_div_22968693.add(_div_28754583);
var _div_2890559 = new Emp.Panel({"id":"_div_2890559","height":"40","marginLeft":"20","vAlign":"middle","width":"100%"});
var _div_28365182 = new Emp.Panel({"id":"_div_28365182","borderColor":"#66ccff","height":"21","vAlign":"middle","borderWidth":"1","hAlign":"center","width":"40"});
var _input_25814165 = new Emp.Label({"id":"_input_25814165","color":"#66ccff","value":"团员","fontSize":"14"});
_div_28365182.add(_input_25814165);
_div_2890559.add(_div_28365182);
var _img_33435785 = new Emp.Image({"id":"_img_33435785","height":"30","width":"30","src":"/icon_128/iconfont-female.png"});
_div_2890559.add(_img_33435785);
var femalePercentPop = new Emp.Label({"id":"femalePercentPop","color":"#ff2ec0","value":""});
_div_2890559.add(femalePercentPop);
var _img_30388481 = new Emp.Image({"id":"_img_30388481","height":"30","width":"30","src":"/icon_128/iconfont-male.png"});
_div_2890559.add(_img_30388481);
var malePercentPop = new Emp.Label({"id":"malePercentPop","color":"#009ed6","value":""});
_div_2890559.add(malePercentPop);
_div_22968693.add(_div_2890559);
var _div_28445985 = new Emp.Panel({"id":"_div_28445985","height":"40","marginLeft":"20","vAlign":"middle","width":"100%"});
var _div_8135324 = new Emp.Panel({"id":"_div_8135324","borderColor":"#ff0017","height":"21","vAlign":"middle","borderWidth":"1","hAlign":"center","width":"40"});
var _input_29639028 = new Emp.Label({"id":"_input_29639028","color":"#ff0017","value":"饭帖","fontSize":"14"});
_div_8135324.add(_input_29639028);
_div_28445985.add(_div_8135324);
var updatedTodayPop = new Emp.Label({"id":"updatedTodayPop","color":"#999999","marginLeft":"10","value":""});
_div_28445985.add(updatedTodayPop);
_div_22968693.add(_div_28445985);
var _div_834619 = new Emp.Panel({"id":"_div_834619","height":"200","hAlign":"center","layout":"VBox","width":"100%"});
var line1 = new Emp.Panel({"id":"line1","height":"95","width":"320"});
_div_834619.add(line1);
var line2 = new Emp.Panel({"id":"line2","height":"95","width":"320"});
_div_834619.add(line2);
_div_22968693.add(_div_834619);
var _div_27845173 = new Emp.Panel({"id":"_div_27845173","marginBottom":"15","height":"55","vAlign":"bottom","hAlign":"center","width":"100%","paddingLeft":"18","paddingRight":"18"});
var join_in = new Emp.Panel({"id":"join_in","borderColor":"#FFCC00","height":"50","backgroundColor":"#FFCC00","vAlign":"middle","marginTop":"5","borderWidth":"1","hAlign":"center","width":"100%","cornerRadius":"5"});
var _input_22474448 = new Emp.Label({"id":"_input_22474448","color":"#ffffff","value":"+ 入团","fontSize":"20"});
join_in.add(_input_22474448);
_div_27845173.add(join_in);
var joinedin = new Emp.Panel({"id":"joinedin","borderColor":"#cccccc","height":"50","backgroundColor":"#cccccc","vAlign":"middle","marginTop":"5","borderWidth":"1","hAlign":"center","width":"100%","cornerRadius":"5","display":"false"});
var _input_815438 = new Emp.Label({"id":"_input_815438","color":"#ffffff","value":"已入团","fontSize":"20"});
joinedin.add(_input_815438);
_div_27845173.add(joinedin);
_div_22968693.add(_div_27845173);
_div_11071713.add(_div_22968693);
Emp.page.add(_div_11071713);



$jsd('/NewBuyApp/src/fan_grp_detail.htmlx',96,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);});$M.page.addEvent("onLoad", function (data) { 
if($jsd('/NewBuyApp/src/fan_grp_detail.htmlx',97,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);})||true) if (data.joinStatus == "1") { 
$jsd('/NewBuyApp/src/fan_grp_detail.htmlx',98,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); join_in.setDisplay(false); 
$jsd('/NewBuyApp/src/fan_grp_detail.htmlx',99,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); joinedin.setDisplay(true); 
} 
if($jsd('/NewBuyApp/src/fan_grp_detail.htmlx',101,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);})||true) if (data.isCreator == "1") { 
$jsd('/NewBuyApp/src/fan_grp_detail.htmlx',102,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); fanGrpModify.setDisplay(true); 
} 
$jsd('/NewBuyApp/src/fan_grp_detail.htmlx',104,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); title.setValue(data.fanGrpName); 
$jsd('/NewBuyApp/src/fan_grp_detail.htmlx',106,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); var searchConJ = {}; 
$jsd('/NewBuyApp/src/fan_grp_detail.htmlx',107,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); searchConJ.name = "fanTopic.fanGrpId"; 
$jsd('/NewBuyApp/src/fan_grp_detail.htmlx',108,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); searchConJ.value = data.id; 
$jsd('/NewBuyApp/src/fan_grp_detail.htmlx',110,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); var preference = new $M.Preferences(); 
$jsd('/NewBuyApp/src/fan_grp_detail.htmlx',111,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); preference.open("newbuy_config"); 
$jsd('/NewBuyApp/src/fan_grp_detail.htmlx',112,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); var newbuy_config = preference.get("newbuy_config"); 
$jsd('/NewBuyApp/src/fan_grp_detail.htmlx',113,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); var ajax = new $M.Ajax(); 
$jsd('/NewBuyApp/src/fan_grp_detail.htmlx',114,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); ajax.addParams([searchConJ, {name:"loginkey", value:newbuy_config.loginkey}, {name:"mobileImei", value:Utils.getImei()}, {name:"mobileType", value:Utils.getOs()}, {name:"mobileToken", value:Utils.getMessageToken()}]); 
$jsd('/NewBuyApp/src/fan_grp_detail.htmlx',115,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); ajax.setAction("/mobile/fanTopicAction!getFanGrpTopicDescribe.action"); 
$jsd('/NewBuyApp/src/fan_grp_detail.htmlx',116,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); ajax.submit(function (result) { 
$jsd('/NewBuyApp/src/fan_grp_detail.htmlx',117,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); result = Utils.stringToJson(result); 
if($jsd('/NewBuyApp/src/fan_grp_detail.htmlx',118,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);})||true) if (result.success) { 
$jsd('/NewBuyApp/src/fan_grp_detail.htmlx',119,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); var topicJson = result.data; 
$jsd('/NewBuyApp/src/fan_grp_detail.htmlx',121,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); fanGrpNamePop.setValue(data.fanGrpName); 
$jsd('/NewBuyApp/src/fan_grp_detail.htmlx',122,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); fanGrpIntroductionPop.setValue(data.fanGrpIntroduction); 
$jsd('/NewBuyApp/src/fan_grp_detail.htmlx',123,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); fanGrpBenefitPop.setValue(data.fanGrpBenefit); 
$jsd('/NewBuyApp/src/fan_grp_detail.htmlx',124,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); fanGrpTopicPop.setValue(data.fanGrpTopic); 
$jsd('/NewBuyApp/src/fan_grp_detail.htmlx',125,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); fanGrpPhotoPop.setValue(data.fanGrpPhoto); 
$jsd('/NewBuyApp/src/fan_grp_detail.htmlx',126,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); fanGrpStatusPop.setValue(data.fanGrpStatus); 
$jsd('/NewBuyApp/src/fan_grp_detail.htmlx',127,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); fanGrpLevelPop.setValue(data.fanGrpLevel); 
$jsd('/NewBuyApp/src/fan_grp_detail.htmlx',128,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); fanGrpMemberCntPop.setValue(data.fanGrpMemberCnt); 
$jsd('/NewBuyApp/src/fan_grp_detail.htmlx',129,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); fanGrpIdPop.setValue(data.id); 
$jsd('/NewBuyApp/src/fan_grp_detail.htmlx',130,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); fanGrpUsersPop.setValue(data.allStarName); 
$jsd('/NewBuyApp/src/fan_grp_detail.htmlx',131,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); updatedTodayPop.setValue("今日更新 " + data.updatedToday); 
$jsd('/NewBuyApp/src/fan_grp_detail.htmlx',132,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); femalePercentPop.setValue(data.femalePercent); 
$jsd('/NewBuyApp/src/fan_grp_detail.htmlx',133,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); malePercentPop.setValue(data.malePercent); 
$jsd('/NewBuyApp/src/fan_grp_detail.htmlx',135,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); var length = topicJson.length; 
if($jsd('/NewBuyApp/src/fan_grp_detail.htmlx',136,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);})||true) if (data.fanGrpStatus == "6") { 
$jsd('/NewBuyApp/src/fan_grp_detail.htmlx',137,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); fanGrpV.setDisplay(true); 
} else { 
$jsd('/NewBuyApp/src/fan_grp_detail.htmlx',139,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); fanGrpV.setDisplay(false); 
} 
if($jsd('/NewBuyApp/src/fan_grp_detail.htmlx',141,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);})||true) if (length > 4) { 
$jsd('/NewBuyApp/src/fan_grp_detail.htmlx',142,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); length = 4; 
} 
$jsd('/NewBuyApp/src/fan_grp_detail.htmlx',144,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); for (var i = 0; i < length; i++) { 
$jsd('/NewBuyApp/src/fan_grp_detail.htmlx',145,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); $M.get("line1").add(CreateDiv(i, topicJson[i])); 
} 
$jsd('/NewBuyApp/src/fan_grp_detail.htmlx',147,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); length = topicJson.length; 
if($jsd('/NewBuyApp/src/fan_grp_detail.htmlx',148,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);})||true) if (length > 4) { 
$jsd('/NewBuyApp/src/fan_grp_detail.htmlx',149,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); for (var i = 4; i < length; i++) { 
$jsd('/NewBuyApp/src/fan_grp_detail.htmlx',150,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); $M.get("line2").add(CreateDiv(i, topicJson[i])); 
} 
} 
} else { 
$jsd('/NewBuyApp/src/fan_grp_detail.htmlx',154,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); toast("获取数据失败！"); 
} 
}, function (error) { 
$jsd('/NewBuyApp/src/fan_grp_detail.htmlx',157,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); toast("网络菌罢工了！"); 
}); 
}); 
$jsd('/NewBuyApp/src/fan_grp_detail.htmlx',162,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); fanGrpModify.addEvent("onClick", function () { 
$jsd('/NewBuyApp/src/fan_grp_detail.htmlx',163,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); $M.page.goTo("/fanGroup/fanGroup_message.html", {fanGrpId:fanGrpIdPop.getValue()}, false, false); 
}); 
$jsd('/NewBuyApp/src/fan_grp_detail.htmlx',167,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); function goBack() { 
$jsd('/NewBuyApp/src/fan_grp_detail.htmlx',168,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); $M.page.goBack({animation:"slideright"}); 
} 
$jsd('/NewBuyApp/src/fan_grp_detail.htmlx',172,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); function CreateDiv(num, topicJson) { 
$jsd('/NewBuyApp/src/fan_grp_detail.htmlx',173,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); var divId = "div" + num; 
$jsd('/NewBuyApp/src/fan_grp_detail.htmlx',174,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); var div = new $M.Panel({"id":divId, "width":"81", "height":"81"}); 
if($jsd('/NewBuyApp/src/fan_grp_detail.htmlx',180,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);})||true) if (topicJson.fanGrpItemType == "1" || topicJson.fanGrpItemType == "2" || topicJson.fanGrpItemType == "3") { 
$jsd('/NewBuyApp/src/fan_grp_detail.htmlx',181,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); $M.get(divId).add(createImg(topicJson.topicImg)); 
} 
$jsd('/NewBuyApp/src/fan_grp_detail.htmlx',183,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); return div; 
} 
$jsd('/NewBuyApp/src/fan_grp_detail.htmlx',186,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); function createImg(img) { 
$jsd('/NewBuyApp/src/fan_grp_detail.htmlx',187,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); var img = new $M.Image({width:"81", height:"81", src:img, hAlign:"center"}); 
$jsd('/NewBuyApp/src/fan_grp_detail.htmlx',193,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); return img; 
} 
$jsd('/NewBuyApp/src/fan_grp_detail.htmlx',197,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); join_in.addEvent("onClick", function () { 
$jsd('/NewBuyApp/src/fan_grp_detail.htmlx',198,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); var preference = new $M.Preferences(); 
$jsd('/NewBuyApp/src/fan_grp_detail.htmlx',199,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); preference.open("newbuy_config"); 
$jsd('/NewBuyApp/src/fan_grp_detail.htmlx',200,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); var newbuy_config = preference.get("newbuy_config"); 
$jsd('/NewBuyApp/src/fan_grp_detail.htmlx',201,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); var ajax = new $M.Ajax(); 
$jsd('/NewBuyApp/src/fan_grp_detail.htmlx',202,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); ajax.addParams([{name:"loginkey", value:newbuy_config.loginkey}, {name:"mobileImei", value:Utils.getImei()}, {name:"mobileType", value:Utils.getOs()}, {name:"mobileToken", value:Utils.getMessageToken()}]); 
$jsd('/NewBuyApp/src/fan_grp_detail.htmlx',208,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); ajax.setAction("/mobile/loginAction!getUserInfoBySession.action"); 
$jsd('/NewBuyApp/src/fan_grp_detail.htmlx',209,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); ajax.submit(function (result) { 
$jsd('/NewBuyApp/src/fan_grp_detail.htmlx',210,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); result = Utils.stringToJson(result); 
if($jsd('/NewBuyApp/src/fan_grp_detail.htmlx',211,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);})||true) if (result.success) { 
if($jsd('/NewBuyApp/src/fan_grp_detail.htmlx',212,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);})||true) if (result.data != null && result.data.userid != null && result.data.userid != "") { 
$jsd('/NewBuyApp/src/fan_grp_detail.htmlx',213,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); joinFanGrp(); 
} else { 
$jsd('/NewBuyApp/src/fan_grp_detail.htmlx',215,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); $M.page.goTo("/fanReg/login.html", null, true); 
} 
} else { 
$jsd('/NewBuyApp/src/fan_grp_detail.htmlx',218,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); toast("获取数据失败！"); 
} 
}, function (error) { 
$jsd('/NewBuyApp/src/fan_grp_detail.htmlx',221,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); toast("网络菌罢工了！"); 
}); 
}); 
$jsd('/NewBuyApp/src/fan_grp_detail.htmlx',225,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); function joinFanGrp() { 
$jsd('/NewBuyApp/src/fan_grp_detail.htmlx',226,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); var preference = new $M.Preferences(); 
$jsd('/NewBuyApp/src/fan_grp_detail.htmlx',227,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); preference.open("newbuy_config"); 
$jsd('/NewBuyApp/src/fan_grp_detail.htmlx',228,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); var newbuy_config = preference.get("newbuy_config"); 
$jsd('/NewBuyApp/src/fan_grp_detail.htmlx',229,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); var ajax = new $M.Ajax(); 
$jsd('/NewBuyApp/src/fan_grp_detail.htmlx',230,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); ajax.addParams([{name:"fanGrp.id", value:fanGrpIdPop.getValue()}, {name:"loginkey", value:newbuy_config.loginkey}, {name:"mobileImei", value:Utils.getImei()}, {name:"mobileType", value:Utils.getOs()}, {name:"mobileToken", value:Utils.getMessageToken()}]); 
$jsd('/NewBuyApp/src/fan_grp_detail.htmlx',231,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); ajax.setAction("/mobile/fanGrpAction!addFanGrpMember.action"); 
$jsd('/NewBuyApp/src/fan_grp_detail.htmlx',232,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); ajax.submit(function (result) { 
$jsd('/NewBuyApp/src/fan_grp_detail.htmlx',233,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); result = Utils.stringToJson(result); 
if($jsd('/NewBuyApp/src/fan_grp_detail.htmlx',234,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);})||true) if (result.success) { 
$jsd('/NewBuyApp/src/fan_grp_detail.htmlx',235,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); toast("入团成功！"); 
$jsd('/NewBuyApp/src/fan_grp_detail.htmlx',236,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); $M.page.goTo("/fan_group.html", {fanId:fanGrpIdPop.getValue()}, true, false); 
} else { 
$jsd('/NewBuyApp/src/fan_grp_detail.htmlx',238,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); toast("入团失败！"); 
} 
}, function (error) { 
$jsd('/NewBuyApp/src/fan_grp_detail.htmlx',241,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); toast("网络菌罢工了！"); 
}); 
} 
 
Emp.page.render();
