var top = this;

var arguments = [];
var window= top;

arguments.callee = {};
var DEBUG_FUNC_INDEX = 1;

var del = ["arguments","top","window","Emp","empBridge","util","DEBUG_FUNC_INDEX","del","BridgeUtil","ResultUtil"];

function jsDebug(){
	
}

jsDebug.debugCommand = null;
jsDebug.currResource = null;
jsDebug.breakpoints = null;
jsDebug.functionStack = [];
jsDebug.currResource = null;
jsDebug.currLine = null;
jsDebug.isExpression = false;

/**
 * 
 */
jsDebug.getErrorStack = function(func) {
	var stack = [];
	while (func) {
		var funcStr = func.toString();
		var funcOffset = funcStr.indexOf(")");
		var funcHead = funcStr.substring(0, funcOffset + 1);
		var args = func.arguments;
		var argArr = [];
		for (var i = 0; i < args.length; i++) {
			argArr.push(args[i]);
		}
		stack.push(funcHead + json2string(argArr, 12));
		func = func.caller;
	}
	return stack.join("\n");
}

/**
 * 
 */
var parseVars = function(line) {
	var varNames = [];
	if (line && line.length > 0) {
		var endOffset = line.indexOf(";");
		if (endOffset > 0) {
			line = line.substring(0, endOffset);
		}
		var lineArr = line.split(",");
		for (var i = 0; i < lineArr.length; i++) {
			var varStr = lineArr[i];
			var varEndOffset = varStr.indexOf("=");
			if (varEndOffset > 0) {
				varNames.push(varStr.substring(0, varEndOffset));
			} else {
				varNames.push(varStr);
			}
		}
	}
	return varNames;
}

/**
 * 
 */
jsDebug.updateStack = function(args, resource, scope, line, evalFunc) {
	if (args && args.callee) {
		var func = args.callee;
		func.__resource = resource;
		func.__line = line;
		func.__evalFunc = evalFunc;
		func.__scope = scope;
		for (var i = jsDebug.functionStack.length - 1; i > -1; i--) {
			if (func == jsDebug.functionStack[i]) {
				jsDebug.functionStack = jsDebug.functionStack.slice(0, i + 1);
				return;
			}
		}
		jsDebug.functionStack.push(func);
	} else {
		jsDebug.functionStack = [];
	}

}

/**
 * 
 */
var getFuncData = function(args, evalFunc) {
	
		var vars = [];
		var func = args.callee;
		if (func) {
			var funcStr = func.toString().replace(/\n/g, "");
			var argStart = funcStr.indexOf("(");
			var argEnd = funcStr.indexOf(")");
			if (argStart > 0 && argEnd > 0) {
				var argStr = funcStr.substring(argStart + 1, argEnd);
				vars = argStr.split(",");
			}
			var nameArr = funcStr.split("var ");
			for (var i = 1; i < nameArr.length; i++) {
				var line = nameArr[i];
				vars = vars.concat(parseVars(line));
			}
		}
		var data = {};
		
		for (var i = 0; i < vars.length; i++) {
			var key = vars[i];
			if (key && key.length > 0) {
				key = key.replace(/\n|\r|\t| /g, "");
				if (/^[A-Za-z0-9_\$]*$/.test(key)) {
					try {
						var result = evalFunc(key);
						if (result == undefined) {
							data[key] = {"value":"undefined","type":"string"};
						} else if (result == null) {
							data[key] = {"value":"null","type":"string"};
						} else {
							data[key] = {"value":evalFunc(key),"type":typeof(evalFunc(key))};
						}
					} catch (e) {

					}
				}
			}
		}
		return data;
}

var getWindowData = function(args,evalFunc){
	var data = {};
	for (var i in top) { 
	    data[i] = {value:top[i],type:typeof(top[i])};
	}
//	return {"x":{"value":top.x,"type":typeof(top.x)}};

	return {"window":{value:top,type:typeof(top)}};
}


/**
 * find if arguments is stepreturn context
 */
jsDebug.isStepReturn = function(args) {
	if (args) {
		var func = args.callee;
		for (var i = jsDebug.functionStack.length - 2; i > -1; i--) {
			if (func == jsDebug.functionStack[i]) {
				return true;
			}
		}
		return false;
	} else {
		return true;
	}
}

/**
 * find if arguments is stepover context
 */
jsDebug.isStepOver = function(args) {
	if (args) {
		var func = args.callee;
		for (var i = jsDebug.functionStack.length - 1; i > -1; i--) {
			if (func == jsDebug.functionStack[i]) {
				return true;
			}
		}
		return false;
	} else {
		return true;
	}
}

/**
 * 
 */
jsDebug.error = function(e, resource, line,callFunc) {
	try {
		var funcStr = callFunc + "";
			if(funcStr.indexOf("function anonymous")>=0){
				funcStr = undefined;
			}
		var postData = {
			"ERROR" : encodeURI(e),
			"COMMAND" : "ERROR",
			"RESOURCE" : resource,
			"LINE" : line,
			"ERRORFUNC":funcStr,
			"ISIE":isIE
		}
		empBridge.debug(obj2string(postData));
	} catch (e) {

	}
}

/**
 * 
 */
jsDebug.stepReturn = function(func) {
	try {
		var data = jsDebug.getFuncData(func.arguments, func.__evalFunc);
		jsDebug.updateStack(func.arguments, func.__resource, func.__scope,
				func.__line, func.__evalFunc);
		if (func.__scope != top) {
			data["this"] = func.__scope;
		}
		var postData = {
			"STACK" : data,
			"COMMAND" : jsDebug.debugCommand,
			"RESOURCE" : func.__resource,
			"LINE" : func.__line
		}
		var res = empBridge.debug(obj2string(postData));
		jsDebug.parseResult(res,func.__evalFunc);
		
	} catch (e) {
	}
}


jsDebug.evalExpression = function(expression, evalFunc) {
	try {
	//	jsDebug.xmlHttp.open("POST", "/jsdebug.debug?" + new Date(), false);
		var postData = {
			"STACK" : {},
			"COMMAND" : "EXPRESSION",
			"EXPRESSION" : expression
		}
		try {
			jsDebug.isExpression = true;
			var ret = evalFunc(expression);
			if(typeof(ret)=="undefined"){
				ret = "undefined";
			}else if(ret==null){
				ret = "null";
			}
			postData["RESULT"] = ret;
		} catch (e) {
			postData["ERROR"] = e;
		}
		jsDebug.isExpression = false;
		var res = empBridge.debug(obj2string(postData));
		jsDebug.parseResult(res,evalFunc);
	} catch (e) {

	}
}

jsDebug.evalValue = function(expression, evalFunc){
	try {
//		jsDebug.xmlHttp.open("POST", "/jsdebug.debug?" + new Date(), false);
		var postData = {
			"STACK" : {},
			"COMMAND" : "VALUE",
			"EXPRESSION" : expression
		}
		try {
			jsDebug.isExpression = true;
			var ret = evalFunc(expression);
			var data = {};
			if(typeof(ret)=="undefined"){
				ret = "undefined";
			}else if(ret==null){
				ret = "null";
			}else{
				for(var prop in ret){
					try{
						if(prop!="postData"&&!contains(del,prop)){
						var value = ret[prop];
						var type = typeof(value);
						if(type=="function"){
							continue;
						}
						var stringValue = "";
						if(value){
							stringValue = value.toString();
						}
						if(value==null){
							stringValue = "null";
							type = "null";
						}else if(value==undefined){
							stringValue = "undefined";
							type = "undefined";
						}
						data[prop] = {"value":stringValue,"type":typeof(value)};
						}
					}catch(e){

					}
				}
			}
			postData["RESULT"] = data;
		} catch (e) {
			postData["ERROR"] = e;
		}
		jsDebug.isExpression = false;
		var submitString = "{}";
		try{
			submitString = json2string(postData);
		}catch(e){

		}
		var res = empBridge.debug(obj2string(postData));
		jsDebug.parseResult(res,evalFunc);
	} catch (e) {
		alert(e);
	}
}

/**
 * 
 */
jsDebug.parseResult = function(result, evalFunc) {
	if (result) {
		if (result.indexOf("{") == 0) {
			try {
				eval("var retObj = " + result);
				if( retObj["COMMAND"]){
					if(retObj["COMMAND"]=="EXPRESSION"){
						jsDebug.evalExpression(retObj["EXPRESSION"], evalFunc);
					}else if(retObj["COMMAND"]=="VALUE"){
						jsDebug.evalValue(retObj["EXPRESSION"], evalFunc);
					}else{
						jsDebug.isExpression = false;
						jsDebug.debugCommand = retObj["COMMAND"];
						if (jsDebug.debugCommand == "BREAKPOINT") {
							jsDebug.breakpoints = retObj["BREAKPOINTS"];
						}
					}
				}
                return retObj;
			} catch (e) {
			}
		} else {
			 alert("Debug error:" + result);
		}
	} else {

	}
}



function json2string(obj, depth) {
	depth = depth || 0;
	if (typeof obj == "function") {
		return "\"function\"";
	}  else if (obj && typeof obj.pop == 'function' && obj instanceof Array) {
		return array2string(obj, depth + 1);
	} else if (typeof obj == "object") {
		return obj2string(obj, depth + 1);
	} else {
		if (typeof obj == "string") {
			return "\"" + obj.replace(/"/gm, "'").replace(/\n|\r/gm, "")
					+ "\"";
		} else if (typeof obj == "number") {
			if (isFinite(obj)) {
				return obj;
			} else {
				return "\"out of number\"";
			}
		} else {
			//return util.jsonToString(obj).replace(/"/gm, "\\\"").replace(/\n|\r/gm, "");
		}
	}
}

function obj2string(obj, depth) {
	depth = depth || 0;
		var arr = [];
		for (var prop in obj) {
			try {
				if (obj.hasOwnProperty(prop) && typeof(obj[prop]) != "function") {
					if (depth < 9) {
						arr.push("\"" + prop + "\":"
								+ json2string(obj[prop], depth + 1));
					} else {
						arr.push("\"" + prop + "\":\"...\"")
					}
				}
			} catch (e) {

			}
		}
		return "{" + arr.join(",") + "}";
}

function complexObj2String(obj){
	var arr = [];
	for (var prop in obj) {
		try {
			if (typeof(obj[prop]) != "function") {
				var value = (obj[prop] + "").replace(/"/gm, "'").replace(/\n|\r/gm, "");
				arr.push("\"" + prop + "\":\""
						+ value + "\"");
			}
		} catch (e) {

		}
	}
	return "{" + arr.join(",") + "}";
}
function array2string(array, depth) {
	depth = depth || 0;
	var arr = [];
	for (var i = 0; i < array.length; i++) {
		arr.push(json2string(array[i], depth + 1));
	}
	return "[" + arr.join(",") + "]";
}

function mergeJsonObject(jsonbject1, jsonbject2)  
{  
    var resultJsonObject={};  
    for(var attr in jsonbject1){  
        resultJsonObject[attr]=jsonbject1[attr];  
    }  
    for(var attr in jsonbject2){  
        resultJsonObject[attr]=jsonbject2[attr];  
    }  

    return resultJsonObject;  
};  

function convertStringToJSON(str){
    var stu = eval('('+str+')');
    return stu;
}

function contains(a,obj){
	var i = a.length;
	while(i--){
		if(a[i]===obj){
			return true;
		}
	}
	return false;
}

jsDebug.getBreakPoint = function(async) {
	var postData = {"COMMAND":"RESUME"}; 
    var res = empBridge.debug(obj2string(postData));
    var retObj = util.stringToJson(res);
    jsDebug.breakpoints = retObj["BREAKPOINTS"];
    return;

	async = async?false:true;
	log(":"+async);
	try{
//	var jsonResume = "{\"COMMAND\":\"RESUME\"}";
		var postData = {"COMMAND":"RESUME"}; 
	if(async){
		var id;
	    log("");
		id = setInterval(jsDebug.getBreakPoint,1000);
	}else{
		log("");
	    var res = empBridge.debug(obj2string(postData));
	    var retObj = util.stringToJson(res);
	    jsDebug.breakpoints = retObj["BREAKPOINTS"];
	}
	} catch(e){
		
	}
}

jsDebug.getBreakPoint();

jsDebug.debug =  function(resource,line,scope,args,evalFunc){
	var isNewStack = false;
	if(args&&args["_funcIndex"]==undefined){
		if(args.callee.caller && args.callee.caller.arguments){
			if(args.callee.caller.arguments["__funcIndex"]==undefined){
				args["__funcIndex"] = DEBUG_FUNC_INDEX++;
				isNewStack = true;
			}else{
				args["__funcIndex"] = args.callee.caller.arguments["__funcIndex"];
			}
		}
	}
	
	if (jsDebug.isExpression) {
		return;
	}
	
	
	try {
		jsDebug.currResource = resource;
		jsDebug.currLine = line;
		if (jsDebug.debugCommand == null) {
			jsDebug.debugCommand = "START";
		}
		if (jsDebug.debugCommand == "TERMINATE") {
			throw "exit";
		}
		if(!jsDebug.breakpoints){
			jsDebug.getBreakPoint(true);
		}
		if (!(jsDebug.breakpoints && jsDebug.breakpoints[resource + line])) {
			if (jsDebug.debugCommand == "STEPRETURN"
					|| jsDebug.debugCommand == "STEPOVER") {
				var parentFunc = jsDebug.functionStack[jsDebug.functionStack.length
						- 2];
				var currFunc = jsDebug.functionStack[jsDebug.functionStack.length
						- 1];
				if(currFunc && (currFunc==args.callee)){
					if(jsDebug.debugCommand == "STEPRETURN"){
						return;
					}
					// do nothing
				}else{
					if (parentFunc && (args.callee.caller == parentFunc)) {
						jsDebug.stepReturn(parentFunc);
						jsDebug.debug(resource, line, scope, args, evalFunc);
						if(jsDebug.debugCommand == "STEPRETURN"){
							return;
						}
					}else{
//						if(args.callee){
//							return;
//						}
					}
				}

			}
			if (jsDebug.debugCommand == "STEPRETURN") {
				if (!jsDebug.isStepReturn(args)) {
					if(args.callee){
						return;
					}
				}
			} else if (jsDebug.debugCommand == "STEPOVER") {
				if (!jsDebug.isStepOver(args)) {
					if(args.callee){
						return;
					}
				}
			} else if (jsDebug.debugCommand == "RESUME") {
				return;
			} else if (jsDebug.debugCommand == "STEPINTO") {

			} else {
				return;
			}
		} else {
			jsDebug.debugCommand = "BREAKPOINT";
		}
		
		var data = getFuncData(args,evalFunc);
		var windowData = getWindowData(args,evalFunc);
		var stack = mergeJsonObject(windowData,data);
		
		jsDebug.updateStack(args, resource, scope, line, evalFunc);
		
		var postData = {
				"STACK" : stack,
				"COMMAND" : jsDebug.debugCommand,
				"RESOURCE" : resource,
				"LINE" : line,
				"NEWSTACK":true
		};
		var postDataStr = json2string(postData,0);
		
	    var res = empBridge.debug(postDataStr);
		
		jsDebug.parseResult(res, evalFunc);
		
	} catch (e) {

	}

};

var $jsd = jsDebug.debug;
Emp.page.setId('_BODY_21281777');
$M.includeFile("/template/reward_template.html");
$M.includeFile("/template/topic_opt_template.html");
var _div_26138143 = new Emp.Panel({"id":"_div_26138143","height":"44","vAlign":"middle","layout":"HBox","width":"100%","backgroundImage":"/icon_128/u93.png"});
var _div_9156628 = new Emp.Panel({"id":"_div_9156628","height":"100%","vAlign":"middle","width":"100%"});
_div_9156628.addEvent('onClick',goBack);
var _img_14830906 = new Emp.Image({"id":"_img_14830906","height":"30","width":"30","src":"/icon_128/iconfont-back.png"});
_div_9156628.add(_img_14830906);
var title = new Emp.Label({"id":"title","color":"#999999","value":"","fontSize":"16","singleLine":"true"});
_div_9156628.add(title);
_div_26138143.add(_div_9156628);
var _div_28737031 = new Emp.Panel({"id":"_div_28737031","hAlign":"right","width":"90"});
var toTop = new Emp.Label({"id":"toTop","color":"#999999","marginRight":"8","value":"置顶","display":"false","fontSize":"18"});
_div_28737031.add(toTop);
var cancelTop = new Emp.Label({"id":"cancelTop","color":"#999999","marginRight":"8","value":"取消置顶","display":"false","fontSize":"18"});
_div_28737031.add(cancelTop);
_div_26138143.add(_div_28737031);
Emp.page.add(_div_26138143);
var _div_30617349 = new Emp.Panel({"id":"_div_30617349","height":"1","backgroundColor":"#CCCCCC","borderWidth":"0","width":"100%"});
Emp.page.add(_div_30617349);
var _div_28575152 = new Emp.Panel({"id":"_div_28575152","marginBottom":"10","height":"-2","marginLeft":"10","marginTop":"10","layout":"VBox","width":"100%"});
var _div_31552254 = new Emp.Panel({"id":"_div_31552254","height":"100%","layout":"HBox","width":"100%"});
var titlephoto = new Emp.Image({"id":"titlephoto","height":"25","vAlign":"middle","hAlign":"center","width":"25","src":"/icon_128/iconfont-vote.png"});
_div_31552254.add(titlephoto);
var fantitle = new Emp.Label({"id":"fantitle","marginLeft":"5","vAlign":"middle","tag":"fantitle","width":"100%","maxWidth":"190","value":"","fontSize":"16","singleLine":"false"});
_div_31552254.add(fantitle);
var _div_17243253 = new Emp.Panel({"id":"_div_17243253","borderColor":"#ffcc00","height":"18","vAlign":"middle","backgroundColor":"#FFCC00","borderWidth":"1","hAlign":"center","marginRight":"10","cornerRadius":"9","paddingLeft":"10","paddingRight":"10"});
var votedCnt = new Emp.Label({"id":"votedCnt","vAlign":"middle","color":"#ffffff","hAlign":"center","value":"","fontSize":"12"});
_div_17243253.add(votedCnt);
_div_31552254.add(_div_17243253);
_div_28575152.add(_div_31552254);
var _div_20779805 = new Emp.Panel({"id":"_div_20779805","height":"-2","marginLeft":"5","vAlign":"middle","hAlign":"left","layout":"HBox","width":"100%"});
var img = new Emp.Image({"id":"img","height":"15","width":"15","src":"/icon_128/iconfont-time.png"});
_div_20779805.add(img);
var starttime = new Emp.Label({"id":"starttime","marginLeft":"10","color":"#cccccc","tag":"starttime","value":"","fontSize":"12"});
_div_20779805.add(starttime);
_div_28575152.add(_div_20779805);
Emp.page.add(_div_28575152);
var _div_180926 = new Emp.Panel({"id":"_div_180926","height":"100%","backgroundColor":"#f0f0f0","overflow":"y","layout":"VBox","width":"100%"});
var _div_20927554 = new Emp.Panel({"id":"_div_20927554","borderColor":"#ffffff","height":"-2","backgroundColor":"#ffffff","marginTop":"5","marginLeft":"5","borderWidth":"1","marginRight":"5","layout":"VBox","width":"100%","cornerRadius":"8"});
var _div_11856097 = new Emp.Panel({"id":"_div_11856097","height":"50","marginLeft":"10","marginTop":"10","layout":"HBox","width":"100%"});
var _div_15602073 = new Emp.Panel({"id":"_div_15602073","height":"40","vAlign":"middle","hAlign":"center","width":"40"});
var userPhoto = new Emp.Image({"id":"userPhoto","height":"40","width":"40","src":"","circleClip":"true"});
_div_15602073.add(userPhoto);
var voteIdHid = new Emp.Label({"id":"voteIdHid","value":"","display":"false"});
_div_15602073.add(voteIdHid);
var vote_creator = new Emp.Label({"id":"vote_creator","value":"","display":"false"});
_div_15602073.add(vote_creator);
var fanGrpIdHid = new Emp.Label({"id":"fanGrpIdHid","value":"","display":"false"});
_div_15602073.add(fanGrpIdHid);
_div_11856097.add(_div_15602073);
var _div_19092141 = new Emp.Panel({"id":"_div_19092141","height":"60","marginLeft":"20","layout":"VBox","width":"100%"});
var _div_581770 = new Emp.Panel({"id":"_div_581770","height":"16","layout":"HBox","width":"100%"});
var userNm = new Emp.Label({"id":"userNm","color":"#999999","tag":"userNm","width":"110","value":"","fontSize":"14","singleLine":"true"});
_div_581770.add(userNm);
var _div_17820541 = new Emp.Panel({"id":"_div_17820541","borderColor":"#FF9999","height":"16","vAlign":"middle","backgroundColor":"#FF9999","borderWidth":"1","hAlign":"center","layout":"VBox","width":"30","cornerRadius":"2"});
var levelid = new Emp.Label({"id":"levelid","color":"#ffffff","tag":"levelid","value":"","fontSize":"12"});
_div_17820541.add(levelid);
_div_581770.add(_div_17820541);
var _img_24692075 = new Emp.Image({"id":"_img_24692075","height":"16","marginLeft":"2","width":"30","src":"/icon_128/louzhu-05.png"});
_div_581770.add(_img_24692075);
_div_19092141.add(_div_581770);
var exittime = new Emp.Label({"id":"exittime","color":"#cccccc","tag":"exittime","value":"","fontSize":"12"});
_div_19092141.add(exittime);
_div_11856097.add(_div_19092141);
var _div_10884248 = new Emp.Panel({"id":"_div_10884248","position":"relative","vAlign":"middle","hAlign":"right","width":"100%","top":"0"});
var _input_26363408 = new Emp.Label({"id":"_input_26363408","marginTop":"-3","color":"#cccccc","marginRight":"10","value":"#1","fontSize":"12"});
_div_10884248.add(_input_26363408);
_div_11856097.add(_div_10884248);
_div_20927554.add(_div_11856097);
var gophototicket = new Emp.Panel({"id":"gophototicket","height":"100%","layout":"VBox","hAlign":"center","width":"100%"});
var _div_32645979 = new Emp.Panel({"id":"_div_32645979","height":"1px","backgroundColor":"#cccccc","width":"100%"});
gophototicket.add(_div_32645979);
var gophototicket_itemdetail = new Emp.Panel({"id":"gophototicket_itemdetail","height":"100%","layout":"VBox","hAlign":"center","width":"100%"});
gophototicket.add(gophototicket_itemdetail);
var _div_25099147 = new Emp.Panel({"id":"_div_25099147","marginBottom":"5","marginTop":"5","width":"100%","paddingLeft":"10","paddingRight":"10"});
var content = new Emp.Label({"id":"content","color":"#999999","tag":"content","width":"100%","value":"","maxWidth":"300","fontSize":"14","singleLine":"false"});
content.addEvent('onClick',lookupurl);
_div_25099147.add(content);
gophototicket.add(_div_25099147);
_div_20927554.add(gophototicket);
var _div_4902035 = new Emp.Panel({"id":"_div_4902035","height":"1px","marginTop":"5","backgroundColor":"#f2f2f2","width":"100%"});
_div_20927554.add(_div_4902035);
var _div_12374874 = new Emp.Panel({"id":"_div_12374874","height":"23","marginTop":"5","vAlign":"middle","marginLeft":"10","width":"100%"});
var fangrp = new Emp.Label({"id":"fangrp","color":"#999999","tag":"fangrp","width":"150","value":"","fontSize":"12"});
_div_12374874.add(fangrp);
var _div_4858311 = new Emp.Panel({"id":"_div_4858311","height":"23","hAlign":"right","width":"100%"});
var _img_15709412 = new Emp.Image({"id":"_img_15709412","height":"20","width":"20","src":"/icon_128/iconfont-vote1.png"});
_div_4858311.add(_img_15709412);
var fabulous = new Emp.Label({"id":"fabulous","height":"100%","vAlign":"middle","color":"#cccccc","tag":"fabulous","value":"","fontSize":"12"});
_div_4858311.add(fabulous);
var _img_23636639 = new Emp.Image({"id":"_img_23636639","height":"20","marginLeft":"20","width":"20","src":"/icon_128/iconfont-aword.png"});
_img_23636639.addEvent('onClick',rewardClick);
_div_4858311.add(_img_23636639);
var rewardval = new Emp.Label({"id":"rewardval","height":"100%","vAlign":"middle","color":"#cccccc","tag":"rewardval","value":"0","fontSize":"12"});
_div_4858311.add(rewardval);
var _img_13871977 = new Emp.Image({"id":"_img_13871977","height":"20","width":"20","display":"false","src":"/icon_128/iconfont-message.png"});
_div_4858311.add(_img_13871977);
var reply = new Emp.Label({"id":"reply","height":"100%","vAlign":"middle","color":"#cccccc","tag":"reply","value":"6","display":"false","fontSize":"12"});
_div_4858311.add(reply);
var _img_4680483 = new Emp.Image({"id":"_img_4680483","height":"20","marginLeft":"20","tag":"share","marginRight":"10","width":"20","src":"/icon_128/iconfont-more.png"});
_img_4680483.addEvent('onClick',doShare);
_div_4858311.add(_img_4680483);
_div_12374874.add(_div_4858311);
_div_20927554.add(_div_12374874);
var _div_24564433 = new Emp.Panel({"id":"_div_24564433","marginBottom":"5","height":"100%","marginTop":"3","marginLeft":"10","width":"100%"});
var t_img1 = new Emp.Image({"id":"t_img1","height":"25","tag":"t_img1","width":"25","src":"","circleClip":"true"});
_div_24564433.add(t_img1);
var t_img2 = new Emp.Image({"id":"t_img2","height":"25","marginLeft":"2","tag":"t_img2","width":"25","src":"","circleClip":"true"});
_div_24564433.add(t_img2);
var t_img3 = new Emp.Image({"id":"t_img3","height":"25","marginLeft":"2","tag":"t_img3","width":"25","src":"","circleClip":"true"});
_div_24564433.add(t_img3);
var t_img4 = new Emp.Image({"id":"t_img4","height":"25","marginLeft":"2","tag":"t_img4","width":"25","src":"","circleClip":"true"});
_div_24564433.add(t_img4);
var t_img5 = new Emp.Image({"id":"t_img5","height":"25","marginLeft":"2","tag":"t_img5","width":"25","src":"","circleClip":"true"});
_div_24564433.add(t_img5);
var t_img6 = new Emp.Image({"id":"t_img6","height":"25","marginLeft":"2","tag":"t_img6","width":"25","src":"","circleClip":"true"});
_div_24564433.add(t_img6);
var t_img7 = new Emp.Image({"id":"t_img7","height":"25","marginLeft":"2","tag":"t_img7","width":"25","src":"","circleClip":"true"});
_div_24564433.add(t_img7);
var t_img8 = new Emp.Image({"id":"t_img8","height":"25","marginLeft":"2","tag":"t_img8","width":"25","src":"","circleClip":"true"});
_div_24564433.add(t_img8);
var t_img9 = new Emp.Image({"id":"t_img9","height":"25","marginLeft":"2","tag":"t_img9","width":"25","src":"","circleClip":"true"});
_div_24564433.add(t_img9);
var t_img10 = new Emp.Image({"id":"t_img10","height":"25","marginLeft":"2","tag":"t_img10","width":"25","src":"","circleClip":"true"});
_div_24564433.add(t_img10);
_div_20927554.add(_div_24564433);
_div_180926.add(_div_20927554);
var _div_19993048 = new Emp.Panel({"id":"_div_19993048","height":"5","backgroundColor":"#f0f0f0","width":"100%"});
_div_180926.add(_div_19993048);
Emp.page.add(_div_180926);








$jsd('/NewBuyApp/src/fan_ticket_demo.htmlx',97,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);});var preference = new $M.Preferences(); 
$jsd('/NewBuyApp/src/fan_ticket_demo.htmlx',98,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); preference.open("newbuy_config"); 
$jsd('/NewBuyApp/src/fan_ticket_demo.htmlx',99,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); var newbuy_config = preference.get("newbuy_config") || {}; 
$jsd('/NewBuyApp/src/fan_ticket_demo.htmlx',100,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); var parentPage = null; 
$jsd('/NewBuyApp/src/fan_ticket_demo.htmlx',101,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); function goBack() { 
if($jsd('/NewBuyApp/src/fan_ticket_demo.htmlx',102,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);})||true) if (parentPage && parentPage == "adpage") { 
$jsd('/NewBuyApp/src/fan_ticket_demo.htmlx',103,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); gotoIndex(); 
} else { 
$jsd('/NewBuyApp/src/fan_ticket_demo.htmlx',105,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); $M.page.goBack({animation:"slideright"}); 
} 
} 
$jsd('/NewBuyApp/src/fan_ticket_demo.htmlx',109,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); $M.page.addEvent("onLoad", function (params) { 
if($jsd('/NewBuyApp/src/fan_ticket_demo.htmlx',110,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);})||true) if (params && params.parentpage) { 
$jsd('/NewBuyApp/src/fan_ticket_demo.htmlx',111,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); parentPage = params.parentpage; 
} 
$jsd('/NewBuyApp/src/fan_ticket_demo.htmlx',113,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); loadVoteData(params); 
}); 
$jsd('/NewBuyApp/src/fan_ticket_demo.htmlx',116,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); function loadVoteData(params) { 
$jsd('/NewBuyApp/src/fan_ticket_demo.htmlx',117,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); var ajax = new $M.Ajax(); 
$jsd('/NewBuyApp/src/fan_ticket_demo.htmlx',118,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); ajax.addParams([{name:"fanTopic.id", value:params.topicId}, {name:"fanTopic.fanGrpItemType", value:params.fanGrpItemType}, {name:"loginkey", value:newbuy_config.loginkey}, {name:"mobileImei", value:Utils.getImei()}, {name:"mobileType", value:Utils.getOs()}, {name:"mobileToken", value:Utils.getMessageToken()}]); 
$jsd('/NewBuyApp/src/fan_ticket_demo.htmlx',121,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); ajax.setAction("/mobile/fanTopicAction!getFanTopicInfo.action"); 
$jsd('/NewBuyApp/src/fan_ticket_demo.htmlx',122,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); ajax.submit(function (result) { 
$jsd('/NewBuyApp/src/fan_ticket_demo.htmlx',123,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); result = Utils.stringToJson(result); 
if($jsd('/NewBuyApp/src/fan_ticket_demo.htmlx',124,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);})||true) if (result.success) { 
if($jsd('/NewBuyApp/src/fan_ticket_demo.htmlx',126,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);})||true) if (result.data.isCreator == "1") { 
if($jsd('/NewBuyApp/src/fan_ticket_demo.htmlx',127,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);})||true) if (result.data.holdTop == "1") { 
$jsd('/NewBuyApp/src/fan_ticket_demo.htmlx',128,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); cancelTop.setDisplay(true); 
} else { 
$jsd('/NewBuyApp/src/fan_ticket_demo.htmlx',130,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); toTop.setDisplay(true); 
} 
} 
$jsd('/NewBuyApp/src/fan_ticket_demo.htmlx',133,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); setMainData(result.data); 
if($jsd('/NewBuyApp/src/fan_ticket_demo.htmlx',134,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);})||true) if (result.data.detailList && result.data.detailList.length > 0) { 
$jsd('/NewBuyApp/src/fan_ticket_demo.htmlx',135,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); setDetailData(result.data.detailList[0], params.fanGrpItemType, result.data.voted, result.data.stopVote); 
} 
} else { 
$jsd('/NewBuyApp/src/fan_ticket_demo.htmlx',138,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); toast("获取数据失败！"); 
} 
}, function (error) { 
$jsd('/NewBuyApp/src/fan_ticket_demo.htmlx',141,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); toast("网络菌罢工了！"); 
}); 
} 
$jsd('/NewBuyApp/src/fan_ticket_demo.htmlx',145,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); function setMainData(data) { 
$jsd('/NewBuyApp/src/fan_ticket_demo.htmlx',146,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); title.setValue(data.fanGrpName); 
$jsd('/NewBuyApp/src/fan_ticket_demo.htmlx',147,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); starttime.setValue(data.voteTime); 
$jsd('/NewBuyApp/src/fan_ticket_demo.htmlx',148,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); fantitle.setValue(data.fanGrpItemTitle); 
$jsd('/NewBuyApp/src/fan_ticket_demo.htmlx',149,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); votedCnt.setValue(data.totalVoted); 
$jsd('/NewBuyApp/src/fan_ticket_demo.htmlx',150,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); voteIdHid.setValue(data.id); 
$jsd('/NewBuyApp/src/fan_ticket_demo.htmlx',151,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); vote_creator.setValue(data.dataCreator); 
} 
$jsd('/NewBuyApp/src/fan_ticket_demo.htmlx',154,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); var savedData = {}; 
$jsd('/NewBuyApp/src/fan_ticket_demo.htmlx',155,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); function setDetailData(data, fanGrpItemType, voted, stopVote) { 
$jsd('/NewBuyApp/src/fan_ticket_demo.htmlx',156,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); userNm.setValue(data.creatorName); 
if($jsd('/NewBuyApp/src/fan_ticket_demo.htmlx',157,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);})||true) if (data.creatorPhoto && data.creatorPhoto != "") { 
$jsd('/NewBuyApp/src/fan_ticket_demo.htmlx',158,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); userPhoto.setSrc(data.creatorPhoto); 
} else { 
$jsd('/NewBuyApp/src/fan_ticket_demo.htmlx',160,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); userPhoto.setSrc("/icon_128/avatar_blank.png"); 
} 
$jsd('/NewBuyApp/src/fan_ticket_demo.htmlx',162,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); exittime.setValue(data.topicTime); 
$jsd('/NewBuyApp/src/fan_ticket_demo.htmlx',163,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); content.setValue(data.itemReplyContent); 
$jsd('/NewBuyApp/src/fan_ticket_demo.htmlx',164,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); levelid.setValue(data.creatorLevel); 
$jsd('/NewBuyApp/src/fan_ticket_demo.htmlx',165,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); fangrp.setValue(data.fanGrpName); 
$jsd('/NewBuyApp/src/fan_ticket_demo.htmlx',166,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); fabulous.setValue(data.fabulousCnt); 
$jsd('/NewBuyApp/src/fan_ticket_demo.htmlx',167,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); reply.setValue(data.replyCnt); 
$jsd('/NewBuyApp/src/fan_ticket_demo.htmlx',168,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); rewardval.setValue(data.rewardCnt); 
if($jsd('/NewBuyApp/src/fan_ticket_demo.htmlx',170,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);})||true) if (data.isCreator == "1") { 
$jsd('/NewBuyApp/src/fan_ticket_demo.htmlx',171,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); delbtn.setDisplay(true); 
} else { 
$jsd('/NewBuyApp/src/fan_ticket_demo.htmlx',173,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); delbtn.setDisplay(false); 
} 
if($jsd('/NewBuyApp/src/fan_ticket_demo.htmlx',177,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);})||true) if (parseInt(data.fabulousCnt) > 0 && data.fabulousList && data.fabulousList.length > 0) { 
$jsd('/NewBuyApp/src/fan_ticket_demo.htmlx',178,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); var imgcnt = data.fabulousList.length > 10 ? 10 : data.fabulousList.length; 
$jsd('/NewBuyApp/src/fan_ticket_demo.htmlx',179,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); for (var k = 0; k < imgcnt; k++) { 
$jsd('/NewBuyApp/src/fan_ticket_demo.htmlx',180,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); $M.get("t_img" + (k + 1)).setSrc(data.fabulousList[k].address); 
if($jsd('/NewBuyApp/src/fan_ticket_demo.htmlx',181,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);})||true) if (data.fabulousList[k].address && data.fabulousList[k].address != "") { 
$jsd('/NewBuyApp/src/fan_ticket_demo.htmlx',182,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); $M.get("t_img" + (k + 1)).setSrc(data.fabulousList[k].address); 
} else { 
$jsd('/NewBuyApp/src/fan_ticket_demo.htmlx',184,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); $M.get("t_img" + (k + 1)).setSrc("/icon_128/avatar_blank.png"); 
} 
} 
} 
if($jsd('/NewBuyApp/src/fan_ticket_demo.htmlx',190,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);})||true) if (data.voteDetail && data.voteDetail.length > 0) { 
$jsd('/NewBuyApp/src/fan_ticket_demo.htmlx',191,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); fanGrpIdHid.setValue(data.fanGrpId); 
$jsd('/NewBuyApp/src/fan_ticket_demo.htmlx',192,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); var container = createItemsDiv(); 
$jsd('/NewBuyApp/src/fan_ticket_demo.htmlx',193,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); for (var k = 0; k < data.voteDetail.length && k < 5; k++) { 
$jsd('/NewBuyApp/src/fan_ticket_demo.htmlx',194,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); var voteItemDiv = getVoteItem(data, k, fanGrpItemType, voted, stopVote); 
$jsd('/NewBuyApp/src/fan_ticket_demo.htmlx',195,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); container.add(voteItemDiv); 
} 
$jsd('/NewBuyApp/src/fan_ticket_demo.htmlx',197,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); gophototicket_itemdetail.add(container); 
if($jsd('/NewBuyApp/src/fan_ticket_demo.htmlx',198,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);})||true) if (data.voteDetail.length > 5) { 
$jsd('/NewBuyApp/src/fan_ticket_demo.htmlx',199,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); savedData.data = data; 
$jsd('/NewBuyApp/src/fan_ticket_demo.htmlx',200,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); savedData.fanGrpItemType = fanGrpItemType; 
$jsd('/NewBuyApp/src/fan_ticket_demo.htmlx',201,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); savedData.voted = voted; 
$jsd('/NewBuyApp/src/fan_ticket_demo.htmlx',202,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); savedData.stopVote = stopVote; 
$jsd('/NewBuyApp/src/fan_ticket_demo.htmlx',203,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); gophototicket_itemdetail.add(createAddMoreDiv()); 
} 
} 
} 
$jsd('/NewBuyApp/src/fan_ticket_demo.htmlx',208,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); function createItemsDiv() { 
$jsd('/NewBuyApp/src/fan_ticket_demo.htmlx',209,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); var div = new $M.Panel({"width":"100%", "height":"100%", "hAlign":"center", "layout":"VBox"}); 
$jsd('/NewBuyApp/src/fan_ticket_demo.htmlx',216,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); return div; 
} 
$jsd('/NewBuyApp/src/fan_ticket_demo.htmlx',219,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); function createAddMoreDiv() { 
$jsd('/NewBuyApp/src/fan_ticket_demo.htmlx',220,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); var div = new $M.Panel({"width":"100%", "height":"100%", "hAlign":"center", "layout":"VBox", "id":"addMoreItemsDiv"}); 
$jsd('/NewBuyApp/src/fan_ticket_demo.htmlx',228,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); var label = new $M.Label({"width":"100%", "height":"40", "hAlign":"center", "value":"点击查看所有选项", "fontSize":"14", "color":"#ffcc00", "id":"addMoreItems"}); 
$jsd('/NewBuyApp/src/fan_ticket_demo.htmlx',238,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); div.add(label); 
$jsd('/NewBuyApp/src/fan_ticket_demo.htmlx',239,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); div.addEvent("onClick", loadMoreItem); 
$jsd('/NewBuyApp/src/fan_ticket_demo.htmlx',241,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); return div; 
} 
$jsd('/NewBuyApp/src/fan_ticket_demo.htmlx',244,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); function loadMoreItem() { 
$jsd('/NewBuyApp/src/fan_ticket_demo.htmlx',245,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); $M.get("addMoreItems").setValue("加载中..."); 
$jsd('/NewBuyApp/src/fan_ticket_demo.htmlx',246,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); setTimeout(function () { 
$jsd('/NewBuyApp/src/fan_ticket_demo.htmlx',247,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); var container = createItemsDiv(); 
$jsd('/NewBuyApp/src/fan_ticket_demo.htmlx',248,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); for (var k = 5; k < savedData.data.voteDetail.length && k < 20; k++) { 
$jsd('/NewBuyApp/src/fan_ticket_demo.htmlx',249,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); var voteItemDiv = getVoteItem(savedData.data, k, savedData.fanGrpItemType, savedData.voted, savedData.stopVote); 
$jsd('/NewBuyApp/src/fan_ticket_demo.htmlx',250,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); container.add(voteItemDiv); 
} 
$jsd('/NewBuyApp/src/fan_ticket_demo.htmlx',252,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); gophototicket_itemdetail.remove($M.get("addMoreItemsDiv")); 
$jsd('/NewBuyApp/src/fan_ticket_demo.htmlx',253,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); gophototicket_itemdetail.add(container); 
}, 300); 
} 
$jsd('/NewBuyApp/src/fan_ticket_demo.htmlx',257,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); function getVoteItem(data, k, fanGrpItemType, voted, stopVote) { 
$jsd('/NewBuyApp/src/fan_ticket_demo.htmlx',258,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); var voteItem = data.voteDetail[k]; 
$jsd('/NewBuyApp/src/fan_ticket_demo.htmlx',259,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); var color = "#ffcc00"; 
if($jsd('/NewBuyApp/src/fan_ticket_demo.htmlx',260,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);})||true) if (k % 3 == 1) { 
$jsd('/NewBuyApp/src/fan_ticket_demo.htmlx',261,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); color = "#FFFF00"; 
} else { 
if($jsd('/NewBuyApp/src/fan_ticket_demo.htmlx',262,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);})||true) if (k % 3 == 2) { 
$jsd('/NewBuyApp/src/fan_ticket_demo.htmlx',263,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); color = "#FFFF99"; 
} 
} 
$jsd('/NewBuyApp/src/fan_ticket_demo.htmlx',267,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); var voteColorWidthValue = 0; 
$jsd('/NewBuyApp/src/fan_ticket_demo.htmlx',268,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); var votePercentValue = ""; 
$jsd('/NewBuyApp/src/fan_ticket_demo.htmlx',269,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); var voteItemValue = ""; 
if($jsd('/NewBuyApp/src/fan_ticket_demo.htmlx',270,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);})||true) if (voted == "1" || stopVote == "1") { 
$jsd('/NewBuyApp/src/fan_ticket_demo.htmlx',271,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); var percentNum = voteItem.selectedCnt_IntValue / data.fabulousCnt; 
$jsd('/NewBuyApp/src/fan_ticket_demo.htmlx',272,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); voteColorWidthValue = 350 * percentNum; 
$jsd('/NewBuyApp/src/fan_ticket_demo.htmlx',273,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); votePercentValue = voteItem.selectedCnt_IntValue; 
if($jsd('/NewBuyApp/src/fan_ticket_demo.htmlx',274,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);})||true) if (stopVote == "1") { 
$jsd('/NewBuyApp/src/fan_ticket_demo.htmlx',275,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); voteItemValue = "11111111"; 
} else { 
$jsd('/NewBuyApp/src/fan_ticket_demo.htmlx',277,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); voteItemValue = "22222222"; 
} 
} 
$jsd('/NewBuyApp/src/fan_ticket_demo.htmlx',280,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); var div = new $M.Panel({"id":"voteItem" + (k + 1), "width":"100%", "height":"41", "layout":"VBox"}); 
$jsd('/NewBuyApp/src/fan_ticket_demo.htmlx',286,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); div.addEvent("onClick", doVote); 
$jsd('/NewBuyApp/src/fan_ticket_demo.htmlx',287,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); div.itemId = voteItem.id; 
$jsd('/NewBuyApp/src/fan_ticket_demo.htmlx',288,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); div.choiceId = voteItem.choiceId; 
$jsd('/NewBuyApp/src/fan_ticket_demo.htmlx',289,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); div.fanGrpId = data.fanGrpId; 
$jsd('/NewBuyApp/src/fan_ticket_demo.htmlx',290,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); div.fanGrpItemType = fanGrpItemType; 
$jsd('/NewBuyApp/src/fan_ticket_demo.htmlx',291,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); div.voted = voteItemValue; 
$jsd('/NewBuyApp/src/fan_ticket_demo.htmlx',292,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); var div1 = new $M.Panel({"width":"100%", "height":"40", "vAlign":"middle", "layout":"VBox"}); 
$jsd('/NewBuyApp/src/fan_ticket_demo.htmlx',298,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); var div2 = new $M.Panel({"width":voteColorWidthValue, "height":"40", "backgroundColor":color, "id":"voteColorWidth" + (k + 1)}); 
$jsd('/NewBuyApp/src/fan_ticket_demo.htmlx',305,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); var div3 = new $M.Panel({"width":"100%", "height":"40", "vAlign":"middle", "hAlign":"center", "position":"relative"}); 
$jsd('/NewBuyApp/src/fan_ticket_demo.htmlx',312,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); var label = new $M.Label({"width":"100%", "height":"40", "hAlign":"center", "value":voteItem.choose, "fontSize":"14", "color":"#333333", "id":"voteItemContent" + (k + 1)}); 
$jsd('/NewBuyApp/src/fan_ticket_demo.htmlx',321,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); var div4 = new $M.Panel({"width":"100%", "height":"40", "vAlign":"middle", "hAlign":"right", "position":"relative"}); 
$jsd('/NewBuyApp/src/fan_ticket_demo.htmlx',328,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); var label2 = new $M.Label({"width":"10", "height":"40", "hAlign":"center", "value":votePercentValue, "fontSize":"12", "color":"#ff6600", "marginRight":"10", "id":"votePercent" + (k + 1)}); 
$jsd('/NewBuyApp/src/fan_ticket_demo.htmlx',338,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); var div5 = new $M.Panel({"width":"100%", "height":"1px", "backgroundColor":"#cccccc"}); 
$jsd('/NewBuyApp/src/fan_ticket_demo.htmlx',343,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); div4.add(label2); 
$jsd('/NewBuyApp/src/fan_ticket_demo.htmlx',344,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); div3.add(label); 
$jsd('/NewBuyApp/src/fan_ticket_demo.htmlx',345,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); div3.add(div4); 
$jsd('/NewBuyApp/src/fan_ticket_demo.htmlx',346,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); div1.add(div2); 
$jsd('/NewBuyApp/src/fan_ticket_demo.htmlx',347,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); div1.add(div3); 
$jsd('/NewBuyApp/src/fan_ticket_demo.htmlx',348,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); div.add(div1); 
$jsd('/NewBuyApp/src/fan_ticket_demo.htmlx',349,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); div.add(div5); 
$jsd('/NewBuyApp/src/fan_ticket_demo.htmlx',351,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); return div; 
} 
$jsd('/NewBuyApp/src/fan_ticket_demo.htmlx',354,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); function showMoreItems() { 
$jsd('/NewBuyApp/src/fan_ticket_demo.htmlx',355,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); showmoretext.setValue("加载中..."); 
$jsd('/NewBuyApp/src/fan_ticket_demo.htmlx',356,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); setTimeout(function () { 
$jsd('/NewBuyApp/src/fan_ticket_demo.htmlx',357,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); showmore.setDisplay(false); 
$jsd('/NewBuyApp/src/fan_ticket_demo.htmlx',358,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); gophototicket_more.setDisplay(true); 
}, 300); 
} 
$jsd('/NewBuyApp/src/fan_ticket_demo.htmlx',363,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); function doShare() { 
$jsd('/NewBuyApp/src/fan_ticket_demo.htmlx',364,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); floorId.setValue(voteIdHid.getValue()); 
$jsd('/NewBuyApp/src/fan_ticket_demo.htmlx',365,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); datatype.setValue(2); 
$jsd('/NewBuyApp/src/fan_ticket_demo.htmlx',366,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); topicTitle_share.setValue(fantitle.getValue()); 
$jsd('/NewBuyApp/src/fan_ticket_demo.htmlx',367,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); topicId_share.setValue(voteIdHid.getValue()); 
$jsd('/NewBuyApp/src/fan_ticket_demo.htmlx',368,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); fanGrpId_share.setValue(fanGrpIdHid.getValue()); 
$jsd('/NewBuyApp/src/fan_ticket_demo.htmlx',369,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); topicoptdialog.show(); 
$jsd('/NewBuyApp/src/fan_ticket_demo.htmlx',376,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); /* if (data.isCreator == "1" || fanGrpCreator.getValue() == "1") {  
		delbtn.setDisplay(true);  
	} else {  
		delbtn.setDisplay(false);  
	} */; 
} 
$jsd('/NewBuyApp/src/fan_ticket_demo.htmlx',380,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); function rewardClick() { 
$jsd('/NewBuyApp/src/fan_ticket_demo.htmlx',381,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); var ajax = new $M.Ajax(); 
$jsd('/NewBuyApp/src/fan_ticket_demo.htmlx',382,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); ajax.addParams([{name:"loginkey", value:newbuy_config.loginkey}, {name:"mobileImei", value:Utils.getImei()}, {name:"mobileType", value:Utils.getOs()}, {name:"mobileToken", value:Utils.getMessageToken()}]); 
$jsd('/NewBuyApp/src/fan_ticket_demo.htmlx',388,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); ajax.setAction("/mobile/loginAction!getUserInfoBySession.action"); 
$jsd('/NewBuyApp/src/fan_ticket_demo.htmlx',389,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); ajax.submit(function (result) { 
$jsd('/NewBuyApp/src/fan_ticket_demo.htmlx',390,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); result = Utils.stringToJson(result); 
if($jsd('/NewBuyApp/src/fan_ticket_demo.htmlx',391,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);})||true) if (result.success) { 
if($jsd('/NewBuyApp/src/fan_ticket_demo.htmlx',392,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);})||true) if (result.data != null && result.data.userid != null && result.data.userid != "") { 
$jsd('/NewBuyApp/src/fan_ticket_demo.htmlx',394,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); fan_grp_id_temp.setValue(fanGrpIdHid.getValue()); 
$jsd('/NewBuyApp/src/fan_ticket_demo.htmlx',395,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); tie_id_temp.setValue(voteIdHid.getValue()); 
$jsd('/NewBuyApp/src/fan_ticket_demo.htmlx',396,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); listviewrowno.setValue(-1); 
$jsd('/NewBuyApp/src/fan_ticket_demo.htmlx',397,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); tie_floor_temp.setValue(-1); 
$jsd('/NewBuyApp/src/fan_ticket_demo.htmlx',398,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); floor_creator.setValue(vote_creator.getValue()); 
$jsd('/NewBuyApp/src/fan_ticket_demo.htmlx',399,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); dialog.show(); 
} else { 
$jsd('/NewBuyApp/src/fan_ticket_demo.htmlx',401,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); $M.page.goTo("/fanReg/login.html", null, true); 
} 
} else { 
$jsd('/NewBuyApp/src/fan_ticket_demo.htmlx',404,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); $M.page.goTo("/fanReg/login.html", null, true); 
} 
}, function (error) { 
$jsd('/NewBuyApp/src/fan_ticket_demo.htmlx',407,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); toast("网络菌罢工了！"); 
}); 
} 
$jsd('/NewBuyApp/src/fan_ticket_demo.htmlx',411,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); function doVote() { 
if($jsd('/NewBuyApp/src/fan_ticket_demo.htmlx',412,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);})||true) if (this.voted == "11111111") { 
$jsd('/NewBuyApp/src/fan_ticket_demo.htmlx',413,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); toast("投票已经结束了~"); 
$jsd('/NewBuyApp/src/fan_ticket_demo.htmlx',414,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); return; 
} else { 
if($jsd('/NewBuyApp/src/fan_ticket_demo.htmlx',415,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);})||true) if (this.voted == "22222222") { 
$jsd('/NewBuyApp/src/fan_ticket_demo.htmlx',416,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); toast("已经投过票了~"); 
$jsd('/NewBuyApp/src/fan_ticket_demo.htmlx',417,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); return; 
} 
} 
$jsd('/NewBuyApp/src/fan_ticket_demo.htmlx',419,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); var choiceId = this.choiceId; 
$jsd('/NewBuyApp/src/fan_ticket_demo.htmlx',420,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); var fanGrpItemType = this.fanGrpItemType; 
$jsd('/NewBuyApp/src/fan_ticket_demo.htmlx',421,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); var fanGrpId = this.fanGrpId; 
$jsd('/NewBuyApp/src/fan_ticket_demo.htmlx',422,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); var itemId = this.itemId; 
$jsd('/NewBuyApp/src/fan_ticket_demo.htmlx',423,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); var ajax = new $M.Ajax(); 
$jsd('/NewBuyApp/src/fan_ticket_demo.htmlx',424,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); ajax.addParams([{name:"loginkey", value:newbuy_config.loginkey}, {name:"mobileImei", value:Utils.getImei()}, {name:"mobileType", value:Utils.getOs()}, {name:"mobileToken", value:Utils.getMessageToken()}]); 
$jsd('/NewBuyApp/src/fan_ticket_demo.htmlx',430,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); ajax.setAction("/mobile/loginAction!getUserInfoBySession.action"); 
$jsd('/NewBuyApp/src/fan_ticket_demo.htmlx',431,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); ajax.submit(function (result) { 
$jsd('/NewBuyApp/src/fan_ticket_demo.htmlx',432,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); result = Utils.stringToJson(result); 
if($jsd('/NewBuyApp/src/fan_ticket_demo.htmlx',433,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);})||true) if (result.success) { 
if($jsd('/NewBuyApp/src/fan_ticket_demo.htmlx',434,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);})||true) if (result.data != null && result.data.userid != null && result.data.userid != "") { 
$jsd('/NewBuyApp/src/fan_ticket_demo.htmlx',435,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); voteSelection(choiceId, fanGrpItemType, itemId, fanGrpId); 
} else { 
$jsd('/NewBuyApp/src/fan_ticket_demo.htmlx',437,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); $M.page.goTo("/fanReg/login.html", null, true); 
} 
} else { 
$jsd('/NewBuyApp/src/fan_ticket_demo.htmlx',440,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); toast("获取数据失败！"); 
} 
}, function (error) { 
$jsd('/NewBuyApp/src/fan_ticket_demo.htmlx',443,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); toast("网络菌罢工了！"); 
}); 
} 
$jsd('/NewBuyApp/src/fan_ticket_demo.htmlx',447,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); function voteSelection(choiceId, fanGrpItemType, itemId, fanGrpId) { 
$jsd('/NewBuyApp/src/fan_ticket_demo.htmlx',448,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); var ajax = new $M.Ajax(); 
$jsd('/NewBuyApp/src/fan_ticket_demo.htmlx',449,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); ajax.addParams([{name:"fanTopic.id", value:choiceId}, {name:"fanTopic.voteSelection", value:itemId}, {name:"fanTopic.fanGrpId", value:fanGrpId}, {name:"loginkey", value:newbuy_config.loginkey}, {name:"mobileImei", value:Utils.getImei()}, {name:"mobileType", value:Utils.getOs()}, {name:"mobileToken", value:Utils.getMessageToken()}]); 
$jsd('/NewBuyApp/src/fan_ticket_demo.htmlx',452,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); ajax.setAction("/mobile/fanTopicAction!doVote.action"); 
$jsd('/NewBuyApp/src/fan_ticket_demo.htmlx',453,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); ajax.submit(function (result) { 
$jsd('/NewBuyApp/src/fan_ticket_demo.htmlx',454,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); result = Utils.stringToJson(result); 
if($jsd('/NewBuyApp/src/fan_ticket_demo.htmlx',455,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);})||true) if (result.success) { 
$jsd('/NewBuyApp/src/fan_ticket_demo.htmlx',456,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); toast("投票成功！"); 
$jsd('/NewBuyApp/src/fan_ticket_demo.htmlx',457,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); $M.page.goTo("/fan_ticket_demo.html", {topicId:choiceId, fanGrpItemType:fanGrpItemType}, true); 
} else { 
$jsd('/NewBuyApp/src/fan_ticket_demo.htmlx',459,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); toast("投票失败！"); 
} 
}, function (error) { 
$jsd('/NewBuyApp/src/fan_ticket_demo.htmlx',462,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); toast("网络菌罢工了！"); 
}); 
} 
$jsd('/NewBuyApp/src/fan_ticket_demo.htmlx',467,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); toTop.addEvent("onClick", function () { 
$jsd('/NewBuyApp/src/fan_ticket_demo.htmlx',468,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); var ajax = new $M.Ajax(); 
$jsd('/NewBuyApp/src/fan_ticket_demo.htmlx',469,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); ajax.addParams([{name:"fanTopic.id", value:voteIdHid.getValue()}, {name:"loginkey", value:newbuy_config.loginkey}, {name:"mobileImei", value:Utils.getImei()}, {name:"mobileType", value:Utils.getOs()}, {name:"mobileToken", value:Utils.getMessageToken()}]); 
$jsd('/NewBuyApp/src/fan_ticket_demo.htmlx',472,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); ajax.setAction("/mobile/fanTopicAction!setTopVote.action"); 
$jsd('/NewBuyApp/src/fan_ticket_demo.htmlx',473,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); ajax.submit(function (result) { 
$jsd('/NewBuyApp/src/fan_ticket_demo.htmlx',474,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); result = Utils.stringToJson(result); 
if($jsd('/NewBuyApp/src/fan_ticket_demo.htmlx',475,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);})||true) if (result.success) { 
$jsd('/NewBuyApp/src/fan_ticket_demo.htmlx',476,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); toast("置顶成功！"); 
$jsd('/NewBuyApp/src/fan_ticket_demo.htmlx',477,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); cancelTop.setDisplay(true); 
$jsd('/NewBuyApp/src/fan_ticket_demo.htmlx',478,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); toTop.setDisplay(false); 
} else { 
$jsd('/NewBuyApp/src/fan_ticket_demo.htmlx',480,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); toast("置顶失败！"); 
} 
}, function (error) { 
$jsd('/NewBuyApp/src/fan_ticket_demo.htmlx',483,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); toast("网络菌罢工了！"); 
}); 
}); 
$jsd('/NewBuyApp/src/fan_ticket_demo.htmlx',488,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); cancelTop.addEvent("onClick", function () { 
$jsd('/NewBuyApp/src/fan_ticket_demo.htmlx',489,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); var ajax = new $M.Ajax(); 
$jsd('/NewBuyApp/src/fan_ticket_demo.htmlx',490,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); ajax.addParams([{name:"fanTopic.id", value:voteIdHid.getValue()}, {name:"loginkey", value:newbuy_config.loginkey}, {name:"mobileImei", value:Utils.getImei()}, {name:"mobileType", value:Utils.getOs()}, {name:"mobileToken", value:Utils.getMessageToken()}]); 
$jsd('/NewBuyApp/src/fan_ticket_demo.htmlx',493,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); ajax.setAction("/mobile/fanTopicAction!cancelTopVote.action"); 
$jsd('/NewBuyApp/src/fan_ticket_demo.htmlx',494,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); ajax.submit(function (result) { 
$jsd('/NewBuyApp/src/fan_ticket_demo.htmlx',495,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); result = Utils.stringToJson(result); 
if($jsd('/NewBuyApp/src/fan_ticket_demo.htmlx',496,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);})||true) if (result.success) { 
$jsd('/NewBuyApp/src/fan_ticket_demo.htmlx',497,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); toast("取消置顶成功！"); 
$jsd('/NewBuyApp/src/fan_ticket_demo.htmlx',498,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); cancelTop.setDisplay(false); 
$jsd('/NewBuyApp/src/fan_ticket_demo.htmlx',499,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); toTop.setDisplay(true); 
} else { 
$jsd('/NewBuyApp/src/fan_ticket_demo.htmlx',501,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); toast("取消置顶失败！"); 
} 
}, function (error) { 
$jsd('/NewBuyApp/src/fan_ticket_demo.htmlx',504,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); toast("网络菌罢工了！"); 
}); 
}); 
$jsd('/NewBuyApp/src/fan_ticket_demo.htmlx',508,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); function gotoIndex() { 
$jsd('/NewBuyApp/src/fan_ticket_demo.htmlx',509,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); var ajax = new $M.Ajax(); 
$jsd('/NewBuyApp/src/fan_ticket_demo.htmlx',510,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); ajax.addParams([{name:"loginkey", value:newbuy_config.loginkey}, {name:"mobileImei", value:Utils.getImei()}, {name:"mobileType", value:Utils.getOs()}, {name:"mobileToken", value:Utils.getMessageToken()}]); 
$jsd('/NewBuyApp/src/fan_ticket_demo.htmlx',516,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); ajax.setAction("/mobile/loginAction!getUserInfoBySession.action"); 
$jsd('/NewBuyApp/src/fan_ticket_demo.htmlx',517,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); ajax.submit(function (result) { 
$jsd('/NewBuyApp/src/fan_ticket_demo.htmlx',518,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); result = Utils.stringToJson(result); 
if($jsd('/NewBuyApp/src/fan_ticket_demo.htmlx',519,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);})||true) if (result.success) { 
if($jsd('/NewBuyApp/src/fan_ticket_demo.htmlx',520,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);})||true) if (result.data != null && result.data.userid != null && result.data.userid != "") { 
$jsd('/NewBuyApp/src/fan_ticket_demo.htmlx',521,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); $M.page.goTo("/mainpage_loggedin.html", {}, true); 
} else { 
$jsd('/NewBuyApp/src/fan_ticket_demo.htmlx',523,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); $M.page.goTo("/index.html", {}, true); 
} 
} else { 
$jsd('/NewBuyApp/src/fan_ticket_demo.htmlx',526,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); $M.page.goTo("/index.html", {}, true); 
} 
}, function (error) { 
$jsd('/NewBuyApp/src/fan_ticket_demo.htmlx',529,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); $M.page.goTo("/index.html", {}, true); 
}); 
} 
$jsd('/NewBuyApp/src/fan_ticket_demo.htmlx',533,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); function lookupurl() { 
$jsd('/NewBuyApp/src/fan_ticket_demo.htmlx',534,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); var rgExp = /http[s]?://[^ 一-龥]+/g; 
$jsd('/NewBuyApp/src/fan_ticket_demo.htmlx',535,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); var array = null; 
$jsd('/NewBuyApp/src/fan_ticket_demo.htmlx',536,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); var index = 0; 
$jsd('/NewBuyApp/src/fan_ticket_demo.htmlx',537,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); ___urlContainer.removeAll(); 
$jsd('/NewBuyApp/src/fan_ticket_demo.htmlx',538,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); while ((array = rgExp.exec(content.getValue())) != null) { 
$jsd('/NewBuyApp/src/fan_ticket_demo.htmlx',539,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); createUrlDiv(array[0], ++index); 
} 
if($jsd('/NewBuyApp/src/fan_ticket_demo.htmlx',541,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);})||true) if (index > 0) { 
$jsd('/NewBuyApp/src/fan_ticket_demo.htmlx',542,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); _itemcontentURL.setView(___dialogbaselevel); 
$jsd('/NewBuyApp/src/fan_ticket_demo.htmlx',543,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); _itemcontentURL.show(); 
} 
} 
 
Emp.page.render();
