var top = this;

var arguments = [];
var window= top;

arguments.callee = {};
var DEBUG_FUNC_INDEX = 1;

var del = ["arguments","top","window","Emp","empBridge","util","DEBUG_FUNC_INDEX","del","BridgeUtil","ResultUtil"];

function jsDebug(){
	
}

jsDebug.debugCommand = null;
jsDebug.currResource = null;
jsDebug.breakpoints = null;
jsDebug.functionStack = [];
jsDebug.currResource = null;
jsDebug.currLine = null;
jsDebug.isExpression = false;

/**
 * 
 */
jsDebug.getErrorStack = function(func) {
	var stack = [];
	while (func) {
		var funcStr = func.toString();
		var funcOffset = funcStr.indexOf(")");
		var funcHead = funcStr.substring(0, funcOffset + 1);
		var args = func.arguments;
		var argArr = [];
		for (var i = 0; i < args.length; i++) {
			argArr.push(args[i]);
		}
		stack.push(funcHead + json2string(argArr, 12));
		func = func.caller;
	}
	return stack.join("\n");
}

/**
 * 
 */
var parseVars = function(line) {
	var varNames = [];
	if (line && line.length > 0) {
		var endOffset = line.indexOf(";");
		if (endOffset > 0) {
			line = line.substring(0, endOffset);
		}
		var lineArr = line.split(",");
		for (var i = 0; i < lineArr.length; i++) {
			var varStr = lineArr[i];
			var varEndOffset = varStr.indexOf("=");
			if (varEndOffset > 0) {
				varNames.push(varStr.substring(0, varEndOffset));
			} else {
				varNames.push(varStr);
			}
		}
	}
	return varNames;
}

/**
 * 
 */
jsDebug.updateStack = function(args, resource, scope, line, evalFunc) {
	if (args && args.callee) {
		var func = args.callee;
		func.__resource = resource;
		func.__line = line;
		func.__evalFunc = evalFunc;
		func.__scope = scope;
		for (var i = jsDebug.functionStack.length - 1; i > -1; i--) {
			if (func == jsDebug.functionStack[i]) {
				jsDebug.functionStack = jsDebug.functionStack.slice(0, i + 1);
				return;
			}
		}
		jsDebug.functionStack.push(func);
	} else {
		jsDebug.functionStack = [];
	}

}

/**
 * 
 */
var getFuncData = function(args, evalFunc) {
	
		var vars = [];
		var func = args.callee;
		if (func) {
			var funcStr = func.toString().replace(/\n/g, "");
			var argStart = funcStr.indexOf("(");
			var argEnd = funcStr.indexOf(")");
			if (argStart > 0 && argEnd > 0) {
				var argStr = funcStr.substring(argStart + 1, argEnd);
				vars = argStr.split(",");
			}
			var nameArr = funcStr.split("var ");
			for (var i = 1; i < nameArr.length; i++) {
				var line = nameArr[i];
				vars = vars.concat(parseVars(line));
			}
		}
		var data = {};
		
		for (var i = 0; i < vars.length; i++) {
			var key = vars[i];
			if (key && key.length > 0) {
				key = key.replace(/\n|\r|\t| /g, "");
				if (/^[A-Za-z0-9_\$]*$/.test(key)) {
					try {
						var result = evalFunc(key);
						if (result == undefined) {
							data[key] = {"value":"undefined","type":"string"};
						} else if (result == null) {
							data[key] = {"value":"null","type":"string"};
						} else {
							data[key] = {"value":evalFunc(key),"type":typeof(evalFunc(key))};
						}
					} catch (e) {

					}
				}
			}
		}
		return data;
}

var getWindowData = function(args,evalFunc){
	var data = {};
	for (var i in top) { 
	    data[i] = {value:top[i],type:typeof(top[i])};
	}
//	return {"x":{"value":top.x,"type":typeof(top.x)}};

	return {"window":{value:top,type:typeof(top)}};
}


/**
 * find if arguments is stepreturn context
 */
jsDebug.isStepReturn = function(args) {
	if (args) {
		var func = args.callee;
		for (var i = jsDebug.functionStack.length - 2; i > -1; i--) {
			if (func == jsDebug.functionStack[i]) {
				return true;
			}
		}
		return false;
	} else {
		return true;
	}
}

/**
 * find if arguments is stepover context
 */
jsDebug.isStepOver = function(args) {
	if (args) {
		var func = args.callee;
		for (var i = jsDebug.functionStack.length - 1; i > -1; i--) {
			if (func == jsDebug.functionStack[i]) {
				return true;
			}
		}
		return false;
	} else {
		return true;
	}
}

/**
 * 
 */
jsDebug.error = function(e, resource, line,callFunc) {
	try {
		var funcStr = callFunc + "";
			if(funcStr.indexOf("function anonymous")>=0){
				funcStr = undefined;
			}
		var postData = {
			"ERROR" : encodeURI(e),
			"COMMAND" : "ERROR",
			"RESOURCE" : resource,
			"LINE" : line,
			"ERRORFUNC":funcStr,
			"ISIE":isIE
		}
		empBridge.debug(obj2string(postData));
	} catch (e) {

	}
}

/**
 * 
 */
jsDebug.stepReturn = function(func) {
	try {
		var data = jsDebug.getFuncData(func.arguments, func.__evalFunc);
		jsDebug.updateStack(func.arguments, func.__resource, func.__scope,
				func.__line, func.__evalFunc);
		if (func.__scope != top) {
			data["this"] = func.__scope;
		}
		var postData = {
			"STACK" : data,
			"COMMAND" : jsDebug.debugCommand,
			"RESOURCE" : func.__resource,
			"LINE" : func.__line
		}
		var res = empBridge.debug(obj2string(postData));
		jsDebug.parseResult(res,func.__evalFunc);
		
	} catch (e) {
	}
}


jsDebug.evalExpression = function(expression, evalFunc) {
	try {
	//	jsDebug.xmlHttp.open("POST", "/jsdebug.debug?" + new Date(), false);
		var postData = {
			"STACK" : {},
			"COMMAND" : "EXPRESSION",
			"EXPRESSION" : expression
		}
		try {
			jsDebug.isExpression = true;
			var ret = evalFunc(expression);
			if(typeof(ret)=="undefined"){
				ret = "undefined";
			}else if(ret==null){
				ret = "null";
			}
			postData["RESULT"] = ret;
		} catch (e) {
			postData["ERROR"] = e;
		}
		jsDebug.isExpression = false;
		var res = empBridge.debug(obj2string(postData));
		jsDebug.parseResult(res,evalFunc);
	} catch (e) {

	}
}

jsDebug.evalValue = function(expression, evalFunc){
	try {
//		jsDebug.xmlHttp.open("POST", "/jsdebug.debug?" + new Date(), false);
		var postData = {
			"STACK" : {},
			"COMMAND" : "VALUE",
			"EXPRESSION" : expression
		}
		try {
			jsDebug.isExpression = true;
			var ret = evalFunc(expression);
			var data = {};
			if(typeof(ret)=="undefined"){
				ret = "undefined";
			}else if(ret==null){
				ret = "null";
			}else{
				for(var prop in ret){
					try{
						if(prop!="postData"&&!contains(del,prop)){
						var value = ret[prop];
						var type = typeof(value);
						if(type=="function"){
							continue;
						}
						var stringValue = "";
						if(value){
							stringValue = value.toString();
						}
						if(value==null){
							stringValue = "null";
							type = "null";
						}else if(value==undefined){
							stringValue = "undefined";
							type = "undefined";
						}
						data[prop] = {"value":stringValue,"type":typeof(value)};
						}
					}catch(e){

					}
				}
			}
			postData["RESULT"] = data;
		} catch (e) {
			postData["ERROR"] = e;
		}
		jsDebug.isExpression = false;
		var submitString = "{}";
		try{
			submitString = json2string(postData);
		}catch(e){

		}
		var res = empBridge.debug(obj2string(postData));
		jsDebug.parseResult(res,evalFunc);
	} catch (e) {
		alert(e);
	}
}

/**
 * 
 */
jsDebug.parseResult = function(result, evalFunc) {
	if (result) {
		if (result.indexOf("{") == 0) {
			try {
				eval("var retObj = " + result);
				if( retObj["COMMAND"]){
					if(retObj["COMMAND"]=="EXPRESSION"){
						jsDebug.evalExpression(retObj["EXPRESSION"], evalFunc);
					}else if(retObj["COMMAND"]=="VALUE"){
						jsDebug.evalValue(retObj["EXPRESSION"], evalFunc);
					}else{
						jsDebug.isExpression = false;
						jsDebug.debugCommand = retObj["COMMAND"];
						if (jsDebug.debugCommand == "BREAKPOINT") {
							jsDebug.breakpoints = retObj["BREAKPOINTS"];
						}
					}
				}
                return retObj;
			} catch (e) {
			}
		} else {
			 alert("Debug error:" + result);
		}
	} else {

	}
}



function json2string(obj, depth) {
	depth = depth || 0;
	if (typeof obj == "function") {
		return "\"function\"";
	}  else if (obj && typeof obj.pop == 'function' && obj instanceof Array) {
		return array2string(obj, depth + 1);
	} else if (typeof obj == "object") {
		return obj2string(obj, depth + 1);
	} else {
		if (typeof obj == "string") {
			return "\"" + obj.replace(/"/gm, "'").replace(/\n|\r/gm, "")
					+ "\"";
		} else if (typeof obj == "number") {
			if (isFinite(obj)) {
				return obj;
			} else {
				return "\"out of number\"";
			}
		} else {
			//return util.jsonToString(obj).replace(/"/gm, "\\\"").replace(/\n|\r/gm, "");
		}
	}
}

function obj2string(obj, depth) {
	depth = depth || 0;
		var arr = [];
		for (var prop in obj) {
			try {
				if (obj.hasOwnProperty(prop) && typeof(obj[prop]) != "function") {
					if (depth < 9) {
						arr.push("\"" + prop + "\":"
								+ json2string(obj[prop], depth + 1));
					} else {
						arr.push("\"" + prop + "\":\"...\"")
					}
				}
			} catch (e) {

			}
		}
		return "{" + arr.join(",") + "}";
}

function complexObj2String(obj){
	var arr = [];
	for (var prop in obj) {
		try {
			if (typeof(obj[prop]) != "function") {
				var value = (obj[prop] + "").replace(/"/gm, "'").replace(/\n|\r/gm, "");
				arr.push("\"" + prop + "\":\""
						+ value + "\"");
			}
		} catch (e) {

		}
	}
	return "{" + arr.join(",") + "}";
}
function array2string(array, depth) {
	depth = depth || 0;
	var arr = [];
	for (var i = 0; i < array.length; i++) {
		arr.push(json2string(array[i], depth + 1));
	}
	return "[" + arr.join(",") + "]";
}

function mergeJsonObject(jsonbject1, jsonbject2)  
{  
    var resultJsonObject={};  
    for(var attr in jsonbject1){  
        resultJsonObject[attr]=jsonbject1[attr];  
    }  
    for(var attr in jsonbject2){  
        resultJsonObject[attr]=jsonbject2[attr];  
    }  

    return resultJsonObject;  
};  

function convertStringToJSON(str){
    var stu = eval('('+str+')');
    return stu;
}

function contains(a,obj){
	var i = a.length;
	while(i--){
		if(a[i]===obj){
			return true;
		}
	}
	return false;
}

jsDebug.getBreakPoint = function(async) {
	var postData = {"COMMAND":"RESUME"}; 
    var res = empBridge.debug(obj2string(postData));
    var retObj = util.stringToJson(res);
    jsDebug.breakpoints = retObj["BREAKPOINTS"];
    return;

	async = async?false:true;
	log(":"+async);
	try{
//	var jsonResume = "{\"COMMAND\":\"RESUME\"}";
		var postData = {"COMMAND":"RESUME"}; 
	if(async){
		var id;
	    log("");
		id = setInterval(jsDebug.getBreakPoint,1000);
	}else{
		log("");
	    var res = empBridge.debug(obj2string(postData));
	    var retObj = util.stringToJson(res);
	    jsDebug.breakpoints = retObj["BREAKPOINTS"];
	}
	} catch(e){
		
	}
}

jsDebug.getBreakPoint();

jsDebug.debug =  function(resource,line,scope,args,evalFunc){
	var isNewStack = false;
	if(args&&args["_funcIndex"]==undefined){
		if(args.callee.caller && args.callee.caller.arguments){
			if(args.callee.caller.arguments["__funcIndex"]==undefined){
				args["__funcIndex"] = DEBUG_FUNC_INDEX++;
				isNewStack = true;
			}else{
				args["__funcIndex"] = args.callee.caller.arguments["__funcIndex"];
			}
		}
	}
	
	if (jsDebug.isExpression) {
		return;
	}
	
	
	try {
		jsDebug.currResource = resource;
		jsDebug.currLine = line;
		if (jsDebug.debugCommand == null) {
			jsDebug.debugCommand = "START";
		}
		if (jsDebug.debugCommand == "TERMINATE") {
			throw "exit";
		}
		if(!jsDebug.breakpoints){
			jsDebug.getBreakPoint(true);
		}
		if (!(jsDebug.breakpoints && jsDebug.breakpoints[resource + line])) {
			if (jsDebug.debugCommand == "STEPRETURN"
					|| jsDebug.debugCommand == "STEPOVER") {
				var parentFunc = jsDebug.functionStack[jsDebug.functionStack.length
						- 2];
				var currFunc = jsDebug.functionStack[jsDebug.functionStack.length
						- 1];
				if(currFunc && (currFunc==args.callee)){
					if(jsDebug.debugCommand == "STEPRETURN"){
						return;
					}
					// do nothing
				}else{
					if (parentFunc && (args.callee.caller == parentFunc)) {
						jsDebug.stepReturn(parentFunc);
						jsDebug.debug(resource, line, scope, args, evalFunc);
						if(jsDebug.debugCommand == "STEPRETURN"){
							return;
						}
					}else{
//						if(args.callee){
//							return;
//						}
					}
				}

			}
			if (jsDebug.debugCommand == "STEPRETURN") {
				if (!jsDebug.isStepReturn(args)) {
					if(args.callee){
						return;
					}
				}
			} else if (jsDebug.debugCommand == "STEPOVER") {
				if (!jsDebug.isStepOver(args)) {
					if(args.callee){
						return;
					}
				}
			} else if (jsDebug.debugCommand == "RESUME") {
				return;
			} else if (jsDebug.debugCommand == "STEPINTO") {

			} else {
				return;
			}
		} else {
			jsDebug.debugCommand = "BREAKPOINT";
		}
		
		var data = getFuncData(args,evalFunc);
		var windowData = getWindowData(args,evalFunc);
		var stack = mergeJsonObject(windowData,data);
		
		jsDebug.updateStack(args, resource, scope, line, evalFunc);
		
		var postData = {
				"STACK" : stack,
				"COMMAND" : jsDebug.debugCommand,
				"RESOURCE" : resource,
				"LINE" : line,
				"NEWSTACK":true
		};
		var postDataStr = json2string(postData,0);
		
	    var res = empBridge.debug(postDataStr);
		
		jsDebug.parseResult(res, evalFunc);
		
	} catch (e) {

	}

};

var $jsd = jsDebug.debug;
Emp.page.setId('_body_20603191');
Emp.page.setBackgroundColor('#f6f6f6');
var _div_29660883 = new Emp.Panel({"id":"_div_29660883","text":" ","height":"44","backgroundColor":"#ffcc00","layout":"VBox","hAlign":"center","width":"100%","opacity":"0.85"});
var _input_25824273 = new Emp.Label({"id":"_input_25824273","height":"100%","color":"#ffffff","hAlign":"center","width":"60","value":"发现","fontSize":"18"});
_div_29660883.add(_input_25824273);
Emp.page.add(_div_29660883);
var _div_1983845 = new Emp.Panel({"id":"_div_1983845","height":"1","backgroundColor":"#e6e4e4","borderWidth":"0","width":"100%"});
Emp.page.add(_div_1983845);
var _div_22936944 = new Emp.Panel({"id":"_div_22936944","text":" ","height":"36","backgroundColor":"#ffffff","layout":"VBox","hAlign":"center","width":"100%"});
var _div_27904747 = new Emp.Panel({"id":"_div_27904747","text":"  ","height":"36","vAlign":"middle","layout":"HBox","width":"100%"});
var _div_4789609 = new Emp.Panel({"id":"_div_4789609","text":" ","borderColor":"#f6f6f6","height":"100%","vAlign":"middle","borderWidth":"1px","hAlign":"center","width":"180"});
_div_4789609.addEvent('onClick',find_star);
var _input_1884273 = new Emp.Label({"id":"_input_1884273","height":"100%","color":"#999999","hAlign":"center","width":"60","value":"找明星","fontSize":"14"});
_div_4789609.add(_input_1884273);
_div_27904747.add(_div_4789609);
var _div_27153252 = new Emp.Panel({"id":"_div_27153252","text":" ","borderColor":"#f6f6f6","height":"100%","vAlign":"middle","borderWidth":"1px","hAlign":"center","width":"180"});
_div_27153252.addEvent('onClick',find_fan);
var _input_24437416 = new Emp.Label({"id":"_input_24437416","height":"100%","color":"#999999","hAlign":"center","width":"70","value":"找饭团","fontSize":"14"});
_div_27153252.add(_input_24437416);
_div_27904747.add(_div_27153252);
_div_22936944.add(_div_27904747);
Emp.page.add(_div_22936944);
var _div_13411889 = new Emp.Panel({"id":"_div_13411889","text":"                ","height":"100%","backgroundColor":"#f0f0f0","layout":"VBox","hAlign":"center","overflow":"y","width":"100%"});
var banner = new Emp.Panel({"id":"banner","text":" ","height":"150","width":"100%"});
var slide = new Emp.SlidePage({"id":"slide","text":"     ","height":"100%","enableLoop":"true","width":"100%"});
var s1 = new Emp.Panel({"id":"s1","text":" "});
s1.setWidth("100%");
s1.setHeight("100%");
var banner1 = new Emp.Image({"id":"banner1","height":"100%","width":"100%","src":""});
banner1.addEvent('onClick',showAdDetail);
s1.add(banner1);
slide.add(s1);
var s2 = new Emp.Panel({"id":"s2","text":" "});
s2.setWidth("100%");
s2.setHeight("100%");
var banner2 = new Emp.Image({"id":"banner2","height":"100%","width":"100%","src":""});
banner2.addEvent('onClick',showAdDetail);
s2.add(banner2);
slide.add(s2);
var s3 = new Emp.Panel({"id":"s3","text":" "});
s3.setWidth("100%");
s3.setHeight("100%");
var banner3 = new Emp.Image({"id":"banner3","height":"100%","width":"100%","src":""});
banner3.addEvent('onClick',showAdDetail);
s3.add(banner3);
slide.add(s3);
var s4 = new Emp.Panel({"id":"s4","text":" "});
s4.setWidth("100%");
s4.setHeight("100%");
var banner4 = new Emp.Image({"id":"banner4","height":"100%","width":"100%","src":""});
banner4.addEvent('onClick',showAdDetail);
s4.add(banner4);
slide.add(s4);
var s5 = new Emp.Panel({"id":"s5","text":" "});
s5.setWidth("100%");
s5.setHeight("100%");
var banner5 = new Emp.Image({"id":"banner5","height":"100%","width":"100%","src":""});
banner5.addEvent('onClick',showAdDetail);
s5.add(banner5);
slide.add(s5);
banner.add(slide);
_div_13411889.add(banner);
var _div_4904421 = new Emp.Panel({"id":"_div_4904421","text":"    ","height":"140","backgroundColor":"#ffffff","layout":"VBox","width":"100%"});
var _div_18928772 = new Emp.Panel({"id":"_div_18928772","text":"    ","height":"50","vAlign":"middle","width":"100%"});
var _div_6310288 = new Emp.Panel({"id":"_div_6310288","marginBottom":"10","height":"30","backgroundColor":"#ffcc00","marginTop":"10","width":"5"});
_div_18928772.add(_div_6310288);
var _input_25019788 = new Emp.Label({"id":"_input_25019788","height":"30","vAlign":"middle","color":"#333333","hAlign":"left","width":"100","value":"明星排行榜","fontSize":"17","paddingLeft":"10"});
_div_18928772.add(_input_25019788);
var _div_3450256 = new Emp.Panel({"id":"_div_3450256","text":" ","height":"30","marginLeft":"175","hAlign":"right","width":"65"});
_div_3450256.addEvent('onClick',find_star);
var _img_6403314 = new Emp.Image({"id":"_img_6403314","height":"15","marginLeft":"0","marginTop":"8","vAlign":"middle","hAlign":"right","width":"15","src":"/icon_128/icon_left.png"});
_img_6403314.addEvent('onClick',find_star);
_div_3450256.add(_img_6403314);
_div_18928772.add(_div_3450256);
var _div_11440538 = new Emp.Panel({"id":"_div_11440538","height":"100%","width":"15"});
_div_11440538.addEvent('onClick',find_star);
_div_18928772.add(_div_11440538);
_div_4904421.add(_div_18928772);
var _div_14242126 = new Emp.Panel({"id":"_div_14242126","text":" ","height":"100","width":"100%"});
var fengshenbang_man = new Emp.Panel({"id":"fengshenbang_man","text":"          ","height":"100","layout":"HBox","hAlign":"left","overflow":"x","width":"100%","paddingLeft":"10"});
fengshenbang_man.addEvent('onClick',star_home);
var star_male_1 = new Emp.Panel({"id":"star_male_1","text":"   ","height":"100","layout":"VBox","width":"70"});
star_male_1.addEvent('onClick',onclickUser);
var star_male_photo_1 = new Emp.Image({"id":"star_male_photo_1","height":"60","hAlign":"center","width":"60","src":"","circleClip":"true"});
star_male_1.add(star_male_photo_1);
var _img_23008682 = new Emp.Image({"id":"_img_23008682","position":"relative","height":"20","width":"20","left":"48","src":"/icon_128/no_1.png","top":"-3"});
star_male_1.add(_img_23008682);
var star_male_name_1 = new Emp.Label({"id":"star_male_name_1","height":"30","vAlign":"middle","color":"#999999","hAlign":"center","width":"60","value":"","fontSize":"14","singleLine":"true"});
star_male_1.add(star_male_name_1);
fengshenbang_man.add(star_male_1);
var star_male_2 = new Emp.Panel({"id":"star_male_2","text":"    ","height":"100","layout":"VBox","width":"70"});
star_male_2.addEvent('onClick',onclickUser);
var star_male_photo_2 = new Emp.Image({"id":"star_male_photo_2","height":"60","hAlign":"center","width":"60","src":"","circleClip":"true"});
star_male_2.add(star_male_photo_2);
var _img_14440863 = new Emp.Image({"id":"_img_14440863","position":"relative","height":"20","width":"20","left":"48","src":"/icon_128/no_1.png","top":"-3"});
star_male_2.add(_img_14440863);
var star_male_name_2 = new Emp.Label({"id":"star_male_name_2","height":"30","vAlign":"middle","color":"#999999","hAlign":"center","width":"60","value":"","fontSize":"14","singleLine":"true"});
star_male_2.add(star_male_name_2);
fengshenbang_man.add(star_male_2);
var star_male_3 = new Emp.Panel({"id":"star_male_3","text":"   ","height":"100","layout":"VBox","width":"70"});
star_male_3.addEvent('onClick',onclickUser);
var star_male_photo_3 = new Emp.Image({"id":"star_male_photo_3","height":"60","hAlign":"center","width":"60","src":"","circleClip":"true"});
star_male_3.add(star_male_photo_3);
var _img_26991754 = new Emp.Image({"id":"_img_26991754","position":"relative","height":"20","width":"20","left":"48","src":"/icon_128/no_1.png","top":"-3"});
star_male_3.add(_img_26991754);
var star_male_name_3 = new Emp.Label({"id":"star_male_name_3","height":"30","vAlign":"middle","color":"#999999","hAlign":"center","width":"60","value":"","fontSize":"14","singleLine":"true"});
star_male_3.add(star_male_name_3);
fengshenbang_man.add(star_male_3);
var star_male_4 = new Emp.Panel({"id":"star_male_4","text":"    ","height":"100","layout":"VBox","width":"70"});
star_male_4.addEvent('onClick',onclickUser);
var star_male_photo_4 = new Emp.Image({"id":"star_male_photo_4","height":"60","hAlign":"center","width":"60","src":"","circleClip":"true"});
star_male_4.add(star_male_photo_4);
var _img_33160185 = new Emp.Image({"id":"_img_33160185","position":"relative","height":"20","width":"20","left":"48","src":"/icon_128/no_1.png","top":"-3"});
star_male_4.add(_img_33160185);
var star_male_name_4 = new Emp.Label({"id":"star_male_name_4","height":"30","vAlign":"middle","color":"#999999","hAlign":"center","width":"60","value":"","fontSize":"14","singleLine":"true"});
star_male_4.add(star_male_name_4);
fengshenbang_man.add(star_male_4);
var star_male_5 = new Emp.Panel({"id":"star_male_5","text":"    ","height":"100","layout":"VBox","width":"70"});
star_male_5.addEvent('onClick',onclickUser);
var star_male_photo_5 = new Emp.Image({"id":"star_male_photo_5","height":"60","hAlign":"center","width":"60","src":"","circleClip":"true"});
star_male_5.add(star_male_photo_5);
var _img_5042793 = new Emp.Image({"id":"_img_5042793","position":"relative","height":"20","width":"20","left":"48","src":"/icon_128/no_1.png","top":"-3"});
star_male_5.add(_img_5042793);
var star_male_name_5 = new Emp.Label({"id":"star_male_name_5","height":"30","vAlign":"middle","color":"#999999","hAlign":"center","width":"60","value":"","fontSize":"14","singleLine":"true"});
star_male_5.add(star_male_name_5);
fengshenbang_man.add(star_male_5);
var star_male_6 = new Emp.Panel({"id":"star_male_6","text":"   ","height":"100","layout":"VBox","width":"70"});
star_male_6.addEvent('onClick',onclickUser);
var star_male_photo_6 = new Emp.Image({"id":"star_male_photo_6","height":"60","hAlign":"center","width":"60","src":"","circleClip":"true"});
star_male_6.add(star_male_photo_6);
var star_male_name_6 = new Emp.Label({"id":"star_male_name_6","height":"30","vAlign":"middle","color":"#999999","hAlign":"center","width":"70","value":"","fontSize":"14"});
star_male_6.add(star_male_name_6);
fengshenbang_man.add(star_male_6);
var star_male_7 = new Emp.Panel({"id":"star_male_7","text":"   ","height":"100","layout":"VBox","width":"70"});
star_male_7.addEvent('onClick',onclickUser);
var star_male_photo_7 = new Emp.Image({"id":"star_male_photo_7","height":"60","hAlign":"center","width":"60","src":"","circleClip":"true"});
star_male_7.add(star_male_photo_7);
var star_male_name_7 = new Emp.Label({"id":"star_male_name_7","height":"30","vAlign":"middle","color":"#999999","hAlign":"center","width":"70","value":"","fontSize":"14"});
star_male_7.add(star_male_name_7);
fengshenbang_man.add(star_male_7);
var star_male_8 = new Emp.Panel({"id":"star_male_8","text":"   ","height":"100","layout":"VBox","width":"70"});
star_male_8.addEvent('onClick',onclickUser);
var star_male_photo_8 = new Emp.Image({"id":"star_male_photo_8","height":"60","hAlign":"center","width":"60","src":"","circleClip":"true"});
star_male_8.add(star_male_photo_8);
var star_male_name_8 = new Emp.Label({"id":"star_male_name_8","height":"30","vAlign":"middle","color":"#999999","hAlign":"center","width":"70","value":"","fontSize":"14"});
star_male_8.add(star_male_name_8);
fengshenbang_man.add(star_male_8);
var star_male_9 = new Emp.Panel({"id":"star_male_9","text":"   ","height":"100","layout":"VBox","width":"70"});
star_male_9.addEvent('onClick',onclickUser);
var star_male_photo_9 = new Emp.Image({"id":"star_male_photo_9","height":"60","hAlign":"center","width":"60","src":"","circleClip":"true"});
star_male_9.add(star_male_photo_9);
var star_male_name_9 = new Emp.Label({"id":"star_male_name_9","height":"30","vAlign":"middle","color":"#999999","hAlign":"center","width":"70","value":"","fontSize":"14"});
star_male_9.add(star_male_name_9);
fengshenbang_man.add(star_male_9);
var star_male_10 = new Emp.Panel({"id":"star_male_10","text":"   ","height":"100","layout":"VBox","width":"70"});
star_male_10.addEvent('onClick',onclickUser);
var star_male_photo_10 = new Emp.Image({"id":"star_male_photo_10","height":"60","hAlign":"center","width":"60","src":"","circleClip":"true"});
star_male_10.add(star_male_photo_10);
var star_male_name_10 = new Emp.Label({"id":"star_male_name_10","height":"30","vAlign":"middle","color":"#999999","hAlign":"center","width":"70","value":"","fontSize":"14"});
star_male_10.add(star_male_name_10);
fengshenbang_man.add(star_male_10);
_div_14242126.add(fengshenbang_man);
_div_4904421.add(_div_14242126);
_div_13411889.add(_div_4904421);
var _div_33281061 = new Emp.Panel({"id":"_div_33281061","height":"5","borderWidth":"0","width":"100%"});
_div_13411889.add(_div_33281061);
var _div_2417087 = new Emp.Panel({"id":"_div_2417087","text":"    ","height":"50","vAlign":"middle","backgroundColor":"#ffffff","width":"100%"});
var _div_23126648 = new Emp.Panel({"id":"_div_23126648","marginBottom":"10","height":"30","backgroundColor":"#ffcc00","marginTop":"10","width":"5"});
_div_2417087.add(_div_23126648);
var _input_28600654 = new Emp.Label({"id":"_input_28600654","height":"30","vAlign":"middle","hAlign":"left","width":"100","value":"新团入驻","fontSize":"17","paddingLeft":"10"});
_div_2417087.add(_input_28600654);
var _div_23954652 = new Emp.Panel({"id":"_div_23954652","text":" ","height":"30","marginLeft":"175","hAlign":"right","width":"65"});
_div_23954652.addEvent('onClick',find_fan);
var _img_19765679 = new Emp.Image({"id":"_img_19765679","height":"15","marginLeft":"0","marginTop":"8","vAlign":"middle","hAlign":"right","width":"15","src":"/icon_128/icon_left.png"});
_img_19765679.addEvent('onClick',find_fan);
_div_23954652.add(_img_19765679);
_div_2417087.add(_div_23954652);
var _div_12904225 = new Emp.Panel({"id":"_div_12904225","height":"100%","width":"15"});
_div_12904225.addEvent('onClick',find_fan);
_div_2417087.add(_div_12904225);
_div_13411889.add(_div_2417087);
var fangrp_data = new Emp.Panel({"id":"fangrp_data","text":"     ","height":"160","width":"100%"});
var fangrp_1 = new Emp.Panel({"id":"fangrp_1","text":"  ","height":"160","width":"110","layout":"VBox"});
fangrp_1.addEvent('onClick',onclickFangrp);
var fangrp_content_1 = new Emp.Panel({"id":"fangrp_content_1","text":"    ","borderColor":"#ffffff","height":"160","backgroundColor":"#ffffff","borderWidth":"1","layout":"VBox","width":"109"});
var _div_27066016 = new Emp.Panel({"id":"_div_27066016","text":" ","height":"70","marginTop":"20","hAlign":"center","width":"100%"});
var fangrp_photo_1 = new Emp.Image({"id":"fangrp_photo_1","height":"60","width":"60","src":"","circleClip":"true"});
_div_27066016.add(fangrp_photo_1);
fangrp_content_1.add(_div_27066016);
var _div_19826751 = new Emp.Panel({"id":"_div_19826751","text":" ","height":"20","marginTop":"10","hAlign":"center","width":"100%"});
var fangrp_name_1 = new Emp.Label({"id":"fangrp_name_1","height":"20","color":"#333333","vAlign":"middle","width":"89","hAlign":"center","value":"","fontSize":"12","singleLine":"true"});
_div_19826751.add(fangrp_name_1);
fangrp_content_1.add(_div_19826751);
var _div_1154355 = new Emp.Panel({"id":"_div_1154355","text":"  ","height":"20","vAlign":"middle","hAlign":"center","width":"100%"});
var fangrp_benifit_1 = new Emp.Label({"id":"fangrp_benifit_1","height":"20","vAlign":"middle","color":"#999999","width":"109","hAlign":"center","value":"","fontSize":"12","singleLine":"true"});
_div_1154355.add(fangrp_benifit_1);
fangrp_content_1.add(_div_1154355);
fangrp_1.add(fangrp_content_1);
var fangrp_label_1 = new Emp.Panel({"id":"fangrp_label_1","text":"  ","height":"16","marginLeft":"35","marginTop":"-95","layout":"HBox","width":"109"});
var _div_9999627 = new Emp.Panel({"id":"_div_9999627","text":"  ","borderColor":"#ffcc00","height":"14","vAlign":"middle","backgroundColor":"#ffcc00","borderWidth":"2","hAlign":"left","width":"45","cornerRadius":"5","paddingLeft":"5"});
var _img_23137186 = new Emp.Image({"id":"_img_23137186","height":"12","width":"12","src":"/icon_128/iconfont-users.png"});
_div_9999627.add(_img_23137186);
var fangrp_membercnt_1 = new Emp.Label({"id":"fangrp_membercnt_1","height":"14","vAlign":"middle","color":"#ffffff","hAlign":"center","width":"100%","value":"0","fontSize":"10"});
_div_9999627.add(fangrp_membercnt_1);
fangrp_label_1.add(_div_9999627);
fangrp_1.add(fangrp_label_1);
fangrp_data.add(fangrp_1);
var fangrp_2 = new Emp.Panel({"id":"fangrp_2","text":"  ","height":"160","hAlign":"left","width":"110","layout":"VBox"});
fangrp_2.addEvent('onClick',onclickFangrp);
var fangrp_content_2 = new Emp.Panel({"id":"fangrp_content_2","text":"   ","borderColor":"#ffffff","height":"160","backgroundColor":"#ffffff","borderWidth":"1","layout":"VBox","width":"109"});
var _div_30900283 = new Emp.Panel({"id":"_div_30900283","text":" ","height":"70","marginTop":"20","hAlign":"center","width":"100%"});
var fangrp_photo_2 = new Emp.Image({"id":"fangrp_photo_2","height":"60","width":"60","src":"","circleClip":"true"});
_div_30900283.add(fangrp_photo_2);
fangrp_content_2.add(_div_30900283);
var _div_20483656 = new Emp.Panel({"id":"_div_20483656","text":" ","height":"20","marginTop":"10","hAlign":"center","width":"100%"});
var fangrp_name_2 = new Emp.Label({"id":"fangrp_name_2","height":"20","color":"#333333","vAlign":"middle","width":"89","hAlign":"center","value":"","fontSize":"12","singleLine":"true"});
_div_20483656.add(fangrp_name_2);
fangrp_content_2.add(_div_20483656);
var _div_21723478 = new Emp.Panel({"id":"_div_21723478","text":"  ","height":"20","vAlign":"middle","hAlign":"center","width":"100%"});
var fangrp_benifit_2 = new Emp.Label({"id":"fangrp_benifit_2","height":"20","vAlign":"middle","color":"#999999","width":"89","hAlign":"center","value":"","fontSize":"12","singleLine":"true"});
_div_21723478.add(fangrp_benifit_2);
fangrp_content_2.add(_div_21723478);
fangrp_2.add(fangrp_content_2);
var fangrp_label_2 = new Emp.Panel({"id":"fangrp_label_2","text":"  ","height":"16","marginLeft":"35","marginTop":"-95","layout":"HBox","width":"109"});
var _div_24573760 = new Emp.Panel({"id":"_div_24573760","text":"  ","borderColor":"#ffcc00","height":"14","vAlign":"middle","backgroundColor":"#ffcc00","borderWidth":"2","hAlign":"left","width":"45","cornerRadius":"5","paddingLeft":"5"});
var _img_23252000 = new Emp.Image({"id":"_img_23252000","height":"12","width":"12","src":"/icon_128/iconfont-users.png"});
_div_24573760.add(_img_23252000);
var fangrp_membercnt_2 = new Emp.Label({"id":"fangrp_membercnt_2","height":"14","vAlign":"middle","color":"#ffffff","hAlign":"center","width":"100%","value":"0","fontSize":"10"});
_div_24573760.add(fangrp_membercnt_2);
fangrp_label_2.add(_div_24573760);
fangrp_2.add(fangrp_label_2);
fangrp_data.add(fangrp_2);
var _div_17217254 = new Emp.Panel({"id":"_div_17217254","text":"   ","height":"160","backgroundColor":"#ffffff","layout":"VBox","width":"140","paddingRight":"10"});
var fangrp_3 = new Emp.Panel({"id":"fangrp_3","text":"   ","height":"79","width":"130","layout":"HBox"});
fangrp_3.addEvent('onClick',onclickFangrp);
var fangrp_content_3 = new Emp.Panel({"id":"fangrp_content_3","text":"  ","borderColor":"#ffffff","height":"160","backgroundColor":"#ffffff","borderWidth":"1","layout":"HBox","width":"130"});
var _div_15106951 = new Emp.Panel({"id":"_div_15106951","text":"  ","height":"79","vAlign":"middle","hAlign":"left","layout":"VBox","width":"70"});
var _div_29702779 = new Emp.Panel({"id":"_div_29702779","text":" ","height":"60","hAlign":"center","width":"70"});
var fangrp_photo_3 = new Emp.Image({"id":"fangrp_photo_3","height":"50","width":"50","src":"","circleClip":"true"});
_div_29702779.add(fangrp_photo_3);
_div_15106951.add(_div_29702779);
var fangrp_label_3 = new Emp.Panel({"id":"fangrp_label_3","text":"  ","height":"16","vAlign":"middle","marginTop":"-26","hAlign":"center","layout":"HBox","width":"66"});
var _div_13192403 = new Emp.Panel({"id":"_div_13192403","text":"  ","borderColor":"#ffcc00","height":"14","vAlign":"middle","backgroundColor":"#ffcc00","marginLeft":"5","borderWidth":"2","hAlign":"left","width":"45","cornerRadius":"5","paddingLeft":"5"});
var _img_30595342 = new Emp.Image({"id":"_img_30595342","height":"12","width":"12","src":"/icon_128/iconfont-users.png"});
_div_13192403.add(_img_30595342);
var fangrp_membercnt_3 = new Emp.Label({"id":"fangrp_membercnt_3","height":"14","vAlign":"middle","color":"#ffffff","hAlign":"center","width":"100%","value":"0","fontSize":"10"});
_div_13192403.add(fangrp_membercnt_3);
fangrp_label_3.add(_div_13192403);
_div_15106951.add(fangrp_label_3);
fangrp_content_3.add(_div_15106951);
var _div_10283689 = new Emp.Panel({"id":"_div_10283689","text":"  ","height":"80","vAlign":"middle","hAlign":"center","layout":"VBox","width":"60"});
var _div_32646545 = new Emp.Panel({"id":"_div_32646545","text":" ","height":"25","vAlign":"middle","hAlign":"center","width":"60"});
var fangrp_name_3 = new Emp.Label({"id":"fangrp_name_3","height":"25","color":"#333333","vAlign":"middle","width":"60","hAlign":"left","value":"","fontSize":"12","singleLine":"true"});
_div_32646545.add(fangrp_name_3);
_div_10283689.add(_div_32646545);
var _div_14807999 = new Emp.Panel({"id":"_div_14807999","text":"  ","height":"20","vAlign":"middle","hAlign":"left","width":"100%"});
var fangrp_benifit_3 = new Emp.Label({"id":"fangrp_benifit_3","height":"20","vAlign":"middle","color":"#999999","width":"60","hAlign":"left","value":"","fontSize":"12","singleLine":"true"});
_div_14807999.add(fangrp_benifit_3);
_div_10283689.add(_div_14807999);
fangrp_content_3.add(_div_10283689);
fangrp_3.add(fangrp_content_3);
_div_17217254.add(fangrp_3);
var _div_27844162 = new Emp.Panel({"id":"_div_27844162","text":" ","height":"1","vAlign":"middle","hAlign":"center","width":"140"});
var _div_26724118 = new Emp.Panel({"id":"_div_26724118","height":"1","backgroundColor":"#e6e4e4","vAlign":"middle","hAlign":"center","width":"120"});
_div_27844162.add(_div_26724118);
_div_17217254.add(_div_27844162);
var fangrp_4 = new Emp.Panel({"id":"fangrp_4","text":" ","height":"79","width":"140","layout":"HBox"});
fangrp_4.addEvent('onClick',onclickFangrp);
var fangrp_content_4 = new Emp.Panel({"id":"fangrp_content_4","text":"  ","borderColor":"#ffffff","height":"79","backgroundColor":"#ffffff","borderWidth":"1","layout":"HBox","width":"140"});
var _div_33044945 = new Emp.Panel({"id":"_div_33044945","text":"  ","height":"79","vAlign":"middle","hAlign":"left","layout":"VBox","width":"70"});
var _div_26990255 = new Emp.Panel({"id":"_div_26990255","text":" ","height":"60","hAlign":"center","width":"70"});
var fangrp_photo_4 = new Emp.Image({"id":"fangrp_photo_4","height":"50","width":"50","src":"","circleClip":"true"});
_div_26990255.add(fangrp_photo_4);
_div_33044945.add(_div_26990255);
var fangrp_label_4 = new Emp.Panel({"id":"fangrp_label_4","text":"  ","height":"16","vAlign":"middle","marginTop":"-26","hAlign":"center","layout":"HBox","width":"66"});
var _div_17322535 = new Emp.Panel({"id":"_div_17322535","text":"  ","borderColor":"#ffcc00","height":"14","vAlign":"middle","backgroundColor":"#ffcc00","marginLeft":"5","borderWidth":"2","hAlign":"left","width":"45","cornerRadius":"5","paddingLeft":"5"});
var _img_21593848 = new Emp.Image({"id":"_img_21593848","height":"12","width":"12","src":"/icon_128/iconfont-users.png"});
_div_17322535.add(_img_21593848);
var fangrp_membercnt_4 = new Emp.Label({"id":"fangrp_membercnt_4","height":"14","vAlign":"middle","color":"#ffffff","hAlign":"center","width":"100%","value":"0","fontSize":"10"});
_div_17322535.add(fangrp_membercnt_4);
fangrp_label_4.add(_div_17322535);
_div_33044945.add(fangrp_label_4);
fangrp_content_4.add(_div_33044945);
var _div_32018422 = new Emp.Panel({"id":"_div_32018422","text":"  ","height":"79","vAlign":"middle","hAlign":"center","layout":"VBox","width":"60"});
var _div_21203324 = new Emp.Panel({"id":"_div_21203324","text":" ","height":"25","vAlign":"middle","hAlign":"center","width":"60"});
var fangrp_name_4 = new Emp.Label({"id":"fangrp_name_4","height":"25","color":"#333333","vAlign":"middle","width":"60","hAlign":"left","value":"","fontSize":"12","singleLine":"true"});
_div_21203324.add(fangrp_name_4);
_div_32018422.add(_div_21203324);
var _div_26821784 = new Emp.Panel({"id":"_div_26821784","text":"  ","height":"20","vAlign":"middle","hAlign":"center","width":"100%"});
var fangrp_benifit_4 = new Emp.Label({"id":"fangrp_benifit_4","height":"20","vAlign":"middle","color":"#999999","width":"60","hAlign":"left","value":"","fontSize":"12","singleLine":"true"});
_div_26821784.add(fangrp_benifit_4);
_div_32018422.add(_div_26821784);
fangrp_content_4.add(_div_32018422);
fangrp_4.add(fangrp_content_4);
_div_17217254.add(fangrp_4);
fangrp_data.add(_div_17217254);
_div_13411889.add(fangrp_data);
var _div_12276187 = new Emp.Panel({"id":"_div_12276187","height":"5","borderWidth":"0","width":"100%"});
_div_13411889.add(_div_12276187);
var _div_33240724 = new Emp.Panel({"id":"_div_33240724","text":"  ","height":"50","vAlign":"middle","backgroundColor":"#ffffff","width":"100%"});
var _div_29122765 = new Emp.Panel({"id":"_div_29122765","marginBottom":"10","height":"30","backgroundColor":"#ffcc00","marginTop":"10","width":"5"});
_div_33240724.add(_div_29122765);
var _input_7818564 = new Emp.Label({"id":"_input_7818564","height":"30","vAlign":"middle","hAlign":"left","width":"100","value":"精华饭帖","fontSize":"17","paddingLeft":"10"});
_div_33240724.add(_input_7818564);
_div_13411889.add(_div_33240724);
var JH_fan_tie = new Emp.Panel({"id":"JH_fan_tie","text":"     ","height":"500","backgroundColor":"#ffffff","layout":"VBox","width":"100%"});
var essence_1 = new Emp.Panel({"id":"essence_1","text":"  ","borderColor":"#f6f6f6","height":"100","backgroundColor":"#fefdf8","vAlign":"middle","borderWidth":"1","hAlign":"center","width":"100%","layout":"HBox","paddingLeft":"10","paddingRight":"10"});
essence_1.addEvent('onClick',onclickFantie);
var _div_1902282 = new Emp.Panel({"id":"_div_1902282","text":" ","height":"70","vAlign":"middle","marginRight":"10","hAlign":"center","width":"70"});
var essence_img_1 = new Emp.Image({"id":"essence_img_1","height":"70","width":"70","src":""});
_div_1902282.add(essence_img_1);
essence_1.add(_div_1902282);
var _div_29109399 = new Emp.Panel({"id":"_div_29109399","text":"  ","paddingTop":"17","height":"100","layout":"VBox","width":"260","paddingBottom":"17"});
var _div_18052761 = new Emp.Panel({"id":"_div_18052761","text":"  ","height":"44","width":"100%"});
var _div_13591679 = new Emp.Panel({"id":"_div_13591679","text":" ","vAlign":"top","width":"30"});
var essence_img_no1 = new Emp.Image({"id":"essence_img_no1","height":"20","width":"33","src":"/icon_128/zhiding.png"});
_div_13591679.add(essence_img_no1);
_div_18052761.add(_div_13591679);
var _div_31178432 = new Emp.Panel({"id":"_div_31178432","text":" ","height":"44","vAlign":"top","width":"230","paddingLeft":"5","paddingRight":"10"});
var essence_title_1 = new Emp.Label({"id":"essence_title_1","vAlign":"top","width":"225","value":"","fontSize":"16","singleLine":"false"});
_div_31178432.add(essence_title_1);
_div_18052761.add(_div_31178432);
_div_29109399.add(_div_18052761);
var _div_6785243 = new Emp.Panel({"id":"_div_6785243","text":"  ","height":"22","width":"100%"});
var _div_21624995 = new Emp.Panel({"id":"_div_21624995","text":" ","height":"22","vAlign":"middle","width":"130"});
var essence_louzhu_1 = new Emp.Label({"id":"essence_louzhu_1","height":"18","backgroundColor":"#fd0903","color":"#ffffff","vAlign":"middle","value":"","fontSize":"12","singleLine":"true","paddingLeft":"2","paddingRight":"2"});
_div_21624995.add(essence_louzhu_1);
_div_6785243.add(_div_21624995);
var _div_30442563 = new Emp.Panel({"id":"_div_30442563","text":"  ","height":"100%","hAlign":"right","width":"130"});
var _div_10186897 = new Emp.Panel({"id":"_div_10186897","text":"  ","height":"22","vAlign":"middle"});
var _img_16469046 = new Emp.Image({"id":"_img_16469046","height":"18","width":"18","src":"/icon_128/dialog.png"});
_div_10186897.add(_img_16469046);
var essence_cnt_1 = new Emp.Label({"id":"essence_cnt_1","color":"#999999","value":"0","fontSize":"12"});
_div_10186897.add(essence_cnt_1);
_div_30442563.add(_div_10186897);
var _div_27441867 = new Emp.Panel({"id":"_div_27441867","text":" ","height":"22","marginLeft":"10","vAlign":"middle","hAlign":"right"});
var essence_time_1 = new Emp.Label({"id":"essence_time_1","color":"#999999","value":"","fontSize":"12"});
_div_27441867.add(essence_time_1);
_div_30442563.add(_div_27441867);
_div_6785243.add(_div_30442563);
_div_29109399.add(_div_6785243);
essence_1.add(_div_29109399);
JH_fan_tie.add(essence_1);
var essence_2 = new Emp.Panel({"id":"essence_2","text":"  ","borderColor":"#f6f6f6","height":"100","backgroundColor":"#ffffff","vAlign":"middle","hAlign":"center","width":"100%","layout":"HBox","paddingLeft":"10","paddingRight":"10"});
essence_2.addEvent('onClick',onclickFantie);
var _div_1359168 = new Emp.Panel({"id":"_div_1359168","text":" ","height":"70","vAlign":"middle","marginRight":"10","hAlign":"center","width":"70"});
var essence_img_2 = new Emp.Image({"id":"essence_img_2","height":"70","width":"70","src":""});
_div_1359168.add(essence_img_2);
essence_2.add(_div_1359168);
var _div_26755202 = new Emp.Panel({"id":"_div_26755202","text":"  ","paddingTop":"17","height":"100","layout":"VBox","width":"260","paddingBottom":"17"});
var _div_11748546 = new Emp.Panel({"id":"_div_11748546","text":" ","height":"44","width":"100%"});
var _div_23538239 = new Emp.Panel({"id":"_div_23538239","text":" ","height":"44","vAlign":"top","width":"260","paddingRight":"10"});
var essence_title_2 = new Emp.Label({"id":"essence_title_2","height":"44","vAlign":"top","width":"260","value":"","fontSize":"16","singleLine":"false"});
_div_23538239.add(essence_title_2);
_div_11748546.add(_div_23538239);
_div_26755202.add(_div_11748546);
var _div_16933982 = new Emp.Panel({"id":"_div_16933982","text":"  ","height":"22","width":"100%"});
var _div_745220 = new Emp.Panel({"id":"_div_745220","text":" ","height":"22","vAlign":"middle","width":"130"});
var essence_louzhu_2 = new Emp.Label({"id":"essence_louzhu_2","height":"18","color":"#999999","vAlign":"middle","value":"","fontSize":"12","singleLine":"true","paddingLeft":"2","paddingRight":"2"});
_div_745220.add(essence_louzhu_2);
_div_16933982.add(_div_745220);
var _div_16748708 = new Emp.Panel({"id":"_div_16748708","text":"  ","height":"100%","hAlign":"right","width":"130"});
var _div_7417781 = new Emp.Panel({"id":"_div_7417781","text":"  ","height":"22","vAlign":"middle"});
var _img_15942525 = new Emp.Image({"id":"_img_15942525","height":"18","width":"18","src":"/icon_128/dialog.png"});
_div_7417781.add(_img_15942525);
var essence_cnt_2 = new Emp.Label({"id":"essence_cnt_2","color":"#999999","value":"0","fontSize":"12"});
_div_7417781.add(essence_cnt_2);
_div_16748708.add(_div_7417781);
var _div_3905244 = new Emp.Panel({"id":"_div_3905244","text":" ","height":"22","marginLeft":"10","vAlign":"middle","hAlign":"right"});
var essence_time_2 = new Emp.Label({"id":"essence_time_2","color":"#999999","value":"","fontSize":"12"});
_div_3905244.add(essence_time_2);
_div_16748708.add(_div_3905244);
_div_16933982.add(_div_16748708);
_div_26755202.add(_div_16933982);
essence_2.add(_div_26755202);
JH_fan_tie.add(essence_2);
var essence_3 = new Emp.Panel({"id":"essence_3","text":"  ","borderColor":"#f6f6f6","height":"100","backgroundColor":"#fefdf8","vAlign":"middle","borderWidth":"1","hAlign":"center","width":"100%","layout":"HBox","paddingLeft":"10","paddingRight":"10"});
essence_3.addEvent('onClick',onclickFantie);
var _div_25763111 = new Emp.Panel({"id":"_div_25763111","text":" ","height":"70","vAlign":"middle","marginRight":"10","hAlign":"center","width":"70"});
var essence_img_3 = new Emp.Image({"id":"essence_img_3","height":"70","width":"70","src":""});
_div_25763111.add(essence_img_3);
essence_3.add(_div_25763111);
var _div_10823770 = new Emp.Panel({"id":"_div_10823770","text":"  ","paddingTop":"17","height":"100","layout":"VBox","width":"260","paddingBottom":"17"});
var _div_16540783 = new Emp.Panel({"id":"_div_16540783","text":" ","height":"44","width":"100%"});
var _div_2481132 = new Emp.Panel({"id":"_div_2481132","text":" ","height":"44","vAlign":"top","width":"260","paddingRight":"10"});
var essence_title_3 = new Emp.Label({"id":"essence_title_3","height":"44","vAlign":"top","width":"260","value":"","fontSize":"16","singleLine":"false"});
_div_2481132.add(essence_title_3);
_div_16540783.add(_div_2481132);
_div_10823770.add(_div_16540783);
var _div_7559403 = new Emp.Panel({"id":"_div_7559403","text":"  ","height":"22","width":"100%"});
var _div_13812768 = new Emp.Panel({"id":"_div_13812768","text":" ","height":"22","vAlign":"middle","width":"130"});
var essence_louzhu_3 = new Emp.Label({"id":"essence_louzhu_3","height":"18","color":"#999999","vAlign":"middle","value":"","fontSize":"12","singleLine":"true","paddingLeft":"2","paddingRight":"2"});
_div_13812768.add(essence_louzhu_3);
_div_7559403.add(_div_13812768);
var _div_10120582 = new Emp.Panel({"id":"_div_10120582","text":"  ","height":"100%","hAlign":"right","width":"130"});
var _div_9212510 = new Emp.Panel({"id":"_div_9212510","text":"  ","height":"22","vAlign":"middle"});
var _img_14513747 = new Emp.Image({"id":"_img_14513747","height":"18","width":"18","src":"/icon_128/dialog.png"});
_div_9212510.add(_img_14513747);
var essence_cnt_3 = new Emp.Label({"id":"essence_cnt_3","color":"#999999","value":"0","fontSize":"12"});
_div_9212510.add(essence_cnt_3);
_div_10120582.add(_div_9212510);
var _div_23841994 = new Emp.Panel({"id":"_div_23841994","text":" ","height":"22","marginLeft":"10","vAlign":"middle","hAlign":"right"});
var essence_time_3 = new Emp.Label({"id":"essence_time_3","color":"#999999","value":"","fontSize":"12"});
_div_23841994.add(essence_time_3);
_div_10120582.add(_div_23841994);
_div_7559403.add(_div_10120582);
_div_10823770.add(_div_7559403);
essence_3.add(_div_10823770);
JH_fan_tie.add(essence_3);
var essence_4 = new Emp.Panel({"id":"essence_4","text":"  ","borderColor":"#f6f6f6","height":"100","backgroundColor":"#ffffff","vAlign":"middle","hAlign":"center","width":"100%","layout":"HBox","paddingLeft":"10","paddingRight":"10"});
essence_4.addEvent('onClick',onclickFantie);
var _div_17575091 = new Emp.Panel({"id":"_div_17575091","text":" ","height":"70","vAlign":"middle","marginRight":"10","hAlign":"center","width":"70"});
var essence_img_4 = new Emp.Image({"id":"essence_img_4","height":"70","width":"70","src":""});
_div_17575091.add(essence_img_4);
essence_4.add(_div_17575091);
var _div_18360707 = new Emp.Panel({"id":"_div_18360707","text":"  ","paddingTop":"17","height":"100","layout":"VBox","width":"260","paddingBottom":"17"});
var _div_21852848 = new Emp.Panel({"id":"_div_21852848","text":" ","height":"44","width":"100%"});
var _div_27567195 = new Emp.Panel({"id":"_div_27567195","text":" ","height":"44","vAlign":"top","width":"260","paddingRight":"10"});
var essence_title_4 = new Emp.Label({"id":"essence_title_4","height":"44","vAlign":"top","width":"260","value":"","fontSize":"16","singleLine":"false"});
_div_27567195.add(essence_title_4);
_div_21852848.add(_div_27567195);
_div_18360707.add(_div_21852848);
var _div_31588227 = new Emp.Panel({"id":"_div_31588227","text":"  ","height":"22","width":"100%"});
var _div_5123826 = new Emp.Panel({"id":"_div_5123826","text":" ","height":"22","vAlign":"middle","width":"130"});
var essence_louzhu_4 = new Emp.Label({"id":"essence_louzhu_4","height":"18","color":"#999999","vAlign":"middle","value":"","fontSize":"12","singleLine":"true","paddingLeft":"2","paddingRight":"2"});
_div_5123826.add(essence_louzhu_4);
_div_31588227.add(_div_5123826);
var _div_24649900 = new Emp.Panel({"id":"_div_24649900","text":"  ","height":"100%","hAlign":"right","width":"130"});
var _div_27854909 = new Emp.Panel({"id":"_div_27854909","text":"  ","height":"22","vAlign":"middle"});
var _img_6030758 = new Emp.Image({"id":"_img_6030758","height":"18","width":"18","src":"/icon_128/dialog.png"});
_div_27854909.add(_img_6030758);
var essence_cnt_4 = new Emp.Label({"id":"essence_cnt_4","color":"#999999","value":"0","fontSize":"12"});
_div_27854909.add(essence_cnt_4);
_div_24649900.add(_div_27854909);
var _div_27069727 = new Emp.Panel({"id":"_div_27069727","text":" ","height":"22","marginLeft":"10","vAlign":"middle","hAlign":"right"});
var essence_time_4 = new Emp.Label({"id":"essence_time_4","color":"#999999","value":"","fontSize":"12"});
_div_27069727.add(essence_time_4);
_div_24649900.add(_div_27069727);
_div_31588227.add(_div_24649900);
_div_18360707.add(_div_31588227);
essence_4.add(_div_18360707);
JH_fan_tie.add(essence_4);
var essence_5 = new Emp.Panel({"id":"essence_5","text":"  ","borderColor":"#f6f6f6","height":"100","backgroundColor":"#fefdf8","vAlign":"middle","borderWidth":"1","hAlign":"center","width":"100%","layout":"HBox","paddingLeft":"10","paddingRight":"10"});
essence_5.addEvent('onClick',onclickFantie);
var _div_32612234 = new Emp.Panel({"id":"_div_32612234","text":" ","height":"70","vAlign":"middle","marginRight":"10","hAlign":"center","width":"70"});
var essence_img_5 = new Emp.Image({"id":"essence_img_5","height":"70","width":"70","src":""});
_div_32612234.add(essence_img_5);
essence_5.add(_div_32612234);
var _div_27618736 = new Emp.Panel({"id":"_div_27618736","text":"  ","paddingTop":"17","height":"100","layout":"VBox","width":"260","paddingBottom":"17"});
var _div_29639887 = new Emp.Panel({"id":"_div_29639887","text":" ","height":"44","width":"100%"});
var _div_8496962 = new Emp.Panel({"id":"_div_8496962","text":" ","height":"44","vAlign":"top","width":"260","paddingRight":"10"});
var essence_title_5 = new Emp.Label({"id":"essence_title_5","height":"44","vAlign":"middle","width":"260","value":"","fontSize":"16","singleLine":"false"});
_div_8496962.add(essence_title_5);
_div_29639887.add(_div_8496962);
_div_27618736.add(_div_29639887);
var _div_33194444 = new Emp.Panel({"id":"_div_33194444","text":"  ","height":"22","width":"100%"});
var _div_23048841 = new Emp.Panel({"id":"_div_23048841","text":" ","height":"22","vAlign":"middle","width":"130"});
var essence_louzhu_5 = new Emp.Label({"id":"essence_louzhu_5","height":"18","color":"#999999","vAlign":"middle","value":"","fontSize":"12","singleLine":"true","paddingLeft":"2","paddingRight":"2"});
_div_23048841.add(essence_louzhu_5);
_div_33194444.add(_div_23048841);
var _div_25199957 = new Emp.Panel({"id":"_div_25199957","text":"  ","height":"100%","hAlign":"right","width":"130"});
var _div_11638105 = new Emp.Panel({"id":"_div_11638105","text":"  ","height":"22","vAlign":"middle"});
var _img_12851162 = new Emp.Image({"id":"_img_12851162","height":"18","width":"18","src":"/icon_128/dialog.png"});
_div_11638105.add(_img_12851162);
var essence_cnt_5 = new Emp.Label({"id":"essence_cnt_5","color":"#999999","value":"0","fontSize":"12"});
_div_11638105.add(essence_cnt_5);
_div_25199957.add(_div_11638105);
var _div_28663088 = new Emp.Panel({"id":"_div_28663088","text":" ","height":"22","marginLeft":"10","vAlign":"middle","hAlign":"right"});
var essence_time_5 = new Emp.Label({"id":"essence_time_5","color":"#999999","value":"","fontSize":"12"});
_div_28663088.add(essence_time_5);
_div_25199957.add(_div_28663088);
_div_33194444.add(_div_25199957);
_div_27618736.add(_div_33194444);
essence_5.add(_div_27618736);
JH_fan_tie.add(essence_5);
_div_13411889.add(JH_fan_tie);
var _div_7685953 = new Emp.Panel({"id":"_div_7685953","height":"5","borderWidth":"0","width":"100%"});
_div_13411889.add(_div_7685953);
var _div_26815443 = new Emp.Panel({"id":"_div_26815443","text":"  ","height":"50","vAlign":"middle","backgroundColor":"#ffffff","width":"100%"});
var _div_17577407 = new Emp.Panel({"id":"_div_17577407","marginBottom":"10","height":"30","backgroundColor":"#ffcc00","marginTop":"10","width":"5"});
_div_26815443.add(_div_17577407);
var _input_10269712 = new Emp.Label({"id":"_input_10269712","height":"30","vAlign":"middle","hAlign":"left","width":"100","value":"最热饭帖","fontSize":"17","paddingLeft":"10"});
_div_26815443.add(_input_10269712);
_div_13411889.add(_div_26815443);
var ZR_fan_tie = new Emp.Panel({"id":"ZR_fan_tie","text":"     ","height":"500","backgroundColor":"#ffffff","layout":"VBox","width":"100%"});
var hot_topic_1 = new Emp.Panel({"id":"hot_topic_1","text":"  ","borderColor":"#f6f6f6","height":"100","backgroundColor":"#fefdf8","vAlign":"middle","borderWidth":"1","hAlign":"center","width":"100%","layout":"HBox","paddingLeft":"10","paddingRight":"10"});
hot_topic_1.addEvent('onClick',onclickFantie);
var _div_1155045 = new Emp.Panel({"id":"_div_1155045","text":" ","height":"70","vAlign":"middle","marginRight":"10","hAlign":"center","width":"70"});
var hot_img_1 = new Emp.Image({"id":"hot_img_1","height":"70","width":"70","src":""});
_div_1155045.add(hot_img_1);
hot_topic_1.add(_div_1155045);
var _div_29833319 = new Emp.Panel({"id":"_div_29833319","text":"  ","paddingTop":"17","height":"100","layout":"VBox","width":"260","paddingBottom":"17"});
var _div_4721067 = new Emp.Panel({"id":"_div_4721067","text":"  ","height":"44","width":"100%"});
var _div_24310826 = new Emp.Panel({"id":"_div_24310826","text":" ","vAlign":"top","width":"30"});
var _img_33300032 = new Emp.Image({"id":"_img_33300032","height":"20","width":"33","src":"/icon_128/hot.png"});
_div_24310826.add(_img_33300032);
_div_4721067.add(_div_24310826);
var _div_19274372 = new Emp.Panel({"id":"_div_19274372","text":" ","height":"44","vAlign":"top","width":"230","paddingLeft":"5","paddingRight":"10"});
var hot_topic_title_1 = new Emp.Label({"id":"hot_topic_title_1","vAlign":"top","width":"225","value":"","fontSize":"16","singleLine":"false"});
_div_19274372.add(hot_topic_title_1);
_div_4721067.add(_div_19274372);
_div_29833319.add(_div_4721067);
var _div_1822308 = new Emp.Panel({"id":"_div_1822308","text":"  ","height":"22","width":"100%"});
var _div_25889899 = new Emp.Panel({"id":"_div_25889899","text":" ","height":"22","vAlign":"middle","width":"130"});
var hot_topic_louzhu_1 = new Emp.Label({"id":"hot_topic_louzhu_1","height":"18","backgroundColor":"#fd0903","color":"#ffffff","vAlign":"middle","value":"","fontSize":"12","singleLine":"true","paddingLeft":"2","paddingRight":"2"});
_div_25889899.add(hot_topic_louzhu_1);
_div_1822308.add(_div_25889899);
var _div_22839030 = new Emp.Panel({"id":"_div_22839030","text":"  ","height":"100%","hAlign":"right","width":"130"});
var _div_26440245 = new Emp.Panel({"id":"_div_26440245","text":"  ","height":"22","vAlign":"middle"});
var _img_19856784 = new Emp.Image({"id":"_img_19856784","height":"18","width":"18","src":"/icon_128/dialog.png"});
_div_26440245.add(_img_19856784);
var hot_topic_floorcnt_1 = new Emp.Label({"id":"hot_topic_floorcnt_1","color":"#999999","value":"0","fontSize":"12"});
_div_26440245.add(hot_topic_floorcnt_1);
_div_22839030.add(_div_26440245);
var _div_6249066 = new Emp.Panel({"id":"_div_6249066","text":" ","height":"22","marginLeft":"10","vAlign":"middle","hAlign":"right"});
var hot_time_1 = new Emp.Label({"id":"hot_time_1","color":"#999999","value":"","fontSize":"12"});
_div_6249066.add(hot_time_1);
_div_22839030.add(_div_6249066);
_div_1822308.add(_div_22839030);
_div_29833319.add(_div_1822308);
hot_topic_1.add(_div_29833319);
ZR_fan_tie.add(hot_topic_1);
var hot_topic_2 = new Emp.Panel({"id":"hot_topic_2","text":"  ","borderColor":"#f6f6f6","height":"100","backgroundColor":"#ffffff","vAlign":"middle","hAlign":"center","width":"100%","layout":"HBox","paddingLeft":"10","paddingRight":"10"});
hot_topic_2.addEvent('onClick',onclickFantie);
var _div_18444780 = new Emp.Panel({"id":"_div_18444780","text":" ","height":"70","vAlign":"middle","marginRight":"10","hAlign":"center","width":"70"});
var hot_img_2 = new Emp.Image({"id":"hot_img_2","height":"70","width":"70","src":""});
_div_18444780.add(hot_img_2);
hot_topic_2.add(_div_18444780);
var _div_21699923 = new Emp.Panel({"id":"_div_21699923","text":"  ","paddingTop":"17","height":"100","layout":"VBox","width":"260","paddingBottom":"17"});
var _div_7489349 = new Emp.Panel({"id":"_div_7489349","text":" ","height":"44","width":"100%"});
var _div_10827662 = new Emp.Panel({"id":"_div_10827662","text":" ","height":"44","vAlign":"top","width":"260","paddingRight":"10"});
var hot_topic_title_2 = new Emp.Label({"id":"hot_topic_title_2","height":"44","vAlign":"top","width":"260","value":"","fontSize":"16","singleLine":"false"});
_div_10827662.add(hot_topic_title_2);
_div_7489349.add(_div_10827662);
_div_21699923.add(_div_7489349);
var _div_8158378 = new Emp.Panel({"id":"_div_8158378","text":"  ","height":"22","width":"100%"});
var _div_14458098 = new Emp.Panel({"id":"_div_14458098","text":" ","height":"22","vAlign":"middle","width":"130"});
var hot_topic_louzhu_2 = new Emp.Label({"id":"hot_topic_louzhu_2","height":"18","color":"#999999","vAlign":"middle","value":"","fontSize":"12","singleLine":"true","paddingLeft":"2","paddingRight":"2"});
_div_14458098.add(hot_topic_louzhu_2);
_div_8158378.add(_div_14458098);
var _div_322549 = new Emp.Panel({"id":"_div_322549","text":"  ","height":"100%","hAlign":"right","width":"130"});
var _div_18822745 = new Emp.Panel({"id":"_div_18822745","text":"  ","height":"22","vAlign":"middle"});
var _img_2702283 = new Emp.Image({"id":"_img_2702283","height":"18","width":"18","src":"/icon_128/dialog.png"});
_div_18822745.add(_img_2702283);
var hot_topic_floorcnt_2 = new Emp.Label({"id":"hot_topic_floorcnt_2","color":"#999999","value":"0","fontSize":"12"});
_div_18822745.add(hot_topic_floorcnt_2);
_div_322549.add(_div_18822745);
var _div_7473120 = new Emp.Panel({"id":"_div_7473120","text":" ","height":"22","marginLeft":"10","vAlign":"middle","hAlign":"right"});
var hot_time_2 = new Emp.Label({"id":"hot_time_2","color":"#999999","value":"","fontSize":"12"});
_div_7473120.add(hot_time_2);
_div_322549.add(_div_7473120);
_div_8158378.add(_div_322549);
_div_21699923.add(_div_8158378);
hot_topic_2.add(_div_21699923);
ZR_fan_tie.add(hot_topic_2);
var hot_topic_3 = new Emp.Panel({"id":"hot_topic_3","text":"  ","borderColor":"#f6f6f6","height":"100","backgroundColor":"#fefdf8","vAlign":"middle","borderWidth":"1","hAlign":"center","width":"100%","layout":"HBox","paddingLeft":"10","paddingRight":"10"});
hot_topic_3.addEvent('onClick',onclickFantie);
var _div_11793569 = new Emp.Panel({"id":"_div_11793569","text":" ","height":"70","vAlign":"middle","marginRight":"10","hAlign":"center","width":"70"});
var hot_img_3 = new Emp.Image({"id":"hot_img_3","height":"70","width":"70","src":""});
_div_11793569.add(hot_img_3);
hot_topic_3.add(_div_11793569);
var _div_22680262 = new Emp.Panel({"id":"_div_22680262","text":"  ","paddingTop":"17","height":"100","layout":"VBox","width":"260","paddingBottom":"17"});
var _div_8824757 = new Emp.Panel({"id":"_div_8824757","text":" ","height":"44","width":"100%"});
var _div_7111769 = new Emp.Panel({"id":"_div_7111769","text":" ","height":"44","vAlign":"top","width":"260","paddingRight":"10"});
var hot_topic_title_3 = new Emp.Label({"id":"hot_topic_title_3","height":"44","vAlign":"top","width":"260","value":"","fontSize":"16","singleLine":"false"});
_div_7111769.add(hot_topic_title_3);
_div_8824757.add(_div_7111769);
_div_22680262.add(_div_8824757);
var _div_9072835 = new Emp.Panel({"id":"_div_9072835","text":"  ","height":"22","width":"100%"});
var _div_15799695 = new Emp.Panel({"id":"_div_15799695","text":" ","height":"22","vAlign":"middle","width":"130"});
var hot_topic_louzhu_3 = new Emp.Label({"id":"hot_topic_louzhu_3","height":"18","color":"#999999","vAlign":"middle","value":"","fontSize":"12","singleLine":"true","paddingLeft":"2","paddingRight":"2"});
_div_15799695.add(hot_topic_louzhu_3);
_div_9072835.add(_div_15799695);
var _div_24301727 = new Emp.Panel({"id":"_div_24301727","text":"  ","height":"100%","hAlign":"right","width":"130"});
var _div_14589816 = new Emp.Panel({"id":"_div_14589816","text":"  ","height":"22","vAlign":"middle"});
var _img_28819021 = new Emp.Image({"id":"_img_28819021","height":"18","width":"18","src":"/icon_128/dialog.png"});
_div_14589816.add(_img_28819021);
var hot_topic_floorcnt_3 = new Emp.Label({"id":"hot_topic_floorcnt_3","color":"#999999","value":"0","fontSize":"12"});
_div_14589816.add(hot_topic_floorcnt_3);
_div_24301727.add(_div_14589816);
var _div_24712326 = new Emp.Panel({"id":"_div_24712326","text":" ","height":"22","marginLeft":"10","vAlign":"middle","hAlign":"right"});
var hot_time_3 = new Emp.Label({"id":"hot_time_3","color":"#999999","value":"","fontSize":"12"});
_div_24712326.add(hot_time_3);
_div_24301727.add(_div_24712326);
_div_9072835.add(_div_24301727);
_div_22680262.add(_div_9072835);
hot_topic_3.add(_div_22680262);
ZR_fan_tie.add(hot_topic_3);
var hot_topic_4 = new Emp.Panel({"id":"hot_topic_4","text":"  ","borderColor":"#f6f6f6","height":"100","backgroundColor":"#ffffff","vAlign":"middle","hAlign":"center","width":"100%","layout":"HBox","paddingLeft":"10","paddingRight":"10"});
hot_topic_4.addEvent('onClick',onclickFantie);
var _div_24120597 = new Emp.Panel({"id":"_div_24120597","text":" ","height":"70","vAlign":"middle","marginRight":"10","hAlign":"center","width":"70"});
var hot_img_4 = new Emp.Image({"id":"hot_img_4","height":"70","width":"70","src":""});
_div_24120597.add(hot_img_4);
hot_topic_4.add(_div_24120597);
var _div_4120598 = new Emp.Panel({"id":"_div_4120598","text":"  ","paddingTop":"17","height":"100","layout":"VBox","width":"260","paddingBottom":"17"});
var _div_32098190 = new Emp.Panel({"id":"_div_32098190","text":" ","height":"44","width":"100%"});
var _div_19677367 = new Emp.Panel({"id":"_div_19677367","text":" ","height":"44","vAlign":"top","width":"260","paddingRight":"10"});
var hot_topic_title_4 = new Emp.Label({"id":"hot_topic_title_4","height":"44","vAlign":"top","width":"260","value":"","fontSize":"16","singleLine":"false"});
_div_19677367.add(hot_topic_title_4);
_div_32098190.add(_div_19677367);
_div_4120598.add(_div_32098190);
var _div_20782758 = new Emp.Panel({"id":"_div_20782758","text":"  ","height":"22","width":"100%"});
var _div_27744573 = new Emp.Panel({"id":"_div_27744573","text":" ","height":"22","vAlign":"middle","width":"130"});
var hot_topic_louzhu_4 = new Emp.Label({"id":"hot_topic_louzhu_4","height":"18","color":"#999999","vAlign":"middle","value":"","fontSize":"12","singleLine":"true","paddingLeft":"2","paddingRight":"2"});
_div_27744573.add(hot_topic_louzhu_4);
_div_20782758.add(_div_27744573);
var _div_1212030 = new Emp.Panel({"id":"_div_1212030","text":"  ","height":"100%","hAlign":"right","width":"130"});
var _div_3049308 = new Emp.Panel({"id":"_div_3049308","text":"  ","height":"22","vAlign":"middle"});
var _img_12110844 = new Emp.Image({"id":"_img_12110844","height":"18","width":"18","src":"/icon_128/dialog.png"});
_div_3049308.add(_img_12110844);
var hot_topic_floorcnt_4 = new Emp.Label({"id":"hot_topic_floorcnt_4","color":"#999999","value":"0","fontSize":"12"});
_div_3049308.add(hot_topic_floorcnt_4);
_div_1212030.add(_div_3049308);
var _div_11225369 = new Emp.Panel({"id":"_div_11225369","text":" ","height":"22","marginLeft":"10","vAlign":"middle","hAlign":"right"});
var hot_time_4 = new Emp.Label({"id":"hot_time_4","color":"#999999","value":"","fontSize":"12"});
_div_11225369.add(hot_time_4);
_div_1212030.add(_div_11225369);
_div_20782758.add(_div_1212030);
_div_4120598.add(_div_20782758);
hot_topic_4.add(_div_4120598);
ZR_fan_tie.add(hot_topic_4);
var hot_topic_5 = new Emp.Panel({"id":"hot_topic_5","text":"  ","borderColor":"#f6f6f6","height":"100","backgroundColor":"#fefdf8","vAlign":"middle","borderWidth":"1","hAlign":"center","width":"100%","layout":"HBox","paddingLeft":"10","paddingRight":"10"});
hot_topic_5.addEvent('onClick',onclickFantie);
var _div_11791412 = new Emp.Panel({"id":"_div_11791412","text":" ","height":"70","vAlign":"middle","marginRight":"10","hAlign":"center","width":"70"});
var hot_img_5 = new Emp.Image({"id":"hot_img_5","height":"70","width":"70","src":""});
_div_11791412.add(hot_img_5);
hot_topic_5.add(_div_11791412);
var _div_8506570 = new Emp.Panel({"id":"_div_8506570","text":"  ","paddingTop":"17","height":"100","layout":"VBox","width":"260","paddingBottom":"17"});
var _div_28056967 = new Emp.Panel({"id":"_div_28056967","text":" ","height":"44","width":"100%"});
var _div_13026923 = new Emp.Panel({"id":"_div_13026923","text":" ","height":"44","vAlign":"top","width":"260","paddingRight":"10"});
var hot_topic_title_5 = new Emp.Label({"id":"hot_topic_title_5","height":"44","vAlign":"middle","width":"260","value":"","fontSize":"16","singleLine":"false"});
_div_13026923.add(hot_topic_title_5);
_div_28056967.add(_div_13026923);
_div_8506570.add(_div_28056967);
var _div_19311757 = new Emp.Panel({"id":"_div_19311757","text":"  ","height":"22","width":"100%"});
var _div_694808 = new Emp.Panel({"id":"_div_694808","text":" ","height":"22","vAlign":"middle","width":"130"});
var hot_topic_louzhu_5 = new Emp.Label({"id":"hot_topic_louzhu_5","height":"18","color":"#999999","vAlign":"middle","value":"","fontSize":"12","singleLine":"true","paddingLeft":"2","paddingRight":"2"});
_div_694808.add(hot_topic_louzhu_5);
_div_19311757.add(_div_694808);
var _div_9042720 = new Emp.Panel({"id":"_div_9042720","text":"  ","height":"100%","hAlign":"right","width":"130"});
var _div_12974421 = new Emp.Panel({"id":"_div_12974421","text":"  ","height":"22","vAlign":"middle"});
var _img_24395237 = new Emp.Image({"id":"_img_24395237","height":"18","width":"18","src":"/icon_128/dialog.png"});
_div_12974421.add(_img_24395237);
var hot_topic_floorcnt_5 = new Emp.Label({"id":"hot_topic_floorcnt_5","color":"#999999","value":"0","fontSize":"12"});
_div_12974421.add(hot_topic_floorcnt_5);
_div_9042720.add(_div_12974421);
var _div_11782537 = new Emp.Panel({"id":"_div_11782537","text":" ","height":"22","marginLeft":"10","vAlign":"middle","hAlign":"right"});
var hot_time_5 = new Emp.Label({"id":"hot_time_5","color":"#999999","value":"","fontSize":"12"});
_div_11782537.add(hot_time_5);
_div_9042720.add(_div_11782537);
_div_19311757.add(_div_9042720);
_div_8506570.add(_div_19311757);
hot_topic_5.add(_div_8506570);
ZR_fan_tie.add(hot_topic_5);
_div_13411889.add(ZR_fan_tie);
Emp.page.add(_div_13411889);
var _div_26502976 = new Emp.Panel({"id":"_div_26502976","height":"1","backgroundColor":"#e6e4e4","borderWidth":"0","width":"100%"});
Emp.page.add(_div_26502976);
var _div_441442 = new Emp.Panel({"id":"_div_441442","text":"     ","height":"49","backgroundColor":"#f7f7f6","vAlign":"middle","width":"360","top":"0"});
var _div_3801719 = new Emp.Panel({"id":"_div_3801719","text":"  ","height":"49","vAlign":"middle","layout":"VBox","hAlign":"center","width":"72"});
_div_3801719.addEvent('onClick',gotoPageLoggedin);
var _img_7859562 = new Emp.Image({"id":"_img_7859562","height":"25","width":"37","src":"/icon_128/iconfont-fantown-menu-1.png"});
_div_3801719.add(_img_7859562);
var _input_25424222 = new Emp.Label({"id":"_input_25424222","height":"13","color":"#6b6b6b","vAlign":"middle","hAlign":"center","width":"25","value":"饭团","fontSize":"10"});
_div_3801719.add(_input_25424222);
_div_441442.add(_div_3801719);
var _div_22773294 = new Emp.Panel({"id":"_div_22773294","text":"  ","height":"49","vAlign":"middle","layout":"VBox","hAlign":"center","width":"72"});
_div_22773294.addEvent('onClick',goToTips);
var _img_28910498 = new Emp.Image({"id":"_img_28910498","height":"25","width":"25","src":"/icon_128/iconfont-notice-1.png"});
_div_22773294.add(_img_28910498);
var _input_30567378 = new Emp.Label({"id":"_input_30567378","height":"13","color":"#6b6b6b","vAlign":"middle","hAlign":"center","width":"25","value":"消息","fontSize":"10"});
_div_22773294.add(_input_30567378);
_div_441442.add(_div_22773294);
var _div_27574142 = new Emp.Panel({"id":"_div_27574142","text":"  ","height":"49","vAlign":"middle","layout":"VBox","hAlign":"center","width":"72"});
var _img_18354962 = new Emp.Image({"id":"_img_18354962","height":"27","width":"35","src":"/icon_128/iconfont-search.png"});
_div_27574142.add(_img_18354962);
var _input_25955990 = new Emp.Label({"id":"_input_25955990","height":"13","color":"#ffcc00","vAlign":"middle","hAlign":"center","width":"25","value":"发现","fontSize":"10"});
_div_27574142.add(_input_25955990);
_div_441442.add(_div_27574142);
var _div_1159478 = new Emp.Panel({"id":"_div_1159478","text":"  ","height":"49","vAlign":"middle","marginLeft":"2","layout":"VBox","hAlign":"center","width":"72"});
_div_1159478.addEvent('onClick',goToShop);
var _img_25785386 = new Emp.Image({"id":"_img_25785386","height":"25","width":"25","src":"/icon_128/iconfont-shop-1.png"});
_div_1159478.add(_img_25785386);
var _input_19499989 = new Emp.Label({"id":"_input_19499989","height":"13","color":"#6b6b6b","vAlign":"middle","hAlign":"center","width":"25","value":"集市","fontSize":"10"});
_div_1159478.add(_input_19499989);
_div_441442.add(_div_1159478);
var _div_10178456 = new Emp.Panel({"id":"_div_10178456","text":"  ","height":"49","vAlign":"middle","layout":"VBox","hAlign":"center","width":"72"});
_div_10178456.addEvent('onClick',my_info_login);
var _img_8829653 = new Emp.Image({"id":"_img_8829653","height":"25","width":"25","src":"/icon_128/iconfont-lianxiren-1.png"});
_div_10178456.add(_img_8829653);
var _input_22295755 = new Emp.Label({"id":"_input_22295755","height":"13","color":"#6b6b6b","vAlign":"middle","hAlign":"center","width":"25","value":"我","fontSize":"10"});
_div_10178456.add(_input_22295755);
_div_441442.add(_div_10178456);
Emp.page.add(_div_441442);







$jsd('/NewBuyApp/src/index.htmlx',554,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);});var newbuyVersion = "1.0"; 
$jsd('/NewBuyApp/src/index.htmlx',555,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); var preference = new $M.Preferences(); 
$jsd('/NewBuyApp/src/index.htmlx',556,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); preference.open("newbuy_config"); 
$jsd('/NewBuyApp/src/index.htmlx',557,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); var newbuy_config = preference.get("newbuy_config") || {}; 
$jsd('/NewBuyApp/src/index.htmlx',559,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); function find_fan() { 
$jsd('/NewBuyApp/src/index.htmlx',560,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); $M.page.goTo("/fan_search.html"); 
} 
$jsd('/NewBuyApp/src/index.htmlx',562,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); function find_star() { 
$jsd('/NewBuyApp/src/index.htmlx',563,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); $M.page.goTo("/search/find_star.html"); 
} 
$jsd('/NewBuyApp/src/index.htmlx',565,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); function goToShop() { 
} 
$jsd('/NewBuyApp/src/index.htmlx',569,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); $M.page.addEvent("onLoad", function (param) { 
if($jsd('/NewBuyApp/src/index.htmlx',571,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);})||true) if (newbuy_config.firstloadVersion != newbuyVersion) { 
$jsd('/NewBuyApp/src/index.htmlx',572,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); delete newbuy_config.firstloadVersion; 
$jsd('/NewBuyApp/src/index.htmlx',573,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); newbuy_config.firstloadVersion = newbuyVersion; 
$jsd('/NewBuyApp/src/index.htmlx',574,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); preference.put("newbuy_config", newbuy_config); 
} 
$jsd('/NewBuyApp/src/index.htmlx',578,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); var ajax = new $M.Ajax(); 
$jsd('/NewBuyApp/src/index.htmlx',579,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); ajax.setAction("/mobile/fanAction!getAdData.action"); 
$jsd('/NewBuyApp/src/index.htmlx',580,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); ajax.submit(function (result) { 
$jsd('/NewBuyApp/src/index.htmlx',581,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); result = Utils.stringToJson(result); 
if($jsd('/NewBuyApp/src/index.htmlx',582,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);})||true) if (result.success && result.data && result.data.length > 0) { 
$jsd('/NewBuyApp/src/index.htmlx',583,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); var bannerCnt = 5; 
$jsd('/NewBuyApp/src/index.htmlx',584,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); var bannerdata = result.data; 
if($jsd('/NewBuyApp/src/index.htmlx',585,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);})||true) if (bannerdata < 5) { 
$jsd('/NewBuyApp/src/index.htmlx',586,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); bannerCnt = bannerdata; 
} 
$jsd('/NewBuyApp/src/index.htmlx',588,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); for (var i = 0; i < bannerCnt; i++) { 
$jsd('/NewBuyApp/src/index.htmlx',589,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); $M.get("banner" + (i + 1)).setSrc(bannerdata[i].BANNERADDRESS); 
$jsd('/NewBuyApp/src/index.htmlx',590,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); $M.get("banner" + (i + 1)).url = bannerdata[i].LINKURL; 
$jsd('/NewBuyApp/src/index.htmlx',591,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); $M.get("banner" + (i + 1)).advertName = bannerdata[i].ADVERTNAME; 
$jsd('/NewBuyApp/src/index.htmlx',592,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); $M.get("banner" + (i + 1)).memo = bannerdata[i].MEMO; 
} 
} else { 
$jsd('/NewBuyApp/src/index.htmlx',595,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); toast("获取数据失败！"); 
} 
}, function (error) { 
$jsd('/NewBuyApp/src/index.htmlx',598,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); toast("网络菌罢工了！"); 
}); 
$jsd('/NewBuyApp/src/index.htmlx',603,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); var ajax = new $M.Ajax(); 
$jsd('/NewBuyApp/src/index.htmlx',604,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); ajax.addParams([{name:"loginkey", value:newbuy_config.loginkey}, {name:"mobileImei", value:Utils.getImei()}, {name:"mobileType", value:Utils.getOs()}, {name:"mobileToken", value:Utils.getMessageToken()}]); 
$jsd('/NewBuyApp/src/index.htmlx',605,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); ajax.setAction("/mobile/fanAction!getNotLoginData.action"); 
$jsd('/NewBuyApp/src/index.htmlx',606,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); ajax.submit(function (result) { 
$jsd('/NewBuyApp/src/index.htmlx',607,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); result = Utils.stringToJson(result); 
if($jsd('/NewBuyApp/src/index.htmlx',608,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);})||true) if (result.success) { 
$jsd('/NewBuyApp/src/index.htmlx',610,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); var male_json = result.data.star.male; 
$jsd('/NewBuyApp/src/index.htmlx',618,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); setTimeout(function () { 
$jsd('/NewBuyApp/src/index.htmlx',619,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); var star_male_cnt = 10; 
if($jsd('/NewBuyApp/src/index.htmlx',620,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);})||true) if (male_json.length < 10) { 
$jsd('/NewBuyApp/src/index.htmlx',621,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); star_male_cnt = male_json.length; 
} 
$jsd('/NewBuyApp/src/index.htmlx',623,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); for (var i = 0; i < star_male_cnt; i++) { 
$jsd('/NewBuyApp/src/index.htmlx',625,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); $M.get("star_male_" + (i + 1)).userId = male_json[i].userId; 
$jsd('/NewBuyApp/src/index.htmlx',626,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); $M.get("star_male_photo_" + (i + 1)).setSrc(male_json[i].address); 
$jsd('/NewBuyApp/src/index.htmlx',627,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); $M.get("star_male_name_" + (i + 1)).setValue(male_json[i].userNm); 
$jsd('/NewBuyApp/src/index.htmlx',629,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); /* $M.get("fengshenbang_man").add(  
							CreateDiv(i, male_json[i].address, male_json[i].userNm, male_json[i].userId,"male")); */ 
}, 100); 
} else { 
$jsd('/NewBuyApp/src/index.htmlx',636,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); toast("获取数据失败！"); 
} 
}, function (error) { 
$jsd('/NewBuyApp/src/index.htmlx',639,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); toast("网络菌罢工了！"); 
}); 
}); 
$jsd('/NewBuyApp/src/index.htmlx',644,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); log("***********banner自动滚动*************"); 
$jsd('/NewBuyApp/src/index.htmlx',645,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); var param = 0; 
$jsd('/NewBuyApp/src/index.htmlx',646,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); function a() { 
$jsd('/NewBuyApp/src/index.htmlx',647,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); param++; 
$jsd('/NewBuyApp/src/index.htmlx',648,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); setTimeout(a, 5000); 
$jsd('/NewBuyApp/src/index.htmlx',649,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); slide.setSelectedIndex(param); 
if($jsd('/NewBuyApp/src/index.htmlx',650,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);})||true) if (param >= 5) { 
$jsd('/NewBuyApp/src/index.htmlx',652,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); return; 
} 
} 
$jsd('/NewBuyApp/src/index.htmlx',655,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); setTimeout(a, 5000); 
$jsd('/NewBuyApp/src/index.htmlx',657,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); function showAdDetail() { 
$jsd('/NewBuyApp/src/index.htmlx',658,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); log("=============************************"); 
$jsd('/NewBuyApp/src/index.htmlx',659,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); var advertName = this.advertName; 
if($jsd('/NewBuyApp/src/index.htmlx',660,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);})||true) if (advertName.indexOf("neilian_") == 0) { 
$jsd('/NewBuyApp/src/index.htmlx',661,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); var param = Utils.stringToJson(this.memo); 
$jsd('/NewBuyApp/src/index.htmlx',662,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); param.parentpage = "index"; 
$jsd('/NewBuyApp/src/index.htmlx',663,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); $M.page.goTo(this.url, param, true); 
} else { 
if($jsd('/NewBuyApp/src/index.htmlx',666,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);})||true) if (this.url && this.url != "") { 
$jsd('/NewBuyApp/src/index.htmlx',668,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); return; 
} 
} 
} 
$jsd('/NewBuyApp/src/index.htmlx',673,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); function onclickFangrp() { 
$jsd('/NewBuyApp/src/index.htmlx',674,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); var fangrpId = this.fangrpId; 
if($jsd('/NewBuyApp/src/index.htmlx',675,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);})||true) if (fangrpId != "" && fangrpId != undefined) { 
if($jsd('/NewBuyApp/src/index.htmlx',676,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);})||true) if (this.data.joinStatus == "1") { 
$jsd('/NewBuyApp/src/index.htmlx',677,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); $M.page.goTo("/fan_group.html", {fanId:this.data.id}, false, false); 
} else { 
$jsd('/NewBuyApp/src/index.htmlx',679,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); $M.page.goTo("/fan_grp_detail.html", this.data, false, false); 
} 
} 
} 
$jsd('/NewBuyApp/src/index.htmlx',685,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); function onclickUser() { 
$jsd('/NewBuyApp/src/index.htmlx',686,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); var userId = this.userId; 
if($jsd('/NewBuyApp/src/index.htmlx',687,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);})||true) if (userId != "" && userId != undefined) { 
$jsd('/NewBuyApp/src/index.htmlx',688,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); Emp.page.goTo("/fan_club.html", userId, false, false); 
} 
} 
$jsd('/NewBuyApp/src/index.htmlx',693,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); function onclickFantie() { 
$jsd('/NewBuyApp/src/index.htmlx',694,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); var fantieId = this.fantieId; 
if($jsd('/NewBuyApp/src/index.htmlx',695,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);})||true) if (fantieId != "" && fantieId != undefined) { 
if($jsd('/NewBuyApp/src/index.htmlx',696,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);})||true) if (this.topicType == "2" || this.topicType == "3") { 
$jsd('/NewBuyApp/src/index.htmlx',697,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); $M.page.goTo("/fanGroup/fan_video.html", {topicId:fantieId, fanGrpItemType:this.topicType, fanGrpId:"4"}, false, false); 
} else { 
if($jsd('/NewBuyApp/src/index.htmlx',698,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);})||true) if (this.topicType == "4") { 
$jsd('/NewBuyApp/src/index.htmlx',699,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); $M.page.goTo("/fan_ticket_demo.html", {topicId:fantieId, fanGrpItemType:this.topicType}, false, false); 
} else { 
if($jsd('/NewBuyApp/src/index.htmlx',700,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);})||true) if (this.topicType == "5") { 
$jsd('/NewBuyApp/src/index.htmlx',701,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); $M.page.goTo("/fan_huodong_demo.html", {topicId:fantieId, fanGrpItemType:this.topicType}, false, false); 
} else { 
if($jsd('/NewBuyApp/src/index.htmlx',703,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);})||true) if (this.topicType == "6") { 
} else { 
if($jsd('/NewBuyApp/src/index.htmlx',705,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);})||true) if (this.topicType == "1") { 
$jsd('/NewBuyApp/src/index.htmlx',706,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); $M.page.goTo("/fanGroup/fan_book.html", {topicId:fantieId, fanGrpItemType:this.topicType, fanGrpId:"4"}, false, false); 
} else { 
$jsd('/NewBuyApp/src/index.htmlx',708,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); $M.page.goTo("/fanGroup/fan_book.html", {topicId:fantieId, fanGrpItemType:this.topicType, fanGrpId:"4"}, false, false); 
} 
} 
} 
} 
} 
} 
} 
$jsd('/NewBuyApp/src/index.htmlx',714,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); function go_back() { 
$jsd('/NewBuyApp/src/index.htmlx',715,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); $M.page.goBack({animation:"slideright"}); 
} 
$jsd('/NewBuyApp/src/index.htmlx',717,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); function login() { 
$jsd('/NewBuyApp/src/index.htmlx',718,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); $M.page.goBack({animation:"slideright"}); 
} 
$jsd('/NewBuyApp/src/index.htmlx',722,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); function my_info_login() { 
$jsd('/NewBuyApp/src/index.htmlx',723,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); var ajax = new $M.Ajax(); 
$jsd('/NewBuyApp/src/index.htmlx',724,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); ajax.addParams([{name:"loginkey", value:newbuy_config.loginkey}, {name:"mobileImei", value:Utils.getImei()}, {name:"mobileType", value:Utils.getOs()}, {name:"mobileToken", value:Utils.getMessageToken()}]); 
$jsd('/NewBuyApp/src/index.htmlx',730,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); ajax.setAction("/mobile/loginAction!getUserInfoBySession.action"); 
$jsd('/NewBuyApp/src/index.htmlx',731,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); ajax.submit(function (result) { 
$jsd('/NewBuyApp/src/index.htmlx',732,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); result = Utils.stringToJson(result); 
if($jsd('/NewBuyApp/src/index.htmlx',733,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);})||true) if (result.success) { 
if($jsd('/NewBuyApp/src/index.htmlx',734,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);})||true) if (result.data != null && result.data.userid != null && result.data.userid != "") { 
$jsd('/NewBuyApp/src/index.htmlx',735,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); $M.page.goTo("/fan_tie.html"); 
} else { 
$jsd('/NewBuyApp/src/index.htmlx',737,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); $M.page.goTo("/fanReg/login.html"); 
} 
} else { 
$jsd('/NewBuyApp/src/index.htmlx',740,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); toast("获取数据失败！"); 
} 
}, function (error) { 
$jsd('/NewBuyApp/src/index.htmlx',743,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); toast("网络菌罢工了！"); 
}); 
} 
$jsd('/NewBuyApp/src/index.htmlx',748,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); function star_home() { 
$jsd('/NewBuyApp/src/index.htmlx',749,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); $M.page.goTo("/fan_club.html"); 
} 
$jsd('/NewBuyApp/src/index.htmlx',752,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); function fan_tie() { 
$jsd('/NewBuyApp/src/index.htmlx',753,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); $M.page.goTo("/fan_tie.html"); 
} 
$jsd('/NewBuyApp/src/index.htmlx',757,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); function goToTips() { 
$jsd('/NewBuyApp/src/index.htmlx',758,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); var ajax = new $M.Ajax(); 
$jsd('/NewBuyApp/src/index.htmlx',759,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); ajax.addParams([{name:"loginkey", value:newbuy_config.loginkey}, {name:"mobileImei", value:Utils.getImei()}, {name:"mobileType", value:Utils.getOs()}, {name:"mobileToken", value:Utils.getMessageToken()}]); 
$jsd('/NewBuyApp/src/index.htmlx',765,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); ajax.setAction("/mobile/loginAction!getUserInfoBySession.action"); 
$jsd('/NewBuyApp/src/index.htmlx',766,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); ajax.submit(function (result) { 
$jsd('/NewBuyApp/src/index.htmlx',767,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); result = Utils.stringToJson(result); 
if($jsd('/NewBuyApp/src/index.htmlx',768,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);})||true) if (result.success) { 
if($jsd('/NewBuyApp/src/index.htmlx',769,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);})||true) if (result.data != null && result.data.userid != null && result.data.userid != "") { 
$jsd('/NewBuyApp/src/index.htmlx',770,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); $M.page.goTo("/message.html", null, true, false); 
} else { 
$jsd('/NewBuyApp/src/index.htmlx',772,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); $M.page.goTo("/fanReg/login.html"); 
} 
} else { 
$jsd('/NewBuyApp/src/index.htmlx',775,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); toast("获取数据失败！"); 
} 
}, function (error) { 
$jsd('/NewBuyApp/src/index.htmlx',778,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); toast("网络菌罢工了！"); 
}); 
} 
$jsd('/NewBuyApp/src/index.htmlx',782,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); function goToShop() { 
$jsd('/NewBuyApp/src/index.htmlx',783,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); var ajax = new $M.Ajax(); 
$jsd('/NewBuyApp/src/index.htmlx',784,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); ajax.addParams([{name:"loginkey", value:newbuy_config.loginkey}, {name:"mobileImei", value:Utils.getImei()}, {name:"mobileType", value:Utils.getOs()}, {name:"mobileToken", value:Utils.getMessageToken()}]); 
$jsd('/NewBuyApp/src/index.htmlx',790,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); ajax.setAction("/mobile/loginAction!getUserInfoBySession.action"); 
$jsd('/NewBuyApp/src/index.htmlx',791,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); ajax.submit(function (result) { 
$jsd('/NewBuyApp/src/index.htmlx',792,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); result = Utils.stringToJson(result); 
if($jsd('/NewBuyApp/src/index.htmlx',793,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);})||true) if (result.success) { 
if($jsd('/NewBuyApp/src/index.htmlx',794,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);})||true) if (result.data != null && result.data.userid != null && result.data.userid != "") { 
$jsd('/NewBuyApp/src/index.htmlx',795,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); $M.page.goTo("/coupon/coupon_home.html", null, true, false); 
} else { 
$jsd('/NewBuyApp/src/index.htmlx',797,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); $M.page.goTo("/fanReg/login.html"); 
} 
} else { 
$jsd('/NewBuyApp/src/index.htmlx',800,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); toast("获取数据失败！"); 
} 
}, function (error) { 
$jsd('/NewBuyApp/src/index.htmlx',803,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); toast("网络菌罢工了！"); 
}); 
} 
$jsd('/NewBuyApp/src/index.htmlx',808,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); function gotoPageLoggedin() { 
$jsd('/NewBuyApp/src/index.htmlx',809,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); var ajax = new $M.Ajax(); 
$jsd('/NewBuyApp/src/index.htmlx',810,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); ajax.addParams([{name:"loginkey", value:newbuy_config.loginkey}, {name:"mobileImei", value:Utils.getImei()}, {name:"mobileType", value:Utils.getOs()}, {name:"mobileToken", value:Utils.getMessageToken()}]); 
$jsd('/NewBuyApp/src/index.htmlx',816,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); ajax.setAction("/mobile/loginAction!getUserInfoBySession.action"); 
$jsd('/NewBuyApp/src/index.htmlx',817,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); ajax.submit(function (result) { 
$jsd('/NewBuyApp/src/index.htmlx',818,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); result = Utils.stringToJson(result); 
if($jsd('/NewBuyApp/src/index.htmlx',819,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);})||true) if (result.success) { 
if($jsd('/NewBuyApp/src/index.htmlx',820,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);})||true) if (result.data != null && result.data.userid != null && result.data.userid != "") { 
$jsd('/NewBuyApp/src/index.htmlx',821,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); $M.page.goTo("/mainpage_loggedin.html", null, true, false); 
} else { 
$jsd('/NewBuyApp/src/index.htmlx',823,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); $M.page.goTo("/fanReg/login.html"); 
} 
} else { 
$jsd('/NewBuyApp/src/index.htmlx',826,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); toast("获取数据失败！"); 
} 
}, function (error) { 
$jsd('/NewBuyApp/src/index.htmlx',829,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); toast("网络菌罢工了！"); 
}); 
} 
$jsd('/NewBuyApp/src/index.htmlx',833,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); function getTopicTypeImg(type) { 
$jsd('/NewBuyApp/src/index.htmlx',834,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); var result = {}; 
$jsd('/NewBuyApp/src/index.htmlx',835,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); result.img = "/icon_128/iconfont-topic.png"; 
$jsd('/NewBuyApp/src/index.htmlx',836,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); result.color = "#33CC99"; 
if($jsd('/NewBuyApp/src/index.htmlx',837,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);})||true) if (type == "1") { 
$jsd('/NewBuyApp/src/index.htmlx',839,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); result.img = "/icon_128/iconfont-camera.png"; 
$jsd('/NewBuyApp/src/index.htmlx',840,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); result.color = "#000000"; 
} else { 
if($jsd('/NewBuyApp/src/index.htmlx',841,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);})||true) if (type == "2") { 
$jsd('/NewBuyApp/src/index.htmlx',843,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); result.img = "/icon_128/iconfont-video.png"; 
$jsd('/NewBuyApp/src/index.htmlx',844,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); result.color = "#33CCFF"; 
} else { 
if($jsd('/NewBuyApp/src/index.htmlx',845,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);})||true) if (type == "3") { 
$jsd('/NewBuyApp/src/index.htmlx',847,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); result.img = "/icon_128/iconfont-play.png"; 
$jsd('/NewBuyApp/src/index.htmlx',848,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); result.color = "#33CCFF"; 
} else { 
if($jsd('/NewBuyApp/src/index.htmlx',849,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);})||true) if (type == "4") { 
$jsd('/NewBuyApp/src/index.htmlx',851,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); result.img = "/icon_128/iconfont-vote.png"; 
$jsd('/NewBuyApp/src/index.htmlx',852,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); result.color = "#FFCC00"; 
} else { 
if($jsd('/NewBuyApp/src/index.htmlx',853,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);})||true) if (type == "5") { 
$jsd('/NewBuyApp/src/index.htmlx',855,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); result.img = "/icon_128/iconfont-event.png"; 
$jsd('/NewBuyApp/src/index.htmlx',856,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); result.color = "#CC0066"; 
} 
} 
} 
} 
} 
$jsd('/NewBuyApp/src/index.htmlx',858,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); return result; 
} 
 
Emp.page.render();
