var top = this;

var arguments = [];
var window= top;

arguments.callee = {};
var DEBUG_FUNC_INDEX = 1;

var del = ["arguments","top","window","Emp","empBridge","util","DEBUG_FUNC_INDEX","del","BridgeUtil","ResultUtil"];

function jsDebug(){
	
}

jsDebug.debugCommand = null;
jsDebug.currResource = null;
jsDebug.breakpoints = null;
jsDebug.functionStack = [];
jsDebug.currResource = null;
jsDebug.currLine = null;
jsDebug.isExpression = false;

/**
 * 
 */
jsDebug.getErrorStack = function(func) {
	var stack = [];
	while (func) {
		var funcStr = func.toString();
		var funcOffset = funcStr.indexOf(")");
		var funcHead = funcStr.substring(0, funcOffset + 1);
		var args = func.arguments;
		var argArr = [];
		for (var i = 0; i < args.length; i++) {
			argArr.push(args[i]);
		}
		stack.push(funcHead + json2string(argArr, 12));
		func = func.caller;
	}
	return stack.join("\n");
}

/**
 * 
 */
var parseVars = function(line) {
	var varNames = [];
	if (line && line.length > 0) {
		var endOffset = line.indexOf(";");
		if (endOffset > 0) {
			line = line.substring(0, endOffset);
		}
		var lineArr = line.split(",");
		for (var i = 0; i < lineArr.length; i++) {
			var varStr = lineArr[i];
			var varEndOffset = varStr.indexOf("=");
			if (varEndOffset > 0) {
				varNames.push(varStr.substring(0, varEndOffset));
			} else {
				varNames.push(varStr);
			}
		}
	}
	return varNames;
}

/**
 * 
 */
jsDebug.updateStack = function(args, resource, scope, line, evalFunc) {
	if (args && args.callee) {
		var func = args.callee;
		func.__resource = resource;
		func.__line = line;
		func.__evalFunc = evalFunc;
		func.__scope = scope;
		for (var i = jsDebug.functionStack.length - 1; i > -1; i--) {
			if (func == jsDebug.functionStack[i]) {
				jsDebug.functionStack = jsDebug.functionStack.slice(0, i + 1);
				return;
			}
		}
		jsDebug.functionStack.push(func);
	} else {
		jsDebug.functionStack = [];
	}

}

/**
 * 
 */
var getFuncData = function(args, evalFunc) {
	
		var vars = [];
		var func = args.callee;
		if (func) {
			var funcStr = func.toString().replace(/\n/g, "");
			var argStart = funcStr.indexOf("(");
			var argEnd = funcStr.indexOf(")");
			if (argStart > 0 && argEnd > 0) {
				var argStr = funcStr.substring(argStart + 1, argEnd);
				vars = argStr.split(",");
			}
			var nameArr = funcStr.split("var ");
			for (var i = 1; i < nameArr.length; i++) {
				var line = nameArr[i];
				vars = vars.concat(parseVars(line));
			}
		}
		var data = {};
		
		for (var i = 0; i < vars.length; i++) {
			var key = vars[i];
			if (key && key.length > 0) {
				key = key.replace(/\n|\r|\t| /g, "");
				if (/^[A-Za-z0-9_\$]*$/.test(key)) {
					try {
						var result = evalFunc(key);
						if (result == undefined) {
							data[key] = {"value":"undefined","type":"string"};
						} else if (result == null) {
							data[key] = {"value":"null","type":"string"};
						} else {
							data[key] = {"value":evalFunc(key),"type":typeof(evalFunc(key))};
						}
					} catch (e) {

					}
				}
			}
		}
		return data;
}

var getWindowData = function(args,evalFunc){
	var data = {};
	for (var i in top) { 
	    data[i] = {value:top[i],type:typeof(top[i])};
	}
//	return {"x":{"value":top.x,"type":typeof(top.x)}};

	return {"window":{value:top,type:typeof(top)}};
}


/**
 * find if arguments is stepreturn context
 */
jsDebug.isStepReturn = function(args) {
	if (args) {
		var func = args.callee;
		for (var i = jsDebug.functionStack.length - 2; i > -1; i--) {
			if (func == jsDebug.functionStack[i]) {
				return true;
			}
		}
		return false;
	} else {
		return true;
	}
}

/**
 * find if arguments is stepover context
 */
jsDebug.isStepOver = function(args) {
	if (args) {
		var func = args.callee;
		for (var i = jsDebug.functionStack.length - 1; i > -1; i--) {
			if (func == jsDebug.functionStack[i]) {
				return true;
			}
		}
		return false;
	} else {
		return true;
	}
}

/**
 * 
 */
jsDebug.error = function(e, resource, line,callFunc) {
	try {
		var funcStr = callFunc + "";
			if(funcStr.indexOf("function anonymous")>=0){
				funcStr = undefined;
			}
		var postData = {
			"ERROR" : encodeURI(e),
			"COMMAND" : "ERROR",
			"RESOURCE" : resource,
			"LINE" : line,
			"ERRORFUNC":funcStr,
			"ISIE":isIE
		}
		empBridge.debug(obj2string(postData));
	} catch (e) {

	}
}

/**
 * 
 */
jsDebug.stepReturn = function(func) {
	try {
		var data = jsDebug.getFuncData(func.arguments, func.__evalFunc);
		jsDebug.updateStack(func.arguments, func.__resource, func.__scope,
				func.__line, func.__evalFunc);
		if (func.__scope != top) {
			data["this"] = func.__scope;
		}
		var postData = {
			"STACK" : data,
			"COMMAND" : jsDebug.debugCommand,
			"RESOURCE" : func.__resource,
			"LINE" : func.__line
		}
		var res = empBridge.debug(obj2string(postData));
		jsDebug.parseResult(res,func.__evalFunc);
		
	} catch (e) {
	}
}


jsDebug.evalExpression = function(expression, evalFunc) {
	try {
	//	jsDebug.xmlHttp.open("POST", "/jsdebug.debug?" + new Date(), false);
		var postData = {
			"STACK" : {},
			"COMMAND" : "EXPRESSION",
			"EXPRESSION" : expression
		}
		try {
			jsDebug.isExpression = true;
			var ret = evalFunc(expression);
			if(typeof(ret)=="undefined"){
				ret = "undefined";
			}else if(ret==null){
				ret = "null";
			}
			postData["RESULT"] = ret;
		} catch (e) {
			postData["ERROR"] = e;
		}
		jsDebug.isExpression = false;
		var res = empBridge.debug(obj2string(postData));
		jsDebug.parseResult(res,evalFunc);
	} catch (e) {

	}
}

jsDebug.evalValue = function(expression, evalFunc){
	try {
//		jsDebug.xmlHttp.open("POST", "/jsdebug.debug?" + new Date(), false);
		var postData = {
			"STACK" : {},
			"COMMAND" : "VALUE",
			"EXPRESSION" : expression
		}
		try {
			jsDebug.isExpression = true;
			var ret = evalFunc(expression);
			var data = {};
			if(typeof(ret)=="undefined"){
				ret = "undefined";
			}else if(ret==null){
				ret = "null";
			}else{
				for(var prop in ret){
					try{
						if(prop!="postData"&&!contains(del,prop)){
						var value = ret[prop];
						var type = typeof(value);
						if(type=="function"){
							continue;
						}
						var stringValue = "";
						if(value){
							stringValue = value.toString();
						}
						if(value==null){
							stringValue = "null";
							type = "null";
						}else if(value==undefined){
							stringValue = "undefined";
							type = "undefined";
						}
						data[prop] = {"value":stringValue,"type":typeof(value)};
						}
					}catch(e){

					}
				}
			}
			postData["RESULT"] = data;
		} catch (e) {
			postData["ERROR"] = e;
		}
		jsDebug.isExpression = false;
		var submitString = "{}";
		try{
			submitString = json2string(postData);
		}catch(e){

		}
		var res = empBridge.debug(obj2string(postData));
		jsDebug.parseResult(res,evalFunc);
	} catch (e) {
		alert(e);
	}
}

/**
 * 
 */
jsDebug.parseResult = function(result, evalFunc) {
	if (result) {
		if (result.indexOf("{") == 0) {
			try {
				eval("var retObj = " + result);
				if( retObj["COMMAND"]){
					if(retObj["COMMAND"]=="EXPRESSION"){
						jsDebug.evalExpression(retObj["EXPRESSION"], evalFunc);
					}else if(retObj["COMMAND"]=="VALUE"){
						jsDebug.evalValue(retObj["EXPRESSION"], evalFunc);
					}else{
						jsDebug.isExpression = false;
						jsDebug.debugCommand = retObj["COMMAND"];
						if (jsDebug.debugCommand == "BREAKPOINT") {
							jsDebug.breakpoints = retObj["BREAKPOINTS"];
						}
					}
				}
                return retObj;
			} catch (e) {
			}
		} else {
			 alert("Debug error:" + result);
		}
	} else {

	}
}



function json2string(obj, depth) {
	depth = depth || 0;
	if (typeof obj == "function") {
		return "\"function\"";
	}  else if (obj && typeof obj.pop == 'function' && obj instanceof Array) {
		return array2string(obj, depth + 1);
	} else if (typeof obj == "object") {
		return obj2string(obj, depth + 1);
	} else {
		if (typeof obj == "string") {
			return "\"" + obj.replace(/"/gm, "'").replace(/\n|\r/gm, "")
					+ "\"";
		} else if (typeof obj == "number") {
			if (isFinite(obj)) {
				return obj;
			} else {
				return "\"out of number\"";
			}
		} else {
			//return util.jsonToString(obj).replace(/"/gm, "\\\"").replace(/\n|\r/gm, "");
		}
	}
}

function obj2string(obj, depth) {
	depth = depth || 0;
		var arr = [];
		for (var prop in obj) {
			try {
				if (obj.hasOwnProperty(prop) && typeof(obj[prop]) != "function") {
					if (depth < 9) {
						arr.push("\"" + prop + "\":"
								+ json2string(obj[prop], depth + 1));
					} else {
						arr.push("\"" + prop + "\":\"...\"")
					}
				}
			} catch (e) {

			}
		}
		return "{" + arr.join(",") + "}";
}

function complexObj2String(obj){
	var arr = [];
	for (var prop in obj) {
		try {
			if (typeof(obj[prop]) != "function") {
				var value = (obj[prop] + "").replace(/"/gm, "'").replace(/\n|\r/gm, "");
				arr.push("\"" + prop + "\":\""
						+ value + "\"");
			}
		} catch (e) {

		}
	}
	return "{" + arr.join(",") + "}";
}
function array2string(array, depth) {
	depth = depth || 0;
	var arr = [];
	for (var i = 0; i < array.length; i++) {
		arr.push(json2string(array[i], depth + 1));
	}
	return "[" + arr.join(",") + "]";
}

function mergeJsonObject(jsonbject1, jsonbject2)  
{  
    var resultJsonObject={};  
    for(var attr in jsonbject1){  
        resultJsonObject[attr]=jsonbject1[attr];  
    }  
    for(var attr in jsonbject2){  
        resultJsonObject[attr]=jsonbject2[attr];  
    }  

    return resultJsonObject;  
};  

function convertStringToJSON(str){
    var stu = eval('('+str+')');
    return stu;
}

function contains(a,obj){
	var i = a.length;
	while(i--){
		if(a[i]===obj){
			return true;
		}
	}
	return false;
}

jsDebug.getBreakPoint = function(async) {
	var postData = {"COMMAND":"RESUME"}; 
    var res = empBridge.debug(obj2string(postData));
    var retObj = util.stringToJson(res);
    jsDebug.breakpoints = retObj["BREAKPOINTS"];
    return;

	async = async?false:true;
	log(":"+async);
	try{
//	var jsonResume = "{\"COMMAND\":\"RESUME\"}";
		var postData = {"COMMAND":"RESUME"}; 
	if(async){
		var id;
	    log("");
		id = setInterval(jsDebug.getBreakPoint,1000);
	}else{
		log("");
	    var res = empBridge.debug(obj2string(postData));
	    var retObj = util.stringToJson(res);
	    jsDebug.breakpoints = retObj["BREAKPOINTS"];
	}
	} catch(e){
		
	}
}

jsDebug.getBreakPoint();

jsDebug.debug =  function(resource,line,scope,args,evalFunc){
	var isNewStack = false;
	if(args&&args["_funcIndex"]==undefined){
		if(args.callee.caller && args.callee.caller.arguments){
			if(args.callee.caller.arguments["__funcIndex"]==undefined){
				args["__funcIndex"] = DEBUG_FUNC_INDEX++;
				isNewStack = true;
			}else{
				args["__funcIndex"] = args.callee.caller.arguments["__funcIndex"];
			}
		}
	}
	
	if (jsDebug.isExpression) {
		return;
	}
	
	
	try {
		jsDebug.currResource = resource;
		jsDebug.currLine = line;
		if (jsDebug.debugCommand == null) {
			jsDebug.debugCommand = "START";
		}
		if (jsDebug.debugCommand == "TERMINATE") {
			throw "exit";
		}
		if(!jsDebug.breakpoints){
			jsDebug.getBreakPoint(true);
		}
		if (!(jsDebug.breakpoints && jsDebug.breakpoints[resource + line])) {
			if (jsDebug.debugCommand == "STEPRETURN"
					|| jsDebug.debugCommand == "STEPOVER") {
				var parentFunc = jsDebug.functionStack[jsDebug.functionStack.length
						- 2];
				var currFunc = jsDebug.functionStack[jsDebug.functionStack.length
						- 1];
				if(currFunc && (currFunc==args.callee)){
					if(jsDebug.debugCommand == "STEPRETURN"){
						return;
					}
					// do nothing
				}else{
					if (parentFunc && (args.callee.caller == parentFunc)) {
						jsDebug.stepReturn(parentFunc);
						jsDebug.debug(resource, line, scope, args, evalFunc);
						if(jsDebug.debugCommand == "STEPRETURN"){
							return;
						}
					}else{
//						if(args.callee){
//							return;
//						}
					}
				}

			}
			if (jsDebug.debugCommand == "STEPRETURN") {
				if (!jsDebug.isStepReturn(args)) {
					if(args.callee){
						return;
					}
				}
			} else if (jsDebug.debugCommand == "STEPOVER") {
				if (!jsDebug.isStepOver(args)) {
					if(args.callee){
						return;
					}
				}
			} else if (jsDebug.debugCommand == "RESUME") {
				return;
			} else if (jsDebug.debugCommand == "STEPINTO") {

			} else {
				return;
			}
		} else {
			jsDebug.debugCommand = "BREAKPOINT";
		}
		
		var data = getFuncData(args,evalFunc);
		var windowData = getWindowData(args,evalFunc);
		var stack = mergeJsonObject(windowData,data);
		
		jsDebug.updateStack(args, resource, scope, line, evalFunc);
		
		var postData = {
				"STACK" : stack,
				"COMMAND" : jsDebug.debugCommand,
				"RESOURCE" : resource,
				"LINE" : line,
				"NEWSTACK":true
		};
		var postDataStr = json2string(postData,0);
		
	    var res = empBridge.debug(postDataStr);
		
		jsDebug.parseResult(res, evalFunc);
		
	} catch (e) {

	}

};

var $jsd = jsDebug.debug;
Emp.page.setId('_body_29776323');
var _div_12134706 = new Emp.Panel({"id":"_div_12134706","height":"100%","hAlign":"center","layout":"VBox","width":"100%"});
var _div_4179796 = new Emp.Panel({"id":"_div_4179796","height":"1","backgroundColor":"#e6e4e4","borderWidth":"0","width":"100%"});
_div_12134706.add(_div_4179796);
var _div_20416258 = new Emp.Panel({"id":"_div_20416258","height":"49","backgroundColor":"#f7f7f6","vAlign":"middle","width":"360","top":"0"});
var _div_11608231 = new Emp.Panel({"id":"_div_11608231","height":"49","vAlign":"middle","layout":"VBox","hAlign":"center","width":"72"});
var _img_14070859 = new Emp.Image({"id":"_img_14070859","height":"25","width":"37","src":"/icon_128/iconfont-fantown-menu-1.png"});
_div_11608231.add(_img_14070859);
var _input_16477370 = new Emp.Label({"id":"_input_16477370","height":"13","color":"#6b6b6b","vAlign":"middle","hAlign":"center","width":"25","value":"饭团","fontSize":"10"});
_div_11608231.add(_input_16477370);
_div_20416258.add(_div_11608231);
var _div_4227352 = new Emp.Panel({"id":"_div_4227352","height":"49","vAlign":"middle","layout":"VBox","hAlign":"center","width":"72"});
var _img_14386208 = new Emp.Image({"id":"_img_14386208","height":"25","width":"25","src":"/icon_128/iconfont-notice-1.png"});
_div_4227352.add(_img_14386208);
var _input_5736234 = new Emp.Label({"id":"_input_5736234","height":"13","color":"#6b6b6b","vAlign":"middle","hAlign":"center","width":"25","value":"消息","fontSize":"10"});
_div_4227352.add(_input_5736234);
_div_20416258.add(_div_4227352);
var _div_28769332 = new Emp.Panel({"id":"_div_28769332","height":"49","vAlign":"middle","layout":"VBox","hAlign":"center","width":"72"});
var _img_29872151 = new Emp.Image({"id":"_img_29872151","height":"27","width":"35","src":"/icon_128/iconfont-search.png"});
_div_28769332.add(_img_29872151);
var _input_19831032 = new Emp.Label({"id":"_input_19831032","height":"13","color":"#ffcc00","vAlign":"middle","hAlign":"center","width":"25","value":"发现","fontSize":"10"});
_div_28769332.add(_input_19831032);
_div_20416258.add(_div_28769332);
var _div_24309545 = new Emp.Panel({"id":"_div_24309545","height":"49","vAlign":"middle","marginLeft":"2","layout":"VBox","hAlign":"center","width":"72"});
var _img_18623676 = new Emp.Image({"id":"_img_18623676","height":"25","width":"25","src":"/icon_128/iconfont-shop-1.png"});
_div_24309545.add(_img_18623676);
var _input_17882511 = new Emp.Label({"id":"_input_17882511","height":"13","color":"#6b6b6b","vAlign":"middle","hAlign":"center","width":"25","value":"集市","fontSize":"10"});
_div_24309545.add(_input_17882511);
_div_20416258.add(_div_24309545);
var _div_24977044 = new Emp.Panel({"id":"_div_24977044","height":"49","vAlign":"middle","layout":"VBox","hAlign":"center","width":"72"});
var _img_4333369 = new Emp.Image({"id":"_img_4333369","height":"25","width":"25","src":"/icon_128/iconfont-lianxiren-1.png"});
_div_24977044.add(_img_4333369);
var _input_17831658 = new Emp.Label({"id":"_input_17831658","height":"13","color":"#6b6b6b","vAlign":"middle","hAlign":"center","width":"25","value":"我","fontSize":"10"});
_div_24977044.add(_input_17831658);
_div_20416258.add(_div_24977044);
_div_12134706.add(_div_20416258);
var _div_10126031 = new Emp.Panel({"id":"_div_10126031","height":"1","backgroundColor":"#CCCCCC","borderWidth":"0","width":"100%"});
_div_12134706.add(_div_10126031);
var _div_13241560 = new Emp.Panel({"id":"_div_13241560","height":"10","backgroundColor":"#f0f0f0","layout":"VBox","width":"100%"});
_div_12134706.add(_div_13241560);
var _div_17547400 = new Emp.Panel({"id":"_div_17547400","height":"100%","backgroundColor":"#f0f0f0","width":"100%","paddingBottom":"10"});
var _div_9249614 = new Emp.Panel({"id":"_div_9249614","borderColor":"#f2f2f2","height":"60","backgroundColor":"#ffffff","vAlign":"middle","marginLeft":"10","borderWidth":"1px","hAlign":"center","layout":"VBox","marginRight":"10","width":"100%","cornerRadius":"10"});
var _input_22651211 = new Emp.Label({"id":"_input_22651211","color":"#cccccc","value":"+","fontSize":"40"});
_div_9249614.add(_input_22651211);
_div_17547400.add(_div_9249614);
_div_12134706.add(_div_17547400);
Emp.page.add(_div_12134706);
var _div_22098195 = new Emp.Panel({"id":"_div_22098195","height":"1","backgroundColor":"#e6e4e4","borderWidth":"0","width":"100%"});
Emp.page.add(_div_22098195);
var _div_26912733 = new Emp.Panel({"id":"_div_26912733","height":"49","backgroundColor":"#f7f7f6","vAlign":"middle","width":"360","top":"0"});
var _div_15849247 = new Emp.Panel({"id":"_div_15849247","height":"49","vAlign":"middle","layout":"VBox","hAlign":"center","width":"72"});
_div_15849247.addEvent('onClick',gotoPageLoggedin);
var _img_15365245 = new Emp.Image({"id":"_img_15365245","height":"25","width":"37","src":"/icon_128/iconfont-fantown-menu-1.png"});
_div_15849247.add(_img_15365245);
var _input_26231061 = new Emp.Label({"id":"_input_26231061","height":"13","color":"#6b6b6b","vAlign":"middle","hAlign":"center","width":"25","value":"饭团","fontSize":"10"});
_div_15849247.add(_input_26231061);
_div_26912733.add(_div_15849247);
var _div_19222078 = new Emp.Panel({"id":"_div_19222078","height":"49","vAlign":"middle","layout":"VBox","hAlign":"center","width":"72"});
_div_19222078.addEvent('onClick',goToTips);
var _img_9406879 = new Emp.Image({"id":"_img_9406879","height":"25","width":"25","src":"/icon_128/iconfont-notice-1.png"});
_div_19222078.add(_img_9406879);
var _input_11087848 = new Emp.Label({"id":"_input_11087848","height":"13","color":"#6b6b6b","vAlign":"middle","hAlign":"center","width":"25","value":"消息","fontSize":"10"});
_div_19222078.add(_input_11087848);
_div_26912733.add(_div_19222078);
var _div_22811338 = new Emp.Panel({"id":"_div_22811338","height":"49","vAlign":"middle","layout":"VBox","hAlign":"center","width":"72"});
var _img_24205242 = new Emp.Image({"id":"_img_24205242","height":"27","width":"35","src":"/icon_128/iconfont-search.png"});
_div_22811338.add(_img_24205242);
var _input_31574127 = new Emp.Label({"id":"_input_31574127","height":"13","color":"#ffcc00","vAlign":"middle","hAlign":"center","width":"25","value":"发现","fontSize":"10"});
_div_22811338.add(_input_31574127);
_div_26912733.add(_div_22811338);
var _div_21695792 = new Emp.Panel({"id":"_div_21695792","height":"49","vAlign":"middle","marginLeft":"2","layout":"VBox","hAlign":"center","width":"72"});
_div_21695792.addEvent('onClick',goToShop);
var _img_32468840 = new Emp.Image({"id":"_img_32468840","height":"25","width":"25","src":"/icon_128/iconfont-shop-1.png"});
_div_21695792.add(_img_32468840);
var _input_31719350 = new Emp.Label({"id":"_input_31719350","height":"13","color":"#6b6b6b","vAlign":"middle","hAlign":"center","width":"25","value":"集市","fontSize":"10"});
_div_21695792.add(_input_31719350);
_div_26912733.add(_div_21695792);
var _div_26718992 = new Emp.Panel({"id":"_div_26718992","height":"49","vAlign":"middle","layout":"VBox","hAlign":"center","width":"72"});
_div_26718992.addEvent('onClick',my_info_login);
var _img_9077203 = new Emp.Image({"id":"_img_9077203","height":"25","width":"25","src":"/icon_128/iconfont-lianxiren-1.png"});
_div_26718992.add(_img_9077203);
var _input_21092141 = new Emp.Label({"id":"_input_21092141","height":"13","color":"#6b6b6b","vAlign":"middle","hAlign":"center","width":"25","value":"我","fontSize":"10"});
_div_26718992.add(_input_21092141);
_div_26912733.add(_div_26718992);
Emp.page.add(_div_26912733);
var show = new Emp.Panel({"id":"show","position":"relative","height":"100%","hAlign":"right","width":"100%","left":"0","top":"0"});
Emp.page.add(show);
var show = new Emp.Panel({"id":"show","position":"relative","height":"100%","hAlign":"center","width":"100%","left":"0","top":"0"});
var showimg = new Emp.Image({"id":"showimg","height":"617","width":"360","src":"/yindao/yindao-01.png"});
showimg.addEvent('onClick',next1);
show.add(showimg);
Emp.page.add(show);




$jsd('/NewBuyApp/src/newuserguide.htmlx',86,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);});function next1() { 
$jsd('/NewBuyApp/src/newuserguide.htmlx',87,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); show.removeAll(); 
$jsd('/NewBuyApp/src/newuserguide.htmlx',88,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); var img = new $M.Image({src:"/yindao/yindao-02.png", width:"360", height:"617"}); 
$jsd('/NewBuyApp/src/newuserguide.htmlx',89,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); img.addEvent("onClick", next2); 
$jsd('/NewBuyApp/src/newuserguide.htmlx',90,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); show.add(img); 
} 
$jsd('/NewBuyApp/src/newuserguide.htmlx',94,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); function next2() { 
$jsd('/NewBuyApp/src/newuserguide.htmlx',95,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); show.removeAll(); 
$jsd('/NewBuyApp/src/newuserguide.htmlx',96,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); var img = new $M.Image({src:"/yindao/yindao-03.png", width:"360", height:"617"}); 
$jsd('/NewBuyApp/src/newuserguide.htmlx',97,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); img.addEvent("onClick", next3); 
$jsd('/NewBuyApp/src/newuserguide.htmlx',98,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); show.add(img); 
} 
$jsd('/NewBuyApp/src/newuserguide.htmlx',102,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); function next3() { 
$jsd('/NewBuyApp/src/newuserguide.htmlx',103,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); $M.page.goTo("/index.html", null, true); 
} 
$jsd('/NewBuyApp/src/newuserguide.htmlx',114,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); /* //引导完成，关闭引导  
function  next4(){  
	dialog.close();  
	$M.page.goTo("/index.html", {}, true);  
} */ 
Emp.page.render();
