var top = this;

var arguments = [];
var window= top;

arguments.callee = {};
var DEBUG_FUNC_INDEX = 1;

var del = ["arguments","top","window","Emp","empBridge","util","DEBUG_FUNC_INDEX","del","BridgeUtil","ResultUtil"];

function jsDebug(){
	
}

jsDebug.debugCommand = null;
jsDebug.currResource = null;
jsDebug.breakpoints = null;
jsDebug.functionStack = [];
jsDebug.currResource = null;
jsDebug.currLine = null;
jsDebug.isExpression = false;

/**
 * 
 */
jsDebug.getErrorStack = function(func) {
	var stack = [];
	while (func) {
		var funcStr = func.toString();
		var funcOffset = funcStr.indexOf(")");
		var funcHead = funcStr.substring(0, funcOffset + 1);
		var args = func.arguments;
		var argArr = [];
		for (var i = 0; i < args.length; i++) {
			argArr.push(args[i]);
		}
		stack.push(funcHead + json2string(argArr, 12));
		func = func.caller;
	}
	return stack.join("\n");
}

/**
 * 
 */
var parseVars = function(line) {
	var varNames = [];
	if (line && line.length > 0) {
		var endOffset = line.indexOf(";");
		if (endOffset > 0) {
			line = line.substring(0, endOffset);
		}
		var lineArr = line.split(",");
		for (var i = 0; i < lineArr.length; i++) {
			var varStr = lineArr[i];
			var varEndOffset = varStr.indexOf("=");
			if (varEndOffset > 0) {
				varNames.push(varStr.substring(0, varEndOffset));
			} else {
				varNames.push(varStr);
			}
		}
	}
	return varNames;
}

/**
 * 
 */
jsDebug.updateStack = function(args, resource, scope, line, evalFunc) {
	if (args && args.callee) {
		var func = args.callee;
		func.__resource = resource;
		func.__line = line;
		func.__evalFunc = evalFunc;
		func.__scope = scope;
		for (var i = jsDebug.functionStack.length - 1; i > -1; i--) {
			if (func == jsDebug.functionStack[i]) {
				jsDebug.functionStack = jsDebug.functionStack.slice(0, i + 1);
				return;
			}
		}
		jsDebug.functionStack.push(func);
	} else {
		jsDebug.functionStack = [];
	}

}

/**
 * 
 */
var getFuncData = function(args, evalFunc) {
	
		var vars = [];
		var func = args.callee;
		if (func) {
			var funcStr = func.toString().replace(/\n/g, "");
			var argStart = funcStr.indexOf("(");
			var argEnd = funcStr.indexOf(")");
			if (argStart > 0 && argEnd > 0) {
				var argStr = funcStr.substring(argStart + 1, argEnd);
				vars = argStr.split(",");
			}
			var nameArr = funcStr.split("var ");
			for (var i = 1; i < nameArr.length; i++) {
				var line = nameArr[i];
				vars = vars.concat(parseVars(line));
			}
		}
		var data = {};
		
		for (var i = 0; i < vars.length; i++) {
			var key = vars[i];
			if (key && key.length > 0) {
				key = key.replace(/\n|\r|\t| /g, "");
				if (/^[A-Za-z0-9_\$]*$/.test(key)) {
					try {
						var result = evalFunc(key);
						if (result == undefined) {
							data[key] = {"value":"undefined","type":"string"};
						} else if (result == null) {
							data[key] = {"value":"null","type":"string"};
						} else {
							data[key] = {"value":evalFunc(key),"type":typeof(evalFunc(key))};
						}
					} catch (e) {

					}
				}
			}
		}
		return data;
}

var getWindowData = function(args,evalFunc){
	var data = {};
	for (var i in top) { 
	    data[i] = {value:top[i],type:typeof(top[i])};
	}
//	return {"x":{"value":top.x,"type":typeof(top.x)}};

	return {"window":{value:top,type:typeof(top)}};
}


/**
 * find if arguments is stepreturn context
 */
jsDebug.isStepReturn = function(args) {
	if (args) {
		var func = args.callee;
		for (var i = jsDebug.functionStack.length - 2; i > -1; i--) {
			if (func == jsDebug.functionStack[i]) {
				return true;
			}
		}
		return false;
	} else {
		return true;
	}
}

/**
 * find if arguments is stepover context
 */
jsDebug.isStepOver = function(args) {
	if (args) {
		var func = args.callee;
		for (var i = jsDebug.functionStack.length - 1; i > -1; i--) {
			if (func == jsDebug.functionStack[i]) {
				return true;
			}
		}
		return false;
	} else {
		return true;
	}
}

/**
 * 
 */
jsDebug.error = function(e, resource, line,callFunc) {
	try {
		var funcStr = callFunc + "";
			if(funcStr.indexOf("function anonymous")>=0){
				funcStr = undefined;
			}
		var postData = {
			"ERROR" : encodeURI(e),
			"COMMAND" : "ERROR",
			"RESOURCE" : resource,
			"LINE" : line,
			"ERRORFUNC":funcStr,
			"ISIE":isIE
		}
		empBridge.debug(obj2string(postData));
	} catch (e) {

	}
}

/**
 * 
 */
jsDebug.stepReturn = function(func) {
	try {
		var data = jsDebug.getFuncData(func.arguments, func.__evalFunc);
		jsDebug.updateStack(func.arguments, func.__resource, func.__scope,
				func.__line, func.__evalFunc);
		if (func.__scope != top) {
			data["this"] = func.__scope;
		}
		var postData = {
			"STACK" : data,
			"COMMAND" : jsDebug.debugCommand,
			"RESOURCE" : func.__resource,
			"LINE" : func.__line
		}
		var res = empBridge.debug(obj2string(postData));
		jsDebug.parseResult(res,func.__evalFunc);
		
	} catch (e) {
	}
}


jsDebug.evalExpression = function(expression, evalFunc) {
	try {
	//	jsDebug.xmlHttp.open("POST", "/jsdebug.debug?" + new Date(), false);
		var postData = {
			"STACK" : {},
			"COMMAND" : "EXPRESSION",
			"EXPRESSION" : expression
		}
		try {
			jsDebug.isExpression = true;
			var ret = evalFunc(expression);
			if(typeof(ret)=="undefined"){
				ret = "undefined";
			}else if(ret==null){
				ret = "null";
			}
			postData["RESULT"] = ret;
		} catch (e) {
			postData["ERROR"] = e;
		}
		jsDebug.isExpression = false;
		var res = empBridge.debug(obj2string(postData));
		jsDebug.parseResult(res,evalFunc);
	} catch (e) {

	}
}

jsDebug.evalValue = function(expression, evalFunc){
	try {
//		jsDebug.xmlHttp.open("POST", "/jsdebug.debug?" + new Date(), false);
		var postData = {
			"STACK" : {},
			"COMMAND" : "VALUE",
			"EXPRESSION" : expression
		}
		try {
			jsDebug.isExpression = true;
			var ret = evalFunc(expression);
			var data = {};
			if(typeof(ret)=="undefined"){
				ret = "undefined";
			}else if(ret==null){
				ret = "null";
			}else{
				for(var prop in ret){
					try{
						if(prop!="postData"&&!contains(del,prop)){
						var value = ret[prop];
						var type = typeof(value);
						if(type=="function"){
							continue;
						}
						var stringValue = "";
						if(value){
							stringValue = value.toString();
						}
						if(value==null){
							stringValue = "null";
							type = "null";
						}else if(value==undefined){
							stringValue = "undefined";
							type = "undefined";
						}
						data[prop] = {"value":stringValue,"type":typeof(value)};
						}
					}catch(e){

					}
				}
			}
			postData["RESULT"] = data;
		} catch (e) {
			postData["ERROR"] = e;
		}
		jsDebug.isExpression = false;
		var submitString = "{}";
		try{
			submitString = json2string(postData);
		}catch(e){

		}
		var res = empBridge.debug(obj2string(postData));
		jsDebug.parseResult(res,evalFunc);
	} catch (e) {
		alert(e);
	}
}

/**
 * 
 */
jsDebug.parseResult = function(result, evalFunc) {
	if (result) {
		if (result.indexOf("{") == 0) {
			try {
				eval("var retObj = " + result);
				if( retObj["COMMAND"]){
					if(retObj["COMMAND"]=="EXPRESSION"){
						jsDebug.evalExpression(retObj["EXPRESSION"], evalFunc);
					}else if(retObj["COMMAND"]=="VALUE"){
						jsDebug.evalValue(retObj["EXPRESSION"], evalFunc);
					}else{
						jsDebug.isExpression = false;
						jsDebug.debugCommand = retObj["COMMAND"];
						if (jsDebug.debugCommand == "BREAKPOINT") {
							jsDebug.breakpoints = retObj["BREAKPOINTS"];
						}
					}
				}
                return retObj;
			} catch (e) {
			}
		} else {
			 alert("Debug error:" + result);
		}
	} else {

	}
}



function json2string(obj, depth) {
	depth = depth || 0;
	if (typeof obj == "function") {
		return "\"function\"";
	}  else if (obj && typeof obj.pop == 'function' && obj instanceof Array) {
		return array2string(obj, depth + 1);
	} else if (typeof obj == "object") {
		return obj2string(obj, depth + 1);
	} else {
		if (typeof obj == "string") {
			return "\"" + obj.replace(/"/gm, "'").replace(/\n|\r/gm, "")
					+ "\"";
		} else if (typeof obj == "number") {
			if (isFinite(obj)) {
				return obj;
			} else {
				return "\"out of number\"";
			}
		} else {
			//return util.jsonToString(obj).replace(/"/gm, "\\\"").replace(/\n|\r/gm, "");
		}
	}
}

function obj2string(obj, depth) {
	depth = depth || 0;
		var arr = [];
		for (var prop in obj) {
			try {
				if (obj.hasOwnProperty(prop) && typeof(obj[prop]) != "function") {
					if (depth < 9) {
						arr.push("\"" + prop + "\":"
								+ json2string(obj[prop], depth + 1));
					} else {
						arr.push("\"" + prop + "\":\"...\"")
					}
				}
			} catch (e) {

			}
		}
		return "{" + arr.join(",") + "}";
}

function complexObj2String(obj){
	var arr = [];
	for (var prop in obj) {
		try {
			if (typeof(obj[prop]) != "function") {
				var value = (obj[prop] + "").replace(/"/gm, "'").replace(/\n|\r/gm, "");
				arr.push("\"" + prop + "\":\""
						+ value + "\"");
			}
		} catch (e) {

		}
	}
	return "{" + arr.join(",") + "}";
}
function array2string(array, depth) {
	depth = depth || 0;
	var arr = [];
	for (var i = 0; i < array.length; i++) {
		arr.push(json2string(array[i], depth + 1));
	}
	return "[" + arr.join(",") + "]";
}

function mergeJsonObject(jsonbject1, jsonbject2)  
{  
    var resultJsonObject={};  
    for(var attr in jsonbject1){  
        resultJsonObject[attr]=jsonbject1[attr];  
    }  
    for(var attr in jsonbject2){  
        resultJsonObject[attr]=jsonbject2[attr];  
    }  

    return resultJsonObject;  
};  

function convertStringToJSON(str){
    var stu = eval('('+str+')');
    return stu;
}

function contains(a,obj){
	var i = a.length;
	while(i--){
		if(a[i]===obj){
			return true;
		}
	}
	return false;
}

jsDebug.getBreakPoint = function(async) {
	var postData = {"COMMAND":"RESUME"}; 
    var res = empBridge.debug(obj2string(postData));
    var retObj = util.stringToJson(res);
    jsDebug.breakpoints = retObj["BREAKPOINTS"];
    return;

	async = async?false:true;
	log(":"+async);
	try{
//	var jsonResume = "{\"COMMAND\":\"RESUME\"}";
		var postData = {"COMMAND":"RESUME"}; 
	if(async){
		var id;
	    log("");
		id = setInterval(jsDebug.getBreakPoint,1000);
	}else{
		log("");
	    var res = empBridge.debug(obj2string(postData));
	    var retObj = util.stringToJson(res);
	    jsDebug.breakpoints = retObj["BREAKPOINTS"];
	}
	} catch(e){
		
	}
}

jsDebug.getBreakPoint();

jsDebug.debug =  function(resource,line,scope,args,evalFunc){
	var isNewStack = false;
	if(args&&args["_funcIndex"]==undefined){
		if(args.callee.caller && args.callee.caller.arguments){
			if(args.callee.caller.arguments["__funcIndex"]==undefined){
				args["__funcIndex"] = DEBUG_FUNC_INDEX++;
				isNewStack = true;
			}else{
				args["__funcIndex"] = args.callee.caller.arguments["__funcIndex"];
			}
		}
	}
	
	if (jsDebug.isExpression) {
		return;
	}
	
	
	try {
		jsDebug.currResource = resource;
		jsDebug.currLine = line;
		if (jsDebug.debugCommand == null) {
			jsDebug.debugCommand = "START";
		}
		if (jsDebug.debugCommand == "TERMINATE") {
			throw "exit";
		}
		if(!jsDebug.breakpoints){
			jsDebug.getBreakPoint(true);
		}
		if (!(jsDebug.breakpoints && jsDebug.breakpoints[resource + line])) {
			if (jsDebug.debugCommand == "STEPRETURN"
					|| jsDebug.debugCommand == "STEPOVER") {
				var parentFunc = jsDebug.functionStack[jsDebug.functionStack.length
						- 2];
				var currFunc = jsDebug.functionStack[jsDebug.functionStack.length
						- 1];
				if(currFunc && (currFunc==args.callee)){
					if(jsDebug.debugCommand == "STEPRETURN"){
						return;
					}
					// do nothing
				}else{
					if (parentFunc && (args.callee.caller == parentFunc)) {
						jsDebug.stepReturn(parentFunc);
						jsDebug.debug(resource, line, scope, args, evalFunc);
						if(jsDebug.debugCommand == "STEPRETURN"){
							return;
						}
					}else{
//						if(args.callee){
//							return;
//						}
					}
				}

			}
			if (jsDebug.debugCommand == "STEPRETURN") {
				if (!jsDebug.isStepReturn(args)) {
					if(args.callee){
						return;
					}
				}
			} else if (jsDebug.debugCommand == "STEPOVER") {
				if (!jsDebug.isStepOver(args)) {
					if(args.callee){
						return;
					}
				}
			} else if (jsDebug.debugCommand == "RESUME") {
				return;
			} else if (jsDebug.debugCommand == "STEPINTO") {

			} else {
				return;
			}
		} else {
			jsDebug.debugCommand = "BREAKPOINT";
		}
		
		var data = getFuncData(args,evalFunc);
		var windowData = getWindowData(args,evalFunc);
		var stack = mergeJsonObject(windowData,data);
		
		jsDebug.updateStack(args, resource, scope, line, evalFunc);
		
		var postData = {
				"STACK" : stack,
				"COMMAND" : jsDebug.debugCommand,
				"RESOURCE" : resource,
				"LINE" : line,
				"NEWSTACK":true
		};
		var postDataStr = json2string(postData,0);
		
	    var res = empBridge.debug(postDataStr);
		
		jsDebug.parseResult(res, evalFunc);
		
	} catch (e) {

	}

};

var $jsd = jsDebug.debug;
Emp.page.setId('_body_13642894');
$M.includeFile("/commons/listview_common.html");

var _div_18690435 = new Emp.Panel({"id":"_div_18690435","height":"44","vAlign":"middle","width":"100%"});
var _div_27115581 = new Emp.Panel({"id":"_div_27115581","height":"44","vAlign":"middle","width":"100%"});
_div_27115581.addEvent('onClick',goBack);
var _img_28844318 = new Emp.Image({"id":"_img_28844318","height":"30","width":"30","src":"/icon_128/iconfont-back.png"});
_div_27115581.add(_img_28844318);
var _div_5965375 = new Emp.Panel({"id":"_div_5965375","height":"100%","vAlign":"middle","hAlign":"left","width":"200"});
var fan_name_title = new Emp.Label({"id":"fan_name_title","color":"#999999","value":"牛掰推荐商品","fontSize":"16"});
_div_5965375.add(fan_name_title);
_div_27115581.add(_div_5965375);
var _div_2158627 = new Emp.Panel({"id":"_div_2158627","height":"100%","vAlign":"middle","hAlign":"right","width":"100%","paddingRight":"10"});
_div_27115581.add(_div_2158627);
_div_18690435.add(_div_27115581);
Emp.page.add(_div_18690435);
var _div_7703013 = new Emp.Panel({"id":"_div_7703013","height":"1","backgroundColor":"#CCCCCC","borderWidth":"0","width":"100%"});
Emp.page.add(_div_7703013);
var _div_6354185 = new Emp.Panel({"id":"_div_6354185","height":"100%","layout":"VBox","width":"100%"});
var _template_24585508 = new Emp.Panel({"id":"_template_24585508"});
_template_24585508.__isTemplate=true;
var template1 = new Emp.Panel({"id":"template1","height":"125","backgroundColor":"#f0f0f0","vAlign":"middle","tag":"click","layout":"VBox","width":"100%"});
var _div_28218423 = new Emp.Panel({"id":"_div_28218423","height":"8","backgroundColor":"#f0f0f0","width":"100%"});
template1.add(_div_28218423);
var _div_8706561 = new Emp.Panel({"id":"_div_8706561","height":"120","borderColor":"#ffffff","backgroundColor":"#ffffff","vAlign":"middle","borderWidth":"1px","hAlign":"center","layout":"VBox","width":"100%","cornerRadius":"3","paddingRight":"5"});
var _div_20156412 = new Emp.Panel({"id":"_div_20156412","height":"120","vAlign":"middle","layout":"HBox","width":"100%"});
var _div_3276421 = new Emp.Panel({"id":"_div_3276421","height":"100","marginLeft":"10","vAlign":"middle","hAlign":"center","width":"100"});
var _img_28846068 = new Emp.Image({"id":"_img_28846068","height":"100","tag":"imgUrl","width":"100","src":""});
_div_3276421.add(_img_28846068);
_div_20156412.add(_div_3276421);
var _div_21435242 = new Emp.Panel({"id":"_div_21435242","height":"100","marginLeft":"10","vAlign":"middle","layout":"VBox","width":"100%"});
var _input_30576950 = new Emp.Label({"id":"_input_30576950","height":"20","color":"#333333","tag":"couponsName","width":"220","value":"","fontSize":"13","singleLine":"true"});
_div_21435242.add(_input_30576950);
var _div_20674910 = new Emp.Panel({"id":"_div_20674910","height":"60","width":"100%"});
var _input_2023115 = new Emp.Label({"id":"_input_2023115","height":"58","color":"#8f8e8e","tag":"demo","width":"220","value":"","fontSize":"12","singleLine":"false"});
_div_20674910.add(_input_2023115);
_div_21435242.add(_div_20674910);
var _div_11860507 = new Emp.Panel({"id":"_div_11860507","height":"20","width":"100%"});
var _input_22311497 = new Emp.Label({"id":"_input_22311497","tag":"couponsId","value":"","display":"false"});
_div_11860507.add(_input_22311497);
var _input_18554491 = new Emp.Label({"id":"_input_18554491","height":"20","color":"#CCCCCC","value":"￥","fontSize":"12"});
_div_11860507.add(_input_18554491);
var _input_24008512 = new Emp.Label({"id":"_input_24008512","height":"20","color":"#CCCCCC","tag":"points","value":"","fontSize":"12"});
_div_11860507.add(_input_24008512);
_div_21435242.add(_div_11860507);
_div_20156412.add(_div_21435242);
_div_8706561.add(_div_20156412);
template1.add(_div_8706561);
_template_24585508.add(template1);
var _div_31137441 = new Emp.Panel({"id":"_div_31137441","height":"100%","backgroundColor":"#f0f0f0","width":"100%"});
var listview = new Emp.ListView({"id":"listview","height":"100%","width":"100%"});


_div_31137441.add(listview);
_div_6354185.add(_div_31137441);
Emp.page.add(_div_6354185);
var dialog = new Emp.CustomDialog({"id":"dialog"});

var _div_25370749 = new Emp.Panel({"id":"_div_25370749","borderColor":"#f2f2f2","height":"150","backgroundColor":"#fafafa","vAlign":"middle","borderWidth":"1px","layout":"VBox","width":"280","cornerRadius":"5"});
var _div_4696811 = new Emp.Panel({"id":"_div_4696811","height":"70","vAlign":"middle","marginTop":"5","hAlign":"center","width":"100%","layout":"VBox"});
var _input_19282914 = new Emp.Label({"id":"_input_19282914","marginBottom":"10","value":"去【牛掰网】兜兜~"});
_div_4696811.add(_input_19282914);
var couponurl = new Emp.Text({"id":"couponurl","value":"","display":"false"});
_div_4696811.add(couponurl);
_div_25370749.add(_div_4696811);
var _div_27591834 = new Emp.Panel({"id":"_div_27591834","vAlign":"middle","hAlign":"center","width":"100%"});
var _div_13708215 = new Emp.Panel({"id":"_div_13708215","borderColor":"#f2f2f2","height":"50","backgroundColor":"#f2f2f2","vAlign":"middle","borderWidth":"1px","hAlign":"center","width":"120","cornerRadius":"10"});
_div_13708215.addEvent('onClick',close);
var _input_24799577 = new Emp.Label({"id":"_input_24799577","value":"返回"});
_div_13708215.add(_input_24799577);
_div_27591834.add(_div_13708215);
var _div_26891748 = new Emp.Panel({"id":"_div_26891748","width":"10"});
_div_27591834.add(_div_26891748);
var _div_24979469 = new Emp.Panel({"id":"_div_24979469","borderColor":"#f2f2f2","height":"50","backgroundColor":"#f2f2f2","vAlign":"middle","borderWidth":"1px","hAlign":"center","width":"120","cornerRadius":"10"});
_div_24979469.addEvent('onClick',useNow);
var _input_6324261 = new Emp.Label({"id":"_input_6324261","value":"确定"});
_div_24979469.add(_input_6324261);
_div_27591834.add(_div_24979469);
_div_25370749.add(_div_27591834);
dialog.setView(_div_25370749);







$jsd('/NewBuyApp/src/coupon/newbuy.htmlx',84,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);});var page = 1; 
$jsd('/NewBuyApp/src/coupon/newbuy.htmlx',85,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); function close() { 
$jsd('/NewBuyApp/src/coupon/newbuy.htmlx',86,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); dialog.close(); 
} 
$jsd('/NewBuyApp/src/coupon/newbuy.htmlx',89,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); function useNow() { 
$jsd('/NewBuyApp/src/coupon/newbuy.htmlx',90,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); Utils.browser(couponurl.getValue()); 
$jsd('/NewBuyApp/src/coupon/newbuy.htmlx',91,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); dialog.close(); 
} 
$jsd('/NewBuyApp/src/coupon/newbuy.htmlx',93,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); listview.setOnclickTags(["click"]); 
$jsd('/NewBuyApp/src/coupon/newbuy.htmlx',94,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); listview.addEvent("onItemClick", function (row, tag, data) { 
if($jsd('/NewBuyApp/src/coupon/newbuy.htmlx',95,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);})||true) if (tag == "click") { 
$jsd('/NewBuyApp/src/coupon/newbuy.htmlx',97,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); Utils.copyToClipboard(data.couponsCode); 
$jsd('/NewBuyApp/src/coupon/newbuy.htmlx',98,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); couponurl.setValue(data.linkUrl); 
$jsd('/NewBuyApp/src/coupon/newbuy.htmlx',99,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); dialog.show(); 
} else { 
$jsd('/NewBuyApp/src/coupon/newbuy.htmlx',101,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); return false; 
} 
}); 
$jsd('/NewBuyApp/src/coupon/newbuy.htmlx',106,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); listview.setTemplate(template1); 
$jsd('/NewBuyApp/src/coupon/newbuy.htmlx',108,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); var newsScroller = new Emp.ListView.PrimetonerScroller({"modelId":this.modelId}); 
$jsd('/NewBuyApp/src/coupon/newbuy.htmlx',109,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); listview.setScroller(newsScroller); 
$jsd('/NewBuyApp/src/coupon/newbuy.htmlx',111,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); $M.page.addEvent("onLoad", function () { 
$jsd('/NewBuyApp/src/coupon/newbuy.htmlx',112,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); var preference = new $M.Preferences(); 
$jsd('/NewBuyApp/src/coupon/newbuy.htmlx',113,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); preference.open("newbuy_config"); 
$jsd('/NewBuyApp/src/coupon/newbuy.htmlx',114,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); var newbuy_config = preference.get("newbuy_config"); 
$jsd('/NewBuyApp/src/coupon/newbuy.htmlx',116,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); var ajax = new $M.Ajax(); 
$jsd('/NewBuyApp/src/coupon/newbuy.htmlx',117,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); ajax.addParams([{name:"loginkey", value:newbuy_config.loginkey}, {name:"mobileImei", value:Utils.getImei()}, {name:"mobileType", value:Utils.getOs()}, {name:"mobileToken", value:Utils.getMessageToken()}]); 
$jsd('/NewBuyApp/src/coupon/newbuy.htmlx',118,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); ajax.setAction("/mobile/marketAction!getNewbuyCoupons.action"); 
$jsd('/NewBuyApp/src/coupon/newbuy.htmlx',119,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); ajax.submit(function (result) { 
$jsd('/NewBuyApp/src/coupon/newbuy.htmlx',120,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); result = Utils.stringToJson(result); 
if($jsd('/NewBuyApp/src/coupon/newbuy.htmlx',121,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);})||true) if (result.success) { 
$jsd('/NewBuyApp/src/coupon/newbuy.htmlx',122,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); page = page + 1; 
$jsd('/NewBuyApp/src/coupon/newbuy.htmlx',123,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); listview.setItems(result.data.newbuycouponList); 
$jsd('/NewBuyApp/src/coupon/newbuy.htmlx',124,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); listview.reloadData(); 
} else { 
$jsd('/NewBuyApp/src/coupon/newbuy.htmlx',127,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); toast("获取数据失败！"); 
} 
}, function (error) { 
$jsd('/NewBuyApp/src/coupon/newbuy.htmlx',130,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); toast("网络菌罢工了！"); 
}); 
}); 
$jsd('/NewBuyApp/src/coupon/newbuy.htmlx',134,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); function getItems(json) { 
$jsd('/NewBuyApp/src/coupon/newbuy.htmlx',135,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); for (var i = 0; i < json.length; i++) { 
$jsd('/NewBuyApp/src/coupon/newbuy.htmlx',136,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); json[i].time_status = json[i].time + "  " + json[i].status; 
} 
$jsd('/NewBuyApp/src/coupon/newbuy.htmlx',138,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); return json; 
} 
$jsd('/NewBuyApp/src/coupon/newbuy.htmlx',141,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); function goBack() { 
$jsd('/NewBuyApp/src/coupon/newbuy.htmlx',142,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); $M.page.goTo("/coupon/coupon_home.html", null, true, false); 
} 
 
Emp.page.render();
