var top = this;

var arguments = [];
var window= top;

arguments.callee = {};
var DEBUG_FUNC_INDEX = 1;

var del = ["arguments","top","window","Emp","empBridge","util","DEBUG_FUNC_INDEX","del","BridgeUtil","ResultUtil"];

function jsDebug(){
	
}

jsDebug.debugCommand = null;
jsDebug.currResource = null;
jsDebug.breakpoints = null;
jsDebug.functionStack = [];
jsDebug.currResource = null;
jsDebug.currLine = null;
jsDebug.isExpression = false;

/**
 * 
 */
jsDebug.getErrorStack = function(func) {
	var stack = [];
	while (func) {
		var funcStr = func.toString();
		var funcOffset = funcStr.indexOf(")");
		var funcHead = funcStr.substring(0, funcOffset + 1);
		var args = func.arguments;
		var argArr = [];
		for (var i = 0; i < args.length; i++) {
			argArr.push(args[i]);
		}
		stack.push(funcHead + json2string(argArr, 12));
		func = func.caller;
	}
	return stack.join("\n");
}

/**
 * 
 */
var parseVars = function(line) {
	var varNames = [];
	if (line && line.length > 0) {
		var endOffset = line.indexOf(";");
		if (endOffset > 0) {
			line = line.substring(0, endOffset);
		}
		var lineArr = line.split(",");
		for (var i = 0; i < lineArr.length; i++) {
			var varStr = lineArr[i];
			var varEndOffset = varStr.indexOf("=");
			if (varEndOffset > 0) {
				varNames.push(varStr.substring(0, varEndOffset));
			} else {
				varNames.push(varStr);
			}
		}
	}
	return varNames;
}

/**
 * 
 */
jsDebug.updateStack = function(args, resource, scope, line, evalFunc) {
	if (args && args.callee) {
		var func = args.callee;
		func.__resource = resource;
		func.__line = line;
		func.__evalFunc = evalFunc;
		func.__scope = scope;
		for (var i = jsDebug.functionStack.length - 1; i > -1; i--) {
			if (func == jsDebug.functionStack[i]) {
				jsDebug.functionStack = jsDebug.functionStack.slice(0, i + 1);
				return;
			}
		}
		jsDebug.functionStack.push(func);
	} else {
		jsDebug.functionStack = [];
	}

}

/**
 * 
 */
var getFuncData = function(args, evalFunc) {
	
		var vars = [];
		var func = args.callee;
		if (func) {
			var funcStr = func.toString().replace(/\n/g, "");
			var argStart = funcStr.indexOf("(");
			var argEnd = funcStr.indexOf(")");
			if (argStart > 0 && argEnd > 0) {
				var argStr = funcStr.substring(argStart + 1, argEnd);
				vars = argStr.split(",");
			}
			var nameArr = funcStr.split("var ");
			for (var i = 1; i < nameArr.length; i++) {
				var line = nameArr[i];
				vars = vars.concat(parseVars(line));
			}
		}
		var data = {};
		
		for (var i = 0; i < vars.length; i++) {
			var key = vars[i];
			if (key && key.length > 0) {
				key = key.replace(/\n|\r|\t| /g, "");
				if (/^[A-Za-z0-9_\$]*$/.test(key)) {
					try {
						var result = evalFunc(key);
						if (result == undefined) {
							data[key] = {"value":"undefined","type":"string"};
						} else if (result == null) {
							data[key] = {"value":"null","type":"string"};
						} else {
							data[key] = {"value":evalFunc(key),"type":typeof(evalFunc(key))};
						}
					} catch (e) {

					}
				}
			}
		}
		return data;
}

var getWindowData = function(args,evalFunc){
	var data = {};
	for (var i in top) { 
	    data[i] = {value:top[i],type:typeof(top[i])};
	}
//	return {"x":{"value":top.x,"type":typeof(top.x)}};

	return {"window":{value:top,type:typeof(top)}};
}


/**
 * find if arguments is stepreturn context
 */
jsDebug.isStepReturn = function(args) {
	if (args) {
		var func = args.callee;
		for (var i = jsDebug.functionStack.length - 2; i > -1; i--) {
			if (func == jsDebug.functionStack[i]) {
				return true;
			}
		}
		return false;
	} else {
		return true;
	}
}

/**
 * find if arguments is stepover context
 */
jsDebug.isStepOver = function(args) {
	if (args) {
		var func = args.callee;
		for (var i = jsDebug.functionStack.length - 1; i > -1; i--) {
			if (func == jsDebug.functionStack[i]) {
				return true;
			}
		}
		return false;
	} else {
		return true;
	}
}

/**
 * 
 */
jsDebug.error = function(e, resource, line,callFunc) {
	try {
		var funcStr = callFunc + "";
			if(funcStr.indexOf("function anonymous")>=0){
				funcStr = undefined;
			}
		var postData = {
			"ERROR" : encodeURI(e),
			"COMMAND" : "ERROR",
			"RESOURCE" : resource,
			"LINE" : line,
			"ERRORFUNC":funcStr,
			"ISIE":isIE
		}
		empBridge.debug(obj2string(postData));
	} catch (e) {

	}
}

/**
 * 
 */
jsDebug.stepReturn = function(func) {
	try {
		var data = jsDebug.getFuncData(func.arguments, func.__evalFunc);
		jsDebug.updateStack(func.arguments, func.__resource, func.__scope,
				func.__line, func.__evalFunc);
		if (func.__scope != top) {
			data["this"] = func.__scope;
		}
		var postData = {
			"STACK" : data,
			"COMMAND" : jsDebug.debugCommand,
			"RESOURCE" : func.__resource,
			"LINE" : func.__line
		}
		var res = empBridge.debug(obj2string(postData));
		jsDebug.parseResult(res,func.__evalFunc);
		
	} catch (e) {
	}
}


jsDebug.evalExpression = function(expression, evalFunc) {
	try {
	//	jsDebug.xmlHttp.open("POST", "/jsdebug.debug?" + new Date(), false);
		var postData = {
			"STACK" : {},
			"COMMAND" : "EXPRESSION",
			"EXPRESSION" : expression
		}
		try {
			jsDebug.isExpression = true;
			var ret = evalFunc(expression);
			if(typeof(ret)=="undefined"){
				ret = "undefined";
			}else if(ret==null){
				ret = "null";
			}
			postData["RESULT"] = ret;
		} catch (e) {
			postData["ERROR"] = e;
		}
		jsDebug.isExpression = false;
		var res = empBridge.debug(obj2string(postData));
		jsDebug.parseResult(res,evalFunc);
	} catch (e) {

	}
}

jsDebug.evalValue = function(expression, evalFunc){
	try {
//		jsDebug.xmlHttp.open("POST", "/jsdebug.debug?" + new Date(), false);
		var postData = {
			"STACK" : {},
			"COMMAND" : "VALUE",
			"EXPRESSION" : expression
		}
		try {
			jsDebug.isExpression = true;
			var ret = evalFunc(expression);
			var data = {};
			if(typeof(ret)=="undefined"){
				ret = "undefined";
			}else if(ret==null){
				ret = "null";
			}else{
				for(var prop in ret){
					try{
						if(prop!="postData"&&!contains(del,prop)){
						var value = ret[prop];
						var type = typeof(value);
						if(type=="function"){
							continue;
						}
						var stringValue = "";
						if(value){
							stringValue = value.toString();
						}
						if(value==null){
							stringValue = "null";
							type = "null";
						}else if(value==undefined){
							stringValue = "undefined";
							type = "undefined";
						}
						data[prop] = {"value":stringValue,"type":typeof(value)};
						}
					}catch(e){

					}
				}
			}
			postData["RESULT"] = data;
		} catch (e) {
			postData["ERROR"] = e;
		}
		jsDebug.isExpression = false;
		var submitString = "{}";
		try{
			submitString = json2string(postData);
		}catch(e){

		}
		var res = empBridge.debug(obj2string(postData));
		jsDebug.parseResult(res,evalFunc);
	} catch (e) {
		alert(e);
	}
}

/**
 * 
 */
jsDebug.parseResult = function(result, evalFunc) {
	if (result) {
		if (result.indexOf("{") == 0) {
			try {
				eval("var retObj = " + result);
				if( retObj["COMMAND"]){
					if(retObj["COMMAND"]=="EXPRESSION"){
						jsDebug.evalExpression(retObj["EXPRESSION"], evalFunc);
					}else if(retObj["COMMAND"]=="VALUE"){
						jsDebug.evalValue(retObj["EXPRESSION"], evalFunc);
					}else{
						jsDebug.isExpression = false;
						jsDebug.debugCommand = retObj["COMMAND"];
						if (jsDebug.debugCommand == "BREAKPOINT") {
							jsDebug.breakpoints = retObj["BREAKPOINTS"];
						}
					}
				}
                return retObj;
			} catch (e) {
			}
		} else {
			 alert("Debug error:" + result);
		}
	} else {

	}
}



function json2string(obj, depth) {
	depth = depth || 0;
	if (typeof obj == "function") {
		return "\"function\"";
	}  else if (obj && typeof obj.pop == 'function' && obj instanceof Array) {
		return array2string(obj, depth + 1);
	} else if (typeof obj == "object") {
		return obj2string(obj, depth + 1);
	} else {
		if (typeof obj == "string") {
			return "\"" + obj.replace(/"/gm, "'").replace(/\n|\r/gm, "")
					+ "\"";
		} else if (typeof obj == "number") {
			if (isFinite(obj)) {
				return obj;
			} else {
				return "\"out of number\"";
			}
		} else {
			//return util.jsonToString(obj).replace(/"/gm, "\\\"").replace(/\n|\r/gm, "");
		}
	}
}

function obj2string(obj, depth) {
	depth = depth || 0;
		var arr = [];
		for (var prop in obj) {
			try {
				if (obj.hasOwnProperty(prop) && typeof(obj[prop]) != "function") {
					if (depth < 9) {
						arr.push("\"" + prop + "\":"
								+ json2string(obj[prop], depth + 1));
					} else {
						arr.push("\"" + prop + "\":\"...\"")
					}
				}
			} catch (e) {

			}
		}
		return "{" + arr.join(",") + "}";
}

function complexObj2String(obj){
	var arr = [];
	for (var prop in obj) {
		try {
			if (typeof(obj[prop]) != "function") {
				var value = (obj[prop] + "").replace(/"/gm, "'").replace(/\n|\r/gm, "");
				arr.push("\"" + prop + "\":\""
						+ value + "\"");
			}
		} catch (e) {

		}
	}
	return "{" + arr.join(",") + "}";
}
function array2string(array, depth) {
	depth = depth || 0;
	var arr = [];
	for (var i = 0; i < array.length; i++) {
		arr.push(json2string(array[i], depth + 1));
	}
	return "[" + arr.join(",") + "]";
}

function mergeJsonObject(jsonbject1, jsonbject2)  
{  
    var resultJsonObject={};  
    for(var attr in jsonbject1){  
        resultJsonObject[attr]=jsonbject1[attr];  
    }  
    for(var attr in jsonbject2){  
        resultJsonObject[attr]=jsonbject2[attr];  
    }  

    return resultJsonObject;  
};  

function convertStringToJSON(str){
    var stu = eval('('+str+')');
    return stu;
}

function contains(a,obj){
	var i = a.length;
	while(i--){
		if(a[i]===obj){
			return true;
		}
	}
	return false;
}

jsDebug.getBreakPoint = function(async) {
	var postData = {"COMMAND":"RESUME"}; 
    var res = empBridge.debug(obj2string(postData));
    var retObj = util.stringToJson(res);
    jsDebug.breakpoints = retObj["BREAKPOINTS"];
    return;

	async = async?false:true;
	log(":"+async);
	try{
//	var jsonResume = "{\"COMMAND\":\"RESUME\"}";
		var postData = {"COMMAND":"RESUME"}; 
	if(async){
		var id;
	    log("");
		id = setInterval(jsDebug.getBreakPoint,1000);
	}else{
		log("");
	    var res = empBridge.debug(obj2string(postData));
	    var retObj = util.stringToJson(res);
	    jsDebug.breakpoints = retObj["BREAKPOINTS"];
	}
	} catch(e){
		
	}
}

jsDebug.getBreakPoint();

jsDebug.debug =  function(resource,line,scope,args,evalFunc){
	var isNewStack = false;
	if(args&&args["_funcIndex"]==undefined){
		if(args.callee.caller && args.callee.caller.arguments){
			if(args.callee.caller.arguments["__funcIndex"]==undefined){
				args["__funcIndex"] = DEBUG_FUNC_INDEX++;
				isNewStack = true;
			}else{
				args["__funcIndex"] = args.callee.caller.arguments["__funcIndex"];
			}
		}
	}
	
	if (jsDebug.isExpression) {
		return;
	}
	
	
	try {
		jsDebug.currResource = resource;
		jsDebug.currLine = line;
		if (jsDebug.debugCommand == null) {
			jsDebug.debugCommand = "START";
		}
		if (jsDebug.debugCommand == "TERMINATE") {
			throw "exit";
		}
		if(!jsDebug.breakpoints){
			jsDebug.getBreakPoint(true);
		}
		if (!(jsDebug.breakpoints && jsDebug.breakpoints[resource + line])) {
			if (jsDebug.debugCommand == "STEPRETURN"
					|| jsDebug.debugCommand == "STEPOVER") {
				var parentFunc = jsDebug.functionStack[jsDebug.functionStack.length
						- 2];
				var currFunc = jsDebug.functionStack[jsDebug.functionStack.length
						- 1];
				if(currFunc && (currFunc==args.callee)){
					if(jsDebug.debugCommand == "STEPRETURN"){
						return;
					}
					// do nothing
				}else{
					if (parentFunc && (args.callee.caller == parentFunc)) {
						jsDebug.stepReturn(parentFunc);
						jsDebug.debug(resource, line, scope, args, evalFunc);
						if(jsDebug.debugCommand == "STEPRETURN"){
							return;
						}
					}else{
//						if(args.callee){
//							return;
//						}
					}
				}

			}
			if (jsDebug.debugCommand == "STEPRETURN") {
				if (!jsDebug.isStepReturn(args)) {
					if(args.callee){
						return;
					}
				}
			} else if (jsDebug.debugCommand == "STEPOVER") {
				if (!jsDebug.isStepOver(args)) {
					if(args.callee){
						return;
					}
				}
			} else if (jsDebug.debugCommand == "RESUME") {
				return;
			} else if (jsDebug.debugCommand == "STEPINTO") {

			} else {
				return;
			}
		} else {
			jsDebug.debugCommand = "BREAKPOINT";
		}
		
		var data = getFuncData(args,evalFunc);
		var windowData = getWindowData(args,evalFunc);
		var stack = mergeJsonObject(windowData,data);
		
		jsDebug.updateStack(args, resource, scope, line, evalFunc);
		
		var postData = {
				"STACK" : stack,
				"COMMAND" : jsDebug.debugCommand,
				"RESOURCE" : resource,
				"LINE" : line,
				"NEWSTACK":true
		};
		var postDataStr = json2string(postData,0);
		
	    var res = empBridge.debug(postDataStr);
		
		jsDebug.parseResult(res, evalFunc);
		
	} catch (e) {

	}

};

var $jsd = jsDebug.debug;
Emp.page.setId('_BODY_25140397');
$M.includeFile("/template/fan_groupphoto_template.html");
$M.includeFile("/template/topic_opt_template.html");
var _div_17260850 = new Emp.Panel({"id":"_div_17260850","height":"60","layout":"HBox","width":"100%","backgroundImage":"/fan_group/u93.png"});
_div_17260850.addEvent('onClick',goBack);
var _img_25056939 = new Emp.Image({"id":"_img_25056939","height":"30","width":"30","src":"/icon_128/iconfont-back.png"});
_div_17260850.add(_img_25056939);
var title = new Emp.Label({"id":"title","color":"#999999","tag":"title","value":"","fontSize":"16"});
_div_17260850.add(title);
Emp.page.add(_div_17260850);
var _div_20795792 = new Emp.Panel({"id":"_div_20795792","height":"80","layout":"VBox","width":"100%"});
var _div_11927038 = new Emp.Panel({"id":"_div_11927038","height":"40","vAlign":"","layout":"HBox","hAlign":"","width":"100%"});
var titlephoto = new Emp.Image({"id":"titlephoto","height":"40","vAlign":"left","tag":"titlephoto","hAlign":"center","width":"40","src":""});
titlephoto.addEvent('onClick',gophotohuifu);
_div_11927038.add(titlephoto);
var fanexittime = new Emp.Label({"id":"fanexittime","vAlign":"middle","tag":"fanexittime","width":"80","hAlign":"center","value":""});
_div_11927038.add(fanexittime);
var fantitle = new Emp.Label({"id":"fantitle","vAlign":"middle","tag":"fantitle","width":"180","hAlign":"center","maxWidth":"190","value":"","singleLine":"false"});
_div_11927038.add(fantitle);
var _div_4531048 = new Emp.Panel({"id":"_div_4531048","borderColor":"#FF44AA","height":"30","vAlign":"middle","backgroundColor":"#FF44AA","borderWidth":"2","hAlign":"center","width":"50","cornerRadius":"5"});
var points = new Emp.Label({"id":"points","vAlign":"middle","tag":"points","hAlign":"center","value":""});
_div_4531048.add(points);
_div_11927038.add(_div_4531048);
_div_20795792.add(_div_11927038);
var _div_419291 = new Emp.Panel({"id":"_div_419291","height":"50","layout":"HBox","width":"100%"});
var img2 = new Emp.Image({"id":"img2","tag":"img2","width":"30","src":""});
_div_419291.add(img2);
var photoexittime2 = new Emp.Label({"id":"photoexittime2","height":"40","color":"#5599FF","tag":"photoexittime2","value":""});
_div_419291.add(photoexittime2);
_div_20795792.add(_div_419291);
Emp.page.add(_div_20795792);
var _div_15815794 = new Emp.Panel({"id":"_div_15815794","height":"100%","backgroundColor":"#fcfcfc","width":"100%"});
var listview = new Emp.ListView({"id":"listview","height":"100%","width":"100%"});
_div_15815794.add(listview);
Emp.page.add(_div_15815794);
var _div_92852 = new Emp.Panel({"id":"_div_92852","height":"30","vAlign":"middle","hAlign":"right","width":"100%"});
_div_92852.addEvent('onClick',gofabu);
var _input_17065207 = new Emp.Label({"id":"_input_17065207","height":"100%","color":"#FFAA33","vAlign":"middle","hAlign":"center","value":"发布","fontSize":"30"});
_div_92852.add(_input_17065207);
Emp.page.add(_div_92852);
var layer = new Emp.Panel({"position":"relative","id":"layer","height":"100%","visibility":"false","width":"100%"});
layer.addEvent('onClick',clickOther);
var menu = new Emp.Panel({"position":"relative","id":"menu","height":"200","backgroundColor":"#f2f2f2","hAlign":"center","layout":"VBox","width":"100%","top":"20"});
var _input_29622240 = new Emp.Label({"id":"_input_29622240","marginBottom":"10","marginTop":"10","value":"分享","fontBold":"true","fontSize":"20"});
menu.add(_input_29622240);
var _div_13888731 = new Emp.Panel({"id":"_div_13888731","height":"100%","width":"100%"});
var _div_23278548 = new Emp.Panel({"id":"_div_23278548","height":"75","vAlign":"middle","hAlign":"center","layout":"VBox","width":"70"});
_div_23278548.addEvent('onClick',shareWeibo);
var _img_31441871 = new Emp.Image({"id":"_img_31441871","height":"50","width":"50","src":"/fan_tie/u234.png"});
_div_23278548.add(_img_31441871);
var _input_28332057 = new Emp.Label({"id":"_input_28332057","value":"新浪微博","fontSize":"14"});
_div_23278548.add(_input_28332057);
_div_13888731.add(_div_23278548);
var _div_5946112 = new Emp.Panel({"id":"_div_5946112","height":"75","vAlign":"middle","hAlign":"center","layout":"VBox","width":"70"});
var _img_11209873 = new Emp.Image({"id":"_img_11209873","height":"50","width":"50","src":"/fan_tie/u234.png"});
_div_5946112.add(_img_11209873);
var _input_29765642 = new Emp.Label({"id":"_input_29765642","value":"微信朋友圈","fontSize":"14"});
_div_5946112.add(_input_29765642);
_div_13888731.add(_div_5946112);
var _div_8134132 = new Emp.Panel({"id":"_div_8134132","height":"75","vAlign":"middle","hAlign":"center","layout":"VBox","width":"70"});
var _img_9615851 = new Emp.Image({"id":"_img_9615851","height":"50","width":"50","src":"/fan_tie/u234.png"});
_div_8134132.add(_img_9615851);
var _input_15463320 = new Emp.Label({"id":"_input_15463320","value":"微信好友","fontSize":"14"});
_div_8134132.add(_input_15463320);
_div_13888731.add(_div_8134132);
var _div_12947722 = new Emp.Panel({"id":"_div_12947722","height":"75","vAlign":"middle","hAlign":"center","layout":"VBox","width":"70"});
var _img_11885103 = new Emp.Image({"id":"_img_11885103","height":"50","width":"50","src":"/fan_tie/u234.png"});
_div_12947722.add(_img_11885103);
var _input_3395669 = new Emp.Label({"id":"_input_3395669","value":"QQ","fontSize":"14"});
_div_12947722.add(_input_3395669);
_div_13888731.add(_div_12947722);
var _div_28480024 = new Emp.Panel({"id":"_div_28480024","height":"75","vAlign":"middle","hAlign":"center","layout":"VBox","width":"70"});
var _img_9797150 = new Emp.Image({"id":"_img_9797150","height":"50","width":"50","src":"/fan_tie/u234.png"});
_div_28480024.add(_img_9797150);
var _input_9117534 = new Emp.Label({"id":"_input_9117534","value":"QQ空间","fontSize":"14"});
_div_28480024.add(_input_9117534);
_div_13888731.add(_div_28480024);
menu.add(_div_13888731);
var _div_28857759 = new Emp.Panel({"id":"_div_28857759","height":"100%","width":"100%"});
var _div_16611630 = new Emp.Panel({"id":"_div_16611630","height":"75","vAlign":"middle","hAlign":"center","layout":"VBox","width":"70"});
var _img_18791562 = new Emp.Image({"id":"_img_18791562","height":"50","width":"50","src":"/fan_tie/u234.png"});
_div_16611630.add(_img_18791562);
var _input_15478938 = new Emp.Label({"id":"_input_15478938","value":"收藏","fontSize":"14"});
_div_16611630.add(_input_15478938);
_div_28857759.add(_div_16611630);
var _div_7013709 = new Emp.Panel({"id":"_div_7013709","height":"75","vAlign":"middle","hAlign":"center","layout":"VBox","width":"70"});
var _img_2694954 = new Emp.Image({"id":"_img_2694954","height":"50","width":"50","src":"/fan_tie/u234.png"});
_div_7013709.add(_img_2694954);
var _input_29179150 = new Emp.Label({"id":"_input_29179150","value":"删除","fontSize":"14"});
_div_7013709.add(_input_29179150);
_div_28857759.add(_div_7013709);
var _div_15954800 = new Emp.Panel({"id":"_div_15954800","height":"75","vAlign":"middle","hAlign":"center","layout":"VBox","width":"70"});
var _img_18859451 = new Emp.Image({"id":"_img_18859451","height":"50","width":"50","src":"/fan_tie/u234.png"});
_div_15954800.add(_img_18859451);
var _input_15630533 = new Emp.Label({"id":"_input_15630533","value":"复制链接","fontSize":"14"});
_div_15954800.add(_input_15630533);
_div_28857759.add(_div_15954800);
var _div_4728003 = new Emp.Panel({"id":"_div_4728003","height":"75","vAlign":"middle","hAlign":"center","layout":"VBox","width":"70"});
var _img_6661723 = new Emp.Image({"id":"_img_6661723","height":"50","width":"50","src":"/fan_tie/u234.png"});
_div_4728003.add(_img_6661723);
var _input_26006228 = new Emp.Label({"id":"_input_26006228","value":"举报","fontSize":"14"});
_div_4728003.add(_input_26006228);
_div_28857759.add(_div_4728003);
menu.add(_div_28857759);
layer.add(menu);
Emp.page.add(layer);










$jsd('/NewBuyApp/src/fanGroup/fan_photo.htmlx',114,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);});var message = {title:"鹿晗全国粉丝会", titlephoto:"/fan_myfantie/u63.png", fanexittime:"20150410", fantitle:"《盲证》发布会饭拍", points:"358", img2:"/fan_photo/u53.png", photoexittime2:"2015.04.14 15:48"}; 
$jsd('/NewBuyApp/src/fanGroup/fan_photo.htmlx',115,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); title.setValue(message.title); 
$jsd('/NewBuyApp/src/fanGroup/fan_photo.htmlx',116,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); titlephoto.setValue(message.titlephoto); 
$jsd('/NewBuyApp/src/fanGroup/fan_photo.htmlx',117,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); fanexittime.setValue(message.fanexittime); 
$jsd('/NewBuyApp/src/fanGroup/fan_photo.htmlx',118,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); fantitle.setValue(message.fantitle); 
$jsd('/NewBuyApp/src/fanGroup/fan_photo.htmlx',119,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); points.setValue(message.points); 
$jsd('/NewBuyApp/src/fanGroup/fan_photo.htmlx',120,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); img2.setValue(message.img2); 
$jsd('/NewBuyApp/src/fanGroup/fan_photo.htmlx',121,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); photoexittime2.setValue(message.photoexittime2); 
$jsd('/NewBuyApp/src/fanGroup/fan_photo.htmlx',124,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); var topic = {userNm:"阿晨", exittime:"45分钟前", img:"/fan_photo/u45.png", levelid:"Lv2", content:"鹿晗终于可以回到北京过新年。昨日,有网友爆料,鹿晗穿着队服在新光天地逛街时被不少粉丝认出。", fangrp:"孙坚全国后援会", fabulous:"4", reward:"1", reply:"8", fanimg:"/fan_photo/u16.jpg", fabulousmember:[{userid:"1", username:"test1", img:"/fan_myfantie/u104.png"}, {userid:"2", username:"test2", img:"/fan_myfantie/u110.jpg"}, {userid:"3", username:"test3", img:"/fan_myfantie/u106.png"}, {userid:"4", username:"test4", img:"/fan_myfantie/u108.jpg"}]}; 
$jsd('/NewBuyApp/src/fanGroup/fan_photo.htmlx',132,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); function clickOther() { 
$jsd('/NewBuyApp/src/fanGroup/fan_photo.htmlx',133,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); layer.setVisibility(false); 
} 
$jsd('/NewBuyApp/src/fanGroup/fan_photo.htmlx',136,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); function show() { 
$jsd('/NewBuyApp/src/fanGroup/fan_photo.htmlx',137,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); layer.setVisibility(true); 
$jsd('/NewBuyApp/src/fanGroup/fan_photo.htmlx',138,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); menu.moveToY(0, 1000); 
} 
$jsd('/NewBuyApp/src/fanGroup/fan_photo.htmlx',142,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); function gophotohuifu() { 
$jsd('/NewBuyApp/src/fanGroup/fan_photo.htmlx',144,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); $M.page.goTo("/fanGroup/fan_photohuifu.html"); 
} 
$jsd('/NewBuyApp/src/fanGroup/fan_photo.htmlx',147,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); function gofabu() { 
$jsd('/NewBuyApp/src/fanGroup/fan_photo.htmlx',150,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); $M.page.goTo("/fanGroup/fan_photofabu.html"); 
} 
$jsd('/NewBuyApp/src/fanGroup/fan_photo.htmlx',153,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); function shareWeibo() { 
$jsd('/NewBuyApp/src/fanGroup/fan_photo.htmlx',154,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); clickOther(); 
$jsd('/NewBuyApp/src/fanGroup/fan_photo.htmlx',155,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); toast("weibo"); 
} 
$jsd('/NewBuyApp/src/fanGroup/fan_photo.htmlx',158,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); function goBack() { 
$jsd('/NewBuyApp/src/fanGroup/fan_photo.htmlx',161,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); $M.page.goBack({animation:"slideright"}); 
} 
$jsd('/NewBuyApp/src/fanGroup/fan_photo.htmlx',171,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); listview.setTemplate(tem1); 
$jsd('/NewBuyApp/src/fanGroup/fan_photo.htmlx',172,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); $M.page.addEvent("onLoad", function () { 
$jsd('/NewBuyApp/src/fanGroup/fan_photo.htmlx',173,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); var arr = generateData1(); 
$jsd('/NewBuyApp/src/fanGroup/fan_photo.htmlx',174,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); listview.setItems(generateData1()); 
$jsd('/NewBuyApp/src/fanGroup/fan_photo.htmlx',175,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); listview.reloadData(); 
}); 
$jsd('/NewBuyApp/src/fanGroup/fan_photo.htmlx',181,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); listview.setOnclickTags(["share", "lookupurl"]); 
$jsd('/NewBuyApp/src/fanGroup/fan_photo.htmlx',183,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); listview.addEvent("onItemClick", function (row, tag, data) { 
if($jsd('/NewBuyApp/src/fanGroup/fan_photo.htmlx',185,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);})||true) if (tag == "share") { 
$jsd('/NewBuyApp/src/fanGroup/fan_photo.htmlx',186,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); show(); 
} else { 
if($jsd('/NewBuyApp/src/fanGroup/fan_photo.htmlx',187,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);})||true) if (tag == "lookuprul") { 
$jsd('/NewBuyApp/src/fanGroup/fan_photo.htmlx',188,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); var rgExp = /http[s]?://[^ 一-龥]+/g; 
$jsd('/NewBuyApp/src/fanGroup/fan_photo.htmlx',189,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); var array = null; 
$jsd('/NewBuyApp/src/fanGroup/fan_photo.htmlx',190,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); var index = 0; 
$jsd('/NewBuyApp/src/fanGroup/fan_photo.htmlx',191,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); ___urlContainer.removeAll(); 
$jsd('/NewBuyApp/src/fanGroup/fan_photo.htmlx',192,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); while ((array = rgExp.exec(data.content)) != null) { 
$jsd('/NewBuyApp/src/fanGroup/fan_photo.htmlx',193,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); createUrlDiv(array[0], ++index); 
} 
if($jsd('/NewBuyApp/src/fanGroup/fan_photo.htmlx',195,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);})||true) if (index > 0) { 
$jsd('/NewBuyApp/src/fanGroup/fan_photo.htmlx',196,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); _itemcontentURL.setView(___dialogbaselevel); 
$jsd('/NewBuyApp/src/fanGroup/fan_photo.htmlx',197,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); _itemcontentURL.show(); 
} 
} 
} 
}); 
$jsd('/NewBuyApp/src/fanGroup/fan_photo.htmlx',202,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); function generateData1() { 
$jsd('/NewBuyApp/src/fanGroup/fan_photo.htmlx',203,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); var arr = []; 
$jsd('/NewBuyApp/src/fanGroup/fan_photo.htmlx',204,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); var size = new Array(13, 5); 
$jsd('/NewBuyApp/src/fanGroup/fan_photo.htmlx',206,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); for (var i = 1; i < 4; i++) { 
$jsd('/NewBuyApp/src/fanGroup/fan_photo.htmlx',207,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); var tem = {}; 
$jsd('/NewBuyApp/src/fanGroup/fan_photo.htmlx',210,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); tem.userNm = topic.userNm; 
$jsd('/NewBuyApp/src/fanGroup/fan_photo.htmlx',211,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); tem.exittime = topic.exittime; 
$jsd('/NewBuyApp/src/fanGroup/fan_photo.htmlx',212,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); tem.img = topic.img; 
$jsd('/NewBuyApp/src/fanGroup/fan_photo.htmlx',213,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); tem.levelid = topic.levelid; 
$jsd('/NewBuyApp/src/fanGroup/fan_photo.htmlx',214,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); tem.content = topic.content; 
$jsd('/NewBuyApp/src/fanGroup/fan_photo.htmlx',215,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); tem.fangrp = topic.fangrp; 
$jsd('/NewBuyApp/src/fanGroup/fan_photo.htmlx',216,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); tem.fabulous = topic.fabulous; 
$jsd('/NewBuyApp/src/fanGroup/fan_photo.htmlx',217,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); tem.reward = topic.reward; 
$jsd('/NewBuyApp/src/fanGroup/fan_photo.htmlx',218,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); tem.reply = topic.reply; 
$jsd('/NewBuyApp/src/fanGroup/fan_photo.htmlx',220,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); tem.fanimg = topic.fanimg; 
$jsd('/NewBuyApp/src/fanGroup/fan_photo.htmlx',221,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); tem.t_img1 = topic.fabulousmember[0].img; 
$jsd('/NewBuyApp/src/fanGroup/fan_photo.htmlx',222,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); tem.t_img2 = topic.fabulousmember[1].img; 
$jsd('/NewBuyApp/src/fanGroup/fan_photo.htmlx',223,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); tem.t_img3 = topic.fabulousmember[2].img; 
$jsd('/NewBuyApp/src/fanGroup/fan_photo.htmlx',224,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); tem.t_img4 = topic.fabulousmember[3].img; 
$jsd('/NewBuyApp/src/fanGroup/fan_photo.htmlx',226,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); var id = "#" + i; 
$jsd('/NewBuyApp/src/fanGroup/fan_photo.htmlx',227,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); var name = {photolabel:id}; 
$jsd('/NewBuyApp/src/fanGroup/fan_photo.htmlx',229,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); tem.photolabel = name.photolabel; 
$jsd('/NewBuyApp/src/fanGroup/fan_photo.htmlx',246,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); arr.push(tem); 
} 
$jsd('/NewBuyApp/src/fanGroup/fan_photo.htmlx',248,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); return arr; 
} 
 
Emp.page.render();
