var top = this;

var arguments = [];
var window= top;

arguments.callee = {};
var DEBUG_FUNC_INDEX = 1;

var del = ["arguments","top","window","Emp","empBridge","util","DEBUG_FUNC_INDEX","del","BridgeUtil","ResultUtil"];

function jsDebug(){
	
}

jsDebug.debugCommand = null;
jsDebug.currResource = null;
jsDebug.breakpoints = null;
jsDebug.functionStack = [];
jsDebug.currResource = null;
jsDebug.currLine = null;
jsDebug.isExpression = false;

/**
 * 
 */
jsDebug.getErrorStack = function(func) {
	var stack = [];
	while (func) {
		var funcStr = func.toString();
		var funcOffset = funcStr.indexOf(")");
		var funcHead = funcStr.substring(0, funcOffset + 1);
		var args = func.arguments;
		var argArr = [];
		for (var i = 0; i < args.length; i++) {
			argArr.push(args[i]);
		}
		stack.push(funcHead + json2string(argArr, 12));
		func = func.caller;
	}
	return stack.join("\n");
}

/**
 * 
 */
var parseVars = function(line) {
	var varNames = [];
	if (line && line.length > 0) {
		var endOffset = line.indexOf(";");
		if (endOffset > 0) {
			line = line.substring(0, endOffset);
		}
		var lineArr = line.split(",");
		for (var i = 0; i < lineArr.length; i++) {
			var varStr = lineArr[i];
			var varEndOffset = varStr.indexOf("=");
			if (varEndOffset > 0) {
				varNames.push(varStr.substring(0, varEndOffset));
			} else {
				varNames.push(varStr);
			}
		}
	}
	return varNames;
}

/**
 * 
 */
jsDebug.updateStack = function(args, resource, scope, line, evalFunc) {
	if (args && args.callee) {
		var func = args.callee;
		func.__resource = resource;
		func.__line = line;
		func.__evalFunc = evalFunc;
		func.__scope = scope;
		for (var i = jsDebug.functionStack.length - 1; i > -1; i--) {
			if (func == jsDebug.functionStack[i]) {
				jsDebug.functionStack = jsDebug.functionStack.slice(0, i + 1);
				return;
			}
		}
		jsDebug.functionStack.push(func);
	} else {
		jsDebug.functionStack = [];
	}

}

/**
 * 
 */
var getFuncData = function(args, evalFunc) {
	
		var vars = [];
		var func = args.callee;
		if (func) {
			var funcStr = func.toString().replace(/\n/g, "");
			var argStart = funcStr.indexOf("(");
			var argEnd = funcStr.indexOf(")");
			if (argStart > 0 && argEnd > 0) {
				var argStr = funcStr.substring(argStart + 1, argEnd);
				vars = argStr.split(",");
			}
			var nameArr = funcStr.split("var ");
			for (var i = 1; i < nameArr.length; i++) {
				var line = nameArr[i];
				vars = vars.concat(parseVars(line));
			}
		}
		var data = {};
		
		for (var i = 0; i < vars.length; i++) {
			var key = vars[i];
			if (key && key.length > 0) {
				key = key.replace(/\n|\r|\t| /g, "");
				if (/^[A-Za-z0-9_\$]*$/.test(key)) {
					try {
						var result = evalFunc(key);
						if (result == undefined) {
							data[key] = {"value":"undefined","type":"string"};
						} else if (result == null) {
							data[key] = {"value":"null","type":"string"};
						} else {
							data[key] = {"value":evalFunc(key),"type":typeof(evalFunc(key))};
						}
					} catch (e) {

					}
				}
			}
		}
		return data;
}

var getWindowData = function(args,evalFunc){
	var data = {};
	for (var i in top) { 
	    data[i] = {value:top[i],type:typeof(top[i])};
	}
//	return {"x":{"value":top.x,"type":typeof(top.x)}};

	return {"window":{value:top,type:typeof(top)}};
}


/**
 * find if arguments is stepreturn context
 */
jsDebug.isStepReturn = function(args) {
	if (args) {
		var func = args.callee;
		for (var i = jsDebug.functionStack.length - 2; i > -1; i--) {
			if (func == jsDebug.functionStack[i]) {
				return true;
			}
		}
		return false;
	} else {
		return true;
	}
}

/**
 * find if arguments is stepover context
 */
jsDebug.isStepOver = function(args) {
	if (args) {
		var func = args.callee;
		for (var i = jsDebug.functionStack.length - 1; i > -1; i--) {
			if (func == jsDebug.functionStack[i]) {
				return true;
			}
		}
		return false;
	} else {
		return true;
	}
}

/**
 * 
 */
jsDebug.error = function(e, resource, line,callFunc) {
	try {
		var funcStr = callFunc + "";
			if(funcStr.indexOf("function anonymous")>=0){
				funcStr = undefined;
			}
		var postData = {
			"ERROR" : encodeURI(e),
			"COMMAND" : "ERROR",
			"RESOURCE" : resource,
			"LINE" : line,
			"ERRORFUNC":funcStr,
			"ISIE":isIE
		}
		empBridge.debug(obj2string(postData));
	} catch (e) {

	}
}

/**
 * 
 */
jsDebug.stepReturn = function(func) {
	try {
		var data = jsDebug.getFuncData(func.arguments, func.__evalFunc);
		jsDebug.updateStack(func.arguments, func.__resource, func.__scope,
				func.__line, func.__evalFunc);
		if (func.__scope != top) {
			data["this"] = func.__scope;
		}
		var postData = {
			"STACK" : data,
			"COMMAND" : jsDebug.debugCommand,
			"RESOURCE" : func.__resource,
			"LINE" : func.__line
		}
		var res = empBridge.debug(obj2string(postData));
		jsDebug.parseResult(res,func.__evalFunc);
		
	} catch (e) {
	}
}


jsDebug.evalExpression = function(expression, evalFunc) {
	try {
	//	jsDebug.xmlHttp.open("POST", "/jsdebug.debug?" + new Date(), false);
		var postData = {
			"STACK" : {},
			"COMMAND" : "EXPRESSION",
			"EXPRESSION" : expression
		}
		try {
			jsDebug.isExpression = true;
			var ret = evalFunc(expression);
			if(typeof(ret)=="undefined"){
				ret = "undefined";
			}else if(ret==null){
				ret = "null";
			}
			postData["RESULT"] = ret;
		} catch (e) {
			postData["ERROR"] = e;
		}
		jsDebug.isExpression = false;
		var res = empBridge.debug(obj2string(postData));
		jsDebug.parseResult(res,evalFunc);
	} catch (e) {

	}
}

jsDebug.evalValue = function(expression, evalFunc){
	try {
//		jsDebug.xmlHttp.open("POST", "/jsdebug.debug?" + new Date(), false);
		var postData = {
			"STACK" : {},
			"COMMAND" : "VALUE",
			"EXPRESSION" : expression
		}
		try {
			jsDebug.isExpression = true;
			var ret = evalFunc(expression);
			var data = {};
			if(typeof(ret)=="undefined"){
				ret = "undefined";
			}else if(ret==null){
				ret = "null";
			}else{
				for(var prop in ret){
					try{
						if(prop!="postData"&&!contains(del,prop)){
						var value = ret[prop];
						var type = typeof(value);
						if(type=="function"){
							continue;
						}
						var stringValue = "";
						if(value){
							stringValue = value.toString();
						}
						if(value==null){
							stringValue = "null";
							type = "null";
						}else if(value==undefined){
							stringValue = "undefined";
							type = "undefined";
						}
						data[prop] = {"value":stringValue,"type":typeof(value)};
						}
					}catch(e){

					}
				}
			}
			postData["RESULT"] = data;
		} catch (e) {
			postData["ERROR"] = e;
		}
		jsDebug.isExpression = false;
		var submitString = "{}";
		try{
			submitString = json2string(postData);
		}catch(e){

		}
		var res = empBridge.debug(obj2string(postData));
		jsDebug.parseResult(res,evalFunc);
	} catch (e) {
		alert(e);
	}
}

/**
 * 
 */
jsDebug.parseResult = function(result, evalFunc) {
	if (result) {
		if (result.indexOf("{") == 0) {
			try {
				eval("var retObj = " + result);
				if( retObj["COMMAND"]){
					if(retObj["COMMAND"]=="EXPRESSION"){
						jsDebug.evalExpression(retObj["EXPRESSION"], evalFunc);
					}else if(retObj["COMMAND"]=="VALUE"){
						jsDebug.evalValue(retObj["EXPRESSION"], evalFunc);
					}else{
						jsDebug.isExpression = false;
						jsDebug.debugCommand = retObj["COMMAND"];
						if (jsDebug.debugCommand == "BREAKPOINT") {
							jsDebug.breakpoints = retObj["BREAKPOINTS"];
						}
					}
				}
                return retObj;
			} catch (e) {
			}
		} else {
			 alert("Debug error:" + result);
		}
	} else {

	}
}



function json2string(obj, depth) {
	depth = depth || 0;
	if (typeof obj == "function") {
		return "\"function\"";
	}  else if (obj && typeof obj.pop == 'function' && obj instanceof Array) {
		return array2string(obj, depth + 1);
	} else if (typeof obj == "object") {
		return obj2string(obj, depth + 1);
	} else {
		if (typeof obj == "string") {
			return "\"" + obj.replace(/"/gm, "'").replace(/\n|\r/gm, "")
					+ "\"";
		} else if (typeof obj == "number") {
			if (isFinite(obj)) {
				return obj;
			} else {
				return "\"out of number\"";
			}
		} else {
			//return util.jsonToString(obj).replace(/"/gm, "\\\"").replace(/\n|\r/gm, "");
		}
	}
}

function obj2string(obj, depth) {
	depth = depth || 0;
		var arr = [];
		for (var prop in obj) {
			try {
				if (obj.hasOwnProperty(prop) && typeof(obj[prop]) != "function") {
					if (depth < 9) {
						arr.push("\"" + prop + "\":"
								+ json2string(obj[prop], depth + 1));
					} else {
						arr.push("\"" + prop + "\":\"...\"")
					}
				}
			} catch (e) {

			}
		}
		return "{" + arr.join(",") + "}";
}

function complexObj2String(obj){
	var arr = [];
	for (var prop in obj) {
		try {
			if (typeof(obj[prop]) != "function") {
				var value = (obj[prop] + "").replace(/"/gm, "'").replace(/\n|\r/gm, "");
				arr.push("\"" + prop + "\":\""
						+ value + "\"");
			}
		} catch (e) {

		}
	}
	return "{" + arr.join(",") + "}";
}
function array2string(array, depth) {
	depth = depth || 0;
	var arr = [];
	for (var i = 0; i < array.length; i++) {
		arr.push(json2string(array[i], depth + 1));
	}
	return "[" + arr.join(",") + "]";
}

function mergeJsonObject(jsonbject1, jsonbject2)  
{  
    var resultJsonObject={};  
    for(var attr in jsonbject1){  
        resultJsonObject[attr]=jsonbject1[attr];  
    }  
    for(var attr in jsonbject2){  
        resultJsonObject[attr]=jsonbject2[attr];  
    }  

    return resultJsonObject;  
};  

function convertStringToJSON(str){
    var stu = eval('('+str+')');
    return stu;
}

function contains(a,obj){
	var i = a.length;
	while(i--){
		if(a[i]===obj){
			return true;
		}
	}
	return false;
}

jsDebug.getBreakPoint = function(async) {
	var postData = {"COMMAND":"RESUME"}; 
    var res = empBridge.debug(obj2string(postData));
    var retObj = util.stringToJson(res);
    jsDebug.breakpoints = retObj["BREAKPOINTS"];
    return;

	async = async?false:true;
	log(":"+async);
	try{
//	var jsonResume = "{\"COMMAND\":\"RESUME\"}";
		var postData = {"COMMAND":"RESUME"}; 
	if(async){
		var id;
	    log("");
		id = setInterval(jsDebug.getBreakPoint,1000);
	}else{
		log("");
	    var res = empBridge.debug(obj2string(postData));
	    var retObj = util.stringToJson(res);
	    jsDebug.breakpoints = retObj["BREAKPOINTS"];
	}
	} catch(e){
		
	}
}

jsDebug.getBreakPoint();

jsDebug.debug =  function(resource,line,scope,args,evalFunc){
	var isNewStack = false;
	if(args&&args["_funcIndex"]==undefined){
		if(args.callee.caller && args.callee.caller.arguments){
			if(args.callee.caller.arguments["__funcIndex"]==undefined){
				args["__funcIndex"] = DEBUG_FUNC_INDEX++;
				isNewStack = true;
			}else{
				args["__funcIndex"] = args.callee.caller.arguments["__funcIndex"];
			}
		}
	}
	
	if (jsDebug.isExpression) {
		return;
	}
	
	
	try {
		jsDebug.currResource = resource;
		jsDebug.currLine = line;
		if (jsDebug.debugCommand == null) {
			jsDebug.debugCommand = "START";
		}
		if (jsDebug.debugCommand == "TERMINATE") {
			throw "exit";
		}
		if(!jsDebug.breakpoints){
			jsDebug.getBreakPoint(true);
		}
		if (!(jsDebug.breakpoints && jsDebug.breakpoints[resource + line])) {
			if (jsDebug.debugCommand == "STEPRETURN"
					|| jsDebug.debugCommand == "STEPOVER") {
				var parentFunc = jsDebug.functionStack[jsDebug.functionStack.length
						- 2];
				var currFunc = jsDebug.functionStack[jsDebug.functionStack.length
						- 1];
				if(currFunc && (currFunc==args.callee)){
					if(jsDebug.debugCommand == "STEPRETURN"){
						return;
					}
					// do nothing
				}else{
					if (parentFunc && (args.callee.caller == parentFunc)) {
						jsDebug.stepReturn(parentFunc);
						jsDebug.debug(resource, line, scope, args, evalFunc);
						if(jsDebug.debugCommand == "STEPRETURN"){
							return;
						}
					}else{
//						if(args.callee){
//							return;
//						}
					}
				}

			}
			if (jsDebug.debugCommand == "STEPRETURN") {
				if (!jsDebug.isStepReturn(args)) {
					if(args.callee){
						return;
					}
				}
			} else if (jsDebug.debugCommand == "STEPOVER") {
				if (!jsDebug.isStepOver(args)) {
					if(args.callee){
						return;
					}
				}
			} else if (jsDebug.debugCommand == "RESUME") {
				return;
			} else if (jsDebug.debugCommand == "STEPINTO") {

			} else {
				return;
			}
		} else {
			jsDebug.debugCommand = "BREAKPOINT";
		}
		
		var data = getFuncData(args,evalFunc);
		var windowData = getWindowData(args,evalFunc);
		var stack = mergeJsonObject(windowData,data);
		
		jsDebug.updateStack(args, resource, scope, line, evalFunc);
		
		var postData = {
				"STACK" : stack,
				"COMMAND" : jsDebug.debugCommand,
				"RESOURCE" : resource,
				"LINE" : line,
				"NEWSTACK":true
		};
		var postDataStr = json2string(postData,0);
		
	    var res = empBridge.debug(postDataStr);
		
		jsDebug.parseResult(res, evalFunc);
		
	} catch (e) {

	}

};

var $jsd = jsDebug.debug;
Emp.page.setId('_BODY_29931164');
$M.includeFile("/template/fan_groupticket_template.html");
var _div_5035603 = new Emp.Panel({"id":"_div_5035603","height":"44","layout":"HBox","width":"100%","backgroundImage":"/fan_group/u93.png"});
_div_5035603.addEvent('onClick',goBack);
var _img_9110297 = new Emp.Image({"id":"_img_9110297","height":"25","width":"25","src":"/icon_128/iconfont-back.png"});
_div_5035603.add(_img_9110297);
var title = new Emp.Label({"id":"title","color":"#999999","tag":"title","value":"","fontSize":"16"});
_div_5035603.add(title);
Emp.page.add(_div_5035603);
var _div_25786132 = new Emp.Panel({"id":"_div_25786132","height":"1","backgroundColor":"#CCCCCC","borderWidth":"0","width":"100%"});
Emp.page.add(_div_25786132);
var _div_32046414 = new Emp.Panel({"id":"_div_32046414","marginBottom":"10","height":"-2","marginTop":"10","layout":"VBox","width":"100%"});
var _div_21901245 = new Emp.Panel({"id":"_div_21901245","height":"-2","layout":"HBox","width":"100%"});
var titlephoto = new Emp.Image({"id":"titlephoto","height":"25","vAlign":"middle","tag":"titlephoto","hAlign":"left","width":"25","src":""});
titlephoto.addEvent('onClick',gophotohuifu);
_div_21901245.add(titlephoto);
var fantitle = new Emp.Label({"id":"fantitle","vAlign":"middle","marginLeft":"5","tag":"fantitle","width":"260","hAlign":"left","maxWidth":"190","fontSize":"16","singleLine":"false"});
_div_21901245.add(fantitle);
var pointsContainer = new Emp.Panel({"id":"pointsContainer","borderColor":"#ffffff","height":"25","vAlign":"middle","backgroundColor":"#33CC99","borderWidth":"2","hAlign":"center","width":"50","cornerRadius":"5"});
var points = new Emp.Label({"id":"points","vAlign":"middle","color":"#ffffff","tag":"points","hAlign":"center","value":""});
pointsContainer.add(points);
_div_21901245.add(pointsContainer);
_div_32046414.add(_div_21901245);
var _div_14485187 = new Emp.Panel({"id":"_div_14485187","height":"20","vAlign":"middle","layout":"HBox","width":"100%"});
var img2 = new Emp.Image({"id":"img2","height":"15","marginLeft":"5","tag":"img2","width":"15","src":"/icon_128/iconfont-time.png"});
_div_14485187.add(img2);
var photoexittime2 = new Emp.Label({"id":"photoexittime2","height":"20","marginLeft":"5","color":"#CCCCCC","tag":"photoexittime2","fontSize":"12"});
_div_14485187.add(photoexittime2);
_div_32046414.add(_div_14485187);
var topicId = new Emp.Text({"id":"topicId","display":"false"});
_div_32046414.add(topicId);
var fanGrpId = new Emp.Text({"id":"fanGrpId","display":"false"});
_div_32046414.add(fanGrpId);
Emp.page.add(_div_32046414);
var _div_4210347 = new Emp.Panel({"id":"_div_4210347","height":"100%","backgroundColor":"#f0f0f0","width":"100%"});
var listview = new Emp.ListView({"id":"listview","height":"100%","width":"100%"});
_div_4210347.add(listview);
Emp.page.add(_div_4210347);
var layer = new Emp.Panel({"position":"relative","id":"layer","height":"100%","visibility":"false","width":"100%"});
layer.addEvent('onClick',clickOther);
var menu = new Emp.Panel({"position":"relative","id":"menu","height":"200","backgroundColor":"#f2f2f2","hAlign":"center","layout":"VBox","width":"100%","top":"20"});
var _input_32277230 = new Emp.Label({"id":"_input_32277230","marginBottom":"10","marginTop":"10","value":"分享","fontBold":"true","fontSize":"20"});
menu.add(_input_32277230);
var _div_8916111 = new Emp.Panel({"id":"_div_8916111","height":"100%","width":"100%"});
var _div_32550321 = new Emp.Panel({"id":"_div_32550321","height":"75","vAlign":"middle","hAlign":"center","layout":"VBox","width":"70"});
_div_32550321.addEvent('onClick',shareWeibo);
var _img_1795690 = new Emp.Image({"id":"_img_1795690","height":"50","width":"50","src":"/fan_tie/u234.png"});
_div_32550321.add(_img_1795690);
var _input_14732465 = new Emp.Label({"id":"_input_14732465","value":"新浪微博","fontSize":"14"});
_div_32550321.add(_input_14732465);
_div_8916111.add(_div_32550321);
var _div_12002139 = new Emp.Panel({"id":"_div_12002139","height":"75","vAlign":"middle","hAlign":"center","layout":"VBox","width":"70"});
var _img_24268706 = new Emp.Image({"id":"_img_24268706","height":"50","width":"50","src":"/fan_tie/u234.png"});
_div_12002139.add(_img_24268706);
var _input_7991290 = new Emp.Label({"id":"_input_7991290","value":"微信朋友圈","fontSize":"14"});
_div_12002139.add(_input_7991290);
_div_8916111.add(_div_12002139);
var _div_13432392 = new Emp.Panel({"id":"_div_13432392","height":"75","vAlign":"middle","hAlign":"center","layout":"VBox","width":"70"});
var _img_3995266 = new Emp.Image({"id":"_img_3995266","height":"50","width":"50","src":"/fan_tie/u234.png"});
_div_13432392.add(_img_3995266);
var _input_14048091 = new Emp.Label({"id":"_input_14048091","value":"微信好友","fontSize":"14"});
_div_13432392.add(_input_14048091);
_div_8916111.add(_div_13432392);
var _div_31924785 = new Emp.Panel({"id":"_div_31924785","height":"75","vAlign":"middle","hAlign":"center","layout":"VBox","width":"70"});
var _img_29486192 = new Emp.Image({"id":"_img_29486192","height":"50","width":"50","src":"/fan_tie/u234.png"});
_div_31924785.add(_img_29486192);
var _input_28809111 = new Emp.Label({"id":"_input_28809111","value":"QQ","fontSize":"14"});
_div_31924785.add(_input_28809111);
_div_8916111.add(_div_31924785);
var _div_9000399 = new Emp.Panel({"id":"_div_9000399","height":"75","vAlign":"middle","hAlign":"center","layout":"VBox","width":"70"});
var _img_6331071 = new Emp.Image({"id":"_img_6331071","height":"50","width":"50","src":"/fan_tie/u234.png"});
_div_9000399.add(_img_6331071);
var _input_5219867 = new Emp.Label({"id":"_input_5219867","value":"QQ空间","fontSize":"14"});
_div_9000399.add(_input_5219867);
_div_8916111.add(_div_9000399);
menu.add(_div_8916111);
var _div_19029966 = new Emp.Panel({"id":"_div_19029966","height":"100%","width":"100%"});
var _div_29350995 = new Emp.Panel({"id":"_div_29350995","height":"75","vAlign":"middle","hAlign":"center","layout":"VBox","width":"70"});
var _img_18475978 = new Emp.Image({"id":"_img_18475978","height":"50","width":"50","src":"/fan_tie/u234.png"});
_div_29350995.add(_img_18475978);
var _input_13054965 = new Emp.Label({"id":"_input_13054965","value":"收藏","fontSize":"14"});
_div_29350995.add(_input_13054965);
_div_19029966.add(_div_29350995);
var _div_2369685 = new Emp.Panel({"id":"_div_2369685","height":"75","vAlign":"middle","hAlign":"center","layout":"VBox","width":"70"});
var _img_27613517 = new Emp.Image({"id":"_img_27613517","height":"50","width":"50","src":"/fan_tie/u234.png"});
_div_2369685.add(_img_27613517);
var _input_9042472 = new Emp.Label({"id":"_input_9042472","value":"删除","fontSize":"14"});
_div_2369685.add(_input_9042472);
_div_19029966.add(_div_2369685);
var _div_8816264 = new Emp.Panel({"id":"_div_8816264","height":"75","vAlign":"middle","hAlign":"center","layout":"VBox","width":"70"});
var _img_32134988 = new Emp.Image({"id":"_img_32134988","height":"50","width":"50","src":"/fan_tie/u234.png"});
_div_8816264.add(_img_32134988);
var _input_611085 = new Emp.Label({"id":"_input_611085","value":"复制链接","fontSize":"14"});
_div_8816264.add(_input_611085);
_div_19029966.add(_div_8816264);
var _div_2850720 = new Emp.Panel({"id":"_div_2850720","height":"75","vAlign":"middle","hAlign":"center","layout":"VBox","width":"70"});
var _img_29890516 = new Emp.Image({"id":"_img_29890516","height":"50","width":"50","src":"/fan_tie/u234.png"});
_div_2850720.add(_img_29890516);
var _input_26511153 = new Emp.Label({"id":"_input_26511153","value":"举报","fontSize":"14"});
_div_2850720.add(_input_26511153);
_div_19029966.add(_div_2850720);
menu.add(_div_19029966);
layer.add(menu);
Emp.page.add(layer);










$jsd('/NewBuyApp/src/fanGroup/fan_ticket.htmlx',86,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);});function setMainData(data) { 
$jsd('/NewBuyApp/src/fanGroup/fan_ticket.htmlx',87,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); topicId.setValue(data.id); 
$jsd('/NewBuyApp/src/fanGroup/fan_ticket.htmlx',88,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); fanGrpId.setValue(data.fanGrpId); 
$jsd('/NewBuyApp/src/fanGroup/fan_ticket.htmlx',89,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); title.setValue(data.fanGrpName); 
if($jsd('/NewBuyApp/src/fanGroup/fan_ticket.htmlx',90,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);})||true) if (data.fanGrpItemType == "1") { 
$jsd('/NewBuyApp/src/fanGroup/fan_ticket.htmlx',91,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); titlephoto.setValue("/icon_128/iconfont-camera.png"); 
$jsd('/NewBuyApp/src/fanGroup/fan_ticket.htmlx',92,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); pointsContainer.setBackgroundColor("#000000"); 
} else { 
if($jsd('/NewBuyApp/src/fanGroup/fan_ticket.htmlx',93,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);})||true) if (data.fanGrpItemType == "2" || data.fanGrpItemType == "3") { 
$jsd('/NewBuyApp/src/fanGroup/fan_ticket.htmlx',94,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); titlephoto.setValue("/icon_128/iconfont-video.png"); 
$jsd('/NewBuyApp/src/fanGroup/fan_ticket.htmlx',95,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); pointsContainer.setBackgroundColor("#33CCFF"); 
} else { 
if($jsd('/NewBuyApp/src/fanGroup/fan_ticket.htmlx',96,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);})||true) if (data.fanGrpItemType == "4") { 
$jsd('/NewBuyApp/src/fanGroup/fan_ticket.htmlx',97,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); titlephoto.setValue("/icon_128/iconfont-vote.png"); 
$jsd('/NewBuyApp/src/fanGroup/fan_ticket.htmlx',98,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); pointsContainer.setBackgroundColor("#FFCC00"); 
} else { 
if($jsd('/NewBuyApp/src/fanGroup/fan_ticket.htmlx',99,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);})||true) if (data.fanGrpItemType == "5") { 
$jsd('/NewBuyApp/src/fanGroup/fan_ticket.htmlx',100,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); titlephoto.setValue("/icon_128/iconfont-event.png"); 
$jsd('/NewBuyApp/src/fanGroup/fan_ticket.htmlx',101,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); pointsContainer.setBackgroundColor("#CC0066"); 
} else { 
if($jsd('/NewBuyApp/src/fanGroup/fan_ticket.htmlx',102,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);})||true) if (data.fanGrpItemType == "6") { 
$jsd('/NewBuyApp/src/fanGroup/fan_ticket.htmlx',103,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); titlephoto.setValue("/icon_128/iconfont-calendar.png"); 
$jsd('/NewBuyApp/src/fanGroup/fan_ticket.htmlx',104,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); pointsContainer.setBackgroundColor("#FF6600"); 
} else { 
$jsd('/NewBuyApp/src/fanGroup/fan_ticket.htmlx',106,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); titlephoto.setValue("/icon_128/iconfont-topic.png"); 
$jsd('/NewBuyApp/src/fanGroup/fan_ticket.htmlx',107,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); pointsContainer.setBackgroundColor("#33CC99"); 
} 
} 
} 
} 
} 
$jsd('/NewBuyApp/src/fanGroup/fan_ticket.htmlx',109,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); fantitle.setValue(data.fanGrpItemTitle); 
$jsd('/NewBuyApp/src/fanGroup/fan_ticket.htmlx',110,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); points.setValue(data.replyCnt); 
$jsd('/NewBuyApp/src/fanGroup/fan_ticket.htmlx',111,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); photoexittime2.setValue(data.dataCreattime); 
} 
$jsd('/NewBuyApp/src/fanGroup/fan_ticket.htmlx',114,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); function clickOther() { 
$jsd('/NewBuyApp/src/fanGroup/fan_ticket.htmlx',115,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); layer.setVisibility(false); 
} 
$jsd('/NewBuyApp/src/fanGroup/fan_ticket.htmlx',118,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); function show() { 
$jsd('/NewBuyApp/src/fanGroup/fan_ticket.htmlx',119,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); layer.setVisibility(true); 
$jsd('/NewBuyApp/src/fanGroup/fan_ticket.htmlx',120,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); menu.moveToY(0, 1000); 
} 
$jsd('/NewBuyApp/src/fanGroup/fan_ticket.htmlx',123,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); function gophotohuifu() { 
$jsd('/NewBuyApp/src/fanGroup/fan_ticket.htmlx',124,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); $M.page.goTo("/fanGroup/fan_photohuifu.html"); 
} 
$jsd('/NewBuyApp/src/fanGroup/fan_ticket.htmlx',127,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); function gofabu() { 
$jsd('/NewBuyApp/src/fanGroup/fan_ticket.htmlx',128,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); $M.page.goTo("/fanGroup/fan_bookfabu.html"); 
} 
$jsd('/NewBuyApp/src/fanGroup/fan_ticket.htmlx',131,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); function shareWeibo() { 
$jsd('/NewBuyApp/src/fanGroup/fan_ticket.htmlx',132,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); clickOther(); 
$jsd('/NewBuyApp/src/fanGroup/fan_ticket.htmlx',133,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); toast("weibo"); 
} 
$jsd('/NewBuyApp/src/fanGroup/fan_ticket.htmlx',136,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); function goBack() { 
$jsd('/NewBuyApp/src/fanGroup/fan_ticket.htmlx',137,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); $M.page.goBack({animation:"slideright"}); 
} 
$jsd('/NewBuyApp/src/fanGroup/fan_ticket.htmlx',140,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); listview.setTemplate(tem1); 
$jsd('/NewBuyApp/src/fanGroup/fan_ticket.htmlx',141,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); $M.page.addEvent("onLoad", function (params) { 
$jsd('/NewBuyApp/src/fanGroup/fan_ticket.htmlx',142,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); var preference = new $M.Preferences(); 
$jsd('/NewBuyApp/src/fanGroup/fan_ticket.htmlx',143,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); preference.open("newbuy_config"); 
$jsd('/NewBuyApp/src/fanGroup/fan_ticket.htmlx',144,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); var newbuy_config = preference.get("newbuy_config"); 
$jsd('/NewBuyApp/src/fanGroup/fan_ticket.htmlx',145,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); var ajax = new $M.Ajax(); 
$jsd('/NewBuyApp/src/fanGroup/fan_ticket.htmlx',146,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); ajax.addParams([{name:"fanTopic.id", value:params.topicId}, {name:"fanTopic.fanGrpItemType", value:params.fanGrpItemType}, {name:"loginkey", value:newbuy_config.loginkey}, {name:"mobileImei", value:Utils.getImei()}, {name:"mobileType", value:Utils.getOs()}, {name:"mobileToken", value:Utils.getMessageToken()}]); 
$jsd('/NewBuyApp/src/fanGroup/fan_ticket.htmlx',149,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); ajax.setAction("/mobile/fanTopicAction!getFanTopicInfo.action"); 
$jsd('/NewBuyApp/src/fanGroup/fan_ticket.htmlx',150,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); ajax.submit(function (result) { 
$jsd('/NewBuyApp/src/fanGroup/fan_ticket.htmlx',151,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); log(result); 
$jsd('/NewBuyApp/src/fanGroup/fan_ticket.htmlx',152,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); result = Utils.stringToJson(result); 
if($jsd('/NewBuyApp/src/fanGroup/fan_ticket.htmlx',153,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);})||true) if (result.success) { 
$jsd('/NewBuyApp/src/fanGroup/fan_ticket.htmlx',154,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); setMainData(result.data); 
$jsd('/NewBuyApp/src/fanGroup/fan_ticket.htmlx',155,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); var detailList = result.data.detailList; 
$jsd('/NewBuyApp/src/fanGroup/fan_ticket.htmlx',156,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); log(Utils.jsonToString(generateData1(detailList))); 
$jsd('/NewBuyApp/src/fanGroup/fan_ticket.htmlx',157,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); listview.setItems(generateData1(detailList)); 
$jsd('/NewBuyApp/src/fanGroup/fan_ticket.htmlx',158,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); listview.reloadData(); 
} else { 
$jsd('/NewBuyApp/src/fanGroup/fan_ticket.htmlx',160,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); toast("获取数据失败！"); 
} 
}, function (error) { 
$jsd('/NewBuyApp/src/fanGroup/fan_ticket.htmlx',163,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); toast("网络菌罢工了！"); 
}); 
}); 
$jsd('/NewBuyApp/src/fanGroup/fan_ticket.htmlx',168,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); listview.setOnclickTags(["share"]); 
$jsd('/NewBuyApp/src/fanGroup/fan_ticket.htmlx',170,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); listview.addEvent("onItemClick", function (row, tag, data) { 
if($jsd('/NewBuyApp/src/fanGroup/fan_ticket.htmlx',172,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);})||true) if (tag == "share") { 
$jsd('/NewBuyApp/src/fanGroup/fan_ticket.htmlx',173,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); show(); 
} 
}); 
$jsd('/NewBuyApp/src/fanGroup/fan_ticket.htmlx',177,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); function generateData1(data) { 
if($jsd('/NewBuyApp/src/fanGroup/fan_ticket.htmlx',178,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);})||true) if (data && data.length > 0) { 
$jsd('/NewBuyApp/src/fanGroup/fan_ticket.htmlx',179,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); for (var i = 0; i < data.length; i++) { 
$jsd('/NewBuyApp/src/fanGroup/fan_ticket.htmlx',180,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); var res = data[i].topicResource; 
if($jsd('/NewBuyApp/src/fanGroup/fan_ticket.htmlx',181,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);})||true) if (res && res.length > 0) { 
$jsd('/NewBuyApp/src/fanGroup/fan_ticket.htmlx',182,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); for (var ii = 0; ii < res.length; ii++) { 
$jsd('/NewBuyApp/src/fanGroup/fan_ticket.htmlx',183,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); data[i]["r_img" + (ii + 1)] = res[ii].RESOURCE_URL; 
if($jsd('/NewBuyApp/src/fanGroup/fan_ticket.htmlx',184,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);})||true) if (res[ii].RESOURCE_TYPE != "0") { 
$jsd('/NewBuyApp/src/fanGroup/fan_ticket.htmlx',185,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); data[i]["r_img" + (ii + 1)] = res[ii].RESOURCE_IMG; 
} 
} 
} 
$jsd('/NewBuyApp/src/fanGroup/fan_ticket.htmlx',189,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); var fabulous = data[i].fabulousList; 
if($jsd('/NewBuyApp/src/fanGroup/fan_ticket.htmlx',190,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);})||true) if (fabulous && fabulous.length > 0) { 
$jsd('/NewBuyApp/src/fanGroup/fan_ticket.htmlx',191,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); var length = fabulous.length; 
if($jsd('/NewBuyApp/src/fanGroup/fan_ticket.htmlx',192,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);})||true) if (length > 10) { 
$jsd('/NewBuyApp/src/fanGroup/fan_ticket.htmlx',193,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); length = 10; 
} 
$jsd('/NewBuyApp/src/fanGroup/fan_ticket.htmlx',195,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); for (var ii = 0; ii < length; ii++) { 
$jsd('/NewBuyApp/src/fanGroup/fan_ticket.htmlx',196,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); data[i]["t_img" + (ii + 1)] = fabulous[ii].address; 
} 
} 
} 
} 
$jsd('/NewBuyApp/src/fanGroup/fan_ticket.htmlx',201,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); return data; 
} 
$jsd('/NewBuyApp/src/fanGroup/fan_ticket.htmlx',204,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); function replyTopic() { 
$jsd('/NewBuyApp/src/fanGroup/fan_ticket.htmlx',205,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); var preference = new $M.Preferences(); 
$jsd('/NewBuyApp/src/fanGroup/fan_ticket.htmlx',206,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); preference.open("newbuy_config"); 
$jsd('/NewBuyApp/src/fanGroup/fan_ticket.htmlx',207,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); var newbuy_config = preference.get("newbuy_config"); 
$jsd('/NewBuyApp/src/fanGroup/fan_ticket.htmlx',208,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); var ajax = new $M.Ajax(); 
$jsd('/NewBuyApp/src/fanGroup/fan_ticket.htmlx',209,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); ajax.addParams([{name:"loginkey", value:newbuy_config.loginkey}, {name:"mobileImei", value:Utils.getImei()}, {name:"mobileType", value:Utils.getOs()}, {name:"mobileToken", value:Utils.getMessageToken()}]); 
$jsd('/NewBuyApp/src/fanGroup/fan_ticket.htmlx',215,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); ajax.setAction("/mobile/loginAction!getUserInfoBySession.action"); 
$jsd('/NewBuyApp/src/fanGroup/fan_ticket.htmlx',216,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); ajax.submit(function (result) { 
$jsd('/NewBuyApp/src/fanGroup/fan_ticket.htmlx',217,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); result = Utils.stringToJson(result); 
if($jsd('/NewBuyApp/src/fanGroup/fan_ticket.htmlx',218,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);})||true) if (result.success) { 
if($jsd('/NewBuyApp/src/fanGroup/fan_ticket.htmlx',219,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);})||true) if (result.data != null && result.data.userid != null && result.data.userid != "") { 
$jsd('/NewBuyApp/src/fanGroup/fan_ticket.htmlx',221,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); var preference = new $M.Preferences(); 
$jsd('/NewBuyApp/src/fanGroup/fan_ticket.htmlx',222,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); preference.open("newbuy_config"); 
$jsd('/NewBuyApp/src/fanGroup/fan_ticket.htmlx',223,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); var newbuy_config = preference.get("newbuy_config"); 
$jsd('/NewBuyApp/src/fanGroup/fan_ticket.htmlx',224,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); var params = [{name:"fanTopic.fanGrpItemContent", value:content.getValue()}, {name:"fanTopic.fanGrpId", value:fanGrpId.getValue()}, {name:"fanTopic.id", value:topicId.getValue()}, {name:"loginkey", value:newbuy_config.loginkey}, {name:"mobileImei", value:Utils.getImei()}, {name:"mobileType", value:Utils.getOs()}, {name:"mobileToken", value:Utils.getMessageToken()}]; 
$jsd('/NewBuyApp/src/fanGroup/fan_ticket.htmlx',232,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); var ajax1 = new $M.Ajax(); 
$jsd('/NewBuyApp/src/fanGroup/fan_ticket.htmlx',233,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); ajax1.addParams(params); 
$jsd('/NewBuyApp/src/fanGroup/fan_ticket.htmlx',234,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); ajax1.setAction("/mobile/fanTopicAction!replyTopic.action"); 
$jsd('/NewBuyApp/src/fanGroup/fan_ticket.htmlx',235,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); ajax1.submit(function (result) { 
$jsd('/NewBuyApp/src/fanGroup/fan_ticket.htmlx',236,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); result = Utils.stringToJson(result); 
if($jsd('/NewBuyApp/src/fanGroup/fan_ticket.htmlx',237,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);})||true) if (result.success) { 
$jsd('/NewBuyApp/src/fanGroup/fan_ticket.htmlx',238,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); toast("回贴成功！"); 
} else { 
$jsd('/NewBuyApp/src/fanGroup/fan_ticket.htmlx',241,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); toast("回贴失败！"); 
} 
}, function (error) { 
$jsd('/NewBuyApp/src/fanGroup/fan_ticket.htmlx',244,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); toast("网络菌罢工了！"); 
}); 
} else { 
$jsd('/NewBuyApp/src/fanGroup/fan_ticket.htmlx',247,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); $M.page.goTo("/fanReg/login.html", null, true); 
} 
} else { 
$jsd('/NewBuyApp/src/fanGroup/fan_ticket.htmlx',250,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); $M.page.goTo("/fanReg/login.html", null, true); 
} 
}, function (error) { 
$jsd('/NewBuyApp/src/fanGroup/fan_ticket.htmlx',253,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); toast("网络菌罢工了！"); 
}); 
} 
$jsd('/NewBuyApp/src/fanGroup/fan_ticket.htmlx',261,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); function deletePic() { 
$jsd('/NewBuyApp/src/fanGroup/fan_ticket.htmlx',262,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); this.setSrc(""); 
} 
 
Emp.page.render();
