var top = this;

var arguments = [];
var window= top;

arguments.callee = {};
var DEBUG_FUNC_INDEX = 1;

var del = ["arguments","top","window","Emp","empBridge","util","DEBUG_FUNC_INDEX","del","BridgeUtil","ResultUtil"];

function jsDebug(){
	
}

jsDebug.debugCommand = null;
jsDebug.currResource = null;
jsDebug.breakpoints = null;
jsDebug.functionStack = [];
jsDebug.currResource = null;
jsDebug.currLine = null;
jsDebug.isExpression = false;

/**
 * 
 */
jsDebug.getErrorStack = function(func) {
	var stack = [];
	while (func) {
		var funcStr = func.toString();
		var funcOffset = funcStr.indexOf(")");
		var funcHead = funcStr.substring(0, funcOffset + 1);
		var args = func.arguments;
		var argArr = [];
		for (var i = 0; i < args.length; i++) {
			argArr.push(args[i]);
		}
		stack.push(funcHead + json2string(argArr, 12));
		func = func.caller;
	}
	return stack.join("\n");
}

/**
 * 
 */
var parseVars = function(line) {
	var varNames = [];
	if (line && line.length > 0) {
		var endOffset = line.indexOf(";");
		if (endOffset > 0) {
			line = line.substring(0, endOffset);
		}
		var lineArr = line.split(",");
		for (var i = 0; i < lineArr.length; i++) {
			var varStr = lineArr[i];
			var varEndOffset = varStr.indexOf("=");
			if (varEndOffset > 0) {
				varNames.push(varStr.substring(0, varEndOffset));
			} else {
				varNames.push(varStr);
			}
		}
	}
	return varNames;
}

/**
 * 
 */
jsDebug.updateStack = function(args, resource, scope, line, evalFunc) {
	if (args && args.callee) {
		var func = args.callee;
		func.__resource = resource;
		func.__line = line;
		func.__evalFunc = evalFunc;
		func.__scope = scope;
		for (var i = jsDebug.functionStack.length - 1; i > -1; i--) {
			if (func == jsDebug.functionStack[i]) {
				jsDebug.functionStack = jsDebug.functionStack.slice(0, i + 1);
				return;
			}
		}
		jsDebug.functionStack.push(func);
	} else {
		jsDebug.functionStack = [];
	}

}

/**
 * 
 */
var getFuncData = function(args, evalFunc) {
	
		var vars = [];
		var func = args.callee;
		if (func) {
			var funcStr = func.toString().replace(/\n/g, "");
			var argStart = funcStr.indexOf("(");
			var argEnd = funcStr.indexOf(")");
			if (argStart > 0 && argEnd > 0) {
				var argStr = funcStr.substring(argStart + 1, argEnd);
				vars = argStr.split(",");
			}
			var nameArr = funcStr.split("var ");
			for (var i = 1; i < nameArr.length; i++) {
				var line = nameArr[i];
				vars = vars.concat(parseVars(line));
			}
		}
		var data = {};
		
		for (var i = 0; i < vars.length; i++) {
			var key = vars[i];
			if (key && key.length > 0) {
				key = key.replace(/\n|\r|\t| /g, "");
				if (/^[A-Za-z0-9_\$]*$/.test(key)) {
					try {
						var result = evalFunc(key);
						if (result == undefined) {
							data[key] = {"value":"undefined","type":"string"};
						} else if (result == null) {
							data[key] = {"value":"null","type":"string"};
						} else {
							data[key] = {"value":evalFunc(key),"type":typeof(evalFunc(key))};
						}
					} catch (e) {

					}
				}
			}
		}
		return data;
}

var getWindowData = function(args,evalFunc){
	var data = {};
	for (var i in top) { 
	    data[i] = {value:top[i],type:typeof(top[i])};
	}
//	return {"x":{"value":top.x,"type":typeof(top.x)}};

	return {"window":{value:top,type:typeof(top)}};
}


/**
 * find if arguments is stepreturn context
 */
jsDebug.isStepReturn = function(args) {
	if (args) {
		var func = args.callee;
		for (var i = jsDebug.functionStack.length - 2; i > -1; i--) {
			if (func == jsDebug.functionStack[i]) {
				return true;
			}
		}
		return false;
	} else {
		return true;
	}
}

/**
 * find if arguments is stepover context
 */
jsDebug.isStepOver = function(args) {
	if (args) {
		var func = args.callee;
		for (var i = jsDebug.functionStack.length - 1; i > -1; i--) {
			if (func == jsDebug.functionStack[i]) {
				return true;
			}
		}
		return false;
	} else {
		return true;
	}
}

/**
 * 
 */
jsDebug.error = function(e, resource, line,callFunc) {
	try {
		var funcStr = callFunc + "";
			if(funcStr.indexOf("function anonymous")>=0){
				funcStr = undefined;
			}
		var postData = {
			"ERROR" : encodeURI(e),
			"COMMAND" : "ERROR",
			"RESOURCE" : resource,
			"LINE" : line,
			"ERRORFUNC":funcStr,
			"ISIE":isIE
		}
		empBridge.debug(obj2string(postData));
	} catch (e) {

	}
}

/**
 * 
 */
jsDebug.stepReturn = function(func) {
	try {
		var data = jsDebug.getFuncData(func.arguments, func.__evalFunc);
		jsDebug.updateStack(func.arguments, func.__resource, func.__scope,
				func.__line, func.__evalFunc);
		if (func.__scope != top) {
			data["this"] = func.__scope;
		}
		var postData = {
			"STACK" : data,
			"COMMAND" : jsDebug.debugCommand,
			"RESOURCE" : func.__resource,
			"LINE" : func.__line
		}
		var res = empBridge.debug(obj2string(postData));
		jsDebug.parseResult(res,func.__evalFunc);
		
	} catch (e) {
	}
}


jsDebug.evalExpression = function(expression, evalFunc) {
	try {
	//	jsDebug.xmlHttp.open("POST", "/jsdebug.debug?" + new Date(), false);
		var postData = {
			"STACK" : {},
			"COMMAND" : "EXPRESSION",
			"EXPRESSION" : expression
		}
		try {
			jsDebug.isExpression = true;
			var ret = evalFunc(expression);
			if(typeof(ret)=="undefined"){
				ret = "undefined";
			}else if(ret==null){
				ret = "null";
			}
			postData["RESULT"] = ret;
		} catch (e) {
			postData["ERROR"] = e;
		}
		jsDebug.isExpression = false;
		var res = empBridge.debug(obj2string(postData));
		jsDebug.parseResult(res,evalFunc);
	} catch (e) {

	}
}

jsDebug.evalValue = function(expression, evalFunc){
	try {
//		jsDebug.xmlHttp.open("POST", "/jsdebug.debug?" + new Date(), false);
		var postData = {
			"STACK" : {},
			"COMMAND" : "VALUE",
			"EXPRESSION" : expression
		}
		try {
			jsDebug.isExpression = true;
			var ret = evalFunc(expression);
			var data = {};
			if(typeof(ret)=="undefined"){
				ret = "undefined";
			}else if(ret==null){
				ret = "null";
			}else{
				for(var prop in ret){
					try{
						if(prop!="postData"&&!contains(del,prop)){
						var value = ret[prop];
						var type = typeof(value);
						if(type=="function"){
							continue;
						}
						var stringValue = "";
						if(value){
							stringValue = value.toString();
						}
						if(value==null){
							stringValue = "null";
							type = "null";
						}else if(value==undefined){
							stringValue = "undefined";
							type = "undefined";
						}
						data[prop] = {"value":stringValue,"type":typeof(value)};
						}
					}catch(e){

					}
				}
			}
			postData["RESULT"] = data;
		} catch (e) {
			postData["ERROR"] = e;
		}
		jsDebug.isExpression = false;
		var submitString = "{}";
		try{
			submitString = json2string(postData);
		}catch(e){

		}
		var res = empBridge.debug(obj2string(postData));
		jsDebug.parseResult(res,evalFunc);
	} catch (e) {
		alert(e);
	}
}

/**
 * 
 */
jsDebug.parseResult = function(result, evalFunc) {
	if (result) {
		if (result.indexOf("{") == 0) {
			try {
				eval("var retObj = " + result);
				if( retObj["COMMAND"]){
					if(retObj["COMMAND"]=="EXPRESSION"){
						jsDebug.evalExpression(retObj["EXPRESSION"], evalFunc);
					}else if(retObj["COMMAND"]=="VALUE"){
						jsDebug.evalValue(retObj["EXPRESSION"], evalFunc);
					}else{
						jsDebug.isExpression = false;
						jsDebug.debugCommand = retObj["COMMAND"];
						if (jsDebug.debugCommand == "BREAKPOINT") {
							jsDebug.breakpoints = retObj["BREAKPOINTS"];
						}
					}
				}
                return retObj;
			} catch (e) {
			}
		} else {
			 alert("Debug error:" + result);
		}
	} else {

	}
}



function json2string(obj, depth) {
	depth = depth || 0;
	if (typeof obj == "function") {
		return "\"function\"";
	}  else if (obj && typeof obj.pop == 'function' && obj instanceof Array) {
		return array2string(obj, depth + 1);
	} else if (typeof obj == "object") {
		return obj2string(obj, depth + 1);
	} else {
		if (typeof obj == "string") {
			return "\"" + obj.replace(/"/gm, "'").replace(/\n|\r/gm, "")
					+ "\"";
		} else if (typeof obj == "number") {
			if (isFinite(obj)) {
				return obj;
			} else {
				return "\"out of number\"";
			}
		} else {
			//return util.jsonToString(obj).replace(/"/gm, "\\\"").replace(/\n|\r/gm, "");
		}
	}
}

function obj2string(obj, depth) {
	depth = depth || 0;
		var arr = [];
		for (var prop in obj) {
			try {
				if (obj.hasOwnProperty(prop) && typeof(obj[prop]) != "function") {
					if (depth < 9) {
						arr.push("\"" + prop + "\":"
								+ json2string(obj[prop], depth + 1));
					} else {
						arr.push("\"" + prop + "\":\"...\"")
					}
				}
			} catch (e) {

			}
		}
		return "{" + arr.join(",") + "}";
}

function complexObj2String(obj){
	var arr = [];
	for (var prop in obj) {
		try {
			if (typeof(obj[prop]) != "function") {
				var value = (obj[prop] + "").replace(/"/gm, "'").replace(/\n|\r/gm, "");
				arr.push("\"" + prop + "\":\""
						+ value + "\"");
			}
		} catch (e) {

		}
	}
	return "{" + arr.join(",") + "}";
}
function array2string(array, depth) {
	depth = depth || 0;
	var arr = [];
	for (var i = 0; i < array.length; i++) {
		arr.push(json2string(array[i], depth + 1));
	}
	return "[" + arr.join(",") + "]";
}

function mergeJsonObject(jsonbject1, jsonbject2)  
{  
    var resultJsonObject={};  
    for(var attr in jsonbject1){  
        resultJsonObject[attr]=jsonbject1[attr];  
    }  
    for(var attr in jsonbject2){  
        resultJsonObject[attr]=jsonbject2[attr];  
    }  

    return resultJsonObject;  
};  

function convertStringToJSON(str){
    var stu = eval('('+str+')');
    return stu;
}

function contains(a,obj){
	var i = a.length;
	while(i--){
		if(a[i]===obj){
			return true;
		}
	}
	return false;
}

jsDebug.getBreakPoint = function(async) {
	var postData = {"COMMAND":"RESUME"}; 
    var res = empBridge.debug(obj2string(postData));
    var retObj = util.stringToJson(res);
    jsDebug.breakpoints = retObj["BREAKPOINTS"];
    return;

	async = async?false:true;
	log(":"+async);
	try{
//	var jsonResume = "{\"COMMAND\":\"RESUME\"}";
		var postData = {"COMMAND":"RESUME"}; 
	if(async){
		var id;
	    log("");
		id = setInterval(jsDebug.getBreakPoint,1000);
	}else{
		log("");
	    var res = empBridge.debug(obj2string(postData));
	    var retObj = util.stringToJson(res);
	    jsDebug.breakpoints = retObj["BREAKPOINTS"];
	}
	} catch(e){
		
	}
}

jsDebug.getBreakPoint();

jsDebug.debug =  function(resource,line,scope,args,evalFunc){
	var isNewStack = false;
	if(args&&args["_funcIndex"]==undefined){
		if(args.callee.caller && args.callee.caller.arguments){
			if(args.callee.caller.arguments["__funcIndex"]==undefined){
				args["__funcIndex"] = DEBUG_FUNC_INDEX++;
				isNewStack = true;
			}else{
				args["__funcIndex"] = args.callee.caller.arguments["__funcIndex"];
			}
		}
	}
	
	if (jsDebug.isExpression) {
		return;
	}
	
	
	try {
		jsDebug.currResource = resource;
		jsDebug.currLine = line;
		if (jsDebug.debugCommand == null) {
			jsDebug.debugCommand = "START";
		}
		if (jsDebug.debugCommand == "TERMINATE") {
			throw "exit";
		}
		if(!jsDebug.breakpoints){
			jsDebug.getBreakPoint(true);
		}
		if (!(jsDebug.breakpoints && jsDebug.breakpoints[resource + line])) {
			if (jsDebug.debugCommand == "STEPRETURN"
					|| jsDebug.debugCommand == "STEPOVER") {
				var parentFunc = jsDebug.functionStack[jsDebug.functionStack.length
						- 2];
				var currFunc = jsDebug.functionStack[jsDebug.functionStack.length
						- 1];
				if(currFunc && (currFunc==args.callee)){
					if(jsDebug.debugCommand == "STEPRETURN"){
						return;
					}
					// do nothing
				}else{
					if (parentFunc && (args.callee.caller == parentFunc)) {
						jsDebug.stepReturn(parentFunc);
						jsDebug.debug(resource, line, scope, args, evalFunc);
						if(jsDebug.debugCommand == "STEPRETURN"){
							return;
						}
					}else{
//						if(args.callee){
//							return;
//						}
					}
				}

			}
			if (jsDebug.debugCommand == "STEPRETURN") {
				if (!jsDebug.isStepReturn(args)) {
					if(args.callee){
						return;
					}
				}
			} else if (jsDebug.debugCommand == "STEPOVER") {
				if (!jsDebug.isStepOver(args)) {
					if(args.callee){
						return;
					}
				}
			} else if (jsDebug.debugCommand == "RESUME") {
				return;
			} else if (jsDebug.debugCommand == "STEPINTO") {

			} else {
				return;
			}
		} else {
			jsDebug.debugCommand = "BREAKPOINT";
		}
		
		var data = getFuncData(args,evalFunc);
		var windowData = getWindowData(args,evalFunc);
		var stack = mergeJsonObject(windowData,data);
		
		jsDebug.updateStack(args, resource, scope, line, evalFunc);
		
		var postData = {
				"STACK" : stack,
				"COMMAND" : jsDebug.debugCommand,
				"RESOURCE" : resource,
				"LINE" : line,
				"NEWSTACK":true
		};
		var postDataStr = json2string(postData,0);
		
	    var res = empBridge.debug(postDataStr);
		
		jsDebug.parseResult(res, evalFunc);
		
	} catch (e) {

	}

};

var $jsd = jsDebug.debug;
Emp.page.setId('_BODY_19617449');
$M.includeFile("/template/fan_groupbook_template.html");
$M.includeFile("/template/reward_template.html");
$M.includeFile("/template/photo_template.html");
$M.includeFile("/template/topic_opt_template.html");
var sortoptdiv = new Emp.Panel({"id":"sortoptdiv","position":"relative","height":"81","vAlign":"middle","hAlign":"center","width":"100%","display":"false","top":"44"});
var _div_289274 = new Emp.Panel({"id":"_div_289274","height":"81","borderColor":"#eeeeee","vAlign":"middle","backgroundColor":"#ffffff","borderWidth":"1","hAlign":"center","layout":"VBox","width":"150"});
var asc = new Emp.Label({"id":"asc","height":"40","vAlign":"middle","color":"#FFCC66","hAlign":"center","width":"150","value":"时间正序","fontSize":"16"});
asc.addEvent('onClick',setsort);
_div_289274.add(asc);
var _div_3432619 = new Emp.Panel({"id":"_div_3432619","height":"1","backgroundColor":"#eeeeee","width":"100%"});
_div_289274.add(_div_3432619);
var desc = new Emp.Label({"id":"desc","height":"40","vAlign":"middle","color":"#999999","hAlign":"center","width":"150","value":"时间倒序","fontSize":"16"});
desc.addEvent('onClick',setsort);
_div_289274.add(desc);
sortoptdiv.add(_div_289274);
Emp.page.add(sortoptdiv);
var _div_18903562 = new Emp.Panel({"id":"_div_18903562","height":"44","vAlign":"middle","layout":"HBox","width":"100%","fontSize":"18"});
var _div_18807919 = new Emp.Panel({"id":"_div_18807919","height":"100%","vAlign":"middle","width":"90"});
_div_18807919.addEvent('onClick',goBack);
var _img_21959783 = new Emp.Image({"id":"_img_21959783","height":"25","width":"25","src":"/icon_128/iconfont-back.png"});
_img_21959783.addEvent('onClick',goBack);
_div_18807919.add(_img_21959783);
_div_18903562.add(_div_18807919);
var _div_12887302 = new Emp.Panel({"id":"_div_12887302","height":"100%","vAlign":"middle","hAlign":"center","width":"100%"});
var _div_3030981 = new Emp.Panel({"id":"_div_3030981","height":"100%","vAlign":"middle","hAlign":"center","width":"90"});
_div_3030981.addEvent('onClick',showsort);
var _input_6083833 = new Emp.Label({"id":"_input_6083833","color":"#999999","value":"帖子排序","fontSize":"14"});
_div_3030981.add(_input_6083833);
var _img_10627237 = new Emp.Image({"id":"_img_10627237","height":"20","width":"20","src":"/icon_128/down.png"});
_div_3030981.add(_img_10627237);
_div_12887302.add(_div_3030981);
_div_18903562.add(_div_12887302);
var _div_1734482 = new Emp.Panel({"id":"_div_1734482","height":"100%","vAlign":"middle","hAlign":"right","width":"90"});
var toTop = new Emp.Label({"id":"toTop","color":"#999999","marginRight":"8","value":"置顶","display":"false","fontSize":"18"});
_div_1734482.add(toTop);
var cancelTop = new Emp.Label({"id":"cancelTop","color":"#999999","marginRight":"8","value":"取消置顶","display":"false","fontSize":"18"});
_div_1734482.add(cancelTop);
_div_18903562.add(_div_1734482);
Emp.page.add(_div_18903562);
var _div_5071234 = new Emp.Panel({"id":"_div_5071234","height":"1","backgroundColor":"#CCCCCC","borderWidth":"0","width":"100%"});
Emp.page.add(_div_5071234);
var _div_3988354 = new Emp.Panel({"id":"_div_3988354","marginBottom":"10","height":"-2","marginTop":"10","layout":"VBox","width":"100%"});
var _div_24069206 = new Emp.Panel({"id":"_div_24069206","height":"-2","marginLeft":"10","layout":"HBox","width":"100%"});
var titlephoto = new Emp.Image({"id":"titlephoto","height":"25","vAlign":"middle","tag":"titlephoto","hAlign":"left","width":"25","src":""});
_div_24069206.add(titlephoto);
var fantitle = new Emp.Label({"id":"fantitle","vAlign":"middle","marginLeft":"5","tag":"fantitle","width":"260","hAlign":"left","maxWidth":"190","fontSize":"16","singleLine":"false"});
_div_24069206.add(fantitle);
var _div_33114089 = new Emp.Panel({"id":"_div_33114089","height":"100%","marginRight":"10","hAlign":"right","width":"100%"});
var pointsContainer = new Emp.Panel({"id":"pointsContainer","borderColor":"#33CCFF","height":"18","vAlign":"middle","backgroundColor":"#33CCFF","borderWidth":"2","hAlign":"center","cornerRadius":"9","paddingLeft":"5","paddingRight":"5"});
var points = new Emp.Label({"id":"points","vAlign":"middle","color":"#ffffff","tag":"points","hAlign":"center","value":"","fontSize":"12"});
pointsContainer.add(points);
_div_33114089.add(pointsContainer);
_div_24069206.add(_div_33114089);
_div_3988354.add(_div_24069206);
var _div_2724436 = new Emp.Panel({"id":"_div_2724436","height":"20","vAlign":"middle","layout":"HBox","width":"100%"});
var img2 = new Emp.Image({"id":"img2","height":"15","marginLeft":"15","tag":"img2","width":"15","src":"/icon_128/iconfont-time.png"});
_div_2724436.add(img2);
var photoexittime2 = new Emp.Label({"id":"photoexittime2","height":"20","marginLeft":"10","color":"#CCCCCC","tag":"photoexittime2","fontSize":"12"});
_div_2724436.add(photoexittime2);
_div_3988354.add(_div_2724436);
var topicId = new Emp.Text({"id":"topicId","value":"","display":"false"});
_div_3988354.add(topicId);
var fanGrpItemType = new Emp.Text({"id":"fanGrpItemType","value":"","display":"false"});
_div_3988354.add(fanGrpItemType);
var fanGrpId = new Emp.Text({"id":"fanGrpId","value":"","display":"false"});
_div_3988354.add(fanGrpId);
var topicCreator = new Emp.Text({"id":"topicCreator","value":"","display":"false"});
_div_3988354.add(topicCreator);
var fanGrpCreator = new Emp.Text({"id":"fanGrpCreator","value":"","display":"false"});
_div_3988354.add(fanGrpCreator);
Emp.page.add(_div_3988354);
var _div_3955194 = new Emp.Panel({"id":"_div_3955194","height":"100%","backgroundColor":"#f0f0f0","width":"100%"});
var listview = new Emp.ListView({"id":"listview","height":"100%","enablePullUp":"true","width":"100%","enablePullDown":"true"});
_div_3955194.add(listview);
Emp.page.add(_div_3955194);
var layer = new Emp.Panel({"position":"relative","id":"layer","height":"100%","visibility":"false","width":"100%"});
layer.addEvent('onClick',clickOther);
var menu = new Emp.Panel({"position":"relative","id":"menu","height":"200","backgroundColor":"#f2f2f2","hAlign":"center","layout":"VBox","width":"100%","top":"20"});
var _input_5808515 = new Emp.Label({"id":"_input_5808515","marginBottom":"10","marginTop":"10","value":"分享","fontBold":"true","fontSize":"20"});
menu.add(_input_5808515);
var _div_13876315 = new Emp.Panel({"id":"_div_13876315","height":"100%","width":"100%"});
var _div_15932579 = new Emp.Panel({"id":"_div_15932579","height":"75","vAlign":"middle","hAlign":"center","layout":"VBox","width":"70"});
_div_15932579.addEvent('onClick',shareWeibo);
var _img_14499835 = new Emp.Image({"id":"_img_14499835","height":"50","width":"50","src":"/icon_128/u134.png"});
_div_15932579.add(_img_14499835);
var _input_26443612 = new Emp.Label({"id":"_input_26443612","value":"新浪微博","fontSize":"14"});
_div_15932579.add(_input_26443612);
_div_13876315.add(_div_15932579);
var _div_9347593 = new Emp.Panel({"id":"_div_9347593","height":"75","vAlign":"middle","hAlign":"center","layout":"VBox","width":"70"});
var _img_3154979 = new Emp.Image({"id":"_img_3154979","height":"50","width":"50","src":"/icon_128/u134.png"});
_div_9347593.add(_img_3154979);
var _input_9734769 = new Emp.Label({"id":"_input_9734769","value":"微信朋友圈","fontSize":"14"});
_div_9347593.add(_input_9734769);
_div_13876315.add(_div_9347593);
var _div_866933 = new Emp.Panel({"id":"_div_866933","height":"75","vAlign":"middle","hAlign":"center","layout":"VBox","width":"70"});
var _img_7924701 = new Emp.Image({"id":"_img_7924701","height":"50","width":"50","src":"/icon_128/u134.png"});
_div_866933.add(_img_7924701);
var _input_12925442 = new Emp.Label({"id":"_input_12925442","value":"微信好友","fontSize":"14"});
_div_866933.add(_input_12925442);
_div_13876315.add(_div_866933);
var _div_6524420 = new Emp.Panel({"id":"_div_6524420","height":"75","vAlign":"middle","hAlign":"center","layout":"VBox","width":"70"});
var _img_47154 = new Emp.Image({"id":"_img_47154","height":"50","width":"50","src":"/icon_128/u134.png"});
_div_6524420.add(_img_47154);
var _input_20768756 = new Emp.Label({"id":"_input_20768756","value":"QQ","fontSize":"14"});
_div_6524420.add(_input_20768756);
_div_13876315.add(_div_6524420);
var _div_27285317 = new Emp.Panel({"id":"_div_27285317","height":"75","vAlign":"middle","hAlign":"center","layout":"VBox","width":"70"});
var _img_29463724 = new Emp.Image({"id":"_img_29463724","height":"50","width":"50","src":"/icon_128/u134.png"});
_div_27285317.add(_img_29463724);
var _input_502567 = new Emp.Label({"id":"_input_502567","value":"QQ空间","fontSize":"14"});
_div_27285317.add(_input_502567);
_div_13876315.add(_div_27285317);
menu.add(_div_13876315);
var _div_24494796 = new Emp.Panel({"id":"_div_24494796","height":"100%","width":"100%"});
var _div_4720597 = new Emp.Panel({"id":"_div_4720597","height":"75","vAlign":"middle","hAlign":"center","layout":"VBox","width":"70"});
var _img_16404446 = new Emp.Image({"id":"_img_16404446","height":"50","width":"50","src":"/icon_128/u134.png"});
_div_4720597.add(_img_16404446);
var _input_26314414 = new Emp.Label({"id":"_input_26314414","value":"收藏","fontSize":"14"});
_div_4720597.add(_input_26314414);
_div_24494796.add(_div_4720597);
var _div_18957775 = new Emp.Panel({"id":"_div_18957775","height":"75","vAlign":"middle","hAlign":"center","layout":"VBox","width":"70"});
var _img_23997460 = new Emp.Image({"id":"_img_23997460","height":"50","width":"50","src":"/icon_128/u134.png"});
_div_18957775.add(_img_23997460);
var _input_1043282 = new Emp.Label({"id":"_input_1043282","value":"删除","fontSize":"14"});
_div_18957775.add(_input_1043282);
_div_24494796.add(_div_18957775);
var _div_19037319 = new Emp.Panel({"id":"_div_19037319","height":"75","vAlign":"middle","hAlign":"center","layout":"VBox","width":"70"});
var _img_18726955 = new Emp.Image({"id":"_img_18726955","height":"50","width":"50","src":"/icon_128/u134.png"});
_div_19037319.add(_img_18726955);
var _input_3376428 = new Emp.Label({"id":"_input_3376428","value":"复制链接","fontSize":"14"});
_div_19037319.add(_input_3376428);
_div_24494796.add(_div_19037319);
var _div_7083011 = new Emp.Panel({"id":"_div_7083011","height":"75","vAlign":"middle","hAlign":"center","layout":"VBox","width":"70"});
var _img_26600618 = new Emp.Image({"id":"_img_26600618","height":"50","width":"50","src":"/icon_128/u134.png"});
_div_7083011.add(_img_26600618);
var _input_30889398 = new Emp.Label({"id":"_input_30889398","value":"举报","fontSize":"14"});
_div_7083011.add(_input_30889398);
_div_24494796.add(_div_7083011);
menu.add(_div_24494796);
layer.add(menu);
Emp.page.add(layer);
var replypanel = new Emp.Panel({"id":"replypanel","height":"50","vAlign":"middle","backgroundColor":"#ffffff","width":"100%","hAlign":"center","layout":"VBox"});
var _div_6929930 = new Emp.Panel({"id":"_div_6929930","height":"1","backgroundColor":"#cccccc","borderWidth":"0","width":"100%"});
replypanel.add(_div_6929930);
var _div_3909020 = new Emp.Panel({"id":"_div_3909020","height":"-2","vAlign":"middle","hAlign":"center","layout":"HBox","width":"100%"});
var _img_32891765 = new Emp.Image({"id":"_img_32891765","height":"32","marginLeft":"5","width":"32","src":"/icon_128/iconfont-addpic.png"});
_img_32891765.addEvent('onClick',showPicPanel);
_div_3909020.add(_img_32891765);
var content = new Emp.Text({"id":"content","height":"50","backgroundColor":"#ffffff","width":"265","emptyText":"写上你的评论","fontSize":"14"});
_div_3909020.add(content);
var publishbtn = new Emp.Panel({"id":"publishbtn","height":"50","backgroundColor":"#FFCC00","vAlign":"middle","hAlign":"center","width":"100%"});
publishbtn.addEvent('onClick',replyTopic);
var _input_15230617 = new Emp.Label({"id":"_input_15230617","color":"#ffffff","value":"发布","fontSize":"16"});
publishbtn.add(_input_15230617);
_div_3909020.add(publishbtn);
var publishingbtn = new Emp.Panel({"id":"publishingbtn","height":"50","backgroundColor":"#CCCCCC","vAlign":"middle","hAlign":"center","width":"100%","display":"false"});
var _input_25663566 = new Emp.Label({"id":"_input_25663566","color":"#ffffff","value":"发布","fontSize":"16"});
publishingbtn.add(_input_25663566);
_div_3909020.add(publishingbtn);
replypanel.add(_div_3909020);
var _div_482814 = new Emp.Panel({"id":"_div_482814","height":"1","backgroundColor":"#cccccc","borderWidth":"0","width":"100%"});
replypanel.add(_div_482814);
var picpanel = new Emp.Panel({"id":"picpanel","height":"100%","vAlign":"middle","width":"100%","layout":"VBox","hAlign":"left","display":"false"});
var addpictip = new Emp.Label({"id":"addpictip","color":"#AAAAAA","marginLeft":"20","marginRight":"50","hAlign":"right","width":"100%","value":"最多9张 长按图片删除 ","fontSize":"14"});
picpanel.add(addpictip);
var _div_10812318 = new Emp.Panel({"id":"_div_10812318","position":"relative","height":"100%","vAlign":"middle","hAlign":"right","layout":"HBox","width":"100%"});
var _div_122280 = new Emp.Panel({"id":"_div_122280","height":"100%","vAlign":"middle","overflow":"x","hAlign":"left","layout":"HBox","width":"100%"});
var img1 = new Emp.Image({"id":"img1","height":"50","width":"50","display":"false","src":""});
img1.addEvent('onClickHold',deletePic);
_div_122280.add(img1);
var img2 = new Emp.Image({"id":"img2","height":"50","width":"50","display":"false","src":""});
img2.addEvent('onClickHold',deletePic);
_div_122280.add(img2);
var img3 = new Emp.Image({"id":"img3","height":"50","width":"50","display":"false","src":""});
img3.addEvent('onClickHold',deletePic);
_div_122280.add(img3);
var img4 = new Emp.Image({"id":"img4","height":"50","width":"50","display":"false","src":""});
img4.addEvent('onClickHold',deletePic);
_div_122280.add(img4);
var img5 = new Emp.Image({"id":"img5","height":"50","width":"50","display":"false","src":""});
img5.addEvent('onClickHold',deletePic);
_div_122280.add(img5);
var img6 = new Emp.Image({"id":"img6","height":"50","width":"50","display":"false","src":""});
img6.addEvent('onClickHold',deletePic);
_div_122280.add(img6);
var img7 = new Emp.Image({"id":"img7","height":"50","width":"50","display":"false","src":""});
img7.addEvent('onClickHold',deletePic);
_div_122280.add(img7);
var img8 = new Emp.Image({"id":"img8","height":"50","width":"50","display":"false","src":""});
img8.addEvent('onClickHold',deletePic);
_div_122280.add(img8);
var img9 = new Emp.Image({"id":"img9","height":"50","width":"50","display":"false","src":""});
img9.addEvent('onClickHold',deletePic);
_div_122280.add(img9);
_div_10812318.add(_div_122280);
var _img_128795 = new Emp.Image({"id":"_img_128795","height":"40","vAlign":"middle","hAlign":"center","width":"40","marginRight":"5","src":"/icon_128/iconfont-picadd.png"});
_img_128795.addEvent('onClick',startCamera);
_div_10812318.add(_img_128795);
picpanel.add(_div_10812318);
replypanel.add(picpanel);
Emp.page.add(replypanel);










$jsd('/NewBuyApp/src/fanGroup/fan_video.htmlx',147,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);});var preference = new $M.Preferences(); 
$jsd('/NewBuyApp/src/fanGroup/fan_video.htmlx',148,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); preference.open("newbuy_config"); 
$jsd('/NewBuyApp/src/fanGroup/fan_video.htmlx',149,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); var newbuy_config = preference.get("newbuy_config") || {}; 
$jsd('/NewBuyApp/src/fanGroup/fan_video.htmlx',150,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); var firstDataIndex = 1; 
$jsd('/NewBuyApp/src/fanGroup/fan_video.htmlx',151,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); var nextDataIndex = 1; 
$jsd('/NewBuyApp/src/fanGroup/fan_video.htmlx',152,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); var picindex = 1; 
$jsd('/NewBuyApp/src/fanGroup/fan_video.htmlx',153,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); var parentPage = null; 
$jsd('/NewBuyApp/src/fanGroup/fan_video.htmlx',154,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); var dataloading = false; 
$jsd('/NewBuyApp/src/fanGroup/fan_video.htmlx',155,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); var datasort = "asc"; 
$jsd('/NewBuyApp/src/fanGroup/fan_video.htmlx',157,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); function setsort() { 
$jsd('/NewBuyApp/src/fanGroup/fan_video.htmlx',158,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); sortoptdiv.setDisplay(false); 
if($jsd('/NewBuyApp/src/fanGroup/fan_video.htmlx',159,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);})||true) if (datasort != this.id) { 
$jsd('/NewBuyApp/src/fanGroup/fan_video.htmlx',160,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); asc.setColor("#999999"); 
$jsd('/NewBuyApp/src/fanGroup/fan_video.htmlx',161,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); desc.setColor("#999999"); 
$jsd('/NewBuyApp/src/fanGroup/fan_video.htmlx',162,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); this.setColor("#ffcc66"); 
$jsd('/NewBuyApp/src/fanGroup/fan_video.htmlx',163,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); datasort = this.id; 
if($jsd('/NewBuyApp/src/fanGroup/fan_video.htmlx',164,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);})||true) if (this.id == "asc") { 
$jsd('/NewBuyApp/src/fanGroup/fan_video.htmlx',165,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); firstDataIndex = 1; 
$jsd('/NewBuyApp/src/fanGroup/fan_video.htmlx',166,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); nextDataIndex = 1; 
$jsd('/NewBuyApp/src/fanGroup/fan_video.htmlx',167,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); loadTopicData("down"); 
} else { 
$jsd('/NewBuyApp/src/fanGroup/fan_video.htmlx',169,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); firstDataIndex = -1; 
$jsd('/NewBuyApp/src/fanGroup/fan_video.htmlx',170,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); nextDataIndex = -1; 
$jsd('/NewBuyApp/src/fanGroup/fan_video.htmlx',171,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); loadTopicData("down"); 
} 
} 
} 
$jsd('/NewBuyApp/src/fanGroup/fan_video.htmlx',176,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); function showsort() { 
if($jsd('/NewBuyApp/src/fanGroup/fan_video.htmlx',177,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);})||true) if (sortoptdiv.getDisplay() == true) { 
$jsd('/NewBuyApp/src/fanGroup/fan_video.htmlx',178,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); sortoptdiv.setDisplay(false); 
} else { 
$jsd('/NewBuyApp/src/fanGroup/fan_video.htmlx',180,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); sortoptdiv.setDisplay(true); 
} 
} 
$jsd('/NewBuyApp/src/fanGroup/fan_video.htmlx',184,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); function showPicPanel() { 
$jsd('/NewBuyApp/src/fanGroup/fan_video.htmlx',185,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); replypanel.setHeight(100); 
$jsd('/NewBuyApp/src/fanGroup/fan_video.htmlx',186,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); picpanel.setDisplay(true); 
} 
$jsd('/NewBuyApp/src/fanGroup/fan_video.htmlx',189,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); function hidePicPanel() { 
$jsd('/NewBuyApp/src/fanGroup/fan_video.htmlx',190,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); replypanel.setHeight(50); 
$jsd('/NewBuyApp/src/fanGroup/fan_video.htmlx',191,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); picpanel.setDisplay(false); 
$jsd('/NewBuyApp/src/fanGroup/fan_video.htmlx',192,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); content.setValue(""); 
$jsd('/NewBuyApp/src/fanGroup/fan_video.htmlx',193,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); for (var i = 1; i < 10; i++) { 
$jsd('/NewBuyApp/src/fanGroup/fan_video.htmlx',194,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); $M.get("img" + i).setSrc(""); 
$jsd('/NewBuyApp/src/fanGroup/fan_video.htmlx',195,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); $M.get("img" + i).setDisplay(false); 
} 
$jsd('/NewBuyApp/src/fanGroup/fan_video.htmlx',197,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); picindex = 1; 
$jsd('/NewBuyApp/src/fanGroup/fan_video.htmlx',199,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); publishbtn.setDisplay(true); 
$jsd('/NewBuyApp/src/fanGroup/fan_video.htmlx',200,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); publishingbtn.setDisplay(false); 
} 
$jsd('/NewBuyApp/src/fanGroup/fan_video.htmlx',203,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); function setMainData(data) { 
$jsd('/NewBuyApp/src/fanGroup/fan_video.htmlx',204,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); /* title.setValue(data.fanGrpName); */(data.fanGrpItemType == "1") { 
$jsd('/NewBuyApp/src/fanGroup/fan_video.htmlx',206,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); titlephoto.setValue("/icon_128/iconfont-camera.png"); 
$jsd('/NewBuyApp/src/fanGroup/fan_video.htmlx',207,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); pointsContainer.setBackgroundColor("#000000"); 
} else { 
if($jsd('/NewBuyApp/src/fanGroup/fan_video.htmlx',208,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);})||true) if (data.fanGrpItemType == "2" || data.fanGrpItemType == "3") { 
$jsd('/NewBuyApp/src/fanGroup/fan_video.htmlx',209,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); titlephoto.setValue("/icon_128/iconfont-video.png"); 
$jsd('/NewBuyApp/src/fanGroup/fan_video.htmlx',210,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); pointsContainer.setBackgroundColor("#33CCFF"); 
} else { 
if($jsd('/NewBuyApp/src/fanGroup/fan_video.htmlx',211,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);})||true) if (data.fanGrpItemType == "4") { 
$jsd('/NewBuyApp/src/fanGroup/fan_video.htmlx',212,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); titlephoto.setValue("/icon_128/iconfont-vote.png"); 
$jsd('/NewBuyApp/src/fanGroup/fan_video.htmlx',213,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); pointsContainer.setBackgroundColor("#FFCC00"); 
} else { 
if($jsd('/NewBuyApp/src/fanGroup/fan_video.htmlx',214,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);})||true) if (data.fanGrpItemType == "5") { 
$jsd('/NewBuyApp/src/fanGroup/fan_video.htmlx',215,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); titlephoto.setValue("/icon_128/iconfont-event.png"); 
$jsd('/NewBuyApp/src/fanGroup/fan_video.htmlx',216,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); pointsContainer.setBackgroundColor("#CC0066"); 
} else { 
if($jsd('/NewBuyApp/src/fanGroup/fan_video.htmlx',217,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);})||true) if (data.fanGrpItemType == "6") { 
$jsd('/NewBuyApp/src/fanGroup/fan_video.htmlx',218,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); titlephoto.setValue("/icon_128/iconfont-calendar.png"); 
$jsd('/NewBuyApp/src/fanGroup/fan_video.htmlx',219,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); pointsContainer.setBackgroundColor("#FF6600"); 
} else { 
$jsd('/NewBuyApp/src/fanGroup/fan_video.htmlx',221,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); titlephoto.setValue("/icon_128/iconfont-topic.png"); 
$jsd('/NewBuyApp/src/fanGroup/fan_video.htmlx',222,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); pointsContainer.setBackgroundColor("#33CC99"); 
} 
} 
} 
} 
} 
$jsd('/NewBuyApp/src/fanGroup/fan_video.htmlx',224,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); fantitle.setValue(data.fanGrpItemTitle); 
$jsd('/NewBuyApp/src/fanGroup/fan_video.htmlx',225,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); points.setValue(data.replyCnt); 
$jsd('/NewBuyApp/src/fanGroup/fan_video.htmlx',226,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); photoexittime2.setValue(data.dataCreattime); 
} 
$jsd('/NewBuyApp/src/fanGroup/fan_video.htmlx',229,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); function clickOther() { 
$jsd('/NewBuyApp/src/fanGroup/fan_video.htmlx',230,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); layer.setVisibility(false); 
} 
$jsd('/NewBuyApp/src/fanGroup/fan_video.htmlx',233,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); function show() { 
$jsd('/NewBuyApp/src/fanGroup/fan_video.htmlx',234,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); layer.setVisibility(true); 
$jsd('/NewBuyApp/src/fanGroup/fan_video.htmlx',235,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); menu.moveToY(0, 1000); 
} 
$jsd('/NewBuyApp/src/fanGroup/fan_video.htmlx',238,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); function gofabu() { 
$jsd('/NewBuyApp/src/fanGroup/fan_video.htmlx',239,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); $M.page.goTo("/fanGroup/fan_bookfabu.html"); 
} 
$jsd('/NewBuyApp/src/fanGroup/fan_video.htmlx',242,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); function shareWeibo() { 
$jsd('/NewBuyApp/src/fanGroup/fan_video.htmlx',243,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); clickOther(); 
$jsd('/NewBuyApp/src/fanGroup/fan_video.htmlx',244,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); toast("weibo"); 
} 
$jsd('/NewBuyApp/src/fanGroup/fan_video.htmlx',247,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); function goBack() { 
if($jsd('/NewBuyApp/src/fanGroup/fan_video.htmlx',248,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);})||true) if (parentPage && parentPage == "adpage") { 
$jsd('/NewBuyApp/src/fanGroup/fan_video.htmlx',249,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); gotoIndex(); 
} else { 
$jsd('/NewBuyApp/src/fanGroup/fan_video.htmlx',251,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); $M.page.goBack({animation:"slideright"}); 
} 
} 
$jsd('/NewBuyApp/src/fanGroup/fan_video.htmlx',255,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); listview.setTemplate(tem1); 
$jsd('/NewBuyApp/src/fanGroup/fan_video.htmlx',256,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); $M.page.addEvent("onLoad", function (params) { 
if($jsd('/NewBuyApp/src/fanGroup/fan_video.htmlx',257,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);})||true) if (params && params.parentpage) { 
$jsd('/NewBuyApp/src/fanGroup/fan_video.htmlx',258,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); parentPage = params.parentpage; 
} 
if($jsd('/NewBuyApp/src/fanGroup/fan_video.htmlx',260,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);})||true) if (params && params.floorNo) { 
$jsd('/NewBuyApp/src/fanGroup/fan_video.htmlx',261,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); firstDataIndex = params.floorNo; 
$jsd('/NewBuyApp/src/fanGroup/fan_video.htmlx',262,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); nextDataIndex = params.floorNo; 
} 
$jsd('/NewBuyApp/src/fanGroup/fan_video.htmlx',264,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); topicId.setValue(params.topicId); 
$jsd('/NewBuyApp/src/fanGroup/fan_video.htmlx',265,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); fanGrpId.setValue(params.fanGrpId); 
$jsd('/NewBuyApp/src/fanGroup/fan_video.htmlx',266,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); fanGrpItemType.setValue(params.fanGrpItemType); 
$jsd('/NewBuyApp/src/fanGroup/fan_video.htmlx',267,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); loadTopicData("down"); 
}); 
$jsd('/NewBuyApp/src/fanGroup/fan_video.htmlx',269,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); function loadTopicData(act) { 
$jsd('/NewBuyApp/src/fanGroup/fan_video.htmlx',270,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); dataloading = true; 
$jsd('/NewBuyApp/src/fanGroup/fan_video.htmlx',271,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); var loadRecordCnt = 10; 
$jsd('/NewBuyApp/src/fanGroup/fan_video.htmlx',272,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); var requiredfloorNo = 0; 
$jsd('/NewBuyApp/src/fanGroup/fan_video.htmlx',273,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); var addPosition = "bottom"; 
if($jsd('/NewBuyApp/src/fanGroup/fan_video.htmlx',274,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);})||true) if (act == "up") { 
$jsd('/NewBuyApp/src/fanGroup/fan_video.htmlx',275,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); addPosition = "top"; 
$jsd('/NewBuyApp/src/fanGroup/fan_video.htmlx',276,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); requiredfloorNo = firstDataIndex; 
} else { 
$jsd('/NewBuyApp/src/fanGroup/fan_video.htmlx',278,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); requiredfloorNo = nextDataIndex; 
} 
$jsd('/NewBuyApp/src/fanGroup/fan_video.htmlx',280,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); var ajax = new $M.Ajax(); 
$jsd('/NewBuyApp/src/fanGroup/fan_video.htmlx',281,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); ajax.addParams([{name:"fanTopic.id", value:topicId.getValue()}, {name:"fanTopic.fanGrpItemType", value:fanGrpItemType.getValue()}, {name:"fanTopic.floorNo", value:requiredfloorNo}, {name:"fanTopic.sort", value:datasort}, {name:"fanTopic.maxFloorNo", value:act}, {name:"fanTopic.fanGrpId", value:fanGrpId.getValue()}, {name:"fanTopic.loadRecordCnt", value:loadRecordCnt}, {name:"loginkey", value:newbuy_config.loginkey}, {name:"mobileImei", value:Utils.getImei()}, {name:"mobileType", value:Utils.getOs()}, {name:"mobileToken", value:Utils.getMessageToken()}]); 
$jsd('/NewBuyApp/src/fanGroup/fan_video.htmlx',289,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); ajax.setAction("/mobile/fanTopicAction!getFanTopicInfo.action"); 
$jsd('/NewBuyApp/src/fanGroup/fan_video.htmlx',290,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); ajax.submit(function (result) { 
$jsd('/NewBuyApp/src/fanGroup/fan_video.htmlx',291,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); result = Utils.stringToJson(result); 
if($jsd('/NewBuyApp/src/fanGroup/fan_video.htmlx',292,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);})||true) if (result.success) { 
if($jsd('/NewBuyApp/src/fanGroup/fan_video.htmlx',293,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);})||true) if (result.data.isCreator == "1") { 
$jsd('/NewBuyApp/src/fanGroup/fan_video.htmlx',294,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); topicCreator.setValue("1"); 
} 
if($jsd('/NewBuyApp/src/fanGroup/fan_video.htmlx',296,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);})||true) if (result.data.isFanGrpCreator == "1") { 
$jsd('/NewBuyApp/src/fanGroup/fan_video.htmlx',297,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); fanGrpCreator.setValue("1"); 
if($jsd('/NewBuyApp/src/fanGroup/fan_video.htmlx',298,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);})||true) if (result.data.holdTop == "1") { 
$jsd('/NewBuyApp/src/fanGroup/fan_video.htmlx',299,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); cancelTop.setDisplay(true); 
} else { 
$jsd('/NewBuyApp/src/fanGroup/fan_video.htmlx',301,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); toTop.setDisplay(true); 
} 
} 
$jsd('/NewBuyApp/src/fanGroup/fan_video.htmlx',304,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); var detailList = result.data.detailList; 
if($jsd('/NewBuyApp/src/fanGroup/fan_video.htmlx',305,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);})||true) if (listview.getItems() && listview.getItems().length > 0) { 
if($jsd('/NewBuyApp/src/fanGroup/fan_video.htmlx',306,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);})||true) if (detailList.length > 0) { 
$jsd('/NewBuyApp/src/fanGroup/fan_video.htmlx',307,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); listview.setItems(generateData1(detailList)); 
} 
} else { 
$jsd('/NewBuyApp/src/fanGroup/fan_video.htmlx',310,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); setMainData(result.data); 
$jsd('/NewBuyApp/src/fanGroup/fan_video.htmlx',311,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); listview.setItems(generateData1(detailList)); 
} 
$jsd('/NewBuyApp/src/fanGroup/fan_video.htmlx',313,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); listview.reloadData(); 
$jsd('/NewBuyApp/src/fanGroup/fan_video.htmlx',314,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); listview.setSelection(0); 
if($jsd('/NewBuyApp/src/fanGroup/fan_video.htmlx',316,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);})||true) if (detailList && detailList.length > 0) { 
if($jsd('/NewBuyApp/src/fanGroup/fan_video.htmlx',317,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);})||true) if (datasort == "asc") { 
$jsd('/NewBuyApp/src/fanGroup/fan_video.htmlx',318,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); firstDataIndex = parseInt(detailList[0].itemReplySort.replace("#", "")); 
$jsd('/NewBuyApp/src/fanGroup/fan_video.htmlx',319,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); nextDataIndex = parseInt(detailList[detailList.length - 1].itemReplySort.replace("#", "")) + 1; 
} else { 
$jsd('/NewBuyApp/src/fanGroup/fan_video.htmlx',321,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); firstDataIndex = parseInt(detailList[0].itemReplySort.replace("#", "")) + 1; 
$jsd('/NewBuyApp/src/fanGroup/fan_video.htmlx',322,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); nextDataIndex = parseInt(detailList[detailList.length - 1].itemReplySort.replace("#", "")); 
} 
} 
} else { 
$jsd('/NewBuyApp/src/fanGroup/fan_video.htmlx',326,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); toast("获取数据失败！"); 
} 
$jsd('/NewBuyApp/src/fanGroup/fan_video.htmlx',328,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); dataloading = false; 
}, function (error) { 
$jsd('/NewBuyApp/src/fanGroup/fan_video.htmlx',330,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); toast("网络菌罢工了！"); 
$jsd('/NewBuyApp/src/fanGroup/fan_video.htmlx',331,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); dataloading = false; 
}); 
} 
$jsd('/NewBuyApp/src/fanGroup/fan_video.htmlx',336,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); listview.setOnclickTags(["share", "videoPlayT", "fabulousClick", "rewardClick", "replyClick", "lookuprul"]); 
$jsd('/NewBuyApp/src/fanGroup/fan_video.htmlx',338,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); listview.addEvent("onItemClick", function (row, tag, data) { 
if($jsd('/NewBuyApp/src/fanGroup/fan_video.htmlx',340,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);})||true) if (tag == "share") { 
$jsd('/NewBuyApp/src/fanGroup/fan_video.htmlx',341,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); floorId.setValue(data.id); 
$jsd('/NewBuyApp/src/fanGroup/fan_video.htmlx',342,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); topicTitle_share.setValue(fantitle.getValue()); 
$jsd('/NewBuyApp/src/fanGroup/fan_video.htmlx',343,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); topicId_share.setValue(topicId.getValue()); 
$jsd('/NewBuyApp/src/fanGroup/fan_video.htmlx',344,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); fanGrpId_share.setValue(fanGrpId.getValue()); 
$jsd('/NewBuyApp/src/fanGroup/fan_video.htmlx',345,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); topicoptdialog.show(); 
if($jsd('/NewBuyApp/src/fanGroup/fan_video.htmlx',348,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);})||true) if (data.isCreator == "1" || fanGrpCreator.getValue() == "1") { 
$jsd('/NewBuyApp/src/fanGroup/fan_video.htmlx',349,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); delbtn.setDisplay(true); 
} else { 
$jsd('/NewBuyApp/src/fanGroup/fan_video.htmlx',351,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); delbtn.setDisplay(false); 
} 
} else { 
if($jsd('/NewBuyApp/src/fanGroup/fan_video.htmlx',353,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);})||true) if (tag == "fabulousClick") { 
$jsd('/NewBuyApp/src/fanGroup/fan_video.htmlx',354,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); var ajax = new $M.Ajax(); 
$jsd('/NewBuyApp/src/fanGroup/fan_video.htmlx',355,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); ajax.addParams([{name:"loginkey", value:newbuy_config.loginkey}, {name:"mobileImei", value:Utils.getImei()}, {name:"mobileType", value:Utils.getOs()}, {name:"mobileToken", value:Utils.getMessageToken()}]); 
$jsd('/NewBuyApp/src/fanGroup/fan_video.htmlx',361,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); ajax.setAction("/mobile/loginAction!getUserInfoBySession.action"); 
$jsd('/NewBuyApp/src/fanGroup/fan_video.htmlx',362,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); ajax.submit(function (result) { 
$jsd('/NewBuyApp/src/fanGroup/fan_video.htmlx',363,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); result = Utils.stringToJson(result); 
if($jsd('/NewBuyApp/src/fanGroup/fan_video.htmlx',364,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);})||true) if (result.success) { 
if($jsd('/NewBuyApp/src/fanGroup/fan_video.htmlx',365,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);})||true) if (result.data != null && result.data.userid != null && result.data.userid != "") { 
$jsd('/NewBuyApp/src/fanGroup/fan_video.htmlx',368,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); var tieIdJ = {}; 
$jsd('/NewBuyApp/src/fanGroup/fan_video.htmlx',369,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); tieIdJ.name = "fanTopic.id"; 
$jsd('/NewBuyApp/src/fanGroup/fan_video.htmlx',370,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); tieIdJ.value = topicId.getValue(); 
$jsd('/NewBuyApp/src/fanGroup/fan_video.htmlx',372,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); var louIdJ = {}; 
$jsd('/NewBuyApp/src/fanGroup/fan_video.htmlx',373,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); louIdJ.name = "fanTopic.floorNo"; 
$jsd('/NewBuyApp/src/fanGroup/fan_video.htmlx',374,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); louIdJ.value = data.itemReplySort; 
$jsd('/NewBuyApp/src/fanGroup/fan_video.htmlx',376,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); var ajax1 = new $M.Ajax(); 
$jsd('/NewBuyApp/src/fanGroup/fan_video.htmlx',377,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); ajax1.addParams([tieIdJ, louIdJ, {name:"fanTopic.fanGrpId", value:fanGrpId.getValue()}, {name:"loginkey", value:newbuy_config.loginkey}, {name:"mobileImei", value:Utils.getImei()}, {name:"mobileType", value:Utils.getOs()}, {name:"mobileToken", value:Utils.getMessageToken()}]); 
$jsd('/NewBuyApp/src/fanGroup/fan_video.htmlx',380,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); ajax1.setAction("/mobile/fanTopicAction!addFabulous.action"); 
$jsd('/NewBuyApp/src/fanGroup/fan_video.htmlx',381,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); ajax1.submit(function (result) { 
$jsd('/NewBuyApp/src/fanGroup/fan_video.htmlx',382,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); result = Utils.stringToJson(result); 
if($jsd('/NewBuyApp/src/fanGroup/fan_video.htmlx',383,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);})||true) if (result.success) { 
$jsd('/NewBuyApp/src/fanGroup/fan_video.htmlx',384,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); toast("点赞成功~"); 
$jsd('/NewBuyApp/src/fanGroup/fan_video.htmlx',386,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); var newItemData = generateItemData(result.data); 
$jsd('/NewBuyApp/src/fanGroup/fan_video.htmlx',387,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); listview.updateItem(row, newItemData); 
$jsd('/NewBuyApp/src/fanGroup/fan_video.htmlx',388,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); listview.reloadData(); 
} else { 
if($jsd('/NewBuyApp/src/fanGroup/fan_video.htmlx',390,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);})||true) if (result.errorMsg == "1") { 
$jsd('/NewBuyApp/src/fanGroup/fan_video.htmlx',391,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); toast("已点过赞！"); 
} else { 
$jsd('/NewBuyApp/src/fanGroup/fan_video.htmlx',393,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); toast("点赞失败！"); 
} 
} 
}, function (error) { 
$jsd('/NewBuyApp/src/fanGroup/fan_video.htmlx',397,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); toast("网络菌罢工了！"); 
}); 
} else { 
$jsd('/NewBuyApp/src/fanGroup/fan_video.htmlx',400,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); $M.page.goTo("/fanReg/login.html", null, true); 
} 
} else { 
$jsd('/NewBuyApp/src/fanGroup/fan_video.htmlx',403,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); $M.page.goTo("/fanReg/login.html", null, true); 
} 
}, function (error) { 
$jsd('/NewBuyApp/src/fanGroup/fan_video.htmlx',406,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); toast("网络菌罢工了！"); 
}); 
} else { 
if($jsd('/NewBuyApp/src/fanGroup/fan_video.htmlx',408,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);})||true) if (tag == "rewardClick") { 
$jsd('/NewBuyApp/src/fanGroup/fan_video.htmlx',410,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); var ajax = new $M.Ajax(); 
$jsd('/NewBuyApp/src/fanGroup/fan_video.htmlx',411,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); ajax.addParams([{name:"loginkey", value:newbuy_config.loginkey}, {name:"mobileImei", value:Utils.getImei()}, {name:"mobileType", value:Utils.getOs()}, {name:"mobileToken", value:Utils.getMessageToken()}]); 
$jsd('/NewBuyApp/src/fanGroup/fan_video.htmlx',417,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); ajax.setAction("/mobile/loginAction!getUserInfoBySession.action"); 
$jsd('/NewBuyApp/src/fanGroup/fan_video.htmlx',418,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); ajax.submit(function (result) { 
$jsd('/NewBuyApp/src/fanGroup/fan_video.htmlx',419,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); result = Utils.stringToJson(result); 
if($jsd('/NewBuyApp/src/fanGroup/fan_video.htmlx',420,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);})||true) if (result.success) { 
if($jsd('/NewBuyApp/src/fanGroup/fan_video.htmlx',421,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);})||true) if (result.data != null && result.data.userid != null && result.data.userid != "") { 
$jsd('/NewBuyApp/src/fanGroup/fan_video.htmlx',423,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); fan_grp_id_temp.setValue(fanGrpId.getValue()); 
$jsd('/NewBuyApp/src/fanGroup/fan_video.htmlx',424,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); tie_id_temp.setValue(topicId.getValue()); 
$jsd('/NewBuyApp/src/fanGroup/fan_video.htmlx',425,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); listviewrowno.setValue(row); 
$jsd('/NewBuyApp/src/fanGroup/fan_video.htmlx',426,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); tie_floor_temp.setValue(data.itemReplySort); 
$jsd('/NewBuyApp/src/fanGroup/fan_video.htmlx',427,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); floor_creator.setValue(data.dataCreator); 
$jsd('/NewBuyApp/src/fanGroup/fan_video.htmlx',428,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); dialog.show(); 
} else { 
$jsd('/NewBuyApp/src/fanGroup/fan_video.htmlx',430,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); $M.page.goTo("/fanReg/login.html", null, true); 
} 
} else { 
$jsd('/NewBuyApp/src/fanGroup/fan_video.htmlx',433,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); $M.page.goTo("/fanReg/login.html", null, true); 
} 
}, function (error) { 
$jsd('/NewBuyApp/src/fanGroup/fan_video.htmlx',436,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); toast("网络菌罢工了！"); 
}); 
} else { 
if($jsd('/NewBuyApp/src/fanGroup/fan_video.htmlx',438,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);})||true) if (tag == "videoPlayT") { 
if($jsd('/NewBuyApp/src/fanGroup/fan_video.htmlx',440,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);})||true) if (data.itemReplySort == "1") { 
$jsd('/NewBuyApp/src/fanGroup/fan_video.htmlx',441,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); $M.page.goTo("/videoPlay.html", {url:data.video_url}, false, false); 
} else { 
$jsd('/NewBuyApp/src/fanGroup/fan_video.htmlx',443,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); return; 
} 
} else { 
if($jsd('/NewBuyApp/src/fanGroup/fan_video.htmlx',445,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);})||true) if (tag == "lookuprul") { 
$jsd('/NewBuyApp/src/fanGroup/fan_video.htmlx',446,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); var rgExp = /http[s]?://[^ 一-龥]+/g; 
$jsd('/NewBuyApp/src/fanGroup/fan_video.htmlx',447,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); var array = null; 
$jsd('/NewBuyApp/src/fanGroup/fan_video.htmlx',448,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); var index = 0; 
$jsd('/NewBuyApp/src/fanGroup/fan_video.htmlx',449,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); ___urlContainer.removeAll(); 
$jsd('/NewBuyApp/src/fanGroup/fan_video.htmlx',450,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); while ((array = rgExp.exec(data.itemReplyContent)) != null) { 
$jsd('/NewBuyApp/src/fanGroup/fan_video.htmlx',451,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); createUrlDiv(array[0], ++index); 
} 
if($jsd('/NewBuyApp/src/fanGroup/fan_video.htmlx',453,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);})||true) if (index > 0) { 
$jsd('/NewBuyApp/src/fanGroup/fan_video.htmlx',454,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); _itemcontentURL.setView(___dialogbaselevel); 
$jsd('/NewBuyApp/src/fanGroup/fan_video.htmlx',455,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); _itemcontentURL.show(); 
} 
} 
} 
} 
} 
} 
}); 
$jsd('/NewBuyApp/src/fanGroup/fan_video.htmlx',461,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); function generateItemData(data) { 
$jsd('/NewBuyApp/src/fanGroup/fan_video.htmlx',462,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); var ii = 0; 
$jsd('/NewBuyApp/src/fanGroup/fan_video.htmlx',463,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); var res = data.topicResource; 
if($jsd('/NewBuyApp/src/fanGroup/fan_video.htmlx',464,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);})||true) if (res && res.length > 0) { 
$jsd('/NewBuyApp/src/fanGroup/fan_video.htmlx',465,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); for (; ii < res.length; ii++) { 
$jsd('/NewBuyApp/src/fanGroup/fan_video.htmlx',466,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); data["video_url"] = res[ii].RESOURCE_URL; 
$jsd('/NewBuyApp/src/fanGroup/fan_video.htmlx',467,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); data["r_img" + (ii + 1)] = res[ii].RESOURCE_URL; 
if($jsd('/NewBuyApp/src/fanGroup/fan_video.htmlx',468,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);})||true) if (res[ii].RESOURCE_TYPE != "0") { 
$jsd('/NewBuyApp/src/fanGroup/fan_video.htmlx',469,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); data["r_img" + (ii + 1)] = res[ii].RESOURCE_IMG; 
} 
} 
} 
$jsd('/NewBuyApp/src/fanGroup/fan_video.htmlx',474,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); for (; ii < 9; ii++) { 
$jsd('/NewBuyApp/src/fanGroup/fan_video.htmlx',475,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); data["r_img" + (ii + 1)] = "false"; 
} 
$jsd('/NewBuyApp/src/fanGroup/fan_video.htmlx',496,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); /* var fabulous = data.fabulousList;  
		var iii = 0;  
		if (fabulous && fabulous.length > 0) {  
			var length = fabulous.length;  
			if (length > 10) {  
				length = 10;  
			}  
			for (; iii < length; iii++) {  
				//data["t_img" + (iii + 1)] = fabulous[iii].address;  
				if (fabulous[iii].address && fabulous[iii].address != "") {  
					data["t_img" + (iii + 1)] = fabulous[iii].address;  
				} else {  
					data["t_img" + (iii + 1)] = "/icon_128/avatar_blank.png";  
				}  
			}  
		}  
		for (; iii < 10; iii++) {  
			data["t_img" + (iii + 1)] ="null";  
		} */(data.creatorPhoto && data.creatorPhoto != "") { 
} else { 
$jsd('/NewBuyApp/src/fanGroup/fan_video.htmlx',499,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); data.creatorPhoto = "/icon_128/avatar_blank.png"; 
} 
$jsd('/NewBuyApp/src/fanGroup/fan_video.htmlx',501,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); return data; 
} 
$jsd('/NewBuyApp/src/fanGroup/fan_video.htmlx',505,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); function generateData1(data) { 
if($jsd('/NewBuyApp/src/fanGroup/fan_video.htmlx',506,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);})||true) if (data && data.length > 0) { 
$jsd('/NewBuyApp/src/fanGroup/fan_video.htmlx',507,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); for (var i = 0; i < data.length; i++) { 
$jsd('/NewBuyApp/src/fanGroup/fan_video.htmlx',508,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); var ii = 0; 
$jsd('/NewBuyApp/src/fanGroup/fan_video.htmlx',509,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); var res = data[i].topicResource; 
if($jsd('/NewBuyApp/src/fanGroup/fan_video.htmlx',510,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);})||true) if (res && res.length > 0) { 
$jsd('/NewBuyApp/src/fanGroup/fan_video.htmlx',511,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); for (; ii < res.length; ii++) { 
$jsd('/NewBuyApp/src/fanGroup/fan_video.htmlx',512,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); data[i]["video_url"] = res[ii].RESOURCE_URL; 
$jsd('/NewBuyApp/src/fanGroup/fan_video.htmlx',513,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); data[i]["r_img" + (ii + 1)] = res[ii].RESOURCE_URL; 
if($jsd('/NewBuyApp/src/fanGroup/fan_video.htmlx',514,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);})||true) if (res[ii].RESOURCE_TYPE != "0") { 
$jsd('/NewBuyApp/src/fanGroup/fan_video.htmlx',515,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); data[i]["r_img" + (ii + 1)] = res[ii].RESOURCE_IMG; 
} 
} 
} 
$jsd('/NewBuyApp/src/fanGroup/fan_video.htmlx',520,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); for (; ii < 9; ii++) { 
$jsd('/NewBuyApp/src/fanGroup/fan_video.htmlx',521,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); data[i]["r_img" + (ii + 1)] = "false"; 
} 
$jsd('/NewBuyApp/src/fanGroup/fan_video.htmlx',542,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); /* var fabulous = data[i].fabulousList;  
				var iii = 0;  
				if (fabulous && fabulous.length > 0) {  
					var length = fabulous.length;  
					if (length > 10) {  
						length = 10;  
					}  
					for (; iii < length; iii++) {  
						//data[i]["t_img" + (iii + 1)] = fabulous[iii].address;  
						if (fabulous[iii].address && fabulous[iii].address != "") {  
							data[i]["t_img" + (iii + 1)] = fabulous[iii].address;  
						} else {  
							data[i]["t_img" + (iii + 1)] = "/icon_128/avatar_blank.png";  
						}  
					}  
				}  
				for (; iii < 10; iii++) {  
					data[i]["t_img" + (iii + 1)] ="null";  
				} */(data[i].itemReplySort.replace("#", "") == "1") { 
$jsd('/NewBuyApp/src/fanGroup/fan_video.htmlx',545,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); data[i].topicCreatorPic = "/icon_128/louzhu-05.png"; 
} else { 
$jsd('/NewBuyApp/src/fanGroup/fan_video.htmlx',547,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); data[i].topicCreatorPic = ""; 
} 
if($jsd('/NewBuyApp/src/fanGroup/fan_video.htmlx',550,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);})||true) if (data[i].creatorPhoto && data[i].creatorPhoto != "") { 
} else { 
$jsd('/NewBuyApp/src/fanGroup/fan_video.htmlx',552,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); data[i].creatorPhoto = "/icon_128/avatar_blank.png"; 
} 
} 
} 
$jsd('/NewBuyApp/src/fanGroup/fan_video.htmlx',556,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); return data; 
} 
$jsd('/NewBuyApp/src/fanGroup/fan_video.htmlx',559,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); function replyTopic() { 
if($jsd('/NewBuyApp/src/fanGroup/fan_video.htmlx',560,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);})||true) if (content.getValue() == "" && picindex <= 1) { 
$jsd('/NewBuyApp/src/fanGroup/fan_video.htmlx',561,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); toast("说点什么吧"); 
$jsd('/NewBuyApp/src/fanGroup/fan_video.htmlx',562,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); return; 
} 
$jsd('/NewBuyApp/src/fanGroup/fan_video.htmlx',564,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); publishbtn.setDisplay(false); 
$jsd('/NewBuyApp/src/fanGroup/fan_video.htmlx',565,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); publishingbtn.setDisplay(true); 
$jsd('/NewBuyApp/src/fanGroup/fan_video.htmlx',566,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); var ajax = new $M.Ajax(); 
$jsd('/NewBuyApp/src/fanGroup/fan_video.htmlx',567,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); ajax.addParams([{name:"loginkey", value:newbuy_config.loginkey}, {name:"mobileImei", value:Utils.getImei()}, {name:"mobileType", value:Utils.getOs()}, {name:"mobileToken", value:Utils.getMessageToken()}]); 
$jsd('/NewBuyApp/src/fanGroup/fan_video.htmlx',573,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); ajax.setAction("/mobile/loginAction!getUserInfoBySession.action"); 
$jsd('/NewBuyApp/src/fanGroup/fan_video.htmlx',574,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); ajax.submit(function (result) { 
$jsd('/NewBuyApp/src/fanGroup/fan_video.htmlx',575,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); result = Utils.stringToJson(result); 
if($jsd('/NewBuyApp/src/fanGroup/fan_video.htmlx',576,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);})||true) if (result.success) { 
if($jsd('/NewBuyApp/src/fanGroup/fan_video.htmlx',577,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);})||true) if (result.data != null && result.data.userid != null && result.data.userid != "") { 
$jsd('/NewBuyApp/src/fanGroup/fan_video.htmlx',579,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); var params = [{name:"fanTopic.fanGrpItemContent", value:content.getValue()}, {name:"fanTopic.fanGrpId", value:fanGrpId.getValue()}, {name:"fanTopic.id", value:topicId.getValue()}, {name:"loginkey", value:newbuy_config.loginkey}, {name:"mobileImei", value:Utils.getImei()}, {name:"mobileType", value:Utils.getOs()}, {name:"mobileToken", value:Utils.getMessageToken()}]; 
$jsd('/NewBuyApp/src/fanGroup/fan_video.htmlx',586,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); var ajax1 = new $M.Ajax(); 
$jsd('/NewBuyApp/src/fanGroup/fan_video.htmlx',587,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); ajax1.addParams(params); 
$jsd('/NewBuyApp/src/fanGroup/fan_video.htmlx',588,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); ajax1.setAction("/mobile/fanTopicAction!replyTopic.action"); 
$jsd('/NewBuyApp/src/fanGroup/fan_video.htmlx',589,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); var files = []; 
$jsd('/NewBuyApp/src/fanGroup/fan_video.htmlx',590,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); for (var i = 1; i < picindex; i++) { 
$jsd('/NewBuyApp/src/fanGroup/fan_video.htmlx',591,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); files.push({name:"img_url" + i, value:$M.get("img" + i).getSrc()}); 
} 
$jsd('/NewBuyApp/src/fanGroup/fan_video.htmlx',593,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); ajax1.addFiles(files); 
$jsd('/NewBuyApp/src/fanGroup/fan_video.htmlx',594,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); ajax1.submit(function (result) { 
$jsd('/NewBuyApp/src/fanGroup/fan_video.htmlx',595,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); result = Utils.stringToJson(result); 
if($jsd('/NewBuyApp/src/fanGroup/fan_video.htmlx',596,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);})||true) if (result.success) { 
$jsd('/NewBuyApp/src/fanGroup/fan_video.htmlx',597,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); toast("回贴成功！"); 
$jsd('/NewBuyApp/src/fanGroup/fan_video.htmlx',598,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); hidePicPanel(); 
} else { 
$jsd('/NewBuyApp/src/fanGroup/fan_video.htmlx',602,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); toast("回贴失败，请不要输入特殊表情哦~"); 
$jsd('/NewBuyApp/src/fanGroup/fan_video.htmlx',603,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); publishbtn.setDisplay(true); 
$jsd('/NewBuyApp/src/fanGroup/fan_video.htmlx',604,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); publishingbtn.setDisplay(false); 
} 
}, function (error) { 
$jsd('/NewBuyApp/src/fanGroup/fan_video.htmlx',607,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); toast("网络菌罢工了！"); 
$jsd('/NewBuyApp/src/fanGroup/fan_video.htmlx',608,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); publishbtn.setDisplay(true); 
$jsd('/NewBuyApp/src/fanGroup/fan_video.htmlx',609,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); publishingbtn.setDisplay(false); 
}); 
} else { 
$jsd('/NewBuyApp/src/fanGroup/fan_video.htmlx',612,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); $M.page.goTo("/fanReg/login.html", null, true); 
} 
} else { 
$jsd('/NewBuyApp/src/fanGroup/fan_video.htmlx',615,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); $M.page.goTo("/fanReg/login.html", null, true); 
} 
}, function (error) { 
$jsd('/NewBuyApp/src/fanGroup/fan_video.htmlx',618,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); toast("网络菌罢工了！"); 
$jsd('/NewBuyApp/src/fanGroup/fan_video.htmlx',619,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); publishbtn.setDisplay(true); 
$jsd('/NewBuyApp/src/fanGroup/fan_video.htmlx',620,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); publishingbtn.setDisplay(false); 
}); 
} 
$jsd('/NewBuyApp/src/fanGroup/fan_video.htmlx',628,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); function deletePic() { 
$jsd('/NewBuyApp/src/fanGroup/fan_video.htmlx',629,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); var delindex = parseInt(this.id.replace("img", ""), 10); 
$jsd('/NewBuyApp/src/fanGroup/fan_video.htmlx',630,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); for (var i = delindex; i < picindex - 1; i++) { 
$jsd('/NewBuyApp/src/fanGroup/fan_video.htmlx',631,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); $M.get("img" + i).setSrc($M.get("img" + (i + 1)).getSrc()); 
} 
$jsd('/NewBuyApp/src/fanGroup/fan_video.htmlx',633,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); $M.get("img" + (picindex - 1)).setSrc(""); 
$jsd('/NewBuyApp/src/fanGroup/fan_video.htmlx',634,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); $M.get("img" + (picindex - 1)).setDisplay(false); 
$jsd('/NewBuyApp/src/fanGroup/fan_video.htmlx',635,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); picindex--; 
if($jsd('/NewBuyApp/src/fanGroup/fan_video.htmlx',636,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);})||true) if (picindex <= 1) { 
$jsd('/NewBuyApp/src/fanGroup/fan_video.htmlx',637,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); addpictip.setDisplay(true); 
} 
} 
$jsd('/NewBuyApp/src/fanGroup/fan_video.htmlx',641,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); function startCamera() { 
if($jsd('/NewBuyApp/src/fanGroup/fan_video.htmlx',642,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);})||true) if (picindex <= 9) { 
$jsd('/NewBuyApp/src/fanGroup/fan_video.htmlx',643,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); photodialog.show(); 
} else { 
$jsd('/NewBuyApp/src/fanGroup/fan_video.htmlx',645,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); toast("最多只能选择9张图片~"); 
} 
$jsd('/NewBuyApp/src/fanGroup/fan_video.htmlx',647,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); return; 
$jsd('/NewBuyApp/src/fanGroup/fan_video.htmlx',648,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); var ajax = new $M.Ajax(); 
$jsd('/NewBuyApp/src/fanGroup/fan_video.htmlx',649,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); ajax.addParams([{name:"loginkey", value:newbuy_config.loginkey}, {name:"mobileImei", value:Utils.getImei()}, {name:"mobileType", value:Utils.getOs()}, {name:"mobileToken", value:Utils.getMessageToken()}]); 
$jsd('/NewBuyApp/src/fanGroup/fan_video.htmlx',655,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); ajax.setAction("/mobile/loginAction!getUserInfoBySession.action"); 
$jsd('/NewBuyApp/src/fanGroup/fan_video.htmlx',656,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); ajax.submit(function (result) { 
$jsd('/NewBuyApp/src/fanGroup/fan_video.htmlx',657,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); result = Utils.stringToJson(result); 
if($jsd('/NewBuyApp/src/fanGroup/fan_video.htmlx',658,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);})||true) if (result.success) { 
if($jsd('/NewBuyApp/src/fanGroup/fan_video.htmlx',659,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);})||true) if (result.data != null && result.data.userid != null && result.data.userid != "") { 
$jsd('/NewBuyApp/src/fanGroup/fan_video.htmlx',660,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); Utils.selectCameraPhoto(function (path) { 
if($jsd('/NewBuyApp/src/fanGroup/fan_video.htmlx',661,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);})||true) if (img1.getSrc() == "" || img1.getSrc() == undefined) { 
$jsd('/NewBuyApp/src/fanGroup/fan_video.htmlx',662,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); img1.setSrc(path); 
} else { 
if($jsd('/NewBuyApp/src/fanGroup/fan_video.htmlx',663,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);})||true) if (img2.getSrc() == "" || img2.getSrc() == undefined) { 
$jsd('/NewBuyApp/src/fanGroup/fan_video.htmlx',664,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); img2.setSrc(path); 
} else { 
if($jsd('/NewBuyApp/src/fanGroup/fan_video.htmlx',665,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);})||true) if (img3.getSrc() == "" || img3.getSrc() == undefined) { 
$jsd('/NewBuyApp/src/fanGroup/fan_video.htmlx',666,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); img3.setSrc(path); 
} else { 
if($jsd('/NewBuyApp/src/fanGroup/fan_video.htmlx',667,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);})||true) if (img4.getSrc() == "" || img4.getSrc() == undefined) { 
$jsd('/NewBuyApp/src/fanGroup/fan_video.htmlx',668,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); img4.setSrc(path); 
} 
} 
} 
} 
}); 
} else { 
$jsd('/NewBuyApp/src/fanGroup/fan_video.htmlx',672,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); $M.page.goTo("/fanReg/login.html", null, true); 
} 
} else { 
$jsd('/NewBuyApp/src/fanGroup/fan_video.htmlx',675,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); $M.page.goTo("/fanReg/login.html", null, true); 
} 
}, function (error) { 
$jsd('/NewBuyApp/src/fanGroup/fan_video.htmlx',678,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); toast("网络菌罢工了！"); 
}); 
} 
$jsd('/NewBuyApp/src/fanGroup/fan_video.htmlx',682,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); function cropImage(path) { 
$jsd('/NewBuyApp/src/fanGroup/fan_video.htmlx',683,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); $M.get("img" + picindex).setSrc(path); 
$jsd('/NewBuyApp/src/fanGroup/fan_video.htmlx',684,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); $M.get("img" + picindex).setDisplay(true); 
$jsd('/NewBuyApp/src/fanGroup/fan_video.htmlx',685,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); picindex++; 
$jsd('/NewBuyApp/src/fanGroup/fan_video.htmlx',686,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); addpictip.setDisplay(false); 
$jsd('/NewBuyApp/src/fanGroup/fan_video.htmlx',687,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); return; 
$jsd('/NewBuyApp/src/fanGroup/fan_video.htmlx',688,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); var ajax = new $M.Ajax(); 
$jsd('/NewBuyApp/src/fanGroup/fan_video.htmlx',689,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); ajax.addParams([{name:"loginkey", value:newbuy_config.loginkey}, {name:"mobileImei", value:Utils.getImei()}, {name:"mobileType", value:Utils.getOs()}, {name:"mobileToken", value:Utils.getMessageToken()}]); 
$jsd('/NewBuyApp/src/fanGroup/fan_video.htmlx',695,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); ajax.setAction("/mobile/loginAction!getUserInfoBySession.action"); 
$jsd('/NewBuyApp/src/fanGroup/fan_video.htmlx',696,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); ajax.submit(function (result) { 
$jsd('/NewBuyApp/src/fanGroup/fan_video.htmlx',697,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); result = Utils.stringToJson(result); 
if($jsd('/NewBuyApp/src/fanGroup/fan_video.htmlx',698,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);})||true) if (result.success) { 
if($jsd('/NewBuyApp/src/fanGroup/fan_video.htmlx',699,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);})||true) if (result.data != null && result.data.userid != null && result.data.userid != "") { 
$jsd('/NewBuyApp/src/fanGroup/fan_video.htmlx',700,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); Utils.selectCameraPhoto(function (path) { 
if($jsd('/NewBuyApp/src/fanGroup/fan_video.htmlx',701,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);})||true) if (img1.getSrc() == "" || img1.getSrc() == undefined) { 
$jsd('/NewBuyApp/src/fanGroup/fan_video.htmlx',702,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); img1.setSrc(path); 
} else { 
if($jsd('/NewBuyApp/src/fanGroup/fan_video.htmlx',703,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);})||true) if (img2.getSrc() == "" || img2.getSrc() == undefined) { 
$jsd('/NewBuyApp/src/fanGroup/fan_video.htmlx',704,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); img2.setSrc(path); 
} else { 
if($jsd('/NewBuyApp/src/fanGroup/fan_video.htmlx',705,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);})||true) if (img3.getSrc() == "" || img3.getSrc() == undefined) { 
$jsd('/NewBuyApp/src/fanGroup/fan_video.htmlx',706,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); img3.setSrc(path); 
} else { 
if($jsd('/NewBuyApp/src/fanGroup/fan_video.htmlx',707,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);})||true) if (img4.getSrc() == "" || img4.getSrc() == undefined) { 
$jsd('/NewBuyApp/src/fanGroup/fan_video.htmlx',708,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); img4.setSrc(path); 
} 
} 
} 
} 
}); 
} else { 
$jsd('/NewBuyApp/src/fanGroup/fan_video.htmlx',712,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); $M.page.goTo("/fanReg/login.html", null, true); 
} 
} else { 
$jsd('/NewBuyApp/src/fanGroup/fan_video.htmlx',715,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); $M.page.goTo("/fanReg/login.html", null, true); 
} 
}, function (error) { 
$jsd('/NewBuyApp/src/fanGroup/fan_video.htmlx',718,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); toast("网络菌罢工了！"); 
}); 
} 
$jsd('/NewBuyApp/src/fanGroup/fan_video.htmlx',722,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); function reloadData() { 
$jsd('/NewBuyApp/src/fanGroup/fan_video.htmlx',723,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); listview.setItems([]); 
$jsd('/NewBuyApp/src/fanGroup/fan_video.htmlx',724,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); listview.reloadData(); 
$jsd('/NewBuyApp/src/fanGroup/fan_video.htmlx',725,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); var firstDataIndex = 1; 
$jsd('/NewBuyApp/src/fanGroup/fan_video.htmlx',726,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); var nextDataIndex = 1; 
$jsd('/NewBuyApp/src/fanGroup/fan_video.htmlx',727,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); loadTopicData("down"); 
} 
$jsd('/NewBuyApp/src/fanGroup/fan_video.htmlx',731,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); listview.addEvent("onLoadMore", function (type) { 
if($jsd('/NewBuyApp/src/fanGroup/fan_video.htmlx',732,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);})||true) if (dataloading) { 
$jsd('/NewBuyApp/src/fanGroup/fan_video.htmlx',733,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); return; 
} 
if($jsd('/NewBuyApp/src/fanGroup/fan_video.htmlx',735,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);})||true) if (type == "pullDown") { 
$jsd('/NewBuyApp/src/fanGroup/fan_video.htmlx',736,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); loadTopicData("up"); 
} else { 
if($jsd('/NewBuyApp/src/fanGroup/fan_video.htmlx',737,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);})||true) if (type == "pullUp") { 
$jsd('/NewBuyApp/src/fanGroup/fan_video.htmlx',738,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); loadTopicData("down"); 
} 
} 
}); 
$jsd('/NewBuyApp/src/fanGroup/fan_video.htmlx',743,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); toTop.addEvent("onClick", function () { 
$jsd('/NewBuyApp/src/fanGroup/fan_video.htmlx',744,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); var ajax = new $M.Ajax(); 
$jsd('/NewBuyApp/src/fanGroup/fan_video.htmlx',745,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); ajax.addParams([{name:"fanTopic.id", value:topicId.getValue()}, {name:"loginkey", value:newbuy_config.loginkey}, {name:"mobileImei", value:Utils.getImei()}, {name:"mobileType", value:Utils.getOs()}, {name:"mobileToken", value:Utils.getMessageToken()}]); 
$jsd('/NewBuyApp/src/fanGroup/fan_video.htmlx',748,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); ajax.setAction("/mobile/fanTopicAction!setTopTopic.action"); 
$jsd('/NewBuyApp/src/fanGroup/fan_video.htmlx',749,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); ajax.submit(function (result) { 
$jsd('/NewBuyApp/src/fanGroup/fan_video.htmlx',750,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); result = Utils.stringToJson(result); 
if($jsd('/NewBuyApp/src/fanGroup/fan_video.htmlx',751,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);})||true) if (result.success) { 
$jsd('/NewBuyApp/src/fanGroup/fan_video.htmlx',752,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); toast("置顶成功！"); 
$jsd('/NewBuyApp/src/fanGroup/fan_video.htmlx',753,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); cancelTop.setDisplay(true); 
$jsd('/NewBuyApp/src/fanGroup/fan_video.htmlx',754,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); toTop.setDisplay(false); 
} else { 
$jsd('/NewBuyApp/src/fanGroup/fan_video.htmlx',756,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); toast("置顶失败！"); 
} 
}, function (error) { 
$jsd('/NewBuyApp/src/fanGroup/fan_video.htmlx',759,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); toast("网络菌罢工了！"); 
}); 
}); 
$jsd('/NewBuyApp/src/fanGroup/fan_video.htmlx',764,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); cancelTop.addEvent("onClick", function () { 
$jsd('/NewBuyApp/src/fanGroup/fan_video.htmlx',765,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); var ajax = new $M.Ajax(); 
$jsd('/NewBuyApp/src/fanGroup/fan_video.htmlx',766,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); ajax.addParams([{name:"fanTopic.id", value:topicId.getValue()}, {name:"loginkey", value:newbuy_config.loginkey}, {name:"mobileImei", value:Utils.getImei()}, {name:"mobileType", value:Utils.getOs()}, {name:"mobileToken", value:Utils.getMessageToken()}]); 
$jsd('/NewBuyApp/src/fanGroup/fan_video.htmlx',769,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); ajax.setAction("/mobile/fanTopicAction!cancelTopTopic.action"); 
$jsd('/NewBuyApp/src/fanGroup/fan_video.htmlx',770,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); ajax.submit(function (result) { 
$jsd('/NewBuyApp/src/fanGroup/fan_video.htmlx',771,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); result = Utils.stringToJson(result); 
if($jsd('/NewBuyApp/src/fanGroup/fan_video.htmlx',772,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);})||true) if (result.success) { 
$jsd('/NewBuyApp/src/fanGroup/fan_video.htmlx',773,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); toast("取消置顶成功！"); 
$jsd('/NewBuyApp/src/fanGroup/fan_video.htmlx',774,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); cancelTop.setDisplay(false); 
$jsd('/NewBuyApp/src/fanGroup/fan_video.htmlx',775,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); toTop.setDisplay(true); 
} else { 
$jsd('/NewBuyApp/src/fanGroup/fan_video.htmlx',777,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); toast("取消置顶失败！"); 
} 
}, function (error) { 
$jsd('/NewBuyApp/src/fanGroup/fan_video.htmlx',780,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); toast("网络菌罢工了！"); 
}); 
}); 
$jsd('/NewBuyApp/src/fanGroup/fan_video.htmlx',784,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); function gotoIndex() { 
$jsd('/NewBuyApp/src/fanGroup/fan_video.htmlx',785,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); var ajax = new $M.Ajax(); 
$jsd('/NewBuyApp/src/fanGroup/fan_video.htmlx',786,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); ajax.addParams([{name:"loginkey", value:newbuy_config.loginkey}, {name:"mobileImei", value:Utils.getImei()}, {name:"mobileType", value:Utils.getOs()}, {name:"mobileToken", value:Utils.getMessageToken()}]); 
$jsd('/NewBuyApp/src/fanGroup/fan_video.htmlx',792,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); ajax.setAction("/mobile/loginAction!getUserInfoBySession.action"); 
$jsd('/NewBuyApp/src/fanGroup/fan_video.htmlx',793,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); ajax.submit(function (result) { 
$jsd('/NewBuyApp/src/fanGroup/fan_video.htmlx',794,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); result = Utils.stringToJson(result); 
if($jsd('/NewBuyApp/src/fanGroup/fan_video.htmlx',795,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);})||true) if (result.success) { 
if($jsd('/NewBuyApp/src/fanGroup/fan_video.htmlx',796,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);})||true) if (result.data != null && result.data.userid != null && result.data.userid != "") { 
$jsd('/NewBuyApp/src/fanGroup/fan_video.htmlx',797,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); $M.page.goTo("/mainpage_loggedin.html", {}, true); 
} else { 
$jsd('/NewBuyApp/src/fanGroup/fan_video.htmlx',799,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); $M.page.goTo("/index.html", {}, true); 
} 
} else { 
$jsd('/NewBuyApp/src/fanGroup/fan_video.htmlx',802,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); $M.page.goTo("/index.html", {}, true); 
} 
}, function (error) { 
$jsd('/NewBuyApp/src/fanGroup/fan_video.htmlx',805,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); $M.page.goTo("/index.html", {}, true); 
}); 
} 
 
Emp.page.render();
