var top = this;

var arguments = [];
var window= top;

arguments.callee = {};
var DEBUG_FUNC_INDEX = 1;

var del = ["arguments","top","window","Emp","empBridge","util","DEBUG_FUNC_INDEX","del","BridgeUtil","ResultUtil"];

function jsDebug(){
	
}

jsDebug.debugCommand = null;
jsDebug.currResource = null;
jsDebug.breakpoints = null;
jsDebug.functionStack = [];
jsDebug.currResource = null;
jsDebug.currLine = null;
jsDebug.isExpression = false;

/**
 * 
 */
jsDebug.getErrorStack = function(func) {
	var stack = [];
	while (func) {
		var funcStr = func.toString();
		var funcOffset = funcStr.indexOf(")");
		var funcHead = funcStr.substring(0, funcOffset + 1);
		var args = func.arguments;
		var argArr = [];
		for (var i = 0; i < args.length; i++) {
			argArr.push(args[i]);
		}
		stack.push(funcHead + json2string(argArr, 12));
		func = func.caller;
	}
	return stack.join("\n");
}

/**
 * 
 */
var parseVars = function(line) {
	var varNames = [];
	if (line && line.length > 0) {
		var endOffset = line.indexOf(";");
		if (endOffset > 0) {
			line = line.substring(0, endOffset);
		}
		var lineArr = line.split(",");
		for (var i = 0; i < lineArr.length; i++) {
			var varStr = lineArr[i];
			var varEndOffset = varStr.indexOf("=");
			if (varEndOffset > 0) {
				varNames.push(varStr.substring(0, varEndOffset));
			} else {
				varNames.push(varStr);
			}
		}
	}
	return varNames;
}

/**
 * 
 */
jsDebug.updateStack = function(args, resource, scope, line, evalFunc) {
	if (args && args.callee) {
		var func = args.callee;
		func.__resource = resource;
		func.__line = line;
		func.__evalFunc = evalFunc;
		func.__scope = scope;
		for (var i = jsDebug.functionStack.length - 1; i > -1; i--) {
			if (func == jsDebug.functionStack[i]) {
				jsDebug.functionStack = jsDebug.functionStack.slice(0, i + 1);
				return;
			}
		}
		jsDebug.functionStack.push(func);
	} else {
		jsDebug.functionStack = [];
	}

}

/**
 * 
 */
var getFuncData = function(args, evalFunc) {
	
		var vars = [];
		var func = args.callee;
		if (func) {
			var funcStr = func.toString().replace(/\n/g, "");
			var argStart = funcStr.indexOf("(");
			var argEnd = funcStr.indexOf(")");
			if (argStart > 0 && argEnd > 0) {
				var argStr = funcStr.substring(argStart + 1, argEnd);
				vars = argStr.split(",");
			}
			var nameArr = funcStr.split("var ");
			for (var i = 1; i < nameArr.length; i++) {
				var line = nameArr[i];
				vars = vars.concat(parseVars(line));
			}
		}
		var data = {};
		
		for (var i = 0; i < vars.length; i++) {
			var key = vars[i];
			if (key && key.length > 0) {
				key = key.replace(/\n|\r|\t| /g, "");
				if (/^[A-Za-z0-9_\$]*$/.test(key)) {
					try {
						var result = evalFunc(key);
						if (result == undefined) {
							data[key] = {"value":"undefined","type":"string"};
						} else if (result == null) {
							data[key] = {"value":"null","type":"string"};
						} else {
							data[key] = {"value":evalFunc(key),"type":typeof(evalFunc(key))};
						}
					} catch (e) {

					}
				}
			}
		}
		return data;
}

var getWindowData = function(args,evalFunc){
	var data = {};
	for (var i in top) { 
	    data[i] = {value:top[i],type:typeof(top[i])};
	}
//	return {"x":{"value":top.x,"type":typeof(top.x)}};

	return {"window":{value:top,type:typeof(top)}};
}


/**
 * find if arguments is stepreturn context
 */
jsDebug.isStepReturn = function(args) {
	if (args) {
		var func = args.callee;
		for (var i = jsDebug.functionStack.length - 2; i > -1; i--) {
			if (func == jsDebug.functionStack[i]) {
				return true;
			}
		}
		return false;
	} else {
		return true;
	}
}

/**
 * find if arguments is stepover context
 */
jsDebug.isStepOver = function(args) {
	if (args) {
		var func = args.callee;
		for (var i = jsDebug.functionStack.length - 1; i > -1; i--) {
			if (func == jsDebug.functionStack[i]) {
				return true;
			}
		}
		return false;
	} else {
		return true;
	}
}

/**
 * 
 */
jsDebug.error = function(e, resource, line,callFunc) {
	try {
		var funcStr = callFunc + "";
			if(funcStr.indexOf("function anonymous")>=0){
				funcStr = undefined;
			}
		var postData = {
			"ERROR" : encodeURI(e),
			"COMMAND" : "ERROR",
			"RESOURCE" : resource,
			"LINE" : line,
			"ERRORFUNC":funcStr,
			"ISIE":isIE
		}
		empBridge.debug(obj2string(postData));
	} catch (e) {

	}
}

/**
 * 
 */
jsDebug.stepReturn = function(func) {
	try {
		var data = jsDebug.getFuncData(func.arguments, func.__evalFunc);
		jsDebug.updateStack(func.arguments, func.__resource, func.__scope,
				func.__line, func.__evalFunc);
		if (func.__scope != top) {
			data["this"] = func.__scope;
		}
		var postData = {
			"STACK" : data,
			"COMMAND" : jsDebug.debugCommand,
			"RESOURCE" : func.__resource,
			"LINE" : func.__line
		}
		var res = empBridge.debug(obj2string(postData));
		jsDebug.parseResult(res,func.__evalFunc);
		
	} catch (e) {
	}
}


jsDebug.evalExpression = function(expression, evalFunc) {
	try {
	//	jsDebug.xmlHttp.open("POST", "/jsdebug.debug?" + new Date(), false);
		var postData = {
			"STACK" : {},
			"COMMAND" : "EXPRESSION",
			"EXPRESSION" : expression
		}
		try {
			jsDebug.isExpression = true;
			var ret = evalFunc(expression);
			if(typeof(ret)=="undefined"){
				ret = "undefined";
			}else if(ret==null){
				ret = "null";
			}
			postData["RESULT"] = ret;
		} catch (e) {
			postData["ERROR"] = e;
		}
		jsDebug.isExpression = false;
		var res = empBridge.debug(obj2string(postData));
		jsDebug.parseResult(res,evalFunc);
	} catch (e) {

	}
}

jsDebug.evalValue = function(expression, evalFunc){
	try {
//		jsDebug.xmlHttp.open("POST", "/jsdebug.debug?" + new Date(), false);
		var postData = {
			"STACK" : {},
			"COMMAND" : "VALUE",
			"EXPRESSION" : expression
		}
		try {
			jsDebug.isExpression = true;
			var ret = evalFunc(expression);
			var data = {};
			if(typeof(ret)=="undefined"){
				ret = "undefined";
			}else if(ret==null){
				ret = "null";
			}else{
				for(var prop in ret){
					try{
						if(prop!="postData"&&!contains(del,prop)){
						var value = ret[prop];
						var type = typeof(value);
						if(type=="function"){
							continue;
						}
						var stringValue = "";
						if(value){
							stringValue = value.toString();
						}
						if(value==null){
							stringValue = "null";
							type = "null";
						}else if(value==undefined){
							stringValue = "undefined";
							type = "undefined";
						}
						data[prop] = {"value":stringValue,"type":typeof(value)};
						}
					}catch(e){

					}
				}
			}
			postData["RESULT"] = data;
		} catch (e) {
			postData["ERROR"] = e;
		}
		jsDebug.isExpression = false;
		var submitString = "{}";
		try{
			submitString = json2string(postData);
		}catch(e){

		}
		var res = empBridge.debug(obj2string(postData));
		jsDebug.parseResult(res,evalFunc);
	} catch (e) {
		alert(e);
	}
}

/**
 * 
 */
jsDebug.parseResult = function(result, evalFunc) {
	if (result) {
		if (result.indexOf("{") == 0) {
			try {
				eval("var retObj = " + result);
				if( retObj["COMMAND"]){
					if(retObj["COMMAND"]=="EXPRESSION"){
						jsDebug.evalExpression(retObj["EXPRESSION"], evalFunc);
					}else if(retObj["COMMAND"]=="VALUE"){
						jsDebug.evalValue(retObj["EXPRESSION"], evalFunc);
					}else{
						jsDebug.isExpression = false;
						jsDebug.debugCommand = retObj["COMMAND"];
						if (jsDebug.debugCommand == "BREAKPOINT") {
							jsDebug.breakpoints = retObj["BREAKPOINTS"];
						}
					}
				}
                return retObj;
			} catch (e) {
			}
		} else {
			 alert("Debug error:" + result);
		}
	} else {

	}
}



function json2string(obj, depth) {
	depth = depth || 0;
	if (typeof obj == "function") {
		return "\"function\"";
	}  else if (obj && typeof obj.pop == 'function' && obj instanceof Array) {
		return array2string(obj, depth + 1);
	} else if (typeof obj == "object") {
		return obj2string(obj, depth + 1);
	} else {
		if (typeof obj == "string") {
			return "\"" + obj.replace(/"/gm, "'").replace(/\n|\r/gm, "")
					+ "\"";
		} else if (typeof obj == "number") {
			if (isFinite(obj)) {
				return obj;
			} else {
				return "\"out of number\"";
			}
		} else {
			//return util.jsonToString(obj).replace(/"/gm, "\\\"").replace(/\n|\r/gm, "");
		}
	}
}

function obj2string(obj, depth) {
	depth = depth || 0;
		var arr = [];
		for (var prop in obj) {
			try {
				if (obj.hasOwnProperty(prop) && typeof(obj[prop]) != "function") {
					if (depth < 9) {
						arr.push("\"" + prop + "\":"
								+ json2string(obj[prop], depth + 1));
					} else {
						arr.push("\"" + prop + "\":\"...\"")
					}
				}
			} catch (e) {

			}
		}
		return "{" + arr.join(",") + "}";
}

function complexObj2String(obj){
	var arr = [];
	for (var prop in obj) {
		try {
			if (typeof(obj[prop]) != "function") {
				var value = (obj[prop] + "").replace(/"/gm, "'").replace(/\n|\r/gm, "");
				arr.push("\"" + prop + "\":\""
						+ value + "\"");
			}
		} catch (e) {

		}
	}
	return "{" + arr.join(",") + "}";
}
function array2string(array, depth) {
	depth = depth || 0;
	var arr = [];
	for (var i = 0; i < array.length; i++) {
		arr.push(json2string(array[i], depth + 1));
	}
	return "[" + arr.join(",") + "]";
}

function mergeJsonObject(jsonbject1, jsonbject2)  
{  
    var resultJsonObject={};  
    for(var attr in jsonbject1){  
        resultJsonObject[attr]=jsonbject1[attr];  
    }  
    for(var attr in jsonbject2){  
        resultJsonObject[attr]=jsonbject2[attr];  
    }  

    return resultJsonObject;  
};  

function convertStringToJSON(str){
    var stu = eval('('+str+')');
    return stu;
}

function contains(a,obj){
	var i = a.length;
	while(i--){
		if(a[i]===obj){
			return true;
		}
	}
	return false;
}

jsDebug.getBreakPoint = function(async) {
	var postData = {"COMMAND":"RESUME"}; 
    var res = empBridge.debug(obj2string(postData));
    var retObj = util.stringToJson(res);
    jsDebug.breakpoints = retObj["BREAKPOINTS"];
    return;

	async = async?false:true;
	log(":"+async);
	try{
//	var jsonResume = "{\"COMMAND\":\"RESUME\"}";
		var postData = {"COMMAND":"RESUME"}; 
	if(async){
		var id;
	    log("");
		id = setInterval(jsDebug.getBreakPoint,1000);
	}else{
		log("");
	    var res = empBridge.debug(obj2string(postData));
	    var retObj = util.stringToJson(res);
	    jsDebug.breakpoints = retObj["BREAKPOINTS"];
	}
	} catch(e){
		
	}
}

jsDebug.getBreakPoint();

jsDebug.debug =  function(resource,line,scope,args,evalFunc){
	var isNewStack = false;
	if(args&&args["_funcIndex"]==undefined){
		if(args.callee.caller && args.callee.caller.arguments){
			if(args.callee.caller.arguments["__funcIndex"]==undefined){
				args["__funcIndex"] = DEBUG_FUNC_INDEX++;
				isNewStack = true;
			}else{
				args["__funcIndex"] = args.callee.caller.arguments["__funcIndex"];
			}
		}
	}
	
	if (jsDebug.isExpression) {
		return;
	}
	
	
	try {
		jsDebug.currResource = resource;
		jsDebug.currLine = line;
		if (jsDebug.debugCommand == null) {
			jsDebug.debugCommand = "START";
		}
		if (jsDebug.debugCommand == "TERMINATE") {
			throw "exit";
		}
		if(!jsDebug.breakpoints){
			jsDebug.getBreakPoint(true);
		}
		if (!(jsDebug.breakpoints && jsDebug.breakpoints[resource + line])) {
			if (jsDebug.debugCommand == "STEPRETURN"
					|| jsDebug.debugCommand == "STEPOVER") {
				var parentFunc = jsDebug.functionStack[jsDebug.functionStack.length
						- 2];
				var currFunc = jsDebug.functionStack[jsDebug.functionStack.length
						- 1];
				if(currFunc && (currFunc==args.callee)){
					if(jsDebug.debugCommand == "STEPRETURN"){
						return;
					}
					// do nothing
				}else{
					if (parentFunc && (args.callee.caller == parentFunc)) {
						jsDebug.stepReturn(parentFunc);
						jsDebug.debug(resource, line, scope, args, evalFunc);
						if(jsDebug.debugCommand == "STEPRETURN"){
							return;
						}
					}else{
//						if(args.callee){
//							return;
//						}
					}
				}

			}
			if (jsDebug.debugCommand == "STEPRETURN") {
				if (!jsDebug.isStepReturn(args)) {
					if(args.callee){
						return;
					}
				}
			} else if (jsDebug.debugCommand == "STEPOVER") {
				if (!jsDebug.isStepOver(args)) {
					if(args.callee){
						return;
					}
				}
			} else if (jsDebug.debugCommand == "RESUME") {
				return;
			} else if (jsDebug.debugCommand == "STEPINTO") {

			} else {
				return;
			}
		} else {
			jsDebug.debugCommand = "BREAKPOINT";
		}
		
		var data = getFuncData(args,evalFunc);
		var windowData = getWindowData(args,evalFunc);
		var stack = mergeJsonObject(windowData,data);
		
		jsDebug.updateStack(args, resource, scope, line, evalFunc);
		
		var postData = {
				"STACK" : stack,
				"COMMAND" : jsDebug.debugCommand,
				"RESOURCE" : resource,
				"LINE" : line,
				"NEWSTACK":true
		};
		var postDataStr = json2string(postData,0);
		
	    var res = empBridge.debug(postDataStr);
		
		jsDebug.parseResult(res, evalFunc);
		
	} catch (e) {

	}

};

var $jsd = jsDebug.debug;
Emp.page.setId('_BODY_1078200');
var _div_1927258 = new Emp.Panel({"id":"_div_1927258","height":"44","vAlign":"middle","width":"100%"});
_div_1927258.addEvent('onClick',goBack);
var _img_11413572 = new Emp.Image({"id":"_img_11413572","height":"30","width":"30","src":"/icon_128/iconfont-back.png"});
_div_1927258.add(_img_11413572);
var _div_30778471 = new Emp.Panel({"id":"_div_30778471","height":"100%","vAlign":"middle","hAlign":"left","width":"200"});
var _input_18651493 = new Emp.Label({"id":"_input_18651493","color":"#999999","value":"设置","fontSize":"16"});
_div_30778471.add(_input_18651493);
_div_1927258.add(_div_30778471);
var _div_10151595 = new Emp.Panel({"id":"_div_10151595","height":"100%","vAlign":"middle","hAlign":"right","width":"100%","paddingRight":"10"});
var _input_27135198 = new Emp.Label({"id":"_input_27135198","color":"#999999","value":"","fontSize":"18"});
_div_10151595.add(_input_27135198);
_div_1927258.add(_div_10151595);
Emp.page.add(_div_1927258);
var _div_22991100 = new Emp.Panel({"id":"_div_22991100","height":"1","backgroundColor":"#CCCCCC","borderWidth":"0","width":"100%"});
Emp.page.add(_div_22991100);
var template1 = new Emp.Panel({"id":"template1","height":"100%","backgroundColor":"#f0f0f0","overflow":"y","layout":"VBox","width":"100%"});
var _div_19806998 = new Emp.Panel({"id":"_div_19806998","height":"70","borderColor":"#cccccc","backgroundColor":"#ffffff","vAlign":"middle","marginLeft":"10","marginTop":"10","borderWidth":"1","hAlign":"right","marginRight":"10","width":"100%","cornerRadius":"12"});
_div_19806998.addEvent('onClick',my_info);
var userNm = new Emp.Label({"id":"userNm","marginLeft":"10","vAlign":"left","width":"100%","value":"","fontSize":"20"});
_div_19806998.add(userNm);
var address = new Emp.Image({"id":"address","height":"50","marginRight":"10","width":"50","src":"/icon_128/avatar_blank.png","circleClip":"true"});
_div_19806998.add(address);
var from = new Emp.Label({"id":"from","value":"","display":"false"});
_div_19806998.add(from);
var userId = new Emp.Label({"id":"userId","value":"","display":"false"});
_div_19806998.add(userId);
var sex = new Emp.Label({"id":"sex","value":"","display":"false"});
_div_19806998.add(sex);
var age = new Emp.Label({"id":"age","value":"","display":"false"});
_div_19806998.add(age);
var birthday = new Emp.Label({"id":"birthday","value":"","display":"false"});
_div_19806998.add(birthday);
var areaDis = new Emp.Label({"id":"areaDis","value":"","display":"false"});
_div_19806998.add(areaDis);
var area1 = new Emp.Label({"id":"area1","value":"","display":"false"});
_div_19806998.add(area1);
var area2 = new Emp.Label({"id":"area2","value":"","display":"false"});
_div_19806998.add(area2);
var quotations = new Emp.Label({"id":"quotations","value":"","display":"false"});
_div_19806998.add(quotations);
var mobileFixno = new Emp.Label({"id":"mobileFixno","value":"","display":"false"});
_div_19806998.add(mobileFixno);
var password = new Emp.Label({"id":"password","value":"","display":"false"});
_div_19806998.add(password);
template1.add(_div_19806998);
var _div_29992262 = new Emp.Panel({"borderColor":"#cccccc","marginTop":"10","marginLeft":"10","vAlign":"middle","backgroundColor":"#ffffff","width":"100%","marginRight":"10","hAlign":"right","cornerRadius":"12","id":"_div_29992262","height":"141","borderWidth":"1","layout":"VBox"});
var _div_25273841 = new Emp.Panel({"id":"_div_25273841","height":"70","vAlign":"middle","hAlign":"right","width":"100%"});
_div_25273841.addEvent('onClick',my_safe_set);
var _input_11895398 = new Emp.Label({"id":"_input_11895398","marginLeft":"10","hAlign":"left","width":"100%","value":"帐号安全","fontSize":"20"});
_div_25273841.add(_input_11895398);
var _div_8657614 = new Emp.Panel({"id":"_div_8657614","height":"100%","vAlign":"middle","marginRight":"10","hAlign":"right","width":"100%"});
var secLev = new Emp.Label({"id":"secLev","color":"#C0C0C0","value":"安全等级低","fontSize":"18"});
_div_8657614.add(secLev);
var secLevImg = new Emp.Image({"id":"secLevImg","height":"8","marginLeft":"4","marginTop":"3","vAlign":"bottom","width":"8","display":"false","src":"/icon_128/u23.png"});
_div_8657614.add(secLevImg);
_div_25273841.add(_div_8657614);
_div_29992262.add(_div_25273841);
var _div_7368501 = new Emp.Panel({"id":"_div_7368501","height":"1","backgroundColor":"#CCCCCC","borderWidth":"0","width":"100%"});
_div_29992262.add(_div_7368501);
var _div_26543597 = new Emp.Panel({"id":"_div_26543597","height":"70","vAlign":"middle","hAlign":"left","width":"100%"});
_div_26543597.addEvent('onClick',my_info_shejiao);
var _input_12073364 = new Emp.Label({"id":"_input_12073364","marginLeft":"10","value":"社交帐号绑定","fontSize":"20"});
_div_26543597.add(_input_12073364);
_div_29992262.add(_div_26543597);
template1.add(_div_29992262);
var _div_13381164 = new Emp.Panel({"borderColor":"#cccccc","marginTop":"10","marginLeft":"10","vAlign":"middle","backgroundColor":"#ffffff","width":"100%","marginRight":"10","hAlign":"right","cornerRadius":"12","id":"_div_13381164","height":"212","borderWidth":"1","layout":"VBox"});
var _div_15429905 = new Emp.Panel({"id":"_div_15429905","height":"70","vAlign":"middle","hAlign":"left","width":"100%"});
_div_15429905.addEvent('onClick',fan_tang);
var _input_21767424 = new Emp.Label({"id":"_input_21767424","marginLeft":"10","value":"关于饭糖","fontSize":"20"});
_div_15429905.add(_input_21767424);
_div_13381164.add(_div_15429905);
var _div_1125080 = new Emp.Panel({"id":"_div_1125080","height":"1","backgroundColor":"#CCCCCC","borderWidth":"0","width":"100%"});
_div_13381164.add(_div_1125080);
var _div_18084857 = new Emp.Panel({"id":"_div_18084857","height":"70","vAlign":"middle","hAlign":"left","width":"100%"});
_div_18084857.addEvent('onClick',clear);
var _input_16149573 = new Emp.Label({"id":"_input_16149573","marginLeft":"10","value":"清除缓存","fontSize":"20"});
_div_18084857.add(_input_16149573);
_div_13381164.add(_div_18084857);
var _div_4077028 = new Emp.Panel({"id":"_div_4077028","height":"1","backgroundColor":"#CCCCCC","borderWidth":"0","width":"100%"});
_div_13381164.add(_div_4077028);
var _div_4468412 = new Emp.Panel({"id":"_div_4468412","height":"70","vAlign":"middle","hAlign":"left","width":"100%"});
_div_4468412.addEvent('onClick',exit);
var _input_5792207 = new Emp.Label({"id":"_input_5792207","marginLeft":"10","value":"退出饭糖","fontSize":"20"});
_div_4468412.add(_input_5792207);
_div_13381164.add(_div_4468412);
template1.add(_div_13381164);
Emp.page.add(template1);
var dialog = new Emp.CustomDialog({"id":"dialog","canceledOnTouchOutside":"true"});
var _div_3948103 = new Emp.Panel({"id":"_div_3948103","borderColor":"#cccccc","height":"120","paddingTop":"10","backgroundColor":"#f0f0f0","borderWidth":"1","hAlign":"center","width":"270","layout":"VBox","cornerRadius":"12","paddingBottom":"10"});
var _div_18671632 = new Emp.Panel({"id":"_div_18671632","height":"40","vAlign":"middle","hAlign":"center","width":"100%"});
var _input_13075833 = new Emp.Label({"id":"_input_13075833","value":"确认退出当前用户?","fontSize":"22"});
_div_18671632.add(_input_13075833);
_div_3948103.add(_div_18671632);
var _div_17551740 = new Emp.Panel({"id":"_div_17551740","height":"100%","vAlign":"middle","hAlign":"center","width":"100%"});
var _div_15099149 = new Emp.Panel({"id":"_div_15099149","borderColor":"#F0F0F0","height":"40","backgroundColor":"#ffffff","vAlign":"middle","borderWidth":"1","hAlign":"center","width":"80","cornerRadius":"10"});
var _input_32795182 = new Emp.Label({"id":"_input_32795182","value":"取消","fontSize":"16"});
_input_32795182.addEvent('onClick',cancel);
_div_15099149.add(_input_32795182);
_div_17551740.add(_div_15099149);
var _div_23530926 = new Emp.Panel({"id":"_div_23530926","borderColor":"#F0F0F0","height":"40","backgroundColor":"#ffffff","vAlign":"middle","marginLeft":"15","borderWidth":"1","hAlign":"center","width":"80","cornerRadius":"10"});
var _input_11746317 = new Emp.Label({"id":"_input_11746317","value":"确认退出","fontSize":"16"});
_input_11746317.addEvent('onClick',exitConfirm);
_div_23530926.add(_input_11746317);
_div_17551740.add(_div_23530926);
_div_3948103.add(_div_17551740);
dialog.setView(_div_3948103);





$jsd('/NewBuyApp/src/fanReg/application_settings.htmlx',81,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);});var changeMobileDisabled = false; 
$jsd('/NewBuyApp/src/fanReg/application_settings.htmlx',82,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); $M.page.addEvent("onLoad", function (params) { 
if($jsd('/NewBuyApp/src/fanReg/application_settings.htmlx',83,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);})||true) if (params != null) { 
$jsd('/NewBuyApp/src/fanReg/application_settings.htmlx',84,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); from.setValue(params.from); 
} 
$jsd('/NewBuyApp/src/fanReg/application_settings.htmlx',87,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); var preference = new $M.Preferences(); 
$jsd('/NewBuyApp/src/fanReg/application_settings.htmlx',88,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); preference.open("newbuy_config"); 
$jsd('/NewBuyApp/src/fanReg/application_settings.htmlx',89,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); var newbuy_config = preference.get("newbuy_config"); 
$jsd('/NewBuyApp/src/fanReg/application_settings.htmlx',90,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); var ajax = new $M.Ajax(); 
$jsd('/NewBuyApp/src/fanReg/application_settings.htmlx',91,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); ajax.addParams([{name:"loginkey", value:newbuy_config.loginkey}, {name:"mobileImei", value:Utils.getImei()}, {name:"mobileType", value:Utils.getOs()}, {name:"mobileToken", value:Utils.getMessageToken()}]); 
$jsd('/NewBuyApp/src/fanReg/application_settings.htmlx',94,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); ajax.setAction("/mobile/fanAction!getLoginUserInfo.action"); 
$jsd('/NewBuyApp/src/fanReg/application_settings.htmlx',95,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); ajax.submit(function (result) { 
$jsd('/NewBuyApp/src/fanReg/application_settings.htmlx',96,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); result = Utils.stringToJson(result); 
if($jsd('/NewBuyApp/src/fanReg/application_settings.htmlx',97,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);})||true) if (result.success) { 
$jsd('/NewBuyApp/src/fanReg/application_settings.htmlx',98,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); var userData = result.data; 
if($jsd('/NewBuyApp/src/fanReg/application_settings.htmlx',99,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);})||true) if (userData.loginNm && userData.loginNm != "" && userData.loginNm == userData.mobileFixno) { 
} 
if($jsd('/NewBuyApp/src/fanReg/application_settings.htmlx',102,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);})||true) if (userData.address && userData.address != "") { 
$jsd('/NewBuyApp/src/fanReg/application_settings.htmlx',103,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); address.setSrc(userData.address); 
} 
$jsd('/NewBuyApp/src/fanReg/application_settings.htmlx',105,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); userNm.setValue(userData.actorname); 
$jsd('/NewBuyApp/src/fanReg/application_settings.htmlx',106,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); userId.setValue(userData.userId); 
$jsd('/NewBuyApp/src/fanReg/application_settings.htmlx',107,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); password.setValue(userData.password); 
if($jsd('/NewBuyApp/src/fanReg/application_settings.htmlx',108,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);})||true) if (userData.sex == "1") { 
$jsd('/NewBuyApp/src/fanReg/application_settings.htmlx',109,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); sex.setValue("M"); 
} else { 
$jsd('/NewBuyApp/src/fanReg/application_settings.htmlx',111,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); sex.setValue("F"); 
} 
$jsd('/NewBuyApp/src/fanReg/application_settings.htmlx',113,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); mobileFixno.setValue(userData.mobileFixno); 
if($jsd('/NewBuyApp/src/fanReg/application_settings.htmlx',114,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);})||true) if (userData.mobileFixno == "" || userData.mobileFixno == undefined) { 
$jsd('/NewBuyApp/src/fanReg/application_settings.htmlx',115,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); secLev.setValue("安全等级低"); 
$jsd('/NewBuyApp/src/fanReg/application_settings.htmlx',116,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); secLevImg.setDisplay(true); 
} else { 
$jsd('/NewBuyApp/src/fanReg/application_settings.htmlx',119,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); secLev.setValue("安全等级高"); 
$jsd('/NewBuyApp/src/fanReg/application_settings.htmlx',120,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); secLevImg.setDisplay(false); 
} 
$jsd('/NewBuyApp/src/fanReg/application_settings.htmlx',122,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); age.setValue(userData.age); 
$jsd('/NewBuyApp/src/fanReg/application_settings.htmlx',123,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); areaDis.setValue(userData.area1); 
$jsd('/NewBuyApp/src/fanReg/application_settings.htmlx',124,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); area1.setValue(userData.area1); 
$jsd('/NewBuyApp/src/fanReg/application_settings.htmlx',125,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); area2.setValue(userData.area2); 
$jsd('/NewBuyApp/src/fanReg/application_settings.htmlx',126,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); quotations.setValue(userData.quotations); 
$jsd('/NewBuyApp/src/fanReg/application_settings.htmlx',127,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); birthday.setValue(userData.birthDate); 
} else { 
$jsd('/NewBuyApp/src/fanReg/application_settings.htmlx',129,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); toast("获取数据失败！"); 
} 
}, function (error) { 
$jsd('/NewBuyApp/src/fanReg/application_settings.htmlx',132,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); toast("网络菌罢工了！"); 
}); 
}); 
$jsd('/NewBuyApp/src/fanReg/application_settings.htmlx',136,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); $M.page.addEvent("onBack", function (params) { 
$jsd('/NewBuyApp/src/fanReg/application_settings.htmlx',138,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); var preference = new $M.Preferences(); 
$jsd('/NewBuyApp/src/fanReg/application_settings.htmlx',139,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); preference.open("newbuy_config"); 
$jsd('/NewBuyApp/src/fanReg/application_settings.htmlx',140,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); var newbuy_config = preference.get("newbuy_config"); 
$jsd('/NewBuyApp/src/fanReg/application_settings.htmlx',141,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); var ajax = new $M.Ajax(); 
$jsd('/NewBuyApp/src/fanReg/application_settings.htmlx',142,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); ajax.addParams([{name:"loginkey", value:newbuy_config.loginkey}, {name:"mobileImei", value:Utils.getImei()}, {name:"mobileType", value:Utils.getOs()}, {name:"mobileToken", value:Utils.getMessageToken()}]); 
$jsd('/NewBuyApp/src/fanReg/application_settings.htmlx',145,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); ajax.setAction("/mobile/fanAction!getLoginUserInfo.action"); 
$jsd('/NewBuyApp/src/fanReg/application_settings.htmlx',146,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); ajax.submit(function (result) { 
$jsd('/NewBuyApp/src/fanReg/application_settings.htmlx',147,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); result = Utils.stringToJson(result); 
if($jsd('/NewBuyApp/src/fanReg/application_settings.htmlx',148,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);})||true) if (result.success) { 
$jsd('/NewBuyApp/src/fanReg/application_settings.htmlx',149,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); var userData = result.data; 
if($jsd('/NewBuyApp/src/fanReg/application_settings.htmlx',150,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);})||true) if (userData.loginNm && userData.loginNm != "" && userData.loginNm == userData.mobileFixno) { 
} 
if($jsd('/NewBuyApp/src/fanReg/application_settings.htmlx',153,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);})||true) if (userData.address && userData.address != "") { 
$jsd('/NewBuyApp/src/fanReg/application_settings.htmlx',154,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); address.setSrc(userData.address); 
} 
$jsd('/NewBuyApp/src/fanReg/application_settings.htmlx',156,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); userNm.setValue(userData.actorname); 
$jsd('/NewBuyApp/src/fanReg/application_settings.htmlx',157,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); userId.setValue(userData.userId); 
$jsd('/NewBuyApp/src/fanReg/application_settings.htmlx',158,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); password.setValue(userData.password); 
if($jsd('/NewBuyApp/src/fanReg/application_settings.htmlx',159,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);})||true) if (userData.sex == "1") { 
$jsd('/NewBuyApp/src/fanReg/application_settings.htmlx',160,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); sex.setValue("M"); 
} else { 
$jsd('/NewBuyApp/src/fanReg/application_settings.htmlx',162,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); sex.setValue("F"); 
} 
$jsd('/NewBuyApp/src/fanReg/application_settings.htmlx',164,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); mobileFixno.setValue(userData.mobileFixno); 
if($jsd('/NewBuyApp/src/fanReg/application_settings.htmlx',165,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);})||true) if (userData.mobileFixno == "" || userData.mobileFixno == undefined) { 
$jsd('/NewBuyApp/src/fanReg/application_settings.htmlx',166,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); secLev.setValue("安全等级低"); 
$jsd('/NewBuyApp/src/fanReg/application_settings.htmlx',167,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); secLevImg.setDisplay(true); 
} else { 
$jsd('/NewBuyApp/src/fanReg/application_settings.htmlx',170,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); secLev.setValue("安全等级高"); 
$jsd('/NewBuyApp/src/fanReg/application_settings.htmlx',171,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); secLevImg.setDisplay(false); 
} 
$jsd('/NewBuyApp/src/fanReg/application_settings.htmlx',173,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); age.setValue(userData.age); 
$jsd('/NewBuyApp/src/fanReg/application_settings.htmlx',174,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); areaDis.setValue(userData.area1); 
$jsd('/NewBuyApp/src/fanReg/application_settings.htmlx',175,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); area1.setValue(userData.area1); 
$jsd('/NewBuyApp/src/fanReg/application_settings.htmlx',176,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); area2.setValue(userData.area2); 
$jsd('/NewBuyApp/src/fanReg/application_settings.htmlx',177,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); quotations.setValue(userData.quotations); 
$jsd('/NewBuyApp/src/fanReg/application_settings.htmlx',178,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); birthday.setValue(userData.birthDate); 
} else { 
$jsd('/NewBuyApp/src/fanReg/application_settings.htmlx',180,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); toast("获取数据失败！"); 
} 
}, function (error) { 
$jsd('/NewBuyApp/src/fanReg/application_settings.htmlx',183,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); toast("网络菌罢工了！"); 
}); 
}); 
$jsd('/NewBuyApp/src/fanReg/application_settings.htmlx',188,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); function clear() { 
$jsd('/NewBuyApp/src/fanReg/application_settings.htmlx',189,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); $M.page.goTo("/fanReg/clear_memory.html"); 
} 
$jsd('/NewBuyApp/src/fanReg/application_settings.htmlx',192,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); function exit() { 
$jsd('/NewBuyApp/src/fanReg/application_settings.htmlx',193,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); dialog.show(); 
} 
$jsd('/NewBuyApp/src/fanReg/application_settings.htmlx',196,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); function cancel() { 
$jsd('/NewBuyApp/src/fanReg/application_settings.htmlx',197,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); dialog.close(); 
} 
$jsd('/NewBuyApp/src/fanReg/application_settings.htmlx',200,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); function exitConfirm() { 
$jsd('/NewBuyApp/src/fanReg/application_settings.htmlx',201,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); var preference = new $M.Preferences(); 
$jsd('/NewBuyApp/src/fanReg/application_settings.htmlx',202,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); preference.open("newbuy_config"); 
$jsd('/NewBuyApp/src/fanReg/application_settings.htmlx',203,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); var newbuy_config = preference.get("newbuy_config"); 
$jsd('/NewBuyApp/src/fanReg/application_settings.htmlx',204,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); var ajax = new $M.Ajax(); 
$jsd('/NewBuyApp/src/fanReg/application_settings.htmlx',205,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); ajax.addParams([{name:"loginkey", value:newbuy_config.loginkey}, {name:"mobileImei", value:Utils.getImei()}, {name:"mobileType", value:Utils.getOs()}, {name:"mobileToken", value:Utils.getMessageToken()}]); 
$jsd('/NewBuyApp/src/fanReg/application_settings.htmlx',208,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); ajax.setAction("/mobile/loginAction!doLogout.action"); 
$jsd('/NewBuyApp/src/fanReg/application_settings.htmlx',209,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); ajax.submit(function (result) { 
$jsd('/NewBuyApp/src/fanReg/application_settings.htmlx',212,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); $M.page.goTo("/fanReg/login.html", null, true, false); 
}, function (error) { 
$jsd('/NewBuyApp/src/fanReg/application_settings.htmlx',215,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); toast("网络菌罢工了！"); 
}); 
} 
$jsd('/NewBuyApp/src/fanReg/application_settings.htmlx',218,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); function goBack() { 
if($jsd('/NewBuyApp/src/fanReg/application_settings.htmlx',219,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);})||true) if (from.getValue() == "fantie") { 
$jsd('/NewBuyApp/src/fanReg/application_settings.htmlx',220,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); $M.page.goTo("/fan_tie.html", null, true, false); 
} else { 
$jsd('/NewBuyApp/src/fanReg/application_settings.htmlx',222,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); $M.page.goTo("/homePage/homepage_log.html", null, true, false); 
} 
} 
$jsd('/NewBuyApp/src/fanReg/application_settings.htmlx',227,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); function getData() { 
$jsd('/NewBuyApp/src/fanReg/application_settings.htmlx',229,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); var items = []; 
$jsd('/NewBuyApp/src/fanReg/application_settings.htmlx',230,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); var temp = {}; 
$jsd('/NewBuyApp/src/fanReg/application_settings.htmlx',231,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); items.push(temp); 
$jsd('/NewBuyApp/src/fanReg/application_settings.htmlx',233,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); return items; 
} 
$jsd('/NewBuyApp/src/fanReg/application_settings.htmlx',237,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); function anquan() { 
$jsd('/NewBuyApp/src/fanReg/application_settings.htmlx',238,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); Emp.page.goTo("/fanReg/fans_date.html", {}, false, false); 
} 
$jsd('/NewBuyApp/src/fanReg/application_settings.htmlx',241,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); function my_info() { 
$jsd('/NewBuyApp/src/fanReg/application_settings.htmlx',242,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); Emp.page.goTo("/fanReg/fans_date.html", {from:from.getValue()}, false, false); 
} 
$jsd('/NewBuyApp/src/fanReg/application_settings.htmlx',245,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); function my_info_shejiao() { 
$jsd('/NewBuyApp/src/fanReg/application_settings.htmlx',246,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); $M.page.goTo("/fanReg/san.html"); 
} 
$jsd('/NewBuyApp/src/fanReg/application_settings.htmlx',249,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); function yaoqing_frends() { 
$jsd('/NewBuyApp/src/fanReg/application_settings.htmlx',250,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); $M.page.goTo("/fanReg/invite_friends.html"); 
} 
$jsd('/NewBuyApp/src/fanReg/application_settings.htmlx',253,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); function my_safe_set() { 
if($jsd('/NewBuyApp/src/fanReg/application_settings.htmlx',254,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);})||true) if (changeMobileDisabled == false) { 
$jsd('/NewBuyApp/src/fanReg/application_settings.htmlx',255,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); $M.page.goTo("/fanSetPassword/off_phone.html", {secLev:secLev.getValue(), mobileFixno:mobileFixno.getValue(), passwordOld:password.getValue()}, false, false); 
} 
} 
$jsd('/NewBuyApp/src/fanReg/application_settings.htmlx',259,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); function fan_tang() { 
$jsd('/NewBuyApp/src/fanReg/application_settings.htmlx',260,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); $M.page.goTo("/fanSetPassword/fan_about.html"); 
} 
 
Emp.page.render();
