var top = this;

var arguments = [];
var window= top;

arguments.callee = {};
var DEBUG_FUNC_INDEX = 1;

var del = ["arguments","top","window","Emp","empBridge","util","DEBUG_FUNC_INDEX","del","BridgeUtil","ResultUtil"];

function jsDebug(){
	
}

jsDebug.debugCommand = null;
jsDebug.currResource = null;
jsDebug.breakpoints = null;
jsDebug.functionStack = [];
jsDebug.currResource = null;
jsDebug.currLine = null;
jsDebug.isExpression = false;

/**
 * 
 */
jsDebug.getErrorStack = function(func) {
	var stack = [];
	while (func) {
		var funcStr = func.toString();
		var funcOffset = funcStr.indexOf(")");
		var funcHead = funcStr.substring(0, funcOffset + 1);
		var args = func.arguments;
		var argArr = [];
		for (var i = 0; i < args.length; i++) {
			argArr.push(args[i]);
		}
		stack.push(funcHead + json2string(argArr, 12));
		func = func.caller;
	}
	return stack.join("\n");
}

/**
 * 
 */
var parseVars = function(line) {
	var varNames = [];
	if (line && line.length > 0) {
		var endOffset = line.indexOf(";");
		if (endOffset > 0) {
			line = line.substring(0, endOffset);
		}
		var lineArr = line.split(",");
		for (var i = 0; i < lineArr.length; i++) {
			var varStr = lineArr[i];
			var varEndOffset = varStr.indexOf("=");
			if (varEndOffset > 0) {
				varNames.push(varStr.substring(0, varEndOffset));
			} else {
				varNames.push(varStr);
			}
		}
	}
	return varNames;
}

/**
 * 
 */
jsDebug.updateStack = function(args, resource, scope, line, evalFunc) {
	if (args && args.callee) {
		var func = args.callee;
		func.__resource = resource;
		func.__line = line;
		func.__evalFunc = evalFunc;
		func.__scope = scope;
		for (var i = jsDebug.functionStack.length - 1; i > -1; i--) {
			if (func == jsDebug.functionStack[i]) {
				jsDebug.functionStack = jsDebug.functionStack.slice(0, i + 1);
				return;
			}
		}
		jsDebug.functionStack.push(func);
	} else {
		jsDebug.functionStack = [];
	}

}

/**
 * 
 */
var getFuncData = function(args, evalFunc) {
	
		var vars = [];
		var func = args.callee;
		if (func) {
			var funcStr = func.toString().replace(/\n/g, "");
			var argStart = funcStr.indexOf("(");
			var argEnd = funcStr.indexOf(")");
			if (argStart > 0 && argEnd > 0) {
				var argStr = funcStr.substring(argStart + 1, argEnd);
				vars = argStr.split(",");
			}
			var nameArr = funcStr.split("var ");
			for (var i = 1; i < nameArr.length; i++) {
				var line = nameArr[i];
				vars = vars.concat(parseVars(line));
			}
		}
		var data = {};
		
		for (var i = 0; i < vars.length; i++) {
			var key = vars[i];
			if (key && key.length > 0) {
				key = key.replace(/\n|\r|\t| /g, "");
				if (/^[A-Za-z0-9_\$]*$/.test(key)) {
					try {
						var result = evalFunc(key);
						if (result == undefined) {
							data[key] = {"value":"undefined","type":"string"};
						} else if (result == null) {
							data[key] = {"value":"null","type":"string"};
						} else {
							data[key] = {"value":evalFunc(key),"type":typeof(evalFunc(key))};
						}
					} catch (e) {

					}
				}
			}
		}
		return data;
}

var getWindowData = function(args,evalFunc){
	var data = {};
	for (var i in top) { 
	    data[i] = {value:top[i],type:typeof(top[i])};
	}
//	return {"x":{"value":top.x,"type":typeof(top.x)}};

	return {"window":{value:top,type:typeof(top)}};
}


/**
 * find if arguments is stepreturn context
 */
jsDebug.isStepReturn = function(args) {
	if (args) {
		var func = args.callee;
		for (var i = jsDebug.functionStack.length - 2; i > -1; i--) {
			if (func == jsDebug.functionStack[i]) {
				return true;
			}
		}
		return false;
	} else {
		return true;
	}
}

/**
 * find if arguments is stepover context
 */
jsDebug.isStepOver = function(args) {
	if (args) {
		var func = args.callee;
		for (var i = jsDebug.functionStack.length - 1; i > -1; i--) {
			if (func == jsDebug.functionStack[i]) {
				return true;
			}
		}
		return false;
	} else {
		return true;
	}
}

/**
 * 
 */
jsDebug.error = function(e, resource, line,callFunc) {
	try {
		var funcStr = callFunc + "";
			if(funcStr.indexOf("function anonymous")>=0){
				funcStr = undefined;
			}
		var postData = {
			"ERROR" : encodeURI(e),
			"COMMAND" : "ERROR",
			"RESOURCE" : resource,
			"LINE" : line,
			"ERRORFUNC":funcStr,
			"ISIE":isIE
		}
		empBridge.debug(obj2string(postData));
	} catch (e) {

	}
}

/**
 * 
 */
jsDebug.stepReturn = function(func) {
	try {
		var data = jsDebug.getFuncData(func.arguments, func.__evalFunc);
		jsDebug.updateStack(func.arguments, func.__resource, func.__scope,
				func.__line, func.__evalFunc);
		if (func.__scope != top) {
			data["this"] = func.__scope;
		}
		var postData = {
			"STACK" : data,
			"COMMAND" : jsDebug.debugCommand,
			"RESOURCE" : func.__resource,
			"LINE" : func.__line
		}
		var res = empBridge.debug(obj2string(postData));
		jsDebug.parseResult(res,func.__evalFunc);
		
	} catch (e) {
	}
}


jsDebug.evalExpression = function(expression, evalFunc) {
	try {
	//	jsDebug.xmlHttp.open("POST", "/jsdebug.debug?" + new Date(), false);
		var postData = {
			"STACK" : {},
			"COMMAND" : "EXPRESSION",
			"EXPRESSION" : expression
		}
		try {
			jsDebug.isExpression = true;
			var ret = evalFunc(expression);
			if(typeof(ret)=="undefined"){
				ret = "undefined";
			}else if(ret==null){
				ret = "null";
			}
			postData["RESULT"] = ret;
		} catch (e) {
			postData["ERROR"] = e;
		}
		jsDebug.isExpression = false;
		var res = empBridge.debug(obj2string(postData));
		jsDebug.parseResult(res,evalFunc);
	} catch (e) {

	}
}

jsDebug.evalValue = function(expression, evalFunc){
	try {
//		jsDebug.xmlHttp.open("POST", "/jsdebug.debug?" + new Date(), false);
		var postData = {
			"STACK" : {},
			"COMMAND" : "VALUE",
			"EXPRESSION" : expression
		}
		try {
			jsDebug.isExpression = true;
			var ret = evalFunc(expression);
			var data = {};
			if(typeof(ret)=="undefined"){
				ret = "undefined";
			}else if(ret==null){
				ret = "null";
			}else{
				for(var prop in ret){
					try{
						if(prop!="postData"&&!contains(del,prop)){
						var value = ret[prop];
						var type = typeof(value);
						if(type=="function"){
							continue;
						}
						var stringValue = "";
						if(value){
							stringValue = value.toString();
						}
						if(value==null){
							stringValue = "null";
							type = "null";
						}else if(value==undefined){
							stringValue = "undefined";
							type = "undefined";
						}
						data[prop] = {"value":stringValue,"type":typeof(value)};
						}
					}catch(e){

					}
				}
			}
			postData["RESULT"] = data;
		} catch (e) {
			postData["ERROR"] = e;
		}
		jsDebug.isExpression = false;
		var submitString = "{}";
		try{
			submitString = json2string(postData);
		}catch(e){

		}
		var res = empBridge.debug(obj2string(postData));
		jsDebug.parseResult(res,evalFunc);
	} catch (e) {
		alert(e);
	}
}

/**
 * 
 */
jsDebug.parseResult = function(result, evalFunc) {
	if (result) {
		if (result.indexOf("{") == 0) {
			try {
				eval("var retObj = " + result);
				if( retObj["COMMAND"]){
					if(retObj["COMMAND"]=="EXPRESSION"){
						jsDebug.evalExpression(retObj["EXPRESSION"], evalFunc);
					}else if(retObj["COMMAND"]=="VALUE"){
						jsDebug.evalValue(retObj["EXPRESSION"], evalFunc);
					}else{
						jsDebug.isExpression = false;
						jsDebug.debugCommand = retObj["COMMAND"];
						if (jsDebug.debugCommand == "BREAKPOINT") {
							jsDebug.breakpoints = retObj["BREAKPOINTS"];
						}
					}
				}
                return retObj;
			} catch (e) {
			}
		} else {
			 alert("Debug error:" + result);
		}
	} else {

	}
}



function json2string(obj, depth) {
	depth = depth || 0;
	if (typeof obj == "function") {
		return "\"function\"";
	}  else if (obj && typeof obj.pop == 'function' && obj instanceof Array) {
		return array2string(obj, depth + 1);
	} else if (typeof obj == "object") {
		return obj2string(obj, depth + 1);
	} else {
		if (typeof obj == "string") {
			return "\"" + obj.replace(/"/gm, "'").replace(/\n|\r/gm, "")
					+ "\"";
		} else if (typeof obj == "number") {
			if (isFinite(obj)) {
				return obj;
			} else {
				return "\"out of number\"";
			}
		} else {
			//return util.jsonToString(obj).replace(/"/gm, "\\\"").replace(/\n|\r/gm, "");
		}
	}
}

function obj2string(obj, depth) {
	depth = depth || 0;
		var arr = [];
		for (var prop in obj) {
			try {
				if (obj.hasOwnProperty(prop) && typeof(obj[prop]) != "function") {
					if (depth < 9) {
						arr.push("\"" + prop + "\":"
								+ json2string(obj[prop], depth + 1));
					} else {
						arr.push("\"" + prop + "\":\"...\"")
					}
				}
			} catch (e) {

			}
		}
		return "{" + arr.join(",") + "}";
}

function complexObj2String(obj){
	var arr = [];
	for (var prop in obj) {
		try {
			if (typeof(obj[prop]) != "function") {
				var value = (obj[prop] + "").replace(/"/gm, "'").replace(/\n|\r/gm, "");
				arr.push("\"" + prop + "\":\""
						+ value + "\"");
			}
		} catch (e) {

		}
	}
	return "{" + arr.join(",") + "}";
}
function array2string(array, depth) {
	depth = depth || 0;
	var arr = [];
	for (var i = 0; i < array.length; i++) {
		arr.push(json2string(array[i], depth + 1));
	}
	return "[" + arr.join(",") + "]";
}

function mergeJsonObject(jsonbject1, jsonbject2)  
{  
    var resultJsonObject={};  
    for(var attr in jsonbject1){  
        resultJsonObject[attr]=jsonbject1[attr];  
    }  
    for(var attr in jsonbject2){  
        resultJsonObject[attr]=jsonbject2[attr];  
    }  

    return resultJsonObject;  
};  

function convertStringToJSON(str){
    var stu = eval('('+str+')');
    return stu;
}

function contains(a,obj){
	var i = a.length;
	while(i--){
		if(a[i]===obj){
			return true;
		}
	}
	return false;
}

jsDebug.getBreakPoint = function(async) {
	var postData = {"COMMAND":"RESUME"}; 
    var res = empBridge.debug(obj2string(postData));
    var retObj = util.stringToJson(res);
    jsDebug.breakpoints = retObj["BREAKPOINTS"];
    return;

	async = async?false:true;
	log(":"+async);
	try{
//	var jsonResume = "{\"COMMAND\":\"RESUME\"}";
		var postData = {"COMMAND":"RESUME"}; 
	if(async){
		var id;
	    log("");
		id = setInterval(jsDebug.getBreakPoint,1000);
	}else{
		log("");
	    var res = empBridge.debug(obj2string(postData));
	    var retObj = util.stringToJson(res);
	    jsDebug.breakpoints = retObj["BREAKPOINTS"];
	}
	} catch(e){
		
	}
}

jsDebug.getBreakPoint();

jsDebug.debug =  function(resource,line,scope,args,evalFunc){
	var isNewStack = false;
	if(args&&args["_funcIndex"]==undefined){
		if(args.callee.caller && args.callee.caller.arguments){
			if(args.callee.caller.arguments["__funcIndex"]==undefined){
				args["__funcIndex"] = DEBUG_FUNC_INDEX++;
				isNewStack = true;
			}else{
				args["__funcIndex"] = args.callee.caller.arguments["__funcIndex"];
			}
		}
	}
	
	if (jsDebug.isExpression) {
		return;
	}
	
	
	try {
		jsDebug.currResource = resource;
		jsDebug.currLine = line;
		if (jsDebug.debugCommand == null) {
			jsDebug.debugCommand = "START";
		}
		if (jsDebug.debugCommand == "TERMINATE") {
			throw "exit";
		}
		if(!jsDebug.breakpoints){
			jsDebug.getBreakPoint(true);
		}
		if (!(jsDebug.breakpoints && jsDebug.breakpoints[resource + line])) {
			if (jsDebug.debugCommand == "STEPRETURN"
					|| jsDebug.debugCommand == "STEPOVER") {
				var parentFunc = jsDebug.functionStack[jsDebug.functionStack.length
						- 2];
				var currFunc = jsDebug.functionStack[jsDebug.functionStack.length
						- 1];
				if(currFunc && (currFunc==args.callee)){
					if(jsDebug.debugCommand == "STEPRETURN"){
						return;
					}
					// do nothing
				}else{
					if (parentFunc && (args.callee.caller == parentFunc)) {
						jsDebug.stepReturn(parentFunc);
						jsDebug.debug(resource, line, scope, args, evalFunc);
						if(jsDebug.debugCommand == "STEPRETURN"){
							return;
						}
					}else{
//						if(args.callee){
//							return;
//						}
					}
				}

			}
			if (jsDebug.debugCommand == "STEPRETURN") {
				if (!jsDebug.isStepReturn(args)) {
					if(args.callee){
						return;
					}
				}
			} else if (jsDebug.debugCommand == "STEPOVER") {
				if (!jsDebug.isStepOver(args)) {
					if(args.callee){
						return;
					}
				}
			} else if (jsDebug.debugCommand == "RESUME") {
				return;
			} else if (jsDebug.debugCommand == "STEPINTO") {

			} else {
				return;
			}
		} else {
			jsDebug.debugCommand = "BREAKPOINT";
		}
		
		var data = getFuncData(args,evalFunc);
		var windowData = getWindowData(args,evalFunc);
		var stack = mergeJsonObject(windowData,data);
		
		jsDebug.updateStack(args, resource, scope, line, evalFunc);
		
		var postData = {
				"STACK" : stack,
				"COMMAND" : jsDebug.debugCommand,
				"RESOURCE" : resource,
				"LINE" : line,
				"NEWSTACK":true
		};
		var postDataStr = json2string(postData,0);
		
	    var res = empBridge.debug(postDataStr);
		
		jsDebug.parseResult(res, evalFunc);
		
	} catch (e) {

	}

};

var $jsd = jsDebug.debug;
Emp.page.setId('_body_9216659');
$M.includeFile("/commons/listview_common.html");

var _div_18014006 = new Emp.Panel({"id":"_div_18014006","height":"100%","backgroundColor":"#F0F0F0","layout":"VBox","width":"100%"});
var _div_4563235 = new Emp.Panel({"id":"_div_4563235","height":"44","vAlign":"middle","layout":"HBox","width":"100%","backgroundImage":"/fan_group/u93.png"});
var _div_22428529 = new Emp.Panel({"id":"_div_22428529","height":"100%","vAlign":"middle","width":"100%"});
_div_22428529.addEvent('onClick',goBack);
var _img_5805343 = new Emp.Image({"id":"_img_5805343","height":"30","width":"30","src":"/icon_128/iconfont-back.png"});
_div_22428529.add(_img_5805343);
var _input_27676001 = new Emp.Label({"id":"_input_27676001","color":"#999999","value":"通讯录好友","fontSize":"16"});
_div_22428529.add(_input_27676001);
_div_4563235.add(_div_22428529);
_div_18014006.add(_div_4563235);
var _div_19022356 = new Emp.Panel({"id":"_div_19022356","height":"30","marginLeft":"10","marginTop":"20","width":"320"});
var _input_2111708 = new Emp.Label({"id":"_input_2111708","color":"#888888","value":"7位通讯录好友已加入饭糖"});
_div_19022356.add(_input_2111708);
_div_18014006.add(_div_19022356);
var _div_19962196 = new Emp.Panel({"id":"_div_19962196","height":"200","marginLeft":"5","layout":"VBox","width":"350","backgroundImage":"/image/u2.png"});
var _div_27417980 = new Emp.Panel({"id":"_div_27417980","height":"50","marginLeft":"10","marginTop":"15","width":"100%"});
var _div_10976206 = new Emp.Panel({"id":"_div_10976206","height":"100%","width":"100%"});
var _img_28388451 = new Emp.Image({"id":"_img_28388451","height":"33","width":"33","src":"/image/u16.png"});
_div_10976206.add(_img_28388451);
var _div_14239913 = new Emp.Panel({"id":"_div_14239913","marginLeft":"10","layout":"VBox"});
var _input_20022534 = new Emp.Label({"id":"_input_20022534","value":"Raymend"});
_div_14239913.add(_input_20022534);
var _input_1332667 = new Emp.Label({"id":"_input_1332667","color":"#C0C0C0","value":"张三"});
_div_14239913.add(_input_1332667);
_div_10976206.add(_div_14239913);
_div_27417980.add(_div_10976206);
var _div_17337851 = new Emp.Panel({"id":"_div_17337851","height":"100%","width":"100%"});
var _img_10590686 = new Emp.Image({"id":"_img_10590686","height":"33","marginLeft":"10","width":"33","src":"/image/u16.png"});
_div_17337851.add(_img_10590686);
var _div_24960235 = new Emp.Panel({"id":"_div_24960235","marginLeft":"10","layout":"VBox"});
var _input_9163602 = new Emp.Label({"id":"_input_9163602","value":"Raymend"});
_div_24960235.add(_input_9163602);
var _input_31377790 = new Emp.Label({"id":"_input_31377790","color":"#C0C0C0","value":"张三"});
_div_24960235.add(_input_31377790);
_div_17337851.add(_div_24960235);
_div_27417980.add(_div_17337851);
_div_19962196.add(_div_27417980);
var _div_25076331 = new Emp.Panel({"id":"_div_25076331","height":"50","marginLeft":"10","marginTop":"15","width":"100%"});
var _div_14236483 = new Emp.Panel({"id":"_div_14236483","height":"100%","width":"100%"});
var _img_29481549 = new Emp.Image({"id":"_img_29481549","height":"33","width":"33","src":"/image/u16.png"});
_div_14236483.add(_img_29481549);
var _div_31665280 = new Emp.Panel({"id":"_div_31665280","marginLeft":"10","layout":"VBox"});
var _input_25069950 = new Emp.Label({"id":"_input_25069950","value":"Raymend"});
_div_31665280.add(_input_25069950);
var _input_7654312 = new Emp.Label({"id":"_input_7654312","color":"#C0C0C0","value":"张三"});
_div_31665280.add(_input_7654312);
_div_14236483.add(_div_31665280);
_div_25076331.add(_div_14236483);
var _div_31895017 = new Emp.Panel({"id":"_div_31895017","height":"100%","width":"100%"});
var _img_27507909 = new Emp.Image({"id":"_img_27507909","height":"33","marginLeft":"10","width":"33","src":"/image/u16.png"});
_div_31895017.add(_img_27507909);
var _div_12471085 = new Emp.Panel({"id":"_div_12471085","marginLeft":"10","layout":"VBox"});
var _input_20556551 = new Emp.Label({"id":"_input_20556551","value":"Raymend"});
_div_12471085.add(_input_20556551);
var _input_17521996 = new Emp.Label({"id":"_input_17521996","color":"#C0C0C0","value":"张三"});
_div_12471085.add(_input_17521996);
_div_31895017.add(_div_12471085);
_div_25076331.add(_div_31895017);
_div_19962196.add(_div_25076331);
var _div_18496929 = new Emp.Panel({"id":"_div_18496929","height":"50","marginLeft":"10","marginTop":"15","width":"100%"});
var _div_29633051 = new Emp.Panel({"id":"_div_29633051","height":"100%","width":"100%"});
var _img_27824401 = new Emp.Image({"id":"_img_27824401","height":"33","width":"33","src":"/image/u16.png"});
_div_29633051.add(_img_27824401);
var _div_30151351 = new Emp.Panel({"id":"_div_30151351","marginLeft":"10","layout":"VBox"});
var _input_14724954 = new Emp.Label({"id":"_input_14724954","value":"Raymend"});
_div_30151351.add(_input_14724954);
var _input_18369144 = new Emp.Label({"id":"_input_18369144","color":"#C0C0C0","value":"张三"});
_div_30151351.add(_input_18369144);
_div_29633051.add(_div_30151351);
_div_18496929.add(_div_29633051);
var _div_29438143 = new Emp.Panel({"id":"_div_29438143","height":"100%","width":"100%"});
var _img_6771104 = new Emp.Image({"id":"_img_6771104","height":"33","marginLeft":"10","width":"33","src":"/image/u16.png"});
_div_29438143.add(_img_6771104);
var _div_18873422 = new Emp.Panel({"id":"_div_18873422","marginLeft":"10","layout":"VBox"});
var _input_15558793 = new Emp.Label({"id":"_input_15558793","value":"Raymend"});
_div_18873422.add(_input_15558793);
var _input_6954425 = new Emp.Label({"id":"_input_6954425","color":"#C0C0C0","value":"张三"});
_div_18873422.add(_input_6954425);
_div_29438143.add(_div_18873422);
_div_18496929.add(_div_29438143);
_div_19962196.add(_div_18496929);
var _div_12942514 = new Emp.Panel({"id":"_div_12942514","height":"50","marginLeft":"10","marginTop":"15","width":"100%"});
var _div_25009927 = new Emp.Panel({"id":"_div_25009927","height":"100%","width":"100%"});
var _img_5481499 = new Emp.Image({"id":"_img_5481499","height":"33","width":"33","src":"/image/u16.png"});
_div_25009927.add(_img_5481499);
var _div_20638158 = new Emp.Panel({"id":"_div_20638158","marginLeft":"10","layout":"VBox"});
var _input_13366487 = new Emp.Label({"id":"_input_13366487","value":"Raymend"});
_div_20638158.add(_input_13366487);
var _input_3625136 = new Emp.Label({"id":"_input_3625136","color":"#C0C0C0","value":"张三"});
_div_20638158.add(_input_3625136);
_div_25009927.add(_div_20638158);
_div_12942514.add(_div_25009927);
var _div_26370376 = new Emp.Panel({"id":"_div_26370376","height":"100%","width":"100%"});
var _img_19986751 = new Emp.Image({"id":"_img_19986751","height":"33","marginLeft":"10","width":"33","src":"/image/u16.png"});
_div_26370376.add(_img_19986751);
var _div_3907299 = new Emp.Panel({"id":"_div_3907299","marginLeft":"10","layout":"VBox"});
var _input_3962454 = new Emp.Label({"id":"_input_3962454","value":"Raymend"});
_div_3907299.add(_input_3962454);
var _input_24977886 = new Emp.Label({"id":"_input_24977886","color":"#C0C0C0","value":"张三"});
_div_3907299.add(_input_24977886);
_div_26370376.add(_div_3907299);
_div_12942514.add(_div_26370376);
_div_19962196.add(_div_12942514);
_div_18014006.add(_div_19962196);
var _div_3835384 = new Emp.Panel({"id":"_div_3835384","height":"30","marginLeft":"10","marginTop":"20","width":"320"});
var _div_3245550 = new Emp.Panel({"id":"_div_3245550","height":"25","marginLeft":"10","width":"320"});
var _input_22013440 = new Emp.Label({"id":"_input_22013440","color":"#888888","value":"76位好友等待您的邀请"});
_div_3245550.add(_input_22013440);
_div_3835384.add(_div_3245550);
_div_18014006.add(_div_3835384);
var _template_8729524 = new Emp.Panel({"id":"_template_8729524"});
_template_8729524.__isTemplate=true;
var template1 = new Emp.Panel({"id":"template1","backgroundColor":"#F0F0F0","vAlign":"middle","width":"100%"});
var _div_11702408 = new Emp.Panel({"id":"_div_11702408","height":"70","marginLeft":"10","layout":"VBox","width":"100%","backgroundImage":"/image/u2.png"});
var _div_19854061 = new Emp.Panel({"id":"_div_19854061","height":"70","marginTop":"25","layout":"HBox","width":"100%"});
var _input_21943129 = new Emp.Label({"id":"_input_21943129","marginLeft":"10","value":"李四"});
_div_19854061.add(_input_21943129);
var _input_1410314 = new Emp.Label({"id":"_input_1410314","color":"#C0C0C0","marginLeft":"220","value":"发送邀请"});
_div_19854061.add(_input_1410314);
_div_11702408.add(_div_19854061);
template1.add(_div_11702408);
_template_8729524.add(template1);
var _div_13719204 = new Emp.Panel({"id":"_div_13719204","height":"100%","backgroundColor":"#fcfcfc","width":"100%"});
var listview = new Emp.ListView({"id":"listview","height":"100%","enablePullUp":"true","width":"100%"});


_div_13719204.add(listview);
_div_18014006.add(_div_13719204);
Emp.page.add(_div_18014006);







$jsd('/NewBuyApp/src/fanReg/mail_friends.htmlx',113,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);});listview.setTemplate(template1); 
$jsd('/NewBuyApp/src/fanReg/mail_friends.htmlx',115,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); var newsScroller = new Emp.ListView.PrimetonerScroller({"modelId":this.modelId}); 
$jsd('/NewBuyApp/src/fanReg/mail_friends.htmlx',116,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); listview.setScroller(newsScroller); 
$jsd('/NewBuyApp/src/fanReg/mail_friends.htmlx',119,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); $M.page.addEvent("onLoad", function () { 
$jsd('/NewBuyApp/src/fanReg/mail_friends.htmlx',120,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); listview.setItems(getItems()); 
$jsd('/NewBuyApp/src/fanReg/mail_friends.htmlx',121,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); listview.reloadData(); 
}); 
$jsd('/NewBuyApp/src/fanReg/mail_friends.htmlx',125,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); function getItems() { 
$jsd('/NewBuyApp/src/fanReg/mail_friends.htmlx',126,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); var items = []; 
$jsd('/NewBuyApp/src/fanReg/mail_friends.htmlx',127,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); for (var i = 0; i < 10; i++) { 
$jsd('/NewBuyApp/src/fanReg/mail_friends.htmlx',128,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); var temp = {}; 
$jsd('/NewBuyApp/src/fanReg/mail_friends.htmlx',129,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); temp.level = i + 5; 
$jsd('/NewBuyApp/src/fanReg/mail_friends.htmlx',130,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); temp.fansCount = i + 200; 
$jsd('/NewBuyApp/src/fanReg/mail_friends.htmlx',131,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); temp.title = "李四"; 
$jsd('/NewBuyApp/src/fanReg/mail_friends.htmlx',132,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); temp.subTitle = "发送邀请"; 
$jsd('/NewBuyApp/src/fanReg/mail_friends.htmlx',133,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); items.push(temp); 
} 
$jsd('/NewBuyApp/src/fanReg/mail_friends.htmlx',135,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); return items; 
} 
$jsd('/NewBuyApp/src/fanReg/mail_friends.htmlx',138,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); function goBack() { 
$jsd('/NewBuyApp/src/fanReg/mail_friends.htmlx',139,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); $M.page.goBack({animation:"slideright"}); 
} 
 
Emp.page.render();
