var top = this;

var arguments = [];
var window= top;

arguments.callee = {};
var DEBUG_FUNC_INDEX = 1;

var del = ["arguments","top","window","Emp","empBridge","util","DEBUG_FUNC_INDEX","del","BridgeUtil","ResultUtil"];

function jsDebug(){
	
}

jsDebug.debugCommand = null;
jsDebug.currResource = null;
jsDebug.breakpoints = null;
jsDebug.functionStack = [];
jsDebug.currResource = null;
jsDebug.currLine = null;
jsDebug.isExpression = false;

/**
 * 
 */
jsDebug.getErrorStack = function(func) {
	var stack = [];
	while (func) {
		var funcStr = func.toString();
		var funcOffset = funcStr.indexOf(")");
		var funcHead = funcStr.substring(0, funcOffset + 1);
		var args = func.arguments;
		var argArr = [];
		for (var i = 0; i < args.length; i++) {
			argArr.push(args[i]);
		}
		stack.push(funcHead + json2string(argArr, 12));
		func = func.caller;
	}
	return stack.join("\n");
}

/**
 * 
 */
var parseVars = function(line) {
	var varNames = [];
	if (line && line.length > 0) {
		var endOffset = line.indexOf(";");
		if (endOffset > 0) {
			line = line.substring(0, endOffset);
		}
		var lineArr = line.split(",");
		for (var i = 0; i < lineArr.length; i++) {
			var varStr = lineArr[i];
			var varEndOffset = varStr.indexOf("=");
			if (varEndOffset > 0) {
				varNames.push(varStr.substring(0, varEndOffset));
			} else {
				varNames.push(varStr);
			}
		}
	}
	return varNames;
}

/**
 * 
 */
jsDebug.updateStack = function(args, resource, scope, line, evalFunc) {
	if (args && args.callee) {
		var func = args.callee;
		func.__resource = resource;
		func.__line = line;
		func.__evalFunc = evalFunc;
		func.__scope = scope;
		for (var i = jsDebug.functionStack.length - 1; i > -1; i--) {
			if (func == jsDebug.functionStack[i]) {
				jsDebug.functionStack = jsDebug.functionStack.slice(0, i + 1);
				return;
			}
		}
		jsDebug.functionStack.push(func);
	} else {
		jsDebug.functionStack = [];
	}

}

/**
 * 
 */
var getFuncData = function(args, evalFunc) {
	
		var vars = [];
		var func = args.callee;
		if (func) {
			var funcStr = func.toString().replace(/\n/g, "");
			var argStart = funcStr.indexOf("(");
			var argEnd = funcStr.indexOf(")");
			if (argStart > 0 && argEnd > 0) {
				var argStr = funcStr.substring(argStart + 1, argEnd);
				vars = argStr.split(",");
			}
			var nameArr = funcStr.split("var ");
			for (var i = 1; i < nameArr.length; i++) {
				var line = nameArr[i];
				vars = vars.concat(parseVars(line));
			}
		}
		var data = {};
		
		for (var i = 0; i < vars.length; i++) {
			var key = vars[i];
			if (key && key.length > 0) {
				key = key.replace(/\n|\r|\t| /g, "");
				if (/^[A-Za-z0-9_\$]*$/.test(key)) {
					try {
						var result = evalFunc(key);
						if (result == undefined) {
							data[key] = {"value":"undefined","type":"string"};
						} else if (result == null) {
							data[key] = {"value":"null","type":"string"};
						} else {
							data[key] = {"value":evalFunc(key),"type":typeof(evalFunc(key))};
						}
					} catch (e) {

					}
				}
			}
		}
		return data;
}

var getWindowData = function(args,evalFunc){
	var data = {};
	for (var i in top) { 
	    data[i] = {value:top[i],type:typeof(top[i])};
	}
//	return {"x":{"value":top.x,"type":typeof(top.x)}};

	return {"window":{value:top,type:typeof(top)}};
}


/**
 * find if arguments is stepreturn context
 */
jsDebug.isStepReturn = function(args) {
	if (args) {
		var func = args.callee;
		for (var i = jsDebug.functionStack.length - 2; i > -1; i--) {
			if (func == jsDebug.functionStack[i]) {
				return true;
			}
		}
		return false;
	} else {
		return true;
	}
}

/**
 * find if arguments is stepover context
 */
jsDebug.isStepOver = function(args) {
	if (args) {
		var func = args.callee;
		for (var i = jsDebug.functionStack.length - 1; i > -1; i--) {
			if (func == jsDebug.functionStack[i]) {
				return true;
			}
		}
		return false;
	} else {
		return true;
	}
}

/**
 * 
 */
jsDebug.error = function(e, resource, line,callFunc) {
	try {
		var funcStr = callFunc + "";
			if(funcStr.indexOf("function anonymous")>=0){
				funcStr = undefined;
			}
		var postData = {
			"ERROR" : encodeURI(e),
			"COMMAND" : "ERROR",
			"RESOURCE" : resource,
			"LINE" : line,
			"ERRORFUNC":funcStr,
			"ISIE":isIE
		}
		empBridge.debug(obj2string(postData));
	} catch (e) {

	}
}

/**
 * 
 */
jsDebug.stepReturn = function(func) {
	try {
		var data = jsDebug.getFuncData(func.arguments, func.__evalFunc);
		jsDebug.updateStack(func.arguments, func.__resource, func.__scope,
				func.__line, func.__evalFunc);
		if (func.__scope != top) {
			data["this"] = func.__scope;
		}
		var postData = {
			"STACK" : data,
			"COMMAND" : jsDebug.debugCommand,
			"RESOURCE" : func.__resource,
			"LINE" : func.__line
		}
		var res = empBridge.debug(obj2string(postData));
		jsDebug.parseResult(res,func.__evalFunc);
		
	} catch (e) {
	}
}


jsDebug.evalExpression = function(expression, evalFunc) {
	try {
	//	jsDebug.xmlHttp.open("POST", "/jsdebug.debug?" + new Date(), false);
		var postData = {
			"STACK" : {},
			"COMMAND" : "EXPRESSION",
			"EXPRESSION" : expression
		}
		try {
			jsDebug.isExpression = true;
			var ret = evalFunc(expression);
			if(typeof(ret)=="undefined"){
				ret = "undefined";
			}else if(ret==null){
				ret = "null";
			}
			postData["RESULT"] = ret;
		} catch (e) {
			postData["ERROR"] = e;
		}
		jsDebug.isExpression = false;
		var res = empBridge.debug(obj2string(postData));
		jsDebug.parseResult(res,evalFunc);
	} catch (e) {

	}
}

jsDebug.evalValue = function(expression, evalFunc){
	try {
//		jsDebug.xmlHttp.open("POST", "/jsdebug.debug?" + new Date(), false);
		var postData = {
			"STACK" : {},
			"COMMAND" : "VALUE",
			"EXPRESSION" : expression
		}
		try {
			jsDebug.isExpression = true;
			var ret = evalFunc(expression);
			var data = {};
			if(typeof(ret)=="undefined"){
				ret = "undefined";
			}else if(ret==null){
				ret = "null";
			}else{
				for(var prop in ret){
					try{
						if(prop!="postData"&&!contains(del,prop)){
						var value = ret[prop];
						var type = typeof(value);
						if(type=="function"){
							continue;
						}
						var stringValue = "";
						if(value){
							stringValue = value.toString();
						}
						if(value==null){
							stringValue = "null";
							type = "null";
						}else if(value==undefined){
							stringValue = "undefined";
							type = "undefined";
						}
						data[prop] = {"value":stringValue,"type":typeof(value)};
						}
					}catch(e){

					}
				}
			}
			postData["RESULT"] = data;
		} catch (e) {
			postData["ERROR"] = e;
		}
		jsDebug.isExpression = false;
		var submitString = "{}";
		try{
			submitString = json2string(postData);
		}catch(e){

		}
		var res = empBridge.debug(obj2string(postData));
		jsDebug.parseResult(res,evalFunc);
	} catch (e) {
		alert(e);
	}
}

/**
 * 
 */
jsDebug.parseResult = function(result, evalFunc) {
	if (result) {
		if (result.indexOf("{") == 0) {
			try {
				eval("var retObj = " + result);
				if( retObj["COMMAND"]){
					if(retObj["COMMAND"]=="EXPRESSION"){
						jsDebug.evalExpression(retObj["EXPRESSION"], evalFunc);
					}else if(retObj["COMMAND"]=="VALUE"){
						jsDebug.evalValue(retObj["EXPRESSION"], evalFunc);
					}else{
						jsDebug.isExpression = false;
						jsDebug.debugCommand = retObj["COMMAND"];
						if (jsDebug.debugCommand == "BREAKPOINT") {
							jsDebug.breakpoints = retObj["BREAKPOINTS"];
						}
					}
				}
                return retObj;
			} catch (e) {
			}
		} else {
			 alert("Debug error:" + result);
		}
	} else {

	}
}



function json2string(obj, depth) {
	depth = depth || 0;
	if (typeof obj == "function") {
		return "\"function\"";
	}  else if (obj && typeof obj.pop == 'function' && obj instanceof Array) {
		return array2string(obj, depth + 1);
	} else if (typeof obj == "object") {
		return obj2string(obj, depth + 1);
	} else {
		if (typeof obj == "string") {
			return "\"" + obj.replace(/"/gm, "'").replace(/\n|\r/gm, "")
					+ "\"";
		} else if (typeof obj == "number") {
			if (isFinite(obj)) {
				return obj;
			} else {
				return "\"out of number\"";
			}
		} else {
			//return util.jsonToString(obj).replace(/"/gm, "\\\"").replace(/\n|\r/gm, "");
		}
	}
}

function obj2string(obj, depth) {
	depth = depth || 0;
		var arr = [];
		for (var prop in obj) {
			try {
				if (obj.hasOwnProperty(prop) && typeof(obj[prop]) != "function") {
					if (depth < 9) {
						arr.push("\"" + prop + "\":"
								+ json2string(obj[prop], depth + 1));
					} else {
						arr.push("\"" + prop + "\":\"...\"")
					}
				}
			} catch (e) {

			}
		}
		return "{" + arr.join(",") + "}";
}

function complexObj2String(obj){
	var arr = [];
	for (var prop in obj) {
		try {
			if (typeof(obj[prop]) != "function") {
				var value = (obj[prop] + "").replace(/"/gm, "'").replace(/\n|\r/gm, "");
				arr.push("\"" + prop + "\":\""
						+ value + "\"");
			}
		} catch (e) {

		}
	}
	return "{" + arr.join(",") + "}";
}
function array2string(array, depth) {
	depth = depth || 0;
	var arr = [];
	for (var i = 0; i < array.length; i++) {
		arr.push(json2string(array[i], depth + 1));
	}
	return "[" + arr.join(",") + "]";
}

function mergeJsonObject(jsonbject1, jsonbject2)  
{  
    var resultJsonObject={};  
    for(var attr in jsonbject1){  
        resultJsonObject[attr]=jsonbject1[attr];  
    }  
    for(var attr in jsonbject2){  
        resultJsonObject[attr]=jsonbject2[attr];  
    }  

    return resultJsonObject;  
};  

function convertStringToJSON(str){
    var stu = eval('('+str+')');
    return stu;
}

function contains(a,obj){
	var i = a.length;
	while(i--){
		if(a[i]===obj){
			return true;
		}
	}
	return false;
}

jsDebug.getBreakPoint = function(async) {
	var postData = {"COMMAND":"RESUME"}; 
    var res = empBridge.debug(obj2string(postData));
    var retObj = util.stringToJson(res);
    jsDebug.breakpoints = retObj["BREAKPOINTS"];
    return;

	async = async?false:true;
	log(":"+async);
	try{
//	var jsonResume = "{\"COMMAND\":\"RESUME\"}";
		var postData = {"COMMAND":"RESUME"}; 
	if(async){
		var id;
	    log("");
		id = setInterval(jsDebug.getBreakPoint,1000);
	}else{
		log("");
	    var res = empBridge.debug(obj2string(postData));
	    var retObj = util.stringToJson(res);
	    jsDebug.breakpoints = retObj["BREAKPOINTS"];
	}
	} catch(e){
		
	}
}

jsDebug.getBreakPoint();

jsDebug.debug =  function(resource,line,scope,args,evalFunc){
	var isNewStack = false;
	if(args&&args["_funcIndex"]==undefined){
		if(args.callee.caller && args.callee.caller.arguments){
			if(args.callee.caller.arguments["__funcIndex"]==undefined){
				args["__funcIndex"] = DEBUG_FUNC_INDEX++;
				isNewStack = true;
			}else{
				args["__funcIndex"] = args.callee.caller.arguments["__funcIndex"];
			}
		}
	}
	
	if (jsDebug.isExpression) {
		return;
	}
	
	
	try {
		jsDebug.currResource = resource;
		jsDebug.currLine = line;
		if (jsDebug.debugCommand == null) {
			jsDebug.debugCommand = "START";
		}
		if (jsDebug.debugCommand == "TERMINATE") {
			throw "exit";
		}
		if(!jsDebug.breakpoints){
			jsDebug.getBreakPoint(true);
		}
		if (!(jsDebug.breakpoints && jsDebug.breakpoints[resource + line])) {
			if (jsDebug.debugCommand == "STEPRETURN"
					|| jsDebug.debugCommand == "STEPOVER") {
				var parentFunc = jsDebug.functionStack[jsDebug.functionStack.length
						- 2];
				var currFunc = jsDebug.functionStack[jsDebug.functionStack.length
						- 1];
				if(currFunc && (currFunc==args.callee)){
					if(jsDebug.debugCommand == "STEPRETURN"){
						return;
					}
					// do nothing
				}else{
					if (parentFunc && (args.callee.caller == parentFunc)) {
						jsDebug.stepReturn(parentFunc);
						jsDebug.debug(resource, line, scope, args, evalFunc);
						if(jsDebug.debugCommand == "STEPRETURN"){
							return;
						}
					}else{
//						if(args.callee){
//							return;
//						}
					}
				}

			}
			if (jsDebug.debugCommand == "STEPRETURN") {
				if (!jsDebug.isStepReturn(args)) {
					if(args.callee){
						return;
					}
				}
			} else if (jsDebug.debugCommand == "STEPOVER") {
				if (!jsDebug.isStepOver(args)) {
					if(args.callee){
						return;
					}
				}
			} else if (jsDebug.debugCommand == "RESUME") {
				return;
			} else if (jsDebug.debugCommand == "STEPINTO") {

			} else {
				return;
			}
		} else {
			jsDebug.debugCommand = "BREAKPOINT";
		}
		
		var data = getFuncData(args,evalFunc);
		var windowData = getWindowData(args,evalFunc);
		var stack = mergeJsonObject(windowData,data);
		
		jsDebug.updateStack(args, resource, scope, line, evalFunc);
		
		var postData = {
				"STACK" : stack,
				"COMMAND" : jsDebug.debugCommand,
				"RESOURCE" : resource,
				"LINE" : line,
				"NEWSTACK":true
		};
		var postDataStr = json2string(postData,0);
		
	    var res = empBridge.debug(postDataStr);
		
		jsDebug.parseResult(res, evalFunc);
		
	} catch (e) {

	}

};

var $jsd = jsDebug.debug;
Emp.page.setId('_body_22486056');
$M.includeFile("/commons/listview_common.html");
$M.includeFile("/template/fan_tie_template.html");
$M.includeFile("/fan_club_pop.html");
var _div_33142001 = new Emp.Panel({"id":"_div_33142001","height":"100%","layout":"VBox","width":"100%"});
var _div_14046431 = new Emp.Panel({"id":"_div_14046431","height":"40","vAlign":"middle","marginLeft":"10","width":"100%","top":"0"});
var _img_22947048 = new Emp.Image({"id":"_img_22947048","height":"20","marginLeft":"80","width":"20","src":"/homeImg/index_u53.png"});
_div_14046431.add(_img_22947048);
var _img_29960494 = new Emp.Image({"id":"_img_29960494","height":"20","marginLeft":"80","width":"20","src":"/homeImg/discover_u49_selected.png"});
_div_14046431.add(_img_29960494);
var _img_28222865 = new Emp.Image({"id":"_img_28222865","height":"20","marginLeft":"20","width":"20","src":"/homeImg/massage_u47.png"});
_img_28222865.addEvent('onClick',goToTips);
_div_14046431.add(_img_28222865);
var _img_16253341 = new Emp.Image({"id":"_img_16253341","height":"20","marginLeft":"20","width":"20","src":"/homeImg/shop_u55.png"});
_img_16253341.addEvent('onClick',goToShop);
_div_14046431.add(_img_16253341);
var _img_3276391 = new Emp.Image({"id":"_img_3276391","height":"20","marginLeft":"20","width":"20","src":"/homeImg/me_u45.png"});
_img_3276391.addEvent('onClick',my_info);
_div_14046431.add(_img_3276391);
_div_33142001.add(_div_14046431);
var _div_3493781 = new Emp.Panel({"id":"_div_3493781","height":"50","marginTop":"10","layout":"HBox","width":"100%","backgroundImage":"/coupon/u4.png"});
var _input_33277564 = new Emp.Label({"id":"_input_33277564","marginTop":"5","marginLeft":"70","value":"找明星","fontSize":"20"});
_input_33277564.addEvent('onClick',find_star);
_div_3493781.add(_input_33277564);
var _img_10755811 = new Emp.Image({"id":"_img_10755811","height":"100%","marginLeft":"50","width":"2","src":"/coupon/u55_line.png"});
_div_3493781.add(_img_10755811);
var _input_15200356 = new Emp.Label({"id":"_input_15200356","marginTop":"5","marginLeft":"50","value":"找饭团","fontSize":"20"});
_input_15200356.addEvent('onClick',find_fan);
_div_3493781.add(_input_15200356);
_div_33142001.add(_div_3493781);
var _div_22498109 = new Emp.Panel({"id":"_div_22498109","height":"500","layout":"VBox","width":"100%"});
var _div_836536 = new Emp.Panel({"id":"_div_836536","height":"100%","backgroundColor":"#fcfcfc","width":"100%"});
var listview = new Emp.ListView({"id":"listview","height":"100%","width":"100%"});
_div_836536.add(listview);
_div_22498109.add(_div_836536);
_div_33142001.add(_div_22498109);
Emp.page.add(_div_33142001);
var _template_28567907 = new Emp.Panel({"id":"_template_28567907"});
_template_28567907.__isTemplate=true;
var template1 = new Emp.Panel({"id":"template1","paddingTop":"80","height":"100%","backgroundColor":"#fcfcfc","vAlign":"middle","layout":"VBox","hAlign":"center","width":"100%"});
var _div_27655915 = new Emp.Panel({"id":"_div_27655915","height":"100%","layout":"VBox","width":"100%"});
var _div_16976021 = new Emp.Panel({"id":"_div_16976021","height":"30","width":"100%"});
var _input_2663176 = new Emp.Label({"id":"_input_2663176","height":"30","value":"封神榜"});
_div_16976021.add(_input_2663176);
_div_27655915.add(_div_16976021);
var fengshenbang = new Emp.Panel({"id":"fengshenbang","height":"200","layout":"VBox","width":"100%"});
var _div_28277294 = new Emp.Panel({"id":"_div_28277294","height":"100","layout":"HBox","width":"100%"});
_div_28277294.addEvent('onClick',star_home);
var _div_25065578 = new Emp.Panel({"id":"_div_25065578","height":"100%","layout":"VBox","width":"100%"});
var _img_1277457 = new Emp.Image({"id":"_img_1277457","height":"50","width":"50","src":"/fan_tie/u141.png"});
_div_25065578.add(_img_1277457);
var _input_28951679 = new Emp.Label({"id":"_input_28951679","height":"30","vAlign":"middle","color":"#999999","backgroundColor":"#FAC008","hAlign":"center","width":"60","value":"杨幂","fontSize":"13"});
_div_25065578.add(_input_28951679);
_div_28277294.add(_div_25065578);
var _div_18055474 = new Emp.Panel({"id":"_div_18055474","height":"100%","layout":"VBox","width":"100%"});
var _img_25632274 = new Emp.Image({"id":"_img_25632274","height":"50","width":"50","src":"/fan_tie/u141.png"});
_div_18055474.add(_img_25632274);
var _input_29841806 = new Emp.Label({"id":"_input_29841806","height":"30","vAlign":"middle","color":"#999999","backgroundColor":"#FAC008","hAlign":"center","width":"60","value":"杨幂","fontSize":"13"});
_div_18055474.add(_input_29841806);
_div_28277294.add(_div_18055474);
var _div_13154853 = new Emp.Panel({"id":"_div_13154853","height":"100%","layout":"VBox","width":"100%"});
var _img_3467540 = new Emp.Image({"id":"_img_3467540","height":"50","width":"50","src":"/fan_tie/u141.png"});
_div_13154853.add(_img_3467540);
var _input_28463460 = new Emp.Label({"id":"_input_28463460","height":"30","vAlign":"middle","color":"#999999","backgroundColor":"#FAC008","hAlign":"center","width":"60","value":"杨幂","fontSize":"13"});
_div_13154853.add(_input_28463460);
_div_28277294.add(_div_13154853);
var _div_33396153 = new Emp.Panel({"id":"_div_33396153","height":"100%","layout":"VBox","width":"100%"});
var _img_24165970 = new Emp.Image({"id":"_img_24165970","height":"50","width":"50","src":"/fan_tie/u141.png"});
_div_33396153.add(_img_24165970);
var _input_14629595 = new Emp.Label({"id":"_input_14629595","height":"30","vAlign":"middle","color":"#999999","backgroundColor":"#FAC008","hAlign":"center","width":"60","value":"杨幂","fontSize":"13"});
_div_33396153.add(_input_14629595);
_div_28277294.add(_div_33396153);
fengshenbang.add(_div_28277294);
var _div_26288681 = new Emp.Panel({"id":"_div_26288681","height":"100","layout":"HBox","width":"100%"});
_div_26288681.addEvent('onClick',star_home);
var _div_22665607 = new Emp.Panel({"id":"_div_22665607","height":"100%","layout":"VBox","width":"100%"});
var _img_30959931 = new Emp.Image({"id":"_img_30959931","height":"50","width":"50","src":"/fan_tie/u141.png"});
_div_22665607.add(_img_30959931);
var _input_14985373 = new Emp.Label({"id":"_input_14985373","height":"30","vAlign":"middle","color":"#999999","backgroundColor":"#FAC008","hAlign":"center","width":"60","value":"杨幂","fontSize":"13"});
_div_22665607.add(_input_14985373);
_div_26288681.add(_div_22665607);
var _div_33161422 = new Emp.Panel({"id":"_div_33161422","height":"100%","layout":"VBox","width":"100%"});
var _img_4907707 = new Emp.Image({"id":"_img_4907707","height":"50","width":"50","src":"/fan_tie/u141.png"});
_div_33161422.add(_img_4907707);
var _input_7045347 = new Emp.Label({"id":"_input_7045347","height":"30","vAlign":"middle","color":"#999999","backgroundColor":"#FAC008","hAlign":"center","width":"60","value":"杨幂","fontSize":"13"});
_div_33161422.add(_input_7045347);
_div_26288681.add(_div_33161422);
var _div_31112301 = new Emp.Panel({"id":"_div_31112301","height":"100%","layout":"VBox","width":"100%"});
var _img_25732183 = new Emp.Image({"id":"_img_25732183","height":"50","width":"50","src":"/fan_tie/u141.png"});
_div_31112301.add(_img_25732183);
var _input_31283417 = new Emp.Label({"id":"_input_31283417","height":"30","vAlign":"middle","color":"#999999","backgroundColor":"#FAC008","hAlign":"center","width":"60","value":"杨幂","fontSize":"13"});
_div_31112301.add(_input_31283417);
_div_26288681.add(_div_31112301);
var _div_16006310 = new Emp.Panel({"id":"_div_16006310","height":"100%","layout":"VBox","width":"100%"});
var _img_12181718 = new Emp.Image({"id":"_img_12181718","height":"50","width":"50","src":"/fan_tie/u141.png"});
_div_16006310.add(_img_12181718);
var _input_22549091 = new Emp.Label({"id":"_input_22549091","height":"30","vAlign":"middle","color":"#999999","backgroundColor":"#FAC008","hAlign":"center","width":"60","value":"杨幂","fontSize":"13"});
_div_16006310.add(_input_22549091);
_div_26288681.add(_div_16006310);
fengshenbang.add(_div_26288681);
_div_27655915.add(fengshenbang);
template1.add(_div_27655915);
var _div_18818918 = new Emp.Panel({"id":"_div_18818918","paddingTop":"20","height":"250","overflow":"x","width":"100%"});
var bottom1 = new Emp.Panel({"id":"bottom1","height":"190","layout":"VBox"});
var _div_22638321 = new Emp.Panel({"id":"_div_22638321","borderColor":"#f2f2f2","height":"180","backgroundColor":"#ffffff","marginTop":"10","marginLeft":"5","borderWidth":"1","layout":"VBox","width":"144","cornerRadius":"12"});
var _div_8559664 = new Emp.Panel({"id":"_div_8559664","height":"30","marginTop":"30","hAlign":"center","width":"100%"});
var _input_14437637 = new Emp.Label({"id":"_input_14437637","value":"孙大圣上海见面会","fontSize":"15"});
_div_8559664.add(_input_14437637);
_div_22638321.add(_div_8559664);
var _div_21269218 = new Emp.Panel({"id":"_div_21269218","height":"60","hAlign":"center","width":"100%"});
var _img_16387198 = new Emp.Image({"id":"_img_16387198","height":"60","width":"60","src":"/fan_club/u40.png"});
_div_21269218.add(_img_16387198);
_div_22638321.add(_div_21269218);
var _div_4862472 = new Emp.Panel({"id":"_div_4862472","height":"30","marginTop":"10","vAlign":"middle","hAlign":"center","width":"100%"});
var _div_18527910 = new Emp.Panel({"id":"_div_18527910","borderColor":"#ffca45","height":"20","borderWidth":"1","width":"20"});
var _input_13467160 = new Emp.Label({"id":"_input_13467160","color":"#ffca45","value":"福"});
_div_18527910.add(_input_13467160);
_div_4862472.add(_div_18527910);
var _input_17918587 = new Emp.Label({"id":"_input_17918587","color":"#999999","marginLeft":"5","value":"签名照首发","fontSize":"15"});
_div_4862472.add(_input_17918587);
_div_22638321.add(_div_4862472);
bottom1.add(_div_22638321);
var _div_6667012 = new Emp.Panel({"id":"_div_6667012","height":"30","marginLeft":"10","marginTop":"-190","layout":"HBox","width":"100%"});
var _div_14234368 = new Emp.Panel({"id":"_div_14234368","borderColor":"#ff0094","height":"25","vAlign":"middle","backgroundColor":"#ff0094","borderWidth":"2","hAlign":"center","width":"30","cornerRadius":"5"});
var _input_27480773 = new Emp.Label({"id":"_input_27480773","color":"#ffffff","value":"V6"});
_div_14234368.add(_input_27480773);
_div_6667012.add(_div_14234368);
var _div_26155230 = new Emp.Panel({"id":"_div_26155230","borderColor":"#ff0094","height":"25","vAlign":"middle","backgroundColor":"#ff0094","marginLeft":"10","borderWidth":"2","hAlign":"center","width":"60","cornerRadius":"5"});
var _img_27895816 = new Emp.Image({"id":"_img_27895816","height":"16","width":"16","src":"/fan_club/u50.png"});
_div_26155230.add(_img_27895816);
var _input_22463179 = new Emp.Label({"id":"_input_22463179","color":"#ffffff","value":"236"});
_div_26155230.add(_input_22463179);
_div_6667012.add(_div_26155230);
bottom1.add(_div_6667012);
_div_18818918.add(bottom1);
var _div_17741499 = new Emp.Panel({"id":"_div_17741499","height":"190","layout":"VBox"});
var _div_16698170 = new Emp.Panel({"id":"_div_16698170","borderColor":"#f2f2f2","height":"180","backgroundColor":"#ffffff","marginTop":"10","marginLeft":"5","borderWidth":"1","layout":"VBox","width":"144","cornerRadius":"12"});
var _div_30433494 = new Emp.Panel({"id":"_div_30433494","height":"30","marginTop":"30","hAlign":"center","width":"100%"});
var _input_25531121 = new Emp.Label({"id":"_input_25531121","value":"孙大圣上海见面会","fontSize":"15"});
_div_30433494.add(_input_25531121);
_div_16698170.add(_div_30433494);
var _div_7489924 = new Emp.Panel({"id":"_div_7489924","height":"60","hAlign":"center","width":"100%"});
var _img_20491162 = new Emp.Image({"id":"_img_20491162","height":"60","width":"60","src":"/fan_club/u40.png"});
_div_7489924.add(_img_20491162);
_div_16698170.add(_div_7489924);
var _div_25832156 = new Emp.Panel({"id":"_div_25832156","height":"30","marginTop":"10","vAlign":"middle","hAlign":"center","width":"100%"});
var _div_261213 = new Emp.Panel({"id":"_div_261213","borderColor":"#ffca45","height":"20","borderWidth":"1","width":"20"});
var _input_28133359 = new Emp.Label({"id":"_input_28133359","color":"#ffca45","value":"福"});
_div_261213.add(_input_28133359);
_div_25832156.add(_div_261213);
var _input_21865722 = new Emp.Label({"id":"_input_21865722","color":"#999999","marginLeft":"5","value":"签名照首发","fontSize":"15"});
_div_25832156.add(_input_21865722);
_div_16698170.add(_div_25832156);
_div_17741499.add(_div_16698170);
var _div_9051348 = new Emp.Panel({"id":"_div_9051348","height":"30","marginLeft":"10","marginTop":"-190","layout":"HBox","width":"100%"});
var _div_23781670 = new Emp.Panel({"id":"_div_23781670","borderColor":"#ff0094","height":"25","vAlign":"middle","backgroundColor":"#ff0094","borderWidth":"2","hAlign":"center","width":"30","cornerRadius":"5"});
var _input_31688324 = new Emp.Label({"id":"_input_31688324","color":"#ffffff","value":"V6"});
_div_23781670.add(_input_31688324);
_div_9051348.add(_div_23781670);
var _div_9718850 = new Emp.Panel({"id":"_div_9718850","borderColor":"#ff0094","height":"25","vAlign":"middle","backgroundColor":"#ff0094","marginLeft":"10","borderWidth":"2","hAlign":"center","width":"60","cornerRadius":"5"});
var _img_1741514 = new Emp.Image({"id":"_img_1741514","height":"16","width":"16","src":"/fan_club/u50.png"});
_div_9718850.add(_img_1741514);
var _input_10168198 = new Emp.Label({"id":"_input_10168198","color":"#ffffff","value":"236"});
_div_9718850.add(_input_10168198);
_div_9051348.add(_div_9718850);
_div_17741499.add(_div_9051348);
_div_18818918.add(_div_17741499);
var _div_4183002 = new Emp.Panel({"id":"_div_4183002","height":"190","layout":"VBox"});
var _div_7190111 = new Emp.Panel({"id":"_div_7190111","borderColor":"#f2f2f2","height":"180","backgroundColor":"#ffffff","marginTop":"10","marginLeft":"5","borderWidth":"1","layout":"VBox","width":"144","cornerRadius":"12"});
var _div_14687839 = new Emp.Panel({"id":"_div_14687839","height":"30","marginTop":"30","hAlign":"center","width":"100%"});
var _input_32117324 = new Emp.Label({"id":"_input_32117324","value":"孙大圣上海见面会","fontSize":"15"});
_div_14687839.add(_input_32117324);
_div_7190111.add(_div_14687839);
var _div_5728164 = new Emp.Panel({"id":"_div_5728164","height":"60","hAlign":"center","width":"100%"});
var _img_5603004 = new Emp.Image({"id":"_img_5603004","height":"60","width":"60","src":"/fan_club/u40.png"});
_div_5728164.add(_img_5603004);
_div_7190111.add(_div_5728164);
var _div_15952079 = new Emp.Panel({"id":"_div_15952079","height":"30","marginTop":"10","vAlign":"middle","hAlign":"center","width":"100%"});
var _div_6694378 = new Emp.Panel({"id":"_div_6694378","borderColor":"#ffca45","height":"20","borderWidth":"1","width":"20"});
var _input_4413207 = new Emp.Label({"id":"_input_4413207","color":"#ffca45","value":"福"});
_div_6694378.add(_input_4413207);
_div_15952079.add(_div_6694378);
var _input_17486130 = new Emp.Label({"id":"_input_17486130","color":"#999999","marginLeft":"5","value":"签名照首发","fontSize":"15"});
_div_15952079.add(_input_17486130);
_div_7190111.add(_div_15952079);
_div_4183002.add(_div_7190111);
var _div_19680256 = new Emp.Panel({"id":"_div_19680256","height":"30","marginLeft":"10","marginTop":"-190","layout":"HBox","width":"100%"});
var _div_20042541 = new Emp.Panel({"id":"_div_20042541","borderColor":"#ff0094","height":"25","vAlign":"middle","backgroundColor":"#ff0094","borderWidth":"2","hAlign":"center","width":"30","cornerRadius":"5"});
var _input_2047047 = new Emp.Label({"id":"_input_2047047","color":"#ffffff","value":"V6"});
_div_20042541.add(_input_2047047);
_div_19680256.add(_div_20042541);
var _div_11429033 = new Emp.Panel({"id":"_div_11429033","borderColor":"#ff0094","height":"25","vAlign":"middle","backgroundColor":"#ff0094","marginLeft":"10","borderWidth":"2","hAlign":"center","width":"60","cornerRadius":"5"});
var _img_22201032 = new Emp.Image({"id":"_img_22201032","height":"16","width":"16","src":"/fan_club/u50.png"});
_div_11429033.add(_img_22201032);
var _input_7469036 = new Emp.Label({"id":"_input_7469036","color":"#ffffff","value":"236"});
_div_11429033.add(_input_7469036);
_div_19680256.add(_div_11429033);
_div_4183002.add(_div_19680256);
_div_18818918.add(_div_4183002);
var _div_4958523 = new Emp.Panel({"id":"_div_4958523","height":"190","layout":"VBox"});
var _div_22252736 = new Emp.Panel({"id":"_div_22252736","borderColor":"#f2f2f2","height":"180","backgroundColor":"#ffffff","marginTop":"10","marginLeft":"5","borderWidth":"1","layout":"VBox","width":"144","cornerRadius":"12"});
var _div_4035054 = new Emp.Panel({"id":"_div_4035054","height":"30","marginTop":"30","hAlign":"center","width":"100%"});
var _input_3648163 = new Emp.Label({"id":"_input_3648163","value":"孙大圣上海见面会","fontSize":"15"});
_div_4035054.add(_input_3648163);
_div_22252736.add(_div_4035054);
var _div_10739597 = new Emp.Panel({"id":"_div_10739597","height":"60","hAlign":"center","width":"100%"});
var _img_11129740 = new Emp.Image({"id":"_img_11129740","height":"60","width":"60","src":"/fan_club/u40.png"});
_div_10739597.add(_img_11129740);
_div_22252736.add(_div_10739597);
var _div_25141288 = new Emp.Panel({"id":"_div_25141288","height":"30","marginTop":"10","vAlign":"middle","hAlign":"center","width":"100%"});
var _div_32231160 = new Emp.Panel({"id":"_div_32231160","borderColor":"#ffca45","height":"20","borderWidth":"1","width":"20"});
var _input_6372183 = new Emp.Label({"id":"_input_6372183","color":"#ffca45","value":"福"});
_div_32231160.add(_input_6372183);
_div_25141288.add(_div_32231160);
var _input_25094309 = new Emp.Label({"id":"_input_25094309","color":"#999999","marginLeft":"5","value":"签名照首发","fontSize":"15"});
_div_25141288.add(_input_25094309);
_div_22252736.add(_div_25141288);
_div_4958523.add(_div_22252736);
var _div_14401003 = new Emp.Panel({"id":"_div_14401003","height":"30","marginLeft":"10","marginTop":"-190","layout":"HBox","width":"100%"});
var _div_9549234 = new Emp.Panel({"id":"_div_9549234","borderColor":"#ff0094","height":"25","vAlign":"middle","backgroundColor":"#ff0094","borderWidth":"2","hAlign":"center","width":"30","cornerRadius":"5"});
var _input_3131858 = new Emp.Label({"id":"_input_3131858","color":"#ffffff","value":"V6"});
_div_9549234.add(_input_3131858);
_div_14401003.add(_div_9549234);
var _div_23796195 = new Emp.Panel({"id":"_div_23796195","borderColor":"#ff0094","height":"25","vAlign":"middle","backgroundColor":"#ff0094","marginLeft":"10","borderWidth":"2","hAlign":"center","width":"60","cornerRadius":"5"});
var _img_7381108 = new Emp.Image({"id":"_img_7381108","height":"16","width":"16","src":"/fan_club/u50.png"});
_div_23796195.add(_img_7381108);
var _input_3554988 = new Emp.Label({"id":"_input_3554988","color":"#ffffff","value":"236"});
_div_23796195.add(_input_3554988);
_div_14401003.add(_div_23796195);
_div_4958523.add(_div_14401003);
_div_18818918.add(_div_4958523);
var bottomMore = new Emp.Panel({"id":"bottomMore","borderColor":"#f2f2f2","height":"190","backgroundColor":"#ffffff","vAlign":"middle","marginTop":"10","marginLeft":"5","borderWidth":"1","width":"144","hAlign":"center","layout":"VBox","cornerRadius":"12"});
var _input_31270222 = new Emp.Label({"id":"_input_31270222","value":"更多饭团"});
bottomMore.add(_input_31270222);
var _input_29116606 = new Emp.Label({"id":"_input_29116606","value":"100+ ——>"});
bottomMore.add(_input_29116606);
_div_18818918.add(bottomMore);
template1.add(_div_18818918);
var _div_4961769 = new Emp.Panel({"id":"_div_4961769","height":"100%","layout":"VBox","width":"100%"});
var _div_9699919 = new Emp.Panel({"id":"_div_9699919","paddingTop":"20","height":"50","width":"100%"});
var _input_19112254 = new Emp.Label({"id":"_input_19112254","height":"30","value":"最热饭贴"});
_div_9699919.add(_input_19112254);
_div_4961769.add(_div_9699919);
var _div_3086621 = new Emp.Panel({"id":"_div_3086621","height":"100%","backgroundColor":"#fcfcfc","vAlign":"middle","hAlign":"center","width":"100%"});
var _div_1690187 = new Emp.Panel({"id":"_div_1690187","borderColor":"#f2f2f2","height":"80","backgroundColor":"#ffffff","marginLeft":"10","borderWidth":"1","marginRight":"10","layout":"VBox","width":"340","cornerRadius":"10"});
_div_1690187.addEvent('onClick',fan_tie);
var _div_19937893 = new Emp.Panel({"id":"_div_19937893","height":"50","marginLeft":"10","marginTop":"10","layout":"HBox","width":"100%"});
var _div_21622197 = new Emp.Panel({"id":"_div_21622197","borderColor":"#ff0094","height":"25","vAlign":"middle","backgroundColor":"#ff0094","borderWidth":"2","hAlign":"center","width":"30","cornerRadius":"5"});
var _input_9777880 = new Emp.Label({"id":"_input_9777880","color":"#ffffff","tag":"level","value":"V6"});
_div_21622197.add(_input_9777880);
_div_19937893.add(_div_21622197);
var _div_20782822 = new Emp.Panel({"id":"_div_20782822","borderColor":"#ff0094","height":"25","vAlign":"middle","backgroundColor":"#ff0094","marginLeft":"10","borderWidth":"2","hAlign":"center","width":"60","cornerRadius":"5"});
var _img_28823110 = new Emp.Image({"id":"_img_28823110","height":"16","width":"16","src":"/fan_club/u50.png"});
_div_20782822.add(_img_28823110);
var _input_4682302 = new Emp.Label({"id":"_input_4682302","color":"#ffffff","tag":"fansCount","value":"236"});
_div_20782822.add(_input_4682302);
_div_19937893.add(_div_20782822);
var _div_10307235 = new Emp.Panel({"id":"_div_10307235","height":"100%","marginLeft":"20","width":"100%"});
var _input_25735185 = new Emp.Label({"id":"_input_25735185","tag":"title","value":"孙大圣上海后援会","fontSize":"20"});
_div_10307235.add(_input_25735185);
_div_19937893.add(_div_10307235);
_div_1690187.add(_div_19937893);
_div_3086621.add(_div_1690187);
_div_4961769.add(_div_3086621);
var _div_14628905 = new Emp.Panel({"id":"_div_14628905","height":"100%","paddingTop":"10","backgroundColor":"#fcfcfc","vAlign":"middle","hAlign":"center","width":"100%"});
var _div_14685023 = new Emp.Panel({"id":"_div_14685023","borderColor":"#f2f2f2","height":"160","backgroundColor":"#ffffff","marginLeft":"10","borderWidth":"1","marginRight":"10","layout":"VBox","width":"340","cornerRadius":"10"});
_div_14685023.addEvent('onClick',fan_tie);
var _div_18346921 = new Emp.Panel({"id":"_div_18346921","height":"50","marginLeft":"10","marginTop":"10","layout":"HBox","width":"100%"});
var _div_25028631 = new Emp.Panel({"id":"_div_25028631","borderColor":"#ff0094","height":"25","vAlign":"middle","backgroundColor":"#ff0094","borderWidth":"2","hAlign":"center","width":"30","cornerRadius":"5"});
var _input_17846587 = new Emp.Label({"id":"_input_17846587","color":"#ffffff","tag":"level","value":"V6"});
_div_25028631.add(_input_17846587);
_div_18346921.add(_div_25028631);
var _div_4534381 = new Emp.Panel({"id":"_div_4534381","borderColor":"#ff0094","height":"25","vAlign":"middle","backgroundColor":"#ff0094","marginLeft":"10","borderWidth":"2","hAlign":"center","width":"60","cornerRadius":"5"});
var _img_7236147 = new Emp.Image({"id":"_img_7236147","height":"16","width":"16","src":"/fan_club/u50.png"});
_div_4534381.add(_img_7236147);
var _input_16661642 = new Emp.Label({"id":"_input_16661642","color":"#ffffff","tag":"fansCount","value":"236"});
_div_4534381.add(_input_16661642);
_div_18346921.add(_div_4534381);
var _div_20496365 = new Emp.Panel({"id":"_div_20496365","height":"100%","marginLeft":"20","width":"100%"});
var _input_12612792 = new Emp.Label({"id":"_input_12612792","tag":"title","value":"孙大圣上海后援会","fontSize":"20"});
_div_20496365.add(_input_12612792);
_div_18346921.add(_div_20496365);
_div_14685023.add(_div_18346921);
_div_14628905.add(_div_14685023);
_div_4961769.add(_div_14628905);
var _div_19864843 = new Emp.Panel({"id":"_div_19864843","height":"100%","backgroundColor":"#fcfcfc","vAlign":"middle","hAlign":"center","width":"100%"});
var _div_1819632 = new Emp.Panel({"id":"_div_1819632","borderColor":"#f2f2f2","height":"160","backgroundColor":"#ffffff","marginLeft":"10","borderWidth":"1","marginRight":"10","layout":"VBox","width":"340","cornerRadius":"10"});
_div_1819632.addEvent('onClick',fan_tie);
var _div_14469587 = new Emp.Panel({"id":"_div_14469587","height":"50","marginLeft":"10","marginTop":"10","layout":"HBox","width":"100%"});
var _div_21381956 = new Emp.Panel({"id":"_div_21381956","borderColor":"#ff0094","height":"25","vAlign":"middle","backgroundColor":"#ff0094","borderWidth":"2","hAlign":"center","width":"30","cornerRadius":"5"});
var _input_32130774 = new Emp.Label({"id":"_input_32130774","color":"#ffffff","tag":"level","value":"V6"});
_div_21381956.add(_input_32130774);
_div_14469587.add(_div_21381956);
var _div_30458611 = new Emp.Panel({"id":"_div_30458611","borderColor":"#ff0094","height":"25","vAlign":"middle","backgroundColor":"#ff0094","marginLeft":"10","borderWidth":"2","hAlign":"center","width":"60","cornerRadius":"5"});
var _img_11473328 = new Emp.Image({"id":"_img_11473328","height":"16","width":"16","src":"/fan_club/u50.png"});
_div_30458611.add(_img_11473328);
var _input_28468018 = new Emp.Label({"id":"_input_28468018","color":"#ffffff","tag":"fansCount","value":"236"});
_div_30458611.add(_input_28468018);
_div_14469587.add(_div_30458611);
var _div_9335486 = new Emp.Panel({"id":"_div_9335486","height":"100%","marginLeft":"20","width":"100%"});
var _input_1004211 = new Emp.Label({"id":"_input_1004211","tag":"title","value":"孙大圣上海后援会","fontSize":"20"});
_div_9335486.add(_input_1004211);
_div_14469587.add(_div_9335486);
_div_1819632.add(_div_14469587);
_div_19864843.add(_div_1819632);
_div_4961769.add(_div_19864843);
template1.add(_div_4961769);
_template_28567907.add(template1);










$jsd('/NewBuyApp/src/homePage/homepage.htmlx',281,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);});function goToShop() { 
$jsd('/NewBuyApp/src/homePage/homepage.htmlx',282,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); $M.page.goTo("/coupon/coupon_info.html"); 
} 
$jsd('/NewBuyApp/src/homePage/homepage.htmlx',286,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); listview.setTemplate(template1); 
$jsd('/NewBuyApp/src/homePage/homepage.htmlx',288,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); $M.page.addEvent("onLoad", function () { 
$jsd('/NewBuyApp/src/homePage/homepage.htmlx',289,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); listview.setItems(getItems()); 
$jsd('/NewBuyApp/src/homePage/homepage.htmlx',290,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); listview.reloadData(); 
}); 
$jsd('/NewBuyApp/src/homePage/homepage.htmlx',293,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); function fengshenbangDiv(num) { 
$jsd('/NewBuyApp/src/homePage/homepage.htmlx',294,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); var divId = "div" + num; 
$jsd('/NewBuyApp/src/homePage/homepage.htmlx',295,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); var div = new $M.Panel({"id":divId, "paddingLeft":"10", "width":"100%", "height":"100", "layout":"HBox"}); 
$jsd('/NewBuyApp/src/homePage/homepage.htmlx',302,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); for (var m = 0; m < 4; m++) { 
$jsd('/NewBuyApp/src/homePage/homepage.htmlx',303,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); $M.get(divId).add(CreateDiv(m)); 
} 
$jsd('/NewBuyApp/src/homePage/homepage.htmlx',305,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); return div; 
} 
$jsd('/NewBuyApp/src/homePage/homepage.htmlx',308,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); function CreateDiv(num) { 
$jsd('/NewBuyApp/src/homePage/homepage.htmlx',309,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); var divId = "div" + num; 
$jsd('/NewBuyApp/src/homePage/homepage.htmlx',310,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); var div = new $M.Panel({"id":divId, "width":"100%", "height":"100", "layout":"VBox", "paddingLeft":"30"}); 
$jsd('/NewBuyApp/src/homePage/homepage.htmlx',317,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); $M.get(divId).add(createImg()); 
$jsd('/NewBuyApp/src/homePage/homepage.htmlx',318,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); $M.get(divId).add(getInputValue(num)); 
$jsd('/NewBuyApp/src/homePage/homepage.htmlx',319,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); return div; 
} 
$jsd('/NewBuyApp/src/homePage/homepage.htmlx',322,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); function createImg() { 
$jsd('/NewBuyApp/src/homePage/homepage.htmlx',323,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); var img = new $M.Image({width:"50", height:"50", src:"/fan_tie/u141.png", scaleType:"fitCenter"}); 
$jsd('/NewBuyApp/src/homePage/homepage.htmlx',329,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); return img; 
} 
$jsd('/NewBuyApp/src/homePage/homepage.htmlx',332,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); function getInputValue(value, num) { 
$jsd('/NewBuyApp/src/homePage/homepage.htmlx',333,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); var id = "label" + num; 
$jsd('/NewBuyApp/src/homePage/homepage.htmlx',334,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); var label = new $M.Label({"width":"60", "fontSize":"13", "color":"#999999", "vAlign":"middle", "hAlign":"center", "height":"40", "value":value, "id":id, "backgroundColor":"#FAC008", "onClick":"showName"}); 
$jsd('/NewBuyApp/src/homePage/homepage.htmlx',346,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); return label; 
} 
$jsd('/NewBuyApp/src/homePage/homepage.htmlx',350,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); listview.addEvent("onLoadMore", function (type) { 
if($jsd('/NewBuyApp/src/homePage/homepage.htmlx',351,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);})||true) if (type == "pullDown") { 
} 
if($jsd('/NewBuyApp/src/homePage/homepage.htmlx',354,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);})||true) if (type == "pullUp") { 
$jsd('/NewBuyApp/src/homePage/homepage.htmlx',355,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); listview.appendItems(getItems()); 
$jsd('/NewBuyApp/src/homePage/homepage.htmlx',357,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); scroll_template_label.setValue("加载更多"); 
$jsd('/NewBuyApp/src/homePage/homepage.htmlx',358,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); listview.reloadData(); 
} 
}); 
$jsd('/NewBuyApp/src/homePage/homepage.htmlx',362,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); function getItems() { 
$jsd('/NewBuyApp/src/homePage/homepage.htmlx',363,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); var items = []; 
$jsd('/NewBuyApp/src/homePage/homepage.htmlx',364,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); var temp = {}; 
$jsd('/NewBuyApp/src/homePage/homepage.htmlx',365,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); items.push(temp); 
$jsd('/NewBuyApp/src/homePage/homepage.htmlx',366,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); return items; 
} 
$jsd('/NewBuyApp/src/homePage/homepage.htmlx',369,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); function goBack() { 
$jsd('/NewBuyApp/src/homePage/homepage.htmlx',370,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); $M.page.goBack(); 
} 
$jsd('/NewBuyApp/src/homePage/homepage.htmlx',374,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); function my_info() { 
$jsd('/NewBuyApp/src/homePage/homepage.htmlx',375,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); $M.page.goTo("/fan_tie.html"); 
} 
$jsd('/NewBuyApp/src/homePage/homepage.htmlx',378,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); function goToShop() { 
$jsd('/NewBuyApp/src/homePage/homepage.htmlx',379,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); $M.page.goTo("/coupon/coupon_home.html"); 
} 
$jsd('/NewBuyApp/src/homePage/homepage.htmlx',383,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); function fan_home() { 
$jsd('/NewBuyApp/src/homePage/homepage.htmlx',384,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); $M.page.goTo("/fan_group.html"); 
} 
$jsd('/NewBuyApp/src/homePage/homepage.htmlx',388,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); function goToTips() { 
$jsd('/NewBuyApp/src/homePage/homepage.htmlx',389,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); $M.page.goTo("/tips/tips.html"); 
} 
$jsd('/NewBuyApp/src/homePage/homepage.htmlx',392,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); function goToHome() { 
$jsd('/NewBuyApp/src/homePage/homepage.htmlx',393,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); $M.page.goTo("/homePage/homepage.html"); 
} 
$jsd('/NewBuyApp/src/homePage/homepage.htmlx',395,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); function find_fan() { 
$jsd('/NewBuyApp/src/homePage/homepage.htmlx',396,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); $M.page.goTo("/fan_search.html"); 
} 
$jsd('/NewBuyApp/src/homePage/homepage.htmlx',398,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); function find_star() { 
$jsd('/NewBuyApp/src/homePage/homepage.htmlx',399,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); $M.page.goTo("/search/find_star.html"); 
} 
$jsd('/NewBuyApp/src/homePage/homepage.htmlx',402,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); function star_home() { 
$jsd('/NewBuyApp/src/homePage/homepage.htmlx',403,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); $M.page.goTo("/fan_club.html"); 
} 
$jsd('/NewBuyApp/src/homePage/homepage.htmlx',406,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); bottom1.addEvent("onClick", function () { 
$jsd('/NewBuyApp/src/homePage/homepage.htmlx',407,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); dialog.show(); 
}); 
$jsd('/NewBuyApp/src/homePage/homepage.htmlx',410,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); join_in.addEvent("onClick", function () { 
$jsd('/NewBuyApp/src/homePage/homepage.htmlx',411,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); dialog.close(); 
$jsd('/NewBuyApp/src/homePage/homepage.htmlx',412,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); setTimeout(500, function () { 
$jsd('/NewBuyApp/src/homePage/homepage.htmlx',413,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); toast("入团"); 
}); 
}); 
$jsd('/NewBuyApp/src/homePage/homepage.htmlx',417,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); bottomMore.addEvent("onClick", function () { 
$jsd('/NewBuyApp/src/homePage/homepage.htmlx',419,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); $M.page.goTo({url:"/fan_search.html"}); 
}); 
$jsd('/NewBuyApp/src/homePage/homepage.htmlx',421,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); function fan_tie() { 
$jsd('/NewBuyApp/src/homePage/homepage.htmlx',422,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); $M.page.goTo("/fan_tie.html"); 
} 
 
Emp.page.render();
