var top = this;

var arguments = [];
var window= top;

arguments.callee = {};
var DEBUG_FUNC_INDEX = 1;

var del = ["arguments","top","window","Emp","empBridge","util","DEBUG_FUNC_INDEX","del","BridgeUtil","ResultUtil"];

function jsDebug(){
	
}

jsDebug.debugCommand = null;
jsDebug.currResource = null;
jsDebug.breakpoints = null;
jsDebug.functionStack = [];
jsDebug.currResource = null;
jsDebug.currLine = null;
jsDebug.isExpression = false;

/**
 * 
 */
jsDebug.getErrorStack = function(func) {
	var stack = [];
	while (func) {
		var funcStr = func.toString();
		var funcOffset = funcStr.indexOf(")");
		var funcHead = funcStr.substring(0, funcOffset + 1);
		var args = func.arguments;
		var argArr = [];
		for (var i = 0; i < args.length; i++) {
			argArr.push(args[i]);
		}
		stack.push(funcHead + json2string(argArr, 12));
		func = func.caller;
	}
	return stack.join("\n");
}

/**
 * 
 */
var parseVars = function(line) {
	var varNames = [];
	if (line && line.length > 0) {
		var endOffset = line.indexOf(";");
		if (endOffset > 0) {
			line = line.substring(0, endOffset);
		}
		var lineArr = line.split(",");
		for (var i = 0; i < lineArr.length; i++) {
			var varStr = lineArr[i];
			var varEndOffset = varStr.indexOf("=");
			if (varEndOffset > 0) {
				varNames.push(varStr.substring(0, varEndOffset));
			} else {
				varNames.push(varStr);
			}
		}
	}
	return varNames;
}

/**
 * 
 */
jsDebug.updateStack = function(args, resource, scope, line, evalFunc) {
	if (args && args.callee) {
		var func = args.callee;
		func.__resource = resource;
		func.__line = line;
		func.__evalFunc = evalFunc;
		func.__scope = scope;
		for (var i = jsDebug.functionStack.length - 1; i > -1; i--) {
			if (func == jsDebug.functionStack[i]) {
				jsDebug.functionStack = jsDebug.functionStack.slice(0, i + 1);
				return;
			}
		}
		jsDebug.functionStack.push(func);
	} else {
		jsDebug.functionStack = [];
	}

}

/**
 * 
 */
var getFuncData = function(args, evalFunc) {
	
		var vars = [];
		var func = args.callee;
		if (func) {
			var funcStr = func.toString().replace(/\n/g, "");
			var argStart = funcStr.indexOf("(");
			var argEnd = funcStr.indexOf(")");
			if (argStart > 0 && argEnd > 0) {
				var argStr = funcStr.substring(argStart + 1, argEnd);
				vars = argStr.split(",");
			}
			var nameArr = funcStr.split("var ");
			for (var i = 1; i < nameArr.length; i++) {
				var line = nameArr[i];
				vars = vars.concat(parseVars(line));
			}
		}
		var data = {};
		
		for (var i = 0; i < vars.length; i++) {
			var key = vars[i];
			if (key && key.length > 0) {
				key = key.replace(/\n|\r|\t| /g, "");
				if (/^[A-Za-z0-9_\$]*$/.test(key)) {
					try {
						var result = evalFunc(key);
						if (result == undefined) {
							data[key] = {"value":"undefined","type":"string"};
						} else if (result == null) {
							data[key] = {"value":"null","type":"string"};
						} else {
							data[key] = {"value":evalFunc(key),"type":typeof(evalFunc(key))};
						}
					} catch (e) {

					}
				}
			}
		}
		return data;
}

var getWindowData = function(args,evalFunc){
	var data = {};
	for (var i in top) { 
	    data[i] = {value:top[i],type:typeof(top[i])};
	}
//	return {"x":{"value":top.x,"type":typeof(top.x)}};

	return {"window":{value:top,type:typeof(top)}};
}


/**
 * find if arguments is stepreturn context
 */
jsDebug.isStepReturn = function(args) {
	if (args) {
		var func = args.callee;
		for (var i = jsDebug.functionStack.length - 2; i > -1; i--) {
			if (func == jsDebug.functionStack[i]) {
				return true;
			}
		}
		return false;
	} else {
		return true;
	}
}

/**
 * find if arguments is stepover context
 */
jsDebug.isStepOver = function(args) {
	if (args) {
		var func = args.callee;
		for (var i = jsDebug.functionStack.length - 1; i > -1; i--) {
			if (func == jsDebug.functionStack[i]) {
				return true;
			}
		}
		return false;
	} else {
		return true;
	}
}

/**
 * 
 */
jsDebug.error = function(e, resource, line,callFunc) {
	try {
		var funcStr = callFunc + "";
			if(funcStr.indexOf("function anonymous")>=0){
				funcStr = undefined;
			}
		var postData = {
			"ERROR" : encodeURI(e),
			"COMMAND" : "ERROR",
			"RESOURCE" : resource,
			"LINE" : line,
			"ERRORFUNC":funcStr,
			"ISIE":isIE
		}
		empBridge.debug(obj2string(postData));
	} catch (e) {

	}
}

/**
 * 
 */
jsDebug.stepReturn = function(func) {
	try {
		var data = jsDebug.getFuncData(func.arguments, func.__evalFunc);
		jsDebug.updateStack(func.arguments, func.__resource, func.__scope,
				func.__line, func.__evalFunc);
		if (func.__scope != top) {
			data["this"] = func.__scope;
		}
		var postData = {
			"STACK" : data,
			"COMMAND" : jsDebug.debugCommand,
			"RESOURCE" : func.__resource,
			"LINE" : func.__line
		}
		var res = empBridge.debug(obj2string(postData));
		jsDebug.parseResult(res,func.__evalFunc);
		
	} catch (e) {
	}
}


jsDebug.evalExpression = function(expression, evalFunc) {
	try {
	//	jsDebug.xmlHttp.open("POST", "/jsdebug.debug?" + new Date(), false);
		var postData = {
			"STACK" : {},
			"COMMAND" : "EXPRESSION",
			"EXPRESSION" : expression
		}
		try {
			jsDebug.isExpression = true;
			var ret = evalFunc(expression);
			if(typeof(ret)=="undefined"){
				ret = "undefined";
			}else if(ret==null){
				ret = "null";
			}
			postData["RESULT"] = ret;
		} catch (e) {
			postData["ERROR"] = e;
		}
		jsDebug.isExpression = false;
		var res = empBridge.debug(obj2string(postData));
		jsDebug.parseResult(res,evalFunc);
	} catch (e) {

	}
}

jsDebug.evalValue = function(expression, evalFunc){
	try {
//		jsDebug.xmlHttp.open("POST", "/jsdebug.debug?" + new Date(), false);
		var postData = {
			"STACK" : {},
			"COMMAND" : "VALUE",
			"EXPRESSION" : expression
		}
		try {
			jsDebug.isExpression = true;
			var ret = evalFunc(expression);
			var data = {};
			if(typeof(ret)=="undefined"){
				ret = "undefined";
			}else if(ret==null){
				ret = "null";
			}else{
				for(var prop in ret){
					try{
						if(prop!="postData"&&!contains(del,prop)){
						var value = ret[prop];
						var type = typeof(value);
						if(type=="function"){
							continue;
						}
						var stringValue = "";
						if(value){
							stringValue = value.toString();
						}
						if(value==null){
							stringValue = "null";
							type = "null";
						}else if(value==undefined){
							stringValue = "undefined";
							type = "undefined";
						}
						data[prop] = {"value":stringValue,"type":typeof(value)};
						}
					}catch(e){

					}
				}
			}
			postData["RESULT"] = data;
		} catch (e) {
			postData["ERROR"] = e;
		}
		jsDebug.isExpression = false;
		var submitString = "{}";
		try{
			submitString = json2string(postData);
		}catch(e){

		}
		var res = empBridge.debug(obj2string(postData));
		jsDebug.parseResult(res,evalFunc);
	} catch (e) {
		alert(e);
	}
}

/**
 * 
 */
jsDebug.parseResult = function(result, evalFunc) {
	if (result) {
		if (result.indexOf("{") == 0) {
			try {
				eval("var retObj = " + result);
				if( retObj["COMMAND"]){
					if(retObj["COMMAND"]=="EXPRESSION"){
						jsDebug.evalExpression(retObj["EXPRESSION"], evalFunc);
					}else if(retObj["COMMAND"]=="VALUE"){
						jsDebug.evalValue(retObj["EXPRESSION"], evalFunc);
					}else{
						jsDebug.isExpression = false;
						jsDebug.debugCommand = retObj["COMMAND"];
						if (jsDebug.debugCommand == "BREAKPOINT") {
							jsDebug.breakpoints = retObj["BREAKPOINTS"];
						}
					}
				}
                return retObj;
			} catch (e) {
			}
		} else {
			 alert("Debug error:" + result);
		}
	} else {

	}
}



function json2string(obj, depth) {
	depth = depth || 0;
	if (typeof obj == "function") {
		return "\"function\"";
	}  else if (obj && typeof obj.pop == 'function' && obj instanceof Array) {
		return array2string(obj, depth + 1);
	} else if (typeof obj == "object") {
		return obj2string(obj, depth + 1);
	} else {
		if (typeof obj == "string") {
			return "\"" + obj.replace(/"/gm, "'").replace(/\n|\r/gm, "")
					+ "\"";
		} else if (typeof obj == "number") {
			if (isFinite(obj)) {
				return obj;
			} else {
				return "\"out of number\"";
			}
		} else {
			//return util.jsonToString(obj).replace(/"/gm, "\\\"").replace(/\n|\r/gm, "");
		}
	}
}

function obj2string(obj, depth) {
	depth = depth || 0;
		var arr = [];
		for (var prop in obj) {
			try {
				if (obj.hasOwnProperty(prop) && typeof(obj[prop]) != "function") {
					if (depth < 9) {
						arr.push("\"" + prop + "\":"
								+ json2string(obj[prop], depth + 1));
					} else {
						arr.push("\"" + prop + "\":\"...\"")
					}
				}
			} catch (e) {

			}
		}
		return "{" + arr.join(",") + "}";
}

function complexObj2String(obj){
	var arr = [];
	for (var prop in obj) {
		try {
			if (typeof(obj[prop]) != "function") {
				var value = (obj[prop] + "").replace(/"/gm, "'").replace(/\n|\r/gm, "");
				arr.push("\"" + prop + "\":\""
						+ value + "\"");
			}
		} catch (e) {

		}
	}
	return "{" + arr.join(",") + "}";
}
function array2string(array, depth) {
	depth = depth || 0;
	var arr = [];
	for (var i = 0; i < array.length; i++) {
		arr.push(json2string(array[i], depth + 1));
	}
	return "[" + arr.join(",") + "]";
}

function mergeJsonObject(jsonbject1, jsonbject2)  
{  
    var resultJsonObject={};  
    for(var attr in jsonbject1){  
        resultJsonObject[attr]=jsonbject1[attr];  
    }  
    for(var attr in jsonbject2){  
        resultJsonObject[attr]=jsonbject2[attr];  
    }  

    return resultJsonObject;  
};  

function convertStringToJSON(str){
    var stu = eval('('+str+')');
    return stu;
}

function contains(a,obj){
	var i = a.length;
	while(i--){
		if(a[i]===obj){
			return true;
		}
	}
	return false;
}

jsDebug.getBreakPoint = function(async) {
	var postData = {"COMMAND":"RESUME"}; 
    var res = empBridge.debug(obj2string(postData));
    var retObj = util.stringToJson(res);
    jsDebug.breakpoints = retObj["BREAKPOINTS"];
    return;

	async = async?false:true;
	log(":"+async);
	try{
//	var jsonResume = "{\"COMMAND\":\"RESUME\"}";
		var postData = {"COMMAND":"RESUME"}; 
	if(async){
		var id;
	    log("");
		id = setInterval(jsDebug.getBreakPoint,1000);
	}else{
		log("");
	    var res = empBridge.debug(obj2string(postData));
	    var retObj = util.stringToJson(res);
	    jsDebug.breakpoints = retObj["BREAKPOINTS"];
	}
	} catch(e){
		
	}
}

jsDebug.getBreakPoint();

jsDebug.debug =  function(resource,line,scope,args,evalFunc){
	var isNewStack = false;
	if(args&&args["_funcIndex"]==undefined){
		if(args.callee.caller && args.callee.caller.arguments){
			if(args.callee.caller.arguments["__funcIndex"]==undefined){
				args["__funcIndex"] = DEBUG_FUNC_INDEX++;
				isNewStack = true;
			}else{
				args["__funcIndex"] = args.callee.caller.arguments["__funcIndex"];
			}
		}
	}
	
	if (jsDebug.isExpression) {
		return;
	}
	
	
	try {
		jsDebug.currResource = resource;
		jsDebug.currLine = line;
		if (jsDebug.debugCommand == null) {
			jsDebug.debugCommand = "START";
		}
		if (jsDebug.debugCommand == "TERMINATE") {
			throw "exit";
		}
		if(!jsDebug.breakpoints){
			jsDebug.getBreakPoint(true);
		}
		if (!(jsDebug.breakpoints && jsDebug.breakpoints[resource + line])) {
			if (jsDebug.debugCommand == "STEPRETURN"
					|| jsDebug.debugCommand == "STEPOVER") {
				var parentFunc = jsDebug.functionStack[jsDebug.functionStack.length
						- 2];
				var currFunc = jsDebug.functionStack[jsDebug.functionStack.length
						- 1];
				if(currFunc && (currFunc==args.callee)){
					if(jsDebug.debugCommand == "STEPRETURN"){
						return;
					}
					// do nothing
				}else{
					if (parentFunc && (args.callee.caller == parentFunc)) {
						jsDebug.stepReturn(parentFunc);
						jsDebug.debug(resource, line, scope, args, evalFunc);
						if(jsDebug.debugCommand == "STEPRETURN"){
							return;
						}
					}else{
//						if(args.callee){
//							return;
//						}
					}
				}

			}
			if (jsDebug.debugCommand == "STEPRETURN") {
				if (!jsDebug.isStepReturn(args)) {
					if(args.callee){
						return;
					}
				}
			} else if (jsDebug.debugCommand == "STEPOVER") {
				if (!jsDebug.isStepOver(args)) {
					if(args.callee){
						return;
					}
				}
			} else if (jsDebug.debugCommand == "RESUME") {
				return;
			} else if (jsDebug.debugCommand == "STEPINTO") {

			} else {
				return;
			}
		} else {
			jsDebug.debugCommand = "BREAKPOINT";
		}
		
		var data = getFuncData(args,evalFunc);
		var windowData = getWindowData(args,evalFunc);
		var stack = mergeJsonObject(windowData,data);
		
		jsDebug.updateStack(args, resource, scope, line, evalFunc);
		
		var postData = {
				"STACK" : stack,
				"COMMAND" : jsDebug.debugCommand,
				"RESOURCE" : resource,
				"LINE" : line,
				"NEWSTACK":true
		};
		var postDataStr = json2string(postData,0);
		
	    var res = empBridge.debug(postDataStr);
		
		jsDebug.parseResult(res, evalFunc);
		
	} catch (e) {

	}

};

var $jsd = jsDebug.debug;
Emp.page.setId('_body_22572603');
$M.includeFile("/commons/listview_common.html");
var _div_11333756 = new Emp.Panel({"id":"_div_11333756","height":"100%","hAlign":"center","layout":"VBox","width":"100%"});
var background = new Emp.Panel({"id":"background","height":"140","backgroundColor":"#ffcc00","width":"100%","layout":"VBox"});
var _div_8386997 = new Emp.Panel({"id":"_div_8386997","height":"100","vAlign":"middle","hAlign":"left","width":"100%","paddingLeft":"30"});
var address = new Emp.Image({"id":"address","height":"60","width":"60","src":"/icon_128/avatar_blank.png","circleClip":"true"});
address.addEvent('onClick',set_my_info);
_div_8386997.add(address);
var _div_26886077 = new Emp.Panel({"id":"_div_26886077","height":"90","vAlign":"middle","hAlign":"left","layout":"VBox","width":"100%","paddingLeft":"15"});
var _div_29281956 = new Emp.Panel({"id":"_div_29281956","height":"30","marginLeft":"5","vAlign":"middle","hAlign":"left","width":"100%"});
var userNm = new Emp.Label({"id":"userNm","height":"16","color":"#ffffff","width":"50","value":"","fontSize":"14"});
_div_29281956.add(userNm);
var sexAge_male_div = new Emp.Panel({"borderColor":"#33CCFF","vAlign":"middle","marginLeft":"10","backgroundColor":"#33CCFF","width":"35","hAlign":"center","cornerRadius":"5","display":"false","paddingLeft":"5","paddingRight":"5","id":"sexAge_male_div","height":"16","borderWidth":"1"});
var sexAge_male = new Emp.Label({"id":"sexAge_male","height":"16","color":"#ffffff","width":"30","value":"","fontSize":"10"});
sexAge_male_div.add(sexAge_male);
_div_29281956.add(sexAge_male_div);
var sexAge_female_div = new Emp.Panel({"borderColor":"#FF99CC","vAlign":"middle","marginLeft":"5","backgroundColor":"#FF99CC","width":"35","hAlign":"center","cornerRadius":"5","display":"false","paddingLeft":"5","paddingRight":"5","id":"sexAge_female_div","height":"16","borderWidth":"1"});
var sexAge_female = new Emp.Label({"id":"sexAge_female","height":"16","color":"#ffffff","width":"30","value":"","fontSize":"10"});
sexAge_female_div.add(sexAge_female);
_div_29281956.add(sexAge_female_div);
var _div_11616957 = new Emp.Panel({"id":"_div_11616957","borderColor":"#ff9900","height":"16","backgroundColor":"#ff9900","marginLeft":"5","vAlign":"middle","borderWidth":"1","hAlign":"center","cornerRadius":"5","paddingLeft":"5","paddingRight":"5"});
var _input_3010895 = new Emp.Label({"id":"_input_3010895","color":"#ffffff","value":"饭票 ","fontSize":"10"});
_div_11616957.add(_input_3010895);
var points = new Emp.Label({"id":"points","color":"#ffffff","value":"","fontSize":"10"});
_div_11616957.add(points);
_div_29281956.add(_div_11616957);
_div_26886077.add(_div_29281956);
var quotations = new Emp.Label({"id":"quotations","marginLeft":"5","color":"#ffffff","width":"200","value":"","fontSize":"12"});
_div_26886077.add(quotations);
_div_8386997.add(_div_26886077);
background.add(_div_8386997);
var _div_20369851 = new Emp.Panel({"id":"_div_20369851","height":"100%","marginTop":"2","vAlign":"middle","backgroundColor":"#ffffff","width":"100%","opacity":"0.8"});
var _div_220684 = new Emp.Panel({"id":"_div_220684","height":"100%","vAlign":"middle","hAlign":"center","layout":"VBox","width":"100%"});
_div_220684.addEvent('onClick',fan_tie);
var topicCnt = new Emp.Label({"id":"topicCnt","value":"","fontSize":"12"});
_div_220684.add(topicCnt);
var _input_3199636 = new Emp.Label({"id":"_input_3199636","value":"饭帖","fontSize":"12"});
_div_220684.add(_input_3199636);
_div_20369851.add(_div_220684);
var _div_25491643 = new Emp.Panel({"id":"_div_25491643","height":"100%","vAlign":"middle","hAlign":"center","layout":"VBox","width":"100%"});
var fansGrpCnt = new Emp.Label({"id":"fansGrpCnt","value":"","fontSize":"12"});
_div_25491643.add(fansGrpCnt);
var _input_4650221 = new Emp.Label({"id":"_input_4650221","value":"饭团","fontSize":"12"});
_div_25491643.add(_input_4650221);
_div_20369851.add(_div_25491643);
var _div_27706040 = new Emp.Panel({"id":"_div_27706040","height":"100%","vAlign":"middle","hAlign":"center","layout":"VBox","width":"100%"});
_div_27706040.addEvent('onClick',fan_xingqu);
var labelCnt = new Emp.Label({"id":"labelCnt","value":"","fontSize":"12"});
_div_27706040.add(labelCnt);
var _input_15889454 = new Emp.Label({"id":"_input_15889454","value":"兴趣标签","fontSize":"12"});
_div_27706040.add(_input_15889454);
_div_20369851.add(_div_27706040);
background.add(_div_20369851);
_div_11333756.add(background);
var _div_12174628 = new Emp.Panel({"id":"_div_12174628","height":"10","backgroundColor":"#f0f0f0","layout":"VBox","width":"100%"});
_div_11333756.add(_div_12174628);
var _template_4050494 = new Emp.Panel({"id":"_template_4050494"});
_template_4050494.__isTemplate=true;
var template111 = new Emp.Panel({"id":"template111"});
var _div_31438452 = new Emp.Panel({"id":"_div_31438452","height":"70","backgroundColor":"#f0f0f0","width":"100%","paddingBottom":"10"});
var _div_4434648 = new Emp.Panel({"borderColor":"#f2f2f2","marginLeft":"10","vAlign":"middle","backgroundColor":"#ffffff","tag":"addgrp","width":"100%","marginRight":"10","hAlign":"center","cornerRadius":"10","id":"_div_4434648","height":"60","borderWidth":"1px","layout":"VBox"});
var _input_8747053 = new Emp.Label({"id":"_input_8747053","height":"60","color":"#cccccc","vAlign":"middle","width":"35","hAlign":"center","value":"+","fontSize":"40"});
_div_4434648.add(_input_8747053);
_div_31438452.add(_div_4434648);
template111.add(_div_31438452);
_template_4050494.add(template111);
var template1 = new Emp.Panel({"id":"template1","height":"80","backgroundColor":"#f0f0f0","vAlign":"middle","layout":"VBox","hAlign":"center","width":"100%"});
var _div_20863273 = new Emp.Panel({"id":"_div_20863273","height":"100%","borderColor":"#f2f2f2","backgroundColor":"#ffffff","vAlign":"middle","tag":"fanDetail","borderWidth":"1px","layout":"VBox","width":"340","cornerRadius":"10","paddingLeft":"10"});
var _div_5220589 = new Emp.Panel({"id":"_div_5220589","height":"100%","vAlign":"middle","width":"100%"});
var _input_31155428 = new Emp.Label({"id":"_input_31155428","tag":"fanId","display":"false"});
_div_5220589.add(_input_31155428);
var _div_12382248 = new Emp.Panel({"id":"_div_12382248","height":"100%","vAlign":"middle","width":"60"});
var _img_3864422 = new Emp.Image({"id":"_img_3864422","height":"50","tag":"fanGrpPhoto","width":"50","src":"","circleClip":"true"});
_div_12382248.add(_img_3864422);
_div_5220589.add(_div_12382248);
var fanGrpV = new Emp.Panel({"position":"relative","id":"fanGrpV","height":"15","vAlign":"middle","tag":"fanGrpV","hAlign":"center","width":"15","left":"40","top":"45"});
var _img_17860190 = new Emp.Image({"id":"_img_17860190","height":"15","width":"15","src":"/icon_128/fangrp_v.png"});
fanGrpV.add(_img_17860190);
_div_5220589.add(fanGrpV);
var _div_31835511 = new Emp.Panel({"id":"_div_31835511","height":"60","vAlign":"middle","layout":"VBox","width":"200"});
var _div_470145 = new Emp.Panel({"id":"_div_470145","height":"30","vAlign":"middle","width":"100%"});
var _input_16443639 = new Emp.Label({"id":"_input_16443639","color":"#333333","tag":"fanGrpName","value":"","fontSize":"14"});
_div_470145.add(_input_16443639);
_div_31835511.add(_div_470145);
var _div_13948303 = new Emp.Panel({"id":"_div_13948303","height":"30","vAlign":"middle","width":"100%"});
var _div_17877182 = new Emp.Panel({"id":"_div_17877182","borderColor":"#FF9999","height":"16","vAlign":"middle","backgroundColor":"#FF9999","borderWidth":"1","hAlign":"center","width":"30","cornerRadius":"2"});
var _input_3258323 = new Emp.Label({"id":"_input_3258323","color":"#FFFFFF","tag":"fanGrpLevel","value":"","display":"false","fontSize":"12"});
_div_17877182.add(_input_3258323);
var _input_1802975 = new Emp.Label({"id":"_input_1802975","color":"#FFFFFF","tag":"currentUserLevel","value":"","fontSize":"12"});
_div_17877182.add(_input_1802975);
_div_13948303.add(_div_17877182);
var _div_2957934 = new Emp.Panel({"id":"_div_2957934","height":"16","marginLeft":"3","vAlign":"middle","hAlign":"center","width":"16"});
var fanGrpTuanzhang = new Emp.Image({"id":"fanGrpTuanzhang","height":"16","tag":"fanGrpTuanzhang","width":"16","src":""});
_div_2957934.add(fanGrpTuanzhang);
_div_13948303.add(_div_2957934);
_div_31835511.add(_div_13948303);
_div_5220589.add(_div_31835511);
var topiccntcontainer = new Emp.Panel({"id":"topiccntcontainer","borderColor":"#FFCC00","height":"18","vAlign":"middle","backgroundColor":"#FFCC00","borderWidth":"1","tag":"topiccntcontainer","hAlign":"center","width":"50","cornerRadius":"9"});
var _input_7900531 = new Emp.Label({"id":"_input_7900531","height":"18","color":"#FFFFFF","tag":"updatedTopicCnt","hAlign":"center","width":"100%","value":"","fontSize":"12"});
topiccntcontainer.add(_input_7900531);
_div_5220589.add(topiccntcontainer);
_div_20863273.add(_div_5220589);
template1.add(_div_20863273);
var _div_9352911 = new Emp.Panel({"id":"_div_9352911","height":"5","backgroundColor":"#f0f0f0","width":"100%"});
template1.add(_div_9352911);
_template_4050494.add(template1);
var _div_25422327 = new Emp.Panel({"id":"_div_25422327","height":"100%","backgroundColor":"#f0f0f0","width":"100%"});
var listview = new Emp.ListView({"id":"listview","height":"100%","enablePullUp":"true","width":"100%","display":"false","enablePullDown":"true"});
_div_25422327.add(listview);
_div_11333756.add(_div_25422327);
Emp.page.add(_div_11333756);
var _div_33070817 = new Emp.Panel({"id":"_div_33070817","height":"1","backgroundColor":"#CCCCCC","borderWidth":"0","width":"100%"});
Emp.page.add(_div_33070817);
var _div_25616232 = new Emp.Panel({"id":"_div_25616232","height":"49","vAlign":"middle","width":"360","top":"0"});
var _div_28656217 = new Emp.Panel({"id":"_div_28656217","height":"49","vAlign":"middle","layout":"VBox","hAlign":"center","width":"72"});
_div_28656217.addEvent('onClick',gotoPageLoggedin);
var _img_18285775 = new Emp.Image({"id":"_img_18285775","height":"25","width":"37","src":"/icon_128/iconfont-fantown-menu-1.png"});
_div_28656217.add(_img_18285775);
var _input_3994424 = new Emp.Label({"id":"_input_3994424","height":"13","color":"#6b6b6b","vAlign":"middle","hAlign":"center","width":"25","value":"饭团","fontSize":"8"});
_div_28656217.add(_input_3994424);
_div_25616232.add(_div_28656217);
var _div_25428602 = new Emp.Panel({"id":"_div_25428602","height":"49","vAlign":"middle","layout":"VBox","hAlign":"center","width":"72"});
_div_25428602.addEvent('onClick',goToTips);
var _img_29280666 = new Emp.Image({"id":"_img_29280666","height":"25","width":"25","src":"/icon_128/iconfont-notice-1.png"});
_div_25428602.add(_img_29280666);
var _input_10858180 = new Emp.Label({"id":"_input_10858180","height":"13","color":"#6b6b6b","vAlign":"middle","hAlign":"center","width":"25","value":"消息","fontSize":"8"});
_div_25428602.add(_input_10858180);
_div_25616232.add(_div_25428602);
var _div_24445360 = new Emp.Panel({"id":"_div_24445360","height":"49","vAlign":"middle","layout":"VBox","hAlign":"center","width":"72"});
_div_24445360.addEvent('onClick',goToHome);
var _img_12705555 = new Emp.Image({"id":"_img_12705555","height":"27","width":"35","src":"/icon_128/iconfont-search-1.png"});
_div_24445360.add(_img_12705555);
var _input_1866139 = new Emp.Label({"id":"_input_1866139","height":"13","color":"#6b6b6b","vAlign":"middle","hAlign":"center","width":"25","value":"发现","fontSize":"8"});
_div_24445360.add(_input_1866139);
_div_25616232.add(_div_24445360);
var _div_24374456 = new Emp.Panel({"id":"_div_24374456","height":"49","vAlign":"middle","layout":"VBox","hAlign":"center","width":"72"});
_div_24374456.addEvent('onClick',goToShop);
var _img_28978952 = new Emp.Image({"id":"_img_28978952","height":"25","width":"25","src":"/icon_128/iconfont-shop-1.png"});
_div_24374456.add(_img_28978952);
var _input_6680191 = new Emp.Label({"id":"_input_6680191","height":"13","color":"#6b6b6b","vAlign":"middle","hAlign":"center","width":"25","value":"集市","fontSize":"8"});
_div_24374456.add(_input_6680191);
_div_25616232.add(_div_24374456);
var _div_852534 = new Emp.Panel({"id":"_div_852534","height":"49","vAlign":"middle","layout":"VBox","hAlign":"center","width":"72"});
var _img_808298 = new Emp.Image({"id":"_img_808298","height":"25","width":"25","src":"/icon_128/iconfont-lianxiren.png"});
_div_852534.add(_img_808298);
var _input_29075539 = new Emp.Label({"id":"_input_29075539","height":"13","color":"#ffcc00","vAlign":"middle","hAlign":"center","width":"25","value":"我","fontSize":"8"});
_div_852534.add(_input_29075539);
_div_25616232.add(_div_852534);
Emp.page.add(_div_25616232);










$jsd('/NewBuyApp/src/homePage/homepage_log.htmlx',125,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);});var page = 1; 
$jsd('/NewBuyApp/src/homePage/homepage_log.htmlx',126,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); var preference = new $M.Preferences(); 
$jsd('/NewBuyApp/src/homePage/homepage_log.htmlx',127,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); preference.open("newbuy_config"); 
$jsd('/NewBuyApp/src/homePage/homepage_log.htmlx',128,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); var newbuy_config = preference.get("newbuy_config"); 
$jsd('/NewBuyApp/src/homePage/homepage_log.htmlx',130,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); function fan_tie() { 
$jsd('/NewBuyApp/src/homePage/homepage_log.htmlx',131,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); var ajax = new $M.Ajax(); 
$jsd('/NewBuyApp/src/homePage/homepage_log.htmlx',132,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); ajax.addParams([{name:"loginkey", value:newbuy_config.loginkey}, {name:"mobileImei", value:Utils.getImei()}, {name:"mobileType", value:Utils.getOs()}, {name:"mobileToken", value:Utils.getMessageToken()}]); 
$jsd('/NewBuyApp/src/homePage/homepage_log.htmlx',138,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); ajax.setAction("/mobile/loginAction!getUserInfoBySession.action"); 
$jsd('/NewBuyApp/src/homePage/homepage_log.htmlx',139,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); ajax.submit(function (result) { 
$jsd('/NewBuyApp/src/homePage/homepage_log.htmlx',140,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); result = Utils.stringToJson(result); 
if($jsd('/NewBuyApp/src/homePage/homepage_log.htmlx',141,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);})||true) if (result.success) { 
if($jsd('/NewBuyApp/src/homePage/homepage_log.htmlx',142,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);})||true) if (result.data != null && result.data.userid != null && result.data.userid != "") { 
$jsd('/NewBuyApp/src/homePage/homepage_log.htmlx',143,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); $M.page.goTo("/fan_tie.html", null, true, false); 
} else { 
$jsd('/NewBuyApp/src/homePage/homepage_log.htmlx',145,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); $M.page.goTo("/fanReg/login.html", null, true); 
} 
} else { 
$jsd('/NewBuyApp/src/homePage/homepage_log.htmlx',148,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); toast("获取数据失败！"); 
} 
}, function (error) { 
$jsd('/NewBuyApp/src/homePage/homepage_log.htmlx',151,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); toast("网络菌罢工了！"); 
}); 
} 
$jsd('/NewBuyApp/src/homePage/homepage_log.htmlx',155,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); function fan_xingqu() { 
$jsd('/NewBuyApp/src/homePage/homepage_log.htmlx',156,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); $M.page.goTo("/fensixingqu/fen_xingqu.html", {}, false); 
$jsd('/NewBuyApp/src/homePage/homepage_log.htmlx',157,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); return; 
$jsd('/NewBuyApp/src/homePage/homepage_log.htmlx',158,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); var ajax = new $M.Ajax(); 
$jsd('/NewBuyApp/src/homePage/homepage_log.htmlx',159,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); ajax.addParams([{name:"loginkey", value:newbuy_config.loginkey}, {name:"mobileImei", value:Utils.getImei()}, {name:"mobileType", value:Utils.getOs()}, {name:"mobileToken", value:Utils.getMessageToken()}]); 
$jsd('/NewBuyApp/src/homePage/homepage_log.htmlx',165,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); ajax.setAction("/mobile/loginAction!getUserInfoBySession.action"); 
$jsd('/NewBuyApp/src/homePage/homepage_log.htmlx',166,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); ajax.submit(function (result) { 
$jsd('/NewBuyApp/src/homePage/homepage_log.htmlx',167,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); result = Utils.stringToJson(result); 
if($jsd('/NewBuyApp/src/homePage/homepage_log.htmlx',168,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);})||true) if (result.success) { 
if($jsd('/NewBuyApp/src/homePage/homepage_log.htmlx',169,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);})||true) if (result.data != null && result.data.userid != null && result.data.userid != "") { 
$jsd('/NewBuyApp/src/homePage/homepage_log.htmlx',170,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); $M.page.goTo("/fensixingqu/fen_xingqu.html", {}, true); 
} else { 
$jsd('/NewBuyApp/src/homePage/homepage_log.htmlx',172,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); $M.page.goTo("/fanReg/login.html", null, true); 
} 
} else { 
$jsd('/NewBuyApp/src/homePage/homepage_log.htmlx',175,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); toast("获取数据失败！"); 
} 
}, function (error) { 
$jsd('/NewBuyApp/src/homePage/homepage_log.htmlx',178,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); toast("网络菌罢工了！"); 
}); 
} 
$jsd('/NewBuyApp/src/homePage/homepage_log.htmlx',182,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); function set_my_info() { 
$jsd('/NewBuyApp/src/homePage/homepage_log.htmlx',183,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); var ajax = new $M.Ajax(); 
$jsd('/NewBuyApp/src/homePage/homepage_log.htmlx',184,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); ajax.addParams([{name:"loginkey", value:newbuy_config.loginkey}, {name:"mobileImei", value:Utils.getImei()}, {name:"mobileType", value:Utils.getOs()}, {name:"mobileToken", value:Utils.getMessageToken()}]); 
$jsd('/NewBuyApp/src/homePage/homepage_log.htmlx',190,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); ajax.setAction("/mobile/loginAction!getUserInfoBySession.action"); 
$jsd('/NewBuyApp/src/homePage/homepage_log.htmlx',191,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); ajax.submit(function (result) { 
$jsd('/NewBuyApp/src/homePage/homepage_log.htmlx',192,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); result = Utils.stringToJson(result); 
if($jsd('/NewBuyApp/src/homePage/homepage_log.htmlx',193,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);})||true) if (result.success) { 
if($jsd('/NewBuyApp/src/homePage/homepage_log.htmlx',194,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);})||true) if (result.data != null && result.data.userid != null && result.data.userid != "") { 
$jsd('/NewBuyApp/src/homePage/homepage_log.htmlx',195,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); $M.page.goTo("/fanReg/application_settings.html", {from:"fangrp"}); 
} else { 
$jsd('/NewBuyApp/src/homePage/homepage_log.htmlx',197,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); $M.page.goTo("/fanReg/login.html", null, true); 
} 
} else { 
$jsd('/NewBuyApp/src/homePage/homepage_log.htmlx',200,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); toast("获取数据失败！"); 
} 
}, function (error) { 
$jsd('/NewBuyApp/src/homePage/homepage_log.htmlx',203,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); toast("网络菌罢工了！"); 
}); 
} 
$jsd('/NewBuyApp/src/homePage/homepage_log.htmlx',207,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); var newsScroller = new Emp.ListView.PrimetonerScroller({"modelId":this.modelId}); 
$jsd('/NewBuyApp/src/homePage/homepage_log.htmlx',208,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); listview.setScroller(newsScroller); 
$jsd('/NewBuyApp/src/homePage/homepage_log.htmlx',210,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); $M.page.addEvent("onLoad", function (userId) { 
$jsd('/NewBuyApp/src/homePage/homepage_log.htmlx',211,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); onloadFun(); 
}); 
$jsd('/NewBuyApp/src/homePage/homepage_log.htmlx',214,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); function onloadFun() { 
$jsd('/NewBuyApp/src/homePage/homepage_log.htmlx',216,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); listview.setTemplates({"normal":template1, "first":template111}); 
$jsd('/NewBuyApp/src/homePage/homepage_log.htmlx',220,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); listview.setItems([{template:"first"}]); 
$jsd('/NewBuyApp/src/homePage/homepage_log.htmlx',221,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); listview.reloadData(); 
if($jsd('/NewBuyApp/src/homePage/homepage_log.htmlx',223,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);})||true) if ($M.isAndroid) { 
$jsd('/NewBuyApp/src/homePage/homepage_log.htmlx',224,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); listview.setTemplate(template1); 
} 
$jsd('/NewBuyApp/src/homePage/homepage_log.htmlx',227,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); var ajax = new $M.Ajax(); 
$jsd('/NewBuyApp/src/homePage/homepage_log.htmlx',228,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); ajax.addParams([{name:"loginkey", value:newbuy_config.loginkey}, {name:"mobileImei", value:Utils.getImei()}, {name:"mobileType", value:Utils.getOs()}, {name:"mobileToken", value:Utils.getMessageToken()}]); 
$jsd('/NewBuyApp/src/homePage/homepage_log.htmlx',231,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); ajax.setAction("/mobile/fanAction!getFanUserInfo.action"); 
$jsd('/NewBuyApp/src/homePage/homepage_log.htmlx',232,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); ajax.submit(function (result) { 
$jsd('/NewBuyApp/src/homePage/homepage_log.htmlx',233,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); result = Utils.stringToJson(result); 
if($jsd('/NewBuyApp/src/homePage/homepage_log.htmlx',234,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);})||true) if (result.success) { 
$jsd('/NewBuyApp/src/homePage/homepage_log.htmlx',235,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); page = page + 1; 
if($jsd('/NewBuyApp/src/homePage/homepage_log.htmlx',237,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);})||true) if (result.data && result.data.address && result.data.address != "") { 
$jsd('/NewBuyApp/src/homePage/homepage_log.htmlx',238,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); address.setSrc(result.data.address); 
} 
$jsd('/NewBuyApp/src/homePage/homepage_log.htmlx',241,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); background.setBackgroundImage(result.data.background); 
$jsd('/NewBuyApp/src/homePage/homepage_log.htmlx',244,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); userNm.setValue(result.data.actorname); 
$jsd('/NewBuyApp/src/homePage/homepage_log.htmlx',254,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); /* var sexAgeT = "";  
				if (result.data.sex =="1"){  
					sexAgeT = "♂ ";  
				}else{  
					sexAgeT = "♀ ";  
				}  
				//年龄  
				sexAgeT = sexAgeT + result.data.age;  
				sexAge.setValue(sexAgeT); */sexAgeT = ""; 
if($jsd('/NewBuyApp/src/homePage/homepage_log.htmlx',257,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);})||true) if (result.data.sex == "1") { 
$jsd('/NewBuyApp/src/homePage/homepage_log.htmlx',258,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); sexAgeT = "♂ "; 
$jsd('/NewBuyApp/src/homePage/homepage_log.htmlx',259,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); sexAge_male_div.setDisplay(true); 
$jsd('/NewBuyApp/src/homePage/homepage_log.htmlx',260,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); sexAge_female_div.setDisplay(false); 
} else { 
$jsd('/NewBuyApp/src/homePage/homepage_log.htmlx',262,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); sexAgeT = "♀ "; 
$jsd('/NewBuyApp/src/homePage/homepage_log.htmlx',263,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); sexAge_male_div.setDisplay(false); 
$jsd('/NewBuyApp/src/homePage/homepage_log.htmlx',264,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); sexAge_female_div.setDisplay(true); 
} 
$jsd('/NewBuyApp/src/homePage/homepage_log.htmlx',267,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); sexAgeT = sexAgeT + result.data.age; 
$jsd('/NewBuyApp/src/homePage/homepage_log.htmlx',268,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); sexAge_male.setValue(sexAgeT); 
$jsd('/NewBuyApp/src/homePage/homepage_log.htmlx',269,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); sexAge_female.setValue(sexAgeT); 
$jsd('/NewBuyApp/src/homePage/homepage_log.htmlx',271,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); points.setValue(result.data.points); 
$jsd('/NewBuyApp/src/homePage/homepage_log.htmlx',273,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); quotations.setValue(result.data.quotations); 
$jsd('/NewBuyApp/src/homePage/homepage_log.htmlx',275,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); topicCnt.setValue(result.data.topicCnt); 
$jsd('/NewBuyApp/src/homePage/homepage_log.htmlx',277,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); fansGrpCnt.setValue(result.data.fansGrpCnt); 
$jsd('/NewBuyApp/src/homePage/homepage_log.htmlx',279,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); labelCnt.setValue(result.data.labelCnt); 
$jsd('/NewBuyApp/src/homePage/homepage_log.htmlx',281,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); json = result.data.fanGrpList; 
if($jsd('/NewBuyApp/src/homePage/homepage_log.htmlx',283,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);})||true) if (json.length > 0) { 
$jsd('/NewBuyApp/src/homePage/homepage_log.htmlx',284,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); listview.setDisplay(true); 
if($jsd('/NewBuyApp/src/homePage/homepage_log.htmlx',285,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);})||true) if (listview.getItems() && listview.getItems().length > 0) { 
$jsd('/NewBuyApp/src/homePage/homepage_log.htmlx',286,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); listview.appendItems(getItems(json)); 
} else { 
$jsd('/NewBuyApp/src/homePage/homepage_log.htmlx',288,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); listview.setItems(getItems(json)); 
} 
$jsd('/NewBuyApp/src/homePage/homepage_log.htmlx',290,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); listview.reloadData(); 
} 
} else { 
$jsd('/NewBuyApp/src/homePage/homepage_log.htmlx',293,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); toast("获取数据失败！"); 
} 
}, function (error) { 
$jsd('/NewBuyApp/src/homePage/homepage_log.htmlx',296,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); toast("网络菌罢工了！"); 
}); 
} 
$jsd('/NewBuyApp/src/homePage/homepage_log.htmlx',301,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); listview.addEvent("onLoadMore", function (type) { 
if($jsd('/NewBuyApp/src/homePage/homepage_log.htmlx',302,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);})||true) if (type == "pullDown") { 
$jsd('/NewBuyApp/src/homePage/homepage_log.htmlx',303,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); page = 1; 
$jsd('/NewBuyApp/src/homePage/homepage_log.htmlx',304,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); onloadFun(); 
} 
if($jsd('/NewBuyApp/src/homePage/homepage_log.htmlx',306,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);})||true) if (type == "pullUp") { 
$jsd('/NewBuyApp/src/homePage/homepage_log.htmlx',308,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); var pageJ = {}; 
$jsd('/NewBuyApp/src/homePage/homepage_log.htmlx',309,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); pageJ.name = "fanGrp.requiredPage"; 
$jsd('/NewBuyApp/src/homePage/homepage_log.htmlx',310,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); pageJ.value = page; 
$jsd('/NewBuyApp/src/homePage/homepage_log.htmlx',312,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); var ajax = new $M.Ajax(); 
$jsd('/NewBuyApp/src/homePage/homepage_log.htmlx',313,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); ajax.addParams([pageJ, {name:"loginkey", value:newbuy_config.loginkey}, {name:"mobileImei", value:Utils.getImei()}, {name:"mobileType", value:Utils.getOs()}, {name:"mobileToken", value:Utils.getMessageToken()}]); 
$jsd('/NewBuyApp/src/homePage/homepage_log.htmlx',316,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); ajax.setAction("/mobile/fanGrpAction!getUserFanGrp.action"); 
$jsd('/NewBuyApp/src/homePage/homepage_log.htmlx',317,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); ajax.submit(function (result) { 
$jsd('/NewBuyApp/src/homePage/homepage_log.htmlx',319,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); result = Utils.stringToJson(result); 
if($jsd('/NewBuyApp/src/homePage/homepage_log.htmlx',321,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);})||true) if (result.success) { 
if($jsd('/NewBuyApp/src/homePage/homepage_log.htmlx',322,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);})||true) if (result.data != null && result.data.length > 0) { 
$jsd('/NewBuyApp/src/homePage/homepage_log.htmlx',323,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); page = page + 1; 
$jsd('/NewBuyApp/src/homePage/homepage_log.htmlx',325,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); json = result.data; 
$jsd('/NewBuyApp/src/homePage/homepage_log.htmlx',326,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); listview.appendItems(getItems(json)); 
} 
$jsd('/NewBuyApp/src/homePage/homepage_log.htmlx',329,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); scroll_template_label.setValue("加载更多"); 
$jsd('/NewBuyApp/src/homePage/homepage_log.htmlx',330,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); listview.reloadData(); 
} else { 
$jsd('/NewBuyApp/src/homePage/homepage_log.htmlx',332,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); toast("获取数据失败！"); 
} 
}, function (error) { 
$jsd('/NewBuyApp/src/homePage/homepage_log.htmlx',335,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); toast("网络菌罢工了！"); 
}); 
} 
}); 
$jsd('/NewBuyApp/src/homePage/homepage_log.htmlx',339,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); fanGrpTuanzhang.setAttrAdapter([{value:"null", display:"false"}, {value:"", display:"false"}, {value:"other", display:"true"}]); 
$jsd('/NewBuyApp/src/homePage/homepage_log.htmlx',341,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); function getItems(json) { 
$jsd('/NewBuyApp/src/homePage/homepage_log.htmlx',342,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); var items = []; 
$jsd('/NewBuyApp/src/homePage/homepage_log.htmlx',343,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); for (var i = 0; i < json.length; i++) { 
$jsd('/NewBuyApp/src/homePage/homepage_log.htmlx',344,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); var temp = {}; 
$jsd('/NewBuyApp/src/homePage/homepage_log.htmlx',345,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); temp.template = "normal"; 
$jsd('/NewBuyApp/src/homePage/homepage_log.htmlx',346,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); temp.fanGrpLevel = json[i].fanGrpLevel; 
$jsd('/NewBuyApp/src/homePage/homepage_log.htmlx',347,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); temp.fanGrpV = json[i].fanGrpStatus; 
$jsd('/NewBuyApp/src/homePage/homepage_log.htmlx',349,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); temp.currentUserLevel = json[i].currentUserLevel; 
$jsd('/NewBuyApp/src/homePage/homepage_log.htmlx',350,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); temp.topiccntcontainer = json[i].updatedTopicCnt; 
$jsd('/NewBuyApp/src/homePage/homepage_log.htmlx',351,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); temp.updatedTopicCnt = "更新" + json[i].updatedTopicCnt; 
$jsd('/NewBuyApp/src/homePage/homepage_log.htmlx',352,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); temp.fanGrpName = json[i].fanGrpName; 
if($jsd('/NewBuyApp/src/homePage/homepage_log.htmlx',354,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);})||true) if (json[i].isCreator == "0") { 
$jsd('/NewBuyApp/src/homePage/homepage_log.htmlx',356,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); temp.fanGrpTuanzhang = ""; 
} else { 
$jsd('/NewBuyApp/src/homePage/homepage_log.htmlx',358,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); temp.fanGrpTuanzhang = "/icon_128/leader-04.png"; 
} 
$jsd('/NewBuyApp/src/homePage/homepage_log.htmlx',360,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); temp.fanGrpPhoto = json[i].fanGrpPhoto; 
$jsd('/NewBuyApp/src/homePage/homepage_log.htmlx',361,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); temp.num = "更新" + json[i].num; 
$jsd('/NewBuyApp/src/homePage/homepage_log.htmlx',362,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); temp.fanId = json[i].id; 
$jsd('/NewBuyApp/src/homePage/homepage_log.htmlx',363,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); items.push(temp); 
} 
$jsd('/NewBuyApp/src/homePage/homepage_log.htmlx',365,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); return items; 
} 
$jsd('/NewBuyApp/src/homePage/homepage_log.htmlx',369,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); listview.setOnclickTags(["addgrp"]); 
$jsd('/NewBuyApp/src/homePage/homepage_log.htmlx',371,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); listview.addEvent("onItemClick", function (row, tag, data) { 
if($jsd('/NewBuyApp/src/homePage/homepage_log.htmlx',372,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);})||true) if (tag == "addgrp") { 
$jsd('/NewBuyApp/src/homePage/homepage_log.htmlx',373,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); findFanGrp(); 
} else { 
$jsd('/NewBuyApp/src/homePage/homepage_log.htmlx',375,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); $M.page.goTo("/fan_group.html", {fanId:data.fanId}, false, false); 
} 
}); 
$jsd('/NewBuyApp/src/homePage/homepage_log.htmlx',378,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); function my_info() { 
$jsd('/NewBuyApp/src/homePage/homepage_log.htmlx',379,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); var ajax = new $M.Ajax(); 
$jsd('/NewBuyApp/src/homePage/homepage_log.htmlx',380,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); ajax.addParams([{name:"loginkey", value:newbuy_config.loginkey}, {name:"mobileImei", value:Utils.getImei()}, {name:"mobileType", value:Utils.getOs()}, {name:"mobileToken", value:Utils.getMessageToken()}]); 
$jsd('/NewBuyApp/src/homePage/homepage_log.htmlx',386,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); ajax.setAction("/mobile/loginAction!getUserInfoBySession.action"); 
$jsd('/NewBuyApp/src/homePage/homepage_log.htmlx',387,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); ajax.submit(function (result) { 
$jsd('/NewBuyApp/src/homePage/homepage_log.htmlx',388,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); result = Utils.stringToJson(result); 
if($jsd('/NewBuyApp/src/homePage/homepage_log.htmlx',389,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);})||true) if (result.success) { 
if($jsd('/NewBuyApp/src/homePage/homepage_log.htmlx',390,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);})||true) if (result.data != null && result.data.userid != null && result.data.userid != "") { 
$jsd('/NewBuyApp/src/homePage/homepage_log.htmlx',391,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); $M.page.goTo("/fan_tie.html", null, true, false); 
} else { 
$jsd('/NewBuyApp/src/homePage/homepage_log.htmlx',393,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); $M.page.goTo("/fanReg/login.html", null, true); 
} 
} else { 
$jsd('/NewBuyApp/src/homePage/homepage_log.htmlx',396,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); toast("获取数据失败！"); 
} 
}, function (error) { 
$jsd('/NewBuyApp/src/homePage/homepage_log.htmlx',399,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); toast("网络菌罢工了！"); 
}); 
} 
$jsd('/NewBuyApp/src/homePage/homepage_log.htmlx',403,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); function goToShop() { 
$jsd('/NewBuyApp/src/homePage/homepage_log.htmlx',404,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); var ajax = new $M.Ajax(); 
$jsd('/NewBuyApp/src/homePage/homepage_log.htmlx',405,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); ajax.addParams([{name:"loginkey", value:newbuy_config.loginkey}, {name:"mobileImei", value:Utils.getImei()}, {name:"mobileType", value:Utils.getOs()}, {name:"mobileToken", value:Utils.getMessageToken()}]); 
$jsd('/NewBuyApp/src/homePage/homepage_log.htmlx',411,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); ajax.setAction("/mobile/loginAction!getUserInfoBySession.action"); 
$jsd('/NewBuyApp/src/homePage/homepage_log.htmlx',412,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); ajax.submit(function (result) { 
$jsd('/NewBuyApp/src/homePage/homepage_log.htmlx',413,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); result = Utils.stringToJson(result); 
if($jsd('/NewBuyApp/src/homePage/homepage_log.htmlx',414,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);})||true) if (result.success) { 
if($jsd('/NewBuyApp/src/homePage/homepage_log.htmlx',415,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);})||true) if (result.data != null && result.data.userid != null && result.data.userid != "") { 
$jsd('/NewBuyApp/src/homePage/homepage_log.htmlx',416,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); $M.page.goTo("/coupon/coupon_home.html", null, true, false); 
} else { 
$jsd('/NewBuyApp/src/homePage/homepage_log.htmlx',418,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); $M.page.goTo("/fanReg/login.html", null, true); 
} 
} else { 
$jsd('/NewBuyApp/src/homePage/homepage_log.htmlx',421,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); toast("获取数据失败！"); 
} 
}, function (error) { 
$jsd('/NewBuyApp/src/homePage/homepage_log.htmlx',424,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); toast("网络菌罢工了！"); 
}); 
} 
$jsd('/NewBuyApp/src/homePage/homepage_log.htmlx',429,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); function goToTips() { 
$jsd('/NewBuyApp/src/homePage/homepage_log.htmlx',430,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); var ajax = new $M.Ajax(); 
$jsd('/NewBuyApp/src/homePage/homepage_log.htmlx',431,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); ajax.addParams([{name:"loginkey", value:newbuy_config.loginkey}, {name:"mobileImei", value:Utils.getImei()}, {name:"mobileType", value:Utils.getOs()}, {name:"mobileToken", value:Utils.getMessageToken()}]); 
$jsd('/NewBuyApp/src/homePage/homepage_log.htmlx',437,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); ajax.setAction("/mobile/loginAction!getUserInfoBySession.action"); 
$jsd('/NewBuyApp/src/homePage/homepage_log.htmlx',438,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); ajax.submit(function (result) { 
$jsd('/NewBuyApp/src/homePage/homepage_log.htmlx',439,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); result = Utils.stringToJson(result); 
if($jsd('/NewBuyApp/src/homePage/homepage_log.htmlx',440,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);})||true) if (result.success) { 
if($jsd('/NewBuyApp/src/homePage/homepage_log.htmlx',441,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);})||true) if (result.data != null && result.data.userid != null && result.data.userid != "") { 
$jsd('/NewBuyApp/src/homePage/homepage_log.htmlx',442,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); $M.page.goTo("/message.html", null, true, false); 
} else { 
$jsd('/NewBuyApp/src/homePage/homepage_log.htmlx',444,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); $M.page.goTo("/fanReg/login.html", null, true); 
} 
} else { 
$jsd('/NewBuyApp/src/homePage/homepage_log.htmlx',447,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); toast("获取数据失败！"); 
} 
}, function (error) { 
$jsd('/NewBuyApp/src/homePage/homepage_log.htmlx',450,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); toast("网络菌罢工了！"); 
}); 
} 
$jsd('/NewBuyApp/src/homePage/homepage_log.htmlx',454,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); function goToHome() { 
$jsd('/NewBuyApp/src/homePage/homepage_log.htmlx',455,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); $M.page.goTo("/index.html", null, true, false); 
} 
$jsd('/NewBuyApp/src/homePage/homepage_log.htmlx',459,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); $M.page.addEvent("onBack", function (param) { 
$jsd('/NewBuyApp/src/homePage/homepage_log.htmlx',460,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); var ajax = new $M.Ajax(); 
$jsd('/NewBuyApp/src/homePage/homepage_log.htmlx',461,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); ajax.addParams([{name:"loginkey", value:newbuy_config.loginkey}, {name:"mobileImei", value:Utils.getImei()}, {name:"mobileType", value:Utils.getOs()}, {name:"mobileToken", value:Utils.getMessageToken()}]); 
$jsd('/NewBuyApp/src/homePage/homepage_log.htmlx',467,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); ajax.setAction("/mobile/loginAction!getUserInfoBySession.action"); 
$jsd('/NewBuyApp/src/homePage/homepage_log.htmlx',468,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); ajax.submit(function (result) { 
$jsd('/NewBuyApp/src/homePage/homepage_log.htmlx',469,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); result = Utils.stringToJson(result); 
if($jsd('/NewBuyApp/src/homePage/homepage_log.htmlx',470,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);})||true) if (result.success) { 
if($jsd('/NewBuyApp/src/homePage/homepage_log.htmlx',471,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);})||true) if (result.data != null && result.data.userid != null && result.data.userid != "") { 
} else { 
$jsd('/NewBuyApp/src/homePage/homepage_log.htmlx',473,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); $M.page.goTo("/fanReg/login.html", {}, true); 
} 
} else { 
$jsd('/NewBuyApp/src/homePage/homepage_log.htmlx',476,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); toast("获取数据失败！"); 
} 
}, function (error) { 
$jsd('/NewBuyApp/src/homePage/homepage_log.htmlx',479,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); toast("网络菌罢工了！"); 
}); 
}); 
$jsd('/NewBuyApp/src/homePage/homepage_log.htmlx',483,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); function gotoPageLoggedin() { 
$jsd('/NewBuyApp/src/homePage/homepage_log.htmlx',484,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); var ajax = new $M.Ajax(); 
$jsd('/NewBuyApp/src/homePage/homepage_log.htmlx',485,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); ajax.addParams([{name:"loginkey", value:newbuy_config.loginkey}, {name:"mobileImei", value:Utils.getImei()}, {name:"mobileType", value:Utils.getOs()}, {name:"mobileToken", value:Utils.getMessageToken()}]); 
$jsd('/NewBuyApp/src/homePage/homepage_log.htmlx',491,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); ajax.setAction("/mobile/loginAction!getUserInfoBySession.action"); 
$jsd('/NewBuyApp/src/homePage/homepage_log.htmlx',492,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); ajax.submit(function (result) { 
$jsd('/NewBuyApp/src/homePage/homepage_log.htmlx',493,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); result = Utils.stringToJson(result); 
if($jsd('/NewBuyApp/src/homePage/homepage_log.htmlx',494,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);})||true) if (result.success) { 
if($jsd('/NewBuyApp/src/homePage/homepage_log.htmlx',495,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);})||true) if (result.data != null && result.data.userid != null && result.data.userid != "") { 
$jsd('/NewBuyApp/src/homePage/homepage_log.htmlx',496,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); $M.page.goTo("/mainpage_loggedin.html", null, true, false); 
} else { 
$jsd('/NewBuyApp/src/homePage/homepage_log.htmlx',498,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); $M.page.goTo("/fanReg/login.html", null, true); 
} 
} else { 
$jsd('/NewBuyApp/src/homePage/homepage_log.htmlx',501,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); toast("获取数据失败！"); 
} 
}, function (error) { 
$jsd('/NewBuyApp/src/homePage/homepage_log.htmlx',504,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); toast("网络菌罢工了！"); 
}); 
} 
$jsd('/NewBuyApp/src/homePage/homepage_log.htmlx',508,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); function findFanGrp() { 
$jsd('/NewBuyApp/src/homePage/homepage_log.htmlx',509,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); $M.page.goTo("/fan_search.html", null, false, false); 
} 
$jsd('/NewBuyApp/src/homePage/homepage_log.htmlx',511,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); topiccntcontainer.setAttrAdapter([{value:"0", display:"false"}, {value:"", display:"false"}, {value:"null", display:"false"}, {value:"other", display:"true"}]); 
$jsd('/NewBuyApp/src/homePage/homepage_log.htmlx',512,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); fanGrpV.setAttrAdapter([{value:"6", display:"true"}, {value:"", display:"false"}, {value:"null", display:"false"}, {value:"other", display:"false"}]); 
 
Emp.page.render();
