var top = this;

var arguments = [];
var window= top;

arguments.callee = {};
var DEBUG_FUNC_INDEX = 1;

var del = ["arguments","top","window","Emp","empBridge","util","DEBUG_FUNC_INDEX","del","BridgeUtil","ResultUtil"];

function jsDebug(){
	
}

jsDebug.debugCommand = null;
jsDebug.currResource = null;
jsDebug.breakpoints = null;
jsDebug.functionStack = [];
jsDebug.currResource = null;
jsDebug.currLine = null;
jsDebug.isExpression = false;

/**
 * 
 */
jsDebug.getErrorStack = function(func) {
	var stack = [];
	while (func) {
		var funcStr = func.toString();
		var funcOffset = funcStr.indexOf(")");
		var funcHead = funcStr.substring(0, funcOffset + 1);
		var args = func.arguments;
		var argArr = [];
		for (var i = 0; i < args.length; i++) {
			argArr.push(args[i]);
		}
		stack.push(funcHead + json2string(argArr, 12));
		func = func.caller;
	}
	return stack.join("\n");
}

/**
 * 
 */
var parseVars = function(line) {
	var varNames = [];
	if (line && line.length > 0) {
		var endOffset = line.indexOf(";");
		if (endOffset > 0) {
			line = line.substring(0, endOffset);
		}
		var lineArr = line.split(",");
		for (var i = 0; i < lineArr.length; i++) {
			var varStr = lineArr[i];
			var varEndOffset = varStr.indexOf("=");
			if (varEndOffset > 0) {
				varNames.push(varStr.substring(0, varEndOffset));
			} else {
				varNames.push(varStr);
			}
		}
	}
	return varNames;
}

/**
 * 
 */
jsDebug.updateStack = function(args, resource, scope, line, evalFunc) {
	if (args && args.callee) {
		var func = args.callee;
		func.__resource = resource;
		func.__line = line;
		func.__evalFunc = evalFunc;
		func.__scope = scope;
		for (var i = jsDebug.functionStack.length - 1; i > -1; i--) {
			if (func == jsDebug.functionStack[i]) {
				jsDebug.functionStack = jsDebug.functionStack.slice(0, i + 1);
				return;
			}
		}
		jsDebug.functionStack.push(func);
	} else {
		jsDebug.functionStack = [];
	}

}

/**
 * 
 */
var getFuncData = function(args, evalFunc) {
	
		var vars = [];
		var func = args.callee;
		if (func) {
			var funcStr = func.toString().replace(/\n/g, "");
			var argStart = funcStr.indexOf("(");
			var argEnd = funcStr.indexOf(")");
			if (argStart > 0 && argEnd > 0) {
				var argStr = funcStr.substring(argStart + 1, argEnd);
				vars = argStr.split(",");
			}
			var nameArr = funcStr.split("var ");
			for (var i = 1; i < nameArr.length; i++) {
				var line = nameArr[i];
				vars = vars.concat(parseVars(line));
			}
		}
		var data = {};
		
		for (var i = 0; i < vars.length; i++) {
			var key = vars[i];
			if (key && key.length > 0) {
				key = key.replace(/\n|\r|\t| /g, "");
				if (/^[A-Za-z0-9_\$]*$/.test(key)) {
					try {
						var result = evalFunc(key);
						if (result == undefined) {
							data[key] = {"value":"undefined","type":"string"};
						} else if (result == null) {
							data[key] = {"value":"null","type":"string"};
						} else {
							data[key] = {"value":evalFunc(key),"type":typeof(evalFunc(key))};
						}
					} catch (e) {

					}
				}
			}
		}
		return data;
}

var getWindowData = function(args,evalFunc){
	var data = {};
	for (var i in top) { 
	    data[i] = {value:top[i],type:typeof(top[i])};
	}
//	return {"x":{"value":top.x,"type":typeof(top.x)}};

	return {"window":{value:top,type:typeof(top)}};
}


/**
 * find if arguments is stepreturn context
 */
jsDebug.isStepReturn = function(args) {
	if (args) {
		var func = args.callee;
		for (var i = jsDebug.functionStack.length - 2; i > -1; i--) {
			if (func == jsDebug.functionStack[i]) {
				return true;
			}
		}
		return false;
	} else {
		return true;
	}
}

/**
 * find if arguments is stepover context
 */
jsDebug.isStepOver = function(args) {
	if (args) {
		var func = args.callee;
		for (var i = jsDebug.functionStack.length - 1; i > -1; i--) {
			if (func == jsDebug.functionStack[i]) {
				return true;
			}
		}
		return false;
	} else {
		return true;
	}
}

/**
 * 
 */
jsDebug.error = function(e, resource, line,callFunc) {
	try {
		var funcStr = callFunc + "";
			if(funcStr.indexOf("function anonymous")>=0){
				funcStr = undefined;
			}
		var postData = {
			"ERROR" : encodeURI(e),
			"COMMAND" : "ERROR",
			"RESOURCE" : resource,
			"LINE" : line,
			"ERRORFUNC":funcStr,
			"ISIE":isIE
		}
		empBridge.debug(obj2string(postData));
	} catch (e) {

	}
}

/**
 * 
 */
jsDebug.stepReturn = function(func) {
	try {
		var data = jsDebug.getFuncData(func.arguments, func.__evalFunc);
		jsDebug.updateStack(func.arguments, func.__resource, func.__scope,
				func.__line, func.__evalFunc);
		if (func.__scope != top) {
			data["this"] = func.__scope;
		}
		var postData = {
			"STACK" : data,
			"COMMAND" : jsDebug.debugCommand,
			"RESOURCE" : func.__resource,
			"LINE" : func.__line
		}
		var res = empBridge.debug(obj2string(postData));
		jsDebug.parseResult(res,func.__evalFunc);
		
	} catch (e) {
	}
}


jsDebug.evalExpression = function(expression, evalFunc) {
	try {
	//	jsDebug.xmlHttp.open("POST", "/jsdebug.debug?" + new Date(), false);
		var postData = {
			"STACK" : {},
			"COMMAND" : "EXPRESSION",
			"EXPRESSION" : expression
		}
		try {
			jsDebug.isExpression = true;
			var ret = evalFunc(expression);
			if(typeof(ret)=="undefined"){
				ret = "undefined";
			}else if(ret==null){
				ret = "null";
			}
			postData["RESULT"] = ret;
		} catch (e) {
			postData["ERROR"] = e;
		}
		jsDebug.isExpression = false;
		var res = empBridge.debug(obj2string(postData));
		jsDebug.parseResult(res,evalFunc);
	} catch (e) {

	}
}

jsDebug.evalValue = function(expression, evalFunc){
	try {
//		jsDebug.xmlHttp.open("POST", "/jsdebug.debug?" + new Date(), false);
		var postData = {
			"STACK" : {},
			"COMMAND" : "VALUE",
			"EXPRESSION" : expression
		}
		try {
			jsDebug.isExpression = true;
			var ret = evalFunc(expression);
			var data = {};
			if(typeof(ret)=="undefined"){
				ret = "undefined";
			}else if(ret==null){
				ret = "null";
			}else{
				for(var prop in ret){
					try{
						if(prop!="postData"&&!contains(del,prop)){
						var value = ret[prop];
						var type = typeof(value);
						if(type=="function"){
							continue;
						}
						var stringValue = "";
						if(value){
							stringValue = value.toString();
						}
						if(value==null){
							stringValue = "null";
							type = "null";
						}else if(value==undefined){
							stringValue = "undefined";
							type = "undefined";
						}
						data[prop] = {"value":stringValue,"type":typeof(value)};
						}
					}catch(e){

					}
				}
			}
			postData["RESULT"] = data;
		} catch (e) {
			postData["ERROR"] = e;
		}
		jsDebug.isExpression = false;
		var submitString = "{}";
		try{
			submitString = json2string(postData);
		}catch(e){

		}
		var res = empBridge.debug(obj2string(postData));
		jsDebug.parseResult(res,evalFunc);
	} catch (e) {
		alert(e);
	}
}

/**
 * 
 */
jsDebug.parseResult = function(result, evalFunc) {
	if (result) {
		if (result.indexOf("{") == 0) {
			try {
				eval("var retObj = " + result);
				if( retObj["COMMAND"]){
					if(retObj["COMMAND"]=="EXPRESSION"){
						jsDebug.evalExpression(retObj["EXPRESSION"], evalFunc);
					}else if(retObj["COMMAND"]=="VALUE"){
						jsDebug.evalValue(retObj["EXPRESSION"], evalFunc);
					}else{
						jsDebug.isExpression = false;
						jsDebug.debugCommand = retObj["COMMAND"];
						if (jsDebug.debugCommand == "BREAKPOINT") {
							jsDebug.breakpoints = retObj["BREAKPOINTS"];
						}
					}
				}
                return retObj;
			} catch (e) {
			}
		} else {
			 alert("Debug error:" + result);
		}
	} else {

	}
}



function json2string(obj, depth) {
	depth = depth || 0;
	if (typeof obj == "function") {
		return "\"function\"";
	}  else if (obj && typeof obj.pop == 'function' && obj instanceof Array) {
		return array2string(obj, depth + 1);
	} else if (typeof obj == "object") {
		return obj2string(obj, depth + 1);
	} else {
		if (typeof obj == "string") {
			return "\"" + obj.replace(/"/gm, "'").replace(/\n|\r/gm, "")
					+ "\"";
		} else if (typeof obj == "number") {
			if (isFinite(obj)) {
				return obj;
			} else {
				return "\"out of number\"";
			}
		} else {
			//return util.jsonToString(obj).replace(/"/gm, "\\\"").replace(/\n|\r/gm, "");
		}
	}
}

function obj2string(obj, depth) {
	depth = depth || 0;
		var arr = [];
		for (var prop in obj) {
			try {
				if (obj.hasOwnProperty(prop) && typeof(obj[prop]) != "function") {
					if (depth < 9) {
						arr.push("\"" + prop + "\":"
								+ json2string(obj[prop], depth + 1));
					} else {
						arr.push("\"" + prop + "\":\"...\"")
					}
				}
			} catch (e) {

			}
		}
		return "{" + arr.join(",") + "}";
}

function complexObj2String(obj){
	var arr = [];
	for (var prop in obj) {
		try {
			if (typeof(obj[prop]) != "function") {
				var value = (obj[prop] + "").replace(/"/gm, "'").replace(/\n|\r/gm, "");
				arr.push("\"" + prop + "\":\""
						+ value + "\"");
			}
		} catch (e) {

		}
	}
	return "{" + arr.join(",") + "}";
}
function array2string(array, depth) {
	depth = depth || 0;
	var arr = [];
	for (var i = 0; i < array.length; i++) {
		arr.push(json2string(array[i], depth + 1));
	}
	return "[" + arr.join(",") + "]";
}

function mergeJsonObject(jsonbject1, jsonbject2)  
{  
    var resultJsonObject={};  
    for(var attr in jsonbject1){  
        resultJsonObject[attr]=jsonbject1[attr];  
    }  
    for(var attr in jsonbject2){  
        resultJsonObject[attr]=jsonbject2[attr];  
    }  

    return resultJsonObject;  
};  

function convertStringToJSON(str){
    var stu = eval('('+str+')');
    return stu;
}

function contains(a,obj){
	var i = a.length;
	while(i--){
		if(a[i]===obj){
			return true;
		}
	}
	return false;
}

jsDebug.getBreakPoint = function(async) {
	var postData = {"COMMAND":"RESUME"}; 
    var res = empBridge.debug(obj2string(postData));
    var retObj = util.stringToJson(res);
    jsDebug.breakpoints = retObj["BREAKPOINTS"];
    return;

	async = async?false:true;
	log(":"+async);
	try{
//	var jsonResume = "{\"COMMAND\":\"RESUME\"}";
		var postData = {"COMMAND":"RESUME"}; 
	if(async){
		var id;
	    log("");
		id = setInterval(jsDebug.getBreakPoint,1000);
	}else{
		log("");
	    var res = empBridge.debug(obj2string(postData));
	    var retObj = util.stringToJson(res);
	    jsDebug.breakpoints = retObj["BREAKPOINTS"];
	}
	} catch(e){
		
	}
}

jsDebug.getBreakPoint();

jsDebug.debug =  function(resource,line,scope,args,evalFunc){
	var isNewStack = false;
	if(args&&args["_funcIndex"]==undefined){
		if(args.callee.caller && args.callee.caller.arguments){
			if(args.callee.caller.arguments["__funcIndex"]==undefined){
				args["__funcIndex"] = DEBUG_FUNC_INDEX++;
				isNewStack = true;
			}else{
				args["__funcIndex"] = args.callee.caller.arguments["__funcIndex"];
			}
		}
	}
	
	if (jsDebug.isExpression) {
		return;
	}
	
	
	try {
		jsDebug.currResource = resource;
		jsDebug.currLine = line;
		if (jsDebug.debugCommand == null) {
			jsDebug.debugCommand = "START";
		}
		if (jsDebug.debugCommand == "TERMINATE") {
			throw "exit";
		}
		if(!jsDebug.breakpoints){
			jsDebug.getBreakPoint(true);
		}
		if (!(jsDebug.breakpoints && jsDebug.breakpoints[resource + line])) {
			if (jsDebug.debugCommand == "STEPRETURN"
					|| jsDebug.debugCommand == "STEPOVER") {
				var parentFunc = jsDebug.functionStack[jsDebug.functionStack.length
						- 2];
				var currFunc = jsDebug.functionStack[jsDebug.functionStack.length
						- 1];
				if(currFunc && (currFunc==args.callee)){
					if(jsDebug.debugCommand == "STEPRETURN"){
						return;
					}
					// do nothing
				}else{
					if (parentFunc && (args.callee.caller == parentFunc)) {
						jsDebug.stepReturn(parentFunc);
						jsDebug.debug(resource, line, scope, args, evalFunc);
						if(jsDebug.debugCommand == "STEPRETURN"){
							return;
						}
					}else{
//						if(args.callee){
//							return;
//						}
					}
				}

			}
			if (jsDebug.debugCommand == "STEPRETURN") {
				if (!jsDebug.isStepReturn(args)) {
					if(args.callee){
						return;
					}
				}
			} else if (jsDebug.debugCommand == "STEPOVER") {
				if (!jsDebug.isStepOver(args)) {
					if(args.callee){
						return;
					}
				}
			} else if (jsDebug.debugCommand == "RESUME") {
				return;
			} else if (jsDebug.debugCommand == "STEPINTO") {

			} else {
				return;
			}
		} else {
			jsDebug.debugCommand = "BREAKPOINT";
		}
		
		var data = getFuncData(args,evalFunc);
		var windowData = getWindowData(args,evalFunc);
		var stack = mergeJsonObject(windowData,data);
		
		jsDebug.updateStack(args, resource, scope, line, evalFunc);
		
		var postData = {
				"STACK" : stack,
				"COMMAND" : jsDebug.debugCommand,
				"RESOURCE" : resource,
				"LINE" : line,
				"NEWSTACK":true
		};
		var postDataStr = json2string(postData,0);
		
	    var res = empBridge.debug(postDataStr);
		
		jsDebug.parseResult(res, evalFunc);
		
	} catch (e) {

	}

};

var $jsd = jsDebug.debug;
Emp.page.setId('_body_2217368');
$M.includeFile("/commons/listview_common.html");


var _div_21898391 = new Emp.Panel({"id":"_div_21898391","height":"44","width":"100%","top":"0"});
var _div_21258299 = new Emp.Panel({"id":"_div_21258299","height":"44","width":"100%"});
_div_21258299.addEvent('onClick',go_back);
var _img_645563 = new Emp.Image({"id":"_img_645563","height":"35","width":"35","src":"/icon_128/iconfont-back.png"});
_div_21258299.add(_img_645563);
var _div_11902375 = new Emp.Panel({"id":"_div_11902375","height":"100%","vAlign":"middle","hAlign":"center","width":"100%"});
var fan_name_title = new Emp.Label({"id":"fan_name_title","color":"#999999","value":"找饭团","fontSize":"16"});
_div_11902375.add(fan_name_title);
_div_21258299.add(_div_11902375);
_div_21898391.add(_div_21258299);
var _div_18834550 = new Emp.Panel({"id":"_div_18834550","height":"100%","vAlign":"middle","hAlign":"center","width":"80"});
var _input_33339910 = new Emp.Label({"id":"_input_33339910","value":"创建饭团","fontSize":"20"});
_input_33339910.addEvent('onClick',create_fan);
_div_18834550.add(_input_33339910);
_div_21898391.add(_div_18834550);
Emp.page.add(_div_21898391);
var _div_18409763 = new Emp.Panel({"id":"_div_18409763","height":"1","backgroundColor":"#CCCCCC","borderWidth":"0","width":"100%"});
Emp.page.add(_div_18409763);
var _div_7482806 = new Emp.Panel({"id":"_div_7482806","height":"100%","layout":"VBox","width":"100%"});
var _template_1511990 = new Emp.Panel({"id":"_template_1511990"});
_template_1511990.__isTemplate=true;
var template1 = new Emp.Panel({"id":"template1","paddingTop":"20","height":"100%","backgroundColor":"#fafafa","vAlign":"middle","layout":"VBox","width":"100%","paddingLeft":"5","paddingRight":"5"});
var _div_786536 = new Emp.Panel({"id":"_div_786536","paddingTop":"70","height":"100%","borderColor":"#f2f2f2","backgroundColor":"#ffffff","vAlign":"middle","borderWidth":"1px","layout":"VBox","width":"100%","cornerRadius":"10"});
var _div_32419832 = new Emp.Panel({"id":"_div_32419832","height":"70","layout":"HBox","width":"100%"});
var _div_23259578 = new Emp.Panel({"id":"_div_23259578","height":"70","layout":"VBox","width":"100%","paddingLeft":"30"});
var _img_14599292 = new Emp.Image({"id":"_img_14599292","height":"40","width":"40","src":"/fan_tie/u141.png"});
_div_23259578.add(_img_14599292);
var _input_20300539 = new Emp.Label({"id":"_input_20300539","value":"孙     坚","fontSize":"12"});
_div_23259578.add(_input_20300539);
_div_32419832.add(_div_23259578);
var _div_9702696 = new Emp.Panel({"id":"_div_9702696","height":"70","layout":"VBox","width":"100%","paddingLeft":"30"});
var _img_32239527 = new Emp.Image({"id":"_img_32239527","height":"40","width":"40","src":"/fan_tie/u141.png"});
_div_9702696.add(_img_32239527);
var _input_12775735 = new Emp.Label({"id":"_input_12775735","value":"孙     坚","fontSize":"12"});
_div_9702696.add(_input_12775735);
_div_32419832.add(_div_9702696);
var _div_6981007 = new Emp.Panel({"id":"_div_6981007","height":"70","layout":"VBox","width":"100%","paddingLeft":"30"});
var _img_23498047 = new Emp.Image({"id":"_img_23498047","height":"40","width":"40","src":"/fan_tie/u141.png"});
_div_6981007.add(_img_23498047);
var _input_29570894 = new Emp.Label({"id":"_input_29570894","value":"孙     坚","fontSize":"12"});
_div_6981007.add(_input_29570894);
_div_32419832.add(_div_6981007);
var _div_23331215 = new Emp.Panel({"id":"_div_23331215","height":"70","layout":"VBox","width":"100%","paddingLeft":"30"});
var _img_10650153 = new Emp.Image({"id":"_img_10650153","height":"40","width":"40","src":"/fan_tie/u141.png"});
_div_23331215.add(_img_10650153);
var _input_17781528 = new Emp.Label({"id":"_input_17781528","value":"孙     坚","fontSize":"12"});
_div_23331215.add(_input_17781528);
_div_32419832.add(_div_23331215);
_div_786536.add(_div_32419832);
var _div_18385862 = new Emp.Panel({"id":"_div_18385862","height":"70","layout":"HBox","width":"100%"});
var _div_8424004 = new Emp.Panel({"id":"_div_8424004","height":"70","layout":"VBox","width":"100%","paddingLeft":"30"});
var _img_16098240 = new Emp.Image({"id":"_img_16098240","height":"40","width":"40","src":"/fan_tie/u141.png"});
_div_8424004.add(_img_16098240);
var _input_13746932 = new Emp.Label({"id":"_input_13746932","value":"孙     坚","fontSize":"12"});
_div_8424004.add(_input_13746932);
_div_18385862.add(_div_8424004);
var _div_22432415 = new Emp.Panel({"id":"_div_22432415","height":"70","layout":"VBox","width":"100%","paddingLeft":"30"});
var _img_4017147 = new Emp.Image({"id":"_img_4017147","height":"40","width":"40","src":"/fan_tie/u141.png"});
_div_22432415.add(_img_4017147);
var _input_4684819 = new Emp.Label({"id":"_input_4684819","value":"孙     坚","fontSize":"12"});
_div_22432415.add(_input_4684819);
_div_18385862.add(_div_22432415);
var _div_19056810 = new Emp.Panel({"id":"_div_19056810","height":"70","layout":"VBox","width":"100%","paddingLeft":"30"});
var _img_10764196 = new Emp.Image({"id":"_img_10764196","height":"40","width":"40","src":"/fan_tie/u141.png"});
_div_19056810.add(_img_10764196);
var _input_21908798 = new Emp.Label({"id":"_input_21908798","value":"孙      坚","fontSize":"12"});
_div_19056810.add(_input_21908798);
_div_18385862.add(_div_19056810);
var _div_28388710 = new Emp.Panel({"id":"_div_28388710","height":"70","layout":"VBox","width":"100%","paddingLeft":"30"});
var _img_18583210 = new Emp.Image({"id":"_img_18583210","height":"40","width":"40","src":"/fan_tie/u141.png"});
_div_28388710.add(_img_18583210);
var _input_3362023 = new Emp.Label({"id":"_input_3362023","value":"孙      坚","fontSize":"12"});
_div_28388710.add(_input_3362023);
_div_18385862.add(_div_28388710);
_div_786536.add(_div_18385862);
var _div_33424924 = new Emp.Panel({"id":"_div_33424924","height":"70","layout":"HBox","width":"100%"});
var _div_4403688 = new Emp.Panel({"id":"_div_4403688","height":"70","layout":"VBox","width":"100%","paddingLeft":"30"});
var _img_25265366 = new Emp.Image({"id":"_img_25265366","height":"40","width":"40","src":"/fan_tie/u141.png"});
_div_4403688.add(_img_25265366);
var _input_3686144 = new Emp.Label({"id":"_input_3686144","value":"孙     坚","fontSize":"12"});
_div_4403688.add(_input_3686144);
_div_33424924.add(_div_4403688);
var _div_11542865 = new Emp.Panel({"id":"_div_11542865","height":"70","layout":"VBox","width":"100%","paddingLeft":"30"});
var _img_22772833 = new Emp.Image({"id":"_img_22772833","height":"40","width":"40","src":"/fan_tie/u141.png"});
_div_11542865.add(_img_22772833);
var _input_21159057 = new Emp.Label({"id":"_input_21159057","value":"孙      坚","fontSize":"12"});
_div_11542865.add(_input_21159057);
_div_33424924.add(_div_11542865);
var _div_10404767 = new Emp.Panel({"id":"_div_10404767","height":"70","layout":"VBox","width":"100%","paddingLeft":"30"});
var _img_20786241 = new Emp.Image({"id":"_img_20786241","height":"40","width":"40","src":"/fan_tie/u141.png"});
_div_10404767.add(_img_20786241);
var _input_19162148 = new Emp.Label({"id":"_input_19162148","value":"孙      坚","fontSize":"12"});
_div_10404767.add(_input_19162148);
_div_33424924.add(_div_10404767);
var _div_2785088 = new Emp.Panel({"id":"_div_2785088","height":"70","layout":"VBox","width":"100%","paddingLeft":"30"});
var _img_545336 = new Emp.Image({"id":"_img_545336","height":"40","width":"40","src":"/fan_tie/u141.png"});
_div_2785088.add(_img_545336);
var _input_5117976 = new Emp.Label({"id":"_input_5117976","value":"孙      坚","fontSize":"12"});
_div_2785088.add(_input_5117976);
_div_33424924.add(_div_2785088);
_div_786536.add(_div_33424924);
var _div_17827374 = new Emp.Panel({"id":"_div_17827374","height":"70","layout":"HBox","width":"100%"});
var _div_17157406 = new Emp.Panel({"id":"_div_17157406","height":"70","layout":"VBox","width":"100%","paddingLeft":"30"});
var _img_31304094 = new Emp.Image({"id":"_img_31304094","height":"40","width":"40","src":"/fan_tie/u141.png"});
_div_17157406.add(_img_31304094);
var _input_27972451 = new Emp.Label({"id":"_input_27972451","value":"孙      坚","fontSize":"12"});
_div_17157406.add(_input_27972451);
_div_17827374.add(_div_17157406);
var _div_1846090 = new Emp.Panel({"id":"_div_1846090","height":"70","layout":"VBox","width":"100%","paddingLeft":"30"});
var _img_22940001 = new Emp.Image({"id":"_img_22940001","height":"40","width":"40","src":"/fan_tie/u141.png"});
_div_1846090.add(_img_22940001);
var _input_12184336 = new Emp.Label({"id":"_input_12184336","value":"孙     坚","fontSize":"12"});
_div_1846090.add(_input_12184336);
_div_17827374.add(_div_1846090);
var _div_32993284 = new Emp.Panel({"id":"_div_32993284","height":"70","layout":"VBox","width":"100%","paddingLeft":"30"});
var _img_31139322 = new Emp.Image({"id":"_img_31139322","height":"40","width":"40","src":"/fan_tie/u141.png"});
_div_32993284.add(_img_31139322);
var _input_10121536 = new Emp.Label({"id":"_input_10121536","value":"孙      坚","fontSize":"12"});
_div_32993284.add(_input_10121536);
_div_17827374.add(_div_32993284);
var _div_25245600 = new Emp.Panel({"id":"_div_25245600","height":"70","layout":"VBox","width":"100%","paddingLeft":"30"});
var _img_7016999 = new Emp.Image({"id":"_img_7016999","height":"40","width":"40","src":"/fan_tie/u141.png"});
_div_25245600.add(_img_7016999);
var _input_24433977 = new Emp.Label({"id":"_input_24433977","value":"孙      坚","fontSize":"12"});
_div_25245600.add(_input_24433977);
_div_17827374.add(_div_25245600);
_div_786536.add(_div_17827374);
var _div_22718066 = new Emp.Panel({"id":"_div_22718066","height":"70","layout":"HBox","width":"100%"});
var _div_6660539 = new Emp.Panel({"id":"_div_6660539","height":"70","layout":"VBox","width":"100%","paddingLeft":"30"});
var _img_6104640 = new Emp.Image({"id":"_img_6104640","height":"40","width":"40","src":"/fan_tie/u141.png"});
_div_6660539.add(_img_6104640);
var _input_24787742 = new Emp.Label({"id":"_input_24787742","value":"孙      坚","fontSize":"12"});
_div_6660539.add(_input_24787742);
_div_22718066.add(_div_6660539);
var _div_29307233 = new Emp.Panel({"id":"_div_29307233","height":"70","layout":"VBox","width":"100%","paddingLeft":"30"});
var _img_21161346 = new Emp.Image({"id":"_img_21161346","height":"40","width":"40","src":"/fan_tie/u141.png"});
_div_29307233.add(_img_21161346);
var _input_15322346 = new Emp.Label({"id":"_input_15322346","value":"孙      坚","fontSize":"12"});
_div_29307233.add(_input_15322346);
_div_22718066.add(_div_29307233);
var _div_25967890 = new Emp.Panel({"id":"_div_25967890","height":"70","layout":"VBox","width":"100%","paddingLeft":"30"});
var _img_33392456 = new Emp.Image({"id":"_img_33392456","height":"40","width":"40","src":"/fan_tie/u141.png"});
_div_25967890.add(_img_33392456);
var _input_29148022 = new Emp.Label({"id":"_input_29148022","value":"孙      坚","fontSize":"12"});
_div_25967890.add(_input_29148022);
_div_22718066.add(_div_25967890);
var _div_29654264 = new Emp.Panel({"id":"_div_29654264","height":"70","vAlign":"middle","layout":"VBox","hAlign":"center","width":"100%","paddingLeft":"20"});
_div_29654264.addEvent('onClick',addStar);
var _div_15245975 = new Emp.Panel({"id":"_div_15245975","height":"40","marginTop":"-10","width":"40","backgroundImage":"/find/u110.png"});
var _input_17466020 = new Emp.Label({"id":"_input_17466020","height":"40","color":"#FFFFFF","vAlign":"middle","marginTop":"-10","hAlign":"center","width":"40","value":"+","fontSize":"48"});
_div_15245975.add(_input_17466020);
_div_29654264.add(_div_15245975);
var _input_17229766 = new Emp.Label({"id":"_input_17229766","value":"添加明星","fontSize":"12"});
_div_29654264.add(_input_17229766);
_div_22718066.add(_div_29654264);
_div_786536.add(_div_22718066);
template1.add(_div_786536);
_template_1511990.add(template1);
var _div_5942267 = new Emp.Panel({"id":"_div_5942267","height":"100%","backgroundColor":"#fcfcfc","width":"100%"});
var listview = new Emp.ListView({"id":"listview","height":"100%","width":"100%"});


_div_5942267.add(listview);
_div_7482806.add(_div_5942267);
Emp.page.add(_div_7482806);






$jsd('/NewBuyApp/src/search/search_fan.htmlx',132,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);});function addStar() { 
$jsd('/NewBuyApp/src/search/search_fan.htmlx',133,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); $M.page.goTo("/search/add_star.html"); 
} 
$jsd('/NewBuyApp/src/search/search_fan.htmlx',137,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); listview.setTemplate(template1); 
$jsd('/NewBuyApp/src/search/search_fan.htmlx',139,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); $M.page.addEvent("onLoad", function () { 
$jsd('/NewBuyApp/src/search/search_fan.htmlx',140,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); listview.setItems(getItems()); 
$jsd('/NewBuyApp/src/search/search_fan.htmlx',141,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); listview.reloadData(); 
}); 
$jsd('/NewBuyApp/src/search/search_fan.htmlx',144,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); function getItems() { 
$jsd('/NewBuyApp/src/search/search_fan.htmlx',145,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); var items = []; 
$jsd('/NewBuyApp/src/search/search_fan.htmlx',146,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); var temp = {}; 
$jsd('/NewBuyApp/src/search/search_fan.htmlx',147,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); items.push(temp); 
$jsd('/NewBuyApp/src/search/search_fan.htmlx',148,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); return items; 
} 
$jsd('/NewBuyApp/src/search/search_fan.htmlx',151,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); function go_back() { 
$jsd('/NewBuyApp/src/search/search_fan.htmlx',152,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); $M.page.goBack({animation:"slideright"}); 
} 
$jsd('/NewBuyApp/src/search/search_fan.htmlx',155,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); function create_fan() { 
$jsd('/NewBuyApp/src/search/search_fan.htmlx',156,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); $M.page.goTo("/fanCreate/fan_creat.html"); 
} 
 
Emp.page.render();
