var top = this;

var arguments = [];
var window= top;

arguments.callee = {};
var DEBUG_FUNC_INDEX = 1;

var del = ["arguments","top","window","Emp","empBridge","util","DEBUG_FUNC_INDEX","del","BridgeUtil","ResultUtil"];

function jsDebug(){
	
}

jsDebug.debugCommand = null;
jsDebug.currResource = null;
jsDebug.breakpoints = null;
jsDebug.functionStack = [];
jsDebug.currResource = null;
jsDebug.currLine = null;
jsDebug.isExpression = false;

/**
 * 
 */
jsDebug.getErrorStack = function(func) {
	var stack = [];
	while (func) {
		var funcStr = func.toString();
		var funcOffset = funcStr.indexOf(")");
		var funcHead = funcStr.substring(0, funcOffset + 1);
		var args = func.arguments;
		var argArr = [];
		for (var i = 0; i < args.length; i++) {
			argArr.push(args[i]);
		}
		stack.push(funcHead + json2string(argArr, 12));
		func = func.caller;
	}
	return stack.join("\n");
}

/**
 * 
 */
var parseVars = function(line) {
	var varNames = [];
	if (line && line.length > 0) {
		var endOffset = line.indexOf(";");
		if (endOffset > 0) {
			line = line.substring(0, endOffset);
		}
		var lineArr = line.split(",");
		for (var i = 0; i < lineArr.length; i++) {
			var varStr = lineArr[i];
			var varEndOffset = varStr.indexOf("=");
			if (varEndOffset > 0) {
				varNames.push(varStr.substring(0, varEndOffset));
			} else {
				varNames.push(varStr);
			}
		}
	}
	return varNames;
}

/**
 * 
 */
jsDebug.updateStack = function(args, resource, scope, line, evalFunc) {
	if (args && args.callee) {
		var func = args.callee;
		func.__resource = resource;
		func.__line = line;
		func.__evalFunc = evalFunc;
		func.__scope = scope;
		for (var i = jsDebug.functionStack.length - 1; i > -1; i--) {
			if (func == jsDebug.functionStack[i]) {
				jsDebug.functionStack = jsDebug.functionStack.slice(0, i + 1);
				return;
			}
		}
		jsDebug.functionStack.push(func);
	} else {
		jsDebug.functionStack = [];
	}

}

/**
 * 
 */
var getFuncData = function(args, evalFunc) {
	
		var vars = [];
		var func = args.callee;
		if (func) {
			var funcStr = func.toString().replace(/\n/g, "");
			var argStart = funcStr.indexOf("(");
			var argEnd = funcStr.indexOf(")");
			if (argStart > 0 && argEnd > 0) {
				var argStr = funcStr.substring(argStart + 1, argEnd);
				vars = argStr.split(",");
			}
			var nameArr = funcStr.split("var ");
			for (var i = 1; i < nameArr.length; i++) {
				var line = nameArr[i];
				vars = vars.concat(parseVars(line));
			}
		}
		var data = {};
		
		for (var i = 0; i < vars.length; i++) {
			var key = vars[i];
			if (key && key.length > 0) {
				key = key.replace(/\n|\r|\t| /g, "");
				if (/^[A-Za-z0-9_\$]*$/.test(key)) {
					try {
						var result = evalFunc(key);
						if (result == undefined) {
							data[key] = {"value":"undefined","type":"string"};
						} else if (result == null) {
							data[key] = {"value":"null","type":"string"};
						} else {
							data[key] = {"value":evalFunc(key),"type":typeof(evalFunc(key))};
						}
					} catch (e) {

					}
				}
			}
		}
		return data;
}

var getWindowData = function(args,evalFunc){
	var data = {};
	for (var i in top) { 
	    data[i] = {value:top[i],type:typeof(top[i])};
	}
//	return {"x":{"value":top.x,"type":typeof(top.x)}};

	return {"window":{value:top,type:typeof(top)}};
}


/**
 * find if arguments is stepreturn context
 */
jsDebug.isStepReturn = function(args) {
	if (args) {
		var func = args.callee;
		for (var i = jsDebug.functionStack.length - 2; i > -1; i--) {
			if (func == jsDebug.functionStack[i]) {
				return true;
			}
		}
		return false;
	} else {
		return true;
	}
}

/**
 * find if arguments is stepover context
 */
jsDebug.isStepOver = function(args) {
	if (args) {
		var func = args.callee;
		for (var i = jsDebug.functionStack.length - 1; i > -1; i--) {
			if (func == jsDebug.functionStack[i]) {
				return true;
			}
		}
		return false;
	} else {
		return true;
	}
}

/**
 * 
 */
jsDebug.error = function(e, resource, line,callFunc) {
	try {
		var funcStr = callFunc + "";
			if(funcStr.indexOf("function anonymous")>=0){
				funcStr = undefined;
			}
		var postData = {
			"ERROR" : encodeURI(e),
			"COMMAND" : "ERROR",
			"RESOURCE" : resource,
			"LINE" : line,
			"ERRORFUNC":funcStr,
			"ISIE":isIE
		}
		empBridge.debug(obj2string(postData));
	} catch (e) {

	}
}

/**
 * 
 */
jsDebug.stepReturn = function(func) {
	try {
		var data = jsDebug.getFuncData(func.arguments, func.__evalFunc);
		jsDebug.updateStack(func.arguments, func.__resource, func.__scope,
				func.__line, func.__evalFunc);
		if (func.__scope != top) {
			data["this"] = func.__scope;
		}
		var postData = {
			"STACK" : data,
			"COMMAND" : jsDebug.debugCommand,
			"RESOURCE" : func.__resource,
			"LINE" : func.__line
		}
		var res = empBridge.debug(obj2string(postData));
		jsDebug.parseResult(res,func.__evalFunc);
		
	} catch (e) {
	}
}


jsDebug.evalExpression = function(expression, evalFunc) {
	try {
	//	jsDebug.xmlHttp.open("POST", "/jsdebug.debug?" + new Date(), false);
		var postData = {
			"STACK" : {},
			"COMMAND" : "EXPRESSION",
			"EXPRESSION" : expression
		}
		try {
			jsDebug.isExpression = true;
			var ret = evalFunc(expression);
			if(typeof(ret)=="undefined"){
				ret = "undefined";
			}else if(ret==null){
				ret = "null";
			}
			postData["RESULT"] = ret;
		} catch (e) {
			postData["ERROR"] = e;
		}
		jsDebug.isExpression = false;
		var res = empBridge.debug(obj2string(postData));
		jsDebug.parseResult(res,evalFunc);
	} catch (e) {

	}
}

jsDebug.evalValue = function(expression, evalFunc){
	try {
//		jsDebug.xmlHttp.open("POST", "/jsdebug.debug?" + new Date(), false);
		var postData = {
			"STACK" : {},
			"COMMAND" : "VALUE",
			"EXPRESSION" : expression
		}
		try {
			jsDebug.isExpression = true;
			var ret = evalFunc(expression);
			var data = {};
			if(typeof(ret)=="undefined"){
				ret = "undefined";
			}else if(ret==null){
				ret = "null";
			}else{
				for(var prop in ret){
					try{
						if(prop!="postData"&&!contains(del,prop)){
						var value = ret[prop];
						var type = typeof(value);
						if(type=="function"){
							continue;
						}
						var stringValue = "";
						if(value){
							stringValue = value.toString();
						}
						if(value==null){
							stringValue = "null";
							type = "null";
						}else if(value==undefined){
							stringValue = "undefined";
							type = "undefined";
						}
						data[prop] = {"value":stringValue,"type":typeof(value)};
						}
					}catch(e){

					}
				}
			}
			postData["RESULT"] = data;
		} catch (e) {
			postData["ERROR"] = e;
		}
		jsDebug.isExpression = false;
		var submitString = "{}";
		try{
			submitString = json2string(postData);
		}catch(e){

		}
		var res = empBridge.debug(obj2string(postData));
		jsDebug.parseResult(res,evalFunc);
	} catch (e) {
		alert(e);
	}
}

/**
 * 
 */
jsDebug.parseResult = function(result, evalFunc) {
	if (result) {
		if (result.indexOf("{") == 0) {
			try {
				eval("var retObj = " + result);
				if( retObj["COMMAND"]){
					if(retObj["COMMAND"]=="EXPRESSION"){
						jsDebug.evalExpression(retObj["EXPRESSION"], evalFunc);
					}else if(retObj["COMMAND"]=="VALUE"){
						jsDebug.evalValue(retObj["EXPRESSION"], evalFunc);
					}else{
						jsDebug.isExpression = false;
						jsDebug.debugCommand = retObj["COMMAND"];
						if (jsDebug.debugCommand == "BREAKPOINT") {
							jsDebug.breakpoints = retObj["BREAKPOINTS"];
						}
					}
				}
                return retObj;
			} catch (e) {
			}
		} else {
			 alert("Debug error:" + result);
		}
	} else {

	}
}



function json2string(obj, depth) {
	depth = depth || 0;
	if (typeof obj == "function") {
		return "\"function\"";
	}  else if (obj && typeof obj.pop == 'function' && obj instanceof Array) {
		return array2string(obj, depth + 1);
	} else if (typeof obj == "object") {
		return obj2string(obj, depth + 1);
	} else {
		if (typeof obj == "string") {
			return "\"" + obj.replace(/"/gm, "'").replace(/\n|\r/gm, "")
					+ "\"";
		} else if (typeof obj == "number") {
			if (isFinite(obj)) {
				return obj;
			} else {
				return "\"out of number\"";
			}
		} else {
			//return util.jsonToString(obj).replace(/"/gm, "\\\"").replace(/\n|\r/gm, "");
		}
	}
}

function obj2string(obj, depth) {
	depth = depth || 0;
		var arr = [];
		for (var prop in obj) {
			try {
				if (obj.hasOwnProperty(prop) && typeof(obj[prop]) != "function") {
					if (depth < 9) {
						arr.push("\"" + prop + "\":"
								+ json2string(obj[prop], depth + 1));
					} else {
						arr.push("\"" + prop + "\":\"...\"")
					}
				}
			} catch (e) {

			}
		}
		return "{" + arr.join(",") + "}";
}

function complexObj2String(obj){
	var arr = [];
	for (var prop in obj) {
		try {
			if (typeof(obj[prop]) != "function") {
				var value = (obj[prop] + "").replace(/"/gm, "'").replace(/\n|\r/gm, "");
				arr.push("\"" + prop + "\":\""
						+ value + "\"");
			}
		} catch (e) {

		}
	}
	return "{" + arr.join(",") + "}";
}
function array2string(array, depth) {
	depth = depth || 0;
	var arr = [];
	for (var i = 0; i < array.length; i++) {
		arr.push(json2string(array[i], depth + 1));
	}
	return "[" + arr.join(",") + "]";
}

function mergeJsonObject(jsonbject1, jsonbject2)  
{  
    var resultJsonObject={};  
    for(var attr in jsonbject1){  
        resultJsonObject[attr]=jsonbject1[attr];  
    }  
    for(var attr in jsonbject2){  
        resultJsonObject[attr]=jsonbject2[attr];  
    }  

    return resultJsonObject;  
};  

function convertStringToJSON(str){
    var stu = eval('('+str+')');
    return stu;
}

function contains(a,obj){
	var i = a.length;
	while(i--){
		if(a[i]===obj){
			return true;
		}
	}
	return false;
}

jsDebug.getBreakPoint = function(async) {
	var postData = {"COMMAND":"RESUME"}; 
    var res = empBridge.debug(obj2string(postData));
    var retObj = util.stringToJson(res);
    jsDebug.breakpoints = retObj["BREAKPOINTS"];
    return;

	async = async?false:true;
	log(":"+async);
	try{
//	var jsonResume = "{\"COMMAND\":\"RESUME\"}";
		var postData = {"COMMAND":"RESUME"}; 
	if(async){
		var id;
	    log("");
		id = setInterval(jsDebug.getBreakPoint,1000);
	}else{
		log("");
	    var res = empBridge.debug(obj2string(postData));
	    var retObj = util.stringToJson(res);
	    jsDebug.breakpoints = retObj["BREAKPOINTS"];
	}
	} catch(e){
		
	}
}

jsDebug.getBreakPoint();

jsDebug.debug =  function(resource,line,scope,args,evalFunc){
	var isNewStack = false;
	if(args&&args["_funcIndex"]==undefined){
		if(args.callee.caller && args.callee.caller.arguments){
			if(args.callee.caller.arguments["__funcIndex"]==undefined){
				args["__funcIndex"] = DEBUG_FUNC_INDEX++;
				isNewStack = true;
			}else{
				args["__funcIndex"] = args.callee.caller.arguments["__funcIndex"];
			}
		}
	}
	
	if (jsDebug.isExpression) {
		return;
	}
	
	
	try {
		jsDebug.currResource = resource;
		jsDebug.currLine = line;
		if (jsDebug.debugCommand == null) {
			jsDebug.debugCommand = "START";
		}
		if (jsDebug.debugCommand == "TERMINATE") {
			throw "exit";
		}
		if(!jsDebug.breakpoints){
			jsDebug.getBreakPoint(true);
		}
		if (!(jsDebug.breakpoints && jsDebug.breakpoints[resource + line])) {
			if (jsDebug.debugCommand == "STEPRETURN"
					|| jsDebug.debugCommand == "STEPOVER") {
				var parentFunc = jsDebug.functionStack[jsDebug.functionStack.length
						- 2];
				var currFunc = jsDebug.functionStack[jsDebug.functionStack.length
						- 1];
				if(currFunc && (currFunc==args.callee)){
					if(jsDebug.debugCommand == "STEPRETURN"){
						return;
					}
					// do nothing
				}else{
					if (parentFunc && (args.callee.caller == parentFunc)) {
						jsDebug.stepReturn(parentFunc);
						jsDebug.debug(resource, line, scope, args, evalFunc);
						if(jsDebug.debugCommand == "STEPRETURN"){
							return;
						}
					}else{
//						if(args.callee){
//							return;
//						}
					}
				}

			}
			if (jsDebug.debugCommand == "STEPRETURN") {
				if (!jsDebug.isStepReturn(args)) {
					if(args.callee){
						return;
					}
				}
			} else if (jsDebug.debugCommand == "STEPOVER") {
				if (!jsDebug.isStepOver(args)) {
					if(args.callee){
						return;
					}
				}
			} else if (jsDebug.debugCommand == "RESUME") {
				return;
			} else if (jsDebug.debugCommand == "STEPINTO") {

			} else {
				return;
			}
		} else {
			jsDebug.debugCommand = "BREAKPOINT";
		}
		
		var data = getFuncData(args,evalFunc);
		var windowData = getWindowData(args,evalFunc);
		var stack = mergeJsonObject(windowData,data);
		
		jsDebug.updateStack(args, resource, scope, line, evalFunc);
		
		var postData = {
				"STACK" : stack,
				"COMMAND" : jsDebug.debugCommand,
				"RESOURCE" : resource,
				"LINE" : line,
				"NEWSTACK":true
		};
		var postDataStr = json2string(postData,0);
		
	    var res = empBridge.debug(postDataStr);
		
		jsDebug.parseResult(res, evalFunc);
		
	} catch (e) {

	}

};

var $jsd = jsDebug.debug;
Emp.page.setId('_body_454714');
var _template_25526864 = new Emp.Panel({"id":"_template_25526864"});
_template_25526864.__isTemplate=true;
var tem1 = new Emp.Panel({"id":"tem1","height":"100","backgroundColor":"#fcfcfc","vAlign":"middle","hAlign":"center","width":"100%"});
var _div_32997351 = new Emp.Panel({"id":"_div_32997351","borderColor":"#f2f2f2","height":"80","backgroundColor":"#ffffff","marginLeft":"10","borderWidth":"1","marginRight":"10","layout":"VBox","width":"340","cornerRadius":"10"});
var _div_32390042 = new Emp.Panel({"id":"_div_32390042","height":"50","marginLeft":"10","marginTop":"10","layout":"HBox","width":"100%"});
var _div_25895265 = new Emp.Panel({"id":"_div_25895265","height":"30","vAlign":"middle","hAlign":"center","width":"30"});
var _img_20743108 = new Emp.Image({"id":"_img_20743108","height":"30","width":"30","src":"/fan_group/u6.png"});
_div_25895265.add(_img_20743108);
_div_32390042.add(_div_25895265);
var _div_32424108 = new Emp.Panel({"id":"_div_32424108","height":"30","vAlign":"middle","hAlign":"center","width":"30","backgroundImage":"/fan_group/u50.png"});
var _input_28017708 = new Emp.Label({"id":"_input_28017708","vAlign":"middle","hAlign":"center","value":"星"});
_div_32424108.add(_input_28017708);
_div_32390042.add(_div_32424108);
var _div_24289550 = new Emp.Panel({"id":"_div_24289550","height":"100%","marginLeft":"20","width":"100%"});
var normal1title = new Emp.Label({"id":"normal1title","tag":"normal1title","value":"","fontBold":"true"});
_div_24289550.add(normal1title);
_div_32390042.add(_div_24289550);
var _div_26089098 = new Emp.Panel({"id":"_div_26089098","borderColor":"#FFBB00","height":"25","marginLeft":"2","vAlign":"middle","backgroundColor":"#FFBB00","borderWidth":"2","hAlign":"center","width":"40","cornerRadius":"5"});
var normalpoint = new Emp.Label({"id":"normalpoint","color":"#ffffff","tag":"normalpoint","value":""});
_div_26089098.add(normalpoint);
_div_32390042.add(_div_26089098);
_div_32997351.add(_div_32390042);
tem1.add(_div_32997351);
_template_25526864.add(tem1);
var tem2 = new Emp.Panel({"id":"tem2","height":"100","backgroundColor":"#fcfcfc","vAlign":"middle","hAlign":"center","width":"100%"});
var _div_22580339 = new Emp.Panel({"id":"_div_22580339","borderColor":"#f2f2f2","height":"80","backgroundColor":"#ffffff","marginLeft":"10","borderWidth":"1","marginRight":"10","layout":"VBox","width":"340","cornerRadius":"10"});
var _div_7148374 = new Emp.Panel({"id":"_div_7148374","height":"50","marginLeft":"10","marginTop":"10","layout":"HBox","width":"100%"});
var _div_17857152 = new Emp.Panel({"id":"_div_17857152","height":"30","vAlign":"middle","hAlign":"center","width":"30"});
var _img_14317409 = new Emp.Image({"id":"_img_14317409","height":"30","width":"30","src":"/fan_group/u52.png"});
_div_17857152.add(_img_14317409);
_div_7148374.add(_div_17857152);
var _div_13872595 = new Emp.Panel({"id":"_div_13872595","height":"30","vAlign":"middle","hAlign":"center","width":"30","backgroundImage":"/fan_group/u50.png"});
var _input_20514939 = new Emp.Label({"id":"_input_20514939","vAlign":"middle","hAlign":"center","value":"宫"});
_div_13872595.add(_input_20514939);
_div_7148374.add(_div_13872595);
var _div_22796385 = new Emp.Panel({"id":"_div_22796385","height":"100%","marginLeft":"20","layout":"VBox","width":"100%"});
var visittime = new Emp.Label({"id":"visittime","tag":"visittime","value":"","fontBold":"true"});
_div_22796385.add(visittime);
var title = new Emp.Label({"id":"title","tag":"title","value":"","fontBold":"true"});
_div_22796385.add(title);
_div_7148374.add(_div_22796385);
var _div_27283094 = new Emp.Panel({"id":"_div_27283094","height":"30","marginLeft":"2","vAlign":"middle","backgroundColor":"#FF3333","borderWidth":"1","hAlign":"center","width":"70","cornerRadius":"5"});
var point2 = new Emp.Label({"id":"point2","color":"#ffffff","value":"更多行程"});
_div_27283094.add(point2);
_div_7148374.add(_div_27283094);
_div_22580339.add(_div_7148374);
tem2.add(_div_22580339);
_template_25526864.add(tem2);
var tem3 = new Emp.Panel({"id":"tem3","height":"380","backgroundColor":"#fcfcfc","vAlign":"middle","hAlign":"center","width":"100%"});
var _div_19585128 = new Emp.Panel({"id":"_div_19585128","borderColor":"#f2f2f2","height":"330","backgroundColor":"#ffffff","marginLeft":"10","borderWidth":"1","marginRight":"10","layout":"VBox","width":"340","cornerRadius":"10"});
var _div_31838717 = new Emp.Panel({"id":"_div_31838717","height":"50","marginLeft":"10","marginTop":"10","layout":"HBox","width":"100%"});
var _div_20803682 = new Emp.Panel({"id":"_div_20803682","height":"30","vAlign":"middle","hAlign":"center","width":"30"});
var img = new Emp.Image({"id":"img","height":"30","tag":"img","width":"30","src":""});
_div_20803682.add(img);
_div_31838717.add(_div_20803682);
var _div_4664633 = new Emp.Panel({"id":"_div_4664633","height":"100%","marginLeft":"20","layout":"VBox","width":"100%"});
var title = new Emp.Label({"id":"title","tag":"title","value":""});
_div_4664633.add(title);
var isittime = new Emp.Label({"id":"isittime","color":"#DDDDDD","tag":"isittime","value":""});
_div_4664633.add(isittime);
_div_31838717.add(_div_4664633);
var _div_32214217 = new Emp.Panel({"id":"_div_32214217","borderColor":"#FFBB00","height":"25","marginLeft":"2","vAlign":"middle","backgroundColor":"#FFBB00","borderWidth":"2","hAlign":"center","width":"30","cornerRadius":"5"});
var point = new Emp.Label({"id":"point","color":"#ffffff","tag":"point","value":""});
_div_32214217.add(point);
_div_31838717.add(_div_32214217);
_div_19585128.add(_div_31838717);
var _div_16300210 = new Emp.Panel({"id":"_div_16300210","height":"220","width":"100%","backgroundImage":"/fan_group/u34.png"});
var _div_19255153 = new Emp.Panel({"id":"_div_19255153","height":"120","vAlign":"bottom","width":"100%","hAlign":"center"});
var _img_22415464 = new Emp.Image({"id":"_img_22415464","height":"50","width":"50","src":"/fan_group/u36.png"});
_div_19255153.add(_img_22415464);
_div_16300210.add(_div_19255153);
_div_19585128.add(_div_16300210);
tem3.add(_div_19585128);
_template_25526864.add(tem3);
var tem4 = new Emp.Panel({"id":"tem4","height":"160","backgroundColor":"#fcfcfc","vAlign":"middle","hAlign":"center","width":"100%"});
var _div_14093585 = new Emp.Panel({"id":"_div_14093585","borderColor":"#f2f2f2","height":"140","backgroundColor":"#ffffff","marginLeft":"10","borderWidth":"1","marginRight":"10","layout":"VBox","width":"340","cornerRadius":"10"});
var _div_1675481 = new Emp.Panel({"id":"_div_1675481","height":"40","marginLeft":"10","marginTop":"10","layout":"HBox","width":"100%"});
var _div_26085528 = new Emp.Panel({"id":"_div_26085528","height":"30","vAlign":"middle","hAlign":"center","width":"30"});
var img = new Emp.Image({"id":"img","height":"30","tag":"img","width":"30","src":""});
_div_26085528.add(img);
_div_1675481.add(_div_26085528);
var _div_27120242 = new Emp.Panel({"id":"_div_27120242","height":"100%","marginLeft":"20","layout":"VBox","width":"100%"});
var title = new Emp.Label({"id":"title","tag":"title","value":"","fontBold":"true"});
_div_27120242.add(title);
var visittime = new Emp.Label({"id":"visittime","color":"#DDDDDD","tag":"visittime","value":""});
_div_27120242.add(visittime);
_div_1675481.add(_div_27120242);
var _div_24711174 = new Emp.Panel({"id":"_div_24711174","height":"30","vAlign":"middle","backgroundColor":"#00AA55","borderWidth":"1","hAlign":"center","width":"30","cornerRadius":"5"});
var point = new Emp.Label({"id":"point","color":"#ffffff","tag":"point","value":""});
_div_24711174.add(point);
_div_1675481.add(_div_24711174);
_div_14093585.add(_div_1675481);
var _div_24793110 = new Emp.Panel({"id":"_div_24793110","height":"60","hAlign":"center","width":"100%"});
var _div_18870478 = new Emp.Panel({"id":"_div_18870478","height":"100%","vAlign":"middle","layout":"HBox","width":"100%"});
var content = new Emp.Label({"id":"content","tag":"content","value":"","fontBold":"true"});
_div_18870478.add(content);
_div_24793110.add(_div_18870478);
_div_14093585.add(_div_24793110);
var _div_2228863 = new Emp.Panel({"id":"_div_2228863","height":"1px","backgroundColor":"#f2f2f2","width":"100%"});
_div_14093585.add(_div_2228863);
tem4.add(_div_14093585);
_template_25526864.add(tem4);
var tem5 = new Emp.Panel({"id":"tem5","height":"250","backgroundColor":"#fcfcfc","vAlign":"middle","hAlign":"center","width":"100%"});
var _div_7014211 = new Emp.Panel({"id":"_div_7014211","borderColor":"#f2f2f2","height":"200","backgroundColor":"#ffffff","marginLeft":"10","borderWidth":"1","marginRight":"10","layout":"VBox","width":"340","cornerRadius":"10"});
var _div_11135745 = new Emp.Panel({"id":"_div_11135745","height":"50","marginLeft":"10","marginTop":"10","layout":"HBox","width":"100%"});
var _div_25407179 = new Emp.Panel({"id":"_div_25407179","height":"30","vAlign":"middle","hAlign":"center","width":"30"});
var img = new Emp.Image({"id":"img","height":"30","tag":"img","width":"30","src":""});
_div_25407179.add(img);
_div_11135745.add(_div_25407179);
var _div_16595878 = new Emp.Panel({"id":"_div_16595878","height":"100%","marginLeft":"20","layout":"VBox","width":"100%"});
var title = new Emp.Label({"id":"title","tag":"title","value":""});
_div_16595878.add(title);
var visittime = new Emp.Label({"id":"visittime","color":"#999999","tag":"visittime","value":"","fontSize":"12"});
_div_16595878.add(visittime);
_div_11135745.add(_div_16595878);
var _div_10287426 = new Emp.Panel({"id":"_div_10287426","height":"30","vAlign":"middle","backgroundColor":"#000000","borderWidth":"1","hAlign":"center","width":"30","cornerRadius":"5"});
var point = new Emp.Label({"id":"point","color":"#ffffff","tag":"point","value":""});
_div_10287426.add(point);
_div_11135745.add(_div_10287426);
_div_7014211.add(_div_11135745);
var _div_4816581 = new Emp.Panel({"id":"_div_4816581","height":"100","layout":"HBox","width":"100%","backgroundImage":"/fan_group/u93.png"});
var _div_18999263 = new Emp.Panel({"id":"_div_18999263","width":"100%"});
var fensiphoto1 = new Emp.Image({"id":"fensiphoto1","height":"100%","tag":"fensiphoto1","width":"100%","src":""});
_div_18999263.add(fensiphoto1);
_div_4816581.add(_div_18999263);
var _div_25836663 = new Emp.Panel({"id":"_div_25836663","width":"100%","paddingLeft":"10"});
var fensiphoto2 = new Emp.Image({"id":"fensiphoto2","height":"100%","tag":"fensiphoto2","width":"100%","src":""});
_div_25836663.add(fensiphoto2);
_div_4816581.add(_div_25836663);
var _div_14802354 = new Emp.Panel({"id":"_div_14802354","width":"100%","paddingLeft":"10"});
var fensiphoto3 = new Emp.Image({"id":"fensiphoto3","height":"100%","tag":"fensiphoto3","width":"100%","src":""});
_div_14802354.add(fensiphoto3);
_div_4816581.add(_div_14802354);
var _div_10274368 = new Emp.Panel({"id":"_div_10274368","width":"100%","paddingLeft":"10"});
var fensiphoto4 = new Emp.Image({"id":"fensiphoto4","height":"100%","tag":"fensiphoto4","width":"100%","src":""});
_div_10274368.add(fensiphoto4);
_div_4816581.add(_div_10274368);
_div_7014211.add(_div_4816581);
tem5.add(_div_7014211);
_template_25526864.add(tem5);
var tem6 = new Emp.Panel({"id":"tem6","height":"340","backgroundColor":"#fcfcfc","vAlign":"middle","hAlign":"center","width":"100%"});
var _div_23812722 = new Emp.Panel({"id":"_div_23812722","borderColor":"#f2f2f2","height":"330","backgroundColor":"#ffffff","marginLeft":"10","borderWidth":"1","marginRight":"10","layout":"VBox","width":"340","cornerRadius":"10"});
var _div_16712840 = new Emp.Panel({"id":"_div_16712840","height":"50","marginLeft":"10","marginTop":"10","layout":"HBox","width":"100%"});
var _div_8563818 = new Emp.Panel({"id":"_div_8563818","height":"30","vAlign":"middle","hAlign":"center","width":"30"});
var _img_17144263 = new Emp.Image({"id":"_img_17144263","height":"30","width":"30","src":"/fan_group/u173.png"});
_div_8563818.add(_img_17144263);
_div_16712840.add(_div_8563818);
var _div_11726043 = new Emp.Panel({"id":"_div_11726043","height":"100%","marginLeft":"20","layout":"VBox","width":"100%"});
var _input_14431696 = new Emp.Label({"id":"_input_14431696","tag":"title","value":"用一句话证明你是二坚的忠实粉丝"});
_div_11726043.add(_input_14431696);
var _input_22093419 = new Emp.Label({"id":"_input_22093419","color":"#999999","value":"04-10 23:35","fontSize":"12"});
_div_11726043.add(_input_22093419);
_div_16712840.add(_div_11726043);
var _div_10755621 = new Emp.Panel({"id":"_div_10755621","height":"30","vAlign":"middle","hAlign":"center","width":"30","backgroundImage":"/fan_group/u32.png"});
var _input_12009652 = new Emp.Label({"id":"_input_12009652","vAlign":"middle","hAlign":"center","value":"17"});
_div_10755621.add(_input_12009652);
_div_16712840.add(_div_10755621);
_div_23812722.add(_div_16712840);
var _div_16319868 = new Emp.Panel({"id":"_div_16319868","height":"200","hAlign":"center","width":"100%"});
var _div_14101788 = new Emp.Panel({"id":"_div_14101788","height":"100%","vAlign":"middle","hAlign":"center","layout":"VBox","width":"100%"});
var _img_13810940 = new Emp.Image({"id":"_img_13810940","height":"100%","width":"100%","src":"/fan_group/u44.png"});
_div_14101788.add(_img_13810940);
var _input_24476462 = new Emp.Label({"id":"_input_24476462","value":"有一天，考试成绩下来了，孙小坚和妈妈说：”妈……","fontBold":"true"});
_div_14101788.add(_input_24476462);
_div_16319868.add(_div_14101788);
_div_23812722.add(_div_16319868);
tem6.add(_div_23812722);
_template_25526864.add(tem6);



  
	  
Emp.page.render();
