var top = this;

var arguments = [];
var window= top;

arguments.callee = {};
var DEBUG_FUNC_INDEX = 1;

var del = ["arguments","top","window","Emp","empBridge","util","DEBUG_FUNC_INDEX","del","BridgeUtil","ResultUtil"];

function jsDebug(){
	
}

jsDebug.debugCommand = null;
jsDebug.currResource = null;
jsDebug.breakpoints = null;
jsDebug.functionStack = [];
jsDebug.currResource = null;
jsDebug.currLine = null;
jsDebug.isExpression = false;

/**
 * 
 */
jsDebug.getErrorStack = function(func) {
	var stack = [];
	while (func) {
		var funcStr = func.toString();
		var funcOffset = funcStr.indexOf(")");
		var funcHead = funcStr.substring(0, funcOffset + 1);
		var args = func.arguments;
		var argArr = [];
		for (var i = 0; i < args.length; i++) {
			argArr.push(args[i]);
		}
		stack.push(funcHead + json2string(argArr, 12));
		func = func.caller;
	}
	return stack.join("\n");
}

/**
 * 
 */
var parseVars = function(line) {
	var varNames = [];
	if (line && line.length > 0) {
		var endOffset = line.indexOf(";");
		if (endOffset > 0) {
			line = line.substring(0, endOffset);
		}
		var lineArr = line.split(",");
		for (var i = 0; i < lineArr.length; i++) {
			var varStr = lineArr[i];
			var varEndOffset = varStr.indexOf("=");
			if (varEndOffset > 0) {
				varNames.push(varStr.substring(0, varEndOffset));
			} else {
				varNames.push(varStr);
			}
		}
	}
	return varNames;
}

/**
 * 
 */
jsDebug.updateStack = function(args, resource, scope, line, evalFunc) {
	if (args && args.callee) {
		var func = args.callee;
		func.__resource = resource;
		func.__line = line;
		func.__evalFunc = evalFunc;
		func.__scope = scope;
		for (var i = jsDebug.functionStack.length - 1; i > -1; i--) {
			if (func == jsDebug.functionStack[i]) {
				jsDebug.functionStack = jsDebug.functionStack.slice(0, i + 1);
				return;
			}
		}
		jsDebug.functionStack.push(func);
	} else {
		jsDebug.functionStack = [];
	}

}

/**
 * 
 */
var getFuncData = function(args, evalFunc) {
	
		var vars = [];
		var func = args.callee;
		if (func) {
			var funcStr = func.toString().replace(/\n/g, "");
			var argStart = funcStr.indexOf("(");
			var argEnd = funcStr.indexOf(")");
			if (argStart > 0 && argEnd > 0) {
				var argStr = funcStr.substring(argStart + 1, argEnd);
				vars = argStr.split(",");
			}
			var nameArr = funcStr.split("var ");
			for (var i = 1; i < nameArr.length; i++) {
				var line = nameArr[i];
				vars = vars.concat(parseVars(line));
			}
		}
		var data = {};
		
		for (var i = 0; i < vars.length; i++) {
			var key = vars[i];
			if (key && key.length > 0) {
				key = key.replace(/\n|\r|\t| /g, "");
				if (/^[A-Za-z0-9_\$]*$/.test(key)) {
					try {
						var result = evalFunc(key);
						if (result == undefined) {
							data[key] = {"value":"undefined","type":"string"};
						} else if (result == null) {
							data[key] = {"value":"null","type":"string"};
						} else {
							data[key] = {"value":evalFunc(key),"type":typeof(evalFunc(key))};
						}
					} catch (e) {

					}
				}
			}
		}
		return data;
}

var getWindowData = function(args,evalFunc){
	var data = {};
	for (var i in top) { 
	    data[i] = {value:top[i],type:typeof(top[i])};
	}
//	return {"x":{"value":top.x,"type":typeof(top.x)}};

	return {"window":{value:top,type:typeof(top)}};
}


/**
 * find if arguments is stepreturn context
 */
jsDebug.isStepReturn = function(args) {
	if (args) {
		var func = args.callee;
		for (var i = jsDebug.functionStack.length - 2; i > -1; i--) {
			if (func == jsDebug.functionStack[i]) {
				return true;
			}
		}
		return false;
	} else {
		return true;
	}
}

/**
 * find if arguments is stepover context
 */
jsDebug.isStepOver = function(args) {
	if (args) {
		var func = args.callee;
		for (var i = jsDebug.functionStack.length - 1; i > -1; i--) {
			if (func == jsDebug.functionStack[i]) {
				return true;
			}
		}
		return false;
	} else {
		return true;
	}
}

/**
 * 
 */
jsDebug.error = function(e, resource, line,callFunc) {
	try {
		var funcStr = callFunc + "";
			if(funcStr.indexOf("function anonymous")>=0){
				funcStr = undefined;
			}
		var postData = {
			"ERROR" : encodeURI(e),
			"COMMAND" : "ERROR",
			"RESOURCE" : resource,
			"LINE" : line,
			"ERRORFUNC":funcStr,
			"ISIE":isIE
		}
		empBridge.debug(obj2string(postData));
	} catch (e) {

	}
}

/**
 * 
 */
jsDebug.stepReturn = function(func) {
	try {
		var data = jsDebug.getFuncData(func.arguments, func.__evalFunc);
		jsDebug.updateStack(func.arguments, func.__resource, func.__scope,
				func.__line, func.__evalFunc);
		if (func.__scope != top) {
			data["this"] = func.__scope;
		}
		var postData = {
			"STACK" : data,
			"COMMAND" : jsDebug.debugCommand,
			"RESOURCE" : func.__resource,
			"LINE" : func.__line
		}
		var res = empBridge.debug(obj2string(postData));
		jsDebug.parseResult(res,func.__evalFunc);
		
	} catch (e) {
	}
}


jsDebug.evalExpression = function(expression, evalFunc) {
	try {
	//	jsDebug.xmlHttp.open("POST", "/jsdebug.debug?" + new Date(), false);
		var postData = {
			"STACK" : {},
			"COMMAND" : "EXPRESSION",
			"EXPRESSION" : expression
		}
		try {
			jsDebug.isExpression = true;
			var ret = evalFunc(expression);
			if(typeof(ret)=="undefined"){
				ret = "undefined";
			}else if(ret==null){
				ret = "null";
			}
			postData["RESULT"] = ret;
		} catch (e) {
			postData["ERROR"] = e;
		}
		jsDebug.isExpression = false;
		var res = empBridge.debug(obj2string(postData));
		jsDebug.parseResult(res,evalFunc);
	} catch (e) {

	}
}

jsDebug.evalValue = function(expression, evalFunc){
	try {
//		jsDebug.xmlHttp.open("POST", "/jsdebug.debug?" + new Date(), false);
		var postData = {
			"STACK" : {},
			"COMMAND" : "VALUE",
			"EXPRESSION" : expression
		}
		try {
			jsDebug.isExpression = true;
			var ret = evalFunc(expression);
			var data = {};
			if(typeof(ret)=="undefined"){
				ret = "undefined";
			}else if(ret==null){
				ret = "null";
			}else{
				for(var prop in ret){
					try{
						if(prop!="postData"&&!contains(del,prop)){
						var value = ret[prop];
						var type = typeof(value);
						if(type=="function"){
							continue;
						}
						var stringValue = "";
						if(value){
							stringValue = value.toString();
						}
						if(value==null){
							stringValue = "null";
							type = "null";
						}else if(value==undefined){
							stringValue = "undefined";
							type = "undefined";
						}
						data[prop] = {"value":stringValue,"type":typeof(value)};
						}
					}catch(e){

					}
				}
			}
			postData["RESULT"] = data;
		} catch (e) {
			postData["ERROR"] = e;
		}
		jsDebug.isExpression = false;
		var submitString = "{}";
		try{
			submitString = json2string(postData);
		}catch(e){

		}
		var res = empBridge.debug(obj2string(postData));
		jsDebug.parseResult(res,evalFunc);
	} catch (e) {
		alert(e);
	}
}

/**
 * 
 */
jsDebug.parseResult = function(result, evalFunc) {
	if (result) {
		if (result.indexOf("{") == 0) {
			try {
				eval("var retObj = " + result);
				if( retObj["COMMAND"]){
					if(retObj["COMMAND"]=="EXPRESSION"){
						jsDebug.evalExpression(retObj["EXPRESSION"], evalFunc);
					}else if(retObj["COMMAND"]=="VALUE"){
						jsDebug.evalValue(retObj["EXPRESSION"], evalFunc);
					}else{
						jsDebug.isExpression = false;
						jsDebug.debugCommand = retObj["COMMAND"];
						if (jsDebug.debugCommand == "BREAKPOINT") {
							jsDebug.breakpoints = retObj["BREAKPOINTS"];
						}
					}
				}
                return retObj;
			} catch (e) {
			}
		} else {
			 alert("Debug error:" + result);
		}
	} else {

	}
}



function json2string(obj, depth) {
	depth = depth || 0;
	if (typeof obj == "function") {
		return "\"function\"";
	}  else if (obj && typeof obj.pop == 'function' && obj instanceof Array) {
		return array2string(obj, depth + 1);
	} else if (typeof obj == "object") {
		return obj2string(obj, depth + 1);
	} else {
		if (typeof obj == "string") {
			return "\"" + obj.replace(/"/gm, "'").replace(/\n|\r/gm, "")
					+ "\"";
		} else if (typeof obj == "number") {
			if (isFinite(obj)) {
				return obj;
			} else {
				return "\"out of number\"";
			}
		} else {
			//return util.jsonToString(obj).replace(/"/gm, "\\\"").replace(/\n|\r/gm, "");
		}
	}
}

function obj2string(obj, depth) {
	depth = depth || 0;
		var arr = [];
		for (var prop in obj) {
			try {
				if (obj.hasOwnProperty(prop) && typeof(obj[prop]) != "function") {
					if (depth < 9) {
						arr.push("\"" + prop + "\":"
								+ json2string(obj[prop], depth + 1));
					} else {
						arr.push("\"" + prop + "\":\"...\"")
					}
				}
			} catch (e) {

			}
		}
		return "{" + arr.join(",") + "}";
}

function complexObj2String(obj){
	var arr = [];
	for (var prop in obj) {
		try {
			if (typeof(obj[prop]) != "function") {
				var value = (obj[prop] + "").replace(/"/gm, "'").replace(/\n|\r/gm, "");
				arr.push("\"" + prop + "\":\""
						+ value + "\"");
			}
		} catch (e) {

		}
	}
	return "{" + arr.join(",") + "}";
}
function array2string(array, depth) {
	depth = depth || 0;
	var arr = [];
	for (var i = 0; i < array.length; i++) {
		arr.push(json2string(array[i], depth + 1));
	}
	return "[" + arr.join(",") + "]";
}

function mergeJsonObject(jsonbject1, jsonbject2)  
{  
    var resultJsonObject={};  
    for(var attr in jsonbject1){  
        resultJsonObject[attr]=jsonbject1[attr];  
    }  
    for(var attr in jsonbject2){  
        resultJsonObject[attr]=jsonbject2[attr];  
    }  

    return resultJsonObject;  
};  

function convertStringToJSON(str){
    var stu = eval('('+str+')');
    return stu;
}

function contains(a,obj){
	var i = a.length;
	while(i--){
		if(a[i]===obj){
			return true;
		}
	}
	return false;
}

jsDebug.getBreakPoint = function(async) {
	var postData = {"COMMAND":"RESUME"}; 
    var res = empBridge.debug(obj2string(postData));
    var retObj = util.stringToJson(res);
    jsDebug.breakpoints = retObj["BREAKPOINTS"];
    return;

	async = async?false:true;
	log(":"+async);
	try{
//	var jsonResume = "{\"COMMAND\":\"RESUME\"}";
		var postData = {"COMMAND":"RESUME"}; 
	if(async){
		var id;
	    log("");
		id = setInterval(jsDebug.getBreakPoint,1000);
	}else{
		log("");
	    var res = empBridge.debug(obj2string(postData));
	    var retObj = util.stringToJson(res);
	    jsDebug.breakpoints = retObj["BREAKPOINTS"];
	}
	} catch(e){
		
	}
}

jsDebug.getBreakPoint();

jsDebug.debug =  function(resource,line,scope,args,evalFunc){
	var isNewStack = false;
	if(args&&args["_funcIndex"]==undefined){
		if(args.callee.caller && args.callee.caller.arguments){
			if(args.callee.caller.arguments["__funcIndex"]==undefined){
				args["__funcIndex"] = DEBUG_FUNC_INDEX++;
				isNewStack = true;
			}else{
				args["__funcIndex"] = args.callee.caller.arguments["__funcIndex"];
			}
		}
	}
	
	if (jsDebug.isExpression) {
		return;
	}
	
	
	try {
		jsDebug.currResource = resource;
		jsDebug.currLine = line;
		if (jsDebug.debugCommand == null) {
			jsDebug.debugCommand = "START";
		}
		if (jsDebug.debugCommand == "TERMINATE") {
			throw "exit";
		}
		if(!jsDebug.breakpoints){
			jsDebug.getBreakPoint(true);
		}
		if (!(jsDebug.breakpoints && jsDebug.breakpoints[resource + line])) {
			if (jsDebug.debugCommand == "STEPRETURN"
					|| jsDebug.debugCommand == "STEPOVER") {
				var parentFunc = jsDebug.functionStack[jsDebug.functionStack.length
						- 2];
				var currFunc = jsDebug.functionStack[jsDebug.functionStack.length
						- 1];
				if(currFunc && (currFunc==args.callee)){
					if(jsDebug.debugCommand == "STEPRETURN"){
						return;
					}
					// do nothing
				}else{
					if (parentFunc && (args.callee.caller == parentFunc)) {
						jsDebug.stepReturn(parentFunc);
						jsDebug.debug(resource, line, scope, args, evalFunc);
						if(jsDebug.debugCommand == "STEPRETURN"){
							return;
						}
					}else{
//						if(args.callee){
//							return;
//						}
					}
				}

			}
			if (jsDebug.debugCommand == "STEPRETURN") {
				if (!jsDebug.isStepReturn(args)) {
					if(args.callee){
						return;
					}
				}
			} else if (jsDebug.debugCommand == "STEPOVER") {
				if (!jsDebug.isStepOver(args)) {
					if(args.callee){
						return;
					}
				}
			} else if (jsDebug.debugCommand == "RESUME") {
				return;
			} else if (jsDebug.debugCommand == "STEPINTO") {

			} else {
				return;
			}
		} else {
			jsDebug.debugCommand = "BREAKPOINT";
		}
		
		var data = getFuncData(args,evalFunc);
		var windowData = getWindowData(args,evalFunc);
		var stack = mergeJsonObject(windowData,data);
		
		jsDebug.updateStack(args, resource, scope, line, evalFunc);
		
		var postData = {
				"STACK" : stack,
				"COMMAND" : jsDebug.debugCommand,
				"RESOURCE" : resource,
				"LINE" : line,
				"NEWSTACK":true
		};
		var postDataStr = json2string(postData,0);
		
	    var res = empBridge.debug(postDataStr);
		
		jsDebug.parseResult(res, evalFunc);
		
	} catch (e) {

	}

};

var $jsd = jsDebug.debug;
Emp.page.setId('_body_3975300');
var _template_5997483 = new Emp.Panel({"id":"_template_5997483"});
_template_5997483.__isTemplate=true;
var tem1 = new Emp.Panel({"id":"tem1","height":"150","backgroundColor":"#f0f0f0","vAlign":"middle","hAlign":"center","width":"100%","layout":"VBox"});
var _div_14559035 = new Emp.Panel({"id":"_div_14559035","height":"5","width":"100%"});
tem1.add(_div_14559035);
var _div_14794507 = new Emp.Panel({"id":"_div_14794507","borderColor":"#ffffff","height":"150","paddingTop":"10","backgroundColor":"#ffffff","marginLeft":"5","borderWidth":"1","marginRight":"5","layout":"VBox","width":"100%","cornerRadius":"8","paddingBottom":"10"});
var _div_12940508 = new Emp.Panel({"id":"_div_12940508","height":"40","marginLeft":"10","layout":"HBox","width":"100%"});
var _div_24848729 = new Emp.Panel({"id":"_div_24848729","height":"40","vAlign":"middle","hAlign":"center","width":"40"});
var creatorPhoto = new Emp.Image({"id":"creatorPhoto","height":"40","tag":"creatorPhoto","width":"40","src":"","circleClip":"true"});
_div_24848729.add(creatorPhoto);
_div_12940508.add(_div_24848729);
var _div_23976802 = new Emp.Panel({"id":"_div_23976802","height":"40","vAlign":"middle","marginLeft":"20","layout":"VBox","width":"200"});
var _div_22946704 = new Emp.Panel({"id":"_div_22946704","height":"40"});
var creatorName = new Emp.Label({"id":"creatorName","color":"#999999","tag":"creatorName","width":"110","value":"","fontSize":"14","singleLine":"true"});
_div_22946704.add(creatorName);
var _div_9155104 = new Emp.Panel({"id":"_div_9155104","borderColor":"#ff9999","height":"16","vAlign":"bottom","marginTop":"3","marginLeft":"10","backgroundColor":"#ff9999","borderWidth":"1","hAlign":"center","width":"30","cornerRadius":"2"});
var creatorLevel = new Emp.Label({"id":"creatorLevel","color":"#ffffff","tag":"creatorLevel","value":"","fontSize":"12"});
_div_9155104.add(creatorLevel);
_div_22946704.add(_div_9155104);
var topicCreatorPic = new Emp.Image({"id":"topicCreatorPic","height":"16","marginLeft":"2","marginTop":"3","tag":"topicCreatorPic","width":"30","src":""});
_div_22946704.add(topicCreatorPic);
_div_23976802.add(_div_22946704);
var topicTime = new Emp.Label({"id":"topicTime","height":"-2","color":"#cccccc","tag":"topicTime","width":"100","value":"1","fontSize":"12"});
_div_23976802.add(topicTime);
_div_12940508.add(_div_23976802);
var _div_10991353 = new Emp.Panel({"id":"_div_10991353","height":"25","vAlign":"top","borderWidth":"0","hAlign":"right","marginRight":"10","width":"100%"});
var _input_14531776 = new Emp.Label({"id":"_input_14531776","color":"#cccccc","value":"#","fontSize":"14"});
_div_10991353.add(_input_14531776);
var itemReplySort = new Emp.Label({"id":"itemReplySort","color":"#cccccc","tag":"itemReplySort","value":"","fontSize":"12"});
_div_10991353.add(itemReplySort);
_div_12940508.add(_div_10991353);
_div_14794507.add(_div_12940508);
var _div_17051031 = new Emp.Panel({"id":"_div_17051031","marginBottom":"10","height":"70","marginLeft":"10","marginTop":"5","marginRight":"10","layout":"VBox","width":"100%"});
var itemReplyContent = new Emp.Label({"id":"itemReplyContent","color":"#333333","tag":"itemReplyContent","width":"100%","maxWidth":"280","value":"","fontSize":"14","singleLine":"false"});
_div_17051031.add(itemReplyContent);
_div_14794507.add(_div_17051031);
var _div_24561856 = new Emp.Panel({"id":"_div_24561856","height":"1px","backgroundColor":"#f2f2f2","width":"100%"});
_div_14794507.add(_div_24561856);
var _div_24495984 = new Emp.Panel({"id":"_div_24495984","paddingTop":"3","height":"25","vAlign":"middle","marginLeft":"10","hAlign":"right","width":"100%","paddingRight":"10"});
var _input_24686788 = new Emp.Label({"id":"_input_24686788","tag":"tie_type","value":"","display":"false"});
_div_24495984.add(_input_24686788);
var _input_10298630 = new Emp.Label({"id":"_input_10298630","tag":"tie_id","value":"","display":"false"});
_div_24495984.add(_input_10298630);
var _div_15330253 = new Emp.Panel({"id":"_div_15330253","height":"25","widht":"100%","hAlign":"right"});
var _img_24646262 = new Emp.Image({"id":"_img_24646262","height":"20","tag":"fabulousClick","width":"20","src":"/icon_128/iconfont-zan.png"});
_div_15330253.add(_img_24646262);
var _input_276505 = new Emp.Label({"id":"_input_276505","height":"20","color":"#cccccc","vAlign":"middle","tag":"fabulousCnt","value":"0","fontSize":"12"});
_div_15330253.add(_input_276505);
var _img_16711072 = new Emp.Image({"id":"_img_16711072","height":"20","marginLeft":"20","tag":"rewardClick","width":"20","src":"/icon_128/iconfont-aword.png"});
_div_15330253.add(_img_16711072);
var _input_12399273 = new Emp.Label({"id":"_input_12399273","height":"20","color":"#cccccc","vAlign":"middle","tag":"rewardCnt","value":"0","fontSize":"12"});
_div_15330253.add(_input_12399273);
var _img_21559738 = new Emp.Image({"id":"_img_21559738","height":"20","tag":"replyClick","width":"20","display":"false","src":"/icon_128/iconfont-message.png"});
_div_15330253.add(_img_21559738);
var _input_213445 = new Emp.Label({"id":"_input_213445","height":"20","color":"#cccccc","vAlign":"middle","tag":"replyCnt","value":"0","display":"false","fontSize":"12"});
_div_15330253.add(_input_213445);
var _img_30600587 = new Emp.Image({"id":"_img_30600587","height":"20","marginLeft":"20","tag":"share","width":"20","src":"/icon_128/iconfont-more.png"});
_div_15330253.add(_img_30600587);
_div_24495984.add(_div_15330253);
_div_14794507.add(_div_24495984);
tem1.add(_div_14794507);
_template_5997483.add(tem1);



$jsd('/NewBuyApp/src/template/fan_groupbook_template.htmlx',53,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);});function goshare() { 
$jsd('/NewBuyApp/src/template/fan_groupbook_template.htmlx',54,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); $M.page.goTo("/fanGroup/fan_photofabu.html"); 
} 
$jsd('/NewBuyApp/src/template/fan_groupbook_template.htmlx',57,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); function openVideo(data) { 
} 
$jsd('/NewBuyApp/src/template/fan_groupbook_template.htmlx',60,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); topicCreatorPic.setAttrAdapter([{value:"null", display:"false"}, {value:"", display:"false"}, {value:"other", display:"true"}]); 
$jsd('/NewBuyApp/src/template/fan_groupbook_template.htmlx',81,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); /* t_img1.setAttrAdapter([{value : 'null',display : "false"},{value : '',display : "false"}, {value : "other",display : "true"}]);  
	t_img2.setAttrAdapter([{value : 'null',display : "false"},{value : '',display : "false"}, {value : "other",display : "true"}]);  
	t_img3.setAttrAdapter([{value : 'null',display : "false"},{value : '',display : "false"}, {value : "other",display : "true"}]);  
	t_img4.setAttrAdapter([{value : 'null',display : "false"},{value : '',display : "false"}, {value : "other",display : "true"}]);  
	t_img5.setAttrAdapter([{value : 'null',display : "false"},{value : '',display : "false"}, {value : "other",display : "true"}]);  
	t_img6.setAttrAdapter([{value : 'null',display : "false"},{value : '',display : "false"}, {value : "other",display : "true"}]);  
	t_img7.setAttrAdapter([{value : 'null',display : "false"},{value : '',display : "false"}, {value : "other",display : "true"}]);  
	t_img8.setAttrAdapter([{value : 'null',display : "false"},{value : '',display : "false"}, {value : "other",display : "true"}]);  
	t_img9.setAttrAdapter([{value : 'null',display : "false"},{value : '',display : "false"}, {value : "other",display : "true"}]);  
	t_img10.setAttrAdapter([{value : 'null',display : "false"},{value : '',display : "false"}, {value : "other",display : "true"}]);  
	   
	r_img1.setAttrAdapter([{value : 'false',display : "false"},{value : '',display : "false"}, {value : "other",display : "true"}]);  
	r_img2.setAttrAdapter([{value : 'false',display : "false"},{value : '',display : "false"}, {value : "other",display : "true"}]);  
	r_img3.setAttrAdapter([{value : 'false',display : "false"},{value : '',display : "false"}, {value : "other",display : "true"}]);  
	r_img4.setAttrAdapter([{value : 'false',display : "false"},{value : '',display : "false"}, {value : "other",display : "true"}]);  
	r_img5.setAttrAdapter([{value : 'false',display : "false"},{value : '',display : "false"}, {value : "other",display : "true"}]);  
	r_img6.setAttrAdapter([{value : 'false',display : "false"},{value : '',display : "false"}, {value : "other",display : "true"}]);  
	r_img7.setAttrAdapter([{value : 'false',display : "false"},{value : '',display : "false"}, {value : "other",display : "true"}]);  
	r_img8.setAttrAdapter([{value : 'false',display : "false"},{value : '',display : "false"}, {value : "other",display : "true"}]);  
	r_img9.setAttrAdapter([{value : 'false',display : "false"},{value : '',display : "false"}, {value : "other",display : "true"}]);  
	*/ 
Emp.page.render();
