var top = this;

var arguments = [];
var window= top;

arguments.callee = {};
var DEBUG_FUNC_INDEX = 1;

var del = ["arguments","top","window","Emp","empBridge","util","DEBUG_FUNC_INDEX","del","BridgeUtil","ResultUtil"];

function jsDebug(){
	
}

jsDebug.debugCommand = null;
jsDebug.currResource = null;
jsDebug.breakpoints = null;
jsDebug.functionStack = [];
jsDebug.currResource = null;
jsDebug.currLine = null;
jsDebug.isExpression = false;

/**
 * 
 */
jsDebug.getErrorStack = function(func) {
	var stack = [];
	while (func) {
		var funcStr = func.toString();
		var funcOffset = funcStr.indexOf(")");
		var funcHead = funcStr.substring(0, funcOffset + 1);
		var args = func.arguments;
		var argArr = [];
		for (var i = 0; i < args.length; i++) {
			argArr.push(args[i]);
		}
		stack.push(funcHead + json2string(argArr, 12));
		func = func.caller;
	}
	return stack.join("\n");
}

/**
 * 
 */
var parseVars = function(line) {
	var varNames = [];
	if (line && line.length > 0) {
		var endOffset = line.indexOf(";");
		if (endOffset > 0) {
			line = line.substring(0, endOffset);
		}
		var lineArr = line.split(",");
		for (var i = 0; i < lineArr.length; i++) {
			var varStr = lineArr[i];
			var varEndOffset = varStr.indexOf("=");
			if (varEndOffset > 0) {
				varNames.push(varStr.substring(0, varEndOffset));
			} else {
				varNames.push(varStr);
			}
		}
	}
	return varNames;
}

/**
 * 
 */
jsDebug.updateStack = function(args, resource, scope, line, evalFunc) {
	if (args && args.callee) {
		var func = args.callee;
		func.__resource = resource;
		func.__line = line;
		func.__evalFunc = evalFunc;
		func.__scope = scope;
		for (var i = jsDebug.functionStack.length - 1; i > -1; i--) {
			if (func == jsDebug.functionStack[i]) {
				jsDebug.functionStack = jsDebug.functionStack.slice(0, i + 1);
				return;
			}
		}
		jsDebug.functionStack.push(func);
	} else {
		jsDebug.functionStack = [];
	}

}

/**
 * 
 */
var getFuncData = function(args, evalFunc) {
	
		var vars = [];
		var func = args.callee;
		if (func) {
			var funcStr = func.toString().replace(/\n/g, "");
			var argStart = funcStr.indexOf("(");
			var argEnd = funcStr.indexOf(")");
			if (argStart > 0 && argEnd > 0) {
				var argStr = funcStr.substring(argStart + 1, argEnd);
				vars = argStr.split(",");
			}
			var nameArr = funcStr.split("var ");
			for (var i = 1; i < nameArr.length; i++) {
				var line = nameArr[i];
				vars = vars.concat(parseVars(line));
			}
		}
		var data = {};
		
		for (var i = 0; i < vars.length; i++) {
			var key = vars[i];
			if (key && key.length > 0) {
				key = key.replace(/\n|\r|\t| /g, "");
				if (/^[A-Za-z0-9_\$]*$/.test(key)) {
					try {
						var result = evalFunc(key);
						if (result == undefined) {
							data[key] = {"value":"undefined","type":"string"};
						} else if (result == null) {
							data[key] = {"value":"null","type":"string"};
						} else {
							data[key] = {"value":evalFunc(key),"type":typeof(evalFunc(key))};
						}
					} catch (e) {

					}
				}
			}
		}
		return data;
}

var getWindowData = function(args,evalFunc){
	var data = {};
	for (var i in top) { 
	    data[i] = {value:top[i],type:typeof(top[i])};
	}
//	return {"x":{"value":top.x,"type":typeof(top.x)}};

	return {"window":{value:top,type:typeof(top)}};
}


/**
 * find if arguments is stepreturn context
 */
jsDebug.isStepReturn = function(args) {
	if (args) {
		var func = args.callee;
		for (var i = jsDebug.functionStack.length - 2; i > -1; i--) {
			if (func == jsDebug.functionStack[i]) {
				return true;
			}
		}
		return false;
	} else {
		return true;
	}
}

/**
 * find if arguments is stepover context
 */
jsDebug.isStepOver = function(args) {
	if (args) {
		var func = args.callee;
		for (var i = jsDebug.functionStack.length - 1; i > -1; i--) {
			if (func == jsDebug.functionStack[i]) {
				return true;
			}
		}
		return false;
	} else {
		return true;
	}
}

/**
 * 
 */
jsDebug.error = function(e, resource, line,callFunc) {
	try {
		var funcStr = callFunc + "";
			if(funcStr.indexOf("function anonymous")>=0){
				funcStr = undefined;
			}
		var postData = {
			"ERROR" : encodeURI(e),
			"COMMAND" : "ERROR",
			"RESOURCE" : resource,
			"LINE" : line,
			"ERRORFUNC":funcStr,
			"ISIE":isIE
		}
		empBridge.debug(obj2string(postData));
	} catch (e) {

	}
}

/**
 * 
 */
jsDebug.stepReturn = function(func) {
	try {
		var data = jsDebug.getFuncData(func.arguments, func.__evalFunc);
		jsDebug.updateStack(func.arguments, func.__resource, func.__scope,
				func.__line, func.__evalFunc);
		if (func.__scope != top) {
			data["this"] = func.__scope;
		}
		var postData = {
			"STACK" : data,
			"COMMAND" : jsDebug.debugCommand,
			"RESOURCE" : func.__resource,
			"LINE" : func.__line
		}
		var res = empBridge.debug(obj2string(postData));
		jsDebug.parseResult(res,func.__evalFunc);
		
	} catch (e) {
	}
}


jsDebug.evalExpression = function(expression, evalFunc) {
	try {
	//	jsDebug.xmlHttp.open("POST", "/jsdebug.debug?" + new Date(), false);
		var postData = {
			"STACK" : {},
			"COMMAND" : "EXPRESSION",
			"EXPRESSION" : expression
		}
		try {
			jsDebug.isExpression = true;
			var ret = evalFunc(expression);
			if(typeof(ret)=="undefined"){
				ret = "undefined";
			}else if(ret==null){
				ret = "null";
			}
			postData["RESULT"] = ret;
		} catch (e) {
			postData["ERROR"] = e;
		}
		jsDebug.isExpression = false;
		var res = empBridge.debug(obj2string(postData));
		jsDebug.parseResult(res,evalFunc);
	} catch (e) {

	}
}

jsDebug.evalValue = function(expression, evalFunc){
	try {
//		jsDebug.xmlHttp.open("POST", "/jsdebug.debug?" + new Date(), false);
		var postData = {
			"STACK" : {},
			"COMMAND" : "VALUE",
			"EXPRESSION" : expression
		}
		try {
			jsDebug.isExpression = true;
			var ret = evalFunc(expression);
			var data = {};
			if(typeof(ret)=="undefined"){
				ret = "undefined";
			}else if(ret==null){
				ret = "null";
			}else{
				for(var prop in ret){
					try{
						if(prop!="postData"&&!contains(del,prop)){
						var value = ret[prop];
						var type = typeof(value);
						if(type=="function"){
							continue;
						}
						var stringValue = "";
						if(value){
							stringValue = value.toString();
						}
						if(value==null){
							stringValue = "null";
							type = "null";
						}else if(value==undefined){
							stringValue = "undefined";
							type = "undefined";
						}
						data[prop] = {"value":stringValue,"type":typeof(value)};
						}
					}catch(e){

					}
				}
			}
			postData["RESULT"] = data;
		} catch (e) {
			postData["ERROR"] = e;
		}
		jsDebug.isExpression = false;
		var submitString = "{}";
		try{
			submitString = json2string(postData);
		}catch(e){

		}
		var res = empBridge.debug(obj2string(postData));
		jsDebug.parseResult(res,evalFunc);
	} catch (e) {
		alert(e);
	}
}

/**
 * 
 */
jsDebug.parseResult = function(result, evalFunc) {
	if (result) {
		if (result.indexOf("{") == 0) {
			try {
				eval("var retObj = " + result);
				if( retObj["COMMAND"]){
					if(retObj["COMMAND"]=="EXPRESSION"){
						jsDebug.evalExpression(retObj["EXPRESSION"], evalFunc);
					}else if(retObj["COMMAND"]=="VALUE"){
						jsDebug.evalValue(retObj["EXPRESSION"], evalFunc);
					}else{
						jsDebug.isExpression = false;
						jsDebug.debugCommand = retObj["COMMAND"];
						if (jsDebug.debugCommand == "BREAKPOINT") {
							jsDebug.breakpoints = retObj["BREAKPOINTS"];
						}
					}
				}
                return retObj;
			} catch (e) {
			}
		} else {
			 alert("Debug error:" + result);
		}
	} else {

	}
}



function json2string(obj, depth) {
	depth = depth || 0;
	if (typeof obj == "function") {
		return "\"function\"";
	}  else if (obj && typeof obj.pop == 'function' && obj instanceof Array) {
		return array2string(obj, depth + 1);
	} else if (typeof obj == "object") {
		return obj2string(obj, depth + 1);
	} else {
		if (typeof obj == "string") {
			return "\"" + obj.replace(/"/gm, "'").replace(/\n|\r/gm, "")
					+ "\"";
		} else if (typeof obj == "number") {
			if (isFinite(obj)) {
				return obj;
			} else {
				return "\"out of number\"";
			}
		} else {
			//return util.jsonToString(obj).replace(/"/gm, "\\\"").replace(/\n|\r/gm, "");
		}
	}
}

function obj2string(obj, depth) {
	depth = depth || 0;
		var arr = [];
		for (var prop in obj) {
			try {
				if (obj.hasOwnProperty(prop) && typeof(obj[prop]) != "function") {
					if (depth < 9) {
						arr.push("\"" + prop + "\":"
								+ json2string(obj[prop], depth + 1));
					} else {
						arr.push("\"" + prop + "\":\"...\"")
					}
				}
			} catch (e) {

			}
		}
		return "{" + arr.join(",") + "}";
}

function complexObj2String(obj){
	var arr = [];
	for (var prop in obj) {
		try {
			if (typeof(obj[prop]) != "function") {
				var value = (obj[prop] + "").replace(/"/gm, "'").replace(/\n|\r/gm, "");
				arr.push("\"" + prop + "\":\""
						+ value + "\"");
			}
		} catch (e) {

		}
	}
	return "{" + arr.join(",") + "}";
}
function array2string(array, depth) {
	depth = depth || 0;
	var arr = [];
	for (var i = 0; i < array.length; i++) {
		arr.push(json2string(array[i], depth + 1));
	}
	return "[" + arr.join(",") + "]";
}

function mergeJsonObject(jsonbject1, jsonbject2)  
{  
    var resultJsonObject={};  
    for(var attr in jsonbject1){  
        resultJsonObject[attr]=jsonbject1[attr];  
    }  
    for(var attr in jsonbject2){  
        resultJsonObject[attr]=jsonbject2[attr];  
    }  

    return resultJsonObject;  
};  

function convertStringToJSON(str){
    var stu = eval('('+str+')');
    return stu;
}

function contains(a,obj){
	var i = a.length;
	while(i--){
		if(a[i]===obj){
			return true;
		}
	}
	return false;
}

jsDebug.getBreakPoint = function(async) {
	var postData = {"COMMAND":"RESUME"}; 
    var res = empBridge.debug(obj2string(postData));
    var retObj = util.stringToJson(res);
    jsDebug.breakpoints = retObj["BREAKPOINTS"];
    return;

	async = async?false:true;
	log(":"+async);
	try{
//	var jsonResume = "{\"COMMAND\":\"RESUME\"}";
		var postData = {"COMMAND":"RESUME"}; 
	if(async){
		var id;
	    log("");
		id = setInterval(jsDebug.getBreakPoint,1000);
	}else{
		log("");
	    var res = empBridge.debug(obj2string(postData));
	    var retObj = util.stringToJson(res);
	    jsDebug.breakpoints = retObj["BREAKPOINTS"];
	}
	} catch(e){
		
	}
}

jsDebug.getBreakPoint();

jsDebug.debug =  function(resource,line,scope,args,evalFunc){
	var isNewStack = false;
	if(args&&args["_funcIndex"]==undefined){
		if(args.callee.caller && args.callee.caller.arguments){
			if(args.callee.caller.arguments["__funcIndex"]==undefined){
				args["__funcIndex"] = DEBUG_FUNC_INDEX++;
				isNewStack = true;
			}else{
				args["__funcIndex"] = args.callee.caller.arguments["__funcIndex"];
			}
		}
	}
	
	if (jsDebug.isExpression) {
		return;
	}
	
	
	try {
		jsDebug.currResource = resource;
		jsDebug.currLine = line;
		if (jsDebug.debugCommand == null) {
			jsDebug.debugCommand = "START";
		}
		if (jsDebug.debugCommand == "TERMINATE") {
			throw "exit";
		}
		if(!jsDebug.breakpoints){
			jsDebug.getBreakPoint(true);
		}
		if (!(jsDebug.breakpoints && jsDebug.breakpoints[resource + line])) {
			if (jsDebug.debugCommand == "STEPRETURN"
					|| jsDebug.debugCommand == "STEPOVER") {
				var parentFunc = jsDebug.functionStack[jsDebug.functionStack.length
						- 2];
				var currFunc = jsDebug.functionStack[jsDebug.functionStack.length
						- 1];
				if(currFunc && (currFunc==args.callee)){
					if(jsDebug.debugCommand == "STEPRETURN"){
						return;
					}
					// do nothing
				}else{
					if (parentFunc && (args.callee.caller == parentFunc)) {
						jsDebug.stepReturn(parentFunc);
						jsDebug.debug(resource, line, scope, args, evalFunc);
						if(jsDebug.debugCommand == "STEPRETURN"){
							return;
						}
					}else{
//						if(args.callee){
//							return;
//						}
					}
				}

			}
			if (jsDebug.debugCommand == "STEPRETURN") {
				if (!jsDebug.isStepReturn(args)) {
					if(args.callee){
						return;
					}
				}
			} else if (jsDebug.debugCommand == "STEPOVER") {
				if (!jsDebug.isStepOver(args)) {
					if(args.callee){
						return;
					}
				}
			} else if (jsDebug.debugCommand == "RESUME") {
				return;
			} else if (jsDebug.debugCommand == "STEPINTO") {

			} else {
				return;
			}
		} else {
			jsDebug.debugCommand = "BREAKPOINT";
		}
		
		var data = getFuncData(args,evalFunc);
		var windowData = getWindowData(args,evalFunc);
		var stack = mergeJsonObject(windowData,data);
		
		jsDebug.updateStack(args, resource, scope, line, evalFunc);
		
		var postData = {
				"STACK" : stack,
				"COMMAND" : jsDebug.debugCommand,
				"RESOURCE" : resource,
				"LINE" : line,
				"NEWSTACK":true
		};
		var postDataStr = json2string(postData,0);
		
	    var res = empBridge.debug(postDataStr);
		
		jsDebug.parseResult(res, evalFunc);
		
	} catch (e) {

	}

};

var $jsd = jsDebug.debug;
Emp.page.setId('_body_29014819');
var _template_5514196 = new Emp.Panel({"id":"_template_5514196"});
_template_5514196.__isTemplate=true;
var tem1 = new Emp.Panel({"id":"tem1","height":"340","backgroundColor":"#fcfcfc","vAlign":"middle","hAlign":"center","width":"100%"});
var _div_22221940 = new Emp.Panel({"id":"_div_22221940","borderColor":"#f2f2f2","height":"330","backgroundColor":"#ffffff","marginLeft":"10","borderWidth":"1","marginRight":"10","layout":"VBox","width":"340","cornerRadius":"10"});
var _div_23333613 = new Emp.Panel({"id":"_div_23333613","height":"50","marginLeft":"10","marginTop":"10","layout":"HBox","width":"100%"});
var _div_17388402 = new Emp.Panel({"id":"_div_17388402","height":"30","vAlign":"middle","hAlign":"center","width":"30"});
var _img_21335291 = new Emp.Image({"id":"_img_21335291","height":"30","width":"30","src":"/fan_photo/u45.png"});
_div_17388402.add(_img_21335291);
_div_23333613.add(_div_17388402);
var _div_19586944 = new Emp.Panel({"id":"_div_19586944","height":"100%","marginLeft":"20","layout":"VBox","width":"100%"});
var _input_28792929 = new Emp.Label({"id":"_input_28792929","color":"#999999","value":"阿晨","fontSize":"12"});
_div_19586944.add(_input_28792929);
var _input_23184732 = new Emp.Label({"id":"_input_23184732","color":"#999999","value":"45分钟前","fontSize":"12"});
_div_19586944.add(_input_23184732);
_div_23333613.add(_div_19586944);
_div_22221940.add(_div_23333613);
var _div_12359681 = new Emp.Panel({"id":"_div_12359681","height":"200","hAlign":"center","width":"100%"});
var _div_27231148 = new Emp.Panel({"id":"_div_27231148","height":"100%","vAlign":"middle","hAlign":"center","layout":"VBox","width":"100%"});
var _img_17483006 = new Emp.Image({"id":"_img_17483006","height":"100%","width":"100%","src":"/fan_photo/u16.jpg"});
_div_27231148.add(_img_17483006);
_div_12359681.add(_div_27231148);
_div_22221940.add(_div_12359681);
var _div_32084887 = new Emp.Panel({"id":"_div_32084887","height":"1px","backgroundColor":"#f2f2f2","width":"100%"});
_div_22221940.add(_div_32084887);
var _div_30235004 = new Emp.Panel({"id":"_div_30235004","height":"100%","vAlign":"middle","marginLeft":"10","width":"100%"});
var _input_2757877 = new Emp.Label({"id":"_input_2757877","color":"#999999","width":"120","value":"孙坚全国见面会","fontSize":"12"});
_div_30235004.add(_input_2757877);
var _img_5850317 = new Emp.Image({"id":"_img_5850317","height":"20","marginLeft":"80","width":"20","src":"/fan_tie/u22.png"});
_div_30235004.add(_img_5850317);
var _input_21790953 = new Emp.Label({"id":"_input_21790953","color":"#999999","value":"9","fontSize":"12"});
_div_30235004.add(_input_21790953);
var _img_8279590 = new Emp.Image({"id":"_img_8279590","height":"20","marginLeft":"20","width":"20","src":"/fan_tie/u24.png"});
_div_30235004.add(_img_8279590);
var _input_19683613 = new Emp.Label({"id":"_input_19683613","color":"#999999","value":"0","fontSize":"12"});
_div_30235004.add(_input_19683613);
var _img_13531463 = new Emp.Image({"id":"_img_13531463","height":"20","marginLeft":"20","width":"20","src":"/fan_tie/u26.png"});
_div_30235004.add(_img_13531463);
var _input_29488883 = new Emp.Label({"id":"_input_29488883","color":"#999999","value":"6","fontSize":"12"});
_div_30235004.add(_input_29488883);
var _img_31164425 = new Emp.Image({"id":"_img_31164425","height":"20","marginLeft":"20","tag":"share","width":"20","src":"/fan_tie/u34.png"});
_div_30235004.add(_img_31164425);
_div_22221940.add(_div_30235004);
var _div_20149932 = new Emp.Panel({"id":"_div_20149932","height":"100%","marginLeft":"10","width":"100%"});
var _img_11159047 = new Emp.Image({"id":"_img_11159047","height":"30","tag":"t_img1","width":"30","src":"/fan_myfantie/u104.png"});
_div_20149932.add(_img_11159047);
var _img_2496641 = new Emp.Image({"id":"_img_2496641","height":"30","tag":"t_img2","width":"30","src":"/fan_myfantie/u110.jpg"});
_div_20149932.add(_img_2496641);
var _img_20425421 = new Emp.Image({"id":"_img_20425421","height":"30","tag":"t_img3","width":"30","src":"/fan_myfantie/u106.png"});
_div_20149932.add(_img_20425421);
var _img_28212334 = new Emp.Image({"id":"_img_28212334","height":"30","tag":"t_img4","width":"30","src":"/fan_myfantie/u108.jpg"});
_div_20149932.add(_img_28212334);
var _img_23335022 = new Emp.Image({"id":"_img_23335022","height":"30","tag":"t_img5","width":"30","src":""});
_div_20149932.add(_img_23335022);
var _img_22188662 = new Emp.Image({"id":"_img_22188662","height":"30","tag":"t_img6","width":"30","src":""});
_div_20149932.add(_img_22188662);
var _img_8650063 = new Emp.Image({"id":"_img_8650063","height":"30","tag":"t_img7","width":"30","src":""});
_div_20149932.add(_img_8650063);
var _img_24941572 = new Emp.Image({"id":"_img_24941572","height":"30","tag":"t_img8","width":"30","src":""});
_div_20149932.add(_img_24941572);
var _img_9402231 = new Emp.Image({"id":"_img_9402231","height":"30","tag":"t_img9","width":"30","src":""});
_div_20149932.add(_img_9402231);
var _img_16648366 = new Emp.Image({"id":"_img_16648366","height":"30","tag":"t_img10","width":"30","src":""});
_div_20149932.add(_img_16648366);
_div_22221940.add(_div_20149932);
tem1.add(_div_22221940);
_template_5514196.add(tem1);
var tem2 = new Emp.Panel({"id":"tem2","height":"200","backgroundColor":"#fcfcfc","vAlign":"middle","hAlign":"center","width":"100%"});
var _div_15375840 = new Emp.Panel({"id":"_div_15375840","borderColor":"#f2f2f2","height":"350","backgroundColor":"#ffffff","marginLeft":"10","borderWidth":"1","marginRight":"10","layout":"VBox","width":"340","cornerRadius":"10"});
var _div_2752724 = new Emp.Panel({"id":"_div_2752724","height":"50","marginLeft":"10","marginTop":"10","layout":"VBox","width":"100%"});
var _div_27038124 = new Emp.Panel({"id":"_div_27038124","height":"100%","layout":"HBox","width":"100%"});
var _div_23355299 = new Emp.Panel({"id":"_div_23355299","height":"30","vAlign":"middle","hAlign":"center","width":"30"});
var _img_12765202 = new Emp.Image({"id":"_img_12765202","height":"30","width":"30","src":"/fan_myfantie/u104.png"});
_div_23355299.add(_img_12765202);
_div_27038124.add(_div_23355299);
var _div_7060218 = new Emp.Panel({"id":"_div_7060218","height":"100%","marginLeft":"20","layout":"HBox","width":"100%"});
var _input_22526430 = new Emp.Label({"id":"_input_22526430","color":"#999999","value":"孙坚正宫娘娘","fontSize":"12"});
_div_7060218.add(_input_22526430);
var _div_1373624 = new Emp.Panel({"id":"_div_1373624","height":"20","hAlign":"right","width":"30","backgroundImage":"/fan_photo/u55.png"});
var _input_1056978 = new Emp.Label({"id":"_input_1056978","color":"#999999","value":"Lv1","fontSize":"12"});
_div_1373624.add(_input_1056978);
_div_7060218.add(_div_1373624);
var _div_21428648 = new Emp.Panel({"id":"_div_21428648","height":"100%","width":"100%","hAlight":"right"});
var _input_24445253 = new Emp.Label({"id":"_input_24445253","color":"#999999","value":"                              15分钟前","fontSize":"12"});
_div_21428648.add(_input_24445253);
_div_7060218.add(_div_21428648);
_div_27038124.add(_div_7060218);
_div_2752724.add(_div_27038124);
var _div_21947495 = new Emp.Panel({"id":"_div_21947495","height":"100%","width":"100%"});
var _div_7686064 = new Emp.Panel({"id":"_div_7686064","height":"100%","width":"100%","hAlight":"right"});
var _input_5157271 = new Emp.Label({"id":"_input_5157271","color":"#999999","value":" 亲，你在哪里拍到的啊~~羡慕嫉妒恨啊，学生党表示苦逼!","fontSize":"12"});
_div_7686064.add(_input_5157271);
_div_21947495.add(_div_7686064);
_div_2752724.add(_div_21947495);
_div_15375840.add(_div_2752724);
var _div_30925945 = new Emp.Panel({"id":"_div_30925945","height":"50","marginLeft":"10","marginTop":"10","layout":"VBox","width":"100%"});
var _div_5726611 = new Emp.Panel({"id":"_div_5726611","height":"100%","layout":"HBox","width":"100%"});
var _div_13048549 = new Emp.Panel({"id":"_div_13048549","height":"30","vAlign":"middle","hAlign":"center","width":"30"});
var _img_5461657 = new Emp.Image({"id":"_img_5461657","height":"30","width":"30","src":"/fan_myfantie/u110.jpg"});
_div_13048549.add(_img_5461657);
_div_5726611.add(_div_13048549);
var _div_9046829 = new Emp.Panel({"id":"_div_9046829","height":"100%","marginLeft":"20","layout":"HBox","width":"100%"});
var _input_14940226 = new Emp.Label({"id":"_input_14940226","color":"#999999","value":"DUAI鹿","fontSize":"12"});
_div_9046829.add(_input_14940226);
var _div_12566994 = new Emp.Panel({"id":"_div_12566994","height":"20","hAlign":"right","width":"30","backgroundImage":"/fan_photo/u55.png"});
var _input_21877187 = new Emp.Label({"id":"_input_21877187","color":"#999999","value":"Lv3","fontSize":"12"});
_div_12566994.add(_input_21877187);
_div_9046829.add(_div_12566994);
var _div_424365 = new Emp.Panel({"id":"_div_424365","height":"100%","width":"100%","hAlight":"right"});
var _input_18764812 = new Emp.Label({"id":"_input_18764812","color":"#999999","value":"                              16分钟前","fontSize":"12"});
_div_424365.add(_input_18764812);
_div_9046829.add(_div_424365);
_div_5726611.add(_div_9046829);
_div_30925945.add(_div_5726611);
var _div_2098779 = new Emp.Panel({"id":"_div_2098779","height":"100%","width":"100%"});
var _div_8640513 = new Emp.Panel({"id":"_div_8640513","height":"100%","width":"100%","hAlight":"right"});
var _input_31086612 = new Emp.Label({"id":"_input_31086612","color":"#999999","value":" FIGHTING~^_^","fontSize":"12"});
_div_8640513.add(_input_31086612);
_div_2098779.add(_div_8640513);
_div_30925945.add(_div_2098779);
_div_15375840.add(_div_30925945);
var _div_30182412 = new Emp.Panel({"id":"_div_30182412","height":"50","marginLeft":"10","marginTop":"10","layout":"VBox","width":"100%"});
var _div_33458579 = new Emp.Panel({"id":"_div_33458579","height":"100%","layout":"HBox","width":"100%"});
var _div_33177876 = new Emp.Panel({"id":"_div_33177876","height":"30","vAlign":"middle","hAlign":"center","width":"30"});
var _img_13015680 = new Emp.Image({"id":"_img_13015680","height":"30","width":"30","src":"/fan_myfantie/u106.png"});
_div_33177876.add(_img_13015680);
_div_33458579.add(_div_33177876);
var _div_13191916 = new Emp.Panel({"id":"_div_13191916","height":"100%","marginLeft":"20","layout":"HBox","width":"100%"});
var _input_22407969 = new Emp.Label({"id":"_input_22407969","color":"#999999","value":"DearLU","fontSize":"12"});
_div_13191916.add(_input_22407969);
var _div_29353488 = new Emp.Panel({"id":"_div_29353488","height":"20","hAlign":"right","width":"30","backgroundImage":"/fan_photo/u55.png"});
var _input_26821660 = new Emp.Label({"id":"_input_26821660","color":"#999999","value":"Lv3","fontSize":"12"});
_div_29353488.add(_input_26821660);
_div_13191916.add(_div_29353488);
var _div_21400341 = new Emp.Panel({"id":"_div_21400341","height":"100%","width":"100%","hAlight":"right"});
var _input_5589977 = new Emp.Label({"id":"_input_5589977","color":"#999999","value":"                              16分钟前","fontSize":"12"});
_div_21400341.add(_input_5589977);
_div_13191916.add(_div_21400341);
_div_33458579.add(_div_13191916);
_div_30182412.add(_div_33458579);
var _div_31902233 = new Emp.Panel({"id":"_div_31902233","height":"100%","width":"100%"});
var _div_14561877 = new Emp.Panel({"id":"_div_14561877","height":"100%","width":"100%","hAlight":"right"});
var _input_29009245 = new Emp.Label({"id":"_input_29009245","color":"#999999","value":"楼主，快更新","fontSize":"12"});
_div_14561877.add(_input_29009245);
_div_31902233.add(_div_14561877);
_div_30182412.add(_div_31902233);
_div_15375840.add(_div_30182412);
var _div_12495536 = new Emp.Panel({"id":"_div_12495536","height":"1px","backgroundColor":"#f2f2f2","width":"100%"});
_div_15375840.add(_div_12495536);
tem2.add(_div_15375840);
_template_5514196.add(tem2);



	  
  
Emp.page.render();
