var top = this;

var arguments = [];
var window= top;

arguments.callee = {};
var DEBUG_FUNC_INDEX = 1;

var del = ["arguments","top","window","Emp","empBridge","util","DEBUG_FUNC_INDEX","del","BridgeUtil","ResultUtil"];

function jsDebug(){
	
}

jsDebug.debugCommand = null;
jsDebug.currResource = null;
jsDebug.breakpoints = null;
jsDebug.functionStack = [];
jsDebug.currResource = null;
jsDebug.currLine = null;
jsDebug.isExpression = false;

/**
 * 
 */
jsDebug.getErrorStack = function(func) {
	var stack = [];
	while (func) {
		var funcStr = func.toString();
		var funcOffset = funcStr.indexOf(")");
		var funcHead = funcStr.substring(0, funcOffset + 1);
		var args = func.arguments;
		var argArr = [];
		for (var i = 0; i < args.length; i++) {
			argArr.push(args[i]);
		}
		stack.push(funcHead + json2string(argArr, 12));
		func = func.caller;
	}
	return stack.join("\n");
}

/**
 * 
 */
var parseVars = function(line) {
	var varNames = [];
	if (line && line.length > 0) {
		var endOffset = line.indexOf(";");
		if (endOffset > 0) {
			line = line.substring(0, endOffset);
		}
		var lineArr = line.split(",");
		for (var i = 0; i < lineArr.length; i++) {
			var varStr = lineArr[i];
			var varEndOffset = varStr.indexOf("=");
			if (varEndOffset > 0) {
				varNames.push(varStr.substring(0, varEndOffset));
			} else {
				varNames.push(varStr);
			}
		}
	}
	return varNames;
}

/**
 * 
 */
jsDebug.updateStack = function(args, resource, scope, line, evalFunc) {
	if (args && args.callee) {
		var func = args.callee;
		func.__resource = resource;
		func.__line = line;
		func.__evalFunc = evalFunc;
		func.__scope = scope;
		for (var i = jsDebug.functionStack.length - 1; i > -1; i--) {
			if (func == jsDebug.functionStack[i]) {
				jsDebug.functionStack = jsDebug.functionStack.slice(0, i + 1);
				return;
			}
		}
		jsDebug.functionStack.push(func);
	} else {
		jsDebug.functionStack = [];
	}

}

/**
 * 
 */
var getFuncData = function(args, evalFunc) {
	
		var vars = [];
		var func = args.callee;
		if (func) {
			var funcStr = func.toString().replace(/\n/g, "");
			var argStart = funcStr.indexOf("(");
			var argEnd = funcStr.indexOf(")");
			if (argStart > 0 && argEnd > 0) {
				var argStr = funcStr.substring(argStart + 1, argEnd);
				vars = argStr.split(",");
			}
			var nameArr = funcStr.split("var ");
			for (var i = 1; i < nameArr.length; i++) {
				var line = nameArr[i];
				vars = vars.concat(parseVars(line));
			}
		}
		var data = {};
		
		for (var i = 0; i < vars.length; i++) {
			var key = vars[i];
			if (key && key.length > 0) {
				key = key.replace(/\n|\r|\t| /g, "");
				if (/^[A-Za-z0-9_\$]*$/.test(key)) {
					try {
						var result = evalFunc(key);
						if (result == undefined) {
							data[key] = {"value":"undefined","type":"string"};
						} else if (result == null) {
							data[key] = {"value":"null","type":"string"};
						} else {
							data[key] = {"value":evalFunc(key),"type":typeof(evalFunc(key))};
						}
					} catch (e) {

					}
				}
			}
		}
		return data;
}

var getWindowData = function(args,evalFunc){
	var data = {};
	for (var i in top) { 
	    data[i] = {value:top[i],type:typeof(top[i])};
	}
//	return {"x":{"value":top.x,"type":typeof(top.x)}};

	return {"window":{value:top,type:typeof(top)}};
}


/**
 * find if arguments is stepreturn context
 */
jsDebug.isStepReturn = function(args) {
	if (args) {
		var func = args.callee;
		for (var i = jsDebug.functionStack.length - 2; i > -1; i--) {
			if (func == jsDebug.functionStack[i]) {
				return true;
			}
		}
		return false;
	} else {
		return true;
	}
}

/**
 * find if arguments is stepover context
 */
jsDebug.isStepOver = function(args) {
	if (args) {
		var func = args.callee;
		for (var i = jsDebug.functionStack.length - 1; i > -1; i--) {
			if (func == jsDebug.functionStack[i]) {
				return true;
			}
		}
		return false;
	} else {
		return true;
	}
}

/**
 * 
 */
jsDebug.error = function(e, resource, line,callFunc) {
	try {
		var funcStr = callFunc + "";
			if(funcStr.indexOf("function anonymous")>=0){
				funcStr = undefined;
			}
		var postData = {
			"ERROR" : encodeURI(e),
			"COMMAND" : "ERROR",
			"RESOURCE" : resource,
			"LINE" : line,
			"ERRORFUNC":funcStr,
			"ISIE":isIE
		}
		empBridge.debug(obj2string(postData));
	} catch (e) {

	}
}

/**
 * 
 */
jsDebug.stepReturn = function(func) {
	try {
		var data = jsDebug.getFuncData(func.arguments, func.__evalFunc);
		jsDebug.updateStack(func.arguments, func.__resource, func.__scope,
				func.__line, func.__evalFunc);
		if (func.__scope != top) {
			data["this"] = func.__scope;
		}
		var postData = {
			"STACK" : data,
			"COMMAND" : jsDebug.debugCommand,
			"RESOURCE" : func.__resource,
			"LINE" : func.__line
		}
		var res = empBridge.debug(obj2string(postData));
		jsDebug.parseResult(res,func.__evalFunc);
		
	} catch (e) {
	}
}


jsDebug.evalExpression = function(expression, evalFunc) {
	try {
	//	jsDebug.xmlHttp.open("POST", "/jsdebug.debug?" + new Date(), false);
		var postData = {
			"STACK" : {},
			"COMMAND" : "EXPRESSION",
			"EXPRESSION" : expression
		}
		try {
			jsDebug.isExpression = true;
			var ret = evalFunc(expression);
			if(typeof(ret)=="undefined"){
				ret = "undefined";
			}else if(ret==null){
				ret = "null";
			}
			postData["RESULT"] = ret;
		} catch (e) {
			postData["ERROR"] = e;
		}
		jsDebug.isExpression = false;
		var res = empBridge.debug(obj2string(postData));
		jsDebug.parseResult(res,evalFunc);
	} catch (e) {

	}
}

jsDebug.evalValue = function(expression, evalFunc){
	try {
//		jsDebug.xmlHttp.open("POST", "/jsdebug.debug?" + new Date(), false);
		var postData = {
			"STACK" : {},
			"COMMAND" : "VALUE",
			"EXPRESSION" : expression
		}
		try {
			jsDebug.isExpression = true;
			var ret = evalFunc(expression);
			var data = {};
			if(typeof(ret)=="undefined"){
				ret = "undefined";
			}else if(ret==null){
				ret = "null";
			}else{
				for(var prop in ret){
					try{
						if(prop!="postData"&&!contains(del,prop)){
						var value = ret[prop];
						var type = typeof(value);
						if(type=="function"){
							continue;
						}
						var stringValue = "";
						if(value){
							stringValue = value.toString();
						}
						if(value==null){
							stringValue = "null";
							type = "null";
						}else if(value==undefined){
							stringValue = "undefined";
							type = "undefined";
						}
						data[prop] = {"value":stringValue,"type":typeof(value)};
						}
					}catch(e){

					}
				}
			}
			postData["RESULT"] = data;
		} catch (e) {
			postData["ERROR"] = e;
		}
		jsDebug.isExpression = false;
		var submitString = "{}";
		try{
			submitString = json2string(postData);
		}catch(e){

		}
		var res = empBridge.debug(obj2string(postData));
		jsDebug.parseResult(res,evalFunc);
	} catch (e) {
		alert(e);
	}
}

/**
 * 
 */
jsDebug.parseResult = function(result, evalFunc) {
	if (result) {
		if (result.indexOf("{") == 0) {
			try {
				eval("var retObj = " + result);
				if( retObj["COMMAND"]){
					if(retObj["COMMAND"]=="EXPRESSION"){
						jsDebug.evalExpression(retObj["EXPRESSION"], evalFunc);
					}else if(retObj["COMMAND"]=="VALUE"){
						jsDebug.evalValue(retObj["EXPRESSION"], evalFunc);
					}else{
						jsDebug.isExpression = false;
						jsDebug.debugCommand = retObj["COMMAND"];
						if (jsDebug.debugCommand == "BREAKPOINT") {
							jsDebug.breakpoints = retObj["BREAKPOINTS"];
						}
					}
				}
                return retObj;
			} catch (e) {
			}
		} else {
			 alert("Debug error:" + result);
		}
	} else {

	}
}



function json2string(obj, depth) {
	depth = depth || 0;
	if (typeof obj == "function") {
		return "\"function\"";
	}  else if (obj && typeof obj.pop == 'function' && obj instanceof Array) {
		return array2string(obj, depth + 1);
	} else if (typeof obj == "object") {
		return obj2string(obj, depth + 1);
	} else {
		if (typeof obj == "string") {
			return "\"" + obj.replace(/"/gm, "'").replace(/\n|\r/gm, "")
					+ "\"";
		} else if (typeof obj == "number") {
			if (isFinite(obj)) {
				return obj;
			} else {
				return "\"out of number\"";
			}
		} else {
			//return util.jsonToString(obj).replace(/"/gm, "\\\"").replace(/\n|\r/gm, "");
		}
	}
}

function obj2string(obj, depth) {
	depth = depth || 0;
		var arr = [];
		for (var prop in obj) {
			try {
				if (obj.hasOwnProperty(prop) && typeof(obj[prop]) != "function") {
					if (depth < 9) {
						arr.push("\"" + prop + "\":"
								+ json2string(obj[prop], depth + 1));
					} else {
						arr.push("\"" + prop + "\":\"...\"")
					}
				}
			} catch (e) {

			}
		}
		return "{" + arr.join(",") + "}";
}

function complexObj2String(obj){
	var arr = [];
	for (var prop in obj) {
		try {
			if (typeof(obj[prop]) != "function") {
				var value = (obj[prop] + "").replace(/"/gm, "'").replace(/\n|\r/gm, "");
				arr.push("\"" + prop + "\":\""
						+ value + "\"");
			}
		} catch (e) {

		}
	}
	return "{" + arr.join(",") + "}";
}
function array2string(array, depth) {
	depth = depth || 0;
	var arr = [];
	for (var i = 0; i < array.length; i++) {
		arr.push(json2string(array[i], depth + 1));
	}
	return "[" + arr.join(",") + "]";
}

function mergeJsonObject(jsonbject1, jsonbject2)  
{  
    var resultJsonObject={};  
    for(var attr in jsonbject1){  
        resultJsonObject[attr]=jsonbject1[attr];  
    }  
    for(var attr in jsonbject2){  
        resultJsonObject[attr]=jsonbject2[attr];  
    }  

    return resultJsonObject;  
};  

function convertStringToJSON(str){
    var stu = eval('('+str+')');
    return stu;
}

function contains(a,obj){
	var i = a.length;
	while(i--){
		if(a[i]===obj){
			return true;
		}
	}
	return false;
}

jsDebug.getBreakPoint = function(async) {
	var postData = {"COMMAND":"RESUME"}; 
    var res = empBridge.debug(obj2string(postData));
    var retObj = util.stringToJson(res);
    jsDebug.breakpoints = retObj["BREAKPOINTS"];
    return;

	async = async?false:true;
	log(":"+async);
	try{
//	var jsonResume = "{\"COMMAND\":\"RESUME\"}";
		var postData = {"COMMAND":"RESUME"}; 
	if(async){
		var id;
	    log("");
		id = setInterval(jsDebug.getBreakPoint,1000);
	}else{
		log("");
	    var res = empBridge.debug(obj2string(postData));
	    var retObj = util.stringToJson(res);
	    jsDebug.breakpoints = retObj["BREAKPOINTS"];
	}
	} catch(e){
		
	}
}

jsDebug.getBreakPoint();

jsDebug.debug =  function(resource,line,scope,args,evalFunc){
	var isNewStack = false;
	if(args&&args["_funcIndex"]==undefined){
		if(args.callee.caller && args.callee.caller.arguments){
			if(args.callee.caller.arguments["__funcIndex"]==undefined){
				args["__funcIndex"] = DEBUG_FUNC_INDEX++;
				isNewStack = true;
			}else{
				args["__funcIndex"] = args.callee.caller.arguments["__funcIndex"];
			}
		}
	}
	
	if (jsDebug.isExpression) {
		return;
	}
	
	
	try {
		jsDebug.currResource = resource;
		jsDebug.currLine = line;
		if (jsDebug.debugCommand == null) {
			jsDebug.debugCommand = "START";
		}
		if (jsDebug.debugCommand == "TERMINATE") {
			throw "exit";
		}
		if(!jsDebug.breakpoints){
			jsDebug.getBreakPoint(true);
		}
		if (!(jsDebug.breakpoints && jsDebug.breakpoints[resource + line])) {
			if (jsDebug.debugCommand == "STEPRETURN"
					|| jsDebug.debugCommand == "STEPOVER") {
				var parentFunc = jsDebug.functionStack[jsDebug.functionStack.length
						- 2];
				var currFunc = jsDebug.functionStack[jsDebug.functionStack.length
						- 1];
				if(currFunc && (currFunc==args.callee)){
					if(jsDebug.debugCommand == "STEPRETURN"){
						return;
					}
					// do nothing
				}else{
					if (parentFunc && (args.callee.caller == parentFunc)) {
						jsDebug.stepReturn(parentFunc);
						jsDebug.debug(resource, line, scope, args, evalFunc);
						if(jsDebug.debugCommand == "STEPRETURN"){
							return;
						}
					}else{
//						if(args.callee){
//							return;
//						}
					}
				}

			}
			if (jsDebug.debugCommand == "STEPRETURN") {
				if (!jsDebug.isStepReturn(args)) {
					if(args.callee){
						return;
					}
				}
			} else if (jsDebug.debugCommand == "STEPOVER") {
				if (!jsDebug.isStepOver(args)) {
					if(args.callee){
						return;
					}
				}
			} else if (jsDebug.debugCommand == "RESUME") {
				return;
			} else if (jsDebug.debugCommand == "STEPINTO") {

			} else {
				return;
			}
		} else {
			jsDebug.debugCommand = "BREAKPOINT";
		}
		
		var data = getFuncData(args,evalFunc);
		var windowData = getWindowData(args,evalFunc);
		var stack = mergeJsonObject(windowData,data);
		
		jsDebug.updateStack(args, resource, scope, line, evalFunc);
		
		var postData = {
				"STACK" : stack,
				"COMMAND" : jsDebug.debugCommand,
				"RESOURCE" : resource,
				"LINE" : line,
				"NEWSTACK":true
		};
		var postDataStr = json2string(postData,0);
		
	    var res = empBridge.debug(postDataStr);
		
		jsDebug.parseResult(res, evalFunc);
		
	} catch (e) {

	}

};

var $jsd = jsDebug.debug;
Emp.page.setId('_body_26768939');
var _template_1789261 = new Emp.Panel({"id":"_template_1789261"});
_template_1789261.__isTemplate=true;
var tem1 = new Emp.Panel({"id":"tem1","height":"170","backgroundColor":"#fcfcfc","vAlign":"middle","hAlign":"center","width":"100%"});
var _div_6861202 = new Emp.Panel({"id":"_div_6861202","borderColor":"#f2f2f2","height":"160","backgroundColor":"#ffffff","marginLeft":"10","borderWidth":"1","marginRight":"10","layout":"VBox","width":"340","cornerRadius":"10"});
var _div_17549418 = new Emp.Panel({"id":"_div_17549418","height":"50","marginLeft":"10","marginTop":"10","layout":"HBox","width":"100%"});
var _div_4941318 = new Emp.Panel({"id":"_div_4941318","height":"30","vAlign":"middle","hAlign":"center","width":"30"});
var _img_1526908 = new Emp.Image({"id":"_img_1526908","height":"30","width":"30","src":"/fan_tie/u4.png"});
_div_4941318.add(_img_1526908);
_div_17549418.add(_div_4941318);
var _div_33239120 = new Emp.Panel({"id":"_div_33239120","height":"100%","marginLeft":"20","layout":"VBox","width":"100%"});
var _input_1259279 = new Emp.Label({"id":"_input_1259279","tag":"title","value":"用一句话证明你是二坚的忠实粉丝"});
_div_33239120.add(_input_1259279);
var _input_27489281 = new Emp.Label({"id":"_input_27489281","color":"#999999","value":"15s前","fontSize":"12"});
_div_33239120.add(_input_27489281);
_div_17549418.add(_div_33239120);
_div_6861202.add(_div_17549418);
var _div_20264183 = new Emp.Panel({"id":"_div_20264183","height":"30","hAlign":"center","width":"100%"});
var _input_2652432 = new Emp.Label({"id":"_input_2652432","value":"雪姨之歌倒背如流：傅文佩开门啊…","fontBold":"true"});
_div_20264183.add(_input_2652432);
_div_6861202.add(_div_20264183);
var _div_19880850 = new Emp.Panel({"id":"_div_19880850","height":"1px","backgroundColor":"#f2f2f2","width":"100%"});
_div_6861202.add(_div_19880850);
var _div_17752436 = new Emp.Panel({"id":"_div_17752436","height":"100%","vAlign":"middle","marginLeft":"10","width":"100%"});
var _input_11184359 = new Emp.Label({"id":"_input_11184359","color":"#999999","width":"80","value":"孙坚全国后援会","fontSize":"12"});
_div_17752436.add(_input_11184359);
var _img_3607129 = new Emp.Image({"id":"_img_3607129","height":"20","marginLeft":"80","width":"20","src":"/fan_tie/u22.png"});
_div_17752436.add(_img_3607129);
var _input_25723180 = new Emp.Label({"id":"_input_25723180","color":"#999999","value":"9","fontSize":"12"});
_div_17752436.add(_input_25723180);
var _img_14201117 = new Emp.Image({"id":"_img_14201117","height":"20","marginLeft":"20","width":"20","src":"/fan_tie/u24.png"});
_div_17752436.add(_img_14201117);
var _input_5510531 = new Emp.Label({"id":"_input_5510531","color":"#999999","value":"0","fontSize":"12"});
_div_17752436.add(_input_5510531);
var _img_5271694 = new Emp.Image({"id":"_img_5271694","height":"20","marginLeft":"20","width":"20","src":"/fan_tie/u26.png"});
_div_17752436.add(_img_5271694);
var _input_17177104 = new Emp.Label({"id":"_input_17177104","color":"#999999","value":"6","fontSize":"12"});
_div_17752436.add(_input_17177104);
var _img_26809091 = new Emp.Image({"id":"_img_26809091","height":"20","marginLeft":"20","tag":"share","width":"20","src":"/fan_tie/u34.png"});
_div_17752436.add(_img_26809091);
_div_6861202.add(_div_17752436);
var _div_11490517 = new Emp.Panel({"id":"_div_11490517","height":"100%","marginLeft":"10","width":"100%"});
var _img_15376542 = new Emp.Image({"id":"_img_15376542","height":"30","tag":"t_img1","width":"30","src":""});
_div_11490517.add(_img_15376542);
var _img_30860682 = new Emp.Image({"id":"_img_30860682","height":"30","tag":"t_img2","width":"30","src":""});
_div_11490517.add(_img_30860682);
var _img_24632706 = new Emp.Image({"id":"_img_24632706","height":"30","tag":"t_img3","width":"30","src":""});
_div_11490517.add(_img_24632706);
var _img_7313170 = new Emp.Image({"id":"_img_7313170","height":"30","tag":"t_img4","width":"30","src":""});
_div_11490517.add(_img_7313170);
var _img_2580113 = new Emp.Image({"id":"_img_2580113","height":"30","tag":"t_img5","width":"30","src":""});
_div_11490517.add(_img_2580113);
var _img_11633329 = new Emp.Image({"id":"_img_11633329","height":"30","tag":"t_img6","width":"30","src":""});
_div_11490517.add(_img_11633329);
var _img_33253155 = new Emp.Image({"id":"_img_33253155","height":"30","tag":"t_img7","width":"30","src":""});
_div_11490517.add(_img_33253155);
var _img_3158791 = new Emp.Image({"id":"_img_3158791","height":"30","tag":"t_img8","width":"30","src":""});
_div_11490517.add(_img_3158791);
var _img_6697603 = new Emp.Image({"id":"_img_6697603","height":"30","tag":"t_img9","width":"30","src":""});
_div_11490517.add(_img_6697603);
var _img_25062663 = new Emp.Image({"id":"_img_25062663","height":"30","tag":"t_img10","width":"30","src":""});
_div_11490517.add(_img_25062663);
var t_showNumber = new Emp.Panel({"id":"t_showNumber","height":"20","vAlign":"middle","marginTop":"5","backgroundColor":"#f2f2f2","hAlign":"center","width":"20","adapterTag":"otherCount"});
var _input_10168503 = new Emp.Label({"id":"_input_10168503","tag":"otherCount","value":"15"});
t_showNumber.add(_input_10168503);
_div_11490517.add(t_showNumber);
_div_6861202.add(_div_11490517);
tem1.add(_div_6861202);
_template_1789261.add(tem1);
var tem2 = new Emp.Panel({"id":"tem2","height":"260","backgroundColor":"#fcfcfc","vAlign":"middle","hAlign":"center","width":"100%"});
var _div_29616645 = new Emp.Panel({"id":"_div_29616645","borderColor":"#f2f2f2","height":"250","backgroundColor":"#ffffff","marginLeft":"10","borderWidth":"1","marginRight":"10","layout":"VBox","width":"340","cornerRadius":"10"});
var _div_20517387 = new Emp.Panel({"id":"_div_20517387","height":"50","marginLeft":"10","marginTop":"10","layout":"HBox","width":"100%"});
var _div_30388641 = new Emp.Panel({"id":"_div_30388641","height":"30","vAlign":"middle","hAlign":"center","width":"30"});
var _img_9881103 = new Emp.Image({"id":"_img_9881103","height":"30","width":"30","src":"/fan_tie/u4.png"});
_div_30388641.add(_img_9881103);
_div_20517387.add(_div_30388641);
var _div_10818694 = new Emp.Panel({"id":"_div_10818694","height":"100%","marginLeft":"20","layout":"VBox","width":"100%"});
var _input_31889121 = new Emp.Label({"id":"_input_31889121","tag":"title","value":"用一句话证明你是二坚的忠实粉丝"});
_div_10818694.add(_input_31889121);
var _input_29076870 = new Emp.Label({"id":"_input_29076870","color":"#999999","value":"15s前","fontSize":"12"});
_div_10818694.add(_input_29076870);
_div_20517387.add(_div_10818694);
_div_29616645.add(_div_20517387);
var _div_8220850 = new Emp.Panel({"id":"_div_8220850","height":"120","hAlign":"center","width":"100%"});
var _div_24237348 = new Emp.Panel({"id":"_div_24237348","height":"100%","vAlign":"middle","hAlign":"center","width":"110"});
var _img_6313787 = new Emp.Image({"id":"_img_6313787","height":"100","width":"100","src":"/fan_tie/u191.png"});
_div_24237348.add(_img_6313787);
_div_8220850.add(_div_24237348);
var _div_16711790 = new Emp.Panel({"id":"_div_16711790","height":"100%","vAlign":"middle","hAlign":"center","width":"100%"});
var _input_24460133 = new Emp.Label({"id":"_input_24460133","height":"100%","value":"《纳妾记》今年初开机，曾定名《明朝不科学  》。然而，如今该剧即将首播，名字重新改回《纳妾记》，原著小说中的6房妾室，竟然被“P”掉了… ","maxWidth":"190","singleLine":"false"});
_div_16711790.add(_input_24460133);
_div_8220850.add(_div_16711790);
_div_29616645.add(_div_8220850);
var _div_26123008 = new Emp.Panel({"id":"_div_26123008","height":"1px","backgroundColor":"#f2f2f2","width":"100%"});
_div_29616645.add(_div_26123008);
var _div_23219452 = new Emp.Panel({"id":"_div_23219452","height":"100%","vAlign":"middle","marginLeft":"10","width":"100%"});
var _input_11293664 = new Emp.Label({"id":"_input_11293664","color":"#999999","width":"80","value":"见面会","fontSize":"12"});
_div_23219452.add(_input_11293664);
var _img_28743544 = new Emp.Image({"id":"_img_28743544","height":"20","marginLeft":"80","width":"20","src":"/fan_tie/u22.png"});
_div_23219452.add(_img_28743544);
var _input_9593031 = new Emp.Label({"id":"_input_9593031","color":"#999999","value":"9","fontSize":"12"});
_div_23219452.add(_input_9593031);
var _img_1036048 = new Emp.Image({"id":"_img_1036048","height":"20","marginLeft":"20","width":"20","src":"/fan_tie/u24.png"});
_div_23219452.add(_img_1036048);
var _input_31673472 = new Emp.Label({"id":"_input_31673472","color":"#999999","value":"0","fontSize":"12"});
_div_23219452.add(_input_31673472);
var _img_28542782 = new Emp.Image({"id":"_img_28542782","height":"20","marginLeft":"20","width":"20","src":"/fan_tie/u26.png"});
_div_23219452.add(_img_28542782);
var _input_24380051 = new Emp.Label({"id":"_input_24380051","color":"#999999","value":"6","fontSize":"12"});
_div_23219452.add(_input_24380051);
var _img_22356074 = new Emp.Image({"id":"_img_22356074","height":"20","marginLeft":"20","tag":"share","width":"20","src":"/fan_tie/u34.png"});
_div_23219452.add(_img_22356074);
_div_29616645.add(_div_23219452);
var _div_29562102 = new Emp.Panel({"id":"_div_29562102","height":"100%","marginLeft":"10","width":"100%"});
var _img_9773921 = new Emp.Image({"id":"_img_9773921","height":"30","tag":"t_img1","width":"30","src":""});
_div_29562102.add(_img_9773921);
var _img_21351723 = new Emp.Image({"id":"_img_21351723","height":"30","tag":"t_img2","width":"30","src":""});
_div_29562102.add(_img_21351723);
var _img_27321223 = new Emp.Image({"id":"_img_27321223","height":"30","tag":"t_img3","width":"30","src":""});
_div_29562102.add(_img_27321223);
var _img_28957665 = new Emp.Image({"id":"_img_28957665","height":"30","tag":"t_img4","width":"30","src":""});
_div_29562102.add(_img_28957665);
var _img_18010435 = new Emp.Image({"id":"_img_18010435","height":"30","tag":"t_img5","width":"30","src":""});
_div_29562102.add(_img_18010435);
var _img_6856941 = new Emp.Image({"id":"_img_6856941","height":"30","tag":"t_img6","width":"30","src":""});
_div_29562102.add(_img_6856941);
var _img_18701345 = new Emp.Image({"id":"_img_18701345","height":"30","tag":"t_img7","width":"30","src":""});
_div_29562102.add(_img_18701345);
var _img_9153360 = new Emp.Image({"id":"_img_9153360","height":"30","tag":"t_img8","width":"30","src":""});
_div_29562102.add(_img_9153360);
var _img_27005303 = new Emp.Image({"id":"_img_27005303","height":"30","tag":"t_img9","width":"30","src":""});
_div_29562102.add(_img_27005303);
var _img_20891004 = new Emp.Image({"id":"_img_20891004","height":"30","tag":"t_img10","width":"30","src":""});
_div_29562102.add(_img_20891004);
var t1_showNumber = new Emp.Panel({"id":"t1_showNumber","height":"20","vAlign":"middle","marginTop":"5","backgroundColor":"#f2f2f2","hAlign":"center","width":"20","adapterTag":"otherCount"});
var _input_12708429 = new Emp.Label({"id":"_input_12708429","tag":"otherCount","value":"15"});
t1_showNumber.add(_input_12708429);
_div_29562102.add(t1_showNumber);
_div_29616645.add(_div_29562102);
tem2.add(_div_29616645);
_template_1789261.add(tem2);
var tem3 = new Emp.Panel({"id":"tem3","height":"340","backgroundColor":"#fcfcfc","vAlign":"middle","hAlign":"center","width":"100%"});
var _div_16681844 = new Emp.Panel({"id":"_div_16681844","borderColor":"#f2f2f2","height":"330","backgroundColor":"#ffffff","marginLeft":"10","borderWidth":"1","marginRight":"10","layout":"VBox","width":"340","cornerRadius":"10"});
var _div_24477080 = new Emp.Panel({"id":"_div_24477080","height":"50","marginLeft":"10","marginTop":"10","layout":"HBox","width":"100%"});
var _div_8952421 = new Emp.Panel({"id":"_div_8952421","height":"30","vAlign":"middle","hAlign":"center","width":"30"});
var _img_5269092 = new Emp.Image({"id":"_img_5269092","height":"30","width":"30","src":"/fan_tie/u4.png"});
_div_8952421.add(_img_5269092);
_div_24477080.add(_div_8952421);
var _div_7492428 = new Emp.Panel({"id":"_div_7492428","height":"100%","marginLeft":"20","layout":"VBox","width":"100%"});
var _input_29018044 = new Emp.Label({"id":"_input_29018044","tag":"title","value":"用一句话证明你是二坚的忠实粉丝"});
_div_7492428.add(_input_29018044);
var _input_26160501 = new Emp.Label({"id":"_input_26160501","color":"#999999","value":"15s前","fontSize":"12"});
_div_7492428.add(_input_26160501);
_div_24477080.add(_div_7492428);
_div_16681844.add(_div_24477080);
var _div_15818540 = new Emp.Panel({"id":"_div_15818540","height":"200","hAlign":"center","width":"100%"});
var _div_10453186 = new Emp.Panel({"id":"_div_10453186","height":"100%","vAlign":"middle","hAlign":"center","layout":"VBox","width":"100%"});
var _img_29261945 = new Emp.Image({"id":"_img_29261945","height":"100%","width":"100%","src":"/fan_tie/u91.jpg"});
_div_10453186.add(_img_29261945);
var _input_31764168 = new Emp.Label({"id":"_input_31764168","value":"雪姨之歌倒背如流：傅文佩开门啊…","fontBold":"true"});
_div_10453186.add(_input_31764168);
_div_15818540.add(_div_10453186);
_div_16681844.add(_div_15818540);
var _div_9367895 = new Emp.Panel({"id":"_div_9367895","height":"1px","backgroundColor":"#f2f2f2","width":"100%"});
_div_16681844.add(_div_9367895);
var _div_8831888 = new Emp.Panel({"id":"_div_8831888","height":"100%","vAlign":"middle","marginLeft":"10","width":"100%"});
var _input_26293413 = new Emp.Label({"id":"_input_26293413","color":"#999999","width":"80","value":"见面会","fontSize":"12"});
_div_8831888.add(_input_26293413);
var _img_1530935 = new Emp.Image({"id":"_img_1530935","height":"20","marginLeft":"80","width":"20","src":"/fan_tie/u22.png"});
_div_8831888.add(_img_1530935);
var _input_27730695 = new Emp.Label({"id":"_input_27730695","color":"#999999","value":"9","fontSize":"12"});
_div_8831888.add(_input_27730695);
var _img_32291861 = new Emp.Image({"id":"_img_32291861","height":"20","marginLeft":"20","width":"20","src":"/fan_tie/u24.png"});
_div_8831888.add(_img_32291861);
var _input_19939355 = new Emp.Label({"id":"_input_19939355","color":"#999999","value":"0","fontSize":"12"});
_div_8831888.add(_input_19939355);
var _img_12631196 = new Emp.Image({"id":"_img_12631196","height":"20","marginLeft":"20","width":"20","src":"/fan_tie/u26.png"});
_div_8831888.add(_img_12631196);
var _input_27177590 = new Emp.Label({"id":"_input_27177590","color":"#999999","value":"6","fontSize":"12"});
_div_8831888.add(_input_27177590);
var _img_30829584 = new Emp.Image({"id":"_img_30829584","height":"20","marginLeft":"20","tag":"share","width":"20","src":"/fan_tie/u34.png"});
_div_8831888.add(_img_30829584);
_div_16681844.add(_div_8831888);
var _div_5292715 = new Emp.Panel({"id":"_div_5292715","height":"100%","marginLeft":"10","width":"100%"});
var _img_1874419 = new Emp.Image({"id":"_img_1874419","height":"30","tag":"t_img1","width":"30","src":""});
_div_5292715.add(_img_1874419);
var _img_29314223 = new Emp.Image({"id":"_img_29314223","height":"30","tag":"t_img2","width":"30","src":""});
_div_5292715.add(_img_29314223);
var _img_4435577 = new Emp.Image({"id":"_img_4435577","height":"30","tag":"t_img3","width":"30","src":""});
_div_5292715.add(_img_4435577);
var _img_24364958 = new Emp.Image({"id":"_img_24364958","height":"30","tag":"t_img4","width":"30","src":""});
_div_5292715.add(_img_24364958);
var _img_3565633 = new Emp.Image({"id":"_img_3565633","height":"30","tag":"t_img5","width":"30","src":""});
_div_5292715.add(_img_3565633);
var _img_32933526 = new Emp.Image({"id":"_img_32933526","height":"30","tag":"t_img6","width":"30","src":""});
_div_5292715.add(_img_32933526);
var _img_33427979 = new Emp.Image({"id":"_img_33427979","height":"30","tag":"t_img7","width":"30","src":""});
_div_5292715.add(_img_33427979);
var _img_22201206 = new Emp.Image({"id":"_img_22201206","height":"30","tag":"t_img8","width":"30","src":""});
_div_5292715.add(_img_22201206);
var _img_10393454 = new Emp.Image({"id":"_img_10393454","height":"30","tag":"t_img9","width":"30","src":""});
_div_5292715.add(_img_10393454);
var _img_31963424 = new Emp.Image({"id":"_img_31963424","height":"30","tag":"t_img10","width":"30","src":""});
_div_5292715.add(_img_31963424);
var t3_showNumber = new Emp.Panel({"id":"t3_showNumber","height":"20","vAlign":"middle","marginTop":"5","backgroundColor":"#f2f2f2","hAlign":"center","width":"20","adapterTag":"otherCount"});
var _input_21747401 = new Emp.Label({"id":"_input_21747401","tag":"otherCount","value":"15"});
t3_showNumber.add(_input_21747401);
_div_5292715.add(t3_showNumber);
_div_16681844.add(_div_5292715);
tem3.add(_div_16681844);
_template_1789261.add(tem3);



  
Emp.page.render();
